/*===========================================================================*/
/*   (Llib/_pthread.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -copt -fPIC -copt -IPosix Llib/_pthread.scm -o objs/_pthread.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL___FT_z52PTHREADz52_TYPE_DEFINITIONS
#define BGL_BgL___FT_z52PTHREADz52_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_uncaughtzd2exceptionzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_reasonz00;
} *BgL_uncaughtzd2exceptionzd2_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_fthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
} *BgL_fthreadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
} *BgL_schedulerz00_bglt;

typedef struct BgL_z52sigjoinz52_bgl {
   header_t header;
   obj_t widening;
   struct BgL_fthreadz00_bgl * BgL_threadz00;
} *BgL_z52sigjoinz52_bglt;

typedef struct BgL_z52schedulerz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
   obj_t BgL_nextzd2instantzd2;
   obj_t BgL_currentzd2threadzd2;
   int BgL_z52livezd2threadzd2numberz52;
   bool_t BgL_z52threadszd2readyz80;
   obj_t BgL_threadszd2runnablezd2;
   obj_t BgL_threadszd2runnablezd2lastzd2pairzd2;
   obj_t BgL_asynczd2runnablezd2;
   obj_t BgL_threadszd2timeoutzd2;
   obj_t BgL_threadszd2yieldzd2;
   obj_t BgL_tostartz00;
   obj_t BgL_toterminatez00;
   obj_t BgL_tosuspendzf2resumezf2;
   obj_t BgL_tobroadcastz00;
   obj_t BgL_tospawnz00;
   obj_t BgL_currentzd2tokenzd2;
} *BgL_z52schedulerz52_bglt;

typedef struct BgL_z52pthreadz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
   obj_t BgL_fthreadz00;
   obj_t BgL_mutexz00;
   obj_t BgL_condvarz00;
   obj_t BgL_idz00;
   obj_t BgL_parentz00;
} *BgL_z52pthreadz52_bglt;


#endif // BGL_BgL___FT_z52PTHREADz52_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_requirezd2initializa7ationz75zz__ft_z52pthreadz52 = BUNSPEC;
static obj_t BGl_z62objectzd2displayzd2z52pthr1105z30zz__ft_z52pthreadz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62terminatez62zz__ft_z52pthreadz52(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
static obj_t BGl_toplevelzd2initzd2zz__ft_z52pthreadz52(void);
BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT void * BGl_z42pthreadzd2nilz90zz__pth_threadz00(void);
static obj_t BGl_z62zc3z04anonymousza31124ze3ze5zz__ft_z52pthreadz52(obj_t);
static obj_t BGl_z62objectzd2writezd2z52pthrea1103z30zz__ft_z52pthreadz52(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__ft_z52pthreadz52(void);
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_broadcastz12z12zz__ft_schedulerz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__ft_z52pthreadz52(void);
BGL_EXPORTED_DECL obj_t BGl_z52asynczd2spawnz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_pthreadz00zz__pth_threadz00;
BGL_EXPORTED_DECL obj_t BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
extern obj_t BGl_z52schedulerz52zz__ft_z52typesz52;
static obj_t BGl_z62z52pthreadzd2enterzd2schedulerz30zz__ft_z52pthreadz52(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3z04anonymousza31161ze3ze5zz__ft_z52pthreadz52(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t BGl_z52threadzd2killz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt);
static obj_t BGl_z62z52pthreadzd2leavezd2schedulerz30zz__ft_z52pthreadz52(obj_t, obj_t);
static obj_t BGl_z62z52asynczd2schedulerzd2notifyz30zz__ft_z52pthreadz52(obj_t, obj_t);
extern obj_t BGl_fthreadz00zz__ft_typesz00;
static obj_t BGl_methodzd2initzd2zz__ft_z52pthreadz52(void);
BGL_IMPORT obj_t BGl_objectzd2writezd2zz__objectz00(BgL_objectz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52asynczd2schedulerzd2waitz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
extern obj_t BGl_z52sigjoinz52zz__ft_typesz00;
BGL_EXPORTED_DECL obj_t BGl_z52pthreadzd2newz80zz__ft_z52pthreadz52(BgL_fthreadz00_bglt);
static obj_t BGl_z62z52userzd2currentzd2thread1107z30zz__ft_z52pthreadz52(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31139ze3ze5zz__ft_z52pthreadz52(obj_t);
static obj_t BGl_z62z52userzd2currentzd2thread1113z30zz__ft_z52pthreadz52(obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_zc3z04exitza31154ze3ze70z60zz__ft_z52pthreadz52(BgL_fthreadz00_bglt, BgL_fthreadz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31165ze3ze5zz__ft_z52pthreadz52(obj_t);
BGL_IMPORT obj_t BGl_uncaughtzd2exceptionzd2zz__pth_threadz00;
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52asynczd2schedulerzd2waitz30zz__ft_z52pthreadz52(obj_t, obj_t);
extern obj_t BGl_z52pthreadz52zz__ft_z52typesz52;
static obj_t BGl_z62z52userzd2threadzd2sleepz12zd21111zf0zz__ft_z52pthreadz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62z52userzd2threadzd2sleepz12zd21117zf0zz__ft_z52pthreadz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31249ze3ze5zz__ft_z52pthreadz52(obj_t);
static obj_t BGl_z62z52pthreadzd2waitze2zz__ft_z52pthreadz52(obj_t, obj_t);
BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_signalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_z52getzd2schedulerzd2tokenz52zz__ft_z52pthreadz52(void);
BGL_EXPORTED_DECL obj_t BGl_z52pthreadzd2enterzd2schedulerz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52pthreadzd2switchz80zz__ft_z52pthreadz52(obj_t, BgL_z52pthreadz52_bglt);
static obj_t BGl_z62z52pthreadzd2switchze2zz__ft_z52pthreadz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_currentzd2threadzd2zz__threadz00(void);
BGL_EXPORTED_DECL obj_t BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
static obj_t BGl_z62z52asynczd2spawnze2zz__ft_z52pthreadz52(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_schedulerz00zz__ft_typesz00;
BGL_IMPORT obj_t BGl_threadzd2startz12zc0zz__threadz00(BgL_threadz00_bglt, obj_t);
static obj_t BGl_cnstzd2initzd2zz__ft_z52pthreadz52(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52pthreadz52(void);
extern obj_t BGl_currentzd2schedulerzd2setz12z12zz__ft_schedulerz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52pthreadz52(void);
static obj_t BGl_gczd2rootszd2initz00zz__ft_z52pthreadz52(void);
static obj_t BGl_z62z52asynczd2synchroniza7ez45zz__ft_z52pthreadz52(obj_t, obj_t);
static obj_t BGl_za2schedulerzd2currentzd2tokenza2z00zz__ft_z52pthreadz52 = BUNSPEC;
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
extern obj_t BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt, int);
static obj_t BGl_z62z52pthreadzd2newze2zz__ft_z52pthreadz52(obj_t, obj_t);
static obj_t BGl_z62z52userzd2threadzd2yieldz12zd21109zf0zz__ft_z52pthreadz52(obj_t, obj_t);
extern obj_t BGl_currentzd2schedulerzd2zz__ft_schedulerz00(void);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52asynczd2schedulerzd2notifyz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52fschedulerzd2newz80zz__ft_z52pthreadz52(BgL_z52schedulerz52_bglt);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52fschedulerzd2newze2zz__ft_z52pthreadz52(obj_t, obj_t);
static obj_t BGl_z62z52userzd2threadzd2yieldz12zd21115zf0zz__ft_z52pthreadz52(obj_t, obj_t);
BGL_IMPORT obj_t bgl_find_runtime_type(obj_t);
static obj_t BGl_z52setzd2schedulerzd2tokenz12z40zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
extern obj_t BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(BgL_fthreadz00_bglt);
extern obj_t BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(obj_t);
static obj_t BGl_z62z52asynczd2asynchroniza7ez45zz__ft_z52pthreadz52(obj_t, obj_t);
static obj_t __cnst[ 2 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52pthreadzd2enterzd2schedulerzd2envz80zz__ft_z52pthreadz52, BgL_bgl_za762za752pthreadza7d21483za7, BGl_z62z52pthreadzd2enterzd2schedulerz30zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52pthreadzd2switchzd2envz52zz__ft_z52pthreadz52, BgL_bgl_za762za752pthreadza7d21484za7, BGl_z62z52pthreadzd2switchze2zz__ft_z52pthreadz52, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1436z00zz__ft_z52pthreadz52, BgL_bgl_string1436za700za7za7_1485za7, "Llib/_pthread.scm", 17 );
DEFINE_STRING( BGl_string1438z00zz__ft_z52pthreadz52, BgL_bgl_string1438za700za7za7_1486za7, "/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/api/fthread/src/Llib/_pthread.scm", 85 );
DEFINE_STRING( BGl_string1439z00zz__ft_z52pthreadz52, BgL_bgl_string1439za700za7za7_1487za7, "&%fscheduler-new", 16 );
DEFINE_STRING( BGl_string1440z00zz__ft_z52pthreadz52, BgL_bgl_string1440za700za7za7_1488za7, "%scheduler", 10 );
DEFINE_STRING( BGl_string1441z00zz__ft_z52pthreadz52, BgL_bgl_string1441za700za7za7_1489za7, "&%pthread-new", 13 );
DEFINE_STRING( BGl_string1442z00zz__ft_z52pthreadz52, BgL_bgl_string1442za700za7za7_1490za7, "fthread", 7 );
DEFINE_STRING( BGl_string1443z00zz__ft_z52pthreadz52, BgL_bgl_string1443za700za7za7_1491za7, "Illegal cleanup function", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1437z00zz__ft_z52pthreadz52, BgL_bgl_za762za7c3za704anonymo1492za7, BGl_z62zc3z04anonymousza31124ze3ze5zz__ft_z52pthreadz52, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1444z00zz__ft_z52pthreadz52, BgL_bgl_string1444za700za7za7_1493za7, "&%pthread-wait", 14 );
DEFINE_STRING( BGl_string1445z00zz__ft_z52pthreadz52, BgL_bgl_string1445za700za7za7_1494za7, "%pthread", 8 );
DEFINE_STRING( BGl_string1446z00zz__ft_z52pthreadz52, BgL_bgl_string1446za700za7za7_1495za7, "&%pthread-switch", 16 );
DEFINE_STRING( BGl_string1447z00zz__ft_z52pthreadz52, BgL_bgl_string1447za700za7za7_1496za7, "Bogus (current-thread) procedure", 32 );
DEFINE_STRING( BGl_string1448z00zz__ft_z52pthreadz52, BgL_bgl_string1448za700za7za7_1497za7, "Undefined current-thread", 24 );
DEFINE_STRING( BGl_string1449z00zz__ft_z52pthreadz52, BgL_bgl_string1449za700za7za7_1498za7, "&%pthread-enter-scheduler", 25 );
DEFINE_STRING( BGl_string1450z00zz__ft_z52pthreadz52, BgL_bgl_string1450za700za7za7_1499za7, "&%pthread-leave-scheduler", 25 );
DEFINE_STRING( BGl_string1451z00zz__ft_z52pthreadz52, BgL_bgl_string1451za700za7za7_1500za7, "&%async-spawn", 13 );
DEFINE_STRING( BGl_string1452z00zz__ft_z52pthreadz52, BgL_bgl_string1452za700za7za7_1501za7, "procedure", 9 );
DEFINE_STRING( BGl_string1453z00zz__ft_z52pthreadz52, BgL_bgl_string1453za700za7za7_1502za7, "&%async-synchronize", 19 );
DEFINE_STRING( BGl_string1454z00zz__ft_z52pthreadz52, BgL_bgl_string1454za700za7za7_1503za7, "&%async-asynchronize", 20 );
BGL_IMPORT obj_t BGl_objectzd2writezd2envz00zz__objectz00;
DEFINE_STRING( BGl_string1455z00zz__ft_z52pthreadz52, BgL_bgl_string1455za700za7za7_1504za7, "&%async-scheduler-wait", 22 );
DEFINE_STRING( BGl_string1456z00zz__ft_z52pthreadz52, BgL_bgl_string1456za700za7za7_1505za7, "&%async-scheduler-notify", 24 );
DEFINE_STRING( BGl_string1458z00zz__ft_z52pthreadz52, BgL_bgl_string1458za700za7za7_1506za7, "object-write", 12 );
DEFINE_STRING( BGl_string1460z00zz__ft_z52pthreadz52, BgL_bgl_string1460za700za7za7_1507za7, "object-display", 14 );
DEFINE_STRING( BGl_string1462z00zz__ft_z52pthreadz52, BgL_bgl_string1462za700za7za7_1508za7, "%user-current-thread", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1457z00zz__ft_z52pthreadz52, BgL_bgl_za762objectza7d2writ1509z00, va_generic_entry, BGl_z62objectzd2writezd2z52pthrea1103z30zz__ft_z52pthreadz52, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1464z00zz__ft_z52pthreadz52, BgL_bgl_string1464za700za7za7_1510za7, "%user-thread-yield!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1459z00zz__ft_z52pthreadz52, BgL_bgl_za762objectza7d2disp1511z00, va_generic_entry, BGl_z62objectzd2displayzd2z52pthr1105z30zz__ft_z52pthreadz52, BUNSPEC, -2 );
DEFINE_STRING( BGl_string1466z00zz__ft_z52pthreadz52, BgL_bgl_string1466za700za7za7_1512za7, "%user-thread-sleep!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1461z00zz__ft_z52pthreadz52, BgL_bgl_za762za752userza7d2cur1513za7, BGl_z62z52userzd2currentzd2thread1107z30zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1463z00zz__ft_z52pthreadz52, BgL_bgl_za762za752userza7d2thr1514za7, BGl_z62z52userzd2threadzd2yieldz12zd21109zf0zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1470z00zz__ft_z52pthreadz52, BgL_bgl_string1470za700za7za7_1515za7, "*self*", 6 );
DEFINE_STRING( BGl_string1471z00zz__ft_z52pthreadz52, BgL_bgl_string1471za700za7za7_1516za7, ">", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1465z00zz__ft_z52pthreadz52, BgL_bgl_za762za752userza7d2thr1517za7, BGl_z62z52userzd2threadzd2sleepz12zd21111zf0zz__ft_z52pthreadz52, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1472z00zz__ft_z52pthreadz52, BgL_bgl_string1472za700za7za7_1518za7, " parent:", 8 );
DEFINE_STRING( BGl_string1473z00zz__ft_z52pthreadz52, BgL_bgl_string1473za700za7za7_1519za7, "#<%pthread:", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1467z00zz__ft_z52pthreadz52, BgL_bgl_za762za752userza7d2cur1520za7, BGl_z62z52userzd2currentzd2thread1113z30zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1474z00zz__ft_z52pthreadz52, BgL_bgl_string1474za700za7za7_1521za7, "__ft_%pthread", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1468z00zz__ft_z52pthreadz52, BgL_bgl_za762za752userza7d2thr1522za7, BGl_z62z52userzd2threadzd2yieldz12zd21115zf0zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1475z00zz__ft_z52pthreadz52, BgL_bgl_string1475za700za7za7_1523za7, "async %pthread-enter-scheduler ", 31 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1469z00zz__ft_z52pthreadz52, BgL_bgl_za762za752userza7d2thr1524za7, BGl_z62z52userzd2threadzd2sleepz12zd21117zf0zz__ft_z52pthreadz52, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52asynczd2spawnzd2envz52zz__ft_z52pthreadz52, BgL_bgl_za762za752asyncza7d2sp1525za7, BGl_z62z52asynczd2spawnze2zz__ft_z52pthreadz52, 0L, BUNSPEC, 3 );
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52asynczd2schedulerzd2notifyzd2envz80zz__ft_z52pthreadz52, BgL_bgl_za762za752asyncza7d2sc1526za7, BGl_z62z52asynczd2schedulerzd2notifyz30zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52asynczd2schedulerzd2waitzd2envz80zz__ft_z52pthreadz52, BgL_bgl_za762za752asyncza7d2sc1527za7, BGl_z62z52asynczd2schedulerzd2waitz30zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_z52userzd2threadzd2sleepz12zd2envz92zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52asynczd2synchroniza7ezd2envzf5zz__ft_z52pthreadz52, BgL_bgl_za762za752asyncza7d2sy1528za7, BGl_z62z52asynczd2synchroniza7ez45zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_z52userzd2currentzd2threadzd2envz80zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52pthreadzd2waitzd2envz52zz__ft_z52pthreadz52, BgL_bgl_za762za752pthreadza7d21529za7, BGl_z62z52pthreadzd2waitze2zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52asynczd2asynchroniza7ezd2envzf5zz__ft_z52pthreadz52, BgL_bgl_za762za752asyncza7d2as1530za7, BGl_z62z52asynczd2asynchroniza7ez45zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52pthreadzd2newzd2envz52zz__ft_z52pthreadz52, BgL_bgl_za762za752pthreadza7d21531za7, BGl_z62z52pthreadzd2newze2zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52fschedulerzd2newzd2envz52zz__ft_z52pthreadz52, BgL_bgl_za762za752fscheduler1532z00, BGl_z62z52fschedulerzd2newze2zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52pthreadzd2leavezd2schedulerzd2envz80zz__ft_z52pthreadz52, BgL_bgl_za762za752pthreadza7d21533za7, BGl_z62z52pthreadzd2leavezd2schedulerz30zz__ft_z52pthreadz52, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_z52pthreadz52) );
ADD_ROOT( (void *)(&BGl_za2schedulerzd2currentzd2tokenza2z00zz__ft_z52pthreadz52) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(long BgL_checksumz00_1116, char * BgL_fromz00_1117)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_z52pthreadz52))
{ 
BGl_requirezd2initializa7ationz75zz__ft_z52pthreadz52 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__ft_z52pthreadz52(); 
BGl_libraryzd2moduleszd2initz00zz__ft_z52pthreadz52(); 
BGl_cnstzd2initzd2zz__ft_z52pthreadz52(); 
BGl_importedzd2moduleszd2initz00zz__ft_z52pthreadz52(); 
BGl_methodzd2initzd2zz__ft_z52pthreadz52(); 
return 
BGl_toplevelzd2initzd2zz__ft_z52pthreadz52();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52pthreadz52(void)
{
{ /* Llib/_pthread.scm 6 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(0L, "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(0L, "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L, "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__ft_%pthread"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__ft_%pthread"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_z52pthreadz52(void)
{
{ /* Llib/_pthread.scm 6 */
{ /* Llib/_pthread.scm 6 */
 obj_t BgL_cportz00_998;
{ /* Llib/_pthread.scm 6 */
 obj_t BgL_stringz00_1005;
BgL_stringz00_1005 = BGl_string1475z00zz__ft_z52pthreadz52; 
{ /* Llib/_pthread.scm 6 */
 obj_t BgL_startz00_1006;
BgL_startz00_1006 = 
BINT(0L); 
{ /* Llib/_pthread.scm 6 */
 obj_t BgL_endz00_1007;
BgL_endz00_1007 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1005))); 
{ /* Llib/_pthread.scm 6 */

BgL_cportz00_998 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1005, BgL_startz00_1006, BgL_endz00_1007); } } } } 
{ 
 long BgL_iz00_999;
BgL_iz00_999 = 1L; 
BgL_loopz00_1000:
if(
(BgL_iz00_999==(-1L)))
{ /* Llib/_pthread.scm 6 */
return BUNSPEC;}  else 
{ /* Llib/_pthread.scm 6 */
{ /* Llib/_pthread.scm 6 */
 obj_t BgL_arg1482z00_1001;
{ /* Llib/_pthread.scm 6 */

{ /* Llib/_pthread.scm 6 */
 obj_t BgL_locationz00_1003;
BgL_locationz00_1003 = 
BBOOL(((bool_t)0)); 
{ /* Llib/_pthread.scm 6 */

BgL_arg1482z00_1001 = 
BGl_readz00zz__readerz00(BgL_cportz00_998, BgL_locationz00_1003); } } } 
{ /* Llib/_pthread.scm 6 */
 int BgL_tmpz00_1152;
BgL_tmpz00_1152 = 
(int)(BgL_iz00_999); 
CNST_TABLE_SET(BgL_tmpz00_1152, BgL_arg1482z00_1001); } } 
{ /* Llib/_pthread.scm 6 */
 int BgL_auxz00_1004;
BgL_auxz00_1004 = 
(int)(
(BgL_iz00_999-1L)); 
{ 
 long BgL_iz00_1157;
BgL_iz00_1157 = 
(long)(BgL_auxz00_1004); 
BgL_iz00_999 = BgL_iz00_1157; 
goto BgL_loopz00_1000;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_z52pthreadz52(void)
{
{ /* Llib/_pthread.scm 6 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_z52pthreadz52(void)
{
{ /* Llib/_pthread.scm 6 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(0L, 
BSTRING_TO_STRING(BGl_string1436z00zz__ft_z52pthreadz52)); 
BGl_za2schedulerzd2currentzd2tokenza2z00zz__ft_z52pthreadz52 = BFALSE; 
return BUNSPEC;} 

}



/* %get-scheduler-token */
obj_t BGl_z52getzd2schedulerzd2tokenz52zz__ft_z52pthreadz52(void)
{
{ /* Llib/_pthread.scm 36 */
{ /* Llib/_pthread.scm 37 */
 obj_t BgL_scdlz00_40;
BgL_scdlz00_40 = 
BGl_currentzd2schedulerzd2zz__ft_schedulerz00(); 
{ /* Llib/_pthread.scm 38 */
 bool_t BgL_test1536z00_1163;
{ /* Llib/_pthread.scm 38 */
 obj_t BgL_classz00_277;
BgL_classz00_277 = BGl_z52schedulerz52zz__ft_z52typesz52; 
if(
BGL_OBJECTP(BgL_scdlz00_40))
{ /* Llib/_pthread.scm 38 */
 BgL_objectz00_bglt BgL_arg1827z00_279;
BgL_arg1827z00_279 = 
(BgL_objectz00_bglt)(BgL_scdlz00_40); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 38 */
 long BgL_idxz00_285;
BgL_idxz00_285 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_279); 
BgL_test1536z00_1163 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_285+4L))==BgL_classz00_277); }  else 
{ /* Llib/_pthread.scm 38 */
 bool_t BgL_res1382z00_310;
{ /* Llib/_pthread.scm 38 */
 obj_t BgL_oclassz00_293;
{ /* Llib/_pthread.scm 38 */
 obj_t BgL_arg1834z00_301; long BgL_arg1835z00_302;
BgL_arg1834z00_301 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/_pthread.scm 38 */
 long BgL_arg1836z00_303;
BgL_arg1836z00_303 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_279); 
BgL_arg1835z00_302 = 
(BgL_arg1836z00_303-OBJECT_TYPE); } 
BgL_oclassz00_293 = 
VECTOR_REF(BgL_arg1834z00_301,BgL_arg1835z00_302); } 
{ /* Llib/_pthread.scm 38 */
 bool_t BgL__ortest_1114z00_294;
BgL__ortest_1114z00_294 = 
(BgL_classz00_277==BgL_oclassz00_293); 
if(BgL__ortest_1114z00_294)
{ /* Llib/_pthread.scm 38 */
BgL_res1382z00_310 = BgL__ortest_1114z00_294; }  else 
{ /* Llib/_pthread.scm 38 */
 long BgL_odepthz00_295;
{ /* Llib/_pthread.scm 38 */
 obj_t BgL_arg1824z00_296;
BgL_arg1824z00_296 = 
(BgL_oclassz00_293); 
BgL_odepthz00_295 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_296); } 
if(
(4L<BgL_odepthz00_295))
{ /* Llib/_pthread.scm 38 */
 obj_t BgL_arg1822z00_298;
{ /* Llib/_pthread.scm 38 */
 obj_t BgL_arg1823z00_299;
BgL_arg1823z00_299 = 
(BgL_oclassz00_293); 
BgL_arg1822z00_298 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_299, 4L); } 
BgL_res1382z00_310 = 
(BgL_arg1822z00_298==BgL_classz00_277); }  else 
{ /* Llib/_pthread.scm 38 */
BgL_res1382z00_310 = ((bool_t)0); } } } } 
BgL_test1536z00_1163 = BgL_res1382z00_310; } }  else 
{ /* Llib/_pthread.scm 38 */
BgL_test1536z00_1163 = ((bool_t)0)
; } } 
if(BgL_test1536z00_1163)
{ /* Llib/_pthread.scm 38 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_40)))->BgL_currentzd2tokenzd2);}  else 
{ /* Llib/_pthread.scm 38 */
return BGl_za2schedulerzd2currentzd2tokenza2z00zz__ft_z52pthreadz52;} } } } 

}



/* %set-scheduler-token! */
obj_t BGl_z52setzd2schedulerzd2tokenz12z40zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_tokenz00_3)
{
{ /* Llib/_pthread.scm 43 */
{ /* Llib/_pthread.scm 44 */
 obj_t BgL_scdlz00_43;
BgL_scdlz00_43 = 
BGl_currentzd2schedulerzd2zz__ft_schedulerz00(); 
{ /* Llib/_pthread.scm 45 */
 bool_t BgL_test1541z00_1189;
{ /* Llib/_pthread.scm 45 */
 obj_t BgL_classz00_311;
BgL_classz00_311 = BGl_z52schedulerz52zz__ft_z52typesz52; 
if(
BGL_OBJECTP(BgL_scdlz00_43))
{ /* Llib/_pthread.scm 45 */
 BgL_objectz00_bglt BgL_arg1827z00_313;
BgL_arg1827z00_313 = 
(BgL_objectz00_bglt)(BgL_scdlz00_43); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 45 */
 long BgL_idxz00_319;
BgL_idxz00_319 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_313); 
BgL_test1541z00_1189 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_319+4L))==BgL_classz00_311); }  else 
{ /* Llib/_pthread.scm 45 */
 bool_t BgL_res1383z00_344;
{ /* Llib/_pthread.scm 45 */
 obj_t BgL_oclassz00_327;
{ /* Llib/_pthread.scm 45 */
 obj_t BgL_arg1834z00_335; long BgL_arg1835z00_336;
BgL_arg1834z00_335 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/_pthread.scm 45 */
 long BgL_arg1836z00_337;
BgL_arg1836z00_337 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_313); 
BgL_arg1835z00_336 = 
(BgL_arg1836z00_337-OBJECT_TYPE); } 
BgL_oclassz00_327 = 
VECTOR_REF(BgL_arg1834z00_335,BgL_arg1835z00_336); } 
{ /* Llib/_pthread.scm 45 */
 bool_t BgL__ortest_1114z00_328;
BgL__ortest_1114z00_328 = 
(BgL_classz00_311==BgL_oclassz00_327); 
if(BgL__ortest_1114z00_328)
{ /* Llib/_pthread.scm 45 */
BgL_res1383z00_344 = BgL__ortest_1114z00_328; }  else 
{ /* Llib/_pthread.scm 45 */
 long BgL_odepthz00_329;
{ /* Llib/_pthread.scm 45 */
 obj_t BgL_arg1824z00_330;
BgL_arg1824z00_330 = 
(BgL_oclassz00_327); 
BgL_odepthz00_329 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_330); } 
if(
(4L<BgL_odepthz00_329))
{ /* Llib/_pthread.scm 45 */
 obj_t BgL_arg1822z00_332;
{ /* Llib/_pthread.scm 45 */
 obj_t BgL_arg1823z00_333;
BgL_arg1823z00_333 = 
(BgL_oclassz00_327); 
BgL_arg1822z00_332 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_333, 4L); } 
BgL_res1383z00_344 = 
(BgL_arg1822z00_332==BgL_classz00_311); }  else 
{ /* Llib/_pthread.scm 45 */
BgL_res1383z00_344 = ((bool_t)0); } } } } 
BgL_test1541z00_1189 = BgL_res1383z00_344; } }  else 
{ /* Llib/_pthread.scm 45 */
BgL_test1541z00_1189 = ((bool_t)0)
; } } 
if(BgL_test1541z00_1189)
{ /* Llib/_pthread.scm 45 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_43)))->BgL_currentzd2tokenzd2)=((obj_t)
((obj_t)BgL_tokenz00_3)),BUNSPEC);}  else 
{ /* Llib/_pthread.scm 45 */
return ( 
BGl_za2schedulerzd2currentzd2tokenza2z00zz__ft_z52pthreadz52 = 
((obj_t)BgL_tokenz00_3), BUNSPEC) ;} } } } 

}



/* %fscheduler-new */
BGL_EXPORTED_DEF obj_t BGl_z52fschedulerzd2newz80zz__ft_z52pthreadz52(BgL_z52schedulerz52_bglt BgL_scdlz00_4)
{
{ /* Llib/_pthread.scm 53 */
{ /* Llib/_pthread.scm 56 */
 BgL_z52pthreadz52_bglt BgL_z52pthz52_47;
{ /* Llib/_pthread.scm 56 */
 BgL_z52pthreadz52_bglt BgL_new1064z00_48;
{ /* Llib/_pthread.scm 58 */
 BgL_z52pthreadz52_bglt BgL_new1063z00_57;
BgL_new1063z00_57 = 
((BgL_z52pthreadz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52pthreadz52_bgl) ))); 
{ /* Llib/_pthread.scm 58 */
 long BgL_arg1138z00_58;
BgL_arg1138z00_58 = 
BGL_CLASS_NUM(BGl_z52pthreadz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1063z00_57), BgL_arg1138z00_58); } 
BgL_new1064z00_48 = BgL_new1063z00_57; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1064z00_48)))->BgL_namez00)=((obj_t)
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_scdlz00_4)))->BgL_namez00)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1064z00_48)))->BgL_bodyz00)=((obj_t)BGl_proc1437z00zz__ft_z52pthreadz52),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1064z00_48)))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1064z00_48)))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1064z00_48)))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1064z00_48)))->BgL_z42builtinz42)=((void *)
BGl_z42pthreadzd2nilz90zz__pth_threadz00()),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1064z00_48))->BgL_fthreadz00)=((obj_t)
((obj_t)BgL_scdlz00_4)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1237;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_arg1125z00_50;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_arg1126z00_51;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_classz00_348;
BgL_classz00_348 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1126z00_51 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_348); } 
BgL_arg1125z00_50 = 
VECTOR_REF(BgL_arg1126z00_51,9L); } 
BgL_auxz00_1237 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1125z00_50); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1064z00_48))->BgL_mutexz00)=((obj_t)BgL_auxz00_1237),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1242;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_arg1130z00_52;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_arg1132z00_53;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_classz00_350;
BgL_classz00_350 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1132z00_53 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_350); } 
BgL_arg1130z00_52 = 
VECTOR_REF(BgL_arg1132z00_53,10L); } 
BgL_auxz00_1242 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1130z00_52); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1064z00_48))->BgL_condvarz00)=((obj_t)BgL_auxz00_1242),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1247;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_arg1133z00_54;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_arg1136z00_55;
{ /* Llib/_pthread.scm 59 */
 obj_t BgL_classz00_352;
BgL_classz00_352 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1136z00_55 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_352); } 
BgL_arg1133z00_54 = 
VECTOR_REF(BgL_arg1136z00_55,11L); } 
BgL_auxz00_1247 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1133z00_54); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1064z00_48))->BgL_idz00)=((obj_t)BgL_auxz00_1247),BUNSPEC); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1064z00_48))->BgL_parentz00)=((obj_t)BFALSE),BUNSPEC); 
{ /* Llib/_pthread.scm 56 */
 obj_t BgL_fun1137z00_56;
BgL_fun1137z00_56 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_z52pthreadz52zz__ft_z52typesz52); 
BGL_PROCEDURE_CALL1(BgL_fun1137z00_56, 
((obj_t)BgL_new1064z00_48)); } 
BgL_z52pthz52_47 = BgL_new1064z00_48; } 
return 
((obj_t)BgL_z52pthz52_47);} } 

}



/* &%fscheduler-new */
obj_t BGl_z62z52fschedulerzd2newze2zz__ft_z52pthreadz52(obj_t BgL_envz00_860, obj_t BgL_scdlz00_861)
{
{ /* Llib/_pthread.scm 53 */
{ /* Llib/_pthread.scm 55 */
 BgL_z52schedulerz52_bglt BgL_auxz00_1260;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_861, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 55 */
BgL_auxz00_1260 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_861)
; }  else 
{ 
 obj_t BgL_auxz00_1264;
BgL_auxz00_1264 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1438z00zz__ft_z52pthreadz52, 
BINT(1881L), BGl_string1439z00zz__ft_z52pthreadz52, BGl_string1440z00zz__ft_z52pthreadz52, BgL_scdlz00_861); 
FAILURE(BgL_auxz00_1264,BFALSE,BFALSE);} 
return 
BGl_z52fschedulerzd2newz80zz__ft_z52pthreadz52(BgL_auxz00_1260);} } 

}



/* &<@anonymous:1124> */
obj_t BGl_z62zc3z04anonymousza31124ze3ze5zz__ft_z52pthreadz52(obj_t BgL_envz00_862)
{
{ /* Llib/_pthread.scm 57 */
return BUNSPEC;} 

}



/* %pthread-new */
BGL_EXPORTED_DEF obj_t BGl_z52pthreadzd2newz80zz__ft_z52pthreadz52(BgL_fthreadz00_bglt BgL_ftz00_5)
{
{ /* Llib/_pthread.scm 66 */
{ /* Llib/_pthread.scm 95 */
 obj_t BgL_z52pthz52_882;
BgL_z52pthz52_882 = 
BGL_MAKE_UNSAFE_CELL(BUNSPEC); 
{ /* Llib/_pthread.scm 95 */
 BgL_z52pthreadz52_bglt BgL_g1152z00_75;
{ /* Llib/_pthread.scm 96 */
 BgL_z52pthreadz52_bglt BgL_new1080z00_62;
{ /* Llib/_pthread.scm 102 */
 BgL_z52pthreadz52_bglt BgL_new1079z00_73;
BgL_new1079z00_73 = 
((BgL_z52pthreadz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52pthreadz52_bgl) ))); 
{ /* Llib/_pthread.scm 102 */
 long BgL_arg1151z00_74;
BgL_arg1151z00_74 = 
BGL_CLASS_NUM(BGl_z52pthreadz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1079z00_73), BgL_arg1151z00_74); } 
BgL_new1080z00_62 = BgL_new1079z00_73; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1080z00_62)))->BgL_namez00)=((obj_t)
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_ftz00_5)))->BgL_namez00)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1277;
{ /* Llib/_pthread.scm 98 */
 obj_t BgL_zc3z04anonymousza31139ze3z87_866;
BgL_zc3z04anonymousza31139ze3z87_866 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31139ze3ze5zz__ft_z52pthreadz52, 
(int)(0L), 
(int)(3L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31139ze3z87_866, 
(int)(0L), 
((obj_t)BgL_ftz00_5)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31139ze3z87_866, 
(int)(1L), 
((obj_t)BgL_z52pthz52_882)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31139ze3z87_866, 
(int)(2L), 
((obj_t)BgL_ftz00_5)); 
BgL_auxz00_1277 = BgL_zc3z04anonymousza31139ze3z87_866; } 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1080z00_62)))->BgL_bodyz00)=((obj_t)BgL_auxz00_1277),BUNSPEC); } 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1080z00_62)))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1080z00_62)))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1080z00_62)))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1080z00_62)))->BgL_z42builtinz42)=((void *)
BGl_z42pthreadzd2nilz90zz__pth_threadz00()),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1080z00_62))->BgL_fthreadz00)=((obj_t)
((obj_t)BgL_ftz00_5)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1303;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_arg1142z00_66;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_arg1143z00_67;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_classz00_365;
BgL_classz00_365 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1143z00_67 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_365); } 
BgL_arg1142z00_66 = 
VECTOR_REF(BgL_arg1143z00_67,9L); } 
BgL_auxz00_1303 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1142z00_66); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1080z00_62))->BgL_mutexz00)=((obj_t)BgL_auxz00_1303),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1308;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_arg1144z00_68;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_arg1147z00_69;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_classz00_367;
BgL_classz00_367 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1147z00_69 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_367); } 
BgL_arg1144z00_68 = 
VECTOR_REF(BgL_arg1147z00_69,10L); } 
BgL_auxz00_1308 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1144z00_68); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1080z00_62))->BgL_condvarz00)=((obj_t)BgL_auxz00_1308),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1313;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_arg1148z00_70;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_arg1149z00_71;
{ /* Llib/_pthread.scm 97 */
 obj_t BgL_classz00_369;
BgL_classz00_369 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1149z00_71 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_369); } 
BgL_arg1148z00_70 = 
VECTOR_REF(BgL_arg1149z00_71,11L); } 
BgL_auxz00_1313 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1148z00_70); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1080z00_62))->BgL_idz00)=((obj_t)BgL_auxz00_1313),BUNSPEC); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1080z00_62))->BgL_parentz00)=((obj_t)BFALSE),BUNSPEC); 
{ /* Llib/_pthread.scm 96 */
 obj_t BgL_fun1150z00_72;
BgL_fun1150z00_72 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_z52pthreadz52zz__ft_z52typesz52); 
BGL_PROCEDURE_CALL1(BgL_fun1150z00_72, 
((obj_t)BgL_new1080z00_62)); } 
BgL_g1152z00_75 = BgL_new1080z00_62; } 
BGL_UNSAFE_CELL_SET(BgL_z52pthz52_882, 
((obj_t)BgL_g1152z00_75)); 
return 
BGL_UNSAFE_CELL_REF(BgL_z52pthz52_882);} } } 

}



/* &%pthread-new */
obj_t BGl_z62z52pthreadzd2newze2zz__ft_z52pthreadz52(obj_t BgL_envz00_867, obj_t BgL_ftz00_868)
{
{ /* Llib/_pthread.scm 66 */
{ /* Llib/_pthread.scm 68 */
 BgL_fthreadz00_bglt BgL_auxz00_1326;
if(
BGl_isazf3zf3zz__objectz00(BgL_ftz00_868, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_pthread.scm 68 */
BgL_auxz00_1326 = 
((BgL_fthreadz00_bglt)BgL_ftz00_868)
; }  else 
{ 
 obj_t BgL_auxz00_1330;
BgL_auxz00_1330 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1438z00zz__ft_z52pthreadz52, 
BINT(2397L), BGl_string1441z00zz__ft_z52pthreadz52, BGl_string1442z00zz__ft_z52pthreadz52, BgL_ftz00_868); 
FAILURE(BgL_auxz00_1330,BFALSE,BFALSE);} 
return 
BGl_z52pthreadzd2newz80zz__ft_z52pthreadz52(BgL_auxz00_1326);} } 

}



/* &<@anonymous:1139> */
obj_t BGl_z62zc3z04anonymousza31139ze3ze5zz__ft_z52pthreadz52(obj_t BgL_envz00_869)
{
{ /* Llib/_pthread.scm 98 */
{ /* Llib/_pthread.scm 99 */
 BgL_fthreadz00_bglt BgL_i1078z00_870; obj_t BgL_z52pthz52_871; BgL_fthreadz00_bglt BgL_ftz00_872;
BgL_i1078z00_870 = 
((BgL_fthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_869, 
(int)(0L))); 
BgL_z52pthz52_871 = 
PROCEDURE_REF(BgL_envz00_869, 
(int)(1L)); 
BgL_ftz00_872 = 
((BgL_fthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_869, 
(int)(2L))); 
{ 
 BgL_fthreadz00_bglt BgL_tz00_1010;
{ /* Llib/_pthread.scm 99 */
 obj_t BgL_arg1140z00_1019;
BgL_arg1140z00_1019 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_i1078z00_870))->BgL_schedulerz00); 
{ /* Llib/_pthread.scm 99 */
 obj_t BgL_list1141z00_1020;
BgL_list1141z00_1020 = 
MAKE_YOUNG_PAIR(BgL_arg1140z00_1019, BNIL); 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_list1141z00_1020); } } 
BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)
((BgL_z52pthreadz52_bglt)
BGL_UNSAFE_CELL_REF(BgL_z52pthz52_871)))); 
BgL_tz00_1010 = BgL_ftz00_872; 
BGl_zc3z04exitza31154ze3ze70z60zz__ft_z52pthreadz52(BgL_tz00_1010, BgL_tz00_1010); 
{ /* Llib/_pthread.scm 85 */
 BgL_z52sigjoinz52_bglt BgL_arg1167z00_1011; obj_t BgL_arg1168z00_1012;
{ /* Llib/_pthread.scm 85 */
 BgL_z52sigjoinz52_bglt BgL_new1077z00_1013;
{ /* Llib/_pthread.scm 85 */
 BgL_z52sigjoinz52_bglt BgL_new1076z00_1014;
BgL_new1076z00_1014 = 
((BgL_z52sigjoinz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigjoinz52_bgl) ))); 
{ /* Llib/_pthread.scm 85 */
 long BgL_arg1170z00_1015;
BgL_arg1170z00_1015 = 
BGL_CLASS_NUM(BGl_z52sigjoinz52zz__ft_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1076z00_1014), BgL_arg1170z00_1015); } 
BgL_new1077z00_1013 = BgL_new1076z00_1014; } 
((((BgL_z52sigjoinz52_bglt)COBJECT(BgL_new1077z00_1013))->BgL_threadz00)=((BgL_fthreadz00_bglt)BgL_tz00_1010),BUNSPEC); 
BgL_arg1167z00_1011 = BgL_new1077z00_1013; } 
BgL_arg1168z00_1012 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_1010))->BgL_z52resultz52); 
{ /* Llib/_pthread.scm 85 */
 obj_t BgL_list1169z00_1016;
BgL_list1169z00_1016 = 
MAKE_YOUNG_PAIR(BgL_arg1168z00_1012, BNIL); 
BGl_broadcastz12z12zz__ft_schedulerz00(
((obj_t)BgL_arg1167z00_1011), BgL_list1169z00_1016); } } 
{ /* Llib/_pthread.scm 87 */
 bool_t BgL_test1548z00_1359;
{ /* Llib/_pthread.scm 87 */
 obj_t BgL_tmpz00_1360;
BgL_tmpz00_1360 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_1010))->BgL_z52cleanupz52); 
BgL_test1548z00_1359 = 
PROCEDUREP(BgL_tmpz00_1360); } 
if(BgL_test1548z00_1359)
{ /* Llib/_pthread.scm 87 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_1010))->BgL_z52cleanupz52), 
(int)(1L)))
{ /* Llib/_pthread.scm 89 */
 obj_t BgL_fun1177z00_1017;
BgL_fun1177z00_1017 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_1010))->BgL_z52cleanupz52); 
BGL_PROCEDURE_CALL1(BgL_fun1177z00_1017, 
((obj_t)BgL_tz00_1010)); }  else 
{ /* Llib/_pthread.scm 90 */
 obj_t BgL_arg1180z00_1018;
BgL_arg1180z00_1018 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_1010))->BgL_z52cleanupz52); 
BGl_errorz00zz__errorz00(
((obj_t)BgL_tz00_1010), BGl_string1443z00zz__ft_z52pthreadz52, BgL_arg1180z00_1018); } }  else 
{ /* Llib/_pthread.scm 87 */BFALSE; } } 
return 
BGl_z52threadzd2killz12z92zz__ft_z52threadz52(BgL_tz00_1010);} } } 

}



/* <@exit:1154>~0 */
obj_t BGl_zc3z04exitza31154ze3ze70z60zz__ft_z52pthreadz52(BgL_fthreadz00_bglt BgL_i1065z00_951, BgL_fthreadz00_bglt BgL_tz00_950)
{
{ /* Llib/_pthread.scm 70 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1070z00_80;
if (SET_EXIT(BgL_an_exit1070z00_80)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1070z00_80 = 
(void *)jmpbuf; 
{ /* Llib/_pthread.scm 70 */
 obj_t BgL_env1074z00_81;
BgL_env1074z00_81 = 
BGL_CURRENT_DYNAMIC_ENV(); 
PUSH_ENV_EXIT(BgL_env1074z00_81, BgL_an_exit1070z00_80, 1L); 
{ /* Llib/_pthread.scm 70 */
 obj_t BgL_an_exitd1071z00_82;
BgL_an_exitd1071z00_82 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1074z00_81); 
{ /* Llib/_pthread.scm 70 */
 obj_t BgL_terminatez00_863;
BgL_terminatez00_863 = 
MAKE_FX_PROCEDURE(BGl_z62terminatez62zz__ft_z52pthreadz52, 
(int)(1L), 
(int)(1L)); 
PROCEDURE_SET(BgL_terminatez00_863, 
(int)(0L), BgL_an_exitd1071z00_82); 
{ /* Llib/_pthread.scm 70 */
 obj_t BgL_res1073z00_85;
((((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_950))->BgL_z52terminatez52)=((obj_t)BgL_terminatez00_863),BUNSPEC); 
{ /* Llib/_pthread.scm 75 */
 obj_t BgL_zc3z04anonymousza31165ze3z87_865; obj_t BgL_zc3z04anonymousza31161ze3z87_864;
BgL_zc3z04anonymousza31165ze3z87_865 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31165ze3ze5zz__ft_z52pthreadz52, 
(int)(0L), 
(int)(1L)); 
BgL_zc3z04anonymousza31161ze3z87_864 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31161ze3ze5zz__ft_z52pthreadz52, 
(int)(1L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31165ze3z87_865, 
(int)(0L), 
((obj_t)BgL_i1065z00_951)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31161ze3z87_864, 
(int)(0L), 
((obj_t)BgL_tz00_950)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31161ze3z87_864, 
(int)(1L), BgL_an_exitd1071z00_82); 
BgL_res1073z00_85 = 
BGl_withzd2exceptionzd2handlerz00zz__errorz00(BgL_zc3z04anonymousza31161ze3z87_864, BgL_zc3z04anonymousza31165ze3z87_865); } 
POP_ENV_EXIT(BgL_env1074z00_81); 
return BgL_res1073z00_85;} } } } 
}} 

}



/* &<@anonymous:1165> */
obj_t BGl_z62zc3z04anonymousza31165ze3ze5zz__ft_z52pthreadz52(obj_t BgL_envz00_873)
{
{ /* Llib/_pthread.scm 81 */
{ /* Llib/_pthread.scm 81 */
 BgL_fthreadz00_bglt BgL_i1065z00_874;
BgL_i1065z00_874 = 
((BgL_fthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_873, 
(int)(0L))); 
{ 
 obj_t BgL_auxz00_1407;
{ /* Llib/_pthread.scm 83 */
 obj_t BgL_fun1166z00_1021;
BgL_fun1166z00_1021 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_i1065z00_874))->BgL_bodyz00); 
BgL_auxz00_1407 = 
BGL_PROCEDURE_CALL0(BgL_fun1166z00_1021); } 
return 
((((BgL_fthreadz00_bglt)COBJECT(BgL_i1065z00_874))->BgL_z52resultz52)=((obj_t)BgL_auxz00_1407),BUNSPEC);} } } 

}



/* &<@anonymous:1161> */
obj_t BGl_z62zc3z04anonymousza31161ze3ze5zz__ft_z52pthreadz52(obj_t BgL_envz00_875, obj_t BgL_ez00_878)
{
{ /* Llib/_pthread.scm 74 */
{ /* Llib/_pthread.scm 75 */
 BgL_fthreadz00_bglt BgL_tz00_876; obj_t BgL_an_exitd1071z00_877;
BgL_tz00_876 = 
((BgL_fthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_875, 
(int)(0L))); 
BgL_an_exitd1071z00_877 = 
PROCEDURE_REF(BgL_envz00_875, 
(int)(1L)); 
{ /* Llib/_pthread.scm 75 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_uz00_1022;
{ /* Llib/_pthread.scm 75 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1068z00_1023;
{ /* Llib/_pthread.scm 75 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1067z00_1024;
BgL_new1067z00_1024 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/_pthread.scm 75 */
 long BgL_arg1164z00_1025;
BgL_arg1164z00_1025 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1067z00_1024), BgL_arg1164z00_1025); } 
BgL_new1068z00_1023 = BgL_new1067z00_1024; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1068z00_1023)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1068z00_1023)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1426;
{ /* Llib/_pthread.scm 75 */
 obj_t BgL_arg1162z00_1026;
{ /* Llib/_pthread.scm 75 */
 obj_t BgL_arg1163z00_1027;
{ /* Llib/_pthread.scm 75 */
 obj_t BgL_classz00_1028;
BgL_classz00_1028 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
BgL_arg1163z00_1027 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1028); } 
BgL_arg1162z00_1026 = 
VECTOR_REF(BgL_arg1163z00_1027,2L); } 
BgL_auxz00_1426 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1162z00_1026); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1068z00_1023)))->BgL_stackz00)=((obj_t)BgL_auxz00_1426),BUNSPEC); } 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1068z00_1023))->BgL_reasonz00)=((obj_t)BgL_ez00_878),BUNSPEC); 
BgL_uz00_1022 = BgL_new1068z00_1023; } 
((((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_876))->BgL_z52exczd2resultz80)=((obj_t)
((obj_t)BgL_uz00_1022)),BUNSPEC); 
BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_878); 
return 
unwind_stack_until(BgL_an_exitd1071z00_877, BFALSE, BFALSE, BFALSE, BFALSE);} } } 

}



/* &terminate */
obj_t BGl_z62terminatez62zz__ft_z52pthreadz52(obj_t BgL_envz00_879, obj_t BgL_val1072z00_881)
{
{ /* Llib/_pthread.scm 70 */
return 
unwind_stack_until(
PROCEDURE_REF(BgL_envz00_879, 
(int)(0L)), BFALSE, BgL_val1072z00_881, BFALSE, BFALSE);} 

}



/* %pthread-wait */
BGL_EXPORTED_DEF obj_t BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_ftz00_6)
{
{ /* Llib/_pthread.scm 109 */
{ /* Llib/_pthread.scm 116 */
 obj_t BgL_mutex1183z00_118;
BgL_mutex1183z00_118 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_ftz00_6))->BgL_mutexz00); 
{ /* Llib/_pthread.scm 116 */
 obj_t BgL_top1551z00_1442;
BgL_top1551z00_1442 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1183z00_118); 
BGL_EXITD_PUSH_PROTECT(BgL_top1551z00_1442, BgL_mutex1183z00_118); BUNSPEC; 
{ /* Llib/_pthread.scm 116 */
 obj_t BgL_tmp1550z00_1441;
{ 

{ /* Llib/_pthread.scm 117 */
 bool_t BgL_tmpz00_1446;
BgL_zc3z04anonymousza31184ze3z87_120:
{ /* Llib/_pthread.scm 118 */
 bool_t BgL_test1552z00_1447;
{ /* Llib/_pthread.scm 118 */
 obj_t BgL_arg1190z00_128;
BgL_arg1190z00_128 = 
BGl_z52getzd2schedulerzd2tokenz52zz__ft_z52pthreadz52(); 
BgL_test1552z00_1447 = 
(BgL_arg1190z00_128==
((obj_t)BgL_ftz00_6)); } 
if(BgL_test1552z00_1447)
{ /* Llib/_pthread.scm 118 */
BgL_tmpz00_1446 = ((bool_t)0)
; }  else 
{ /* Llib/_pthread.scm 118 */
{ /* Llib/_pthread.scm 119 */
 obj_t BgL_arg1188z00_123; obj_t BgL_arg1189z00_124;
BgL_arg1188z00_123 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_ftz00_6))->BgL_condvarz00); 
BgL_arg1189z00_124 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_ftz00_6))->BgL_mutexz00); 
{ /* Llib/_pthread.scm 119 */

BGL_CONDVAR_WAIT(BgL_arg1188z00_123, BgL_arg1189z00_124); } } 
goto BgL_zc3z04anonymousza31184ze3z87_120;} } 
BgL_tmp1550z00_1441 = 
BBOOL(BgL_tmpz00_1446); } } 
BGL_EXITD_POP_PROTECT(BgL_top1551z00_1442); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1183z00_118); 
return BgL_tmp1550z00_1441;} } } } 

}



/* &%pthread-wait */
obj_t BGl_z62z52pthreadzd2waitze2zz__ft_z52pthreadz52(obj_t BgL_envz00_885, obj_t BgL_ftz00_886)
{
{ /* Llib/_pthread.scm 109 */
{ /* Llib/_pthread.scm 111 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1457;
if(
BGl_isazf3zf3zz__objectz00(BgL_ftz00_886, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 111 */
BgL_auxz00_1457 = 
((BgL_z52pthreadz52_bglt)BgL_ftz00_886)
; }  else 
{ 
 obj_t BgL_auxz00_1461;
BgL_auxz00_1461 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1438z00zz__ft_z52pthreadz52, 
BINT(3945L), BGl_string1444z00zz__ft_z52pthreadz52, BGl_string1445z00zz__ft_z52pthreadz52, BgL_ftz00_886); 
FAILURE(BgL_auxz00_1461,BFALSE,BFALSE);} 
return 
BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(BgL_auxz00_1457);} } 

}



/* %pthread-switch */
BGL_EXPORTED_DEF obj_t BGl_z52pthreadzd2switchz80zz__ft_z52pthreadz52(obj_t BgL_ftz00_7, BgL_z52pthreadz52_bglt BgL_ntz00_8)
{
{ /* Llib/_pthread.scm 125 */
{ /* Llib/_pthread.scm 131 */
 obj_t BgL_mutex1191z00_377;
BgL_mutex1191z00_377 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_ntz00_8))->BgL_mutexz00); 
{ /* Llib/_pthread.scm 131 */
 obj_t BgL_top1555z00_1468;
BgL_top1555z00_1468 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1191z00_377); 
BGL_EXITD_PUSH_PROTECT(BgL_top1555z00_1468, BgL_mutex1191z00_377); BUNSPEC; 
{ /* Llib/_pthread.scm 131 */
 obj_t BgL_tmp1554z00_1467;
BGl_z52setzd2schedulerzd2tokenz12z40zz__ft_z52pthreadz52(BgL_ntz00_8); 
{ /* Llib/_pthread.scm 134 */
 obj_t BgL_arg1193z00_378;
BgL_arg1193z00_378 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_ntz00_8))->BgL_condvarz00); 
BgL_tmp1554z00_1467 = 
BBOOL(
BGL_CONDVAR_SIGNAL(BgL_arg1193z00_378)); } 
BGL_EXITD_POP_PROTECT(BgL_top1555z00_1468); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1191z00_377); 
return BgL_tmp1554z00_1467;} } } } 

}



/* &%pthread-switch */
obj_t BGl_z62z52pthreadzd2switchze2zz__ft_z52pthreadz52(obj_t BgL_envz00_887, obj_t BgL_ftz00_888, obj_t BgL_ntz00_889)
{
{ /* Llib/_pthread.scm 125 */
{ /* Llib/_pthread.scm 130 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1478;
if(
BGl_isazf3zf3zz__objectz00(BgL_ntz00_889, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 130 */
BgL_auxz00_1478 = 
((BgL_z52pthreadz52_bglt)BgL_ntz00_889)
; }  else 
{ 
 obj_t BgL_auxz00_1482;
BgL_auxz00_1482 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1438z00zz__ft_z52pthreadz52, 
BINT(4678L), BGl_string1446z00zz__ft_z52pthreadz52, BGl_string1445z00zz__ft_z52pthreadz52, BgL_ntz00_889); 
FAILURE(BgL_auxz00_1482,BFALSE,BFALSE);} 
return 
BGl_z52pthreadzd2switchz80zz__ft_z52pthreadz52(BgL_ftz00_888, BgL_auxz00_1478);} } 

}



/* %pthread-enter-scheduler */
BGL_EXPORTED_DEF obj_t BGl_z52pthreadzd2enterzd2schedulerz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_9)
{
{ /* Llib/_pthread.scm 139 */
if(
CBOOL(
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_parentz00)))
{ /* Llib/_pthread.scm 145 */BFALSE; }  else 
{ /* Llib/_pthread.scm 145 */
{ /* Llib/_pthread.scm 146 */
 obj_t BgL_thz00_135;
BgL_thz00_135 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/_pthread.scm 149 */
 bool_t BgL_test1558z00_1491;
{ /* Llib/_pthread.scm 149 */
 obj_t BgL_classz00_380;
BgL_classz00_380 = BGl_z52pthreadz52zz__ft_z52typesz52; 
if(
BGL_OBJECTP(BgL_thz00_135))
{ /* Llib/_pthread.scm 149 */
 BgL_objectz00_bglt BgL_arg1827z00_382;
BgL_arg1827z00_382 = 
(BgL_objectz00_bglt)(BgL_thz00_135); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 149 */
 long BgL_idxz00_388;
BgL_idxz00_388 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_382); 
BgL_test1558z00_1491 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_388+3L))==BgL_classz00_380); }  else 
{ /* Llib/_pthread.scm 149 */
 bool_t BgL_res1384z00_413;
{ /* Llib/_pthread.scm 149 */
 obj_t BgL_oclassz00_396;
{ /* Llib/_pthread.scm 149 */
 obj_t BgL_arg1834z00_404; long BgL_arg1835z00_405;
BgL_arg1834z00_404 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/_pthread.scm 149 */
 long BgL_arg1836z00_406;
BgL_arg1836z00_406 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_382); 
BgL_arg1835z00_405 = 
(BgL_arg1836z00_406-OBJECT_TYPE); } 
BgL_oclassz00_396 = 
VECTOR_REF(BgL_arg1834z00_404,BgL_arg1835z00_405); } 
{ /* Llib/_pthread.scm 149 */
 bool_t BgL__ortest_1114z00_397;
BgL__ortest_1114z00_397 = 
(BgL_classz00_380==BgL_oclassz00_396); 
if(BgL__ortest_1114z00_397)
{ /* Llib/_pthread.scm 149 */
BgL_res1384z00_413 = BgL__ortest_1114z00_397; }  else 
{ /* Llib/_pthread.scm 149 */
 long BgL_odepthz00_398;
{ /* Llib/_pthread.scm 149 */
 obj_t BgL_arg1824z00_399;
BgL_arg1824z00_399 = 
(BgL_oclassz00_396); 
BgL_odepthz00_398 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_399); } 
if(
(3L<BgL_odepthz00_398))
{ /* Llib/_pthread.scm 149 */
 obj_t BgL_arg1822z00_401;
{ /* Llib/_pthread.scm 149 */
 obj_t BgL_arg1823z00_402;
BgL_arg1823z00_402 = 
(BgL_oclassz00_396); 
BgL_arg1822z00_401 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_402, 3L); } 
BgL_res1384z00_413 = 
(BgL_arg1822z00_401==BgL_classz00_380); }  else 
{ /* Llib/_pthread.scm 149 */
BgL_res1384z00_413 = ((bool_t)0); } } } } 
BgL_test1558z00_1491 = BgL_res1384z00_413; } }  else 
{ /* Llib/_pthread.scm 149 */
BgL_test1558z00_1491 = ((bool_t)0)
; } } 
if(BgL_test1558z00_1491)
{ /* Llib/_pthread.scm 149 */
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(0)), BGl_string1447z00zz__ft_z52pthreadz52, BgL_thz00_135); }  else 
{ /* Llib/_pthread.scm 154 */
 bool_t BgL_test1563z00_1517;
{ /* Llib/_pthread.scm 154 */
 obj_t BgL_classz00_414;
BgL_classz00_414 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_thz00_135))
{ /* Llib/_pthread.scm 154 */
 BgL_objectz00_bglt BgL_arg1827z00_416;
BgL_arg1827z00_416 = 
(BgL_objectz00_bglt)(BgL_thz00_135); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 154 */
 long BgL_idxz00_422;
BgL_idxz00_422 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_416); 
BgL_test1563z00_1517 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_422+3L))==BgL_classz00_414); }  else 
{ /* Llib/_pthread.scm 154 */
 bool_t BgL_res1385z00_447;
{ /* Llib/_pthread.scm 154 */
 obj_t BgL_oclassz00_430;
{ /* Llib/_pthread.scm 154 */
 obj_t BgL_arg1834z00_438; long BgL_arg1835z00_439;
BgL_arg1834z00_438 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/_pthread.scm 154 */
 long BgL_arg1836z00_440;
BgL_arg1836z00_440 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_416); 
BgL_arg1835z00_439 = 
(BgL_arg1836z00_440-OBJECT_TYPE); } 
BgL_oclassz00_430 = 
VECTOR_REF(BgL_arg1834z00_438,BgL_arg1835z00_439); } 
{ /* Llib/_pthread.scm 154 */
 bool_t BgL__ortest_1114z00_431;
BgL__ortest_1114z00_431 = 
(BgL_classz00_414==BgL_oclassz00_430); 
if(BgL__ortest_1114z00_431)
{ /* Llib/_pthread.scm 154 */
BgL_res1385z00_447 = BgL__ortest_1114z00_431; }  else 
{ /* Llib/_pthread.scm 154 */
 long BgL_odepthz00_432;
{ /* Llib/_pthread.scm 154 */
 obj_t BgL_arg1824z00_433;
BgL_arg1824z00_433 = 
(BgL_oclassz00_430); 
BgL_odepthz00_432 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_433); } 
if(
(3L<BgL_odepthz00_432))
{ /* Llib/_pthread.scm 154 */
 obj_t BgL_arg1822z00_435;
{ /* Llib/_pthread.scm 154 */
 obj_t BgL_arg1823z00_436;
BgL_arg1823z00_436 = 
(BgL_oclassz00_430); 
BgL_arg1822z00_435 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_436, 3L); } 
BgL_res1385z00_447 = 
(BgL_arg1822z00_435==BgL_classz00_414); }  else 
{ /* Llib/_pthread.scm 154 */
BgL_res1385z00_447 = ((bool_t)0); } } } } 
BgL_test1563z00_1517 = BgL_res1385z00_447; } }  else 
{ /* Llib/_pthread.scm 154 */
BgL_test1563z00_1517 = ((bool_t)0)
; } } 
if(BgL_test1563z00_1517)
{ /* Llib/_pthread.scm 154 */BUNSPEC; }  else 
{ /* Llib/_pthread.scm 157 */
 bool_t BgL_test1568z00_1540;
{ /* Llib/_pthread.scm 157 */
 obj_t BgL_arg1203z00_145;
BgL_arg1203z00_145 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_fthreadz00); 
if(
BGL_OBJECTP(BgL_thz00_135))
{ /* Llib/_pthread.scm 157 */
 BgL_objectz00_bglt BgL_arg1829z00_450; long BgL_arg1830z00_451;
BgL_arg1829z00_450 = 
(BgL_objectz00_bglt)(BgL_thz00_135); 
{ /* Llib/_pthread.scm 157 */
 obj_t BgL_tmpz00_1545;
BgL_tmpz00_1545 = 
((obj_t)BgL_arg1203z00_145); 
BgL_arg1830z00_451 = 
BGL_CLASS_DEPTH(BgL_tmpz00_1545); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 157 */
 long BgL_idxz00_459;
BgL_idxz00_459 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_450); 
{ /* Llib/_pthread.scm 157 */
 obj_t BgL_arg1820z00_460;
BgL_arg1820z00_460 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_459+BgL_arg1830z00_451)); 
BgL_test1568z00_1540 = 
(BgL_arg1820z00_460==
((obj_t)BgL_arg1203z00_145)); } }  else 
{ /* Llib/_pthread.scm 157 */
 bool_t BgL_res1386z00_487;
{ /* Llib/_pthread.scm 157 */
 obj_t BgL_oclassz00_469;
{ /* Llib/_pthread.scm 157 */
 obj_t BgL_arg1834z00_477; long BgL_arg1835z00_478;
BgL_arg1834z00_477 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/_pthread.scm 157 */
 long BgL_arg1836z00_479;
BgL_arg1836z00_479 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_450); 
BgL_arg1835z00_478 = 
(BgL_arg1836z00_479-OBJECT_TYPE); } 
BgL_oclassz00_469 = 
VECTOR_REF(BgL_arg1834z00_477,BgL_arg1835z00_478); } 
{ /* Llib/_pthread.scm 157 */
 bool_t BgL__ortest_1114z00_470;
BgL__ortest_1114z00_470 = 
(
((obj_t)BgL_arg1203z00_145)==BgL_oclassz00_469); 
if(BgL__ortest_1114z00_470)
{ /* Llib/_pthread.scm 157 */
BgL_res1386z00_487 = BgL__ortest_1114z00_470; }  else 
{ /* Llib/_pthread.scm 157 */
 long BgL_odepthz00_471;
{ /* Llib/_pthread.scm 157 */
 obj_t BgL_arg1824z00_472;
BgL_arg1824z00_472 = 
(BgL_oclassz00_469); 
BgL_odepthz00_471 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_472); } 
if(
(BgL_arg1830z00_451<BgL_odepthz00_471))
{ /* Llib/_pthread.scm 157 */
 obj_t BgL_arg1822z00_474;
{ /* Llib/_pthread.scm 157 */
 obj_t BgL_arg1823z00_475;
BgL_arg1823z00_475 = 
(BgL_oclassz00_469); 
BgL_arg1822z00_474 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_475, BgL_arg1830z00_451); } 
BgL_res1386z00_487 = 
(BgL_arg1822z00_474==
((obj_t)BgL_arg1203z00_145)); }  else 
{ /* Llib/_pthread.scm 157 */
BgL_res1386z00_487 = ((bool_t)0); } } } } 
BgL_test1568z00_1540 = BgL_res1386z00_487; } }  else 
{ /* Llib/_pthread.scm 157 */
BgL_test1568z00_1540 = ((bool_t)0)
; } } 
if(BgL_test1568z00_1540)
{ /* Llib/_pthread.scm 157 */BUNSPEC; }  else 
{ /* Llib/_pthread.scm 160 */
 bool_t BgL_test1574z00_1570;
{ /* Llib/_pthread.scm 160 */
 obj_t BgL_classz00_488;
BgL_classz00_488 = BGl_pthreadz00zz__pth_threadz00; 
if(
BGL_OBJECTP(BgL_thz00_135))
{ /* Llib/_pthread.scm 160 */
 BgL_objectz00_bglt BgL_arg1827z00_490;
BgL_arg1827z00_490 = 
(BgL_objectz00_bglt)(BgL_thz00_135); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 160 */
 long BgL_idxz00_496;
BgL_idxz00_496 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_490); 
BgL_test1574z00_1570 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_496+2L))==BgL_classz00_488); }  else 
{ /* Llib/_pthread.scm 160 */
 bool_t BgL_res1387z00_521;
{ /* Llib/_pthread.scm 160 */
 obj_t BgL_oclassz00_504;
{ /* Llib/_pthread.scm 160 */
 obj_t BgL_arg1834z00_512; long BgL_arg1835z00_513;
BgL_arg1834z00_512 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/_pthread.scm 160 */
 long BgL_arg1836z00_514;
BgL_arg1836z00_514 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_490); 
BgL_arg1835z00_513 = 
(BgL_arg1836z00_514-OBJECT_TYPE); } 
BgL_oclassz00_504 = 
VECTOR_REF(BgL_arg1834z00_512,BgL_arg1835z00_513); } 
{ /* Llib/_pthread.scm 160 */
 bool_t BgL__ortest_1114z00_505;
BgL__ortest_1114z00_505 = 
(BgL_classz00_488==BgL_oclassz00_504); 
if(BgL__ortest_1114z00_505)
{ /* Llib/_pthread.scm 160 */
BgL_res1387z00_521 = BgL__ortest_1114z00_505; }  else 
{ /* Llib/_pthread.scm 160 */
 long BgL_odepthz00_506;
{ /* Llib/_pthread.scm 160 */
 obj_t BgL_arg1824z00_507;
BgL_arg1824z00_507 = 
(BgL_oclassz00_504); 
BgL_odepthz00_506 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_507); } 
if(
(2L<BgL_odepthz00_506))
{ /* Llib/_pthread.scm 160 */
 obj_t BgL_arg1822z00_509;
{ /* Llib/_pthread.scm 160 */
 obj_t BgL_arg1823z00_510;
BgL_arg1823z00_510 = 
(BgL_oclassz00_504); 
BgL_arg1822z00_509 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_510, 2L); } 
BgL_res1387z00_521 = 
(BgL_arg1822z00_509==BgL_classz00_488); }  else 
{ /* Llib/_pthread.scm 160 */
BgL_res1387z00_521 = ((bool_t)0); } } } } 
BgL_test1574z00_1570 = BgL_res1387z00_521; } }  else 
{ /* Llib/_pthread.scm 160 */
BgL_test1574z00_1570 = ((bool_t)0)
; } } 
if(BgL_test1574z00_1570)
{ /* Llib/_pthread.scm 160 */
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_parentz00)=((obj_t)BgL_thz00_135),BUNSPEC); }  else 
{ /* Llib/_pthread.scm 163 */
 bool_t BgL_test1580z00_1594;
if(
BOOLEANP(BgL_thz00_135))
{ /* Llib/_pthread.scm 163 */
if(
CBOOL(BgL_thz00_135))
{ /* Llib/_pthread.scm 163 */
BgL_test1580z00_1594 = ((bool_t)0)
; }  else 
{ /* Llib/_pthread.scm 163 */
BgL_test1580z00_1594 = ((bool_t)1)
; } }  else 
{ /* Llib/_pthread.scm 163 */
BgL_test1580z00_1594 = ((bool_t)0)
; } 
if(BgL_test1580z00_1594)
{ /* Llib/_pthread.scm 163 */
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_parentz00)=((obj_t)BFALSE),BUNSPEC); }  else 
{ /* Llib/_pthread.scm 169 */
 obj_t BgL_arg1202z00_143;
BgL_arg1202z00_143 = 
bgl_find_runtime_type(BgL_thz00_135); 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(0)), BGl_string1448z00zz__ft_z52pthreadz52, BgL_arg1202z00_143); } } } } } } } BUNSPEC; } 
{ /* Llib/_pthread.scm 173 */
 bool_t BgL_test1584z00_1604;
{ /* Llib/_pthread.scm 173 */
 obj_t BgL_arg1209z00_149;
BgL_arg1209z00_149 = 
BGl_currentzd2schedulerzd2zz__ft_schedulerz00(); 
{ /* Llib/_pthread.scm 173 */
 obj_t BgL_classz00_522;
BgL_classz00_522 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1209z00_149))
{ /* Llib/_pthread.scm 173 */
 BgL_objectz00_bglt BgL_arg1827z00_524;
BgL_arg1827z00_524 = 
(BgL_objectz00_bglt)(BgL_arg1209z00_149); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 173 */
 long BgL_idxz00_530;
BgL_idxz00_530 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_524); 
BgL_test1584z00_1604 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_530+3L))==BgL_classz00_522); }  else 
{ /* Llib/_pthread.scm 173 */
 bool_t BgL_res1388z00_555;
{ /* Llib/_pthread.scm 173 */
 obj_t BgL_oclassz00_538;
{ /* Llib/_pthread.scm 173 */
 obj_t BgL_arg1834z00_546; long BgL_arg1835z00_547;
BgL_arg1834z00_546 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/_pthread.scm 173 */
 long BgL_arg1836z00_548;
BgL_arg1836z00_548 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_524); 
BgL_arg1835z00_547 = 
(BgL_arg1836z00_548-OBJECT_TYPE); } 
BgL_oclassz00_538 = 
VECTOR_REF(BgL_arg1834z00_546,BgL_arg1835z00_547); } 
{ /* Llib/_pthread.scm 173 */
 bool_t BgL__ortest_1114z00_539;
BgL__ortest_1114z00_539 = 
(BgL_classz00_522==BgL_oclassz00_538); 
if(BgL__ortest_1114z00_539)
{ /* Llib/_pthread.scm 173 */
BgL_res1388z00_555 = BgL__ortest_1114z00_539; }  else 
{ /* Llib/_pthread.scm 173 */
 long BgL_odepthz00_540;
{ /* Llib/_pthread.scm 173 */
 obj_t BgL_arg1824z00_541;
BgL_arg1824z00_541 = 
(BgL_oclassz00_538); 
BgL_odepthz00_540 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_541); } 
if(
(3L<BgL_odepthz00_540))
{ /* Llib/_pthread.scm 173 */
 obj_t BgL_arg1822z00_543;
{ /* Llib/_pthread.scm 173 */
 obj_t BgL_arg1823z00_544;
BgL_arg1823z00_544 = 
(BgL_oclassz00_538); 
BgL_arg1822z00_543 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_544, 3L); } 
BgL_res1388z00_555 = 
(BgL_arg1822z00_543==BgL_classz00_522); }  else 
{ /* Llib/_pthread.scm 173 */
BgL_res1388z00_555 = ((bool_t)0); } } } } 
BgL_test1584z00_1604 = BgL_res1388z00_555; } }  else 
{ /* Llib/_pthread.scm 173 */
BgL_test1584z00_1604 = ((bool_t)0)
; } } } 
if(BgL_test1584z00_1604)
{ /* Llib/_pthread.scm 173 */BFALSE; }  else 
{ /* Llib/_pthread.scm 173 */
BGl_currentzd2schedulerzd2setz12z12zz__ft_schedulerz00(
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_fthreadz00)); } } 
{ /* Llib/_pthread.scm 177 */
 BgL_schedulerz00_bglt BgL_i1084z00_150;
BgL_i1084z00_150 = 
((BgL_schedulerz00_bglt)
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_fthreadz00)); 
{ /* Llib/_pthread.scm 178 */
 obj_t BgL_fun1210z00_151;
BgL_fun1210z00_151 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_i1084z00_150)))->BgL_bodyz00); 
return 
BGL_PROCEDURE_CALL0(BgL_fun1210z00_151);} } } 

}



/* &%pthread-enter-scheduler */
obj_t BGl_z62z52pthreadzd2enterzd2schedulerz30zz__ft_z52pthreadz52(obj_t BgL_envz00_890, obj_t BgL_scdlz00_891)
{
{ /* Llib/_pthread.scm 139 */
{ /* Llib/_pthread.scm 143 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1637;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_891, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 143 */
BgL_auxz00_1637 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_891)
; }  else 
{ 
 obj_t BgL_auxz00_1641;
BgL_auxz00_1641 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1438z00zz__ft_z52pthreadz52, 
BINT(5251L), BGl_string1449z00zz__ft_z52pthreadz52, BGl_string1445z00zz__ft_z52pthreadz52, BgL_scdlz00_891); 
FAILURE(BgL_auxz00_1641,BFALSE,BFALSE);} 
return 
BGl_z52pthreadzd2enterzd2schedulerz52zz__ft_z52pthreadz52(BgL_auxz00_1637);} } 

}



/* %pthread-leave-scheduler */
BGL_EXPORTED_DEF obj_t BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_10)
{
{ /* Llib/_pthread.scm 183 */
{ /* Llib/_pthread.scm 187 */
 bool_t BgL_test1590z00_1646;
{ /* Llib/_pthread.scm 187 */
 obj_t BgL_arg1213z00_155;
BgL_arg1213z00_155 = 
BGl_currentzd2threadzd2zz__threadz00(); 
{ /* Llib/_pthread.scm 187 */
 obj_t BgL_classz00_556;
BgL_classz00_556 = BGl_fthreadz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1213z00_155))
{ /* Llib/_pthread.scm 187 */
 BgL_objectz00_bglt BgL_arg1827z00_558;
BgL_arg1827z00_558 = 
(BgL_objectz00_bglt)(BgL_arg1213z00_155); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 187 */
 long BgL_idxz00_564;
BgL_idxz00_564 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_558); 
BgL_test1590z00_1646 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_564+2L))==BgL_classz00_556); }  else 
{ /* Llib/_pthread.scm 187 */
 bool_t BgL_res1389z00_589;
{ /* Llib/_pthread.scm 187 */
 obj_t BgL_oclassz00_572;
{ /* Llib/_pthread.scm 187 */
 obj_t BgL_arg1834z00_580; long BgL_arg1835z00_581;
BgL_arg1834z00_580 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/_pthread.scm 187 */
 long BgL_arg1836z00_582;
BgL_arg1836z00_582 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_558); 
BgL_arg1835z00_581 = 
(BgL_arg1836z00_582-OBJECT_TYPE); } 
BgL_oclassz00_572 = 
VECTOR_REF(BgL_arg1834z00_580,BgL_arg1835z00_581); } 
{ /* Llib/_pthread.scm 187 */
 bool_t BgL__ortest_1114z00_573;
BgL__ortest_1114z00_573 = 
(BgL_classz00_556==BgL_oclassz00_572); 
if(BgL__ortest_1114z00_573)
{ /* Llib/_pthread.scm 187 */
BgL_res1389z00_589 = BgL__ortest_1114z00_573; }  else 
{ /* Llib/_pthread.scm 187 */
 long BgL_odepthz00_574;
{ /* Llib/_pthread.scm 187 */
 obj_t BgL_arg1824z00_575;
BgL_arg1824z00_575 = 
(BgL_oclassz00_572); 
BgL_odepthz00_574 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_575); } 
if(
(2L<BgL_odepthz00_574))
{ /* Llib/_pthread.scm 187 */
 obj_t BgL_arg1822z00_577;
{ /* Llib/_pthread.scm 187 */
 obj_t BgL_arg1823z00_578;
BgL_arg1823z00_578 = 
(BgL_oclassz00_572); 
BgL_arg1822z00_577 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_578, 2L); } 
BgL_res1389z00_589 = 
(BgL_arg1822z00_577==BgL_classz00_556); }  else 
{ /* Llib/_pthread.scm 187 */
BgL_res1389z00_589 = ((bool_t)0); } } } } 
BgL_test1590z00_1646 = BgL_res1389z00_589; } }  else 
{ /* Llib/_pthread.scm 187 */
BgL_test1590z00_1646 = ((bool_t)0)
; } } } 
if(BgL_test1590z00_1646)
{ /* Llib/_pthread.scm 187 */BFALSE; }  else 
{ /* Llib/_pthread.scm 187 */
BGl_currentzd2schedulerzd2setz12z12zz__ft_schedulerz00(BFALSE); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_10))->BgL_parentz00)=((obj_t)BFALSE),BUNSPEC); } } 
return BFALSE;} 

}



/* &%pthread-leave-scheduler */
obj_t BGl_z62z52pthreadzd2leavezd2schedulerz30zz__ft_z52pthreadz52(obj_t BgL_envz00_892, obj_t BgL_scdlz00_893)
{
{ /* Llib/_pthread.scm 183 */
{ /* Llib/_pthread.scm 187 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1672;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_893, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 187 */
BgL_auxz00_1672 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_893)
; }  else 
{ 
 obj_t BgL_auxz00_1676;
BgL_auxz00_1676 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1438z00zz__ft_z52pthreadz52, 
BINT(6787L), BGl_string1450z00zz__ft_z52pthreadz52, BGl_string1445z00zz__ft_z52pthreadz52, BgL_scdlz00_893); 
FAILURE(BgL_auxz00_1676,BFALSE,BFALSE);} 
return 
BGl_z52pthreadzd2leavezd2schedulerz52zz__ft_z52pthreadz52(BgL_auxz00_1672);} } 

}



/* %async-spawn */
BGL_EXPORTED_DEF obj_t BGl_z52asynczd2spawnz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_11, obj_t BgL_bodyz00_12, obj_t BgL_oz00_13)
{
{ /* Llib/_pthread.scm 196 */
{ /* Llib/_pthread.scm 201 */
 BgL_z52pthreadz52_bglt BgL_z52pthz52_156;
{ /* Llib/_pthread.scm 201 */
 BgL_z52pthreadz52_bglt BgL_new1087z00_158;
{ /* Llib/_pthread.scm 204 */
 BgL_z52pthreadz52_bglt BgL_new1086z00_168;
BgL_new1086z00_168 = 
((BgL_z52pthreadz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52pthreadz52_bgl) ))); 
{ /* Llib/_pthread.scm 204 */
 long BgL_arg1224z00_169;
BgL_arg1224z00_169 = 
BGL_CLASS_NUM(BGl_z52pthreadz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1086z00_168), BgL_arg1224z00_169); } 
BgL_new1087z00_158 = BgL_new1086z00_168; } 
{ 
 obj_t BgL_auxz00_1685;
{ /* Llib/_pthread.scm 204 */
 obj_t BgL_arg1215z00_159;
{ /* Llib/_pthread.scm 204 */
 obj_t BgL_arg1216z00_160; obj_t BgL_arg1217z00_161;
{ /* Llib/_pthread.scm 204 */
 obj_t BgL_arg1218z00_162;
BgL_arg1218z00_162 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
((obj_t)
CNST_TABLE_REF(1))); 
{ /* Llib/_pthread.scm 204 */
 obj_t BgL_arg1484z00_594;
BgL_arg1484z00_594 = 
SYMBOL_TO_STRING(BgL_arg1218z00_162); 
BgL_arg1216z00_160 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1484z00_594); } } 
{ /* Llib/_pthread.scm 204 */
 obj_t BgL_arg1484z00_596;
BgL_arg1484z00_596 = 
SYMBOL_TO_STRING(
((obj_t)BgL_oz00_13)); 
BgL_arg1217z00_161 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1484z00_596); } 
BgL_arg1215z00_159 = 
string_append(BgL_arg1216z00_160, BgL_arg1217z00_161); } 
BgL_auxz00_1685 = 
bstring_to_symbol(BgL_arg1215z00_159); } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1087z00_158)))->BgL_namez00)=((obj_t)BgL_auxz00_1685),BUNSPEC); } 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1087z00_158)))->BgL_bodyz00)=((obj_t)BgL_bodyz00_12),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1087z00_158)))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1087z00_158)))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1087z00_158)))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1087z00_158)))->BgL_z42builtinz42)=((void *)
BGl_z42pthreadzd2nilz90zz__pth_threadz00()),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1087z00_158))->BgL_fthreadz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1710;
{ /* Llib/_pthread.scm 203 */
 obj_t BgL_arg1219z00_163;
{ /* Llib/_pthread.scm 203 */
 obj_t BgL_arg1220z00_164;
{ /* Llib/_pthread.scm 203 */
 obj_t BgL_classz00_598;
BgL_classz00_598 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1220z00_164 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_598); } 
BgL_arg1219z00_163 = 
VECTOR_REF(BgL_arg1220z00_164,9L); } 
BgL_auxz00_1710 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1219z00_163); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1087z00_158))->BgL_mutexz00)=((obj_t)BgL_auxz00_1710),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_1715;
{ /* Llib/_pthread.scm 203 */
 obj_t BgL_arg1221z00_165;
{ /* Llib/_pthread.scm 203 */
 obj_t BgL_arg1222z00_166;
{ /* Llib/_pthread.scm 203 */
 obj_t BgL_classz00_600;
BgL_classz00_600 = BGl_z52pthreadz52zz__ft_z52typesz52; 
BgL_arg1222z00_166 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_600); } 
BgL_arg1221z00_165 = 
VECTOR_REF(BgL_arg1222z00_166,10L); } 
BgL_auxz00_1715 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1221z00_165); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1087z00_158))->BgL_condvarz00)=((obj_t)BgL_auxz00_1715),BUNSPEC); } 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1087z00_158))->BgL_idz00)=((obj_t)BgL_oz00_13),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1087z00_158))->BgL_parentz00)=((obj_t)BFALSE),BUNSPEC); 
{ /* Llib/_pthread.scm 201 */
 obj_t BgL_fun1223z00_167;
BgL_fun1223z00_167 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_z52pthreadz52zz__ft_z52typesz52); 
BGL_PROCEDURE_CALL1(BgL_fun1223z00_167, 
((obj_t)BgL_new1087z00_158)); } 
BgL_z52pthz52_156 = BgL_new1087z00_158; } 
BGl_threadzd2startz12zc0zz__threadz00(
((BgL_threadz00_bglt)BgL_z52pthz52_156), BNIL); 
return 
((obj_t)BgL_z52pthz52_156);} } 

}



/* &%async-spawn */
obj_t BGl_z62z52asynczd2spawnze2zz__ft_z52pthreadz52(obj_t BgL_envz00_894, obj_t BgL_scdlz00_895, obj_t BgL_bodyz00_896, obj_t BgL_oz00_897)
{
{ /* Llib/_pthread.scm 196 */
{ /* Llib/_pthread.scm 201 */
 obj_t BgL_auxz00_1739; BgL_z52pthreadz52_bglt BgL_auxz00_1731;
if(
PROCEDUREP(BgL_bodyz00_896))
{ /* Llib/_pthread.scm 201 */
BgL_auxz00_1739 = BgL_bodyz00_896
; }  else 
{ 
 obj_t BgL_auxz00_1742;
BgL_auxz00_1742 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1438z00zz__ft_z52pthreadz52, 
BINT(7392L), BGl_string1451z00zz__ft_z52pthreadz52, BGl_string1452z00zz__ft_z52pthreadz52, BgL_bodyz00_896); 
FAILURE(BgL_auxz00_1742,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_895, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 201 */
BgL_auxz00_1731 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_895)
; }  else 
{ 
 obj_t BgL_auxz00_1735;
BgL_auxz00_1735 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1438z00zz__ft_z52pthreadz52, 
BINT(7392L), BGl_string1451z00zz__ft_z52pthreadz52, BGl_string1445z00zz__ft_z52pthreadz52, BgL_scdlz00_895); 
FAILURE(BgL_auxz00_1735,BFALSE,BFALSE);} 
return 
BGl_z52asynczd2spawnz80zz__ft_z52pthreadz52(BgL_auxz00_1731, BgL_auxz00_1739, BgL_oz00_897);} } 

}



/* %async-synchronize */
BGL_EXPORTED_DEF obj_t BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_14)
{
{ /* Llib/_pthread.scm 211 */
{ /* Llib/_pthread.scm 215 */
 obj_t BgL_arg1225z00_603;
BgL_arg1225z00_603 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_14))->BgL_mutexz00); 
{ /* Llib/_pthread.scm 215 */

{ /* Llib/_pthread.scm 215 */
 int BgL_arg1725z00_609;
BgL_arg1725z00_609 = 
BGL_MUTEX_LOCK(BgL_arg1225z00_603); 
return 
BBOOL(
(
(long)(BgL_arg1725z00_609)==0L));} } } } 

}



/* &%async-synchronize */
obj_t BGl_z62z52asynczd2synchroniza7ez45zz__ft_z52pthreadz52(obj_t BgL_envz00_898, obj_t BgL_scdlz00_899)
{
{ /* Llib/_pthread.scm 211 */
{ /* Llib/_pthread.scm 214 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1752;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_899, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 214 */
BgL_auxz00_1752 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_899)
; }  else 
{ 
 obj_t BgL_auxz00_1756;
BgL_auxz00_1756 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1438z00zz__ft_z52pthreadz52, 
BINT(7893L), BGl_string1453z00zz__ft_z52pthreadz52, BGl_string1445z00zz__ft_z52pthreadz52, BgL_scdlz00_899); 
FAILURE(BgL_auxz00_1756,BFALSE,BFALSE);} 
return 
BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(BgL_auxz00_1752);} } 

}



/* %async-asynchronize */
BGL_EXPORTED_DEF obj_t BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_15)
{
{ /* Llib/_pthread.scm 220 */
{ /* Llib/_pthread.scm 224 */
 obj_t BgL_arg1227z00_615;
BgL_arg1227z00_615 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_15))->BgL_mutexz00); 
{ /* Llib/_pthread.scm 224 */
 int BgL_arg1723z00_617;
BgL_arg1723z00_617 = 
BGL_MUTEX_UNLOCK(BgL_arg1227z00_615); 
return 
BBOOL(
(
(long)(BgL_arg1723z00_617)==0L));} } } 

}



/* &%async-asynchronize */
obj_t BGl_z62z52asynczd2asynchroniza7ez45zz__ft_z52pthreadz52(obj_t BgL_envz00_900, obj_t BgL_scdlz00_901)
{
{ /* Llib/_pthread.scm 220 */
{ /* Llib/_pthread.scm 223 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1766;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_901, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 223 */
BgL_auxz00_1766 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_901)
; }  else 
{ 
 obj_t BgL_auxz00_1770;
BgL_auxz00_1770 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1438z00zz__ft_z52pthreadz52, 
BINT(8317L), BGl_string1454z00zz__ft_z52pthreadz52, BGl_string1445z00zz__ft_z52pthreadz52, BgL_scdlz00_901); 
FAILURE(BgL_auxz00_1770,BFALSE,BFALSE);} 
return 
BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(BgL_auxz00_1766);} } 

}



/* %async-scheduler-wait */
BGL_EXPORTED_DEF obj_t BGl_z52asynczd2schedulerzd2waitz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_16)
{
{ /* Llib/_pthread.scm 229 */
{ /* Llib/_pthread.scm 233 */
 obj_t BgL_arg1228z00_177; obj_t BgL_arg1229z00_178;
BgL_arg1228z00_177 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_16))->BgL_condvarz00); 
BgL_arg1229z00_178 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_16))->BgL_mutexz00); 
{ /* Llib/_pthread.scm 233 */

return 
BBOOL(
BGL_CONDVAR_WAIT(BgL_arg1228z00_177, BgL_arg1229z00_178));} } } 

}



/* &%async-scheduler-wait */
obj_t BGl_z62z52asynczd2schedulerzd2waitz30zz__ft_z52pthreadz52(obj_t BgL_envz00_902, obj_t BgL_scdlz00_903)
{
{ /* Llib/_pthread.scm 229 */
{ /* Llib/_pthread.scm 232 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1779;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_903, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 232 */
BgL_auxz00_1779 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_903)
; }  else 
{ 
 obj_t BgL_auxz00_1783;
BgL_auxz00_1783 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1438z00zz__ft_z52pthreadz52, 
BINT(8744L), BGl_string1455z00zz__ft_z52pthreadz52, BGl_string1445z00zz__ft_z52pthreadz52, BgL_scdlz00_903); 
FAILURE(BgL_auxz00_1783,BFALSE,BFALSE);} 
return 
BGl_z52asynczd2schedulerzd2waitz52zz__ft_z52pthreadz52(BgL_auxz00_1779);} } 

}



/* %async-scheduler-notify */
BGL_EXPORTED_DEF obj_t BGl_z52asynczd2schedulerzd2notifyz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt BgL_scdlz00_17)
{
{ /* Llib/_pthread.scm 238 */
{ /* Llib/_pthread.scm 242 */
 obj_t BgL_arg1230z00_625;
BgL_arg1230z00_625 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_scdlz00_17))->BgL_condvarz00); 
return 
BBOOL(
BGL_CONDVAR_SIGNAL(BgL_arg1230z00_625));} } 

}



/* &%async-scheduler-notify */
obj_t BGl_z62z52asynczd2schedulerzd2notifyz30zz__ft_z52pthreadz52(obj_t BgL_envz00_904, obj_t BgL_scdlz00_905)
{
{ /* Llib/_pthread.scm 238 */
{ /* Llib/_pthread.scm 241 */
 BgL_z52pthreadz52_bglt BgL_auxz00_1791;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_905, BGl_z52pthreadz52zz__ft_z52typesz52))
{ /* Llib/_pthread.scm 241 */
BgL_auxz00_1791 = 
((BgL_z52pthreadz52_bglt)BgL_scdlz00_905)
; }  else 
{ 
 obj_t BgL_auxz00_1795;
BgL_auxz00_1795 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1438z00zz__ft_z52pthreadz52, 
BINT(9202L), BGl_string1456z00zz__ft_z52pthreadz52, BGl_string1445z00zz__ft_z52pthreadz52, BgL_scdlz00_905); 
FAILURE(BgL_auxz00_1795,BFALSE,BFALSE);} 
return 
BGl_z52asynczd2schedulerzd2notifyz52zz__ft_z52pthreadz52(BgL_auxz00_1791);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_z52pthreadz52(void)
{
{ /* Llib/_pthread.scm 6 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_z52pthreadz52(void)
{
{ /* Llib/_pthread.scm 6 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_z52pthreadz52(void)
{
{ /* Llib/_pthread.scm 6 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2writezd2envz00zz__objectz00, BGl_z52pthreadz52zz__ft_z52typesz52, BGl_proc1457z00zz__ft_z52pthreadz52, BGl_string1458z00zz__ft_z52pthreadz52); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_z52pthreadz52zz__ft_z52typesz52, BGl_proc1459z00zz__ft_z52pthreadz52, BGl_string1460z00zz__ft_z52pthreadz52); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2currentzd2threadzd2envz80zz__threadz00, BGl_z52pthreadz52zz__ft_z52typesz52, BGl_proc1461z00zz__ft_z52pthreadz52, BGl_string1462z00zz__ft_z52pthreadz52); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00, BGl_z52pthreadz52zz__ft_z52typesz52, BGl_proc1463z00zz__ft_z52pthreadz52, BGl_string1464z00zz__ft_z52pthreadz52); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2threadzd2sleepz12zd2envz92zz__threadz00, BGl_z52pthreadz52zz__ft_z52typesz52, BGl_proc1465z00zz__ft_z52pthreadz52, BGl_string1466z00zz__ft_z52pthreadz52); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2currentzd2threadzd2envz80zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1467z00zz__ft_z52pthreadz52, BGl_string1462z00zz__ft_z52pthreadz52); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1468z00zz__ft_z52pthreadz52, BGl_string1464z00zz__ft_z52pthreadz52); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2threadzd2sleepz12zd2envz92zz__threadz00, BGl_fthreadz00zz__ft_typesz00, BGl_proc1469z00zz__ft_z52pthreadz52, BGl_string1466z00zz__ft_z52pthreadz52);} 

}



/* &%user-thread-sleep!-1117 */
obj_t BGl_z62z52userzd2threadzd2sleepz12zd21117zf0zz__ft_z52pthreadz52(obj_t BgL_envz00_915, obj_t BgL_oz00_916, obj_t BgL_timeoutz00_917)
{
{ /* Llib/_pthread.scm 317 */
if(
(
(long)CINT(BgL_timeoutz00_917)>0L))
{ /* Llib/_pthread.scm 318 */
return 
BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_oz00_916), 
CINT(BgL_timeoutz00_917));}  else 
{ /* Llib/_pthread.scm 318 */
return BFALSE;} } 

}



/* &%user-thread-yield!-1115 */
obj_t BGl_z62z52userzd2threadzd2yieldz12zd21115zf0zz__ft_z52pthreadz52(obj_t BgL_envz00_918, obj_t BgL_oz00_919)
{
{ /* Llib/_pthread.scm 311 */
return 
BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_oz00_919));} 

}



/* &%user-current-thread1113 */
obj_t BGl_z62z52userzd2currentzd2thread1113z30zz__ft_z52pthreadz52(obj_t BgL_envz00_920, obj_t BgL_oz00_921)
{
{ /* Llib/_pthread.scm 305 */
return 
((obj_t)
((BgL_fthreadz00_bglt)BgL_oz00_921));} 

}



/* &%user-thread-sleep!-1111 */
obj_t BGl_z62z52userzd2threadzd2sleepz12zd21111zf0zz__ft_z52pthreadz52(obj_t BgL_envz00_922, obj_t BgL_oz00_923, obj_t BgL_timeoutz00_924)
{
{ /* Llib/_pthread.scm 297 */
{ /* Llib/_pthread.scm 299 */
 bool_t BgL_test1607z00_1818;
{ /* Llib/_pthread.scm 299 */
 bool_t BgL_test1608z00_1819;
{ /* Llib/_pthread.scm 299 */
 obj_t BgL_arg1373z00_1033;
BgL_arg1373z00_1033 = 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_923)))->BgL_fthreadz00); 
{ /* Llib/_pthread.scm 299 */
 obj_t BgL_classz00_1034;
BgL_classz00_1034 = BGl_fthreadz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1373z00_1033))
{ /* Llib/_pthread.scm 299 */
 BgL_objectz00_bglt BgL_arg1827z00_1035;
BgL_arg1827z00_1035 = 
(BgL_objectz00_bglt)(BgL_arg1373z00_1033); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 299 */
 long BgL_idxz00_1036;
BgL_idxz00_1036 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1035); 
BgL_test1608z00_1819 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1036+2L))==BgL_classz00_1034); }  else 
{ /* Llib/_pthread.scm 299 */
 bool_t BgL_res1395z00_1039;
{ /* Llib/_pthread.scm 299 */
 obj_t BgL_oclassz00_1040;
{ /* Llib/_pthread.scm 299 */
 obj_t BgL_arg1834z00_1041; long BgL_arg1835z00_1042;
BgL_arg1834z00_1041 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/_pthread.scm 299 */
 long BgL_arg1836z00_1043;
BgL_arg1836z00_1043 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1035); 
BgL_arg1835z00_1042 = 
(BgL_arg1836z00_1043-OBJECT_TYPE); } 
BgL_oclassz00_1040 = 
VECTOR_REF(BgL_arg1834z00_1041,BgL_arg1835z00_1042); } 
{ /* Llib/_pthread.scm 299 */
 bool_t BgL__ortest_1114z00_1044;
BgL__ortest_1114z00_1044 = 
(BgL_classz00_1034==BgL_oclassz00_1040); 
if(BgL__ortest_1114z00_1044)
{ /* Llib/_pthread.scm 299 */
BgL_res1395z00_1039 = BgL__ortest_1114z00_1044; }  else 
{ /* Llib/_pthread.scm 299 */
 long BgL_odepthz00_1045;
{ /* Llib/_pthread.scm 299 */
 obj_t BgL_arg1824z00_1046;
BgL_arg1824z00_1046 = 
(BgL_oclassz00_1040); 
BgL_odepthz00_1045 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1046); } 
if(
(2L<BgL_odepthz00_1045))
{ /* Llib/_pthread.scm 299 */
 obj_t BgL_arg1822z00_1047;
{ /* Llib/_pthread.scm 299 */
 obj_t BgL_arg1823z00_1048;
BgL_arg1823z00_1048 = 
(BgL_oclassz00_1040); 
BgL_arg1822z00_1047 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1048, 2L); } 
BgL_res1395z00_1039 = 
(BgL_arg1822z00_1047==BgL_classz00_1034); }  else 
{ /* Llib/_pthread.scm 299 */
BgL_res1395z00_1039 = ((bool_t)0); } } } } 
BgL_test1608z00_1819 = BgL_res1395z00_1039; } }  else 
{ /* Llib/_pthread.scm 299 */
BgL_test1608z00_1819 = ((bool_t)0)
; } } } 
if(BgL_test1608z00_1819)
{ /* Llib/_pthread.scm 299 */
BgL_test1607z00_1818 = 
(
(long)CINT(BgL_timeoutz00_924)>0L)
; }  else 
{ /* Llib/_pthread.scm 299 */
BgL_test1607z00_1818 = ((bool_t)0)
; } } 
if(BgL_test1607z00_1818)
{ /* Llib/_pthread.scm 300 */
 obj_t BgL_arg1370z00_1049;
BgL_arg1370z00_1049 = 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_923)))->BgL_fthreadz00); 
return 
BGl_z52threadzd2timeoutz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_arg1370z00_1049), 
CINT(BgL_timeoutz00_924));}  else 
{ /* Llib/_pthread.scm 299 */
return BFALSE;} } } 

}



/* &%user-thread-yield!-1109 */
obj_t BGl_z62z52userzd2threadzd2yieldz12zd21109zf0zz__ft_z52pthreadz52(obj_t BgL_envz00_925, obj_t BgL_oz00_926)
{
{ /* Llib/_pthread.scm 289 */
if(
CBOOL(
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_926)))->BgL_fthreadz00)))
{ /* Llib/_pthread.scm 292 */
 obj_t BgL_arg1359z00_1051;
BgL_arg1359z00_1051 = 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_926)))->BgL_fthreadz00); 
return 
BGl_z52threadzd2yieldz12z92zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_arg1359z00_1051));}  else 
{ /* Llib/_pthread.scm 291 */
return BFALSE;} } 

}



/* &%user-current-thread1107 */
obj_t BGl_z62z52userzd2currentzd2thread1107z30zz__ft_z52pthreadz52(obj_t BgL_envz00_927, obj_t BgL_oz00_928)
{
{ /* Llib/_pthread.scm 280 */
{ /* Llib/_pthread.scm 282 */
 bool_t BgL_test1615z00_1859;
{ /* Llib/_pthread.scm 282 */
 obj_t BgL_arg1353z00_1053;
BgL_arg1353z00_1053 = 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_928)))->BgL_fthreadz00); 
{ /* Llib/_pthread.scm 282 */
 obj_t BgL_classz00_1054;
BgL_classz00_1054 = BGl_fthreadz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1353z00_1053))
{ /* Llib/_pthread.scm 282 */
 BgL_objectz00_bglt BgL_arg1827z00_1055;
BgL_arg1827z00_1055 = 
(BgL_objectz00_bglt)(BgL_arg1353z00_1053); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 282 */
 long BgL_idxz00_1056;
BgL_idxz00_1056 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1055); 
BgL_test1615z00_1859 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1056+2L))==BgL_classz00_1054); }  else 
{ /* Llib/_pthread.scm 282 */
 bool_t BgL_res1392z00_1059;
{ /* Llib/_pthread.scm 282 */
 obj_t BgL_oclassz00_1060;
{ /* Llib/_pthread.scm 282 */
 obj_t BgL_arg1834z00_1061; long BgL_arg1835z00_1062;
BgL_arg1834z00_1061 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/_pthread.scm 282 */
 long BgL_arg1836z00_1063;
BgL_arg1836z00_1063 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1055); 
BgL_arg1835z00_1062 = 
(BgL_arg1836z00_1063-OBJECT_TYPE); } 
BgL_oclassz00_1060 = 
VECTOR_REF(BgL_arg1834z00_1061,BgL_arg1835z00_1062); } 
{ /* Llib/_pthread.scm 282 */
 bool_t BgL__ortest_1114z00_1064;
BgL__ortest_1114z00_1064 = 
(BgL_classz00_1054==BgL_oclassz00_1060); 
if(BgL__ortest_1114z00_1064)
{ /* Llib/_pthread.scm 282 */
BgL_res1392z00_1059 = BgL__ortest_1114z00_1064; }  else 
{ /* Llib/_pthread.scm 282 */
 long BgL_odepthz00_1065;
{ /* Llib/_pthread.scm 282 */
 obj_t BgL_arg1824z00_1066;
BgL_arg1824z00_1066 = 
(BgL_oclassz00_1060); 
BgL_odepthz00_1065 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1066); } 
if(
(2L<BgL_odepthz00_1065))
{ /* Llib/_pthread.scm 282 */
 obj_t BgL_arg1822z00_1067;
{ /* Llib/_pthread.scm 282 */
 obj_t BgL_arg1823z00_1068;
BgL_arg1823z00_1068 = 
(BgL_oclassz00_1060); 
BgL_arg1822z00_1067 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1068, 2L); } 
BgL_res1392z00_1059 = 
(BgL_arg1822z00_1067==BgL_classz00_1054); }  else 
{ /* Llib/_pthread.scm 282 */
BgL_res1392z00_1059 = ((bool_t)0); } } } } 
BgL_test1615z00_1859 = BgL_res1392z00_1059; } }  else 
{ /* Llib/_pthread.scm 282 */
BgL_test1615z00_1859 = ((bool_t)0)
; } } } 
if(BgL_test1615z00_1859)
{ /* Llib/_pthread.scm 282 */
return 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_928)))->BgL_fthreadz00);}  else 
{ /* Llib/_pthread.scm 268 */
 obj_t BgL_csz00_1069;
BgL_csz00_1069 = 
BGl_currentzd2schedulerzd2zz__ft_schedulerz00(); 
{ /* Llib/_pthread.scm 269 */
 bool_t BgL_test1623z00_1887;
{ /* Llib/_pthread.scm 269 */
 obj_t BgL_classz00_1070;
BgL_classz00_1070 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_csz00_1069))
{ /* Llib/_pthread.scm 269 */
 BgL_objectz00_bglt BgL_arg1827z00_1071;
BgL_arg1827z00_1071 = 
(BgL_objectz00_bglt)(BgL_csz00_1069); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 269 */
 long BgL_idxz00_1072;
BgL_idxz00_1072 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1071); 
BgL_test1623z00_1887 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1072+3L))==BgL_classz00_1070); }  else 
{ /* Llib/_pthread.scm 269 */
 bool_t BgL_res1393z00_1075;
{ /* Llib/_pthread.scm 269 */
 obj_t BgL_oclassz00_1076;
{ /* Llib/_pthread.scm 269 */
 obj_t BgL_arg1834z00_1077; long BgL_arg1835z00_1078;
BgL_arg1834z00_1077 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/_pthread.scm 269 */
 long BgL_arg1836z00_1079;
BgL_arg1836z00_1079 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1071); 
BgL_arg1835z00_1078 = 
(BgL_arg1836z00_1079-OBJECT_TYPE); } 
BgL_oclassz00_1076 = 
VECTOR_REF(BgL_arg1834z00_1077,BgL_arg1835z00_1078); } 
{ /* Llib/_pthread.scm 269 */
 bool_t BgL__ortest_1114z00_1080;
BgL__ortest_1114z00_1080 = 
(BgL_classz00_1070==BgL_oclassz00_1076); 
if(BgL__ortest_1114z00_1080)
{ /* Llib/_pthread.scm 269 */
BgL_res1393z00_1075 = BgL__ortest_1114z00_1080; }  else 
{ /* Llib/_pthread.scm 269 */
 long BgL_odepthz00_1081;
{ /* Llib/_pthread.scm 269 */
 obj_t BgL_arg1824z00_1082;
BgL_arg1824z00_1082 = 
(BgL_oclassz00_1076); 
BgL_odepthz00_1081 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1082); } 
if(
(3L<BgL_odepthz00_1081))
{ /* Llib/_pthread.scm 269 */
 obj_t BgL_arg1822z00_1083;
{ /* Llib/_pthread.scm 269 */
 obj_t BgL_arg1823z00_1084;
BgL_arg1823z00_1084 = 
(BgL_oclassz00_1076); 
BgL_arg1822z00_1083 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1084, 3L); } 
BgL_res1393z00_1075 = 
(BgL_arg1822z00_1083==BgL_classz00_1070); }  else 
{ /* Llib/_pthread.scm 269 */
BgL_res1393z00_1075 = ((bool_t)0); } } } } 
BgL_test1623z00_1887 = BgL_res1393z00_1075; } }  else 
{ /* Llib/_pthread.scm 269 */
BgL_test1623z00_1887 = ((bool_t)0)
; } } 
if(BgL_test1623z00_1887)
{ /* Llib/_pthread.scm 269 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_csz00_1069)))->BgL_currentzd2threadzd2);}  else 
{ /* Llib/_pthread.scm 272 */
 obj_t BgL_dsz00_1085;
BgL_dsz00_1085 = 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL); 
{ /* Llib/_pthread.scm 273 */
 bool_t BgL_test1628z00_1913;
{ /* Llib/_pthread.scm 273 */
 obj_t BgL_classz00_1086;
BgL_classz00_1086 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_dsz00_1085))
{ /* Llib/_pthread.scm 273 */
 BgL_objectz00_bglt BgL_arg1827z00_1087;
BgL_arg1827z00_1087 = 
(BgL_objectz00_bglt)(BgL_dsz00_1085); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_pthread.scm 273 */
 long BgL_idxz00_1088;
BgL_idxz00_1088 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1087); 
BgL_test1628z00_1913 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1088+3L))==BgL_classz00_1086); }  else 
{ /* Llib/_pthread.scm 273 */
 bool_t BgL_res1394z00_1091;
{ /* Llib/_pthread.scm 273 */
 obj_t BgL_oclassz00_1092;
{ /* Llib/_pthread.scm 273 */
 obj_t BgL_arg1834z00_1093; long BgL_arg1835z00_1094;
BgL_arg1834z00_1093 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/_pthread.scm 273 */
 long BgL_arg1836z00_1095;
BgL_arg1836z00_1095 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1087); 
BgL_arg1835z00_1094 = 
(BgL_arg1836z00_1095-OBJECT_TYPE); } 
BgL_oclassz00_1092 = 
VECTOR_REF(BgL_arg1834z00_1093,BgL_arg1835z00_1094); } 
{ /* Llib/_pthread.scm 273 */
 bool_t BgL__ortest_1114z00_1096;
BgL__ortest_1114z00_1096 = 
(BgL_classz00_1086==BgL_oclassz00_1092); 
if(BgL__ortest_1114z00_1096)
{ /* Llib/_pthread.scm 273 */
BgL_res1394z00_1091 = BgL__ortest_1114z00_1096; }  else 
{ /* Llib/_pthread.scm 273 */
 long BgL_odepthz00_1097;
{ /* Llib/_pthread.scm 273 */
 obj_t BgL_arg1824z00_1098;
BgL_arg1824z00_1098 = 
(BgL_oclassz00_1092); 
BgL_odepthz00_1097 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1098); } 
if(
(3L<BgL_odepthz00_1097))
{ /* Llib/_pthread.scm 273 */
 obj_t BgL_arg1822z00_1099;
{ /* Llib/_pthread.scm 273 */
 obj_t BgL_arg1823z00_1100;
BgL_arg1823z00_1100 = 
(BgL_oclassz00_1092); 
BgL_arg1822z00_1099 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1100, 3L); } 
BgL_res1394z00_1091 = 
(BgL_arg1822z00_1099==BgL_classz00_1086); }  else 
{ /* Llib/_pthread.scm 273 */
BgL_res1394z00_1091 = ((bool_t)0); } } } } 
BgL_test1628z00_1913 = BgL_res1394z00_1091; } }  else 
{ /* Llib/_pthread.scm 273 */
BgL_test1628z00_1913 = ((bool_t)0)
; } } 
if(BgL_test1628z00_1913)
{ /* Llib/_pthread.scm 273 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_dsz00_1085)))->BgL_currentzd2threadzd2);}  else 
{ /* Llib/_pthread.scm 273 */
return BFALSE;} } } } } } } 

}



/* &object-display-%pthr1105 */
obj_t BGl_z62objectzd2displayzd2z52pthr1105z30zz__ft_z52pthreadz52(obj_t BgL_envz00_929, obj_t BgL_oz00_930, obj_t BgL_portz00_931)
{
{ /* Llib/_pthread.scm 260 */
{ /* Llib/_pthread.scm 261 */
 obj_t BgL_runner1329z00_1102;
{ /* Llib/_pthread.scm 261 */
 obj_t BgL_list1327z00_1103;
BgL_list1327z00_1103 = 
MAKE_YOUNG_PAIR(BgL_portz00_931, BNIL); 
BgL_runner1329z00_1102 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)
((BgL_z52pthreadz52_bglt)BgL_oz00_930)), BgL_list1327z00_1103); } 
{ /* Llib/_pthread.scm 261 */
 BgL_objectz00_bglt BgL_aux1328z00_1104;
{ /* Llib/_pthread.scm 261 */
 obj_t BgL_pairz00_1105;
BgL_pairz00_1105 = BgL_runner1329z00_1102; 
BgL_aux1328z00_1104 = 
((BgL_objectz00_bglt)
CAR(BgL_pairz00_1105)); } 
BgL_runner1329z00_1102 = 
CDR(BgL_runner1329z00_1102); 
return 
BGl_objectzd2writezd2zz__objectz00(BgL_aux1328z00_1104, BgL_runner1329z00_1102);} } } 

}



/* &object-write-%pthrea1103 */
obj_t BGl_z62objectzd2writezd2z52pthrea1103z30zz__ft_z52pthreadz52(obj_t BgL_envz00_932, obj_t BgL_oz00_933, obj_t BgL_portz00_934)
{
{ /* Llib/_pthread.scm 247 */
{ /* Llib/_pthread.scm 248 */
 obj_t BgL_arg1234z00_1107;
{ /* Llib/_pthread.scm 248 */
 bool_t BgL_test1636z00_1946;
if(
PAIRP(BgL_portz00_934))
{ /* Llib/_pthread.scm 248 */
 obj_t BgL_tmpz00_1949;
BgL_tmpz00_1949 = 
CAR(BgL_portz00_934); 
BgL_test1636z00_1946 = 
OUTPUT_PORTP(BgL_tmpz00_1949); }  else 
{ /* Llib/_pthread.scm 248 */
BgL_test1636z00_1946 = ((bool_t)0)
; } 
if(BgL_test1636z00_1946)
{ /* Llib/_pthread.scm 248 */
BgL_arg1234z00_1107 = 
CAR(BgL_portz00_934); }  else 
{ /* Llib/_pthread.scm 250 */
 obj_t BgL_tmpz00_1953;
BgL_tmpz00_1953 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1234z00_1107 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1953); } } 
{ /* Llib/_pthread.scm 252 */
 obj_t BgL_zc3z04anonymousza31249ze3z87_1108;
BgL_zc3z04anonymousza31249ze3z87_1108 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31249ze3ze5zz__ft_z52pthreadz52, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31249ze3z87_1108, 
(int)(0L), 
((obj_t)
((BgL_z52pthreadz52_bglt)BgL_oz00_933))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1234z00_1107, BgL_zc3z04anonymousza31249ze3z87_1108);} } } 

}



/* &<@anonymous:1249> */
obj_t BGl_z62zc3z04anonymousza31249ze3ze5zz__ft_z52pthreadz52(obj_t BgL_envz00_935)
{
{ /* Llib/_pthread.scm 251 */
{ /* Llib/_pthread.scm 252 */
 BgL_z52pthreadz52_bglt BgL_oz00_936;
BgL_oz00_936 = 
((BgL_z52pthreadz52_bglt)
PROCEDURE_REF(BgL_envz00_935, 
(int)(0L))); 
{ /* Llib/_pthread.scm 254 */
 obj_t BgL_thezd2parentzd2_1109;
if(
(
((obj_t)BgL_oz00_936)==
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_oz00_936))->BgL_parentz00)))
{ /* Llib/_pthread.scm 254 */
BgL_thezd2parentzd2_1109 = BGl_string1470z00zz__ft_z52pthreadz52; }  else 
{ /* Llib/_pthread.scm 254 */
BgL_thezd2parentzd2_1109 = 
(((BgL_z52pthreadz52_bglt)COBJECT(BgL_oz00_936))->BgL_parentz00); } 
{ /* Llib/_pthread.scm 255 */
 obj_t BgL_arg1263z00_1110;
BgL_arg1263z00_1110 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_oz00_936)))->BgL_namez00); 
{ /* Llib/_pthread.scm 255 */
 obj_t BgL_list1264z00_1111;
{ /* Llib/_pthread.scm 255 */
 obj_t BgL_arg1265z00_1112;
{ /* Llib/_pthread.scm 255 */
 obj_t BgL_arg1269z00_1113;
{ /* Llib/_pthread.scm 255 */
 obj_t BgL_arg1270z00_1114;
{ /* Llib/_pthread.scm 255 */
 obj_t BgL_arg1278z00_1115;
BgL_arg1278z00_1115 = 
MAKE_YOUNG_PAIR(BGl_string1471z00zz__ft_z52pthreadz52, BNIL); 
BgL_arg1270z00_1114 = 
MAKE_YOUNG_PAIR(BgL_thezd2parentzd2_1109, BgL_arg1278z00_1115); } 
BgL_arg1269z00_1113 = 
MAKE_YOUNG_PAIR(BGl_string1472z00zz__ft_z52pthreadz52, BgL_arg1270z00_1114); } 
BgL_arg1265z00_1112 = 
MAKE_YOUNG_PAIR(BgL_arg1263z00_1110, BgL_arg1269z00_1113); } 
BgL_list1264z00_1111 = 
MAKE_YOUNG_PAIR(BGl_string1473z00zz__ft_z52pthreadz52, BgL_arg1265z00_1112); } 
return 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1264z00_1111);} } } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52pthreadz52(void)
{
{ /* Llib/_pthread.scm 6 */
BGl_modulezd2initializa7ationz75zz__ft_typesz00(414892275L, 
BSTRING_TO_STRING(BGl_string1474z00zz__ft_z52pthreadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(0L, 
BSTRING_TO_STRING(BGl_string1474z00zz__ft_z52pthreadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(536507091L, 
BSTRING_TO_STRING(BGl_string1474z00zz__ft_z52pthreadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(427827911L, 
BSTRING_TO_STRING(BGl_string1474z00zz__ft_z52pthreadz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(398966270L, 
BSTRING_TO_STRING(BGl_string1474z00zz__ft_z52pthreadz52)); 
return 
BGl_modulezd2initializa7ationz75zz__ft_signalz00(295111899L, 
BSTRING_TO_STRING(BGl_string1474z00zz__ft_z52pthreadz52));} 

}

#ifdef __cplusplus
}
#endif
