/*===========================================================================*/
/*   (Llib/loop.scm)                                                         */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/loop.scm -o objs/loop.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___LIBUV_LOOP_TYPE_DEFINITIONS
#define BGL___LIBUV_LOOP_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_uvhandlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
} *BgL_uvhandlez00_bglt;

typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvworkz00_bgl {
   header_t header;
   obj_t widening;
   uv_work_t * BgL_z42builtinz42;
   obj_t BgL_z52workzd2cbz80;
   obj_t BgL_z52afterzd2cbz80;
} *BgL_uvworkz00_bglt;


#endif // BGL___LIBUV_LOOP_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62zc3z04anonymousza31120ze3ze5zz__libuv_loopz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__libuv_loopz00 = BUNSPEC;
static obj_t BGl_z62uvzd2stopzb0zz__libuv_loopz00(obj_t, obj_t);
BGL_EXPORTED_DECL BgL_uvloopz00_bglt BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(void);
static BgL_uvloopz00_bglt BGl_z62uvzd2defaultzd2loopz62zz__libuv_loopz00(obj_t);
static obj_t BGl_z62z52uvzd2initzd2UvLoop1091z30zz__libuv_loopz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__libuv_loopz00(void);
static obj_t BGl_z62uvzd2updatezd2timez62zz__libuv_loopz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__libuv_loopz00(void);
static obj_t BGl_uvzd2queuezd2workz00zz__libuv_loopz00(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__libuv_loopz00(void);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_defaultzd2loopzd2zz__libuv_loopz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2updatezd2timez00zz__libuv_loopz00(BgL_uvloopz00_bglt);
static obj_t BGl_methodzd2initzd2zz__libuv_loopz00(void);
extern obj_t BGl_UvLoopz00zz__libuv_typesz00;
extern void bgl_uv_loop_init(obj_t);
BGL_EXPORTED_DECL uint64_t BGl_uvzd2nowzd2zz__libuv_loopz00(BgL_uvloopz00_bglt);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_UvWorkz00zz__libuv_typesz00;
BGL_EXPORTED_DEF obj_t bgl_uv_mutex = BUNSPEC;
static obj_t BGl_z62uvzd2loopzd2alivezf3z91zz__libuv_loopz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2stopzd2zz__libuv_loopz00(BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_loopz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern void bgl_uv_queue_work(BgL_uvworkz00_bglt, BgL_uvloopz00_bglt);
BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__libuv_loopz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_loopz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__libuv_loopz00(void);
BGL_EXPORTED_DECL bool_t BGl_uvzd2loopzd2alivezf3zf3zz__libuv_loopz00(BgL_uvloopz00_bglt);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_loopz00(void);
static obj_t BGl_z62uvzd2nowzb0zz__libuv_loopz00(obj_t, obj_t);
static obj_t BGl_gczd2loopszd2zz__libuv_loopz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2runzd2zz__libuv_loopz00(BgL_uvloopz00_bglt, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__uvzd2runzd2zz__libuv_loopz00(obj_t, obj_t);
static obj_t __cnst[ 2 ] ;


DEFINE_STRING( BGl_string1172z00zz__libuv_loopz00, BgL_bgl_string1172za700za7za7_1186za7, "BROKEN AS LIBUV uses its own thread (and not Bigloo threads)", 60 );
DEFINE_STRING( BGl_string1173z00zz__libuv_loopz00, BgL_bgl_string1173za700za7za7_1187za7, ":", 1 );
DEFINE_STRING( BGl_string1174z00zz__libuv_loopz00, BgL_bgl_string1174za700za7za7_1188za7, ",", 1 );
DEFINE_STRING( BGl_string1175z00zz__libuv_loopz00, BgL_bgl_string1175za700za7za7_1189za7, "Llib/loop.scm", 13 );
DEFINE_STRING( BGl_string1176z00zz__libuv_loopz00, BgL_bgl_string1176za700za7za7_1190za7, "uv-queue-work", 13 );
DEFINE_STRING( BGl_string1177z00zz__libuv_loopz00, BgL_bgl_string1177za700za7za7_1191za7, "wrong after callback arity", 26 );
DEFINE_STRING( BGl_string1178z00zz__libuv_loopz00, BgL_bgl_string1178za700za7za7_1192za7, "wrong work callback arity", 25 );
DEFINE_STRING( BGl_string1180z00zz__libuv_loopz00, BgL_bgl_string1180za700za7za7_1193za7, "%uv-init", 8 );
DEFINE_STRING( BGl_string1181z00zz__libuv_loopz00, BgL_bgl_string1181za700za7za7_1194za7, "__libuv_loop", 12 );
DEFINE_STRING( BGl_string1182z00zz__libuv_loopz00, BgL_bgl_string1182za700za7za7_1195za7, ":loop spinlock ", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1179z00zz__libuv_loopz00, BgL_bgl_za762za752uvza7d2initza71196z00, BGl_z62z52uvzd2initzd2UvLoop1091z30zz__libuv_loopz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2updatezd2timezd2envzd2zz__libuv_loopz00, BgL_bgl_za762uvza7d2updateza7d1197za7, BGl_z62uvzd2updatezd2timez62zz__libuv_loopz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2stopzd2envz00zz__libuv_loopz00, BgL_bgl_za762uvza7d2stopza7b0za71198z00, BGl_z62uvzd2stopzb0zz__libuv_loopz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2runzd2envz00zz__libuv_loopz00, BgL_bgl__uvza7d2runza7d2za7za7__1199z00, opt_generic_entry, BGl__uvzd2runzd2zz__libuv_loopz00, BFALSE, -1 );
extern obj_t BGl_z52uvzd2initzd2envz52zz__libuv_typesz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2defaultzd2loopzd2envzd2zz__libuv_loopz00, BgL_bgl_za762uvza7d2defaultza71200za7, BGl_z62uvzd2defaultzd2loopz62zz__libuv_loopz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2loopzd2alivezf3zd2envz21zz__libuv_loopz00, BgL_bgl_za762uvza7d2loopza7d2a1201za7, BGl_z62uvzd2loopzd2alivezf3z91zz__libuv_loopz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2nowzd2envz00zz__libuv_loopz00, BgL_bgl_za762uvza7d2nowza7b0za7za71202za7, BGl_z62uvzd2nowzb0zz__libuv_loopz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_loopz00) );
ADD_ROOT( (void *)(&BGl_defaultzd2loopzd2zz__libuv_loopz00) );
ADD_ROOT( (void *)(&bgl_uv_mutex) );
ADD_ROOT( (void *)(&BGl_gczd2loopszd2zz__libuv_loopz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_loopz00(long BgL_checksumz00_187, char * BgL_fromz00_188)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_loopz00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_loopz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__libuv_loopz00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_loopz00(); 
BGl_cnstzd2initzd2zz__libuv_loopz00(); 
BGl_importedzd2moduleszd2initz00zz__libuv_loopz00(); 
BGl_methodzd2initzd2zz__libuv_loopz00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_loopz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__libuv_loop"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__libuv_loop"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
{ /* Llib/loop.scm 15 */
 obj_t BgL_cportz00_172;
{ /* Llib/loop.scm 15 */
 obj_t BgL_stringz00_179;
BgL_stringz00_179 = BGl_string1182z00zz__libuv_loopz00; 
{ /* Llib/loop.scm 15 */
 obj_t BgL_startz00_180;
BgL_startz00_180 = 
BINT(0L); 
{ /* Llib/loop.scm 15 */
 obj_t BgL_endz00_181;
BgL_endz00_181 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_179))); 
{ /* Llib/loop.scm 15 */

BgL_cportz00_172 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_179, BgL_startz00_180, BgL_endz00_181); } } } } 
{ 
 long BgL_iz00_173;
BgL_iz00_173 = 1L; 
BgL_loopz00_174:
if(
(BgL_iz00_173==(-1L)))
{ /* Llib/loop.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/loop.scm 15 */
{ /* Llib/loop.scm 15 */
 obj_t BgL_arg1185z00_175;
{ /* Llib/loop.scm 15 */

{ /* Llib/loop.scm 15 */
 obj_t BgL_locationz00_177;
BgL_locationz00_177 = 
BBOOL(((bool_t)0)); 
{ /* Llib/loop.scm 15 */

BgL_arg1185z00_175 = 
BGl_readz00zz__readerz00(BgL_cportz00_172, BgL_locationz00_177); } } } 
{ /* Llib/loop.scm 15 */
 int BgL_tmpz00_220;
BgL_tmpz00_220 = 
(int)(BgL_iz00_173); 
CNST_TABLE_SET(BgL_tmpz00_220, BgL_arg1185z00_175); } } 
{ /* Llib/loop.scm 15 */
 int BgL_auxz00_178;
BgL_auxz00_178 = 
(int)(
(BgL_iz00_173-1L)); 
{ 
 long BgL_iz00_225;
BgL_iz00_225 = 
(long)(BgL_auxz00_178); 
BgL_iz00_173 = BgL_iz00_225; 
goto BgL_loopz00_174;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
BGl_defaultzd2loopzd2zz__libuv_loopz00 = BFALSE; 
BGl_gczd2loopszd2zz__libuv_loopz00 = BNIL; 
{ /* Llib/loop.scm 45 */

{ /* Llib/loop.scm 45 */
 obj_t BgL_namez00_21;
BgL_namez00_21 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
((obj_t)
CNST_TABLE_REF(0))); 
{ /* Llib/loop.scm 45 */

bgl_uv_mutex = 
bgl_make_spinlock(BgL_namez00_21); } } } 
return BUNSPEC;} 

}



/* uv-default-loop */
BGL_EXPORTED_DEF BgL_uvloopz00_bglt BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 60 */
if(
CBOOL(BGl_defaultzd2loopzd2zz__libuv_loopz00))
{ /* Llib/loop.scm 61 */BFALSE; }  else 
{ /* Llib/loop.scm 63 */
 BgL_uvloopz00_bglt BgL_new1068z00_31;
{ /* Llib/loop.scm 64 */
 BgL_uvloopz00_bglt BgL_new1067z00_36;
BgL_new1067z00_36 = 
((BgL_uvloopz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvloopz00_bgl) ))); 
{ /* Llib/loop.scm 64 */
 long BgL_arg1116z00_37;
BgL_arg1116z00_37 = 
BGL_CLASS_NUM(BGl_UvLoopz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1067z00_36), BgL_arg1116z00_37); } 
BgL_new1068z00_31 = BgL_new1067z00_36; } 
{ 
 uv_handle_t * BgL_auxz00_238;
{ /* Llib/loop.scm 64 */
 uv_loop_t * BgL_arg1108z00_32;
BgL_arg1108z00_32 = 
uv_default_loop(); 
BgL_auxz00_238 = 
(uv_handle_t *)(BgL_arg1108z00_32); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1068z00_31)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_238),BUNSPEC); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1068z00_31)))->BgL_z52onclosez52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1068z00_31)))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1068z00_31)))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1068z00_31)))->BgL_z52gcmarkz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1068z00_31)))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_253;
{ /* Llib/uvtypes.scm 30 */
 obj_t BgL_arg1109z00_33;
{ /* Llib/uvtypes.scm 30 */
 obj_t BgL_arg1112z00_34;
{ /* Llib/uvtypes.scm 30 */
 obj_t BgL_classz00_116;
BgL_classz00_116 = BGl_UvLoopz00zz__libuv_typesz00; 
BgL_arg1112z00_34 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_116); } 
BgL_arg1109z00_33 = 
VECTOR_REF(BgL_arg1112z00_34,6L); } 
BgL_auxz00_253 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1109z00_33); } 
((((BgL_uvloopz00_bglt)COBJECT(BgL_new1068z00_31))->BgL_z52mutexz52)=((obj_t)BgL_auxz00_253),BUNSPEC); } 
{ /* Llib/loop.scm 63 */
 obj_t BgL_fun1113z00_35;
BgL_fun1113z00_35 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvLoopz00zz__libuv_typesz00); 
BGL_PROCEDURE_CALL1(BgL_fun1113z00_35, 
((obj_t)BgL_new1068z00_31)); } 
BGl_defaultzd2loopzd2zz__libuv_loopz00 = 
((obj_t)BgL_new1068z00_31); } 
return 
((BgL_uvloopz00_bglt)BGl_defaultzd2loopzd2zz__libuv_loopz00);} 

}



/* &uv-default-loop */
BgL_uvloopz00_bglt BGl_z62uvzd2defaultzd2loopz62zz__libuv_loopz00(obj_t BgL_envz00_155)
{
{ /* Llib/loop.scm 60 */
return 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00();} 

}



/* _uv-run */
obj_t BGl__uvzd2runzd2zz__libuv_loopz00(obj_t BgL_env1093z00_7, obj_t BgL_opt1092z00_6)
{
{ /* Llib/loop.scm 70 */
{ /* Llib/loop.scm 70 */
 obj_t BgL_g1094z00_38;
BgL_g1094z00_38 = 
VECTOR_REF(BgL_opt1092z00_6,0L); 
switch( 
VECTOR_LENGTH(BgL_opt1092z00_6)) { case 1L : 

{ /* Llib/loop.scm 70 */

return 
BINT(
BGl_uvzd2runzd2zz__libuv_loopz00(
((BgL_uvloopz00_bglt)BgL_g1094z00_38), BFALSE));} break;case 2L : 

{ /* Llib/loop.scm 70 */
 obj_t BgL_modez00_42;
BgL_modez00_42 = 
VECTOR_REF(BgL_opt1092z00_6,1L); 
{ /* Llib/loop.scm 70 */

return 
BINT(
BGl_uvzd2runzd2zz__libuv_loopz00(
((BgL_uvloopz00_bglt)BgL_g1094z00_38), BgL_modez00_42));} } break;
default: 
return BUNSPEC;} } } 

}



/* uv-run */
BGL_EXPORTED_DEF int BGl_uvzd2runzd2zz__libuv_loopz00(BgL_uvloopz00_bglt BgL_loopz00_4, obj_t BgL_modez00_5)
{
{ /* Llib/loop.scm 70 */
{ /* Llib/loop.scm 72 */
 obj_t BgL_exitd1071z00_44;
BgL_exitd1071z00_44 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/loop.scm 77 */
 obj_t BgL_zc3z04anonymousza31120ze3z87_156;
BgL_zc3z04anonymousza31120ze3z87_156 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31120ze3ze5zz__libuv_loopz00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31120ze3z87_156, 
(int)(0L), 
((obj_t)BgL_loopz00_4)); 
{ /* Llib/loop.scm 72 */
 obj_t BgL_arg1846z00_118;
{ /* Llib/loop.scm 72 */
 obj_t BgL_arg1847z00_119;
BgL_arg1847z00_119 = 
BGL_EXITD_PROTECT(BgL_exitd1071z00_44); 
BgL_arg1846z00_118 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31120ze3z87_156, BgL_arg1847z00_119); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1071z00_44, BgL_arg1846z00_118); BUNSPEC; } 
{ /* Llib/loop.scm 74 */
 int BgL_tmp1073z00_46;
BGl_gczd2loopszd2zz__libuv_loopz00 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_loopz00_4), BGl_gczd2loopszd2zz__libuv_loopz00); 
bgl_uv_loop_init(
((obj_t)BgL_loopz00_4)); BUNSPEC; 
{ /* Llib/loop.scm 76 */
 uv_loop_t * BgL_arg1117z00_47; obj_t BgL_arg1118z00_48;
{ /* Llib/loop.scm 76 */
 uv_handle_t * BgL_arg1119z00_49;
BgL_arg1119z00_49 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_4)))->BgL_z42builtinz42); 
BgL_arg1117z00_47 = 
(uv_loop_t *)(BgL_arg1119z00_49); } 
if(
CBOOL(BgL_modez00_5))
{ /* Llib/loop.scm 76 */
BgL_arg1118z00_48 = BgL_modez00_5; }  else 
{ /* Llib/loop.scm 76 */
BgL_arg1118z00_48 = 
BINT(UV_RUN_DEFAULT); } 
{ /* Llib/loop.scm 76 */
 int BgL_tmpz00_297;
BgL_tmpz00_297 = 
CINT(BgL_arg1118z00_48); 
BgL_tmp1073z00_46 = 
uv_run(BgL_arg1117z00_47, BgL_tmpz00_297); } } 
{ /* Llib/loop.scm 72 */
 bool_t BgL_test1207z00_300;
{ /* Llib/loop.scm 72 */
 obj_t BgL_arg1845z00_121;
BgL_arg1845z00_121 = 
BGL_EXITD_PROTECT(BgL_exitd1071z00_44); 
BgL_test1207z00_300 = 
PAIRP(BgL_arg1845z00_121); } 
if(BgL_test1207z00_300)
{ /* Llib/loop.scm 72 */
 obj_t BgL_arg1843z00_122;
{ /* Llib/loop.scm 72 */
 obj_t BgL_arg1844z00_123;
BgL_arg1844z00_123 = 
BGL_EXITD_PROTECT(BgL_exitd1071z00_44); 
BgL_arg1843z00_122 = 
CDR(
((obj_t)BgL_arg1844z00_123)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1071z00_44, BgL_arg1843z00_122); BUNSPEC; }  else 
{ /* Llib/loop.scm 72 */BFALSE; } } 
BGl_z62zc3z04anonymousza31120ze3ze5zz__libuv_loopz00(BgL_zc3z04anonymousza31120ze3z87_156); 
return BgL_tmp1073z00_46;} } } } 

}



/* &<@anonymous:1120> */
obj_t BGl_z62zc3z04anonymousza31120ze3ze5zz__libuv_loopz00(obj_t BgL_envz00_157)
{
{ /* Llib/loop.scm 72 */
{ /* Llib/loop.scm 77 */
 BgL_uvloopz00_bglt BgL_loopz00_158;
BgL_loopz00_158 = 
((BgL_uvloopz00_bglt)
PROCEDURE_REF(BgL_envz00_157, 
(int)(0L))); 
{ /* Llib/loop.scm 77 */
 obj_t BgL_top1209z00_312;
BgL_top1209z00_312 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(bgl_uv_mutex); 
BGL_EXITD_PUSH_PROTECT(BgL_top1209z00_312, bgl_uv_mutex); BUNSPEC; 
{ /* Llib/loop.scm 77 */
 obj_t BgL_tmp1208z00_311;
BgL_tmp1208z00_311 = ( 
BGl_gczd2loopszd2zz__libuv_loopz00 = 
bgl_remq_bang(
((obj_t)BgL_loopz00_158), BGl_gczd2loopszd2zz__libuv_loopz00), BUNSPEC) ; 
BGL_EXITD_POP_PROTECT(BgL_top1209z00_312); BUNSPEC; 
BGL_MUTEX_UNLOCK(bgl_uv_mutex); 
return BgL_tmp1208z00_311;} } } } 

}



/* uv-stop */
BGL_EXPORTED_DEF obj_t BGl_uvzd2stopzd2zz__libuv_loopz00(BgL_uvloopz00_bglt BgL_loopz00_8)
{
{ /* Llib/loop.scm 83 */
{ /* Llib/loop.scm 85 */
 obj_t BgL_top1211z00_321;
BgL_top1211z00_321 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(bgl_uv_mutex); 
BGL_EXITD_PUSH_PROTECT(BgL_top1211z00_321, bgl_uv_mutex); BUNSPEC; 
{ /* Llib/loop.scm 85 */
 obj_t BgL_tmp1210z00_320;
BgL_tmp1210z00_320 = ( 
BGl_gczd2loopszd2zz__libuv_loopz00 = 
bgl_remq_bang(
((obj_t)BgL_loopz00_8), BGl_gczd2loopszd2zz__libuv_loopz00), BUNSPEC) ; 
BGL_EXITD_POP_PROTECT(BgL_top1211z00_321); BUNSPEC; 
BGL_MUTEX_UNLOCK(bgl_uv_mutex); BgL_tmp1210z00_320; } } 
{ /* Llib/loop.scm 87 */
 uv_loop_t * BgL_arg1121z00_54;
{ /* Llib/loop.scm 87 */
 uv_handle_t * BgL_arg1122z00_55;
BgL_arg1122z00_55 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_8)))->BgL_z42builtinz42); 
BgL_arg1121z00_54 = 
(uv_loop_t *)(BgL_arg1122z00_55); } 
uv_stop(BgL_arg1121z00_54); 
return BUNSPEC;} } 

}



/* &uv-stop */
obj_t BGl_z62uvzd2stopzb0zz__libuv_loopz00(obj_t BgL_envz00_159, obj_t BgL_loopz00_160)
{
{ /* Llib/loop.scm 83 */
return 
BGl_uvzd2stopzd2zz__libuv_loopz00(
((BgL_uvloopz00_bglt)BgL_loopz00_160));} 

}



/* uv-loop-alive? */
BGL_EXPORTED_DEF bool_t BGl_uvzd2loopzd2alivezf3zf3zz__libuv_loopz00(BgL_uvloopz00_bglt BgL_loopz00_9)
{
{ /* Llib/loop.scm 92 */
{ /* Llib/loop.scm 94 */
 uv_loop_t * BgL_arg1123z00_126;
{ /* Llib/loop.scm 94 */
 uv_handle_t * BgL_arg1124z00_127;
BgL_arg1124z00_127 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_9)))->BgL_z42builtinz42); 
BgL_arg1123z00_126 = 
(uv_loop_t *)(BgL_arg1124z00_127); } 
return 
uv_loop_alive(BgL_arg1123z00_126);} } 

}



/* &uv-loop-alive? */
obj_t BGl_z62uvzd2loopzd2alivezf3z91zz__libuv_loopz00(obj_t BgL_envz00_161, obj_t BgL_loopz00_162)
{
{ /* Llib/loop.scm 92 */
return 
BBOOL(
BGl_uvzd2loopzd2alivezf3zf3zz__libuv_loopz00(
((BgL_uvloopz00_bglt)BgL_loopz00_162)));} 

}



/* uv-update-time */
BGL_EXPORTED_DEF obj_t BGl_uvzd2updatezd2timez00zz__libuv_loopz00(BgL_uvloopz00_bglt BgL_loopz00_10)
{
{ /* Llib/loop.scm 99 */
{ /* Llib/loop.scm 101 */
 uv_loop_t * BgL_arg1125z00_129;
{ /* Llib/loop.scm 101 */
 uv_handle_t * BgL_arg1126z00_130;
BgL_arg1126z00_130 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_10)))->BgL_z42builtinz42); 
BgL_arg1125z00_129 = 
(uv_loop_t *)(BgL_arg1126z00_130); } 
uv_update_time(BgL_arg1125z00_129); BUNSPEC; } 
return 
((obj_t)BgL_loopz00_10);} 

}



/* &uv-update-time */
obj_t BGl_z62uvzd2updatezd2timez62zz__libuv_loopz00(obj_t BgL_envz00_163, obj_t BgL_loopz00_164)
{
{ /* Llib/loop.scm 99 */
return 
BGl_uvzd2updatezd2timez00zz__libuv_loopz00(
((BgL_uvloopz00_bglt)BgL_loopz00_164));} 

}



/* uv-now */
BGL_EXPORTED_DEF uint64_t BGl_uvzd2nowzd2zz__libuv_loopz00(BgL_uvloopz00_bglt BgL_loopz00_11)
{
{ /* Llib/loop.scm 107 */
{ /* Llib/loop.scm 109 */
 uv_loop_t * BgL_arg1130z00_132;
{ /* Llib/loop.scm 109 */
 uv_handle_t * BgL_arg1132z00_133;
BgL_arg1132z00_133 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_loopz00_11)))->BgL_z42builtinz42); 
BgL_arg1130z00_132 = 
(uv_loop_t *)(BgL_arg1132z00_133); } 
return 
uv_now(BgL_arg1130z00_132);} } 

}



/* &uv-now */
obj_t BGl_z62uvzd2nowzb0zz__libuv_loopz00(obj_t BgL_envz00_165, obj_t BgL_loopz00_166)
{
{ /* Llib/loop.scm 107 */
{ /* Llib/loop.scm 108 */
 uint64_t BgL_tmpz00_353;
BgL_tmpz00_353 = 
BGl_uvzd2nowzd2zz__libuv_loopz00(
((BgL_uvloopz00_bglt)BgL_loopz00_166)); 
return 
BGL_UINT64_TO_BUINT64(BgL_tmpz00_353);} } 

}



/* uv-queue-work */
obj_t BGl_uvzd2queuezd2workz00zz__libuv_loopz00(obj_t BgL_workzd2cbzd2_12, obj_t BgL_afterzd2cbzd2_13, obj_t BgL_loopz00_14)
{
{ /* Llib/loop.scm 114 */
{ /* Llib/loop.scm 115 */
 obj_t BgL_arg1141z00_80;
{ /* Llib/loop.scm 115 */
 obj_t BgL_tmpz00_357;
BgL_tmpz00_357 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1141z00_80 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_357); } 
{ /* Llib/loop.scm 115 */
 obj_t BgL_list1142z00_81;
{ /* Llib/loop.scm 115 */
 obj_t BgL_arg1143z00_82;
{ /* Llib/loop.scm 115 */
 obj_t BgL_arg1144z00_83;
{ /* Llib/loop.scm 115 */
 obj_t BgL_arg1147z00_84;
{ /* Llib/loop.scm 115 */
 obj_t BgL_arg1148z00_85;
BgL_arg1148z00_85 = 
MAKE_YOUNG_PAIR(BGl_string1172z00zz__libuv_loopz00, BNIL); 
BgL_arg1147z00_84 = 
MAKE_YOUNG_PAIR(BGl_string1173z00zz__libuv_loopz00, BgL_arg1148z00_85); } 
BgL_arg1144z00_83 = 
MAKE_YOUNG_PAIR(
BINT(115L), BgL_arg1147z00_84); } 
BgL_arg1143z00_82 = 
MAKE_YOUNG_PAIR(BGl_string1174z00zz__libuv_loopz00, BgL_arg1144z00_83); } 
BgL_list1142z00_81 = 
MAKE_YOUNG_PAIR(BGl_string1175z00zz__libuv_loopz00, BgL_arg1143z00_82); } 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1141z00_80, BgL_list1142z00_81); } } 
{ /* Llib/loop.scm 116 */
 obj_t BgL_wz00_86;
{ /* Llib/loop.scm 116 */
 BgL_uvworkz00_bglt BgL_new1085z00_87;
{ /* Llib/loop.scm 116 */
 BgL_uvworkz00_bglt BgL_new1084z00_91;
BgL_new1084z00_91 = 
((BgL_uvworkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvworkz00_bgl) ))); 
{ /* Llib/loop.scm 116 */
 obj_t BgL_arg1152z00_92;
{ /* Llib/loop.scm 116 */
 obj_t BgL_classz00_150;
BgL_classz00_150 = BGl_UvWorkz00zz__libuv_typesz00; 
BgL_arg1152z00_92 = 
BINT(
BGL_CLASS_NUM(BgL_classz00_150)); } 
{ /* Llib/loop.scm 116 */
 long BgL_numz00_152;
BgL_numz00_152 = 
(long)CINT(BgL_arg1152z00_92); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1084z00_91), BgL_numz00_152); } } 
BgL_new1085z00_87 = BgL_new1084z00_91; } 
{ 
 void * BgL_auxz00_373;
{ /* Llib/loop.scm 116 */
 obj_t BgL_arg1149z00_88;
{ /* Llib/loop.scm 116 */
 obj_t BgL_arg1150z00_89;
{ /* Llib/loop.scm 116 */
 obj_t BgL_classz00_153;
BgL_classz00_153 = BGl_UvWorkz00zz__libuv_typesz00; 
BgL_arg1150z00_89 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_153); } 
BgL_arg1149z00_88 = 
VECTOR_REF(
((obj_t)BgL_arg1150z00_89),0L); } 
BgL_auxz00_373 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1149z00_88)); } 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1085z00_87))->BgL_z42builtinz42)=((uv_work_t *)BgL_auxz00_373),BUNSPEC); } 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1085z00_87))->BgL_z52workzd2cbz80)=((obj_t)BgL_workzd2cbzd2_12),BUNSPEC); 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1085z00_87))->BgL_z52afterzd2cbz80)=((obj_t)BgL_afterzd2cbzd2_13),BUNSPEC); 
{ /* Llib/loop.scm 116 */
 obj_t BgL_fun1151z00_90;
BgL_fun1151z00_90 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvWorkz00zz__libuv_typesz00); 
BGL_PROCEDURE_CALL1(BgL_fun1151z00_90, 
((obj_t)BgL_new1085z00_87)); } 
BgL_wz00_86 = 
((obj_t)BgL_new1085z00_87); } 
if(
PROCEDURE_CORRECT_ARITYP(BgL_workzd2cbzd2_12, 
(int)(0L)))
{ /* Llib/loop.scm 120 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_afterzd2cbzd2_13, 
(int)(1L)))
{ /* Llib/loop.scm 122 */
bgl_uv_queue_work(
((BgL_uvworkz00_bglt)BgL_wz00_86), 
((BgL_uvloopz00_bglt)BgL_loopz00_14)); BUNSPEC; 
return BgL_wz00_86;}  else 
{ /* Llib/loop.scm 122 */
BGL_TAIL return 
BGl_errorz00zz__errorz00(BGl_string1176z00zz__libuv_loopz00, BGl_string1177z00zz__libuv_loopz00, BgL_afterzd2cbzd2_13);} }  else 
{ /* Llib/loop.scm 120 */
BGL_TAIL return 
BGl_errorz00zz__errorz00(BGl_string1176z00zz__libuv_loopz00, BGl_string1178z00zz__libuv_loopz00, BgL_workzd2cbzd2_12);} } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_UvLoopz00zz__libuv_typesz00, BGl_proc1179z00zz__libuv_loopz00, BGl_string1180z00zz__libuv_loopz00);} 

}



/* &%uv-init-UvLoop1091 */
obj_t BGl_z62z52uvzd2initzd2UvLoop1091z30zz__libuv_loopz00(obj_t BgL_envz00_168, obj_t BgL_oz00_169)
{
{ /* Llib/loop.scm 50 */
{ /* Llib/loop.scm 52 */
 bool_t BgL_test1214z00_401;
{ /* Llib/loop.scm 52 */
 uv_handle_t * BgL_arg1164z00_184;
BgL_arg1164z00_184 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_oz00_169))))->BgL_z42builtinz42); 
BgL_test1214z00_401 = 
((uv_handle_t *)0L) == (BgL_arg1164z00_184); } 
if(BgL_test1214z00_401)
{ /* Llib/loop.scm 52 */
{ 
 uv_handle_t * BgL_auxz00_406;
{ /* Llib/loop.scm 53 */
 uv_loop_t * BgL_arg1162z00_185;
BgL_arg1162z00_185 = 
uv_loop_new(); 
BgL_auxz00_406 = 
(uv_handle_t *)(BgL_arg1162z00_185); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_oz00_169))))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_406),BUNSPEC); } 
{ /* Llib/loop.scm 54 */
 uv_handle_t * BgL_arg1163z00_186;
BgL_arg1163z00_186 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_oz00_169))))->BgL_z42builtinz42); 
{ /* Llib/loop.scm 54 */
 obj_t BgL_tmpz00_415;
BgL_tmpz00_415 = 
((obj_t)
((BgL_uvloopz00_bglt)BgL_oz00_169)); 
BGL_UV_LOOP_DATA_SET(BgL_arg1163z00_186, BgL_tmpz00_415); } } }  else 
{ /* Llib/loop.scm 52 */BFALSE; } } 
return 
((obj_t)
((BgL_uvloopz00_bglt)BgL_oz00_169));} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__libuv_loopz00(void)
{
{ /* Llib/loop.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__libuv_typesz00(129964225L, 
BSTRING_TO_STRING(BGl_string1181z00zz__libuv_loopz00));} 

}

#ifdef __cplusplus
}
#endif
