/*===========================================================================*/
/*   (Llib/mpg123_decoder.scm)                                               */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -srfi mpg123 -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/mpg123_decoder.scm -o objs/mpg123_decoder.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <mpg123.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___MPG123_DECODER_TYPE_DEFINITIONS
#define BGL___MPG123_DECODER_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicbufferz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_urlz00;
   bool_t BgL_z52eofz52;
   obj_t BgL_z52bcondvz52;
   obj_t BgL_z52bmutexz52;
   long BgL_z52inlenz52;
   char * BgL_z52inbufpz52;
   long BgL_z52headz52;
   long BgL_z52tailz52;
   bool_t BgL_z52emptyz52;
} *BgL_musicbufferz00_bglt;

typedef struct BgL_musicbufz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
} *BgL_musicbufz00_bglt;

typedef struct BgL_musicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
} *BgL_musicdecoderz00_bglt;

typedef struct BgL_mpg123zd2handlezd2_bgl {
   header_t header;
   obj_t widening;
   mpg123_handle * BgL_z42builtinz42;
   obj_t BgL_decoderz00;
   long BgL_siza7eza7;
} *BgL_mpg123zd2handlezd2_bglt;

typedef struct BgL_mpg123zd2decoderzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_outbufz00;
   obj_t BgL_z52mpg123z52;
   long BgL_z52z12dseekz40;
   int BgL_z52ratez52;
   int BgL_z52channelsz52;
   obj_t BgL_z52encodingz52;
} *BgL_mpg123zd2decoderzd2_bglt;


#endif // BGL___MPG123_DECODER_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62musicdecoderzd2closezd2m1132z62zz__mpg123_decoderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicbufferzd2streamzd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00 = BUNSPEC;
static obj_t BGl_z62musicdecoderzd2decodezd21144z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62musicdecoderzd2initzd2mp1130z62zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__mpg123_decoderz00 = BUNSPEC;
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
extern obj_t BGl_mpg123zd2getzd2formatz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static int BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(void);
static obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__mpg123_decoderz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__mpg123_decoderz00(void);
extern obj_t BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00;
extern long BGl_mpg123zd2positionzd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
BGL_IMPORT obj_t BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__mpg123_decoderz00(void);
static obj_t BGl_z62musicdecoderzd2infozd2mp1138z62zz__mpg123_decoderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(BgL_musicbufz00_bglt, obj_t, long);
static obj_t BGl_objectzd2initzd2zz__mpg123_decoderz00(void);
static obj_t BGl_z62musicdecoderzd2positio1136zb0zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31232ze3ze5zz__mpg123_decoderz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31224ze3ze5zz__mpg123_decoderz00(obj_t);
extern obj_t BGl_mpg123zd2handlezd2closez00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static obj_t BGl_debugz00zz__mpg123_decoderz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31217ze3ze5zz__mpg123_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00(void);
static obj_t BGl_z62zc3z04anonymousza31242ze3ze5zz__mpg123_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__mpg123_decoderz00(void);
BGL_IMPORT obj_t BGl_musicdecoderz00zz__multimediazd2musicbufzd2;
extern obj_t BGl_mpg123zd2volumezd2setz12z12zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
static obj_t BGl_z62lambda1202z62zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1203z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
static long BGl_bufferzd2percentagezd2filledze70ze7zz__mpg123_decoderz00(long, BgL_musicbufferz00_bglt);
BGL_IMPORT BGL_LONGLONG_T bgl_current_microseconds(void);
static obj_t BGl_z62lambda1215z62zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1216z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
extern int bgl_mpg123_decode(obj_t, char *, long, long, char *, long);
static obj_t BGl_z62musicdecoderzd2resetz12zd21134z70zz__mpg123_decoderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00(void);
static obj_t BGl_z62lambda1222z62zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1223z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musiczd2errorzd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static obj_t BGl_z62lambda1230z62zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1231z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__mpg123_decoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__mpg123_mpg123z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2mp3zd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_mpg123zd2handlezd2resetz12z12zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static obj_t BGl_z62lambda1240z62zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1241z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT int bgl_debug(void);
BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static BgL_mpg123zd2decoderzd2_bglt BGl_z62lambda1183z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT long BGl_mp3zd2indexzd2zz__multimediazd2mp3zd2(obj_t, long);
static obj_t BGl_z62objectzd2printzd2mpg123zd21128zb0zz__mpg123_decoderz00(obj_t, obj_t, obj_t, obj_t);
static BgL_mpg123zd2decoderzd2_bglt BGl_z62lambda1186z62zz__mpg123_decoderz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__mpg123_decoderz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__mpg123_decoderz00(void);
static obj_t BGl_z62musicdecoderzd2seekzd2mp1140z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_debugzd2initz12zc0zz__mpg123_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__mpg123_decoderz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__mpg123_decoderz00(void);
static obj_t BGl_z62zc3z04anonymousza31197ze3ze5zz__mpg123_decoderz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31189ze3ze5zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1195z62zz__mpg123_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1196z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT long BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt, BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t BGl_musicbufferzd2seekzd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt, obj_t);
BGL_IMPORT long BGl_musicdecoderzd2infozd2zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt);
BGL_IMPORT long BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
static obj_t BGl_z62musicdecoderzd2volumezd21142z62zz__mpg123_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_debugzd2stopz12zc0zz__mpg123_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
extern long BGl_mpg123zd2infozd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static obj_t BGl_newzd2formatzd2zz__mpg123_decoderz00(BgL_mpg123zd2decoderzd2_bglt, BgL_musicbufz00_bglt, BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t BGl_musicdecoderzd2hwparamszd2setz12z12zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt, BgL_musicz00_bglt, BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00 = BUNSPEC;
extern obj_t BGl_mpg123zd2decodezd2statuszd2ze3symbolz31zz__mpg123_mpg123z00(int);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicbufzd2drainzd2zz__multimediazd2musicbufzd2(BgL_musicbufz00_bglt);
static obj_t __cnst[ 21 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2032z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72068z00, BGl_z62musicdecoderzd2infozd2mp1138z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2040z00zz__mpg123_decoderz00, BgL_bgl_string2040za700za7za7_2069za7, "\033[0m\033[1;33m", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2034z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72070z00, BGl_z62musicdecoderzd2seekzd2mp1140z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2041z00zz__mpg123_decoderz00, BgL_bgl_string2041za700za7za7_2071za7, "\033[0m\033[1;32m", 11 );
DEFINE_STRING( BGl_string2042z00zz__mpg123_decoderz00, BgL_bgl_string2042za700za7za7_2072za7, " EOF", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2036z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72073z00, BGl_z62musicdecoderzd2volumezd21142z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2043z00zz__mpg123_decoderz00, BgL_bgl_string2043za700za7za7_2074za7, " url=", 5 );
DEFINE_STRING( BGl_string2044z00zz__mpg123_decoderz00, BgL_bgl_string2044za700za7za7_2075za7, "%\033[0m", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2038z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72076z00, BGl_z62musicdecoderzd2decodezd21144z62zz__mpg123_decoderz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2045z00zz__mpg123_decoderz00, BgL_bgl_string2045za700za7za7_2077za7, "--- MPG123_DECODER, buffer fill: ", 33 );
DEFINE_STRING( BGl_string2046z00zz__mpg123_decoderz00, BgL_bgl_string2046za700za7za7_2078za7, "...", 3 );
DEFINE_STRING( BGl_string2047z00zz__mpg123_decoderz00, BgL_bgl_string2047za700za7za7_2079za7, "--> MPG123_DECODER, broadcast not-full ", 39 );
DEFINE_STRING( BGl_string2048z00zz__mpg123_decoderz00, BgL_bgl_string2048za700za7za7_2080za7, "~~~ MPG123_DECODER, EOF ", 24 );
DEFINE_STRING( BGl_string2049z00zz__mpg123_decoderz00, BgL_bgl_string2049za700za7za7_2081za7, "<-- MPG123_DECODER, wait not-empty ", 35 );
DEFINE_STRING( BGl_string2050z00zz__mpg123_decoderz00, BgL_bgl_string2050za700za7za7_2082za7, " -> status=", 11 );
DEFINE_STRING( BGl_string2051z00zz__mpg123_decoderz00, BgL_bgl_string2051za700za7za7_2083za7, " hd=", 4 );
DEFINE_STRING( BGl_string2052z00zz__mpg123_decoderz00, BgL_bgl_string2052za700za7za7_2084za7, " tl=", 4 );
DEFINE_STRING( BGl_string2053z00zz__mpg123_decoderz00, BgL_bgl_string2053za700za7za7_2085za7, "~~~ MPG123_DECODER, s=", 22 );
DEFINE_STRING( BGl_string2054z00zz__mpg123_decoderz00, BgL_bgl_string2054za700za7za7_2086za7, "offset=", 7 );
DEFINE_STRING( BGl_string2055z00zz__mpg123_decoderz00, BgL_bgl_string2055za700za7za7_2087za7, ":", 1 );
DEFINE_STRING( BGl_string2056z00zz__mpg123_decoderz00, BgL_bgl_string2056za700za7za7_2088za7, ",", 1 );
DEFINE_STRING( BGl_string2057z00zz__mpg123_decoderz00, BgL_bgl_string2057za700za7za7_2089za7, " size=", 6 );
DEFINE_STRING( BGl_string2058z00zz__mpg123_decoderz00, BgL_bgl_string2058za700za7za7_2090za7, "~~~ MPG123_DECODER, OK s=", 25 );
DEFINE_STRING( BGl_string2059z00zz__mpg123_decoderz00, BgL_bgl_string2059za700za7za7_2091za7, " tail=", 6 );
DEFINE_STRING( BGl_string2060z00zz__mpg123_decoderz00, BgL_bgl_string2060za700za7za7_2092za7, " %empty=", 8 );
DEFINE_STRING( BGl_string2061z00zz__mpg123_decoderz00, BgL_bgl_string2061za700za7za7_2093za7, "~~~ MPG123_DECODER, NEED-MORE s=", 32 );
DEFINE_STRING( BGl_string2062z00zz__mpg123_decoderz00, BgL_bgl_string2062za700za7za7_2094za7, "mp3 decoding error", 18 );
DEFINE_STRING( BGl_string2063z00zz__mpg123_decoderz00, BgL_bgl_string2063za700za7za7_2095za7, "~~~ MPG123_SEEK, seek=", 22 );
DEFINE_STRING( BGl_string2064z00zz__mpg123_decoderz00, BgL_bgl_string2064za700za7za7_2096za7, "#|mpg123-decoder|", 17 );
DEFINE_STRING( BGl_string2065z00zz__mpg123_decoderz00, BgL_bgl_string2065za700za7za7_2097za7, "__mpg123_decoder", 16 );
DEFINE_STRING( BGl_string2066z00zz__mpg123_decoderz00, BgL_bgl_string2066za700za7za7_2098za7, "(\"audio/mpeg\") buffering ended stop play pause unknown _ __mpg123_decoder mpg123-decoder symbol %encoding %channels int %rate long %!dseek obj %mpg123 bstring outbuf ", 166 );
BGL_IMPORT obj_t BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2volumezd2setz12zd2envzc0zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2closezd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2seekzd2envz00zz__multimediazd2musicbufzd2;
DEFINE_STRING( BGl_string1994z00zz__mpg123_decoderz00, BgL_bgl_string1994za700za7za7_2099za7, "Llib/mpg123_decoder.scm", 23 );
DEFINE_STRING( BGl_string1995z00zz__mpg123_decoderz00, BgL_bgl_string1995za700za7za7_2100za7, "/tmp/MPG123.log", 15 );
DEFINE_STRING( BGl_string1996z00zz__mpg123_decoderz00, BgL_bgl_string1996za700za7za7_2101za7, "\n", 1 );
DEFINE_STRING( BGl_string1997z00zz__mpg123_decoderz00, BgL_bgl_string1997za700za7za7_2102za7, " ", 1 );
DEFINE_STRING( BGl_string1998z00zz__mpg123_decoderz00, BgL_bgl_string1998za700za7za7_2103za7, ">>> MPG123_DECODER init ", 24 );
DEFINE_STRING( BGl_string1999z00zz__mpg123_decoderz00, BgL_bgl_string1999za700za7za7_2104za7, ">>> MPG123_DECODER stop ", 24 );
BGL_IMPORT obj_t BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2infozd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2positionzd2envz00zz__multimediazd2musicbufzd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2000z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2105za7, BGl_z62zc3z04anonymousza31197ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2001z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1196za7622106z00, BGl_z62lambda1196z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2002z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1195za7622107z00, BGl_z62lambda1195z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2003z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2108za7, BGl_z62zc3z04anonymousza31204ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2004z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1203za7622109z00, BGl_z62lambda1203z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2005z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1202za7622110z00, BGl_z62lambda1202z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2006z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2111za7, BGl_z62zc3z04anonymousza31217ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2007z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1216za7622112z00, BGl_z62lambda1216z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2008z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1215za7622113z00, BGl_z62lambda1215z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2009z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2114za7, BGl_z62zc3z04anonymousza31224ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2010z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1223za7622115z00, BGl_z62lambda1223z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2011z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1222za7622116z00, BGl_z62lambda1222z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2012z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2117za7, BGl_z62zc3z04anonymousza31232ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2013z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1231za7622118z00, BGl_z62lambda1231z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2014z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1230za7622119z00, BGl_z62lambda1230z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2021z00zz__mpg123_decoderz00, BgL_bgl_string2021za700za7za7_2120za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2015z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2121za7, BGl_z62zc3z04anonymousza31242ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2016z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1241za7622122z00, BGl_z62lambda1241z62zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2023z00zz__mpg123_decoderz00, BgL_bgl_string2023za700za7za7_2123za7, "object-print", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2017z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1240za7622124z00, BGl_z62lambda1240z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2018z00zz__mpg123_decoderz00, BgL_bgl_za762za7c3za704anonymo2125za7, BGl_z62zc3z04anonymousza31189ze3ze5zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2025z00zz__mpg123_decoderz00, BgL_bgl_string2025za700za7za7_2126za7, "musicdecoder-init", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2019z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1186za7622127z00, BGl_z62lambda1186z62zz__mpg123_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2027z00zz__mpg123_decoderz00, BgL_bgl_string2027za700za7za7_2128za7, "musicdecoder-close", 18 );
DEFINE_STRING( BGl_string2029z00zz__mpg123_decoderz00, BgL_bgl_string2029za700za7za7_2129za7, "musicdecoder-reset!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2020z00zz__mpg123_decoderz00, BgL_bgl_za762lambda1183za7622130z00, BGl_z62lambda1183z62zz__mpg123_decoderz00, 0L, BUNSPEC, 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2022z00zz__mpg123_decoderz00, BgL_bgl_za762objectza7d2prin2131z00, BGl_z62objectzd2printzd2mpg123zd21128zb0zz__mpg123_decoderz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2024z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72132z00, BGl_z62musicdecoderzd2initzd2mp1130z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2031z00zz__mpg123_decoderz00, BgL_bgl_string2031za700za7za7_2133za7, "musicdecoder-position", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2026z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72134z00, BGl_z62musicdecoderzd2closezd2m1132z62zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2033z00zz__mpg123_decoderz00, BgL_bgl_string2033za700za7za7_2135za7, "musicdecoder-info", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2028z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72136z00, BGl_z62musicdecoderzd2resetz12zd21134z70zz__mpg123_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2035z00zz__mpg123_decoderz00, BgL_bgl_string2035za700za7za7_2137za7, "musicdecoder-seek", 17 );
DEFINE_STRING( BGl_string2037z00zz__mpg123_decoderz00, BgL_bgl_string2037za700za7za7_2138za7, "musicdecoder-volume-set!", 24 );
DEFINE_STRING( BGl_string2039z00zz__mpg123_decoderz00, BgL_bgl_string2039za700za7za7_2139za7, "musicdecoder-decode", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2030z00zz__mpg123_decoderz00, BgL_bgl_za762musicdecoderza72140z00, BGl_z62musicdecoderzd2positio1136zb0zz__mpg123_decoderz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__mpg123_decoderz00) );
ADD_ROOT( (void *)(&BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__mpg123_decoderz00(long BgL_checksumz00_994, char * BgL_fromz00_995)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__mpg123_decoderz00))
{ 
BGl_requirezd2initializa7ationz75zz__mpg123_decoderz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__mpg123_decoderz00(); 
BGl_libraryzd2moduleszd2initz00zz__mpg123_decoderz00(); 
BGl_cnstzd2initzd2zz__mpg123_decoderz00(); 
BGl_importedzd2moduleszd2initz00zz__mpg123_decoderz00(); 
BGl_objectzd2initzd2zz__mpg123_decoderz00(); 
BGl_methodzd2initzd2zz__mpg123_decoderz00(); 
return 
BGl_toplevelzd2initzd2zz__mpg123_decoderz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__mpg123_decoderz00(void)
{
{ /* Llib/mpg123_decoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(0L, "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(0L, "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__paramz00(0L, "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2mp3zd2(0L, "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__datez00(0L, "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L, "__mpg123_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__mpg123_decoder"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__mpg123_decoderz00(void)
{
{ /* Llib/mpg123_decoder.scm 15 */
{ /* Llib/mpg123_decoder.scm 15 */
 obj_t BgL_cportz00_788;
{ /* Llib/mpg123_decoder.scm 15 */
 obj_t BgL_stringz00_795;
BgL_stringz00_795 = BGl_string2066z00zz__mpg123_decoderz00; 
{ /* Llib/mpg123_decoder.scm 15 */
 obj_t BgL_startz00_796;
BgL_startz00_796 = 
BINT(0L); 
{ /* Llib/mpg123_decoder.scm 15 */
 obj_t BgL_endz00_797;
BgL_endz00_797 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_795))); 
{ /* Llib/mpg123_decoder.scm 15 */

BgL_cportz00_788 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_795, BgL_startz00_796, BgL_endz00_797); } } } } 
{ 
 long BgL_iz00_789;
BgL_iz00_789 = 20L; 
BgL_loopz00_790:
if(
(BgL_iz00_789==(-1L)))
{ /* Llib/mpg123_decoder.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/mpg123_decoder.scm 15 */
{ /* Llib/mpg123_decoder.scm 15 */
 obj_t BgL_arg2067z00_791;
{ /* Llib/mpg123_decoder.scm 15 */

{ /* Llib/mpg123_decoder.scm 15 */
 obj_t BgL_locationz00_793;
BgL_locationz00_793 = 
BBOOL(((bool_t)0)); 
{ /* Llib/mpg123_decoder.scm 15 */

BgL_arg2067z00_791 = 
BGl_readz00zz__readerz00(BgL_cportz00_788, BgL_locationz00_793); } } } 
{ /* Llib/mpg123_decoder.scm 15 */
 int BgL_tmpz00_1030;
BgL_tmpz00_1030 = 
(int)(BgL_iz00_789); 
CNST_TABLE_SET(BgL_tmpz00_1030, BgL_arg2067z00_791); } } 
{ /* Llib/mpg123_decoder.scm 15 */
 int BgL_auxz00_794;
BgL_auxz00_794 = 
(int)(
(BgL_iz00_789-1L)); 
{ 
 long BgL_iz00_1035;
BgL_iz00_1035 = 
(long)(BgL_auxz00_794); 
BgL_iz00_789 = BgL_iz00_1035; 
goto BgL_loopz00_790;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__mpg123_decoderz00(void)
{
{ /* Llib/mpg123_decoder.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__mpg123_decoderz00(void)
{
{ /* Llib/mpg123_decoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(0L, 
BSTRING_TO_STRING(BGl_string1994z00zz__mpg123_decoderz00)); 
return ( 
BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00 = BFALSE, BUNSPEC) ;} 

}



/* mpg123-debug */
int BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(void)
{
{ /* Llib/mpg123_decoder.scm 38 */
if(
(0L>0L))
{ /* Llib/mpg123_decoder.scm 39 */
BGL_TAIL return 
bgl_debug();}  else 
{ /* Llib/mpg123_decoder.scm 39 */
return 
(int)(0L);} } 

}



/* new-format */
obj_t BGl_newzd2formatzd2zz__mpg123_decoderz00(BgL_mpg123zd2decoderzd2_bglt BgL_decz00_19, BgL_musicbufz00_bglt BgL_amz00_20, BgL_musicbufferz00_bglt BgL_bufferz00_21)
{
{ /* Llib/mpg123_decoder.scm 303 */
{ /* Llib/mpg123_decoder.scm 305 */
 obj_t BgL_ratez00_36;
{ /* Llib/mpg123_decoder.scm 306 */
 obj_t BgL_arg1150z00_39;
BgL_arg1150z00_39 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_decz00_19))->BgL_z52mpg123z52); 
BgL_ratez00_36 = 
BGl_mpg123zd2getzd2formatz00zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1150z00_39)); } 
{ /* Llib/mpg123_decoder.scm 306 */
 obj_t BgL_channelsz00_37; obj_t BgL_encodingz00_38;
{ /* Llib/mpg123_decoder.scm 307 */
 obj_t BgL_tmpz00_527;
{ /* Llib/mpg123_decoder.scm 307 */
 int BgL_tmpz00_1047;
BgL_tmpz00_1047 = 
(int)(1L); 
BgL_tmpz00_527 = 
BGL_MVALUES_VAL(BgL_tmpz00_1047); } 
{ /* Llib/mpg123_decoder.scm 307 */
 int BgL_tmpz00_1050;
BgL_tmpz00_1050 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1050, BUNSPEC); } 
BgL_channelsz00_37 = BgL_tmpz00_527; } 
{ /* Llib/mpg123_decoder.scm 307 */
 obj_t BgL_tmpz00_528;
{ /* Llib/mpg123_decoder.scm 307 */
 int BgL_tmpz00_1053;
BgL_tmpz00_1053 = 
(int)(2L); 
BgL_tmpz00_528 = 
BGL_MVALUES_VAL(BgL_tmpz00_1053); } 
{ /* Llib/mpg123_decoder.scm 307 */
 int BgL_tmpz00_1056;
BgL_tmpz00_1056 = 
(int)(2L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1056, BUNSPEC); } 
BgL_encodingz00_38 = BgL_tmpz00_528; } 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_decz00_19))->BgL_z52ratez52)=((int)
CINT(BgL_ratez00_36)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_decz00_19))->BgL_z52channelsz52)=((int)
CINT(BgL_channelsz00_37)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_decz00_19))->BgL_z52encodingz52)=((obj_t)BgL_encodingz00_38),BUNSPEC); 
BGl_musicdecoderzd2hwparamszd2setz12z12zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)BgL_decz00_19), 
((BgL_musicz00_bglt)BgL_amz00_20), BgL_bufferz00_21); } } 
{ /* Llib/mpg123_decoder.scm 312 */
 BgL_musicstatusz00_bglt BgL_i1118z00_41;
BgL_i1118z00_41 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)BgL_amz00_20)))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1118z00_41))->BgL_songposz00)=((obj_t)
BINT(
BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)BgL_decz00_19), BgL_bufferz00_21))),BUNSPEC); 
{ /* Llib/mpg123_decoder.scm 314 */
 long BgL_bratez00_42;
BgL_bratez00_42 = 
BGl_musicdecoderzd2infozd2zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)BgL_decz00_19)); 
{ /* Llib/mpg123_decoder.scm 315 */
 obj_t BgL_ratez00_43;
{ /* Llib/mpg123_decoder.scm 316 */
 obj_t BgL_tmpz00_529;
{ /* Llib/mpg123_decoder.scm 316 */
 int BgL_tmpz00_1075;
BgL_tmpz00_1075 = 
(int)(1L); 
BgL_tmpz00_529 = 
BGL_MVALUES_VAL(BgL_tmpz00_1075); } 
{ /* Llib/mpg123_decoder.scm 316 */
 int BgL_tmpz00_1078;
BgL_tmpz00_1078 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1078, BUNSPEC); } 
BgL_ratez00_43 = BgL_tmpz00_529; } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1118z00_41))->BgL_bitratez00)=((int)
(int)(BgL_bratez00_42)),BUNSPEC); 
return 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1118z00_41))->BgL_khza7za7)=((int)
CINT(BgL_ratez00_43)),BUNSPEC);} } } } 

}



/* debug-init! */
obj_t BGl_debugzd2initz12zc0zz__mpg123_decoderz00(obj_t BgL_urlz00_22)
{
{ /* Llib/mpg123_decoder.scm 327 */
{ /* Llib/mpg123_decoder.scm 328 */

BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00 = 
BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(BGl_string1995z00zz__mpg123_decoderz00, BTRUE); } 
{ /* Llib/mpg123_decoder.scm 329 */
 BGL_LONGLONG_T BgL_arg1151z00_46;
BgL_arg1151z00_46 = 
bgl_current_microseconds(); 
{ /* Llib/mpg123_decoder.scm 329 */
 obj_t BgL_list1152z00_47;
{ /* Llib/mpg123_decoder.scm 329 */
 obj_t BgL_arg1154z00_48;
{ /* Llib/mpg123_decoder.scm 329 */
 obj_t BgL_arg1155z00_49;
{ /* Llib/mpg123_decoder.scm 329 */
 obj_t BgL_arg1160z00_50;
{ /* Llib/mpg123_decoder.scm 329 */
 obj_t BgL_arg1162z00_51;
BgL_arg1162z00_51 = 
MAKE_YOUNG_PAIR(BGl_string1996z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1160z00_50 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1151z00_46), BgL_arg1162z00_51); } 
BgL_arg1155z00_49 = 
MAKE_YOUNG_PAIR(BGl_string1997z00zz__mpg123_decoderz00, BgL_arg1160z00_50); } 
BgL_arg1154z00_48 = 
MAKE_YOUNG_PAIR(BgL_urlz00_22, BgL_arg1155z00_49); } 
BgL_list1152z00_47 = 
MAKE_YOUNG_PAIR(BGl_string1998z00zz__mpg123_decoderz00, BgL_arg1154z00_48); } 
return 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1152z00_47);} } } 

}



/* debug-stop! */
obj_t BGl_debugzd2stopz12zc0zz__mpg123_decoderz00(obj_t BgL_urlz00_23)
{
{ /* Llib/mpg123_decoder.scm 334 */
{ /* Llib/mpg123_decoder.scm 335 */
 BGL_LONGLONG_T BgL_arg1163z00_52;
BgL_arg1163z00_52 = 
bgl_current_microseconds(); 
{ /* Llib/mpg123_decoder.scm 335 */
 obj_t BgL_list1164z00_53;
{ /* Llib/mpg123_decoder.scm 335 */
 obj_t BgL_arg1165z00_54;
{ /* Llib/mpg123_decoder.scm 335 */
 obj_t BgL_arg1166z00_55;
{ /* Llib/mpg123_decoder.scm 335 */
 obj_t BgL_arg1167z00_56;
{ /* Llib/mpg123_decoder.scm 335 */
 obj_t BgL_arg1168z00_57;
BgL_arg1168z00_57 = 
MAKE_YOUNG_PAIR(BGl_string1996z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1167z00_56 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1163z00_52), BgL_arg1168z00_57); } 
BgL_arg1166z00_55 = 
MAKE_YOUNG_PAIR(BGl_string1997z00zz__mpg123_decoderz00, BgL_arg1167z00_56); } 
BgL_arg1165z00_54 = 
MAKE_YOUNG_PAIR(BgL_urlz00_23, BgL_arg1166z00_55); } 
BgL_list1164z00_53 = 
MAKE_YOUNG_PAIR(BGl_string1999z00zz__mpg123_decoderz00, BgL_arg1165z00_54); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1164z00_53); } } 
return 
bgl_close_output_port(BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00);} 

}



/* debug */
obj_t BGl_debugz00zz__mpg123_decoderz00(obj_t BgL_argsz00_24)
{
{ /* Llib/mpg123_decoder.scm 341 */
{ 
 obj_t BgL_l1123z00_59;
BgL_l1123z00_59 = BgL_argsz00_24; 
BgL_zc3z04anonymousza31169ze3z87_60:
if(
PAIRP(BgL_l1123z00_59))
{ /* Llib/mpg123_decoder.scm 342 */
{ /* Llib/mpg123_decoder.scm 342 */
 obj_t BgL_az00_62;
BgL_az00_62 = 
CAR(BgL_l1123z00_59); 
bgl_display_obj(BgL_az00_62, BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00); } 
{ 
 obj_t BgL_l1123z00_1107;
BgL_l1123z00_1107 = 
CDR(BgL_l1123z00_59); 
BgL_l1123z00_59 = BgL_l1123z00_1107; 
goto BgL_zc3z04anonymousza31169ze3z87_60;} }  else 
{ /* Llib/mpg123_decoder.scm 342 */((bool_t)1); } } 
return 
bgl_flush_output_port(BGl_za2debugzd2portza2zd2zz__mpg123_decoderz00);} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__mpg123_decoderz00(void)
{
{ /* Llib/mpg123_decoder.scm 15 */
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1181z00_68; obj_t BgL_arg1182z00_69;
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_v1125z00_96;
BgL_v1125z00_96 = 
create_vector(6L); 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1190z00_97;
BgL_arg1190z00_97 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(0)), BGl_proc2002z00zz__mpg123_decoderz00, BGl_proc2001z00zz__mpg123_decoderz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2000z00zz__mpg123_decoderz00, 
((obj_t)
CNST_TABLE_REF(1))); 
VECTOR_SET(BgL_v1125z00_96,0L,BgL_arg1190z00_97); } 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1198z00_112;
BgL_arg1198z00_112 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(2)), BGl_proc2005z00zz__mpg123_decoderz00, BGl_proc2004z00zz__mpg123_decoderz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2003z00zz__mpg123_decoderz00, 
((obj_t)
CNST_TABLE_REF(3))); 
VECTOR_SET(BgL_v1125z00_96,1L,BgL_arg1198z00_112); } 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1210z00_131;
BgL_arg1210z00_131 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(4)), BGl_proc2008z00zz__mpg123_decoderz00, BGl_proc2007z00zz__mpg123_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2006z00zz__mpg123_decoderz00, 
((obj_t)
CNST_TABLE_REF(5))); 
VECTOR_SET(BgL_v1125z00_96,2L,BgL_arg1210z00_131); } 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1218z00_144;
BgL_arg1218z00_144 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(6)), BGl_proc2011z00zz__mpg123_decoderz00, BGl_proc2010z00zz__mpg123_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2009z00zz__mpg123_decoderz00, 
((obj_t)
CNST_TABLE_REF(7))); 
VECTOR_SET(BgL_v1125z00_96,3L,BgL_arg1218z00_144); } 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1225z00_157;
BgL_arg1225z00_157 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(8)), BGl_proc2014z00zz__mpg123_decoderz00, BGl_proc2013z00zz__mpg123_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2012z00zz__mpg123_decoderz00, 
((obj_t)
CNST_TABLE_REF(7))); 
VECTOR_SET(BgL_v1125z00_96,4L,BgL_arg1225z00_157); } 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_arg1233z00_170;
BgL_arg1233z00_170 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(9)), BGl_proc2017z00zz__mpg123_decoderz00, BGl_proc2016z00zz__mpg123_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2015z00zz__mpg123_decoderz00, 
((obj_t)
CNST_TABLE_REF(10))); 
VECTOR_SET(BgL_v1125z00_96,5L,BgL_arg1233z00_170); } 
BgL_arg1181z00_68 = BgL_v1125z00_96; } 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_v1126z00_183;
BgL_v1126z00_183 = 
create_vector(0L); 
BgL_arg1182z00_69 = BgL_v1126z00_183; } 
return ( 
BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(11)), 
((obj_t)
CNST_TABLE_REF(12)), BGl_musicdecoderz00zz__multimediazd2musicbufzd2, 50873L, BGl_proc2020z00zz__mpg123_decoderz00, BGl_proc2019z00zz__mpg123_decoderz00, BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_proc2018z00zz__mpg123_decoderz00, BFALSE, BgL_arg1181z00_68, BgL_arg1182z00_69), BUNSPEC) ;} } 

}



/* &<@anonymous:1189> */
obj_t BGl_z62zc3z04anonymousza31189ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_671, obj_t BgL_new1091z00_672)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ 
 BgL_mpg123zd2decoderzd2_bglt BgL_auxz00_1153;
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_672))))->BgL_mimetypesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_672))))->BgL_bufferzd2timezd2nearz00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_672))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_672))))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_672))))->BgL_z52z12dpausez40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_672))))->BgL_z52z12dabortz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_672))))->BgL_z52z12stopz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_672))))->BgL_z52dmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_672))))->BgL_z52dcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_672))))->BgL_z52doutcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_672)))->BgL_outbufz00)=((obj_t)BGl_string2021z00zz__mpg123_decoderz00),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_672)))->BgL_z52mpg123z52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_672)))->BgL_z52z12dseekz40)=((long)0L),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_672)))->BgL_z52ratez52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_672)))->BgL_z52channelsz52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_672)))->BgL_z52encodingz52)=((obj_t)
((obj_t)
CNST_TABLE_REF(13))),BUNSPEC); 
BgL_auxz00_1153 = 
((BgL_mpg123zd2decoderzd2_bglt)BgL_new1091z00_672); 
return 
((obj_t)BgL_auxz00_1153);} } 

}



/* &lambda1186 */
BgL_mpg123zd2decoderzd2_bglt BGl_z62lambda1186z62zz__mpg123_decoderz00(obj_t BgL_envz00_673)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ /* Llib/mpg123_decoder.scm 21 */
 BgL_mpg123zd2decoderzd2_bglt BgL_new1090z00_800;
BgL_new1090z00_800 = 
((BgL_mpg123zd2decoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpg123zd2decoderzd2_bgl) ))); 
{ /* Llib/mpg123_decoder.scm 21 */
 long BgL_arg1188z00_801;
BgL_arg1188z00_801 = 
BGL_CLASS_NUM(BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1090z00_800), BgL_arg1188z00_801); } 
return BgL_new1090z00_800;} } 

}



/* &lambda1183 */
BgL_mpg123zd2decoderzd2_bglt BGl_z62lambda1183z62zz__mpg123_decoderz00(obj_t BgL_envz00_674, obj_t BgL_mimetypes1074z00_675, obj_t BgL_bufferzd2timezd2near1075z00_676, obj_t BgL_bufferzd2siza7ezd2nearzd2rat1076z75_677, obj_t BgL_periodzd2siza7ezd2nearzd2rat1077z75_678, obj_t BgL_z52z12dpause1078z40_679, obj_t BgL_z52z12dabort1079z40_680, obj_t BgL_z52z12stop1080z40_681, obj_t BgL_z52dmutex1081z52_682, obj_t BgL_z52dcondv1082z52_683, obj_t BgL_z52doutcondv1083z52_684, obj_t BgL_outbuf1084z00_685, obj_t BgL_z52mpg1231085z52_686, obj_t BgL_z52z12dseek1086z40_687, obj_t BgL_z52rate1087z52_688, obj_t BgL_z52channels1088z52_689, obj_t BgL_z52encoding1089z52_690)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ /* Llib/mpg123_decoder.scm 21 */
 int BgL_bufferzd2timezd2near1075z00_803; int BgL_bufferzd2siza7ezd2nearzd2rat1076z75_804; int BgL_periodzd2siza7ezd2nearzd2rat1077z75_805; bool_t BgL_z52z12dpause1078z40_806; bool_t BgL_z52z12dabort1079z40_807; bool_t BgL_z52z12stop1080z40_808; long BgL_z52z12dseek1086z40_813; int BgL_z52rate1087z52_814; int BgL_z52channels1088z52_815;
BgL_bufferzd2timezd2near1075z00_803 = 
CINT(BgL_bufferzd2timezd2near1075z00_676); 
BgL_bufferzd2siza7ezd2nearzd2rat1076z75_804 = 
CINT(BgL_bufferzd2siza7ezd2nearzd2rat1076z75_677); 
BgL_periodzd2siza7ezd2nearzd2rat1077z75_805 = 
CINT(BgL_periodzd2siza7ezd2nearzd2rat1077z75_678); 
BgL_z52z12dpause1078z40_806 = 
CBOOL(BgL_z52z12dpause1078z40_679); 
BgL_z52z12dabort1079z40_807 = 
CBOOL(BgL_z52z12dabort1079z40_680); 
BgL_z52z12stop1080z40_808 = 
CBOOL(BgL_z52z12stop1080z40_681); 
BgL_z52z12dseek1086z40_813 = 
(long)CINT(BgL_z52z12dseek1086z40_687); 
BgL_z52rate1087z52_814 = 
CINT(BgL_z52rate1087z52_688); 
BgL_z52channels1088z52_815 = 
CINT(BgL_z52channels1088z52_689); 
{ /* Llib/mpg123_decoder.scm 21 */
 BgL_mpg123zd2decoderzd2_bglt BgL_new1120z00_817;
{ /* Llib/mpg123_decoder.scm 21 */
 BgL_mpg123zd2decoderzd2_bglt BgL_new1119z00_818;
BgL_new1119z00_818 = 
((BgL_mpg123zd2decoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpg123zd2decoderzd2_bgl) ))); 
{ /* Llib/mpg123_decoder.scm 21 */
 long BgL_arg1185z00_819;
BgL_arg1185z00_819 = 
BGL_CLASS_NUM(BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_818), BgL_arg1185z00_819); } 
BgL_new1120z00_817 = BgL_new1119z00_818; } 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_817)))->BgL_mimetypesz00)=((obj_t)
((obj_t)BgL_mimetypes1074z00_675)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_817)))->BgL_bufferzd2timezd2nearz00)=((int)BgL_bufferzd2timezd2near1075z00_803),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_817)))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)BgL_bufferzd2siza7ezd2nearzd2rat1076z75_804),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_817)))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)BgL_periodzd2siza7ezd2nearzd2rat1077z75_805),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_817)))->BgL_z52z12dpausez40)=((bool_t)BgL_z52z12dpause1078z40_806),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_817)))->BgL_z52z12dabortz40)=((bool_t)BgL_z52z12dabort1079z40_807),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_817)))->BgL_z52z12stopz40)=((bool_t)BgL_z52z12stop1080z40_808),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_817)))->BgL_z52dmutexz52)=((obj_t)
((obj_t)BgL_z52dmutex1081z52_682)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_817)))->BgL_z52dcondvz52)=((obj_t)
((obj_t)BgL_z52dcondv1082z52_683)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_817)))->BgL_z52doutcondvz52)=((obj_t)
((obj_t)BgL_z52doutcondv1083z52_684)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_new1120z00_817))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_outbuf1084z00_685)),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_new1120z00_817))->BgL_z52mpg123z52)=((obj_t)BgL_z52mpg1231085z52_686),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_new1120z00_817))->BgL_z52z12dseekz40)=((long)BgL_z52z12dseek1086z40_813),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_new1120z00_817))->BgL_z52ratez52)=((int)BgL_z52rate1087z52_814),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_new1120z00_817))->BgL_z52channelsz52)=((int)BgL_z52channels1088z52_815),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(BgL_new1120z00_817))->BgL_z52encodingz52)=((obj_t)
((obj_t)BgL_z52encoding1089z52_690)),BUNSPEC); 
{ /* Llib/mpg123_decoder.scm 21 */
 obj_t BgL_fun1184z00_820;
BgL_fun1184z00_820 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00); 
BGL_PROCEDURE_CALL1(BgL_fun1184z00_820, 
((obj_t)BgL_new1120z00_817)); } 
return BgL_new1120z00_817;} } } 

}



/* &<@anonymous:1242> */
obj_t BGl_z62zc3z04anonymousza31242ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_691)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
((obj_t)
CNST_TABLE_REF(14));} 

}



/* &lambda1241 */
obj_t BGl_z62lambda1241z62zz__mpg123_decoderz00(obj_t BgL_envz00_692, obj_t BgL_oz00_693, obj_t BgL_vz00_694)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_693)))->BgL_z52encodingz52)=((obj_t)
((obj_t)BgL_vz00_694)),BUNSPEC);} 

}



/* &lambda1240 */
obj_t BGl_z62lambda1240z62zz__mpg123_decoderz00(obj_t BgL_envz00_695, obj_t BgL_oz00_696)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_696)))->BgL_z52encodingz52);} 

}



/* &<@anonymous:1232> */
obj_t BGl_z62zc3z04anonymousza31232ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_697)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
BINT(0L);} 

}



/* &lambda1231 */
obj_t BGl_z62lambda1231z62zz__mpg123_decoderz00(obj_t BgL_envz00_698, obj_t BgL_oz00_699, obj_t BgL_vz00_700)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ /* Llib/mpg123_decoder.scm 21 */
 int BgL_vz00_825;
BgL_vz00_825 = 
CINT(BgL_vz00_700); 
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_699)))->BgL_z52channelsz52)=((int)BgL_vz00_825),BUNSPEC);} } 

}



/* &lambda1230 */
obj_t BGl_z62lambda1230z62zz__mpg123_decoderz00(obj_t BgL_envz00_701, obj_t BgL_oz00_702)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
BINT(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_702)))->BgL_z52channelsz52));} 

}



/* &<@anonymous:1224> */
obj_t BGl_z62zc3z04anonymousza31224ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_703)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
BINT(0L);} 

}



/* &lambda1223 */
obj_t BGl_z62lambda1223z62zz__mpg123_decoderz00(obj_t BgL_envz00_704, obj_t BgL_oz00_705, obj_t BgL_vz00_706)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ /* Llib/mpg123_decoder.scm 21 */
 int BgL_vz00_828;
BgL_vz00_828 = 
CINT(BgL_vz00_706); 
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_705)))->BgL_z52ratez52)=((int)BgL_vz00_828),BUNSPEC);} } 

}



/* &lambda1222 */
obj_t BGl_z62lambda1222z62zz__mpg123_decoderz00(obj_t BgL_envz00_707, obj_t BgL_oz00_708)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
BINT(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_708)))->BgL_z52ratez52));} 

}



/* &<@anonymous:1217> */
obj_t BGl_z62zc3z04anonymousza31217ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_709)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
BINT((-1L));} 

}



/* &lambda1216 */
obj_t BGl_z62lambda1216z62zz__mpg123_decoderz00(obj_t BgL_envz00_710, obj_t BgL_oz00_711, obj_t BgL_vz00_712)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ /* Llib/mpg123_decoder.scm 21 */
 long BgL_vz00_831;
BgL_vz00_831 = 
(long)CINT(BgL_vz00_712); 
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_711)))->BgL_z52z12dseekz40)=((long)BgL_vz00_831),BUNSPEC);} } 

}



/* &lambda1215 */
obj_t BGl_z62lambda1215z62zz__mpg123_decoderz00(obj_t BgL_envz00_713, obj_t BgL_oz00_714)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
BINT(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_714)))->BgL_z52z12dseekz40));} 

}



/* &<@anonymous:1204> */
obj_t BGl_z62zc3z04anonymousza31204ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_715)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ 
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1291;
{ /* Llib/mpg123_decoder.scm 23 */
 BgL_mpg123zd2handlezd2_bglt BgL_new1122z00_833;
{ /* Llib/mpg123_decoder.scm 23 */
 BgL_mpg123zd2handlezd2_bglt BgL_new1121z00_834;
BgL_new1121z00_834 = 
((BgL_mpg123zd2handlezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpg123zd2handlezd2_bgl) ))); 
{ /* Llib/mpg123_decoder.scm 23 */
 long BgL_arg1209z00_835;
BgL_arg1209z00_835 = 
BGL_CLASS_NUM(BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1121z00_834), BgL_arg1209z00_835); } 
BgL_new1122z00_833 = BgL_new1121z00_834; } 
{ 
 void * BgL_auxz00_1296;
{ /* Llib/mpg123_decoder.scm 23 */
 obj_t BgL_arg1205z00_836;
{ /* Llib/mpg123_decoder.scm 23 */
 obj_t BgL_arg1206z00_837;
{ /* Llib/mpg123_decoder.scm 23 */
 obj_t BgL_classz00_838;
BgL_classz00_838 = BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00; 
BgL_arg1206z00_837 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_838); } 
BgL_arg1205z00_836 = 
VECTOR_REF(BgL_arg1206z00_837,0L); } 
BgL_auxz00_1296 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1205z00_836)); } 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_new1122z00_833))->BgL_z42builtinz42)=((mpg123_handle *)BgL_auxz00_1296),BUNSPEC); } 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_new1122z00_833))->BgL_decoderz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_new1122z00_833))->BgL_siza7eza7)=((long)0L),BUNSPEC); 
{ /* Llib/mpg123_decoder.scm 23 */
 obj_t BgL_fun1207z00_839;
BgL_fun1207z00_839 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00); 
BGL_PROCEDURE_CALL1(BgL_fun1207z00_839, 
((obj_t)BgL_new1122z00_833)); } 
BgL_auxz00_1291 = BgL_new1122z00_833; } 
return 
((obj_t)BgL_auxz00_1291);} } 

}



/* &lambda1203 */
obj_t BGl_z62lambda1203z62zz__mpg123_decoderz00(obj_t BgL_envz00_716, obj_t BgL_oz00_717, obj_t BgL_vz00_718)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_717)))->BgL_z52mpg123z52)=((obj_t)BgL_vz00_718),BUNSPEC);} 

}



/* &lambda1202 */
obj_t BGl_z62lambda1202z62zz__mpg123_decoderz00(obj_t BgL_envz00_719, obj_t BgL_oz00_720)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_720)))->BgL_z52mpg123z52);} 

}



/* &<@anonymous:1197> */
obj_t BGl_z62zc3z04anonymousza31197ze3ze5zz__mpg123_decoderz00(obj_t BgL_envz00_721)
{
{ /* Llib/mpg123_decoder.scm 21 */
{ /* Llib/mpg123_decoder.scm 22 */

return 
make_string(5120L, ((unsigned char)' '));} } 

}



/* &lambda1196 */
obj_t BGl_z62lambda1196z62zz__mpg123_decoderz00(obj_t BgL_envz00_722, obj_t BgL_oz00_723, obj_t BgL_vz00_724)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_723)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_vz00_724)),BUNSPEC);} 

}



/* &lambda1195 */
obj_t BGl_z62lambda1195z62zz__mpg123_decoderz00(obj_t BgL_envz00_725, obj_t BgL_oz00_726)
{
{ /* Llib/mpg123_decoder.scm 21 */
return 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_oz00_726)))->BgL_outbufz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__mpg123_decoderz00(void)
{
{ /* Llib/mpg123_decoder.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__mpg123_decoderz00(void)
{
{ /* Llib/mpg123_decoder.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc2022z00zz__mpg123_decoderz00, BGl_string2023z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc2024z00zz__mpg123_decoderz00, BGl_string2025z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2closezd2envz00zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc2026z00zz__mpg123_decoderz00, BGl_string2027z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc2028z00zz__mpg123_decoderz00, BGl_string2029z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2positionzd2envz00zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc2030z00zz__mpg123_decoderz00, BGl_string2031z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2infozd2envz00zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc2032z00zz__mpg123_decoderz00, BGl_string2033z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2seekzd2envz00zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc2034z00zz__mpg123_decoderz00, BGl_string2035z00zz__mpg123_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2volumezd2setz12zd2envzc0zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc2036z00zz__mpg123_decoderz00, BGl_string2037z00zz__mpg123_decoderz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00, BGl_proc2038z00zz__mpg123_decoderz00, BGl_string2039z00zz__mpg123_decoderz00);} 

}



/* &musicdecoder-decode-1144 */
obj_t BGl_z62musicdecoderzd2decodezd21144z62zz__mpg123_decoderz00(obj_t BgL_envz00_740, obj_t BgL_decz00_741, obj_t BgL_amz00_742, obj_t BgL_bufferz00_743)
{
{ /* Llib/mpg123_decoder.scm 106 */
{ /* Llib/mpg123_decoder.scm 111 */
 bool_t BgL_haszd2beenzd2emptyzd2oncezd2_848;
BgL_haszd2beenzd2emptyzd2oncezd2_848 = ((bool_t)0); 
{ /* Llib/mpg123_decoder.scm 111 */
 long BgL_inlenz00_849;
BgL_inlenz00_849 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52inlenz52); 
{ /* Llib/mpg123_decoder.scm 119 */
 long BgL_outlenz00_850;
BgL_outlenz00_850 = 
STRING_LENGTH(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741)))->BgL_outbufz00)); 
{ /* Llib/mpg123_decoder.scm 121 */
 long BgL_decsza7za7_851;
{ /* Llib/mpg123_decoder.scm 121 */
 long BgL_az00_852;
BgL_az00_852 = 
(2L*BgL_outlenz00_850); 
if(
(BgL_az00_852<BgL_inlenz00_849))
{ /* Llib/mpg123_decoder.scm 121 */
BgL_decsza7za7_851 = BgL_az00_852; }  else 
{ /* Llib/mpg123_decoder.scm 121 */
BgL_decsza7za7_851 = BgL_inlenz00_849; } } 
{ 

{ 

{ 

{ 
 long BgL_siza7eza7_872;
{ /* Llib/mpg123_decoder.scm 179 */
 bool_t BgL_test2146z00_1338;
{ /* Llib/mpg123_decoder.scm 179 */
 int BgL_arg1365z00_887;
BgL_arg1365z00_887 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2146z00_1338 = 
(
(long)(BgL_arg1365z00_887)>0L); } 
if(BgL_test2146z00_1338)
{ /* Llib/mpg123_decoder.scm 179 */
BGl_debugzd2initz12zc0zz__mpg123_decoderz00(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_urlz00)); }  else 
{ /* Llib/mpg123_decoder.scm 179 */BFALSE; } } 
if(
(
(long)(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741)))->BgL_z52ratez52))>0L))
{ /* Llib/mpg123_decoder.scm 183 */
BGl_musicdecoderzd2hwparamszd2setz12z12zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741)), 
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_742)), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)); }  else 
{ /* Llib/mpg123_decoder.scm 183 */BFALSE; } 
{ 

BgL_loopz00_888:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741))))->BgL_z52z12dpausez40))
{ /* Llib/mpg123_decoder.scm 188 */
{ /* Llib/mpg123_decoder.scm 190 */
 BgL_musicstatusz00_bglt BgL_i1107z00_889;
BgL_i1107z00_889 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_742))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1107z00_889))->BgL_songposz00)=((obj_t)
BINT(
BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741)), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))),BUNSPEC); } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_742)), 
((obj_t)
CNST_TABLE_REF(15))); 
{ /* Llib/mpg123_decoder.scm 193 */
 obj_t BgL_mutex1376z00_890;
BgL_mutex1376z00_890 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741))))->BgL_z52dmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1376z00_890); 
{ /* Llib/mpg123_decoder.scm 193 */
 bool_t BgL_tmp2149z00_1377;
{ 

BgL_liipz00_891:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741))))->BgL_z52z12dpausez40))
{ /* Llib/mpg123_decoder.scm 195 */
{ /* Llib/mpg123_decoder.scm 196 */
 obj_t BgL_arg1381z00_892; obj_t BgL_arg1382z00_893;
BgL_arg1381z00_892 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741))))->BgL_z52dcondvz52); 
BgL_arg1382z00_893 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741))))->BgL_z52dmutexz52); 
{ /* Llib/mpg123_decoder.scm 196 */

BGL_CONDVAR_WAIT(BgL_arg1381z00_892, BgL_arg1382z00_893); } } 
goto BgL_liipz00_891;}  else 
{ /* Llib/mpg123_decoder.scm 195 */
BgL_tmp2149z00_1377 = ((bool_t)0); } } 
BGL_MUTEX_UNLOCK(BgL_mutex1376z00_890); BgL_tmp2149z00_1377; } } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_742)), 
((obj_t)
CNST_TABLE_REF(16))); 
goto BgL_loopz00_888;}  else 
{ /* Llib/mpg123_decoder.scm 188 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741))))->BgL_z52z12dabortz40))
{ /* Llib/mpg123_decoder.scm 200 */
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_742)), 
((obj_t)
CNST_TABLE_REF(17))); }  else 
{ /* Llib/mpg123_decoder.scm 200 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52emptyz52))
{ /* Llib/mpg123_decoder.scm 203 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52eofz52))
{ /* Llib/mpg123_decoder.scm 205 */
{ /* Llib/mpg123_decoder.scm 207 */
 bool_t BgL_test2154z00_1411;
{ /* Llib/mpg123_decoder.scm 207 */
 int BgL_arg1410z00_894;
BgL_arg1410z00_894 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2154z00_1411 = 
(
(long)(BgL_arg1410z00_894)>=2L); } 
if(BgL_test2154z00_1411)
{ /* Llib/mpg123_decoder.scm 208 */
 obj_t BgL_arg1402z00_895;
BgL_arg1402z00_895 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_urlz00); 
{ /* Llib/mpg123_decoder.scm 208 */
 obj_t BgL_list1403z00_896;
{ /* Llib/mpg123_decoder.scm 208 */
 obj_t BgL_arg1406z00_897;
{ /* Llib/mpg123_decoder.scm 208 */
 obj_t BgL_arg1409z00_898;
BgL_arg1409z00_898 = 
MAKE_YOUNG_PAIR(BGl_string1996z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1406z00_897 = 
MAKE_YOUNG_PAIR(BgL_arg1402z00_895, BgL_arg1409z00_898); } 
BgL_list1403z00_896 = 
MAKE_YOUNG_PAIR(BGl_string2048z00zz__mpg123_decoderz00, BgL_arg1406z00_897); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1403z00_896); } }  else 
{ /* Llib/mpg123_decoder.scm 207 */BFALSE; } } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_742)), 
((obj_t)
CNST_TABLE_REF(18))); }  else 
{ /* Llib/mpg123_decoder.scm 205 */
{ /* Llib/mpg123_decoder.scm 211 */
 bool_t BgL_test2155z00_1426;
{ /* Llib/mpg123_decoder.scm 211 */
 int BgL_arg1578z00_899;
BgL_arg1578z00_899 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2155z00_1426 = 
(
(long)(BgL_arg1578z00_899)>=1L); } 
if(BgL_test2155z00_1426)
{ /* Llib/mpg123_decoder.scm 212 */
 obj_t BgL_arg1445z00_900; BGL_LONGLONG_T BgL_arg1446z00_901;
BgL_arg1445z00_900 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_urlz00); 
BgL_arg1446z00_901 = 
bgl_current_microseconds(); 
{ /* Llib/mpg123_decoder.scm 212 */
 obj_t BgL_list1447z00_902;
{ /* Llib/mpg123_decoder.scm 212 */
 obj_t BgL_arg1482z00_903;
{ /* Llib/mpg123_decoder.scm 212 */
 obj_t BgL_arg1483z00_904;
{ /* Llib/mpg123_decoder.scm 212 */
 obj_t BgL_arg1570z00_905;
{ /* Llib/mpg123_decoder.scm 212 */
 obj_t BgL_arg1571z00_906;
BgL_arg1571z00_906 = 
MAKE_YOUNG_PAIR(BGl_string2046z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1570z00_905 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1446z00_901), BgL_arg1571z00_906); } 
BgL_arg1483z00_904 = 
MAKE_YOUNG_PAIR(BGl_string1997z00zz__mpg123_decoderz00, BgL_arg1570z00_905); } 
BgL_arg1482z00_903 = 
MAKE_YOUNG_PAIR(BgL_arg1445z00_900, BgL_arg1483z00_904); } 
BgL_list1447z00_902 = 
MAKE_YOUNG_PAIR(BGl_string2049z00zz__mpg123_decoderz00, BgL_arg1482z00_903); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1447z00_902); } }  else 
{ /* Llib/mpg123_decoder.scm 211 */BFALSE; } } 
{ /* Llib/mpg123_decoder.scm 215 */
 BgL_musicstatusz00_bglt BgL_i1109z00_907;
BgL_i1109z00_907 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_742))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1109z00_907))->BgL_bufferingz00)=((int)
(int)(
BGl_bufferzd2percentagezd2filledze70ze7zz__mpg123_decoderz00(BgL_inlenz00_849, 
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))),BUNSPEC); } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_742)), 
((obj_t)
CNST_TABLE_REF(19))); 
{ /* Llib/mpg123_decoder.scm 219 */
 obj_t BgL_mutex1579z00_908;
BgL_mutex1579z00_908 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52bmutexz52); 
{ /* Llib/mpg123_decoder.scm 219 */
 obj_t BgL_top2157z00_1455;
BgL_top2157z00_1455 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1579z00_908); 
BGL_EXITD_PUSH_PROTECT(BgL_top2157z00_1455, BgL_mutex1579z00_908); BUNSPEC; 
{ /* Llib/mpg123_decoder.scm 219 */
 bool_t BgL_tmp2156z00_1454;
{ /* Llib/mpg123_decoder.scm 221 */
 bool_t BgL_test2158z00_1459;
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52emptyz52))
{ /* Llib/mpg123_decoder.scm 221 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52eofz52))
{ /* Llib/mpg123_decoder.scm 221 */
BgL_test2158z00_1459 = ((bool_t)1)
; }  else 
{ /* Llib/mpg123_decoder.scm 221 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741))))->BgL_z52z12dabortz40))
{ /* Llib/mpg123_decoder.scm 221 */
BgL_test2158z00_1459 = ((bool_t)1)
; }  else 
{ /* Llib/mpg123_decoder.scm 221 */
BgL_test2158z00_1459 = 
(
(8L*
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))>BgL_inlenz00_849)
; } } }  else 
{ /* Llib/mpg123_decoder.scm 221 */
BgL_test2158z00_1459 = ((bool_t)1)
; } 
if(BgL_test2158z00_1459)
{ /* Llib/mpg123_decoder.scm 221 */
BgL_tmp2156z00_1454 = ((bool_t)0); }  else 
{ /* Llib/mpg123_decoder.scm 225 */
 obj_t BgL_arg1596z00_909; obj_t BgL_arg1597z00_910;
BgL_arg1596z00_909 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52bcondvz52); 
BgL_arg1597z00_910 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52bmutexz52); 
{ /* Llib/mpg123_decoder.scm 225 */

BgL_tmp2156z00_1454 = 
BGL_CONDVAR_WAIT(BgL_arg1596z00_909, BgL_arg1597z00_910); } } } 
BGL_EXITD_POP_PROTECT(BgL_top2157z00_1455); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1579z00_908); BgL_tmp2156z00_1454; } } } 
{ /* Llib/mpg123_decoder.scm 226 */
 bool_t BgL_test2162z00_1481;
{ /* Llib/mpg123_decoder.scm 226 */
 int BgL_arg1617z00_911;
BgL_arg1617z00_911 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2162z00_1481 = 
(
(long)(BgL_arg1617z00_911)>=1L); } 
if(BgL_test2162z00_1481)
{ /* Llib/mpg123_decoder.scm 227 */
 BGL_LONGLONG_T BgL_arg1610z00_912;
BgL_arg1610z00_912 = 
bgl_current_microseconds(); 
{ /* Llib/mpg123_decoder.scm 227 */
 obj_t BgL_list1611z00_913;
{ /* Llib/mpg123_decoder.scm 227 */
 obj_t BgL_arg1616z00_914;
BgL_arg1616z00_914 = 
MAKE_YOUNG_PAIR(BGl_string1996z00zz__mpg123_decoderz00, BNIL); 
BgL_list1611z00_913 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1610z00_912), BgL_arg1616z00_914); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1611z00_913); } }  else 
{ /* Llib/mpg123_decoder.scm 226 */BFALSE; } } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_742)), 
((obj_t)
CNST_TABLE_REF(16))); 
goto BgL_loopz00_888;} }  else 
{ /* Llib/mpg123_decoder.scm 232 */
 long BgL_g1110z00_915;
{ /* Llib/mpg123_decoder.scm 232 */
 long BgL_bz00_916;
if(
(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52headz52)>
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52tailz52)))
{ /* Llib/mpg123_decoder.scm 233 */
BgL_bz00_916 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52headz52)-
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52tailz52)); }  else 
{ /* Llib/mpg123_decoder.scm 233 */
BgL_bz00_916 = 
(BgL_inlenz00_849-
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52tailz52)); } 
if(
(BgL_decsza7za7_851<BgL_bz00_916))
{ /* Llib/mpg123_decoder.scm 233 */
BgL_g1110z00_915 = BgL_decsza7za7_851; }  else 
{ /* Llib/mpg123_decoder.scm 233 */
BgL_g1110z00_915 = BgL_bz00_916; } } 
{ 
 long BgL_sz00_918;
BgL_sz00_918 = BgL_g1110z00_915; 
BgL_flushz00_917:
{ /* Llib/mpg123_decoder.scm 236 */
 int BgL_statusz00_919;
{ /* Llib/mpg123_decoder.scm 236 */
 obj_t BgL_arg1856z00_920; char * BgL_arg1858z00_921; long BgL_arg1859z00_922; obj_t BgL_arg1861z00_923;
BgL_arg1856z00_920 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741)))->BgL_z52mpg123z52); 
BgL_arg1858z00_921 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52inbufpz52); 
BgL_arg1859z00_922 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52tailz52); 
BgL_arg1861z00_923 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741)))->BgL_outbufz00); 
BgL_statusz00_919 = 
bgl_mpg123_decode(BgL_arg1856z00_920, BgL_arg1858z00_921, BgL_arg1859z00_922, BgL_sz00_918, 
BSTRING_TO_STRING(BgL_arg1861z00_923), BgL_outlenz00_850); } 
{ /* Llib/mpg123_decoder.scm 238 */
 bool_t BgL_test2165z00_1521;
{ /* Llib/mpg123_decoder.scm 238 */
 int BgL_arg1705z00_924;
BgL_arg1705z00_924 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2165z00_1521 = 
(
(long)(BgL_arg1705z00_924)>=4L); } 
if(BgL_test2165z00_1521)
{ /* Llib/mpg123_decoder.scm 239 */
 long BgL_arg1632z00_925; long BgL_arg1633z00_926; obj_t BgL_arg1634z00_927;
BgL_arg1632z00_925 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52tailz52); 
BgL_arg1633z00_926 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52headz52); 
BgL_arg1634z00_927 = 
BGl_mpg123zd2decodezd2statuszd2ze3symbolz31zz__mpg123_mpg123z00(BgL_statusz00_919); 
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_list1635z00_928;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1651z00_929;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1652z00_930;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1653z00_931;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1654z00_932;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1667z00_933;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1691z00_934;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1692z00_935;
{ /* Llib/mpg123_decoder.scm 239 */
 obj_t BgL_arg1698z00_936;
BgL_arg1698z00_936 = 
MAKE_YOUNG_PAIR(BGl_string1996z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1692z00_935 = 
MAKE_YOUNG_PAIR(BgL_arg1634z00_927, BgL_arg1698z00_936); } 
BgL_arg1691z00_934 = 
MAKE_YOUNG_PAIR(BGl_string2050z00zz__mpg123_decoderz00, BgL_arg1692z00_935); } 
BgL_arg1667z00_933 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1633z00_926), BgL_arg1691z00_934); } 
BgL_arg1654z00_932 = 
MAKE_YOUNG_PAIR(BGl_string2051z00zz__mpg123_decoderz00, BgL_arg1667z00_933); } 
BgL_arg1653z00_931 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1632z00_925), BgL_arg1654z00_932); } 
BgL_arg1652z00_930 = 
MAKE_YOUNG_PAIR(BGl_string2052z00zz__mpg123_decoderz00, BgL_arg1653z00_931); } 
BgL_arg1651z00_929 = 
MAKE_YOUNG_PAIR(
BINT(BgL_sz00_918), BgL_arg1652z00_930); } 
BgL_list1635z00_928 = 
MAKE_YOUNG_PAIR(BGl_string2053z00zz__mpg123_decoderz00, BgL_arg1651z00_929); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1635z00_928); } }  else 
{ /* Llib/mpg123_decoder.scm 238 */BFALSE; } } 
if(
(BgL_sz00_918>0L))
{ /* Llib/mpg123_decoder.scm 244 */
BgL_siza7eza7_872 = BgL_sz00_918; 
{ /* Llib/mpg123_decoder.scm 159 */
 long BgL_ntailz00_873;
BgL_ntailz00_873 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52tailz52)+BgL_siza7eza7_872); 
if(
(BgL_ntailz00_873==BgL_inlenz00_849))
{ /* Llib/mpg123_decoder.scm 160 */
BgL_ntailz00_873 = 0L; }  else 
{ /* Llib/mpg123_decoder.scm 160 */BFALSE; } 
if(
(BgL_ntailz00_873==
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52headz52)))
{ /* Llib/mpg123_decoder.scm 163 */
BgL_haszd2beenzd2emptyzd2oncezd2_848 = ((bool_t)1); 
((((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52emptyz52)=((bool_t)((bool_t)1)),BUNSPEC); }  else 
{ /* Llib/mpg123_decoder.scm 163 */BFALSE; } 
((((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52tailz52)=((long)BgL_ntailz00_873),BUNSPEC); } 
{ /* Llib/mpg123_decoder.scm 142 */
 bool_t BgL_test2169z00_1558;
{ /* Llib/mpg123_decoder.scm 142 */
 int BgL_arg1928z00_857;
BgL_arg1928z00_857 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2169z00_1558 = 
(
(long)(BgL_arg1928z00_857)>=3L); } 
if(BgL_test2169z00_1558)
{ /* Llib/mpg123_decoder.scm 143 */
 long BgL_pz00_858;
BgL_pz00_858 = 
BGl_bufferzd2percentagezd2filledze70ze7zz__mpg123_decoderz00(BgL_inlenz00_849, 
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)); 
{ /* Llib/mpg123_decoder.scm 144 */
 bool_t BgL_test2170z00_1564;
{ /* Llib/mpg123_decoder.scm 144 */
 bool_t BgL_test2171z00_1565;
{ /* Llib/mpg123_decoder.scm 144 */
 bool_t BgL_test2172z00_1566;
if(
(BgL_pz00_858<75L))
{ /* Llib/mpg123_decoder.scm 144 */
BgL_test2172z00_1566 = ((bool_t)1)
; }  else 
{ /* Llib/mpg123_decoder.scm 144 */
BgL_test2172z00_1566 = BgL_haszd2beenzd2emptyzd2oncezd2_848
; } 
if(BgL_test2172z00_1566)
{ /* Llib/mpg123_decoder.scm 144 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52eofz52))
{ /* Llib/mpg123_decoder.scm 145 */
BgL_test2171z00_1565 = ((bool_t)0)
; }  else 
{ /* Llib/mpg123_decoder.scm 145 */
BgL_test2171z00_1565 = ((bool_t)1)
; } }  else 
{ /* Llib/mpg123_decoder.scm 144 */
BgL_test2171z00_1565 = ((bool_t)0)
; } } 
if(BgL_test2171z00_1565)
{ /* Llib/mpg123_decoder.scm 144 */
BgL_test2170z00_1564 = ((bool_t)1)
; }  else 
{ /* Llib/mpg123_decoder.scm 146 */
 int BgL_arg1927z00_859;
BgL_arg1927z00_859 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2170z00_1564 = 
(
(long)(BgL_arg1927z00_859)>=4L); } } 
if(BgL_test2170z00_1564)
{ /* Llib/mpg123_decoder.scm 149 */
 obj_t BgL_arg1913z00_860; obj_t BgL_arg1914z00_861; obj_t BgL_arg1915z00_862;
if(
(BgL_pz00_858>=80L))
{ /* Llib/mpg123_decoder.scm 149 */
BgL_arg1913z00_860 = BGl_string2021z00zz__mpg123_decoderz00; }  else 
{ /* Llib/mpg123_decoder.scm 149 */
if(
(BgL_pz00_858>25L))
{ /* Llib/mpg123_decoder.scm 150 */
BgL_arg1913z00_860 = BGl_string2040z00zz__mpg123_decoderz00; }  else 
{ /* Llib/mpg123_decoder.scm 150 */
BgL_arg1913z00_860 = BGl_string2041z00zz__mpg123_decoderz00; } } 
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52eofz52))
{ /* Llib/mpg123_decoder.scm 154 */
BgL_arg1914z00_861 = BGl_string2042z00zz__mpg123_decoderz00; }  else 
{ /* Llib/mpg123_decoder.scm 154 */
BgL_arg1914z00_861 = BGl_string2021z00zz__mpg123_decoderz00; } 
BgL_arg1915z00_862 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_urlz00); 
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_list1916z00_863;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1917z00_864;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1918z00_865;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1919z00_866;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1920z00_867;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1921z00_868;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1922z00_869;
{ /* Llib/mpg123_decoder.scm 147 */
 obj_t BgL_arg1923z00_870;
BgL_arg1923z00_870 = 
MAKE_YOUNG_PAIR(BGl_string1996z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1922z00_869 = 
MAKE_YOUNG_PAIR(BgL_arg1915z00_862, BgL_arg1923z00_870); } 
BgL_arg1921z00_868 = 
MAKE_YOUNG_PAIR(BGl_string2043z00zz__mpg123_decoderz00, BgL_arg1922z00_869); } 
BgL_arg1920z00_867 = 
MAKE_YOUNG_PAIR(BgL_arg1914z00_861, BgL_arg1921z00_868); } 
BgL_arg1919z00_866 = 
MAKE_YOUNG_PAIR(BGl_string2044z00zz__mpg123_decoderz00, BgL_arg1920z00_867); } 
BgL_arg1918z00_865 = 
MAKE_YOUNG_PAIR(
BINT(BgL_pz00_858), BgL_arg1919z00_866); } 
BgL_arg1917z00_864 = 
MAKE_YOUNG_PAIR(BgL_arg1913z00_860, BgL_arg1918z00_865); } 
BgL_list1916z00_863 = 
MAKE_YOUNG_PAIR(BGl_string2045z00zz__mpg123_decoderz00, BgL_arg1917z00_864); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1916z00_863); } }  else 
{ /* Llib/mpg123_decoder.scm 144 */BFALSE; } } }  else 
{ /* Llib/mpg123_decoder.scm 142 */BFALSE; } } 
{ /* Llib/mpg123_decoder.scm 170 */
 bool_t BgL_test2178z00_1594;
{ /* Llib/mpg123_decoder.scm 170 */
 bool_t BgL_test2179z00_1595;
{ /* Llib/mpg123_decoder.scm 137 */
 bool_t BgL__ortest_1105z00_855;
BgL__ortest_1105z00_855 = BgL_haszd2beenzd2emptyzd2oncezd2_848; 
if(BgL__ortest_1105z00_855)
{ /* Llib/mpg123_decoder.scm 137 */
BgL_test2179z00_1595 = BgL__ortest_1105z00_855
; }  else 
{ /* Llib/mpg123_decoder.scm 137 */
BgL_test2179z00_1595 = 
(
(4L*
(BgL_inlenz00_849-
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743))))>BgL_inlenz00_849)
; } } 
if(BgL_test2179z00_1595)
{ /* Llib/mpg123_decoder.scm 170 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52eofz52))
{ /* Llib/mpg123_decoder.scm 170 */
BgL_test2178z00_1594 = ((bool_t)0)
; }  else 
{ /* Llib/mpg123_decoder.scm 170 */
BgL_test2178z00_1594 = ((bool_t)1)
; } }  else 
{ /* Llib/mpg123_decoder.scm 170 */
BgL_test2178z00_1594 = ((bool_t)0)
; } } 
if(BgL_test2178z00_1594)
{ /* Llib/mpg123_decoder.scm 170 */
{ /* Llib/mpg123_decoder.scm 171 */
 bool_t BgL_test2182z00_1605;
{ /* Llib/mpg123_decoder.scm 171 */
 int BgL_arg1893z00_874;
BgL_arg1893z00_874 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2182z00_1605 = 
(
(long)(BgL_arg1893z00_874)>=2L); } 
if(BgL_test2182z00_1605)
{ /* Llib/mpg123_decoder.scm 172 */
 obj_t BgL_arg1886z00_875; BGL_LONGLONG_T BgL_arg1887z00_876;
BgL_arg1886z00_875 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_urlz00); 
BgL_arg1887z00_876 = 
bgl_current_microseconds(); 
{ /* Llib/mpg123_decoder.scm 172 */
 obj_t BgL_list1888z00_877;
{ /* Llib/mpg123_decoder.scm 172 */
 obj_t BgL_arg1889z00_878;
{ /* Llib/mpg123_decoder.scm 172 */
 obj_t BgL_arg1890z00_879;
{ /* Llib/mpg123_decoder.scm 172 */
 obj_t BgL_arg1891z00_880;
{ /* Llib/mpg123_decoder.scm 172 */
 obj_t BgL_arg1892z00_881;
BgL_arg1892z00_881 = 
MAKE_YOUNG_PAIR(BGl_string2046z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1891z00_880 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1887z00_876), BgL_arg1892z00_881); } 
BgL_arg1890z00_879 = 
MAKE_YOUNG_PAIR(BGl_string1997z00zz__mpg123_decoderz00, BgL_arg1891z00_880); } 
BgL_arg1889z00_878 = 
MAKE_YOUNG_PAIR(BgL_arg1886z00_875, BgL_arg1890z00_879); } 
BgL_list1888z00_877 = 
MAKE_YOUNG_PAIR(BGl_string2047z00zz__mpg123_decoderz00, BgL_arg1889z00_878); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1888z00_877); } }  else 
{ /* Llib/mpg123_decoder.scm 171 */BFALSE; } } 
{ /* Llib/mpg123_decoder.scm 174 */
 obj_t BgL_mutex1894z00_882;
BgL_mutex1894z00_882 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52bmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1894z00_882); 
{ /* Llib/mpg123_decoder.scm 174 */
 bool_t BgL_tmp2183z00_1621;
{ /* Llib/mpg123_decoder.scm 175 */
 obj_t BgL_tmpz00_1623;
BgL_tmpz00_1623 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52bcondvz52); 
BgL_tmp2183z00_1621 = 
BGL_CONDVAR_BROADCAST(BgL_tmpz00_1623); } 
BGL_MUTEX_UNLOCK(BgL_mutex1894z00_882); BgL_tmp2183z00_1621; } } 
{ /* Llib/mpg123_decoder.scm 176 */
 bool_t BgL_test2184z00_1628;
{ /* Llib/mpg123_decoder.scm 176 */
 int BgL_arg1903z00_883;
BgL_arg1903z00_883 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2184z00_1628 = 
(
(long)(BgL_arg1903z00_883)>=2L); } 
if(BgL_test2184z00_1628)
{ /* Llib/mpg123_decoder.scm 177 */
 BGL_LONGLONG_T BgL_arg1900z00_884;
BgL_arg1900z00_884 = 
bgl_current_microseconds(); 
{ /* Llib/mpg123_decoder.scm 177 */
 obj_t BgL_list1901z00_885;
{ /* Llib/mpg123_decoder.scm 177 */
 obj_t BgL_arg1902z00_886;
BgL_arg1902z00_886 = 
MAKE_YOUNG_PAIR(BGl_string1996z00zz__mpg123_decoderz00, BNIL); 
BgL_list1901z00_885 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1900z00_884), BgL_arg1902z00_886); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1901z00_885); } }  else 
{ /* Llib/mpg123_decoder.scm 176 */BFALSE; } } }  else 
{ /* Llib/mpg123_decoder.scm 170 */BFALSE; } } }  else 
{ /* Llib/mpg123_decoder.scm 244 */BFALSE; } 
if(
(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741)))->BgL_z52z12dseekz40)>0L))
{ /* Llib/mpg123_decoder.scm 248 */
 long BgL_offsetz00_937;
{ /* Llib/mpg123_decoder.scm 248 */
 obj_t BgL_arg1738z00_938; long BgL_arg1740z00_939;
BgL_arg1738z00_938 = 
BGl_musicbufferzd2streamzd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)); 
BgL_arg1740z00_939 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741)))->BgL_z52z12dseekz40); 
BgL_offsetz00_937 = 
BGl_mp3zd2indexzd2zz__multimediazd2mp3zd2(BgL_arg1738z00_938, 
(long)(BgL_arg1740z00_939)); } 
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_arg1711z00_940;
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_tmpz00_1647;
BgL_tmpz00_1647 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1711z00_940 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1647); } 
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_list1712z00_941;
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_arg1716z00_942;
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_arg1722z00_943;
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_arg1724z00_944;
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_arg1731z00_945;
{ /* Llib/mpg123_decoder.scm 249 */
 obj_t BgL_arg1732z00_946;
BgL_arg1732z00_946 = 
MAKE_YOUNG_PAIR(
make_belong(BgL_offsetz00_937), BNIL); 
BgL_arg1731z00_945 = 
MAKE_YOUNG_PAIR(BGl_string2054z00zz__mpg123_decoderz00, BgL_arg1732z00_946); } 
BgL_arg1724z00_944 = 
MAKE_YOUNG_PAIR(BGl_string2055z00zz__mpg123_decoderz00, BgL_arg1731z00_945); } 
BgL_arg1722z00_943 = 
MAKE_YOUNG_PAIR(
BINT(249L), BgL_arg1724z00_944); } 
BgL_arg1716z00_942 = 
MAKE_YOUNG_PAIR(BGl_string2056z00zz__mpg123_decoderz00, BgL_arg1722z00_943); } 
BgL_list1712z00_941 = 
MAKE_YOUNG_PAIR(BGl_string1994z00zz__mpg123_decoderz00, BgL_arg1716z00_942); } 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1711z00_940, BgL_list1712z00_941); } } 
BGl_musicbufferzd2seekzd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743), 
make_belong(BgL_offsetz00_937)); 
{ /* Llib/mpg123_decoder.scm 251 */
 obj_t BgL_arg1737z00_947;
BgL_arg1737z00_947 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741)))->BgL_z52mpg123z52); 
BGl_mpg123zd2handlezd2resetz12z12zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1737z00_947)); } 
{ /* Llib/mpg123_decoder.scm 252 */
 BgL_musicstatusz00_bglt BgL_i1111z00_948;
BgL_i1111z00_948 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_742))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1111z00_948))->BgL_songposz00)=((obj_t)
BINT(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741)))->BgL_z52z12dseekz40))),BUNSPEC); 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741)))->BgL_z52z12dseekz40)=((long)(-1L)),BUNSPEC); } 
goto BgL_loopz00_888;}  else 
{ /* Llib/mpg123_decoder.scm 247 */
if(
(
(long)(BgL_statusz00_919)==
(long)(MPG123_OK)))
{ /* Llib/mpg123_decoder.scm 258 */
 BgL_mpg123zd2handlezd2_bglt BgL_i1112z00_949;
BgL_i1112z00_949 = 
((BgL_mpg123zd2handlezd2_bglt)
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741)))->BgL_z52mpg123z52)); 
{ /* Llib/mpg123_decoder.scm 259 */
 bool_t BgL_test2187z00_1682;
{ /* Llib/mpg123_decoder.scm 259 */
 int BgL_arg1759z00_950;
BgL_arg1759z00_950 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2187z00_1682 = 
(
(long)(BgL_arg1759z00_950)>=5L); } 
if(BgL_test2187z00_1682)
{ /* Llib/mpg123_decoder.scm 260 */
 long BgL_arg1746z00_951;
BgL_arg1746z00_951 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1112z00_949))->BgL_siza7eza7); 
{ /* Llib/mpg123_decoder.scm 260 */
 obj_t BgL_list1747z00_952;
{ /* Llib/mpg123_decoder.scm 260 */
 obj_t BgL_arg1755z00_953;
{ /* Llib/mpg123_decoder.scm 260 */
 obj_t BgL_arg1756z00_954;
{ /* Llib/mpg123_decoder.scm 260 */
 obj_t BgL_arg1757z00_955;
{ /* Llib/mpg123_decoder.scm 260 */
 obj_t BgL_arg1758z00_956;
BgL_arg1758z00_956 = 
MAKE_YOUNG_PAIR(BGl_string1996z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1757z00_955 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1746z00_951), BgL_arg1758z00_956); } 
BgL_arg1756z00_954 = 
MAKE_YOUNG_PAIR(BGl_string2057z00zz__mpg123_decoderz00, BgL_arg1757z00_955); } 
BgL_arg1755z00_953 = 
MAKE_YOUNG_PAIR(
BINT(BgL_sz00_918), BgL_arg1756z00_954); } 
BgL_list1747z00_952 = 
MAKE_YOUNG_PAIR(BGl_string2058z00zz__mpg123_decoderz00, BgL_arg1755z00_953); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1747z00_952); } }  else 
{ /* Llib/mpg123_decoder.scm 259 */BFALSE; } } 
if(
(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1112z00_949))->BgL_siza7eza7)>0L))
{ /* Llib/mpg123_decoder.scm 262 */
BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufz00_bglt)BgL_amz00_742), 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741)))->BgL_outbufz00), 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1112z00_949))->BgL_siza7eza7)); 
{ 
 long BgL_sz00_1703;
BgL_sz00_1703 = 0L; 
BgL_sz00_918 = BgL_sz00_1703; 
goto BgL_flushz00_917;} }  else 
{ /* Llib/mpg123_decoder.scm 262 */BFALSE; } }  else 
{ /* Llib/mpg123_decoder.scm 256 */
if(
(
(long)(BgL_statusz00_919)==
(long)(MPG123_NEED_MORE)))
{ /* Llib/mpg123_decoder.scm 266 */
{ /* Llib/mpg123_decoder.scm 268 */
 BgL_mpg123zd2handlezd2_bglt BgL_i1113z00_957;
BgL_i1113z00_957 = 
((BgL_mpg123zd2handlezd2_bglt)
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741)))->BgL_z52mpg123z52)); 
{ /* Llib/mpg123_decoder.scm 269 */
 bool_t BgL_test2190z00_1711;
{ /* Llib/mpg123_decoder.scm 269 */
 int BgL_arg1799z00_958;
BgL_arg1799z00_958 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2190z00_1711 = 
(
(long)(BgL_arg1799z00_958)>=5L); } 
if(BgL_test2190z00_1711)
{ /* Llib/mpg123_decoder.scm 270 */
 long BgL_arg1773z00_959; bool_t BgL_arg1774z00_960; long BgL_arg1775z00_961;
BgL_arg1773z00_959 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1113z00_957))->BgL_siza7eza7); 
BgL_arg1774z00_960 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52emptyz52); 
BgL_arg1775z00_961 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_z52tailz52); 
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_list1776z00_962;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1777z00_963;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1778z00_964;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1784z00_965;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1785z00_966;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1788z00_967;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1792z00_968;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1795z00_969;
{ /* Llib/mpg123_decoder.scm 270 */
 obj_t BgL_arg1796z00_970;
BgL_arg1796z00_970 = 
MAKE_YOUNG_PAIR(BGl_string1996z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1795z00_969 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1775z00_961), BgL_arg1796z00_970); } 
BgL_arg1792z00_968 = 
MAKE_YOUNG_PAIR(BGl_string2059z00zz__mpg123_decoderz00, BgL_arg1795z00_969); } 
BgL_arg1788z00_967 = 
MAKE_YOUNG_PAIR(
BBOOL(BgL_arg1774z00_960), BgL_arg1792z00_968); } 
BgL_arg1785z00_966 = 
MAKE_YOUNG_PAIR(BGl_string2060z00zz__mpg123_decoderz00, BgL_arg1788z00_967); } 
BgL_arg1784z00_965 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1773z00_959), BgL_arg1785z00_966); } 
BgL_arg1778z00_964 = 
MAKE_YOUNG_PAIR(BGl_string2057z00zz__mpg123_decoderz00, BgL_arg1784z00_965); } 
BgL_arg1777z00_963 = 
MAKE_YOUNG_PAIR(
BINT(BgL_sz00_918), BgL_arg1778z00_964); } 
BgL_list1776z00_962 = 
MAKE_YOUNG_PAIR(BGl_string2061z00zz__mpg123_decoderz00, BgL_arg1777z00_963); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1776z00_962); } }  else 
{ /* Llib/mpg123_decoder.scm 269 */BFALSE; } } 
if(
(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1113z00_957))->BgL_siza7eza7)>0L))
{ /* Llib/mpg123_decoder.scm 273 */
BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufz00_bglt)BgL_amz00_742), 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741)))->BgL_outbufz00), 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1113z00_957))->BgL_siza7eza7)); }  else 
{ /* Llib/mpg123_decoder.scm 273 */BFALSE; } } 
goto BgL_loopz00_888;}  else 
{ /* Llib/mpg123_decoder.scm 266 */
if(
(
(long)(BgL_statusz00_919)==
(long)(MPG123_NEW_FORMAT)))
{ /* Llib/mpg123_decoder.scm 277 */
BGl_newzd2formatzd2zz__mpg123_decoderz00(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741), 
((BgL_musicbufz00_bglt)BgL_amz00_742), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)); 
{ /* Llib/mpg123_decoder.scm 280 */
 BgL_mpg123zd2handlezd2_bglt BgL_i1114z00_971;
BgL_i1114z00_971 = 
((BgL_mpg123zd2handlezd2_bglt)
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741)))->BgL_z52mpg123z52)); 
if(
(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1114z00_971))->BgL_siza7eza7)>0L))
{ /* Llib/mpg123_decoder.scm 281 */
BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufz00_bglt)BgL_amz00_742), 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741)))->BgL_outbufz00), 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1114z00_971))->BgL_siza7eza7)); }  else 
{ /* Llib/mpg123_decoder.scm 281 */BFALSE; } } 
{ 
 long BgL_sz00_1761;
BgL_sz00_1761 = 0L; 
BgL_sz00_918 = BgL_sz00_1761; 
goto BgL_flushz00_917;} }  else 
{ /* Llib/mpg123_decoder.scm 277 */
if(
(
(long)(BgL_statusz00_919)==
(long)(MPG123_DONE)))
{ /* Llib/mpg123_decoder.scm 285 */
{ /* Llib/mpg123_decoder.scm 287 */
 BgL_mpg123zd2handlezd2_bglt BgL_i1115z00_972;
BgL_i1115z00_972 = 
((BgL_mpg123zd2handlezd2_bglt)
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741)))->BgL_z52mpg123z52)); 
if(
(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1115z00_972))->BgL_siza7eza7)>0L))
{ /* Llib/mpg123_decoder.scm 288 */
BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufz00_bglt)BgL_amz00_742), 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_741)))->BgL_outbufz00), 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_i1115z00_972))->BgL_siza7eza7)); }  else 
{ /* Llib/mpg123_decoder.scm 288 */BFALSE; } } 
BGl_musicbufzd2drainzd2zz__multimediazd2musicbufzd2(
((BgL_musicbufz00_bglt)BgL_amz00_742)); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_742)), 
((obj_t)
CNST_TABLE_REF(18))); }  else 
{ /* Llib/mpg123_decoder.scm 285 */
BGl_musiczd2errorzd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_742)), BGl_string2062z00zz__mpg123_decoderz00); } } } } } } } } } } } 
{ /* Llib/mpg123_decoder.scm 297 */
 bool_t BgL_test2196z00_1787;
{ /* Llib/mpg123_decoder.scm 297 */
 int BgL_arg1874z00_973;
BgL_arg1874z00_973 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2196z00_1787 = 
(
(long)(BgL_arg1874z00_973)>0L); } 
if(BgL_test2196z00_1787)
{ /* Llib/mpg123_decoder.scm 297 */
return 
BGl_debugzd2stopz12zc0zz__mpg123_decoderz00(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_743)))->BgL_urlz00));}  else 
{ /* Llib/mpg123_decoder.scm 297 */
return BFALSE;} } } } } } } } } } } 

}



/* buffer-percentage-filled~0 */
long BGl_bufferzd2percentagezd2filledze70ze7zz__mpg123_decoderz00(long BgL_inlenz00_787, BgL_musicbufferz00_bglt BgL_bufferz00_786)
{
{ /* Llib/mpg123_decoder.scm 129 */
{ /* Llib/mpg123_decoder.scm 128 */
 BGL_LONGLONG_T BgL_arg1937z00_516;
{ /* Llib/mpg123_decoder.scm 128 */
 BGL_LONGLONG_T BgL_arg1938z00_517; BGL_LONGLONG_T BgL_arg1939z00_518;
{ /* Llib/mpg123_decoder.scm 128 */
 BGL_LONGLONG_T BgL_arg1940z00_519;
{ /* Llib/mpg123_decoder.scm 128 */
 long BgL_tmpz00_1794;
BgL_tmpz00_1794 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_bufferz00_786); 
BgL_arg1940z00_519 = 
LONG_TO_LLONG(BgL_tmpz00_1794); } 
BgL_arg1938z00_517 = 
(((BGL_LONGLONG_T)100)*BgL_arg1940z00_519); } 
BgL_arg1939z00_518 = 
LONG_TO_LLONG(BgL_inlenz00_787); 
BgL_arg1937z00_516 = 
(BgL_arg1938z00_517/BgL_arg1939z00_518); } 
return 
LLONG_TO_LONG(BgL_arg1937z00_516);} } 

}



/* &musicdecoder-volume-1142 */
obj_t BGl_z62musicdecoderzd2volumezd21142z62zz__mpg123_decoderz00(obj_t BgL_envz00_744, obj_t BgL_decz00_745, obj_t BgL_volz00_746)
{
{ /* Llib/mpg123_decoder.scm 99 */
{ /* Llib/mpg123_decoder.scm 101 */
 obj_t BgL_arg1360z00_975;
BgL_arg1360z00_975 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_745)))->BgL_z52mpg123z52); 
return 
BGl_mpg123zd2volumezd2setz12z12zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1360z00_975), BgL_volz00_746);} } 

}



/* &musicdecoder-seek-mp1140 */
obj_t BGl_z62musicdecoderzd2seekzd2mp1140z62zz__mpg123_decoderz00(obj_t BgL_envz00_747, obj_t BgL_decz00_748, obj_t BgL_secz00_749)
{
{ /* Llib/mpg123_decoder.scm 89 */
{ /* Llib/mpg123_decoder.scm 91 */
 bool_t BgL_test2197z00_1805;
{ /* Llib/mpg123_decoder.scm 91 */
 int BgL_arg1337z00_977;
BgL_arg1337z00_977 = 
BGl_mpg123zd2debugzd2zz__mpg123_decoderz00(); 
BgL_test2197z00_1805 = 
(
(long)(BgL_arg1337z00_977)>=2L); } 
if(BgL_test2197z00_1805)
{ /* Llib/mpg123_decoder.scm 92 */
 obj_t BgL_list1281z00_978;
{ /* Llib/mpg123_decoder.scm 92 */
 obj_t BgL_arg1286z00_979;
{ /* Llib/mpg123_decoder.scm 92 */
 obj_t BgL_arg1325z00_980;
BgL_arg1325z00_980 = 
MAKE_YOUNG_PAIR(BGl_string1996z00zz__mpg123_decoderz00, BNIL); 
BgL_arg1286z00_979 = 
MAKE_YOUNG_PAIR(BgL_secz00_749, BgL_arg1325z00_980); } 
BgL_list1281z00_978 = 
MAKE_YOUNG_PAIR(BGl_string2063z00zz__mpg123_decoderz00, BgL_arg1286z00_979); } 
BGl_debugz00zz__mpg123_decoderz00(BgL_list1281z00_978); }  else 
{ /* Llib/mpg123_decoder.scm 91 */BFALSE; } } 
if(
(
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_748)))->BgL_z52z12dseekz40)<0L))
{ /* Llib/mpg123_decoder.scm 93 */
return 
((((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_748)))->BgL_z52z12dseekz40)=((long)
(long)CINT(BgL_secz00_749)),BUNSPEC);}  else 
{ /* Llib/mpg123_decoder.scm 93 */
return BFALSE;} } 

}



/* &musicdecoder-info-mp1138 */
obj_t BGl_z62musicdecoderzd2infozd2mp1138z62zz__mpg123_decoderz00(obj_t BgL_envz00_750, obj_t BgL_decz00_751)
{
{ /* Llib/mpg123_decoder.scm 82 */
{ /* Llib/mpg123_decoder.scm 83 */
 long BgL_tmpz00_1820;
{ /* Llib/mpg123_decoder.scm 84 */
 obj_t BgL_arg1270z00_982;
BgL_arg1270z00_982 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_751)))->BgL_z52mpg123z52); 
BgL_tmpz00_1820 = 
BGl_mpg123zd2infozd2zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1270z00_982)); } 
return 
BINT(BgL_tmpz00_1820);} } 

}



/* &musicdecoder-positio1136 */
obj_t BGl_z62musicdecoderzd2positio1136zb0zz__mpg123_decoderz00(obj_t BgL_envz00_752, obj_t BgL_decz00_753, obj_t BgL_bz00_754)
{
{ /* Llib/mpg123_decoder.scm 75 */
{ /* Llib/mpg123_decoder.scm 76 */
 long BgL_tmpz00_1826;
{ /* Llib/mpg123_decoder.scm 77 */
 long BgL_arg1265z00_984;
{ /* Llib/mpg123_decoder.scm 77 */
 obj_t BgL_arg1269z00_985;
BgL_arg1269z00_985 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_753)))->BgL_z52mpg123z52); 
BgL_arg1265z00_984 = 
BGl_mpg123zd2positionzd2zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1269z00_985)); } 
BgL_tmpz00_1826 = 
(BgL_arg1265z00_984/1000L); } 
return 
BINT(BgL_tmpz00_1826);} } 

}



/* &musicdecoder-reset!-1134 */
obj_t BGl_z62musicdecoderzd2resetz12zd21134z70zz__mpg123_decoderz00(obj_t BgL_envz00_755, obj_t BgL_decz00_756)
{
{ /* Llib/mpg123_decoder.scm 67 */
{ 

{ /* Llib/mpg123_decoder.scm 69 */
 obj_t BgL_arg1264z00_989;
BgL_arg1264z00_989 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_756)))->BgL_z52mpg123z52); 
BGl_mpg123zd2handlezd2resetz12z12zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1264z00_989)); } 
{ /* Llib/mpg123_decoder.scm 67 */
 obj_t BgL_nextzd2method1133zd2_988;
BgL_nextzd2method1133zd2_988 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_756)), BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_mpg123zd2decoderzd2zz__mpg123_decoderz00); 
return 
BGL_PROCEDURE_CALL1(BgL_nextzd2method1133zd2_988, 
((obj_t)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_756)));} } } 

}



/* &musicdecoder-close-m1132 */
obj_t BGl_z62musicdecoderzd2closezd2m1132z62zz__mpg123_decoderz00(obj_t BgL_envz00_757, obj_t BgL_decz00_758)
{
{ /* Llib/mpg123_decoder.scm 60 */
{ /* Llib/mpg123_decoder.scm 62 */
 obj_t BgL_arg1263z00_991;
BgL_arg1263z00_991 = 
(((BgL_mpg123zd2decoderzd2_bglt)COBJECT(
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_758)))->BgL_z52mpg123z52); 
return 
BGl_mpg123zd2handlezd2closez00zz__mpg123_mpg123z00(
((BgL_mpg123zd2handlezd2_bglt)BgL_arg1263z00_991));} } 

}



/* &musicdecoder-init-mp1130 */
obj_t BGl_z62musicdecoderzd2initzd2mp1130z62zz__mpg123_decoderz00(obj_t BgL_envz00_759, obj_t BgL_decz00_760)
{
{ /* Llib/mpg123_decoder.scm 52 */
if(
NULLP(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_760))))->BgL_mimetypesz00)))
{ /* Llib/mpg123_decoder.scm 54 */
return 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_mpg123zd2decoderzd2_bglt)BgL_decz00_760))))->BgL_mimetypesz00)=((obj_t)
((obj_t)
CNST_TABLE_REF(20))),BUNSPEC);}  else 
{ /* Llib/mpg123_decoder.scm 54 */
return BFALSE;} } 

}



/* &object-print-mpg123-1128 */
obj_t BGl_z62objectzd2printzd2mpg123zd21128zb0zz__mpg123_decoderz00(obj_t BgL_envz00_761, obj_t BgL_oz00_762, obj_t BgL_portz00_763, obj_t BgL_printzd2slotzd2_764)
{
{ /* Llib/mpg123_decoder.scm 46 */
{ /* Llib/mpg123_decoder.scm 47 */
 obj_t BgL_tmpz00_1860;
BgL_tmpz00_1860 = 
((obj_t)BgL_portz00_763); 
return 
bgl_display_string(BGl_string2064z00zz__mpg123_decoderz00, BgL_tmpz00_1860);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__mpg123_decoderz00(void)
{
{ /* Llib/mpg123_decoder.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__mpg123_mpg123z00(388603996L, 
BSTRING_TO_STRING(BGl_string2065z00zz__mpg123_decoderz00));} 

}

#ifdef __cplusplus
}
#endif
