/*===========================================================================*/
/*   (Llib/pthread.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -copt -fPIC -copt -IPosix Llib/pthread.scm -o objs/objs_u/pthread.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <bglpthread.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___PTH_THREAD_TYPE_DEFINITIONS
#define BGL___PTH_THREAD_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_z62threadzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62threadzd2errorzb0_bglt;

typedef struct BgL_uncaughtzd2exceptionzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_reasonz00;
} *BgL_uncaughtzd2exceptionzd2_bglt;

typedef struct BgL_terminatedzd2threadzd2exceptionz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_terminatedzd2threadzd2exceptionz00_bglt;


#endif // BGL___PTH_THREAD_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_zc3z04exitza31410ze3ze70z60zz__pth_threadz00(obj_t, obj_t, BgL_pthreadz00_bglt);
extern void * bglpth_thread_new(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
extern obj_t BGl_pthreadzd2setupzd2backendz12z12zz__pth_backendz00(void);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
static obj_t BGl_zc3z04exitza31411ze3ze70z60zz__pth_threadz00(BgL_pthreadz00_bglt);
extern bool_t bglpth_thread_terminate(void *);
static obj_t BGl_toplevelzd2initzd2zz__pth_threadz00(void);
BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL void * BGl_z42pthreadzd2nilz90zz__pth_threadz00(void);
static obj_t BGl_z62zc3z04anonymousza31221ze3ze5zz__pth_threadz00(obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31205ze3ze5zz__pth_threadz00(obj_t);
BGL_IMPORT obj_t BGl_objectzd2displayzd2zz__objectz00(BgL_objectz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__pth_threadz00(void);
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__pth_threadz00(obj_t);
static obj_t BGl_z62threadzd2terminatez12zd2pt1155z70zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__pth_threadz00(void);
BGL_IMPORT obj_t BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(bool_t);
BGL_EXPORTED_DEF obj_t BGl_pthreadz00zz__pth_threadz00 = BUNSPEC;
static obj_t BGl_z62threadzd2specificzd2pthr1159z62zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_z62exceptionz62zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31403ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectzd2printzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t BGl_z62threadzd2joinz12zd2pthread1153z70zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__pth_threadz00(void);
extern int bglpth_thread_kill(void *, int);
static obj_t BGl_z62zc3z04anonymousza31413ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectzd2writezd2zz__objectz00(BgL_objectz00_bglt, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62threadzd2errorzb0zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t bgl_typeof(obj_t);
extern void bglpth_thread_start(void *, obj_t, bool_t);
static obj_t BGl_z62zc3z04anonymousza31244ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31228ze3ze5zz__pth_threadz00(obj_t);
extern void bglpth_thread_setname(void *, obj_t);
static obj_t BGl_z62zc3z04anonymousza31415ze3ze5zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_z62objectzd2printzd2uncaugh1143z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_uncaughtzd2exceptionzd2zz__pth_threadz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_signalz00zz__osz00(int, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1203z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1204z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2killz12zd2pthread1157z70zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1212z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1213z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1219z62zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62lambda1220z62zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31192ze3ze5zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1226z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1227z62zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
extern int sched_yield(void);
static obj_t BGl_z62threadzd2initializa7ez12zd2p1147zd7zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31371ze3ze5zz__pth_threadz00(obj_t, obj_t);
static BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1234z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1239z62zz__pth_threadz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__pth_backendz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
static obj_t BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00(obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static obj_t BGl_z62threadzd2namezd2setz12zd2pth1169za2zz__pth_threadz00(obj_t, obj_t, obj_t);
extern void bglpth_thread_join(void *, obj_t);
static BgL_pthreadz00_bglt BGl_z62lambda1187z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__pth_threadz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__pth_threadz00(void);
BGL_IMPORT bool_t BGl_bigloozd2initializa7edzf3z86zz__paramz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__pth_threadz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__pth_threadz00(void);
static BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1270z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pthreadz00_bglt BGl_z62lambda1190z62zz__pth_threadz00(obj_t);
static obj_t BGl_z62lambda1354z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62lambda1355z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1197z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62threadzd2startz12zd2pthrea1149z70zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1198z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1279z62zz__pth_threadz00(obj_t);
static BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1363z62zz__pth_threadz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31287ze3ze5zz__pth_threadz00(obj_t, obj_t);
static BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1365z62zz__pth_threadz00(obj_t);
static obj_t BGl_z62objectzd2writezd2uncaugh1139z62zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62threadzd2specificzd2setz121161z70zz__pth_threadz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
extern obj_t bglpth_thread_getname(void *);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2cleanupzd2setz12zd21165za2zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bz62zz__pth_threadz00(obj_t);
static obj_t BGl_z62threadzd2cleanupzd2pthre1163z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62objectzd2displayzd2uncau1141z62zz__pth_threadz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62threadzd2namezd2pthread1167z62zz__pth_threadz00(obj_t, obj_t);
static obj_t BGl_z62z52userzd2threadzd2yieldz12zd21145zf0zz__pth_threadz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
static obj_t BGl_z62threadzd2startzd2joinabl1151z62zz__pth_threadz00(obj_t, obj_t);
static obj_t __cnst[ 18 ] ;


BGL_IMPORT obj_t BGl_threadzd2namezd2envz00zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2cleanupzd2envz00zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2startz12zd2envz12zz__threadz00;
BGL_IMPORT obj_t BGl_objectzd2writezd2envz00zz__objectz00;
DEFINE_STRING( BGl_string1801z00zz__pth_threadz00, BgL_bgl_string1801za700za7za7_1827za7, "thread-specific", 15 );
DEFINE_STRING( BGl_string1803z00zz__pth_threadz00, BgL_bgl_string1803za700za7za7_1828za7, "thread-specific-set!", 20 );
DEFINE_STRING( BGl_string1805z00zz__pth_threadz00, BgL_bgl_string1805za700za7za7_1829za7, "thread-cleanup", 14 );
DEFINE_STRING( BGl_string1807z00zz__pth_threadz00, BgL_bgl_string1807za700za7za7_1830za7, "thread-cleanup-set!", 19 );
DEFINE_STRING( BGl_string1809z00zz__pth_threadz00, BgL_bgl_string1809za700za7za7_1831za7, "thread-name", 11 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
BGL_IMPORT obj_t BGl_threadzd2joinz12zd2envz12zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1800z00zz__pth_threadz00, BgL_bgl_za762threadza7d2spec1832z00, BGl_z62threadzd2specificzd2pthr1159z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1802z00zz__pth_threadz00, BgL_bgl_za762threadza7d2spec1833z00, BGl_z62threadzd2specificzd2setz121161z70zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1804z00zz__pth_threadz00, BgL_bgl_za762threadza7d2clea1834z00, BGl_z62threadzd2cleanupzd2pthre1163z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1811z00zz__pth_threadz00, BgL_bgl_string1811za700za7za7_1835za7, "thread-name-set!", 16 );
DEFINE_STRING( BGl_string1812z00zz__pth_threadz00, BgL_bgl_string1812za700za7za7_1836za7, "Illegal procedure arity", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1806z00zz__pth_threadz00, BgL_bgl_za762threadza7d2clea1837z00, BGl_z62threadzd2cleanupzd2setz12zd21165za2zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1813z00zz__pth_threadz00, BgL_bgl_string1813za700za7za7_1838za7, "detached thread", 15 );
DEFINE_STRING( BGl_string1814z00zz__pth_threadz00, BgL_bgl_string1814za700za7za7_1839za7, "Thread created before module initialization completed -- ", 57 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1808z00zz__pth_threadz00, BgL_bgl_za762threadza7d2name1840z00, BGl_z62threadzd2namezd2pthread1167z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1815z00zz__pth_threadz00, BgL_bgl_string1815za700za7za7_1841za7, "make-thread", 11 );
DEFINE_STRING( BGl_string1817z00zz__pth_threadz00, BgL_bgl_string1817za700za7za7_1842za7, "unwind-until!, ~a", 17 );
DEFINE_STRING( BGl_string1818z00zz__pth_threadz00, BgL_bgl_string1818za700za7za7_1843za7, "exit out of thread dynamic scope", 32 );
DEFINE_STRING( BGl_string1819z00zz__pth_threadz00, BgL_bgl_string1819za700za7za7_1844za7, "__pth_thread", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1810z00zz__pth_threadz00, BgL_bgl_za762threadza7d2name1845z00, BGl_z62threadzd2namezd2setz12zd2pth1169za2zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1820z00zz__pth_threadz00, BgL_bgl_string1820za700za7za7_1846za7, "&pthread- & thread-join! terminated-thread-exception uncaught-exception reason &thread-error __pth_thread pthread $pthread $builtin end-exception obj end-result bool detachedp procedure body ", 191 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1816z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1847za7, BGl_z62zc3z04anonymousza31415ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_threadzd2specificzd2envz00zz__threadz00;
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_threadzd2startzd2joinablez12zd2envzc0zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1752z00zz__pth_threadz00, BgL_bgl_za762lambda1198za7621848z00, BGl_z62lambda1198z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1753z00zz__pth_threadz00, BgL_bgl_za762lambda1197za7621849z00, BGl_z62lambda1197z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1754z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1850za7, BGl_z62zc3z04anonymousza31205ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1755z00zz__pth_threadz00, BgL_bgl_za762lambda1204za7621851z00, BGl_z62lambda1204z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1756z00zz__pth_threadz00, BgL_bgl_za762lambda1203za7621852z00, BGl_z62lambda1203z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1757z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1853za7, BGl_z62zc3z04anonymousza31214ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1758z00zz__pth_threadz00, BgL_bgl_za762lambda1213za7621854z00, BGl_z62lambda1213z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1759z00zz__pth_threadz00, BgL_bgl_za762lambda1212za7621855z00, BGl_z62lambda1212z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1760z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1856za7, BGl_z62zc3z04anonymousza31221ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1761z00zz__pth_threadz00, BgL_bgl_za762lambda1220za7621857z00, BGl_z62lambda1220z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1762z00zz__pth_threadz00, BgL_bgl_za762lambda1219za7621858z00, BGl_z62lambda1219z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1763z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1859za7, BGl_z62zc3z04anonymousza31228ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1764z00zz__pth_threadz00, BgL_bgl_za762lambda1227za7621860z00, BGl_z62lambda1227z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1765z00zz__pth_threadz00, BgL_bgl_za762lambda1226za7621861z00, BGl_z62lambda1226z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1766z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1862za7, BGl_z62zc3z04anonymousza31192ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1767z00zz__pth_threadz00, BgL_bgl_za762lambda1190za7621863z00, BGl_z62lambda1190z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1768z00zz__pth_threadz00, BgL_bgl_za762lambda1187za7621864z00, BGl_z62lambda1187z62zz__pth_threadz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1769z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1865za7, BGl_z62zc3z04anonymousza31244ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1770z00zz__pth_threadz00, BgL_bgl_za762lambda1239za7621866z00, BGl_z62lambda1239z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1771z00zz__pth_threadz00, BgL_bgl_za762lambda1234za7621867z00, BGl_z62lambda1234z62zz__pth_threadz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1772z00zz__pth_threadz00, BgL_bgl_za762lambda1355za7621868z00, BGl_z62lambda1355z62zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1773z00zz__pth_threadz00, BgL_bgl_za762lambda1354za7621869z00, BGl_z62lambda1354z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1774z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1870za7, BGl_z62zc3z04anonymousza31287ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1781z00zz__pth_threadz00, BgL_bgl_string1781za700za7za7_1871za7, "object-write", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1775z00zz__pth_threadz00, BgL_bgl_za762lambda1279za7621872z00, BGl_z62lambda1279z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_threadzd2killz12zd2envz12zz__threadz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1776z00zz__pth_threadz00, BgL_bgl_za762lambda1270za7621873z00, BGl_z62lambda1270z62zz__pth_threadz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string1783z00zz__pth_threadz00, BgL_bgl_string1783za700za7za7_1874za7, "object-display", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1777z00zz__pth_threadz00, BgL_bgl_za762za7c3za704anonymo1875za7, BGl_z62zc3z04anonymousza31371ze3ze5zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1778z00zz__pth_threadz00, BgL_bgl_za762lambda1365za7621876z00, BGl_z62lambda1365z62zz__pth_threadz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1785z00zz__pth_threadz00, BgL_bgl_string1785za700za7za7_1877za7, "object-print", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1779z00zz__pth_threadz00, BgL_bgl_za762lambda1363za7621878z00, BGl_z62lambda1363z62zz__pth_threadz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1787z00zz__pth_threadz00, BgL_bgl_string1787za700za7za7_1879za7, "%user-thread-yield!", 19 );
DEFINE_STRING( BGl_string1789z00zz__pth_threadz00, BgL_bgl_string1789za700za7za7_1880za7, "thread-initialize!", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1780z00zz__pth_threadz00, BgL_bgl_za762objectza7d2writ1881z00, va_generic_entry, BGl_z62objectzd2writezd2uncaugh1139z62zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1782z00zz__pth_threadz00, BgL_bgl_za762objectza7d2disp1882z00, va_generic_entry, BGl_z62objectzd2displayzd2uncau1141z62zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1784z00zz__pth_threadz00, BgL_bgl_za762objectza7d2prin1883z00, BGl_z62objectzd2printzd2uncaugh1143z62zz__pth_threadz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1791z00zz__pth_threadz00, BgL_bgl_string1791za700za7za7_1884za7, "thread-start!", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1786z00zz__pth_threadz00, BgL_bgl_za762za752userza7d2thr1885za7, BGl_z62z52userzd2threadzd2yieldz12zd21145zf0zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1793z00zz__pth_threadz00, BgL_bgl_string1793za700za7za7_1886za7, "thread-start-joinable!", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1788z00zz__pth_threadz00, BgL_bgl_za762threadza7d2init1887z00, BGl_z62threadzd2initializa7ez12zd2p1147zd7zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1795z00zz__pth_threadz00, BgL_bgl_string1795za700za7za7_1888za7, "thread-join!", 12 );
DEFINE_STRING( BGl_string1797z00zz__pth_threadz00, BgL_bgl_string1797za700za7za7_1889za7, "thread-terminate!", 17 );
DEFINE_STRING( BGl_string1799z00zz__pth_threadz00, BgL_bgl_string1799za700za7za7_1890za7, "thread-kill!", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1790z00zz__pth_threadz00, BgL_bgl_za762threadza7d2star1891z00, va_generic_entry, BGl_z62threadzd2startz12zd2pthrea1149z70zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1792z00zz__pth_threadz00, BgL_bgl_za762threadza7d2star1892z00, BGl_z62threadzd2startzd2joinabl1151z62zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1794z00zz__pth_threadz00, BgL_bgl_za762threadza7d2join1893z00, va_generic_entry, BGl_z62threadzd2joinz12zd2pthread1153z70zz__pth_threadz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1796z00zz__pth_threadz00, BgL_bgl_za762threadza7d2term1894z00, BGl_z62threadzd2terminatez12zd2pt1155z70zz__pth_threadz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1798z00zz__pth_threadz00, BgL_bgl_za762threadza7d2kill1895z00, BGl_z62threadzd2killz12zd2pthread1157z70zz__pth_threadz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42pthreadzd2nilzd2envz42zz__pth_threadz00, BgL_bgl_za762za742pthreadza7d21896za7, BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2terminatez12zd2envz12zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2namezd2setz12zd2envzc0zz__threadz00;
BGL_IMPORT obj_t BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00;
BGL_IMPORT obj_t BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_pthreadz00zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_z62threadzd2errorzb0zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_uncaughtzd2exceptionzd2zz__pth_threadz00) );
ADD_ROOT( (void *)(&BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long BgL_checksumz00_902, char * BgL_fromz00_903)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__pth_threadz00))
{ 
BGl_requirezd2initializa7ationz75zz__pth_threadz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__pth_threadz00(); 
BGl_libraryzd2moduleszd2initz00zz__pth_threadz00(); 
BGl_cnstzd2initzd2zz__pth_threadz00(); 
BGl_importedzd2moduleszd2initz00zz__pth_threadz00(); 
BGl_objectzd2initzd2zz__pth_threadz00(); 
BGl_methodzd2initzd2zz__pth_threadz00(); 
return 
BGl_toplevelzd2initzd2zz__pth_threadz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__libraryz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__osz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__paramz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "__pth_thread"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__pth_thread"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 15 */
 obj_t BgL_cportz00_751;
{ /* Llib/pthread.scm 15 */
 obj_t BgL_stringz00_758;
BgL_stringz00_758 = BGl_string1820z00zz__pth_threadz00; 
{ /* Llib/pthread.scm 15 */
 obj_t BgL_startz00_759;
BgL_startz00_759 = 
BINT(0L); 
{ /* Llib/pthread.scm 15 */
 obj_t BgL_endz00_760;
BgL_endz00_760 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_758))); 
{ /* Llib/pthread.scm 15 */

BgL_cportz00_751 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_758, BgL_startz00_759, BgL_endz00_760); } } } } 
{ 
 long BgL_iz00_752;
BgL_iz00_752 = 17L; 
BgL_loopz00_753:
if(
(BgL_iz00_752==(-1L)))
{ /* Llib/pthread.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 15 */
 obj_t BgL_arg1825z00_754;
{ /* Llib/pthread.scm 15 */

{ /* Llib/pthread.scm 15 */
 obj_t BgL_locationz00_756;
BgL_locationz00_756 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pthread.scm 15 */

BgL_arg1825z00_754 = 
BGl_readz00zz__readerz00(BgL_cportz00_751, BgL_locationz00_756); } } } 
{ /* Llib/pthread.scm 15 */
 int BgL_tmpz00_941;
BgL_tmpz00_941 = 
(int)(BgL_iz00_752); 
CNST_TABLE_SET(BgL_tmpz00_941, BgL_arg1825z00_754); } } 
{ /* Llib/pthread.scm 15 */
 int BgL_auxz00_757;
BgL_auxz00_757 = 
(int)(
(BgL_iz00_752-1L)); 
{ 
 long BgL_iz00_946;
BgL_iz00_946 = 
(long)(BgL_auxz00_757); 
BgL_iz00_752 = BgL_iz00_946; 
goto BgL_loopz00_753;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
BGl_libraryzd2multithreadzd2setz12z12zz__libraryz00(((bool_t)1)); 
BGL_TAIL return 
BGl_pthreadzd2setupzd2backendz12z12zz__pth_backendz00();} 

}



/* $pthread-nil */
BGL_EXPORTED_DEF void * BGl_z42pthreadzd2nilz90zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 234 */
return 
(0L);} 

}



/* &$pthread-nil */
obj_t BGl_z62z42pthreadzd2nilzf2zz__pth_threadz00(obj_t BgL_envz00_531)
{
{ /* Llib/pthread.scm 234 */
return 
void_star_to_obj(
BGl_z42pthreadzd2nilz90zz__pth_threadz00());} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1185z00_41; obj_t BgL_arg1186z00_42;
{ /* Llib/pthread.scm 25 */
 obj_t BgL_v1130z00_59;
BgL_v1130z00_59 = 
create_vector(5L); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1193z00_60;
BgL_arg1193z00_60 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(0)), BGl_proc1753z00zz__pth_threadz00, BGl_proc1752z00zz__pth_threadz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(1))); 
VECTOR_SET(BgL_v1130z00_59,0L,BgL_arg1193z00_60); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1199z00_70;
BgL_arg1199z00_70 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(2)), BGl_proc1756z00zz__pth_threadz00, BGl_proc1755z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1754z00zz__pth_threadz00, 
((obj_t)
CNST_TABLE_REF(3))); 
VECTOR_SET(BgL_v1130z00_59,1L,BgL_arg1199z00_70); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1206z00_83;
BgL_arg1206z00_83 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(4)), BGl_proc1759z00zz__pth_threadz00, BGl_proc1758z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1757z00zz__pth_threadz00, 
((obj_t)
CNST_TABLE_REF(5))); 
VECTOR_SET(BgL_v1130z00_59,2L,BgL_arg1206z00_83); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1215z00_96;
BgL_arg1215z00_96 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(6)), BGl_proc1762z00zz__pth_threadz00, BGl_proc1761z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1760z00zz__pth_threadz00, 
((obj_t)
CNST_TABLE_REF(5))); 
VECTOR_SET(BgL_v1130z00_59,3L,BgL_arg1215z00_96); } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_arg1222z00_109;
BgL_arg1222z00_109 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(7)), BGl_proc1765z00zz__pth_threadz00, BGl_proc1764z00zz__pth_threadz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1763z00zz__pth_threadz00, 
((obj_t)
CNST_TABLE_REF(8))); 
VECTOR_SET(BgL_v1130z00_59,4L,BgL_arg1222z00_109); } 
BgL_arg1185z00_41 = BgL_v1130z00_59; } 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_v1131z00_122;
BgL_v1131z00_122 = 
create_vector(0L); 
BgL_arg1186z00_42 = BgL_v1131z00_122; } 
BGl_pthreadz00zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(9)), 
((obj_t)
CNST_TABLE_REF(10)), BGl_threadz00zz__threadz00, 35369L, BGl_proc1768z00zz__pth_threadz00, BGl_proc1767z00zz__pth_threadz00, BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00, BGl_proc1766z00zz__pth_threadz00, BFALSE, BgL_arg1185z00_41, BgL_arg1186z00_42); } 
{ /* Llib/pthread.scm 37 */
 obj_t BgL_arg1232z00_129; obj_t BgL_arg1233z00_130;
{ /* Llib/pthread.scm 37 */
 obj_t BgL_v1132z00_146;
BgL_v1132z00_146 = 
create_vector(0L); 
BgL_arg1232z00_129 = BgL_v1132z00_146; } 
{ /* Llib/pthread.scm 37 */
 obj_t BgL_v1133z00_147;
BgL_v1133z00_147 = 
create_vector(0L); 
BgL_arg1233z00_130 = BgL_v1133z00_147; } 
BGl_z62threadzd2errorzb0zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(11)), 
((obj_t)
CNST_TABLE_REF(10)), BGl_z62errorz62zz__objectz00, 52138L, BGl_proc1771z00zz__pth_threadz00, BGl_proc1770z00zz__pth_threadz00, BFALSE, BGl_proc1769z00zz__pth_threadz00, BFALSE, BgL_arg1232z00_129, BgL_arg1233z00_130); } 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1265z00_154; obj_t BgL_arg1269z00_155;
{ /* Llib/pthread.scm 39 */
 obj_t BgL_v1134z00_169;
BgL_v1134z00_169 = 
create_vector(1L); 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_arg1325z00_170;
BgL_arg1325z00_170 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(12)), BGl_proc1773z00zz__pth_threadz00, BGl_proc1772z00zz__pth_threadz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(5))); 
VECTOR_SET(BgL_v1134z00_169,0L,BgL_arg1325z00_170); } 
BgL_arg1265z00_154 = BgL_v1134z00_169; } 
{ /* Llib/pthread.scm 39 */
 obj_t BgL_v1135z00_180;
BgL_v1135z00_180 = 
create_vector(0L); 
BgL_arg1269z00_155 = BgL_v1135z00_180; } 
BGl_uncaughtzd2exceptionzd2zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(13)), 
((obj_t)
CNST_TABLE_REF(10)), BGl_z62exceptionz62zz__objectz00, 30717L, BGl_proc1776z00zz__pth_threadz00, BGl_proc1775z00zz__pth_threadz00, BFALSE, BGl_proc1774z00zz__pth_threadz00, BFALSE, BgL_arg1265z00_154, BgL_arg1269z00_155); } 
{ /* Llib/pthread.scm 42 */
 obj_t BgL_arg1361z00_187; obj_t BgL_arg1362z00_188;
{ /* Llib/pthread.scm 42 */
 obj_t BgL_v1136z00_201;
BgL_v1136z00_201 = 
create_vector(0L); 
BgL_arg1361z00_187 = BgL_v1136z00_201; } 
{ /* Llib/pthread.scm 42 */
 obj_t BgL_v1137z00_202;
BgL_v1137z00_202 = 
create_vector(0L); 
BgL_arg1362z00_188 = BgL_v1137z00_202; } 
return ( 
BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(14)), 
((obj_t)
CNST_TABLE_REF(10)), BGl_z62exceptionz62zz__objectz00, 35176L, BGl_proc1779z00zz__pth_threadz00, BGl_proc1778z00zz__pth_threadz00, BFALSE, BGl_proc1777z00zz__pth_threadz00, BFALSE, BgL_arg1361z00_187, BgL_arg1362z00_188), BUNSPEC) ;} } 

}



/* &<@anonymous:1371> */
obj_t BGl_z62zc3z04anonymousza31371ze3ze5zz__pth_threadz00(obj_t BgL_envz00_563, obj_t BgL_new1077z00_564)
{
{ /* Llib/pthread.scm 42 */
{ 
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_auxz00_1018;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BgL_new1077z00_564))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BgL_new1077z00_564))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BgL_new1077z00_564))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1018 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BgL_new1077z00_564); 
return 
((obj_t)BgL_auxz00_1018);} } 

}



/* &lambda1365 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1365z62zz__pth_threadz00(obj_t BgL_envz00_565)
{
{ /* Llib/pthread.scm 42 */
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1076z00_763;
BgL_new1076z00_763 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 42 */
 long BgL_arg1370z00_764;
BgL_arg1370z00_764 = 
BGL_CLASS_NUM(BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1076z00_763), BgL_arg1370z00_764); } 
return BgL_new1076z00_763;} } 

}



/* &lambda1363 */
BgL_terminatedzd2threadzd2exceptionz00_bglt BGl_z62lambda1363z62zz__pth_threadz00(obj_t BgL_envz00_566, obj_t BgL_fname1073z00_567, obj_t BgL_location1074z00_568, obj_t BgL_stack1075z00_569)
{
{ /* Llib/pthread.scm 42 */
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1129z00_765;
{ /* Llib/pthread.scm 42 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1128z00_766;
BgL_new1128z00_766 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 42 */
 long BgL_arg1364z00_767;
BgL_arg1364z00_767 = 
BGL_CLASS_NUM(BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1128z00_766), BgL_arg1364z00_767); } 
BgL_new1129z00_765 = BgL_new1128z00_766; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1129z00_765)))->BgL_fnamez00)=((obj_t)BgL_fname1073z00_567),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1129z00_765)))->BgL_locationz00)=((obj_t)BgL_location1074z00_568),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1129z00_765)))->BgL_stackz00)=((obj_t)BgL_stack1075z00_569),BUNSPEC); 
return BgL_new1129z00_765;} } 

}



/* &<@anonymous:1287> */
obj_t BGl_z62zc3z04anonymousza31287ze3ze5zz__pth_threadz00(obj_t BgL_envz00_570, obj_t BgL_new1071z00_571)
{
{ /* Llib/pthread.scm 39 */
{ 
 BgL_uncaughtzd2exceptionzd2_bglt BgL_auxz00_1044;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1071z00_571))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1071z00_571))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1071z00_571))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1071z00_571)))->BgL_reasonz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1044 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_new1071z00_571); 
return 
((obj_t)BgL_auxz00_1044);} } 

}



/* &lambda1279 */
BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1279z62zz__pth_threadz00(obj_t BgL_envz00_572)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1070z00_769;
BgL_new1070z00_769 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 39 */
 long BgL_arg1286z00_770;
BgL_arg1286z00_770 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1070z00_769), BgL_arg1286z00_770); } 
return BgL_new1070z00_769;} } 

}



/* &lambda1270 */
BgL_uncaughtzd2exceptionzd2_bglt BGl_z62lambda1270z62zz__pth_threadz00(obj_t BgL_envz00_573, obj_t BgL_fname1066z00_574, obj_t BgL_location1067z00_575, obj_t BgL_stack1068z00_576, obj_t BgL_reason1069z00_577)
{
{ /* Llib/pthread.scm 39 */
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1127z00_771;
{ /* Llib/pthread.scm 39 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1126z00_772;
BgL_new1126z00_772 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 39 */
 long BgL_arg1278z00_773;
BgL_arg1278z00_773 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1126z00_772), BgL_arg1278z00_773); } 
BgL_new1127z00_771 = BgL_new1126z00_772; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1127z00_771)))->BgL_fnamez00)=((obj_t)BgL_fname1066z00_574),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1127z00_771)))->BgL_locationz00)=((obj_t)BgL_location1067z00_575),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1127z00_771)))->BgL_stackz00)=((obj_t)BgL_stack1068z00_576),BUNSPEC); 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1127z00_771))->BgL_reasonz00)=((obj_t)BgL_reason1069z00_577),BUNSPEC); 
return BgL_new1127z00_771;} } 

}



/* &lambda1355 */
obj_t BGl_z62lambda1355z62zz__pth_threadz00(obj_t BgL_envz00_578, obj_t BgL_oz00_579, obj_t BgL_vz00_580)
{
{ /* Llib/pthread.scm 39 */
return 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_579)))->BgL_reasonz00)=((obj_t)BgL_vz00_580),BUNSPEC);} 

}



/* &lambda1354 */
obj_t BGl_z62lambda1354z62zz__pth_threadz00(obj_t BgL_envz00_581, obj_t BgL_oz00_582)
{
{ /* Llib/pthread.scm 39 */
return 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_582)))->BgL_reasonz00);} 

}



/* &<@anonymous:1244> */
obj_t BGl_z62zc3z04anonymousza31244ze3ze5zz__pth_threadz00(obj_t BgL_envz00_583, obj_t BgL_new1064z00_584)
{
{ /* Llib/pthread.scm 37 */
{ 
 BgL_z62threadzd2errorzb0_bglt BgL_auxz00_1077;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_584))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_584))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_584))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_584))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_584))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_584))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1077 = 
((BgL_z62threadzd2errorzb0_bglt)BgL_new1064z00_584); 
return 
((obj_t)BgL_auxz00_1077);} } 

}



/* &lambda1239 */
BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1239z62zz__pth_threadz00(obj_t BgL_envz00_585)
{
{ /* Llib/pthread.scm 37 */
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1063z00_777;
BgL_new1063z00_777 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 37 */
 long BgL_arg1243z00_778;
BgL_arg1243z00_778 = 
BGL_CLASS_NUM(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1063z00_777), BgL_arg1243z00_778); } 
return BgL_new1063z00_777;} } 

}



/* &lambda1234 */
BgL_z62threadzd2errorzb0_bglt BGl_z62lambda1234z62zz__pth_threadz00(obj_t BgL_envz00_586, obj_t BgL_fname1057z00_587, obj_t BgL_location1058z00_588, obj_t BgL_stack1059z00_589, obj_t BgL_proc1060z00_590, obj_t BgL_msg1061z00_591, obj_t BgL_obj1062z00_592)
{
{ /* Llib/pthread.scm 37 */
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1125z00_779;
{ /* Llib/pthread.scm 37 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1124z00_780;
BgL_new1124z00_780 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 37 */
 long BgL_arg1238z00_781;
BgL_arg1238z00_781 = 
BGL_CLASS_NUM(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1124z00_780), BgL_arg1238z00_781); } 
BgL_new1125z00_779 = BgL_new1124z00_780; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1125z00_779)))->BgL_fnamez00)=((obj_t)BgL_fname1057z00_587),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1125z00_779)))->BgL_locationz00)=((obj_t)BgL_location1058z00_588),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1125z00_779)))->BgL_stackz00)=((obj_t)BgL_stack1059z00_589),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1125z00_779)))->BgL_procz00)=((obj_t)BgL_proc1060z00_590),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1125z00_779)))->BgL_msgz00)=((obj_t)BgL_msg1061z00_591),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1125z00_779)))->BgL_objz00)=((obj_t)BgL_obj1062z00_592),BUNSPEC); 
return BgL_new1125z00_779;} } 

}



/* &<@anonymous:1192> */
obj_t BGl_z62zc3z04anonymousza31192ze3ze5zz__pth_threadz00(obj_t BgL_envz00_593, obj_t BgL_new1055z00_594)
{
{ /* Llib/pthread.scm 25 */
{ 
 BgL_pthreadz00_bglt BgL_auxz00_1118;
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)
((BgL_pthreadz00_bglt)BgL_new1055z00_594))))->BgL_namez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1055z00_594)))->BgL_bodyz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1055z00_594)))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1055z00_594)))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1055z00_594)))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1055z00_594)))->BgL_z42builtinz42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_1118 = 
((BgL_pthreadz00_bglt)BgL_new1055z00_594); 
return 
((obj_t)BgL_auxz00_1118);} } 

}



/* &lambda1190 */
BgL_pthreadz00_bglt BGl_z62lambda1190z62zz__pth_threadz00(obj_t BgL_envz00_595)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1054z00_783;
BgL_new1054z00_783 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/pthread.scm 25 */
 long BgL_arg1191z00_784;
BgL_arg1191z00_784 = 
BGL_CLASS_NUM(BGl_pthreadz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1054z00_783), BgL_arg1191z00_784); } 
return BgL_new1054z00_783;} } 

}



/* &lambda1187 */
BgL_pthreadz00_bglt BGl_z62lambda1187z62zz__pth_threadz00(obj_t BgL_envz00_596, obj_t BgL_name1048z00_597, obj_t BgL_body1049z00_598, obj_t BgL_detachedp1050z00_599, obj_t BgL_endzd2result1051zd2_600, obj_t BgL_endzd2exception1052zd2_601, obj_t BgL_z42builtin1053z42_602)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 bool_t BgL_detachedp1050z00_786; void * BgL_z42builtin1053z42_787;
BgL_detachedp1050z00_786 = 
CBOOL(BgL_detachedp1050z00_599); 
BgL_z42builtin1053z42_787 = 
FOREIGN_TO_COBJ(BgL_z42builtin1053z42_602); 
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1123z00_788;
{ /* Llib/pthread.scm 25 */
 BgL_pthreadz00_bglt BgL_new1122z00_789;
BgL_new1122z00_789 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/pthread.scm 25 */
 long BgL_arg1189z00_790;
BgL_arg1189z00_790 = 
BGL_CLASS_NUM(BGl_pthreadz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1122z00_789), BgL_arg1189z00_790); } 
BgL_new1123z00_788 = BgL_new1122z00_789; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1123z00_788)))->BgL_namez00)=((obj_t)BgL_name1048z00_597),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1123z00_788))->BgL_bodyz00)=((obj_t)
((obj_t)BgL_body1049z00_598)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1123z00_788))->BgL_detachedpz00)=((bool_t)BgL_detachedp1050z00_786),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1123z00_788))->BgL_endzd2resultzd2)=((obj_t)BgL_endzd2result1051zd2_600),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1123z00_788))->BgL_endzd2exceptionzd2)=((obj_t)BgL_endzd2exception1052zd2_601),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1123z00_788))->BgL_z42builtinz42)=((void *)BgL_z42builtin1053z42_787),BUNSPEC); 
{ /* Llib/pthread.scm 25 */
 obj_t BgL_fun1188z00_791;
BgL_fun1188z00_791 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pthreadz00zz__pth_threadz00); 
BGL_PROCEDURE_CALL1(BgL_fun1188z00_791, 
((obj_t)BgL_new1123z00_788)); } 
return BgL_new1123z00_788;} } } 

}



/* &<@anonymous:1228> */
obj_t BGl_z62zc3z04anonymousza31228ze3ze5zz__pth_threadz00(obj_t BgL_envz00_603)
{
{ /* Llib/pthread.scm 25 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1227 */
obj_t BGl_z62lambda1227z62zz__pth_threadz00(obj_t BgL_envz00_604, obj_t BgL_oz00_605, obj_t BgL_vz00_606)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 void * BgL_vz00_793;
BgL_vz00_793 = 
FOREIGN_TO_COBJ(BgL_vz00_606); 
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_605)))->BgL_z42builtinz42)=((void *)BgL_vz00_793),BUNSPEC);} } 

}



/* &lambda1226 */
obj_t BGl_z62lambda1226z62zz__pth_threadz00(obj_t BgL_envz00_607, obj_t BgL_oz00_608)
{
{ /* Llib/pthread.scm 25 */
return 
void_star_to_obj(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_608)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1221> */
obj_t BGl_z62zc3z04anonymousza31221ze3ze5zz__pth_threadz00(obj_t BgL_envz00_609)
{
{ /* Llib/pthread.scm 25 */
return BUNSPEC;} 

}



/* &lambda1220 */
obj_t BGl_z62lambda1220z62zz__pth_threadz00(obj_t BgL_envz00_610, obj_t BgL_oz00_611, obj_t BgL_vz00_612)
{
{ /* Llib/pthread.scm 25 */
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_611)))->BgL_endzd2exceptionzd2)=((obj_t)BgL_vz00_612),BUNSPEC);} 

}



/* &lambda1219 */
obj_t BGl_z62lambda1219z62zz__pth_threadz00(obj_t BgL_envz00_613, obj_t BgL_oz00_614)
{
{ /* Llib/pthread.scm 25 */
return 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_614)))->BgL_endzd2exceptionzd2);} 

}



/* &<@anonymous:1214> */
obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__pth_threadz00(obj_t BgL_envz00_615)
{
{ /* Llib/pthread.scm 25 */
return BUNSPEC;} 

}



/* &lambda1213 */
obj_t BGl_z62lambda1213z62zz__pth_threadz00(obj_t BgL_envz00_616, obj_t BgL_oz00_617, obj_t BgL_vz00_618)
{
{ /* Llib/pthread.scm 25 */
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_617)))->BgL_endzd2resultzd2)=((obj_t)BgL_vz00_618),BUNSPEC);} 

}



/* &lambda1212 */
obj_t BGl_z62lambda1212z62zz__pth_threadz00(obj_t BgL_envz00_619, obj_t BgL_oz00_620)
{
{ /* Llib/pthread.scm 25 */
return 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_620)))->BgL_endzd2resultzd2);} 

}



/* &<@anonymous:1205> */
obj_t BGl_z62zc3z04anonymousza31205ze3ze5zz__pth_threadz00(obj_t BgL_envz00_621)
{
{ /* Llib/pthread.scm 25 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1204 */
obj_t BGl_z62lambda1204z62zz__pth_threadz00(obj_t BgL_envz00_622, obj_t BgL_oz00_623, obj_t BgL_vz00_624)
{
{ /* Llib/pthread.scm 25 */
{ /* Llib/pthread.scm 25 */
 bool_t BgL_vz00_800;
BgL_vz00_800 = 
CBOOL(BgL_vz00_624); 
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_623)))->BgL_detachedpz00)=((bool_t)BgL_vz00_800),BUNSPEC);} } 

}



/* &lambda1203 */
obj_t BGl_z62lambda1203z62zz__pth_threadz00(obj_t BgL_envz00_625, obj_t BgL_oz00_626)
{
{ /* Llib/pthread.scm 25 */
return 
BBOOL(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_626)))->BgL_detachedpz00));} 

}



/* &lambda1198 */
obj_t BGl_z62lambda1198z62zz__pth_threadz00(obj_t BgL_envz00_627, obj_t BgL_oz00_628, obj_t BgL_vz00_629)
{
{ /* Llib/pthread.scm 25 */
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_628)))->BgL_bodyz00)=((obj_t)
((obj_t)BgL_vz00_629)),BUNSPEC);} 

}



/* &lambda1197 */
obj_t BGl_z62lambda1197z62zz__pth_threadz00(obj_t BgL_envz00_630, obj_t BgL_oz00_631)
{
{ /* Llib/pthread.scm 25 */
return 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_631)))->BgL_bodyz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2writezd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc1780z00zz__pth_threadz00, BGl_string1781z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc1782z00zz__pth_threadz00, BGl_string1783z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_uncaughtzd2exceptionzd2zz__pth_threadz00, BGl_proc1784z00zz__pth_threadz00, BGl_string1785z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52userzd2threadzd2yieldz12zd2envz92zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1786z00zz__pth_threadz00, BGl_string1787z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1788z00zz__pth_threadz00, BGl_string1789z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2startz12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1790z00zz__pth_threadz00, BGl_string1791z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2startzd2joinablez12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1792z00zz__pth_threadz00, BGl_string1793z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2joinz12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1794z00zz__pth_threadz00, BGl_string1795z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2terminatez12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1796z00zz__pth_threadz00, BGl_string1797z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2killz12zd2envz12zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1798z00zz__pth_threadz00, BGl_string1799z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2envz00zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1800z00zz__pth_threadz00, BGl_string1801z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2specificzd2setz12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1802z00zz__pth_threadz00, BGl_string1803z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2envz00zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1804z00zz__pth_threadz00, BGl_string1805z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2cleanupzd2setz12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1806z00zz__pth_threadz00, BGl_string1807z00zz__pth_threadz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2namezd2envz00zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1808z00zz__pth_threadz00, BGl_string1809z00zz__pth_threadz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_threadzd2namezd2setz12zd2envzc0zz__threadz00, BGl_pthreadz00zz__pth_threadz00, BGl_proc1810z00zz__pth_threadz00, BGl_string1811z00zz__pth_threadz00);} 

}



/* &thread-name-set!-pth1169 */
obj_t BGl_z62threadzd2namezd2setz12zd2pth1169za2zz__pth_threadz00(obj_t BgL_envz00_654, obj_t BgL_tz00_655, obj_t BgL_vz00_656)
{
{ /* Llib/pthread.scm 223 */
{ /* Llib/pthread.scm 227 */
 void * BgL_arg1724z00_806;
BgL_arg1724z00_806 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_655)))->BgL_z42builtinz42); 
bglpth_thread_setname(BgL_arg1724z00_806, BgL_vz00_656); 
return BUNSPEC;} } 

}



/* &thread-name-pthread1167 */
obj_t BGl_z62threadzd2namezd2pthread1167z62zz__pth_threadz00(obj_t BgL_envz00_657, obj_t BgL_tz00_658)
{
{ /* Llib/pthread.scm 212 */
{ /* Llib/pthread.scm 215 */
 obj_t BgL_res1826z00_808;
BgL_res1826z00_808 = 
bglpth_thread_getname(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_658)))->BgL_z42builtinz42)); 
return BgL_res1826z00_808;} } 

}



/* &thread-cleanup-set!-1165 */
obj_t BGl_z62threadzd2cleanupzd2setz12zd21165za2zz__pth_threadz00(obj_t BgL_envz00_659, obj_t BgL_tz00_660, obj_t BgL_pz00_661)
{
{ /* Llib/pthread.scm 201 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_pz00_661, 
(int)(1L)))
{ /* Llib/pthread.scm 203 */
{ /* Llib/pthread.scm 205 */
 void * BgL_arg1716z00_810;
BgL_arg1716z00_810 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_660)))->BgL_z42builtinz42); 
BGLPTH_THREAD_CLEANUP_SET(BgL_arg1716z00_810, BgL_pz00_661); BUNSPEC; } 
return BgL_pz00_661;}  else 
{ /* Llib/pthread.scm 203 */
return 
BGl_errorz00zz__errorz00(BGl_string1807z00zz__pth_threadz00, BGl_string1812z00zz__pth_threadz00, BgL_pz00_661);} } 

}



/* &thread-cleanup-pthre1163 */
obj_t BGl_z62threadzd2cleanupzd2pthre1163z62zz__pth_threadz00(obj_t BgL_envz00_662, obj_t BgL_tz00_663)
{
{ /* Llib/pthread.scm 194 */
{ /* Llib/pthread.scm 196 */
 void * BgL_tmpz00_1216;
BgL_tmpz00_1216 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_663)))->BgL_z42builtinz42); 
return 
BGLPTH_THREAD_CLEANUP(BgL_tmpz00_1216);} } 

}



/* &thread-specific-set!1161 */
obj_t BGl_z62threadzd2specificzd2setz121161z70zz__pth_threadz00(obj_t BgL_envz00_664, obj_t BgL_tz00_665, obj_t BgL_vz00_666)
{
{ /* Llib/pthread.scm 186 */
{ /* Llib/pthread.scm 188 */
 void * BgL_arg1708z00_813;
BgL_arg1708z00_813 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_665)))->BgL_z42builtinz42); 
BGLPTH_THREAD_SPECIFIC_SET(BgL_arg1708z00_813, BgL_vz00_666); BUNSPEC; } 
return BgL_vz00_666;} 

}



/* &thread-specific-pthr1159 */
obj_t BGl_z62threadzd2specificzd2pthr1159z62zz__pth_threadz00(obj_t BgL_envz00_667, obj_t BgL_tz00_668)
{
{ /* Llib/pthread.scm 179 */
{ /* Llib/pthread.scm 181 */
 void * BgL_tmpz00_1223;
BgL_tmpz00_1223 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_668)))->BgL_z42builtinz42); 
return 
BGLPTH_THREAD_SPECIFIC(BgL_tmpz00_1223);} } 

}



/* &thread-kill!-pthread1157 */
obj_t BGl_z62threadzd2killz12zd2pthread1157z70zz__pth_threadz00(obj_t BgL_envz00_669, obj_t BgL_tz00_670, obj_t BgL_nz00_671)
{
{ /* Llib/pthread.scm 172 */
{ /* Llib/pthread.scm 173 */
 int BgL_nz00_816;
BgL_nz00_816 = 
CINT(BgL_nz00_671); 
{ /* Llib/pthread.scm 174 */
 void * BgL_arg1705z00_817;
BgL_arg1705z00_817 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_670)))->BgL_z42builtinz42); 
return 
BINT(
bglpth_thread_kill(BgL_arg1705z00_817, BgL_nz00_816));} } } 

}



/* &thread-terminate!-pt1155 */
obj_t BGl_z62threadzd2terminatez12zd2pt1155z70zz__pth_threadz00(obj_t BgL_envz00_672, obj_t BgL_tz00_673)
{
{ /* Llib/pthread.scm 163 */
if(
bglpth_thread_terminate(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_673)))->BgL_z42builtinz42)))
{ 
 obj_t BgL_auxz00_1236;
{ /* Llib/pthread.scm 166 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1114z00_819;
{ /* Llib/pthread.scm 166 */
 BgL_terminatedzd2threadzd2exceptionz00_bglt BgL_new1113z00_820;
BgL_new1113z00_820 = 
((BgL_terminatedzd2threadzd2exceptionz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_terminatedzd2threadzd2exceptionz00_bgl) ))); 
{ /* Llib/pthread.scm 166 */
 long BgL_arg1692z00_821;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_classz00_822;
BgL_classz00_822 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_arg1692z00_821 = 
BGL_CLASS_NUM(BgL_classz00_822); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_820), BgL_arg1692z00_821); } 
BgL_new1114z00_819 = BgL_new1113z00_820; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1114z00_819)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1114z00_819)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1246;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_arg1667z00_823;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_arg1691z00_824;
{ /* Llib/pthread.scm 166 */
 obj_t BgL_classz00_825;
BgL_classz00_825 = BGl_terminatedzd2threadzd2exceptionz00zz__pth_threadz00; 
BgL_arg1691z00_824 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_825); } 
BgL_arg1667z00_823 = 
VECTOR_REF(BgL_arg1691z00_824,2L); } 
BgL_auxz00_1246 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1667z00_823); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1114z00_819)))->BgL_stackz00)=((obj_t)BgL_auxz00_1246),BUNSPEC); } 
BgL_auxz00_1236 = 
((obj_t)BgL_new1114z00_819); } 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_673)))->BgL_endzd2exceptionzd2)=((obj_t)BgL_auxz00_1236),BUNSPEC); }  else 
{ /* Llib/pthread.scm 165 */BFALSE; } 
return 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_673));} 

}



/* &thread-join!-pthread1153 */
obj_t BGl_z62threadzd2joinz12zd2pthread1153z70zz__pth_threadz00(obj_t BgL_envz00_674, obj_t BgL_tz00_675, obj_t BgL_timeoutz00_676)
{
{ /* Llib/pthread.scm 146 */
if(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_675)))->BgL_detachedpz00))
{ /* Llib/pthread.scm 150 */
 BgL_z62threadzd2errorzb0_bglt BgL_arg1616z00_827;
{ /* Llib/pthread.scm 150 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1111z00_828;
{ /* Llib/pthread.scm 150 */
 BgL_z62threadzd2errorzb0_bglt BgL_new1110z00_829;
BgL_new1110z00_829 = 
((BgL_z62threadzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62threadzd2errorzb0_bgl) ))); 
{ /* Llib/pthread.scm 150 */
 long BgL_arg1619z00_830;
BgL_arg1619z00_830 = 
BGL_CLASS_NUM(BGl_z62threadzd2errorzb0zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_829), BgL_arg1619z00_830); } 
BgL_new1111z00_828 = BgL_new1110z00_829; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1111z00_828)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1111z00_828)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1267;
{ /* Llib/pthread.scm 150 */
 obj_t BgL_arg1617z00_831;
{ /* Llib/pthread.scm 150 */
 obj_t BgL_arg1618z00_832;
{ /* Llib/pthread.scm 150 */
 obj_t BgL_classz00_833;
BgL_classz00_833 = BGl_z62threadzd2errorzb0zz__pth_threadz00; 
BgL_arg1618z00_832 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_833); } 
BgL_arg1617z00_831 = 
VECTOR_REF(BgL_arg1618z00_832,2L); } 
BgL_auxz00_1267 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1617z00_831); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1111z00_828)))->BgL_stackz00)=((obj_t)BgL_auxz00_1267),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1111z00_828)))->BgL_procz00)=((obj_t)
((obj_t)
CNST_TABLE_REF(15))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1111z00_828)))->BgL_msgz00)=((obj_t)BGl_string1813z00zz__pth_threadz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1111z00_828)))->BgL_objz00)=((obj_t)
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_675))),BUNSPEC); 
BgL_arg1616z00_827 = BgL_new1111z00_828; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1616z00_827));}  else 
{ /* Llib/pthread.scm 148 */
{ /* Llib/pthread.scm 155 */
 void * BgL_arg1620z00_834; obj_t BgL_arg1632z00_835;
BgL_arg1620z00_834 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_675)))->BgL_z42builtinz42); 
if(
PAIRP(BgL_timeoutz00_676))
{ /* Llib/pthread.scm 155 */
BgL_arg1632z00_835 = 
CAR(BgL_timeoutz00_676); }  else 
{ /* Llib/pthread.scm 155 */
BgL_arg1632z00_835 = BFALSE; } 
bglpth_thread_join(BgL_arg1620z00_834, BgL_arg1632z00_835); BUNSPEC; } 
{ /* Llib/pthread.scm 156 */
 bool_t BgL_test1903z00_1291;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_arg1652z00_836;
BgL_arg1652z00_836 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_675)))->BgL_endzd2exceptionzd2); 
{ /* Llib/pthread.scm 156 */
 obj_t BgL_classz00_837;
BgL_classz00_837 = BGl_z62exceptionz62zz__objectz00; 
if(
BGL_OBJECTP(BgL_arg1652z00_836))
{ /* Llib/pthread.scm 156 */
 BgL_objectz00_bglt BgL_arg1827z00_838;
BgL_arg1827z00_838 = 
(BgL_objectz00_bglt)(BgL_arg1652z00_836); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/pthread.scm 156 */
 long BgL_idxz00_839;
BgL_idxz00_839 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_838); 
BgL_test1903z00_1291 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_839+2L))==BgL_classz00_837); }  else 
{ /* Llib/pthread.scm 156 */
 bool_t BgL_res1725z00_842;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_oclassz00_843;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_arg1834z00_844; long BgL_arg1835z00_845;
BgL_arg1834z00_844 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/pthread.scm 156 */
 long BgL_arg1836z00_846;
BgL_arg1836z00_846 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_838); 
BgL_arg1835z00_845 = 
(BgL_arg1836z00_846-OBJECT_TYPE); } 
BgL_oclassz00_843 = 
VECTOR_REF(BgL_arg1834z00_844,BgL_arg1835z00_845); } 
{ /* Llib/pthread.scm 156 */
 bool_t BgL__ortest_1114z00_847;
BgL__ortest_1114z00_847 = 
(BgL_classz00_837==BgL_oclassz00_843); 
if(BgL__ortest_1114z00_847)
{ /* Llib/pthread.scm 156 */
BgL_res1725z00_842 = BgL__ortest_1114z00_847; }  else 
{ /* Llib/pthread.scm 156 */
 long BgL_odepthz00_848;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_arg1824z00_849;
BgL_arg1824z00_849 = 
(BgL_oclassz00_843); 
BgL_odepthz00_848 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_849); } 
if(
(2L<BgL_odepthz00_848))
{ /* Llib/pthread.scm 156 */
 obj_t BgL_arg1822z00_850;
{ /* Llib/pthread.scm 156 */
 obj_t BgL_arg1823z00_851;
BgL_arg1823z00_851 = 
(BgL_oclassz00_843); 
BgL_arg1822z00_850 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_851, 2L); } 
BgL_res1725z00_842 = 
(BgL_arg1822z00_850==BgL_classz00_837); }  else 
{ /* Llib/pthread.scm 156 */
BgL_res1725z00_842 = ((bool_t)0); } } } } 
BgL_test1903z00_1291 = BgL_res1725z00_842; } }  else 
{ /* Llib/pthread.scm 156 */
BgL_test1903z00_1291 = ((bool_t)0)
; } } } 
if(BgL_test1903z00_1291)
{ /* Llib/pthread.scm 156 */
return 
BGl_raisez00zz__errorz00(
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_675)))->BgL_endzd2exceptionzd2));}  else 
{ /* Llib/pthread.scm 156 */
return 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_675)))->BgL_endzd2resultzd2);} } } } 

}



/* &thread-start-joinabl1151 */
obj_t BGl_z62threadzd2startzd2joinabl1151z62zz__pth_threadz00(obj_t BgL_envz00_677, obj_t BgL_tz00_678)
{
{ /* Llib/pthread.scm 137 */
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_678)))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/pthread.scm 140 */
 void * BgL_arg1610z00_853;
BgL_arg1610z00_853 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_678)))->BgL_z42builtinz42); 
bglpth_thread_start(BgL_arg1610z00_853, 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_678)), ((bool_t)0)); BUNSPEC; } 
return 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_678));} 

}



/* &thread-start!-pthrea1149 */
obj_t BGl_z62threadzd2startz12zd2pthrea1149z70zz__pth_threadz00(obj_t BgL_envz00_679, obj_t BgL_tz00_680, obj_t BgL_scdz00_681)
{
{ /* Llib/pthread.scm 128 */
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_680)))->BgL_detachedpz00)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/pthread.scm 131 */
 void * BgL_arg1603z00_855;
BgL_arg1603z00_855 = 
(((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_tz00_680)))->BgL_z42builtinz42); 
bglpth_thread_start(BgL_arg1603z00_855, 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_680)), ((bool_t)1)); BUNSPEC; } 
return 
((obj_t)
((BgL_pthreadz00_bglt)BgL_tz00_680));} 

}



/* &thread-initialize!-p1147 */
obj_t BGl_z62threadzd2initializa7ez12zd2p1147zd7zz__pth_threadz00(obj_t BgL_envz00_682, obj_t BgL_oz00_683)
{
{ /* Llib/pthread.scm 88 */
if(
BGl_bigloozd2initializa7edzf3z86zz__paramz00())
{ /* Llib/pthread.scm 89 */BFALSE; }  else 
{ /* Llib/pthread.scm 92 */
 obj_t BgL_arg1396z00_857;
BgL_arg1396z00_857 = 
bgl_typeof(
((obj_t)
((BgL_pthreadz00_bglt)BgL_oz00_683))); 
{ /* Llib/pthread.scm 90 */
 obj_t BgL_list1397z00_858;
{ /* Llib/pthread.scm 90 */
 obj_t BgL_arg1398z00_859;
{ /* Llib/pthread.scm 90 */
 obj_t BgL_arg1399z00_860;
BgL_arg1399z00_860 = 
MAKE_YOUNG_PAIR(BgL_arg1396z00_857, BNIL); 
BgL_arg1398z00_859 = 
MAKE_YOUNG_PAIR(BGl_string1814z00zz__pth_threadz00, BgL_arg1399z00_860); } 
BgL_list1397z00_858 = 
MAKE_YOUNG_PAIR(BGl_string1815z00zz__pth_threadz00, BgL_arg1398z00_859); } 
BGl_warningz00zz__errorz00(BgL_list1397z00_858); } } 
{ /* Llib/pthread.scm 95 */
 obj_t BgL_bz00_861;
BgL_bz00_861 = 
MAKE_FX_PROCEDURE(BGl_z62bz62zz__pth_threadz00, 
(int)(0L), 
(int)(2L)); 
PROCEDURE_SET(BgL_bz00_861, 
(int)(0L), 
((obj_t)
((BgL_pthreadz00_bglt)BgL_oz00_683))); 
PROCEDURE_SET(BgL_bz00_861, 
(int)(1L), 
((obj_t)
((BgL_pthreadz00_bglt)BgL_oz00_683))); 
return 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_oz00_683)))->BgL_z42builtinz42)=((void *)
bglpth_thread_new(BgL_bz00_861)),BUNSPEC);} } 

}



/* &b */
obj_t BGl_z62bz62zz__pth_threadz00(obj_t BgL_envz00_684)
{
{ /* Llib/pthread.scm 94 */
{ /* Llib/pthread.scm 95 */
 BgL_pthreadz00_bglt BgL_i1081z00_685; BgL_pthreadz00_bglt BgL_oz00_686;
BgL_i1081z00_685 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_684, 
(int)(0L))); 
BgL_oz00_686 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_684, 
(int)(1L))); 
{ /* Llib/pthread.scm 95 */
 obj_t BgL_idz00_862;
{ /* Llib/pthread.scm 95 */
 bool_t BgL_test1909z00_1368;
{ /* Llib/pthread.scm 95 */
 obj_t BgL_tmpz00_1369;
BgL_tmpz00_1369 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_i1081z00_685)))->BgL_namez00); 
BgL_test1909z00_1368 = 
SYMBOLP(BgL_tmpz00_1369); } 
if(BgL_test1909z00_1368)
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1578z00_863;
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1582z00_864; obj_t BgL_arg1583z00_865;
{ /* Llib/pthread.scm 96 */
 obj_t BgL_symbolz00_866;
BgL_symbolz00_866 = 
((obj_t)
CNST_TABLE_REF(16)); 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1484z00_867;
BgL_arg1484z00_867 = 
SYMBOL_TO_STRING(BgL_symbolz00_866); 
BgL_arg1582z00_864 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1484z00_867); } } 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1596z00_868;
BgL_arg1596z00_868 = 
(((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_i1081z00_685)))->BgL_namez00); 
{ /* Llib/pthread.scm 96 */
 obj_t BgL_arg1484z00_869;
BgL_arg1484z00_869 = 
SYMBOL_TO_STRING(
((obj_t)BgL_arg1596z00_868)); 
BgL_arg1583z00_865 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1484z00_869); } } 
BgL_arg1578z00_863 = 
string_append(BgL_arg1582z00_864, BgL_arg1583z00_865); } 
BgL_idz00_862 = 
bstring_to_symbol(BgL_arg1578z00_863); }  else 
{ /* Llib/pthread.scm 95 */
BgL_idz00_862 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
((obj_t)
CNST_TABLE_REF(17))); } } 
{ /* Llib/pthread.scm 98 */

BGL_PUSH_TRACE(BgL_idz00_862, BUNSPEC); 
{ /* Llib/pthread.scm 102 */
 obj_t BgL_zc3z04anonymousza31403ze3z87_870;
BgL_zc3z04anonymousza31403ze3z87_870 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31403ze3ze5zz__pth_threadz00, 
(int)(1L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31403ze3z87_870, 
(int)(0L), 
((obj_t)BgL_oz00_686)); 
BGL_UNCAUGHT_EXCEPTION_HANDLER_SET(BgL_zc3z04anonymousza31403ze3z87_870); BUNSPEC; } 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_env1090z00_871;
BgL_env1090z00_871 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ 
 obj_t BgL_ez00_873;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_cell1085z00_881;
BgL_cell1085z00_881 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_val1089z00_882;
BgL_val1089z00_882 = 
BGl_zc3z04exitza31410ze3ze70z60zz__pth_threadz00(BgL_cell1085z00_881, BgL_env1090z00_871, BgL_i1081z00_685); 
if(
(BgL_val1089z00_882==BgL_cell1085z00_881))
{ /* Llib/pthread.scm 105 */
{ /* Llib/pthread.scm 105 */
 int BgL_tmpz00_1400;
BgL_tmpz00_1400 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_1400); } 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1409z00_883;
BgL_arg1409z00_883 = 
CELL_REF(
((obj_t)BgL_val1089z00_882)); 
{ /* Llib/pthread.scm 105 */
 bool_t BgL_tmpz00_1405;
BgL_ez00_873 = BgL_arg1409z00_883; 
{ /* Llib/pthread.scm 107 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_uz00_874;
{ /* Llib/pthread.scm 107 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1092z00_875;
{ /* Llib/pthread.scm 107 */
 BgL_uncaughtzd2exceptionzd2_bglt BgL_new1091z00_876;
BgL_new1091z00_876 = 
((BgL_uncaughtzd2exceptionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uncaughtzd2exceptionzd2_bgl) ))); 
{ /* Llib/pthread.scm 107 */
 long BgL_arg1570z00_877;
BgL_arg1570z00_877 = 
BGL_CLASS_NUM(BGl_uncaughtzd2exceptionzd2zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_876), BgL_arg1570z00_877); } 
BgL_new1092z00_875 = BgL_new1091z00_876; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1092z00_875)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1092z00_875)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1414;
{ /* Llib/pthread.scm 107 */
 obj_t BgL_arg1482z00_878;
{ /* Llib/pthread.scm 107 */
 obj_t BgL_arg1483z00_879;
{ /* Llib/pthread.scm 107 */
 obj_t BgL_classz00_880;
BgL_classz00_880 = BGl_uncaughtzd2exceptionzd2zz__pth_threadz00; 
BgL_arg1483z00_879 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_880); } 
BgL_arg1482z00_878 = 
VECTOR_REF(BgL_arg1483z00_879,2L); } 
BgL_auxz00_1414 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1482z00_878); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1092z00_875)))->BgL_stackz00)=((obj_t)BgL_auxz00_1414),BUNSPEC); } 
((((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(BgL_new1092z00_875))->BgL_reasonz00)=((obj_t)BgL_ez00_873),BUNSPEC); 
BgL_uz00_874 = BgL_new1092z00_875; } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_i1081z00_685))->BgL_endzd2exceptionzd2)=((obj_t)
((obj_t)BgL_uz00_874)),BUNSPEC); 
BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_873); 
BgL_tmpz00_1405 = ((bool_t)0); } 
return 
BBOOL(BgL_tmpz00_1405);} } }  else 
{ /* Llib/pthread.scm 105 */
return BgL_val1089z00_882;} } } } } } } } } 

}



/* <@exit:1411>~0 */
obj_t BGl_zc3z04exitza31411ze3ze70z60zz__pth_threadz00(BgL_pthreadz00_bglt BgL_i1081z00_747)
{
{ /* Llib/pthread.scm 114 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1096z00_273;
if (SET_EXIT(BgL_an_exit1096z00_273)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1096z00_273 = 
(void *)jmpbuf; 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_env1100z00_274;
BgL_env1100z00_274 = 
BGL_CURRENT_DYNAMIC_ENV(); 
PUSH_ENV_EXIT(BgL_env1100z00_274, BgL_an_exit1096z00_273, 1L); 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_an_exitd1097z00_275;
BgL_an_exitd1097z00_275 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1100z00_274); 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_res1099z00_278;
{ /* Llib/pthread.scm 117 */
 obj_t BgL_zc3z04anonymousza31413ze3z87_647;
BgL_zc3z04anonymousza31413ze3z87_647 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31413ze3ze5zz__pth_threadz00, 
(int)(1L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31413ze3z87_647, 
(int)(0L), BgL_an_exitd1097z00_275); 
BGl_signalz00zz__osz00(BGL_PTHREAD_TERM_SIG, BgL_zc3z04anonymousza31413ze3z87_647); } 
{ 
 obj_t BgL_auxz00_1436;
{ /* Llib/pthread.scm 120 */
 obj_t BgL_fun1416z00_287;
BgL_fun1416z00_287 = 
(((BgL_pthreadz00_bglt)COBJECT(BgL_i1081z00_747))->BgL_bodyz00); 
BgL_auxz00_1436 = 
BGL_PROCEDURE_CALL0(BgL_fun1416z00_287); } 
BgL_res1099z00_278 = 
((((BgL_pthreadz00_bglt)COBJECT(BgL_i1081z00_747))->BgL_endzd2resultzd2)=((obj_t)BgL_auxz00_1436),BUNSPEC); } 
POP_ENV_EXIT(BgL_env1100z00_274); 
return BgL_res1099z00_278;} } } 
}} 

}



/* <@exit:1410>~0 */
obj_t BGl_zc3z04exitza31410ze3ze70z60zz__pth_threadz00(obj_t BgL_cell1085z00_750, obj_t BgL_env1090z00_749, BgL_pthreadz00_bglt BgL_i1081z00_748)
{
{ /* Llib/pthread.scm 105 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1102z00_264;
if (SET_EXIT(BgL_an_exit1102z00_264)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1102z00_264 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1090z00_749, BgL_an_exit1102z00_264, 1L); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_escape1086z00_265;
BgL_escape1086z00_265 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1090z00_749); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_res1105z00_266;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_ohs1082z00_267;
BgL_ohs1082z00_267 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1090z00_749); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_hds1083z00_268;
BgL_hds1083z00_268 = 
MAKE_STACK_PAIR(BgL_escape1086z00_265, BgL_cell1085z00_750); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1090z00_749, BgL_hds1083z00_268); BUNSPEC; 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_exitd1093z00_269;
BgL_exitd1093z00_269 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1090z00_749); 
{ /* Llib/pthread.scm 105 */
 obj_t BgL_tmp1095z00_270;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1445z00_288;
BgL_arg1445z00_288 = 
BGL_EXITD_PROTECT(BgL_exitd1093z00_269); 
BgL_tmp1095z00_270 = 
MAKE_YOUNG_PAIR(BgL_ohs1082z00_267, BgL_arg1445z00_288); } 
{ /* Llib/pthread.scm 105 */

BGL_EXITD_PROTECT_SET(BgL_exitd1093z00_269, BgL_tmp1095z00_270); BUNSPEC; 
{ /* Llib/pthread.scm 114 */
 obj_t BgL_tmp1094z00_271;
BgL_tmp1094z00_271 = 
BGl_zc3z04exitza31411ze3ze70z60zz__pth_threadz00(BgL_i1081z00_748); 
{ /* Llib/pthread.scm 105 */
 bool_t BgL_test1911z00_1455;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1845z00_465;
BgL_arg1845z00_465 = 
BGL_EXITD_PROTECT(BgL_exitd1093z00_269); 
BgL_test1911z00_1455 = 
PAIRP(BgL_arg1845z00_465); } 
if(BgL_test1911z00_1455)
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1843z00_466;
{ /* Llib/pthread.scm 105 */
 obj_t BgL_arg1844z00_467;
BgL_arg1844z00_467 = 
BGL_EXITD_PROTECT(BgL_exitd1093z00_269); 
BgL_arg1843z00_466 = 
CDR(
((obj_t)BgL_arg1844z00_467)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1093z00_269, BgL_arg1843z00_466); BUNSPEC; }  else 
{ /* Llib/pthread.scm 105 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1090z00_749, BgL_ohs1082z00_267); BUNSPEC; 
BgL_res1105z00_266 = BgL_tmp1094z00_271; } } } } } } 
POP_ENV_EXIT(BgL_env1090z00_749); 
return BgL_res1105z00_266;} } 
}} 

}



/* &<@anonymous:1413> */
obj_t BGl_z62zc3z04anonymousza31413ze3ze5zz__pth_threadz00(obj_t BgL_envz00_687, obj_t BgL_sz00_689)
{
{ /* Llib/pthread.scm 116 */
{ /* Llib/pthread.scm 117 */
 obj_t BgL_an_exitd1097z00_688;
BgL_an_exitd1097z00_688 = 
PROCEDURE_REF(BgL_envz00_687, 
(int)(0L)); 
BGL_UNCAUGHT_EXCEPTION_HANDLER_SET(BGl_proc1816z00zz__pth_threadz00); BUNSPEC; 
return 
unwind_stack_until(BgL_an_exitd1097z00_688, BFALSE, BFALSE, BFALSE, BFALSE);} } 

}



/* &<@anonymous:1415> */
obj_t BGl_z62zc3z04anonymousza31415ze3ze5zz__pth_threadz00(obj_t BgL_envz00_690, obj_t BgL_valz00_691)
{
{ /* Llib/pthread.scm 118 */
return BgL_valz00_691;} 

}



/* &<@anonymous:1403> */
obj_t BGl_z62zc3z04anonymousza31403ze3ze5zz__pth_threadz00(obj_t BgL_envz00_692, obj_t BgL_valz00_694)
{
{ /* Llib/pthread.scm 101 */
{ /* Llib/pthread.scm 102 */
 BgL_pthreadz00_bglt BgL_oz00_693;
BgL_oz00_693 = 
((BgL_pthreadz00_bglt)
PROCEDURE_REF(BgL_envz00_692, 
(int)(0L))); 
{ /* Llib/pthread.scm 102 */
 obj_t BgL_arg1406z00_885;
{ /* Llib/pthread.scm 102 */
 obj_t BgL_list1407z00_886;
BgL_list1407z00_886 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_693), BNIL); 
BgL_arg1406z00_885 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string1817z00zz__pth_threadz00, BgL_list1407z00_886); } 
return 
BGl_errorz00zz__errorz00(BgL_arg1406z00_885, BGl_string1818z00zz__pth_threadz00, BgL_valz00_694);} } } 

}



/* &%user-thread-yield!-1145 */
obj_t BGl_z62z52userzd2threadzd2yieldz12zd21145zf0zz__pth_threadz00(obj_t BgL_envz00_695, obj_t BgL_oz00_696)
{
{ /* Llib/pthread.scm 82 */
return 
BINT(
sched_yield());} 

}



/* &object-print-uncaugh1143 */
obj_t BGl_z62objectzd2printzd2uncaugh1143z62zz__pth_threadz00(obj_t BgL_envz00_697, obj_t BgL_oz00_698, obj_t BgL_portz00_699, obj_t BgL_printzd2slotzd2_700)
{
{ /* Llib/pthread.scm 75 */
{ /* Llib/pthread.scm 77 */
 obj_t BgL_arg1386z00_889;
BgL_arg1386z00_889 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_698)))->BgL_reasonz00); 
return 
BGl_objectzd2printzd2zz__objectz00(
((BgL_objectz00_bglt)BgL_arg1386z00_889), BgL_portz00_699, BgL_printzd2slotzd2_700);} } 

}



/* &object-display-uncau1141 */
obj_t BGl_z62objectzd2displayzd2uncau1141z62zz__pth_threadz00(obj_t BgL_envz00_701, obj_t BgL_oz00_702, obj_t BgL_portz00_703)
{
{ /* Llib/pthread.scm 68 */
{ /* Llib/pthread.scm 70 */
 obj_t BgL_runner1384z00_891;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_arg1381z00_892;
BgL_arg1381z00_892 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_702)))->BgL_reasonz00); 
{ /* Llib/pthread.scm 70 */
 obj_t BgL_list1382z00_893;
BgL_list1382z00_893 = 
MAKE_YOUNG_PAIR(BgL_portz00_703, BNIL); 
BgL_runner1384z00_891 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1381z00_892, BgL_list1382z00_893); } } 
{ /* Llib/pthread.scm 70 */
 BgL_objectz00_bglt BgL_aux1383z00_894;
{ /* Llib/pthread.scm 70 */
 obj_t BgL_pairz00_895;
BgL_pairz00_895 = BgL_runner1384z00_891; 
BgL_aux1383z00_894 = 
((BgL_objectz00_bglt)
CAR(BgL_pairz00_895)); } 
BgL_runner1384z00_891 = 
CDR(BgL_runner1384z00_891); 
return 
BGl_objectzd2displayzd2zz__objectz00(BgL_aux1383z00_894, BgL_runner1384z00_891);} } } 

}



/* &object-write-uncaugh1139 */
obj_t BGl_z62objectzd2writezd2uncaugh1139z62zz__pth_threadz00(obj_t BgL_envz00_704, obj_t BgL_oz00_705, obj_t BgL_portz00_706)
{
{ /* Llib/pthread.scm 61 */
{ /* Llib/pthread.scm 63 */
 obj_t BgL_runner1376z00_897;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_arg1373z00_898;
BgL_arg1373z00_898 = 
(((BgL_uncaughtzd2exceptionzd2_bglt)COBJECT(
((BgL_uncaughtzd2exceptionzd2_bglt)BgL_oz00_705)))->BgL_reasonz00); 
{ /* Llib/pthread.scm 63 */
 obj_t BgL_list1374z00_899;
BgL_list1374z00_899 = 
MAKE_YOUNG_PAIR(BgL_portz00_706, BNIL); 
BgL_runner1376z00_897 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1373z00_898, BgL_list1374z00_899); } } 
{ /* Llib/pthread.scm 63 */
 BgL_objectz00_bglt BgL_aux1375z00_900;
{ /* Llib/pthread.scm 63 */
 obj_t BgL_pairz00_901;
BgL_pairz00_901 = BgL_runner1376z00_897; 
BgL_aux1375z00_900 = 
((BgL_objectz00_bglt)
CAR(BgL_pairz00_901)); } 
BgL_runner1376z00_897 = 
CDR(BgL_runner1376z00_897); 
return 
BGl_objectzd2writezd2zz__objectz00(BgL_aux1375z00_900, BgL_runner1376z00_897);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__pth_threadz00(void)
{
{ /* Llib/pthread.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__pth_backendz00(458655044L, 
BSTRING_TO_STRING(BGl_string1819z00zz__pth_threadz00));} 

}

#ifdef __cplusplus
}
#endif
