/*===========================================================================*/
/*   (Ast/apply.scm)                                                         */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/apply.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_AST_APPLY_TYPE_DEFINITIONS
#define BGL_AST_APPLY_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


#endif													// BGL_AST_APPLY_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	static obj_t BGl_z62makezd2funzd2framezd2sfun1278zb0zzast_applyz00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_applyz00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_makezd2funzd2framez00zzast_applyz00(BgL_funz00_bglt);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzast_applyz00(void);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_applyz00(void);
	static BgL_letzd2varzd2_bglt
		BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_applyz00(void);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_applyz00(void);
	static BgL_nodez00_bglt
		BGl_z62knownzd2appzd2lyzd2ze3nodez53zzast_applyz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62makezd2funzd2frame1275z62zzast_applyz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62applycationzd2ze3nodez53zzast_applyz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62makezd2funzd2framezd2cfun1280zb0zzast_applyz00(obj_t,
		obj_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_applyz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_applyz00(void);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_applyz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_applyz00(void);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t, obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static BgL_nodezf2effectzf2_bglt
		BGl_loopze70ze7zzast_applyz00(BgL_nodez00_bglt, obj_t, obj_t,
		BgL_localz00_bglt, BgL_typez00_bglt, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_loopze71ze7zzast_applyz00(obj_t, BgL_nodez00_bglt,
		obj_t, obj_t, BgL_localz00_bglt, BgL_typez00_bglt, obj_t, obj_t);
	static obj_t BGl_z62makezd2funzd2framez62zzast_applyz00(obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[14];


	   
		 
		DEFINE_STRING(BGl_string1931z00zzast_applyz00,
		BgL_bgl_string1931za700za7za7a1943za7, "Illegal `apply' form", 20);
	      DEFINE_STRING(BGl_string1932z00zzast_applyz00,
		BgL_bgl_string1932za700za7za7a1944za7, "Too many arguments provided", 27);
	      DEFINE_STRING(BGl_string1933z00zzast_applyz00,
		BgL_bgl_string1933za700za7za7a1945za7, "apply", 5);
	      DEFINE_STRING(BGl_string1935z00zzast_applyz00,
		BgL_bgl_string1935za700za7za7a1946za7, "make-fun-frame1275", 18);
	      DEFINE_STRING(BGl_string1936z00zzast_applyz00,
		BgL_bgl_string1936za700za7za7a1947za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1938z00zzast_applyz00,
		BgL_bgl_string1938za700za7za7a1948za7, "make-fun-frame", 14);
	      DEFINE_STRING(BGl_string1940z00zzast_applyz00,
		BgL_bgl_string1940za700za7za7a1949za7, "ast_apply", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1934z00zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d21950za7,
		BGl_z62makezd2funzd2frame1275z62zzast_applyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1941z00zzast_applyz00,
		BgL_bgl_string1941za700za7za7a1951za7,
		"aux make-fun-frame1275 begin set! car if failure quote null? cdr write runner value apply ",
		90);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1937z00zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d21952za7,
		BGl_z62makezd2funzd2framezd2sfun1278zb0zzast_applyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1939z00zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d21953za7,
		BGl_z62makezd2funzd2framezd2cfun1280zb0zzast_applyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_knownzd2appzd2lyzd2ze3nodezd2envze3zzast_applyz00,
		BgL_bgl_za762knownza7d2appza7d1954za7,
		BGl_z62knownzd2appzd2lyzd2ze3nodez53zzast_applyz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_GENERIC(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
		BgL_bgl_za762makeza7d2funza7d21955za7,
		BGl_z62makezd2funzd2framez62zzast_applyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_applycationzd2ze3nodezd2envze3zzast_applyz00,
		BgL_bgl_za762applycationza7d1956z00,
		BGl_z62applycationzd2ze3nodez53zzast_applyz00, 0L, BUNSPEC, 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_applyz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long
		BgL_checksumz00_2372, char *BgL_fromz00_2373)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_applyz00))
				{
					BGl_requirezd2initializa7ationz75zzast_applyz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_applyz00();
					BGl_libraryzd2moduleszd2initz00zzast_applyz00();
					BGl_cnstzd2initzd2zzast_applyz00();
					BGl_importedzd2moduleszd2initz00zzast_applyz00();
					BGl_genericzd2initzd2zzast_applyz00();
					BGl_methodzd2initzd2zzast_applyz00();
					return BGl_toplevelzd2initzd2zzast_applyz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_applyz00(void)
	{
		{	/* Ast/apply.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_apply");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "ast_apply");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "ast_apply");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_apply");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_applyz00(void)
	{
		{	/* Ast/apply.scm 14 */
			{	/* Ast/apply.scm 14 */
				obj_t BgL_cportz00_2322;

				{	/* Ast/apply.scm 14 */
					obj_t BgL_stringz00_2329;

					BgL_stringz00_2329 = BGl_string1941z00zzast_applyz00;
					{	/* Ast/apply.scm 14 */
						obj_t BgL_startz00_2330;

						BgL_startz00_2330 = BINT(0L);
						{	/* Ast/apply.scm 14 */
							obj_t BgL_endz00_2331;

							BgL_endz00_2331 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2329)));
							{	/* Ast/apply.scm 14 */

								BgL_cportz00_2322 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2329, BgL_startz00_2330, BgL_endz00_2331);
				}}}}
				{
					long BgL_iz00_2323;

					BgL_iz00_2323 = 13L;
				BgL_loopz00_2324:
					if ((BgL_iz00_2323 == (-1L)))
						{	/* Ast/apply.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/apply.scm 14 */
							{	/* Ast/apply.scm 14 */
								obj_t BgL_arg1942z00_2325;

								{	/* Ast/apply.scm 14 */

									{	/* Ast/apply.scm 14 */
										obj_t BgL_locationz00_2327;

										BgL_locationz00_2327 = BBOOL(((bool_t) 0));
										{	/* Ast/apply.scm 14 */

											BgL_arg1942z00_2325 =
												BGl_readz00zz__readerz00(BgL_cportz00_2322,
												BgL_locationz00_2327);
										}
									}
								}
								{	/* Ast/apply.scm 14 */
									int BgL_tmpz00_2404;

									BgL_tmpz00_2404 = (int) (BgL_iz00_2323);
									CNST_TABLE_SET(BgL_tmpz00_2404, BgL_arg1942z00_2325);
							}}
							{	/* Ast/apply.scm 14 */
								int BgL_auxz00_2328;

								BgL_auxz00_2328 = (int) ((BgL_iz00_2323 - 1L));
								{
									long BgL_iz00_2409;

									BgL_iz00_2409 = (long) (BgL_auxz00_2328);
									BgL_iz00_2323 = BgL_iz00_2409;
									goto BgL_loopz00_2324;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_applyz00(void)
	{
		{	/* Ast/apply.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_applyz00(void)
	{
		{	/* Ast/apply.scm 14 */
			return BUNSPEC;
		}

	}



/* applycation->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t BgL_expz00_3,
		obj_t BgL_stackz00_4, obj_t BgL_locz00_5, obj_t BgL_sitez00_6)
	{
		{	/* Ast/apply.scm 31 */
			{
				obj_t BgL_procz00_1387;
				obj_t BgL_argz00_1388;

				if (PAIRP(BgL_expz00_3))
					{	/* Ast/apply.scm 32 */
						obj_t BgL_cdrzd2109zd2_1393;

						BgL_cdrzd2109zd2_1393 = CDR(((obj_t) BgL_expz00_3));
						if ((CAR(((obj_t) BgL_expz00_3)) == ((obj_t) CNST_TABLE_REF(0))))
							{	/* Ast/apply.scm 32 */
								if (PAIRP(BgL_cdrzd2109zd2_1393))
									{	/* Ast/apply.scm 32 */
										obj_t BgL_cdrzd2113zd2_1397;

										BgL_cdrzd2113zd2_1397 = CDR(BgL_cdrzd2109zd2_1393);
										if (PAIRP(BgL_cdrzd2113zd2_1397))
											{	/* Ast/apply.scm 32 */
												if (NULLP(CDR(BgL_cdrzd2113zd2_1397)))
													{	/* Ast/apply.scm 32 */
														BgL_procz00_1387 = CAR(BgL_cdrzd2109zd2_1393);
														BgL_argz00_1388 = CAR(BgL_cdrzd2113zd2_1397);
														{	/* Ast/apply.scm 34 */
															obj_t BgL_locz00_1405;

															BgL_locz00_1405 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_3, BgL_locz00_5);
															{	/* Ast/apply.scm 34 */
																BgL_nodez00_bglt BgL_procz00_1406;

																{	/* Ast/apply.scm 37 */
																	obj_t BgL_arg1327z00_1439;

																	BgL_arg1327z00_1439 =
																		BGl_findzd2locationzf2locz20zztools_locationz00
																		(BgL_procz00_1387, BgL_locz00_1405);
																	BgL_procz00_1406 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(BgL_procz00_1387, BgL_stackz00_4,
																		BgL_arg1327z00_1439,
																		((obj_t) CNST_TABLE_REF(0)));
																}
																{	/* Ast/apply.scm 35 */
																	BgL_nodez00_bglt BgL_argz00_1407;

																	{	/* Ast/apply.scm 41 */
																		obj_t BgL_arg1326z00_1438;

																		BgL_arg1326z00_1438 =
																			BGl_findzd2locationzf2locz20zztools_locationz00
																			(BgL_argz00_1388, BgL_locz00_1405);
																		BgL_argz00_1407 =
																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																			(BgL_argz00_1388, BgL_stackz00_4,
																			BgL_arg1326z00_1438,
																			((obj_t) CNST_TABLE_REF(1)));
																	}
																	{	/* Ast/apply.scm 39 */

																		{	/* Ast/apply.scm 43 */
																			bool_t BgL_test1964z00_2439;

																			{	/* Ast/apply.scm 43 */
																				bool_t BgL_test1965z00_2440;

																				{	/* Ast/apply.scm 43 */
																					obj_t BgL_classz00_1842;

																					BgL_classz00_1842 =
																						BGl_varz00zzast_nodez00;
																					{	/* Ast/apply.scm 43 */
																						BgL_objectz00_bglt
																							BgL_arg1858z00_1844;
																						{	/* Ast/apply.scm 43 */
																							obj_t BgL_tmpz00_2441;

																							BgL_tmpz00_2441 =
																								((obj_t)
																								((BgL_objectz00_bglt)
																									BgL_procz00_1406));
																							BgL_arg1858z00_1844 =
																								(BgL_objectz00_bglt)
																								(BgL_tmpz00_2441);
																						}
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* Ast/apply.scm 43 */
																								long BgL_idxz00_1850;

																								BgL_idxz00_1850 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1858z00_1844);
																								BgL_test1965z00_2440 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_1850 + 2L)) ==
																									BgL_classz00_1842);
																							}
																						else
																							{	/* Ast/apply.scm 43 */
																								bool_t BgL_res1911z00_1875;

																								{	/* Ast/apply.scm 43 */
																									obj_t BgL_oclassz00_1858;

																									{	/* Ast/apply.scm 43 */
																										obj_t BgL_arg1866z00_1866;
																										long BgL_arg1867z00_1867;

																										BgL_arg1866z00_1866 =
																											(BGl_za2classesza2z00zz__objectz00);
																										{	/* Ast/apply.scm 43 */
																											long BgL_arg1869z00_1868;

																											BgL_arg1869z00_1868 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1858z00_1844);
																											BgL_arg1867z00_1867 =
																												(BgL_arg1869z00_1868 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_1858 =
																											VECTOR_REF
																											(BgL_arg1866z00_1866,
																											BgL_arg1867z00_1867);
																									}
																									{	/* Ast/apply.scm 43 */
																										bool_t
																											BgL__ortest_1115z00_1859;
																										BgL__ortest_1115z00_1859 =
																											(BgL_classz00_1842 ==
																											BgL_oclassz00_1858);
																										if (BgL__ortest_1115z00_1859)
																											{	/* Ast/apply.scm 43 */
																												BgL_res1911z00_1875 =
																													BgL__ortest_1115z00_1859;
																											}
																										else
																											{	/* Ast/apply.scm 43 */
																												long BgL_odepthz00_1860;

																												{	/* Ast/apply.scm 43 */
																													obj_t
																														BgL_arg1855z00_1861;
																													BgL_arg1855z00_1861 =
																														(BgL_oclassz00_1858);
																													BgL_odepthz00_1860 =
																														BGL_CLASS_DEPTH
																														(BgL_arg1855z00_1861);
																												}
																												if (
																													(2L <
																														BgL_odepthz00_1860))
																													{	/* Ast/apply.scm 43 */
																														obj_t
																															BgL_arg1853z00_1863;
																														{	/* Ast/apply.scm 43 */
																															obj_t
																																BgL_arg1854z00_1864;
																															BgL_arg1854z00_1864
																																=
																																(BgL_oclassz00_1858);
																															BgL_arg1853z00_1863
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_arg1854z00_1864,
																																2L);
																														}
																														BgL_res1911z00_1875
																															=
																															(BgL_arg1853z00_1863
																															==
																															BgL_classz00_1842);
																													}
																												else
																													{	/* Ast/apply.scm 43 */
																														BgL_res1911z00_1875
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test1965z00_2440 =
																									BgL_res1911z00_1875;
																							}
																					}
																				}
																				if (BgL_test1965z00_2440)
																					{	/* Ast/apply.scm 44 */
																						bool_t BgL_test1969z00_2464;

																						{	/* Ast/apply.scm 44 */
																							BgL_valuez00_bglt
																								BgL_arg1321z00_1436;
																							BgL_arg1321z00_1436 =
																								(((BgL_variablez00_bglt)
																									COBJECT((((BgL_varz00_bglt)
																												COBJECT((
																														(BgL_varz00_bglt)
																														BgL_procz00_1406)))->
																											BgL_variablez00)))->
																								BgL_valuez00);
																							{	/* Ast/apply.scm 44 */
																								obj_t BgL_classz00_1878;

																								BgL_classz00_1878 =
																									BGl_funz00zzast_varz00;
																								{	/* Ast/apply.scm 44 */
																									BgL_objectz00_bglt
																										BgL_arg1858z00_1880;
																									{	/* Ast/apply.scm 44 */
																										obj_t BgL_tmpz00_2468;

																										BgL_tmpz00_2468 =
																											((obj_t)
																											((BgL_objectz00_bglt)
																												BgL_arg1321z00_1436));
																										BgL_arg1858z00_1880 =
																											(BgL_objectz00_bglt)
																											(BgL_tmpz00_2468);
																									}
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Ast/apply.scm 44 */
																											long BgL_idxz00_1886;

																											BgL_idxz00_1886 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1858z00_1880);
																											BgL_test1969z00_2464 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_1886 +
																														2L)) ==
																												BgL_classz00_1878);
																										}
																									else
																										{	/* Ast/apply.scm 44 */
																											bool_t
																												BgL_res1912z00_1911;
																											{	/* Ast/apply.scm 44 */
																												obj_t
																													BgL_oclassz00_1894;
																												{	/* Ast/apply.scm 44 */
																													obj_t
																														BgL_arg1866z00_1902;
																													long
																														BgL_arg1867z00_1903;
																													BgL_arg1866z00_1902 =
																														(BGl_za2classesza2z00zz__objectz00);
																													{	/* Ast/apply.scm 44 */
																														long
																															BgL_arg1869z00_1904;
																														BgL_arg1869z00_1904
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1858z00_1880);
																														BgL_arg1867z00_1903
																															=
																															(BgL_arg1869z00_1904
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_1894 =
																														VECTOR_REF
																														(BgL_arg1866z00_1902,
																														BgL_arg1867z00_1903);
																												}
																												{	/* Ast/apply.scm 44 */
																													bool_t
																														BgL__ortest_1115z00_1895;
																													BgL__ortest_1115z00_1895
																														=
																														(BgL_classz00_1878
																														==
																														BgL_oclassz00_1894);
																													if (BgL__ortest_1115z00_1895)
																														{	/* Ast/apply.scm 44 */
																															BgL_res1912z00_1911
																																=
																																BgL__ortest_1115z00_1895;
																														}
																													else
																														{	/* Ast/apply.scm 44 */
																															long
																																BgL_odepthz00_1896;
																															{	/* Ast/apply.scm 44 */
																																obj_t
																																	BgL_arg1855z00_1897;
																																BgL_arg1855z00_1897
																																	=
																																	(BgL_oclassz00_1894);
																																BgL_odepthz00_1896
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_arg1855z00_1897);
																															}
																															if (
																																(2L <
																																	BgL_odepthz00_1896))
																																{	/* Ast/apply.scm 44 */
																																	obj_t
																																		BgL_arg1853z00_1899;
																																	{	/* Ast/apply.scm 44 */
																																		obj_t
																																			BgL_arg1854z00_1900;
																																		BgL_arg1854z00_1900
																																			=
																																			(BgL_oclassz00_1894);
																																		BgL_arg1853z00_1899
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_arg1854z00_1900,
																																			2L);
																																	}
																																	BgL_res1912z00_1911
																																		=
																																		(BgL_arg1853z00_1899
																																		==
																																		BgL_classz00_1878);
																																}
																															else
																																{	/* Ast/apply.scm 44 */
																																	BgL_res1912z00_1911
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test1969z00_2464 =
																												BgL_res1912z00_1911;
																										}
																								}
																							}
																						}
																						if (BgL_test1969z00_2464)
																							{	/* Ast/apply.scm 45 */
																								bool_t BgL__ortest_1102z00_1429;

																								{	/* Ast/apply.scm 45 */
																									bool_t BgL_test1973z00_2491;

																									{	/* Ast/apply.scm 45 */
																										BgL_variablez00_bglt
																											BgL_arg1320z00_1435;
																										BgL_arg1320z00_1435 =
																											(((BgL_varz00_bglt)
																												COBJECT((
																														(BgL_varz00_bglt)
																														BgL_procz00_1406)))->
																											BgL_variablez00);
																										{	/* Ast/apply.scm 45 */
																											obj_t BgL_classz00_1913;

																											BgL_classz00_1913 =
																												BGl_globalz00zzast_varz00;
																											{	/* Ast/apply.scm 45 */
																												BgL_objectz00_bglt
																													BgL_arg1858z00_1915;
																												{	/* Ast/apply.scm 45 */
																													obj_t BgL_tmpz00_2494;

																													BgL_tmpz00_2494 =
																														((obj_t)
																														((BgL_objectz00_bglt) BgL_arg1320z00_1435));
																													BgL_arg1858z00_1915 =
																														(BgL_objectz00_bglt)
																														(BgL_tmpz00_2494);
																												}
																												if (BGL_CONDEXPAND_ISA_ARCH64())
																													{	/* Ast/apply.scm 45 */
																														long
																															BgL_idxz00_1921;
																														BgL_idxz00_1921 =
																															BGL_OBJECT_INHERITANCE_NUM
																															(BgL_arg1858z00_1915);
																														BgL_test1973z00_2491
																															=
																															(VECTOR_REF
																															(BGl_za2inheritancesza2z00zz__objectz00,
																																(BgL_idxz00_1921
																																	+ 2L)) ==
																															BgL_classz00_1913);
																													}
																												else
																													{	/* Ast/apply.scm 45 */
																														bool_t
																															BgL_res1913z00_1946;
																														{	/* Ast/apply.scm 45 */
																															obj_t
																																BgL_oclassz00_1929;
																															{	/* Ast/apply.scm 45 */
																																obj_t
																																	BgL_arg1866z00_1937;
																																long
																																	BgL_arg1867z00_1938;
																																BgL_arg1866z00_1937
																																	=
																																	(BGl_za2classesza2z00zz__objectz00);
																																{	/* Ast/apply.scm 45 */
																																	long
																																		BgL_arg1869z00_1939;
																																	BgL_arg1869z00_1939
																																		=
																																		BGL_OBJECT_CLASS_NUM
																																		(BgL_arg1858z00_1915);
																																	BgL_arg1867z00_1938
																																		=
																																		(BgL_arg1869z00_1939
																																		-
																																		OBJECT_TYPE);
																																}
																																BgL_oclassz00_1929
																																	=
																																	VECTOR_REF
																																	(BgL_arg1866z00_1937,
																																	BgL_arg1867z00_1938);
																															}
																															{	/* Ast/apply.scm 45 */
																																bool_t
																																	BgL__ortest_1115z00_1930;
																																BgL__ortest_1115z00_1930
																																	=
																																	(BgL_classz00_1913
																																	==
																																	BgL_oclassz00_1929);
																																if (BgL__ortest_1115z00_1930)
																																	{	/* Ast/apply.scm 45 */
																																		BgL_res1913z00_1946
																																			=
																																			BgL__ortest_1115z00_1930;
																																	}
																																else
																																	{	/* Ast/apply.scm 45 */
																																		long
																																			BgL_odepthz00_1931;
																																		{	/* Ast/apply.scm 45 */
																																			obj_t
																																				BgL_arg1855z00_1932;
																																			BgL_arg1855z00_1932
																																				=
																																				(BgL_oclassz00_1929);
																																			BgL_odepthz00_1931
																																				=
																																				BGL_CLASS_DEPTH
																																				(BgL_arg1855z00_1932);
																																		}
																																		if (
																																			(2L <
																																				BgL_odepthz00_1931))
																																			{	/* Ast/apply.scm 45 */
																																				obj_t
																																					BgL_arg1853z00_1934;
																																				{	/* Ast/apply.scm 45 */
																																					obj_t
																																						BgL_arg1854z00_1935;
																																					BgL_arg1854z00_1935
																																						=
																																						(BgL_oclassz00_1929);
																																					BgL_arg1853z00_1934
																																						=
																																						BGL_CLASS_ANCESTORS_REF
																																						(BgL_arg1854z00_1935,
																																						2L);
																																				}
																																				BgL_res1913z00_1946
																																					=
																																					(BgL_arg1853z00_1934
																																					==
																																					BgL_classz00_1913);
																																			}
																																		else
																																			{	/* Ast/apply.scm 45 */
																																				BgL_res1913z00_1946
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																															}
																														}
																														BgL_test1973z00_2491
																															=
																															BgL_res1913z00_1946;
																													}
																											}
																										}
																									}
																									if (BgL_test1973z00_2491)
																										{	/* Ast/apply.scm 45 */
																											BgL__ortest_1102z00_1429 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Ast/apply.scm 45 */
																											BgL__ortest_1102z00_1429 =
																												((bool_t) 1);
																										}
																								}
																								if (BgL__ortest_1102z00_1429)
																									{	/* Ast/apply.scm 45 */
																										BgL_test1964z00_2439 =
																											BgL__ortest_1102z00_1429;
																									}
																								else
																									{	/* Ast/apply.scm 46 */
																										bool_t BgL_test1978z00_2518;

																										{	/* Ast/apply.scm 46 */
																											BgL_variablez00_bglt
																												BgL_arg1319z00_1433;
																											BgL_arg1319z00_1433 =
																												(((BgL_varz00_bglt)
																													COBJECT((
																															(BgL_varz00_bglt)
																															BgL_procz00_1406)))->
																												BgL_variablez00);
																											BgL_test1978z00_2518 =
																												BGl_globalzd2optionalzf3z21zzast_varz00
																												(((obj_t)
																													BgL_arg1319z00_1433));
																										}
																										if (BgL_test1978z00_2518)
																											{	/* Ast/apply.scm 46 */
																												BgL_test1964z00_2439 =
																													((bool_t) 0);
																											}
																										else
																											{	/* Ast/apply.scm 47 */
																												bool_t
																													BgL_test1979z00_2523;
																												{	/* Ast/apply.scm 47 */
																													BgL_variablez00_bglt
																														BgL_arg1318z00_1432;
																													BgL_arg1318z00_1432 =
																														(((BgL_varz00_bglt)
																															COBJECT((
																																	(BgL_varz00_bglt)
																																	BgL_procz00_1406)))->
																														BgL_variablez00);
																													BgL_test1979z00_2523 =
																														BGl_globalzd2keyzf3z21zzast_varz00
																														(((obj_t)
																															BgL_arg1318z00_1432));
																												}
																												if (BgL_test1979z00_2523)
																													{	/* Ast/apply.scm 47 */
																														BgL_test1964z00_2439
																															= ((bool_t) 0);
																													}
																												else
																													{	/* Ast/apply.scm 47 */
																														BgL_test1964z00_2439
																															= ((bool_t) 1);
																													}
																											}
																									}
																							}
																						else
																							{	/* Ast/apply.scm 44 */
																								BgL_test1964z00_2439 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Ast/apply.scm 43 */
																						BgL_test1964z00_2439 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test1964z00_2439)
																				{	/* Ast/apply.scm 43 */
																					return
																						BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00
																						(BgL_stackz00_4, BgL_locz00_1405,
																						BgL_procz00_1406, BgL_argz00_1407,
																						BgL_sitez00_6);
																				}
																			else
																				{	/* Ast/apply.scm 49 */
																					BgL_appzd2lyzd2_bglt
																						BgL_new1105z00_1424;
																					{	/* Ast/apply.scm 50 */
																						BgL_appzd2lyzd2_bglt
																							BgL_new1104z00_1425;
																						BgL_new1104z00_1425 =
																							((BgL_appzd2lyzd2_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_appzd2lyzd2_bgl))));
																						{	/* Ast/apply.scm 50 */
																							long BgL_arg1317z00_1426;

																							BgL_arg1317z00_1426 =
																								BGL_CLASS_NUM
																								(BGl_appzd2lyzd2zzast_nodez00);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_new1104z00_1425),
																								BgL_arg1317z00_1426);
																						}
																						{	/* Ast/apply.scm 50 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_2533;
																							BgL_tmpz00_2533 =
																								((BgL_objectz00_bglt)
																								BgL_new1104z00_1425);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_2533, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new1104z00_1425);
																						BgL_new1105z00_1424 =
																							BgL_new1104z00_1425;
																					}
																					((((BgL_nodez00_bglt) COBJECT(
																									((BgL_nodez00_bglt)
																										BgL_new1105z00_1424)))->
																							BgL_locz00) =
																						((obj_t) BgL_locz00_1405), BUNSPEC);
																					((((BgL_nodez00_bglt)
																								COBJECT(((BgL_nodez00_bglt)
																										BgL_new1105z00_1424)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) (
																								(BgL_typez00_bglt)
																								BGl_za2_za2z00zztype_cachez00)),
																						BUNSPEC);
																					((((BgL_appzd2lyzd2_bglt)
																								COBJECT(BgL_new1105z00_1424))->
																							BgL_funz00) =
																						((BgL_nodez00_bglt)
																							BgL_procz00_1406), BUNSPEC);
																					((((BgL_appzd2lyzd2_bglt)
																								COBJECT(BgL_new1105z00_1424))->
																							BgL_argz00) =
																						((BgL_nodez00_bglt)
																							BgL_argz00_1407), BUNSPEC);
																					return ((BgL_nodez00_bglt)
																						BgL_new1105z00_1424);
																				}
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Ast/apply.scm 32 */
													BgL_tagzd2102zd2_1390:
														return
															BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
															(BGl_string1931z00zzast_applyz00, BgL_expz00_3,
															BGl_findzd2locationzf2locz20zztools_locationz00
															(BgL_expz00_3, BgL_locz00_5));
													}
											}
										else
											{	/* Ast/apply.scm 32 */
												goto BgL_tagzd2102zd2_1390;
											}
									}
								else
									{	/* Ast/apply.scm 32 */
										goto BgL_tagzd2102zd2_1390;
									}
							}
						else
							{	/* Ast/apply.scm 32 */
								goto BgL_tagzd2102zd2_1390;
							}
					}
				else
					{	/* Ast/apply.scm 32 */
						goto BgL_tagzd2102zd2_1390;
					}
			}
		}

	}



/* &applycation->node */
	BgL_nodez00_bglt BGl_z62applycationzd2ze3nodez53zzast_applyz00(obj_t
		BgL_envz00_2285, obj_t BgL_expz00_2286, obj_t BgL_stackz00_2287,
		obj_t BgL_locz00_2288, obj_t BgL_sitez00_2289)
	{
		{	/* Ast/apply.scm 31 */
			return
				BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_2286,
				BgL_stackz00_2287, BgL_locz00_2288, BgL_sitez00_2289);
		}

	}



/* known-app-ly->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t BgL_stackz00_10,
		obj_t BgL_locz00_11, BgL_nodez00_bglt BgL_procz00_12,
		BgL_nodez00_bglt BgL_argz00_13, obj_t BgL_sitez00_14)
	{
		{	/* Ast/apply.scm 107 */
			{	/* Ast/apply.scm 108 */
				BgL_valuez00_bglt BgL_funz00_1441;

				BgL_funz00_1441 =
					(((BgL_variablez00_bglt) COBJECT(
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_procz00_12)))->BgL_variablez00)))->
					BgL_valuez00);
				{	/* Ast/apply.scm 108 */
					long BgL_arityz00_1442;

					BgL_arityz00_1442 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_funz00_1441)))->BgL_arityz00);
					{	/* Ast/apply.scm 109 */
						obj_t BgL_framez00_1443;

						BgL_framez00_1443 =
							BGl_makezd2funzd2framez00zzast_applyz00(
							((BgL_funz00_bglt) BgL_funz00_1441));
						{	/* Ast/apply.scm 110 */

							if ((BgL_arityz00_1442 > 0L))
								{	/* Ast/apply.scm 115 */
									return
										((BgL_nodez00_bglt)
										BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00
										(BgL_stackz00_10, BgL_locz00_11, BgL_procz00_12,
											BgL_argz00_13, BgL_framez00_1443, BgL_sitez00_14));
								}
							else
								{	/* Ast/apply.scm 115 */
									if ((BgL_arityz00_1442 == 0L))
										{	/* Ast/apply.scm 126 */
											obj_t BgL_arg1338z00_1964;

											{	/* Ast/apply.scm 126 */
												obj_t BgL_list1339z00_1965;

												BgL_list1339z00_1965 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_procz00_12), BNIL);
												BgL_arg1338z00_1964 = BgL_list1339z00_1965;
											}
											return
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1338z00_1964,
												BgL_stackz00_10, BgL_locz00_11, BgL_sitez00_14);
										}
									else
										{	/* Ast/apply.scm 117 */
											return
												((BgL_nodez00_bglt)
												BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00
												(BgL_stackz00_10, BgL_locz00_11, BgL_procz00_12,
													BgL_argz00_13, BgL_framez00_1443, BgL_sitez00_14));
										}
								}
						}
					}
				}
			}
		}

	}



/* &known-app-ly->node */
	BgL_nodez00_bglt BGl_z62knownzd2appzd2lyzd2ze3nodez53zzast_applyz00(obj_t
		BgL_envz00_2290, obj_t BgL_stackz00_2291, obj_t BgL_locz00_2292,
		obj_t BgL_procz00_2293, obj_t BgL_argz00_2294, obj_t BgL_sitez00_2295)
	{
		{	/* Ast/apply.scm 107 */
			return
				BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(BgL_stackz00_2291,
				BgL_locz00_2292, ((BgL_nodez00_bglt) BgL_procz00_2293),
				((BgL_nodez00_bglt) BgL_argz00_2294), BgL_sitez00_2295);
		}

	}



/* fx-known-app-ly->node */
	BgL_letzd2varzd2_bglt
		BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t BgL_stackz00_21,
		obj_t BgL_locz00_22, BgL_nodez00_bglt BgL_procz00_23,
		BgL_nodez00_bglt BgL_argz00_24, obj_t BgL_framez00_25, obj_t BgL_sitez00_26)
	{
		{	/* Ast/apply.scm 147 */
			{	/* Ast/apply.scm 148 */
				BgL_localz00_bglt BgL_runnerz00_1449;
				BgL_typez00_bglt BgL_typez00_1450;

				{	/* Ast/apply.scm 148 */
					obj_t BgL_arg1588z00_1540;

					BgL_arg1588z00_1540 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(2))));
					BgL_runnerz00_1449 =
						BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg1588z00_1540,
						((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
				}
				BgL_typez00_1450 =
					(((BgL_nodez00_bglt) COBJECT(BgL_procz00_23))->BgL_typez00);
				{	/* Ast/apply.scm 151 */
					obj_t BgL_vz00_1972;

					BgL_vz00_1972 = ((obj_t) CNST_TABLE_REF(3));
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_runnerz00_1449)))->
							BgL_accessz00) = ((obj_t) BgL_vz00_1972), BUNSPEC);
				}
				{	/* Ast/apply.scm 152 */
					BgL_letzd2varzd2_bglt BgL_new1112z00_1451;

					{	/* Ast/apply.scm 153 */
						BgL_letzd2varzd2_bglt BgL_new1110z00_1538;

						BgL_new1110z00_1538 =
							((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/apply.scm 153 */
							long BgL_arg1587z00_1539;

							BgL_arg1587z00_1539 =
								BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1110z00_1538),
								BgL_arg1587z00_1539);
						}
						{	/* Ast/apply.scm 153 */
							BgL_objectz00_bglt BgL_tmpz00_2586;

							BgL_tmpz00_2586 = ((BgL_objectz00_bglt) BgL_new1110z00_1538);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2586, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1110z00_1538);
						BgL_new1112z00_1451 = BgL_new1110z00_1538;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1112z00_1451)))->BgL_locz00) =
						((obj_t) BgL_locz00_22), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1112z00_1451)))->BgL_typez00) =
						((BgL_typez00_bglt)
							BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
									BGl_za2_za2z00zztype_cachez00), BgL_typez00_1450)), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1112z00_1451)))->BgL_sidezd2effectzd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1112z00_1451)))->BgL_keyz00) =
						((obj_t) BINT((-1L))), BUNSPEC);
					{
						obj_t BgL_auxz00_2601;

						{	/* Ast/apply.scm 155 */
							obj_t BgL_arg1340z00_1452;

							BgL_arg1340z00_1452 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_runnerz00_1449), ((obj_t) BgL_argz00_24));
							{	/* Ast/apply.scm 155 */
								obj_t BgL_list1341z00_1453;

								BgL_list1341z00_1453 =
									MAKE_YOUNG_PAIR(BgL_arg1340z00_1452, BNIL);
								BgL_auxz00_2601 = BgL_list1341z00_1453;
						}}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1112z00_1451))->
								BgL_bindingsz00) = ((obj_t) BgL_auxz00_2601), BUNSPEC);
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1112z00_1451))->
							BgL_bodyz00) =
						((BgL_nodez00_bglt) BGl_loopze71ze7zzast_applyz00(BgL_sitez00_26,
								BgL_procz00_23, BgL_framez00_25, BgL_stackz00_21,
								BgL_runnerz00_1449, BgL_typez00_1450, BgL_locz00_22,
								BgL_framez00_25)), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1112z00_1451))->
							BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					return BgL_new1112z00_1451;
				}
			}
		}

	}



/* loop~1 */
	BgL_nodez00_bglt BGl_loopze71ze7zzast_applyz00(obj_t BgL_sitez00_2321,
		BgL_nodez00_bglt BgL_procz00_2320, obj_t BgL_framez00_2319,
		obj_t BgL_stackz00_2318, BgL_localz00_bglt BgL_runnerz00_2317,
		BgL_typez00_bglt BgL_typez00_2316, obj_t BgL_locz00_2315,
		obj_t BgL_localsz00_1455)
	{
		{	/* Ast/apply.scm 156 */
			if (NULLP(BgL_localsz00_1455))
				{	/* Ast/apply.scm 158 */
					BgL_nodez00_bglt BgL_appz00_1458;

					{	/* Ast/apply.scm 160 */
						obj_t BgL_arg1392z00_1480;

						{	/* Ast/apply.scm 160 */
							obj_t BgL_arg1400z00_1481;

							if (NULLP(BgL_framez00_2319))
								{	/* Ast/apply.scm 160 */
									BgL_arg1400z00_1481 = BNIL;
								}
							else
								{	/* Ast/apply.scm 160 */
									obj_t BgL_head1267z00_1484;

									BgL_head1267z00_1484 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1265z00_1486;
										obj_t BgL_tail1268z00_1487;

										BgL_l1265z00_1486 = BgL_framez00_2319;
										BgL_tail1268z00_1487 = BgL_head1267z00_1484;
									BgL_zc3z04anonymousza31405ze3z87_1488:
										if (NULLP(BgL_l1265z00_1486))
											{	/* Ast/apply.scm 160 */
												BgL_arg1400z00_1481 = CDR(BgL_head1267z00_1484);
											}
										else
											{	/* Ast/apply.scm 160 */
												obj_t BgL_newtail1269z00_1490;

												{	/* Ast/apply.scm 160 */
													BgL_refz00_bglt BgL_arg1415z00_1492;

													{	/* Ast/apply.scm 160 */
														obj_t BgL_localz00_1493;

														BgL_localz00_1493 =
															CAR(((obj_t) BgL_l1265z00_1486));
														{	/* Ast/apply.scm 161 */
															BgL_refz00_bglt BgL_new1115z00_1494;

															{	/* Ast/apply.scm 164 */
																BgL_refz00_bglt BgL_new1113z00_1496;

																BgL_new1113z00_1496 =
																	((BgL_refz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_refz00_bgl))));
																{	/* Ast/apply.scm 164 */
																	long BgL_arg1417z00_1497;

																	BgL_arg1417z00_1497 =
																		BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1113z00_1496),
																		BgL_arg1417z00_1497);
																}
																{	/* Ast/apply.scm 164 */
																	BgL_objectz00_bglt BgL_tmpz00_2624;

																	BgL_tmpz00_2624 =
																		((BgL_objectz00_bglt) BgL_new1113z00_1496);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2624,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1113z00_1496);
																BgL_new1115z00_1494 = BgL_new1113z00_1496;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1115z00_1494)))->BgL_locz00) =
																((obj_t) BgL_locz00_2315), BUNSPEC);
															{
																BgL_typez00_bglt BgL_auxz00_2630;

																{	/* Ast/apply.scm 163 */
																	BgL_typez00_bglt BgL_arg1416z00_1495;

																	BgL_arg1416z00_1495 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						BgL_localz00_1493))))->BgL_typez00);
																	BgL_auxz00_2630 =
																		BGl_strictzd2nodezd2typez00zzast_nodez00((
																			(BgL_typez00_bglt)
																			BGl_za2_za2z00zztype_cachez00),
																		BgL_arg1416z00_1495);
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1115z00_1494)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_auxz00_2630),
																	BUNSPEC);
															}
															((((BgL_varz00_bglt) COBJECT(
																			((BgL_varz00_bglt)
																				BgL_new1115z00_1494)))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																		BgL_localz00_1493)), BUNSPEC);
															BgL_arg1415z00_1492 = BgL_new1115z00_1494;
													}}
													BgL_newtail1269z00_1490 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg1415z00_1492), BNIL);
												}
												SET_CDR(BgL_tail1268z00_1487, BgL_newtail1269z00_1490);
												{	/* Ast/apply.scm 160 */
													obj_t BgL_arg1414z00_1491;

													BgL_arg1414z00_1491 =
														CDR(((obj_t) BgL_l1265z00_1486));
													{
														obj_t BgL_tail1268z00_2647;
														obj_t BgL_l1265z00_2646;

														BgL_l1265z00_2646 = BgL_arg1414z00_1491;
														BgL_tail1268z00_2647 = BgL_newtail1269z00_1490;
														BgL_tail1268z00_1487 = BgL_tail1268z00_2647;
														BgL_l1265z00_1486 = BgL_l1265z00_2646;
														goto BgL_zc3z04anonymousza31405ze3z87_1488;
													}
												}
											}
									}
								}
							BgL_arg1392z00_1480 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_procz00_2320), BgL_arg1400z00_1481);
						}
						BgL_appz00_1458 =
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_arg1392z00_1480,
							BgL_stackz00_2318, BgL_locz00_2315, ((obj_t) CNST_TABLE_REF(1)));
					}
					if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
						{	/* Ast/apply.scm 169 */
							return BgL_appz00_1458;
						}
					else
						{	/* Ast/apply.scm 173 */
							obj_t BgL_arg1355z00_1459;

							{	/* Ast/apply.scm 173 */
								obj_t BgL_arg1358z00_1460;

								{	/* Ast/apply.scm 173 */
									obj_t BgL_arg1359z00_1461;
									obj_t BgL_arg1360z00_1462;

									{	/* Ast/apply.scm 173 */
										obj_t BgL_arg1361z00_1463;

										{	/* Ast/apply.scm 173 */
											obj_t BgL_arg1364z00_1464;

											{	/* Ast/apply.scm 173 */
												obj_t BgL_arg1365z00_1465;

												{	/* Ast/apply.scm 173 */
													BgL_refz00_bglt BgL_arg1367z00_1466;

													{	/* Ast/apply.scm 173 */
														BgL_refz00_bglt BgL_new1118z00_1467;

														{	/* Ast/apply.scm 176 */
															BgL_refz00_bglt BgL_new1116z00_1469;

															BgL_new1116z00_1469 =
																((BgL_refz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_refz00_bgl))));
															{	/* Ast/apply.scm 176 */
																long BgL_arg1371z00_1470;

																BgL_arg1371z00_1470 =
																	BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1116z00_1469),
																	BgL_arg1371z00_1470);
															}
															{	/* Ast/apply.scm 176 */
																BgL_objectz00_bglt BgL_tmpz00_2659;

																BgL_tmpz00_2659 =
																	((BgL_objectz00_bglt) BgL_new1116z00_1469);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2659,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1116z00_1469);
															BgL_new1118z00_1467 = BgL_new1116z00_1469;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1118z00_1467)))->
																BgL_locz00) =
															((obj_t) BgL_locz00_2315), BUNSPEC);
														{
															BgL_typez00_bglt BgL_auxz00_2665;

															{	/* Ast/apply.scm 175 */
																BgL_typez00_bglt BgL_arg1370z00_1468;

																BgL_arg1370z00_1468 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_runnerz00_2317)))->BgL_typez00);
																BgL_auxz00_2665 =
																	BGl_strictzd2nodezd2typez00zzast_nodez00((
																		(BgL_typez00_bglt)
																		BGl_za2_za2z00zztype_cachez00),
																	BgL_arg1370z00_1468);
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1118z00_1467)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_auxz00_2665), BUNSPEC);
														}
														((((BgL_varz00_bglt) COBJECT(
																		((BgL_varz00_bglt) BgL_new1118z00_1467)))->
																BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_runnerz00_2317)), BUNSPEC);
														BgL_arg1367z00_1466 = BgL_new1118z00_1467;
													}
													BgL_arg1365z00_1465 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg1367z00_1466), BNIL);
												}
												BgL_arg1364z00_1464 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(4)), BgL_arg1365z00_1465);
											}
											BgL_arg1361z00_1463 =
												MAKE_YOUNG_PAIR(BgL_arg1364z00_1464, BNIL);
										}
										BgL_arg1359z00_1461 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(5)), BgL_arg1361z00_1463);
									}
									{	/* Ast/apply.scm 180 */
										obj_t BgL_arg1376z00_1471;

										{	/* Ast/apply.scm 180 */
											obj_t BgL_arg1379z00_1472;

											{	/* Ast/apply.scm 180 */
												obj_t BgL_arg1380z00_1473;

												{	/* Ast/apply.scm 180 */
													obj_t BgL_arg1382z00_1474;

													{	/* Ast/apply.scm 180 */
														obj_t BgL_arg1383z00_1475;

														{	/* Ast/apply.scm 180 */
															obj_t BgL_arg1385z00_1476;

															{	/* Ast/apply.scm 180 */
																obj_t BgL_arg1386z00_1477;

																{	/* Ast/apply.scm 180 */
																	obj_t BgL_arg1388z00_1478;

																	{	/* Ast/apply.scm 180 */
																		BgL_variablez00_bglt BgL_arg1390z00_1479;

																		BgL_arg1390z00_1479 =
																			(((BgL_varz00_bglt) COBJECT(
																					((BgL_varz00_bglt)
																						BgL_procz00_2320)))->
																			BgL_variablez00);
																		BgL_arg1388z00_1478 =
																			BGl_shapez00zztools_shapez00(((obj_t)
																				BgL_arg1390z00_1479));
																	}
																	BgL_arg1386z00_1477 =
																		MAKE_YOUNG_PAIR(BgL_arg1388z00_1478, BNIL);
																}
																BgL_arg1385z00_1476 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(6)), BgL_arg1386z00_1477);
															}
															BgL_arg1383z00_1475 =
																MAKE_YOUNG_PAIR(BgL_arg1385z00_1476, BNIL);
														}
														BgL_arg1382z00_1474 =
															MAKE_YOUNG_PAIR(BGl_string1932z00zzast_applyz00,
															BgL_arg1383z00_1475);
													}
													BgL_arg1380z00_1473 =
														MAKE_YOUNG_PAIR(BGl_string1933z00zzast_applyz00,
														BgL_arg1382z00_1474);
												}
												BgL_arg1379z00_1472 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(7)), BgL_arg1380z00_1473);
											}
											BgL_arg1376z00_1471 =
												MAKE_YOUNG_PAIR(BgL_arg1379z00_1472, BNIL);
										}
										BgL_arg1360z00_1462 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_appz00_1458), BgL_arg1376z00_1471);
									}
									BgL_arg1358z00_1460 =
										MAKE_YOUNG_PAIR(BgL_arg1359z00_1461, BgL_arg1360z00_1462);
								}
								BgL_arg1355z00_1459 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(8)), BgL_arg1358z00_1460);
							}
							return
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1355z00_1459,
								BgL_stackz00_2318, BgL_locz00_2315, BgL_sitez00_2321);
						}
				}
			else
				{	/* Ast/apply.scm 184 */
					BgL_letzd2varzd2_bglt BgL_new1121z00_1499;

					{	/* Ast/apply.scm 185 */
						BgL_letzd2varzd2_bglt BgL_new1120z00_1535;

						BgL_new1120z00_1535 =
							((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/apply.scm 185 */
							long BgL_arg1581z00_1536;

							BgL_arg1581z00_1536 =
								BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1120z00_1535),
								BgL_arg1581z00_1536);
						}
						{	/* Ast/apply.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_2710;

							BgL_tmpz00_2710 = ((BgL_objectz00_bglt) BgL_new1120z00_1535);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2710, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1120z00_1535);
						BgL_new1121z00_1499 = BgL_new1120z00_1535;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1121z00_1499)))->BgL_locz00) =
						((obj_t) BgL_locz00_2315), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1121z00_1499)))->BgL_typez00) =
						((BgL_typez00_bglt)
							BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
									BGl_za2_za2z00zztype_cachez00), BgL_typez00_2316)), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1121z00_1499)))->BgL_sidezd2effectzd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1121z00_1499)))->BgL_keyz00) =
						((obj_t) BINT((-1L))), BUNSPEC);
					{
						obj_t BgL_auxz00_2725;

						{	/* Ast/apply.scm 188 */
							obj_t BgL_arg1418z00_1500;

							{	/* Ast/apply.scm 188 */
								obj_t BgL_arg1446z00_1502;
								BgL_nodez00_bglt BgL_arg1457z00_1503;

								BgL_arg1446z00_1502 = CAR(((obj_t) BgL_localsz00_1455));
								{	/* Ast/apply.scm 191 */
									obj_t BgL_arg1471z00_1504;

									{	/* Ast/apply.scm 191 */
										obj_t BgL_arg1480z00_1505;

										{	/* Ast/apply.scm 191 */
											BgL_refz00_bglt BgL_arg1484z00_1506;

											{	/* Ast/apply.scm 191 */
												BgL_refz00_bglt BgL_new1124z00_1507;

												{	/* Ast/apply.scm 194 */
													BgL_refz00_bglt BgL_new1123z00_1509;

													BgL_new1123z00_1509 =
														((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_refz00_bgl))));
													{	/* Ast/apply.scm 194 */
														long BgL_arg1489z00_1510;

														{	/* Ast/apply.scm 194 */
															obj_t BgL_classz00_1998;

															BgL_classz00_1998 = BGl_refz00zzast_nodez00;
															BgL_arg1489z00_1510 =
																BGL_CLASS_NUM(BgL_classz00_1998);
														}
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1123z00_1509),
															BgL_arg1489z00_1510);
													}
													{	/* Ast/apply.scm 194 */
														BgL_objectz00_bglt BgL_tmpz00_2732;

														BgL_tmpz00_2732 =
															((BgL_objectz00_bglt) BgL_new1123z00_1509);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2732, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1123z00_1509);
													BgL_new1124z00_1507 = BgL_new1123z00_1509;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1124z00_1507)))->
														BgL_locz00) = ((obj_t) BgL_locz00_2315), BUNSPEC);
												{
													BgL_typez00_bglt BgL_auxz00_2738;

													{	/* Ast/apply.scm 193 */
														BgL_typez00_bglt BgL_arg1487z00_1508;

														BgL_arg1487z00_1508 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		BgL_runnerz00_2317)))->BgL_typez00);
														BgL_auxz00_2738 =
															BGl_strictzd2nodezd2typez00zzast_nodez00((
																(BgL_typez00_bglt)
																BGl_za2_za2z00zztype_cachez00),
															BgL_arg1487z00_1508);
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1124z00_1507)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_auxz00_2738), BUNSPEC);
												}
												((((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_new1124z00_1507)))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_runnerz00_2317)), BUNSPEC);
												BgL_arg1484z00_1506 = BgL_new1124z00_1507;
											}
											BgL_arg1480z00_1505 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1484z00_1506), BNIL);
										}
										BgL_arg1471z00_1504 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(9)), BgL_arg1480z00_1505);
									}
									BgL_arg1457z00_1503 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1471z00_1504,
										BgL_stackz00_2318, BgL_locz00_2315,
										((obj_t) CNST_TABLE_REF(1)));
								}
								BgL_arg1418z00_1500 =
									MAKE_YOUNG_PAIR(BgL_arg1446z00_1502,
									((obj_t) BgL_arg1457z00_1503));
							}
							{	/* Ast/apply.scm 187 */
								obj_t BgL_list1419z00_1501;

								BgL_list1419z00_1501 =
									MAKE_YOUNG_PAIR(BgL_arg1418z00_1500, BNIL);
								BgL_auxz00_2725 = BgL_list1419z00_1501;
						}}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1121z00_1499))->
								BgL_bindingsz00) = ((obj_t) BgL_auxz00_2725), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_2760;

						if (NULLP(CDR(((obj_t) BgL_localsz00_1455))))
							{	/* Ast/apply.scm 199 */
								obj_t BgL_arg1506z00_1513;

								BgL_arg1506z00_1513 = CDR(((obj_t) BgL_localsz00_1455));
								BgL_auxz00_2760 =
									BGl_loopze71ze7zzast_applyz00(BgL_sitez00_2321,
									BgL_procz00_2320, BgL_framez00_2319, BgL_stackz00_2318,
									BgL_runnerz00_2317, BgL_typez00_2316, BgL_locz00_2315,
									BgL_arg1506z00_1513);
							}
						else
							{	/* Ast/apply.scm 202 */
								obj_t BgL_arg1511z00_1514;

								{	/* Ast/apply.scm 202 */
									obj_t BgL_arg1512z00_1515;

									{	/* Ast/apply.scm 202 */
										obj_t BgL_arg1513z00_1516;
										obj_t BgL_arg1515z00_1517;

										{	/* Ast/apply.scm 202 */
											obj_t BgL_arg1516z00_1518;

											{	/* Ast/apply.scm 202 */
												BgL_refz00_bglt BgL_arg1530z00_1519;
												obj_t BgL_arg1532z00_1520;

												{	/* Ast/apply.scm 202 */
													BgL_refz00_bglt BgL_new1126z00_1521;

													{	/* Ast/apply.scm 205 */
														BgL_refz00_bglt BgL_new1125z00_1523;

														BgL_new1125z00_1523 =
															((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_refz00_bgl))));
														{	/* Ast/apply.scm 205 */
															long BgL_arg1543z00_1524;

															{	/* Ast/apply.scm 205 */
																obj_t BgL_classz00_2006;

																BgL_classz00_2006 = BGl_refz00zzast_nodez00;
																BgL_arg1543z00_1524 =
																	BGL_CLASS_NUM(BgL_classz00_2006);
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1125z00_1523),
																BgL_arg1543z00_1524);
														}
														{	/* Ast/apply.scm 205 */
															BgL_objectz00_bglt BgL_tmpz00_2772;

															BgL_tmpz00_2772 =
																((BgL_objectz00_bglt) BgL_new1125z00_1523);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2772, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1125z00_1523);
														BgL_new1126z00_1521 = BgL_new1125z00_1523;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1126z00_1521)))->
															BgL_locz00) = ((obj_t) BgL_locz00_2315), BUNSPEC);
													{
														BgL_typez00_bglt BgL_auxz00_2778;

														{	/* Ast/apply.scm 204 */
															BgL_typez00_bglt BgL_arg1535z00_1522;

															BgL_arg1535z00_1522 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			BgL_runnerz00_2317)))->BgL_typez00);
															BgL_auxz00_2778 =
																BGl_strictzd2nodezd2typez00zzast_nodez00((
																	(BgL_typez00_bglt)
																	BGl_za2_za2z00zztype_cachez00),
																BgL_arg1535z00_1522);
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1126z00_1521)))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_auxz00_2778), BUNSPEC);
													}
													((((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_new1126z00_1521)))->
															BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BgL_runnerz00_2317)), BUNSPEC);
													BgL_arg1530z00_1519 = BgL_new1126z00_1521;
												}
												{	/* Ast/apply.scm 207 */
													obj_t BgL_arg1545z00_1525;

													{	/* Ast/apply.scm 207 */
														obj_t BgL_arg1553z00_1526;

														{	/* Ast/apply.scm 207 */
															BgL_refz00_bglt BgL_arg1554z00_1527;

															{	/* Ast/apply.scm 207 */
																BgL_refz00_bglt BgL_new1128z00_1528;

																{	/* Ast/apply.scm 210 */
																	BgL_refz00_bglt BgL_new1127z00_1530;

																	BgL_new1127z00_1530 =
																		((BgL_refz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_refz00_bgl))));
																	{	/* Ast/apply.scm 210 */
																		long BgL_arg1560z00_1531;

																		{	/* Ast/apply.scm 210 */
																			obj_t BgL_classz00_2011;

																			BgL_classz00_2011 =
																				BGl_refz00zzast_nodez00;
																			BgL_arg1560z00_1531 =
																				BGL_CLASS_NUM(BgL_classz00_2011);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1127z00_1530),
																			BgL_arg1560z00_1531);
																	}
																	{	/* Ast/apply.scm 210 */
																		BgL_objectz00_bglt BgL_tmpz00_2792;

																		BgL_tmpz00_2792 =
																			((BgL_objectz00_bglt)
																			BgL_new1127z00_1530);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2792,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1127z00_1530);
																	BgL_new1128z00_1528 = BgL_new1127z00_1530;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1128z00_1528)))->BgL_locz00) =
																	((obj_t) BgL_locz00_2315), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_2798;

																	{	/* Ast/apply.scm 209 */
																		BgL_typez00_bglt BgL_arg1558z00_1529;

																		BgL_arg1558z00_1529 =
																			(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						BgL_runnerz00_2317)))->BgL_typez00);
																		BgL_auxz00_2798 =
																			BGl_strictzd2nodezd2typez00zzast_nodez00((
																				(BgL_typez00_bglt)
																				BGl_za2_za2z00zztype_cachez00),
																			BgL_arg1558z00_1529);
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1128z00_1528)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_2798),
																		BUNSPEC);
																}
																((((BgL_varz00_bglt) COBJECT(
																				((BgL_varz00_bglt)
																					BgL_new1128z00_1528)))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt)
																			BgL_runnerz00_2317)), BUNSPEC);
																BgL_arg1554z00_1527 = BgL_new1128z00_1528;
															}
															BgL_arg1553z00_1526 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1554z00_1527), BNIL);
														}
														BgL_arg1545z00_1525 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(4)), BgL_arg1553z00_1526);
													}
													BgL_arg1532z00_1520 =
														MAKE_YOUNG_PAIR(BgL_arg1545z00_1525, BNIL);
												}
												BgL_arg1516z00_1518 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1530z00_1519), BgL_arg1532z00_1520);
											}
											BgL_arg1513z00_1516 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(10)), BgL_arg1516z00_1518);
										}
										{	/* Ast/apply.scm 211 */
											BgL_nodez00_bglt BgL_arg1574z00_1532;

											{	/* Ast/apply.scm 211 */
												obj_t BgL_arg1577z00_1533;

												BgL_arg1577z00_1533 = CDR(((obj_t) BgL_localsz00_1455));
												BgL_arg1574z00_1532 =
													BGl_loopze71ze7zzast_applyz00(BgL_sitez00_2321,
													BgL_procz00_2320, BgL_framez00_2319,
													BgL_stackz00_2318, BgL_runnerz00_2317,
													BgL_typez00_2316, BgL_locz00_2315,
													BgL_arg1577z00_1533);
											}
											BgL_arg1515z00_1517 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1574z00_1532), BNIL);
										}
										BgL_arg1512z00_1515 =
											MAKE_YOUNG_PAIR(BgL_arg1513z00_1516, BgL_arg1515z00_1517);
									}
									BgL_arg1511z00_1514 =
										MAKE_YOUNG_PAIR(
										((obj_t) CNST_TABLE_REF(11)), BgL_arg1512z00_1515);
								}
								BgL_auxz00_2760 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1511z00_1514,
									BgL_stackz00_2318, BgL_locz00_2315,
									((obj_t) CNST_TABLE_REF(1)));
							}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1121z00_1499))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_2760), BUNSPEC);
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1121z00_1499))->
							BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_new1121z00_1499);
				}
		}

	}



/* va-known-app-ly->node */
	BgL_letzd2varzd2_bglt
		BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t BgL_stackz00_27,
		obj_t BgL_locz00_28, BgL_nodez00_bglt BgL_procz00_29,
		BgL_nodez00_bglt BgL_argz00_30, obj_t BgL_framez00_31, obj_t BgL_sitez00_32)
	{
		{	/* Ast/apply.scm 232 */
			{	/* Ast/apply.scm 233 */
				struct bgl_unsafe_cell BgL_box1987_2314z00;
				obj_t BgL_framez00_2314;

				BgL_framez00_2314 =
					BGL_MAKE_UNSAFE_CELL_STACK(BgL_framez00_31, BgL_box1987_2314z00);
				{	/* Ast/apply.scm 233 */
					BgL_localz00_bglt BgL_runnerz00_1542;
					BgL_typez00_bglt BgL_typez00_1543;

					{	/* Ast/apply.scm 233 */
						obj_t BgL_arg1716z00_1621;

						BgL_arg1716z00_1621 =
							BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
							(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(2))));
						BgL_runnerz00_1542 =
							BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg1716z00_1621,
							((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
					}
					{	/* Ast/apply.scm 234 */
						BgL_typez00_bglt BgL_arg1720z00_1623;

						BgL_arg1720z00_1623 =
							(((BgL_nodez00_bglt) COBJECT(BgL_procz00_29))->BgL_typez00);
						BgL_typez00_1543 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(
							((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00),
							BgL_arg1720z00_1623);
					}
					{	/* Ast/apply.scm 235 */
						bool_t BgL_test1988z00_2843;

						{	/* Ast/apply.scm 235 */
							obj_t BgL_objz00_2018;

							BgL_objz00_2018 = BGL_UNSAFE_CELL_REF(BgL_framez00_2314);
							BgL_test1988z00_2843 = PAIRP(BgL_objz00_2018);
						}
						if (BgL_test1988z00_2843)
							{	/* Ast/apply.scm 236 */
								obj_t BgL_vz00_2020;

								BgL_vz00_2020 = ((obj_t) CNST_TABLE_REF(3));
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_runnerz00_1542)))->
										BgL_accessz00) = ((obj_t) BgL_vz00_2020), BUNSPEC);
							}
						else
							{	/* Ast/apply.scm 235 */
								BFALSE;
							}
					}
					{	/* Ast/apply.scm 237 */
						BgL_letzd2varzd2_bglt BgL_new1130z00_1545;

						{	/* Ast/apply.scm 238 */
							BgL_letzd2varzd2_bglt BgL_new1129z00_1619;

							BgL_new1129z00_1619 =
								((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2varzd2_bgl))));
							{	/* Ast/apply.scm 238 */
								long BgL_arg1715z00_1620;

								BgL_arg1715z00_1620 =
									BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1129z00_1619),
									BgL_arg1715z00_1620);
							}
							{	/* Ast/apply.scm 238 */
								BgL_objectz00_bglt BgL_tmpz00_2853;

								BgL_tmpz00_2853 = ((BgL_objectz00_bglt) BgL_new1129z00_1619);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2853, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1129z00_1619);
							BgL_new1130z00_1545 = BgL_new1129z00_1619;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1130z00_1545)))->BgL_locz00) =
							((obj_t) BgL_locz00_28), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1130z00_1545)))->BgL_typez00) =
							((BgL_typez00_bglt)
								BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00), BgL_typez00_1543)),
							BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1130z00_1545)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1130z00_1545)))->BgL_keyz00) =
							((obj_t) BINT((-1L))), BUNSPEC);
						{
							obj_t BgL_auxz00_2868;

							{	/* Ast/apply.scm 240 */
								obj_t BgL_arg1592z00_1546;

								BgL_arg1592z00_1546 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_runnerz00_1542), ((obj_t) BgL_argz00_30));
								{	/* Ast/apply.scm 240 */
									obj_t BgL_list1593z00_1547;

									BgL_list1593z00_1547 =
										MAKE_YOUNG_PAIR(BgL_arg1592z00_1546, BNIL);
									BgL_auxz00_2868 = BgL_list1593z00_1547;
							}}
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1130z00_1545))->
									BgL_bindingsz00) = ((obj_t) BgL_auxz00_2868), BUNSPEC);
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1130z00_1545))->
								BgL_bodyz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
									BGl_loopze70ze7zzast_applyz00(BgL_procz00_29,
										BgL_framez00_2314, BgL_stackz00_27, BgL_runnerz00_1542,
										BgL_typez00_1543, BgL_locz00_28,
										BGL_UNSAFE_CELL_REF(BgL_framez00_2314), BNIL))), BUNSPEC);
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1130z00_1545))->
								BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						return BgL_new1130z00_1545;
					}
				}
			}
		}

	}



/* loop~0 */
	BgL_nodezf2effectzf2_bglt BGl_loopze70ze7zzast_applyz00(BgL_nodez00_bglt
		BgL_procz00_2312, obj_t BgL_framez00_2311, obj_t BgL_stackz00_2310,
		BgL_localz00_bglt BgL_runnerz00_2309, BgL_typez00_bglt BgL_typez00_2308,
		obj_t BgL_locz00_2307, obj_t BgL_localsz00_1550, obj_t BgL_oldz00_1551)
	{
		{	/* Ast/apply.scm 241 */
			if (NULLP(BgL_localsz00_1550))
				{	/* Ast/apply.scm 243 */
					if (NULLP(BgL_oldz00_1551))
						{	/* Ast/apply.scm 246 */
							obj_t BgL_auxz00_2313;

							{	/* Ast/apply.scm 246 */
								obj_t BgL_list1597z00_1555;

								BgL_list1597z00_1555 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_runnerz00_2309), BNIL);
								BgL_auxz00_2313 = BgL_list1597z00_1555;
							}
							BGL_UNSAFE_CELL_SET(BgL_framez00_2311, BgL_auxz00_2313);
						}
					else
						{	/* Ast/apply.scm 247 */
							obj_t BgL_arg1605z00_1556;

							BgL_arg1605z00_1556 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_runnerz00_2309), BNIL);
							{	/* Ast/apply.scm 247 */
								obj_t BgL_tmpz00_2886;

								BgL_tmpz00_2886 = ((obj_t) BgL_oldz00_1551);
								SET_CDR(BgL_tmpz00_2886, BgL_arg1605z00_1556);
							}
						}
					{	/* Ast/apply.scm 248 */
						BgL_appz00_bglt BgL_new1133z00_1557;

						{	/* Ast/apply.scm 249 */
							BgL_appz00_bglt BgL_new1132z00_1582;

							BgL_new1132z00_1582 =
								((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appz00_bgl))));
							{	/* Ast/apply.scm 249 */
								long BgL_arg1638z00_1583;

								BgL_arg1638z00_1583 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1132z00_1582),
									BgL_arg1638z00_1583);
							}
							{	/* Ast/apply.scm 249 */
								BgL_objectz00_bglt BgL_tmpz00_2893;

								BgL_tmpz00_2893 = ((BgL_objectz00_bglt) BgL_new1132z00_1582);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2893, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1132z00_1582);
							BgL_new1133z00_1557 = BgL_new1132z00_1582;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1133z00_1557)))->BgL_locz00) =
							((obj_t) BgL_locz00_2307), BUNSPEC);
						{
							BgL_typez00_bglt BgL_auxz00_2899;

							{	/* Ast/apply.scm 250 */
								BgL_typez00_bglt BgL_arg1611z00_1558;

								BgL_arg1611z00_1558 =
									(((BgL_variablez00_bglt) COBJECT(
											(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_procz00_2312)))->
												BgL_variablez00)))->BgL_typez00);
								BgL_auxz00_2899 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00), BgL_arg1611z00_1558);
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1133z00_1557)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_2899), BUNSPEC);
						}
						((((BgL_nodezf2effectzf2_bglt) COBJECT(
										((BgL_nodezf2effectzf2_bglt) BgL_new1133z00_1557)))->
								BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1133z00_1557)))->BgL_keyz00) =
							((obj_t) BINT((-1L))), BUNSPEC);
						{
							BgL_varz00_bglt BgL_auxz00_2912;

							{	/* Ast/apply.scm 251 */
								BgL_refz00_bglt BgL_new1135z00_1561;

								{	/* Ast/apply.scm 251 */
									BgL_refz00_bglt BgL_new1139z00_1563;

									BgL_new1139z00_1563 =
										((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_refz00_bgl))));
									{	/* Ast/apply.scm 251 */
										long BgL_arg1625z00_1564;

										{	/* Ast/apply.scm 251 */
											obj_t BgL_classz00_2034;

											BgL_classz00_2034 = BGl_refz00zzast_nodez00;
											BgL_arg1625z00_1564 = BGL_CLASS_NUM(BgL_classz00_2034);
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1139z00_1563),
											BgL_arg1625z00_1564);
									}
									{	/* Ast/apply.scm 251 */
										BgL_objectz00_bglt BgL_tmpz00_2917;

										BgL_tmpz00_2917 =
											((BgL_objectz00_bglt) BgL_new1139z00_1563);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2917, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1139z00_1563);
									BgL_new1135z00_1561 = BgL_new1139z00_1563;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1135z00_1561)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_procz00_2312))->
											BgL_locz00)), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1135z00_1561)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_nodez00_bglt)
												COBJECT(BgL_procz00_2312))->BgL_typez00)), BUNSPEC);
								((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
													BgL_new1135z00_1561)))->BgL_variablez00) =
									((BgL_variablez00_bglt) (((BgL_varz00_bglt)
												COBJECT(((BgL_varz00_bglt) BgL_procz00_2312)))->
											BgL_variablez00)), BUNSPEC);
								BgL_auxz00_2912 = ((BgL_varz00_bglt) BgL_new1135z00_1561);
							}
							((((BgL_appz00_bglt) COBJECT(BgL_new1133z00_1557))->BgL_funz00) =
								((BgL_varz00_bglt) BgL_auxz00_2912), BUNSPEC);
						}
						{
							obj_t BgL_auxz00_2933;

							{	/* Ast/apply.scm 252 */
								obj_t BgL_l1270z00_1565;

								BgL_l1270z00_1565 = BGL_UNSAFE_CELL_REF(BgL_framez00_2311);
								if (NULLP(BgL_l1270z00_1565))
									{	/* Ast/apply.scm 252 */
										BgL_auxz00_2933 = BNIL;
									}
								else
									{	/* Ast/apply.scm 252 */
										obj_t BgL_head1272z00_1567;

										BgL_head1272z00_1567 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1270z00_1569;
											obj_t BgL_tail1273z00_1570;

											BgL_l1270z00_1569 = BgL_l1270z00_1565;
											BgL_tail1273z00_1570 = BgL_head1272z00_1567;
										BgL_zc3z04anonymousza31628ze3z87_1571:
											if (NULLP(BgL_l1270z00_1569))
												{	/* Ast/apply.scm 252 */
													BgL_auxz00_2933 = CDR(BgL_head1272z00_1567);
												}
											else
												{	/* Ast/apply.scm 252 */
													obj_t BgL_newtail1274z00_1573;

													{	/* Ast/apply.scm 252 */
														BgL_refz00_bglt BgL_arg1632z00_1575;

														{	/* Ast/apply.scm 252 */
															obj_t BgL_localz00_1576;

															BgL_localz00_1576 =
																CAR(((obj_t) BgL_l1270z00_1569));
															{	/* Ast/apply.scm 253 */
																BgL_refz00_bglt BgL_new1141z00_1577;

																{	/* Ast/apply.scm 256 */
																	BgL_refz00_bglt BgL_new1140z00_1579;

																	BgL_new1140z00_1579 =
																		((BgL_refz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_refz00_bgl))));
																	{	/* Ast/apply.scm 256 */
																		long BgL_arg1635z00_1580;

																		{	/* Ast/apply.scm 256 */
																			obj_t BgL_classz00_2040;

																			BgL_classz00_2040 =
																				BGl_refz00zzast_nodez00;
																			BgL_arg1635z00_1580 =
																				BGL_CLASS_NUM(BgL_classz00_2040);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1140z00_1579),
																			BgL_arg1635z00_1580);
																	}
																	{	/* Ast/apply.scm 256 */
																		BgL_objectz00_bglt BgL_tmpz00_2946;

																		BgL_tmpz00_2946 =
																			((BgL_objectz00_bglt)
																			BgL_new1140z00_1579);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2946,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1140z00_1579);
																	BgL_new1141z00_1577 = BgL_new1140z00_1579;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1141z00_1577)))->BgL_locz00) =
																	((obj_t) BgL_locz00_2307), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_2952;

																	{	/* Ast/apply.scm 255 */
																		BgL_typez00_bglt BgL_arg1633z00_1578;

																		BgL_arg1633z00_1578 =
																			(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_localz00_1576))))->
																			BgL_typez00);
																		BgL_auxz00_2952 =
																			BGl_strictzd2nodezd2typez00zzast_nodez00((
																				(BgL_typez00_bglt)
																				BGl_za2_za2z00zztype_cachez00),
																			BgL_arg1633z00_1578);
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1141z00_1577)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_2952),
																		BUNSPEC);
																}
																((((BgL_varz00_bglt) COBJECT(
																				((BgL_varz00_bglt)
																					BgL_new1141z00_1577)))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt)
																			BgL_localz00_1576)), BUNSPEC);
																BgL_arg1632z00_1575 = BgL_new1141z00_1577;
														}}
														BgL_newtail1274z00_1573 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1632z00_1575), BNIL);
													}
													SET_CDR(BgL_tail1273z00_1570,
														BgL_newtail1274z00_1573);
													{	/* Ast/apply.scm 252 */
														obj_t BgL_arg1631z00_1574;

														BgL_arg1631z00_1574 =
															CDR(((obj_t) BgL_l1270z00_1569));
														{
															obj_t BgL_tail1273z00_2969;
															obj_t BgL_l1270z00_2968;

															BgL_l1270z00_2968 = BgL_arg1631z00_1574;
															BgL_tail1273z00_2969 = BgL_newtail1274z00_1573;
															BgL_tail1273z00_1570 = BgL_tail1273z00_2969;
															BgL_l1270z00_1569 = BgL_l1270z00_2968;
															goto BgL_zc3z04anonymousza31628ze3z87_1571;
														}
													}
												}
										}
									}
							}
							((((BgL_appz00_bglt) COBJECT(BgL_new1133z00_1557))->BgL_argsz00) =
								((obj_t) BgL_auxz00_2933), BUNSPEC);
						}
						((((BgL_appz00_bglt) COBJECT(BgL_new1133z00_1557))->
								BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
						return ((BgL_nodezf2effectzf2_bglt) BgL_new1133z00_1557);
					}
				}
			else
				{	/* Ast/apply.scm 258 */
					BgL_letzd2varzd2_bglt BgL_new1143z00_1584;

					{	/* Ast/apply.scm 259 */
						BgL_letzd2varzd2_bglt BgL_new1142z00_1616;

						BgL_new1142z00_1616 =
							((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/apply.scm 259 */
							long BgL_arg1703z00_1617;

							BgL_arg1703z00_1617 =
								BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1142z00_1616),
								BgL_arg1703z00_1617);
						}
						{	/* Ast/apply.scm 259 */
							BgL_objectz00_bglt BgL_tmpz00_2977;

							BgL_tmpz00_2977 = ((BgL_objectz00_bglt) BgL_new1142z00_1616);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2977, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1142z00_1616);
						BgL_new1143z00_1584 = BgL_new1142z00_1616;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1143z00_1584)))->BgL_locz00) =
						((obj_t) BgL_locz00_2307), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1143z00_1584)))->BgL_typez00) =
						((BgL_typez00_bglt)
							BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
									BGl_za2_za2z00zztype_cachez00), BgL_typez00_2308)), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1143z00_1584)))->BgL_sidezd2effectzd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1143z00_1584)))->BgL_keyz00) =
						((obj_t) BINT((-1L))), BUNSPEC);
					{
						obj_t BgL_auxz00_2992;

						{	/* Ast/apply.scm 262 */
							obj_t BgL_arg1642z00_1585;

							{	/* Ast/apply.scm 262 */
								obj_t BgL_arg1648z00_1587;
								BgL_nodez00_bglt BgL_arg1649z00_1588;

								BgL_arg1648z00_1587 = CAR(((obj_t) BgL_localsz00_1550));
								{	/* Ast/apply.scm 265 */
									obj_t BgL_arg1650z00_1589;

									{	/* Ast/apply.scm 265 */
										obj_t BgL_arg1653z00_1590;

										{	/* Ast/apply.scm 265 */
											BgL_refz00_bglt BgL_arg1655z00_1591;

											{	/* Ast/apply.scm 265 */
												BgL_refz00_bglt BgL_new1145z00_1592;

												{	/* Ast/apply.scm 268 */
													BgL_refz00_bglt BgL_new1144z00_1594;

													BgL_new1144z00_1594 =
														((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_refz00_bgl))));
													{	/* Ast/apply.scm 268 */
														long BgL_arg1657z00_1595;

														{	/* Ast/apply.scm 268 */
															obj_t BgL_classz00_2052;

															BgL_classz00_2052 = BGl_refz00zzast_nodez00;
															BgL_arg1657z00_1595 =
																BGL_CLASS_NUM(BgL_classz00_2052);
														}
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1144z00_1594),
															BgL_arg1657z00_1595);
													}
													{	/* Ast/apply.scm 268 */
														BgL_objectz00_bglt BgL_tmpz00_2999;

														BgL_tmpz00_2999 =
															((BgL_objectz00_bglt) BgL_new1144z00_1594);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2999, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1144z00_1594);
													BgL_new1145z00_1592 = BgL_new1144z00_1594;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1145z00_1592)))->
														BgL_locz00) = ((obj_t) BgL_locz00_2307), BUNSPEC);
												{
													BgL_typez00_bglt BgL_auxz00_3005;

													{	/* Ast/apply.scm 267 */
														BgL_typez00_bglt BgL_arg1656z00_1593;

														BgL_arg1656z00_1593 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		BgL_runnerz00_2309)))->BgL_typez00);
														BgL_auxz00_3005 =
															BGl_strictzd2nodezd2typez00zzast_nodez00((
																(BgL_typez00_bglt)
																BGl_za2_za2z00zztype_cachez00),
															BgL_arg1656z00_1593);
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1145z00_1592)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_auxz00_3005), BUNSPEC);
												}
												((((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_new1145z00_1592)))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_runnerz00_2309)), BUNSPEC);
												BgL_arg1655z00_1591 = BgL_new1145z00_1592;
											}
											BgL_arg1653z00_1590 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1655z00_1591), BNIL);
										}
										BgL_arg1650z00_1589 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(9)), BgL_arg1653z00_1590);
									}
									BgL_arg1649z00_1588 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1650z00_1589,
										BgL_stackz00_2310, BgL_locz00_2307,
										((obj_t) CNST_TABLE_REF(1)));
								}
								BgL_arg1642z00_1585 =
									MAKE_YOUNG_PAIR(BgL_arg1648z00_1587,
									((obj_t) BgL_arg1649z00_1588));
							}
							{	/* Ast/apply.scm 261 */
								obj_t BgL_list1643z00_1586;

								BgL_list1643z00_1586 =
									MAKE_YOUNG_PAIR(BgL_arg1642z00_1585, BNIL);
								BgL_auxz00_2992 = BgL_list1643z00_1586;
						}}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1143z00_1584))->
								BgL_bindingsz00) = ((obj_t) BgL_auxz00_2992), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3027;

						{	/* Ast/apply.scm 274 */
							obj_t BgL_arg1660z00_1596;

							{	/* Ast/apply.scm 274 */
								obj_t BgL_arg1663z00_1597;

								{	/* Ast/apply.scm 274 */
									obj_t BgL_arg1664z00_1598;
									obj_t BgL_arg1673z00_1599;

									{	/* Ast/apply.scm 274 */
										obj_t BgL_arg1674z00_1600;

										{	/* Ast/apply.scm 274 */
											BgL_refz00_bglt BgL_arg1675z00_1601;
											obj_t BgL_arg1677z00_1602;

											{	/* Ast/apply.scm 274 */
												BgL_refz00_bglt BgL_new1147z00_1603;

												{	/* Ast/apply.scm 277 */
													BgL_refz00_bglt BgL_new1146z00_1605;

													BgL_new1146z00_1605 =
														((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_refz00_bgl))));
													{	/* Ast/apply.scm 277 */
														long BgL_arg1680z00_1606;

														{	/* Ast/apply.scm 277 */
															obj_t BgL_classz00_2058;

															BgL_classz00_2058 = BGl_refz00zzast_nodez00;
															BgL_arg1680z00_1606 =
																BGL_CLASS_NUM(BgL_classz00_2058);
														}
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1146z00_1605),
															BgL_arg1680z00_1606);
													}
													{	/* Ast/apply.scm 277 */
														BgL_objectz00_bglt BgL_tmpz00_3032;

														BgL_tmpz00_3032 =
															((BgL_objectz00_bglt) BgL_new1146z00_1605);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3032, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1146z00_1605);
													BgL_new1147z00_1603 = BgL_new1146z00_1605;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1147z00_1603)))->
														BgL_locz00) = ((obj_t) BgL_locz00_2307), BUNSPEC);
												{
													BgL_typez00_bglt BgL_auxz00_3038;

													{	/* Ast/apply.scm 276 */
														BgL_typez00_bglt BgL_arg1679z00_1604;

														BgL_arg1679z00_1604 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		BgL_runnerz00_2309)))->BgL_typez00);
														BgL_auxz00_3038 =
															BGl_strictzd2nodezd2typez00zzast_nodez00((
																(BgL_typez00_bglt)
																BGl_za2_za2z00zztype_cachez00),
															BgL_arg1679z00_1604);
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1147z00_1603)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_auxz00_3038), BUNSPEC);
												}
												((((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_new1147z00_1603)))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_runnerz00_2309)), BUNSPEC);
												BgL_arg1675z00_1601 = BgL_new1147z00_1603;
											}
											{	/* Ast/apply.scm 278 */
												obj_t BgL_arg1686z00_1607;

												{	/* Ast/apply.scm 278 */
													obj_t BgL_arg1691z00_1608;

													{	/* Ast/apply.scm 278 */
														BgL_refz00_bglt BgL_arg1692z00_1609;

														{	/* Ast/apply.scm 278 */
															BgL_refz00_bglt BgL_new1149z00_1610;

															{	/* Ast/apply.scm 281 */
																BgL_refz00_bglt BgL_new1148z00_1612;

																BgL_new1148z00_1612 =
																	((BgL_refz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_refz00_bgl))));
																{	/* Ast/apply.scm 281 */
																	long BgL_arg1695z00_1613;

																	{	/* Ast/apply.scm 281 */
																		obj_t BgL_classz00_2063;

																		BgL_classz00_2063 = BGl_refz00zzast_nodez00;
																		BgL_arg1695z00_1613 =
																			BGL_CLASS_NUM(BgL_classz00_2063);
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1148z00_1612),
																		BgL_arg1695z00_1613);
																}
																{	/* Ast/apply.scm 281 */
																	BgL_objectz00_bglt BgL_tmpz00_3052;

																	BgL_tmpz00_3052 =
																		((BgL_objectz00_bglt) BgL_new1148z00_1612);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3052,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1148z00_1612);
																BgL_new1149z00_1610 = BgL_new1148z00_1612;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1149z00_1610)))->BgL_locz00) =
																((obj_t) BgL_locz00_2307), BUNSPEC);
															{
																BgL_typez00_bglt BgL_auxz00_3058;

																{	/* Ast/apply.scm 280 */
																	BgL_typez00_bglt BgL_arg1693z00_1611;

																	BgL_arg1693z00_1611 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					BgL_runnerz00_2309)))->BgL_typez00);
																	BgL_auxz00_3058 =
																		BGl_strictzd2nodezd2typez00zzast_nodez00((
																			(BgL_typez00_bglt)
																			BGl_za2_za2z00zztype_cachez00),
																		BgL_arg1693z00_1611);
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1149z00_1610)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_auxz00_3058),
																	BUNSPEC);
															}
															((((BgL_varz00_bglt) COBJECT(
																			((BgL_varz00_bglt)
																				BgL_new1149z00_1610)))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																		BgL_runnerz00_2309)), BUNSPEC);
															BgL_arg1692z00_1609 = BgL_new1149z00_1610;
														}
														BgL_arg1691z00_1608 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1692z00_1609), BNIL);
													}
													BgL_arg1686z00_1607 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(4)), BgL_arg1691z00_1608);
												}
												BgL_arg1677z00_1602 =
													MAKE_YOUNG_PAIR(BgL_arg1686z00_1607, BNIL);
											}
											BgL_arg1674z00_1600 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg1675z00_1601), BgL_arg1677z00_1602);
										}
										BgL_arg1664z00_1598 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(10)), BgL_arg1674z00_1600);
									}
									{	/* Ast/apply.scm 282 */
										BgL_nodezf2effectzf2_bglt BgL_arg1696z00_1614;

										{	/* Ast/apply.scm 282 */
											obj_t BgL_arg1699z00_1615;

											BgL_arg1699z00_1615 = CDR(((obj_t) BgL_localsz00_1550));
											BgL_arg1696z00_1614 =
												BGl_loopze70ze7zzast_applyz00(BgL_procz00_2312,
												BgL_framez00_2311, BgL_stackz00_2310,
												BgL_runnerz00_2309, BgL_typez00_2308, BgL_locz00_2307,
												BgL_arg1699z00_1615, BgL_localsz00_1550);
										}
										BgL_arg1673z00_1599 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg1696z00_1614), BNIL);
									}
									BgL_arg1663z00_1597 =
										MAKE_YOUNG_PAIR(BgL_arg1664z00_1598, BgL_arg1673z00_1599);
								}
								BgL_arg1660z00_1596 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(11)), BgL_arg1663z00_1597);
							}
							BgL_auxz00_3027 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1660z00_1596,
								BgL_stackz00_2310, BgL_locz00_2307,
								((obj_t) CNST_TABLE_REF(1)));
						}
						((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1143z00_1584))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3027), BUNSPEC);
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1143z00_1584))->
							BgL_removablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					return ((BgL_nodezf2effectzf2_bglt) BgL_new1143z00_1584);
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_applyz00(void)
	{
		{	/* Ast/apply.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_applyz00(void)
	{
		{	/* Ast/apply.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
				BGl_proc1934z00zzast_applyz00, BGl_funz00zzast_varz00,
				BGl_string1935z00zzast_applyz00);
		}

	}



/* &make-fun-frame1275 */
	obj_t BGl_z62makezd2funzd2frame1275z62zzast_applyz00(obj_t BgL_envz00_2297,
		obj_t BgL_funz00_2298)
	{
		{	/* Ast/apply.scm 61 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(12)), BGl_string1936z00zzast_applyz00,
				((obj_t) ((BgL_funz00_bglt) BgL_funz00_2298)));
		}

	}



/* make-fun-frame */
	obj_t BGl_makezd2funzd2framez00zzast_applyz00(BgL_funz00_bglt BgL_funz00_7)
	{
		{	/* Ast/apply.scm 61 */
			{	/* Ast/apply.scm 61 */
				obj_t BgL_method1276z00_1628;

				{	/* Ast/apply.scm 61 */
					obj_t BgL_res1925z00_2099;

					{	/* Ast/apply.scm 61 */
						long BgL_objzd2classzd2numz00_2070;

						BgL_objzd2classzd2numz00_2070 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_7));
						{	/* Ast/apply.scm 61 */
							obj_t BgL_arg1862z00_2071;

							BgL_arg1862z00_2071 =
								PROCEDURE_REF(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
								(int) (1L));
							{	/* Ast/apply.scm 61 */
								int BgL_offsetz00_2074;

								BgL_offsetz00_2074 = (int) (BgL_objzd2classzd2numz00_2070);
								{	/* Ast/apply.scm 61 */
									long BgL_offsetz00_2075;

									BgL_offsetz00_2075 =
										((long) (BgL_offsetz00_2074) - OBJECT_TYPE);
									{	/* Ast/apply.scm 61 */
										long BgL_modz00_2076;

										BgL_modz00_2076 =
											(BgL_offsetz00_2075 >> (int) ((long) ((int) (4L))));
										{	/* Ast/apply.scm 61 */
											long BgL_restz00_2078;

											BgL_restz00_2078 =
												(BgL_offsetz00_2075 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/apply.scm 61 */

												{	/* Ast/apply.scm 61 */
													obj_t BgL_bucketz00_2080;

													BgL_bucketz00_2080 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2071), BgL_modz00_2076);
													BgL_res1925z00_2099 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2080), BgL_restz00_2078);
					}}}}}}}}
					BgL_method1276z00_1628 = BgL_res1925z00_2099;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1276z00_1628, ((obj_t) BgL_funz00_7));
			}
		}

	}



/* &make-fun-frame */
	obj_t BGl_z62makezd2funzd2framez62zzast_applyz00(obj_t BgL_envz00_2299,
		obj_t BgL_funz00_2300)
	{
		{	/* Ast/apply.scm 61 */
			return
				BGl_makezd2funzd2framez00zzast_applyz00(
				((BgL_funz00_bglt) BgL_funz00_2300));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_applyz00(void)
	{
		{	/* Ast/apply.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_makezd2funzd2framezd2envzd2zzast_applyz00, BGl_sfunz00zzast_varz00,
				BGl_proc1937z00zzast_applyz00, BGl_string1938z00zzast_applyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_makezd2funzd2framezd2envzd2zzast_applyz00, BGl_cfunz00zzast_varz00,
				BGl_proc1939z00zzast_applyz00, BGl_string1938z00zzast_applyz00);
		}

	}



/* &make-fun-frame-cfun1280 */
	obj_t BGl_z62makezd2funzd2framezd2cfun1280zb0zzast_applyz00(obj_t
		BgL_envz00_2303, obj_t BgL_funz00_2304)
	{
		{	/* Ast/apply.scm 86 */
			{	/* Ast/apply.scm 87 */
				long BgL_arityz00_2335;

				BgL_arityz00_2335 =
					(((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt)
								((BgL_cfunz00_bglt) BgL_funz00_2304))))->BgL_arityz00);
				{	/* Ast/apply.scm 88 */
					obj_t BgL_g1108z00_2336;

					BgL_g1108z00_2336 =
						(((BgL_cfunz00_bglt) COBJECT(
								((BgL_cfunz00_bglt) BgL_funz00_2304)))->BgL_argszd2typezd2);
					{
						obj_t BgL_typesz00_2338;
						obj_t BgL_localsz00_2339;

						BgL_typesz00_2338 = BgL_g1108z00_2336;
						BgL_localsz00_2339 = BNIL;
					BgL_loopz00_2337:
						if (NULLP(BgL_typesz00_2338))
							{	/* Ast/apply.scm 91 */
								return bgl_reverse_bang(BgL_localsz00_2339);
							}
						else
							{	/* Ast/apply.scm 93 */
								bool_t BgL_test1994z00_3142;

								if (NULLP(CDR(((obj_t) BgL_typesz00_2338))))
									{	/* Ast/apply.scm 93 */
										BgL_test1994z00_3142 = (BgL_arityz00_2335 < 0L);
									}
								else
									{	/* Ast/apply.scm 93 */
										BgL_test1994z00_3142 = ((bool_t) 0);
									}
								if (BgL_test1994z00_3142)
									{	/* Ast/apply.scm 93 */
										return bgl_reverse_bang(BgL_localsz00_2339);
									}
								else
									{	/* Ast/apply.scm 96 */
										obj_t BgL_arg1789z00_2340;
										obj_t BgL_arg1790z00_2341;

										BgL_arg1789z00_2340 = CDR(((obj_t) BgL_typesz00_2338));
										{	/* Ast/apply.scm 97 */
											BgL_localz00_bglt BgL_arg1796z00_2342;

											{	/* Ast/apply.scm 97 */
												obj_t BgL_arg1797z00_2343;
												obj_t BgL_arg1799z00_2344;

												BgL_arg1797z00_2343 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t)
															CNST_TABLE_REF(13))));
												BgL_arg1799z00_2344 = CAR(((obj_t) BgL_typesz00_2338));
												BgL_arg1796z00_2342 =
													BGl_makezd2localzd2svarz00zzast_localz00
													(BgL_arg1797z00_2343,
													((BgL_typez00_bglt) BgL_arg1799z00_2344));
											}
											BgL_arg1790z00_2341 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg1796z00_2342), BgL_localsz00_2339);
										}
										{
											obj_t BgL_localsz00_3162;
											obj_t BgL_typesz00_3161;

											BgL_typesz00_3161 = BgL_arg1789z00_2340;
											BgL_localsz00_3162 = BgL_arg1790z00_2341;
											BgL_localsz00_2339 = BgL_localsz00_3162;
											BgL_typesz00_2338 = BgL_typesz00_3161;
											goto BgL_loopz00_2337;
										}
									}
							}
					}
				}
			}
		}

	}



/* &make-fun-frame-sfun1278 */
	obj_t BGl_z62makezd2funzd2framezd2sfun1278zb0zzast_applyz00(obj_t
		BgL_envz00_2305, obj_t BgL_funz00_2306)
	{
		{	/* Ast/apply.scm 66 */
			{	/* Ast/apply.scm 67 */
				long BgL_arityz00_2346;

				BgL_arityz00_2346 =
					(((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt) BgL_funz00_2306))))->BgL_arityz00);
				{	/* Ast/apply.scm 68 */
					obj_t BgL_g1106z00_2347;

					BgL_g1106z00_2347 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_2306)))->BgL_argsz00);
					{
						obj_t BgL_formalsz00_2349;
						obj_t BgL_localsz00_2350;

						BgL_formalsz00_2349 = BgL_g1106z00_2347;
						BgL_localsz00_2350 = BNIL;
					BgL_loopz00_2348:
						if (NULLP(BgL_formalsz00_2349))
							{	/* Ast/apply.scm 71 */
								return bgl_reverse_bang(BgL_localsz00_2350);
							}
						else
							{	/* Ast/apply.scm 73 */
								bool_t BgL_test1997z00_3171;

								if (NULLP(CDR(((obj_t) BgL_formalsz00_2349))))
									{	/* Ast/apply.scm 73 */
										BgL_test1997z00_3171 = (BgL_arityz00_2346 < 0L);
									}
								else
									{	/* Ast/apply.scm 73 */
										BgL_test1997z00_3171 = ((bool_t) 0);
									}
								if (BgL_test1997z00_3171)
									{	/* Ast/apply.scm 73 */
										return bgl_reverse_bang(BgL_localsz00_2350);
									}
								else
									{	/* Ast/apply.scm 76 */
										obj_t BgL_arg1748z00_2351;
										obj_t BgL_arg1755z00_2352;

										BgL_arg1748z00_2351 = CDR(((obj_t) BgL_formalsz00_2349));
										{	/* Ast/apply.scm 77 */
											BgL_localz00_bglt BgL_arg1756z00_2353;

											{	/* Ast/apply.scm 77 */
												obj_t BgL_arg1757z00_2354;
												obj_t BgL_arg1763z00_2355;

												BgL_arg1757z00_2354 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t)
															CNST_TABLE_REF(13))));
												{	/* Ast/apply.scm 78 */
													bool_t BgL_test1999z00_3184;

													{	/* Ast/apply.scm 78 */
														obj_t BgL_arg1772z00_2356;

														BgL_arg1772z00_2356 =
															CAR(((obj_t) BgL_formalsz00_2349));
														{	/* Ast/apply.scm 78 */
															obj_t BgL_classz00_2357;

															BgL_classz00_2357 = BGl_typez00zztype_typez00;
															if (BGL_OBJECTP(BgL_arg1772z00_2356))
																{	/* Ast/apply.scm 78 */
																	BgL_objectz00_bglt BgL_arg1858z00_2358;

																	BgL_arg1858z00_2358 =
																		(BgL_objectz00_bglt) (BgL_arg1772z00_2356);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Ast/apply.scm 78 */
																			long BgL_idxz00_2359;

																			BgL_idxz00_2359 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_2358);
																			BgL_test1999z00_3184 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2359 + 1L)) ==
																				BgL_classz00_2357);
																		}
																	else
																		{	/* Ast/apply.scm 78 */
																			bool_t BgL_res1926z00_2362;

																			{	/* Ast/apply.scm 78 */
																				obj_t BgL_oclassz00_2363;

																				{	/* Ast/apply.scm 78 */
																					obj_t BgL_arg1866z00_2364;
																					long BgL_arg1867z00_2365;

																					BgL_arg1866z00_2364 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Ast/apply.scm 78 */
																						long BgL_arg1869z00_2366;

																						BgL_arg1869z00_2366 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_2358);
																						BgL_arg1867z00_2365 =
																							(BgL_arg1869z00_2366 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2363 =
																						VECTOR_REF(BgL_arg1866z00_2364,
																						BgL_arg1867z00_2365);
																				}
																				{	/* Ast/apply.scm 78 */
																					bool_t BgL__ortest_1115z00_2367;

																					BgL__ortest_1115z00_2367 =
																						(BgL_classz00_2357 ==
																						BgL_oclassz00_2363);
																					if (BgL__ortest_1115z00_2367)
																						{	/* Ast/apply.scm 78 */
																							BgL_res1926z00_2362 =
																								BgL__ortest_1115z00_2367;
																						}
																					else
																						{	/* Ast/apply.scm 78 */
																							long BgL_odepthz00_2368;

																							{	/* Ast/apply.scm 78 */
																								obj_t BgL_arg1855z00_2369;

																								BgL_arg1855z00_2369 =
																									(BgL_oclassz00_2363);
																								BgL_odepthz00_2368 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_2369);
																							}
																							if ((1L < BgL_odepthz00_2368))
																								{	/* Ast/apply.scm 78 */
																									obj_t BgL_arg1853z00_2370;

																									{	/* Ast/apply.scm 78 */
																										obj_t BgL_arg1854z00_2371;

																										BgL_arg1854z00_2371 =
																											(BgL_oclassz00_2363);
																										BgL_arg1853z00_2370 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_2371, 1L);
																									}
																									BgL_res1926z00_2362 =
																										(BgL_arg1853z00_2370 ==
																										BgL_classz00_2357);
																								}
																							else
																								{	/* Ast/apply.scm 78 */
																									BgL_res1926z00_2362 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1999z00_3184 =
																				BgL_res1926z00_2362;
																		}
																}
															else
																{	/* Ast/apply.scm 78 */
																	BgL_test1999z00_3184 = ((bool_t) 0);
																}
														}
													}
													if (BgL_test1999z00_3184)
														{	/* Ast/apply.scm 78 */
															BgL_arg1763z00_2355 =
																CAR(((obj_t) BgL_formalsz00_2349));
														}
													else
														{	/* Ast/apply.scm 78 */
															BgL_arg1763z00_2355 =
																((obj_t)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					CAR(
																						((obj_t) BgL_formalsz00_2349))))))->
																	BgL_typez00));
														}
												}
												BgL_arg1756z00_2353 =
													BGl_makezd2localzd2svarz00zzast_localz00
													(BgL_arg1757z00_2354,
													((BgL_typez00_bglt) BgL_arg1763z00_2355));
											}
											BgL_arg1755z00_2352 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg1756z00_2353), BgL_localsz00_2350);
										}
										{
											obj_t BgL_localsz00_3222;
											obj_t BgL_formalsz00_3221;

											BgL_formalsz00_3221 = BgL_arg1748z00_2351;
											BgL_localsz00_3222 = BgL_arg1755z00_2352;
											BgL_localsz00_2350 = BgL_localsz00_3222;
											BgL_formalsz00_2349 = BgL_formalsz00_3221;
											goto BgL_loopz00_2348;
										}
									}
							}
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_applyz00(void)
	{
		{	/* Ast/apply.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1940z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1940z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1940z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1940z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1940z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1940z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1940z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1940z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1940z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1940z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(449859288L,
				BSTRING_TO_STRING(BGl_string1940z00zzast_applyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1940z00zzast_applyz00));
		}

	}

#ifdef __cplusplus
}
#endif
