/*===========================================================================*/
/*   (Ast/build.scm)                                                         */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/build.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_AST_BUILD_TYPE_DEFINITIONS
#define BGL_AST_BUILD_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;


#endif													// BGL_AST_BUILD_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzast_buildz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_appendzd2astzd2zzast_buildz00(obj_t, obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62appendzd2astzb0zzast_buildz00(obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_buildz00(void);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	static obj_t BGl_objectzd2initzd2zzast_buildz00(void);
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_sfunzd2defzd2ze3astze3zzast_buildz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzast_buildz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_buildz00(void);
	extern obj_t BGl_checkzd2tozd2bezd2definezd2zzast_findzd2gdefszd2(void);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62zc3z04anonymousza31333ze3ze5zzast_buildz00(obj_t);
	static obj_t BGl_z62buildzd2astzb0zzast_buildz00(obj_t, obj_t);
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00(obj_t);
	extern obj_t BGl_unitzd2ze3defsz31zzast_unitz00(obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_buildzd2astzd2zzast_buildz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_z62buildzd2astzd2sanszd2removezb0zzast_buildz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_buildz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_buildz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_buildz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_buildz00(void);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_buildzd2astzd2envz00zzast_buildz00,
		BgL_bgl_za762buildza7d2astza7b1554za7, BGl_z62buildzd2astzb0zzast_buildz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1536z00zzast_buildz00,
		BgL_bgl_string1536za700za7za7a1555za7, "Ast", 3);
	      DEFINE_STRING(BGl_string1537z00zzast_buildz00,
		BgL_bgl_string1537za700za7za7a1556za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1538z00zzast_buildz00,
		BgL_bgl_string1538za700za7za7a1557za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1539z00zzast_buildz00,
		BgL_bgl_string1539za700za7za7a1558za7, " error", 6);
	      DEFINE_STRING(BGl_string1540z00zzast_buildz00,
		BgL_bgl_string1540za700za7za7a1559za7, "s", 1);
	      DEFINE_STRING(BGl_string1541z00zzast_buildz00,
		BgL_bgl_string1541za700za7za7a1560za7, "", 0);
	      DEFINE_STRING(BGl_string1542z00zzast_buildz00,
		BgL_bgl_string1542za700za7za7a1561za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1543z00zzast_buildz00,
		BgL_bgl_string1543za700za7za7a1562za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1545z00zzast_buildz00,
		BgL_bgl_string1545za700za7za7a1563za7, "ast_build", 9);
	      DEFINE_STRING(BGl_string1546z00zzast_buildz00,
		BgL_bgl_string1546za700za7za7a1564za7, "value pass-started ast ", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1544z00zzast_buildz00,
		BgL_bgl_za762za7c3za704anonymo1565za7,
		BGl_z62zc3z04anonymousza31333ze3ze5zzast_buildz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appendzd2astzd2envz00zzast_buildz00,
		BgL_bgl_za762appendza7d2astza71566za7, BGl_z62appendzd2astzb0zzast_buildz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_buildzd2astzd2sanszd2removezd2envz00zzast_buildz00,
		BgL_bgl_za762buildza7d2astza7d1567za7,
		BGl_z62buildzd2astzd2sanszd2removezb0zzast_buildz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_buildz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long
		BgL_checksumz00_1717, char *BgL_fromz00_1718)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_buildz00))
				{
					BGl_requirezd2initializa7ationz75zzast_buildz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_buildz00();
					BGl_libraryzd2moduleszd2initz00zzast_buildz00();
					BGl_cnstzd2initzd2zzast_buildz00();
					BGl_importedzd2moduleszd2initz00zzast_buildz00();
					return BGl_methodzd2initzd2zzast_buildz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_buildz00(void)
	{
		{	/* Ast/build.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "ast_build");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_build");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_build");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "ast_build");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_build");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "ast_build");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "ast_build");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "ast_build");
			BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "ast_build");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_buildz00(void)
	{
		{	/* Ast/build.scm 14 */
			{	/* Ast/build.scm 14 */
				obj_t BgL_cportz00_1706;

				{	/* Ast/build.scm 14 */
					obj_t BgL_stringz00_1713;

					BgL_stringz00_1713 = BGl_string1546z00zzast_buildz00;
					{	/* Ast/build.scm 14 */
						obj_t BgL_startz00_1714;

						BgL_startz00_1714 = BINT(0L);
						{	/* Ast/build.scm 14 */
							obj_t BgL_endz00_1715;

							BgL_endz00_1715 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1713)));
							{	/* Ast/build.scm 14 */

								BgL_cportz00_1706 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1713, BgL_startz00_1714, BgL_endz00_1715);
				}}}}
				{
					long BgL_iz00_1707;

					BgL_iz00_1707 = 2L;
				BgL_loopz00_1708:
					if ((BgL_iz00_1707 == (-1L)))
						{	/* Ast/build.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/build.scm 14 */
							{	/* Ast/build.scm 14 */
								obj_t BgL_arg1553z00_1709;

								{	/* Ast/build.scm 14 */

									{	/* Ast/build.scm 14 */
										obj_t BgL_locationz00_1711;

										BgL_locationz00_1711 = BBOOL(((bool_t) 0));
										{	/* Ast/build.scm 14 */

											BgL_arg1553z00_1709 =
												BGl_readz00zz__readerz00(BgL_cportz00_1706,
												BgL_locationz00_1711);
										}
									}
								}
								{	/* Ast/build.scm 14 */
									int BgL_tmpz00_1745;

									BgL_tmpz00_1745 = (int) (BgL_iz00_1707);
									CNST_TABLE_SET(BgL_tmpz00_1745, BgL_arg1553z00_1709);
							}}
							{	/* Ast/build.scm 14 */
								int BgL_auxz00_1712;

								BgL_auxz00_1712 = (int) ((BgL_iz00_1707 - 1L));
								{
									long BgL_iz00_1750;

									BgL_iz00_1750 = (long) (BgL_auxz00_1712);
									BgL_iz00_1707 = BgL_iz00_1750;
									goto BgL_loopz00_1708;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_buildz00(void)
	{
		{	/* Ast/build.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzast_buildz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1354;

					BgL_headz00_1354 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1355;
						obj_t BgL_tailz00_1356;

						BgL_prevz00_1355 = BgL_headz00_1354;
						BgL_tailz00_1356 = BgL_l1z00_1;
					BgL_loopz00_1357:
						if (PAIRP(BgL_tailz00_1356))
							{
								obj_t BgL_newzd2prevzd2_1359;

								BgL_newzd2prevzd2_1359 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1356), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1355, BgL_newzd2prevzd2_1359);
								{
									obj_t BgL_tailz00_1762;
									obj_t BgL_prevz00_1761;

									BgL_prevz00_1761 = BgL_newzd2prevzd2_1359;
									BgL_tailz00_1762 = CDR(BgL_tailz00_1356);
									BgL_tailz00_1356 = BgL_tailz00_1762;
									BgL_prevz00_1355 = BgL_prevz00_1761;
									goto BgL_loopz00_1357;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1354);
					}
				}
		}

	}



/* append-ast */
	BGL_EXPORTED_DEF obj_t BGl_appendzd2astzd2zzast_buildz00(obj_t BgL_a1z00_3,
		obj_t BgL_a2z00_4)
	{
		{	/* Ast/build.scm 35 */
			BGL_TAIL return
				BGl_appendzd221011zd2zzast_buildz00(BgL_a1z00_3, BgL_a2z00_4);
		}

	}



/* &append-ast */
	obj_t BGl_z62appendzd2astzb0zzast_buildz00(obj_t BgL_envz00_1697,
		obj_t BgL_a1z00_1698, obj_t BgL_a2z00_1699)
	{
		{	/* Ast/build.scm 35 */
			return BGl_appendzd2astzd2zzast_buildz00(BgL_a1z00_1698, BgL_a2z00_1699);
		}

	}



/* build-ast */
	BGL_EXPORTED_DEF obj_t BGl_buildzd2astzd2zzast_buildz00(obj_t BgL_unitsz00_5)
	{
		{	/* Ast/build.scm 43 */
			{	/* Ast/build.scm 44 */
				obj_t BgL_arg1252z00_1640;

				BgL_arg1252z00_1640 =
					BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00(BgL_unitsz00_5);
				return
					BGl_removezd2varzd2zzast_removez00(
					((obj_t) CNST_TABLE_REF(0)), BgL_arg1252z00_1640);
			}
		}

	}



/* &build-ast */
	obj_t BGl_z62buildzd2astzb0zzast_buildz00(obj_t BgL_envz00_1700,
		obj_t BgL_unitsz00_1701)
	{
		{	/* Ast/build.scm 43 */
			return BGl_buildzd2astzd2zzast_buildz00(BgL_unitsz00_1701);
		}

	}



/* build-ast-sans-remove */
	BGL_EXPORTED_DEF obj_t BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00(obj_t
		BgL_unitsz00_6)
	{
		{	/* Ast/build.scm 51 */
			{	/* Ast/build.scm 52 */
				obj_t BgL_list1253z00_1363;

				{	/* Ast/build.scm 52 */
					obj_t BgL_arg1254z00_1364;

					{	/* Ast/build.scm 52 */
						obj_t BgL_arg1255z00_1365;

						BgL_arg1255z00_1365 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1254z00_1364 =
							MAKE_YOUNG_PAIR(BGl_string1536z00zzast_buildz00,
							BgL_arg1255z00_1365);
					}
					BgL_list1253z00_1363 =
						MAKE_YOUNG_PAIR(BGl_string1537z00zzast_buildz00,
						BgL_arg1254z00_1364);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1253z00_1363);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1536z00zzast_buildz00;
			{	/* Ast/build.scm 52 */
				obj_t BgL_g1106z00_1366;

				BgL_g1106z00_1366 = BNIL;
				{
					obj_t BgL_hooksz00_1369;
					obj_t BgL_hnamesz00_1370;

					BgL_hooksz00_1369 = BgL_g1106z00_1366;
					BgL_hnamesz00_1370 = BNIL;
				BgL_zc3z04anonymousza31256ze3z87_1371:
					if (NULLP(BgL_hooksz00_1369))
						{	/* Ast/build.scm 52 */
							((obj_t) CNST_TABLE_REF(1));
						}
					else
						{	/* Ast/build.scm 52 */
							bool_t BgL_test1573z00_1783;

							{	/* Ast/build.scm 52 */
								obj_t BgL_fun1270z00_1378;

								BgL_fun1270z00_1378 = CAR(((obj_t) BgL_hooksz00_1369));
								BgL_test1573z00_1783 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1270z00_1378));
							}
							if (BgL_test1573z00_1783)
								{	/* Ast/build.scm 52 */
									obj_t BgL_arg1260z00_1375;
									obj_t BgL_arg1262z00_1376;

									BgL_arg1260z00_1375 = CDR(((obj_t) BgL_hooksz00_1369));
									BgL_arg1262z00_1376 = CDR(((obj_t) BgL_hnamesz00_1370));
									{
										obj_t BgL_hnamesz00_1795;
										obj_t BgL_hooksz00_1794;

										BgL_hooksz00_1794 = BgL_arg1260z00_1375;
										BgL_hnamesz00_1795 = BgL_arg1262z00_1376;
										BgL_hnamesz00_1370 = BgL_hnamesz00_1795;
										BgL_hooksz00_1369 = BgL_hooksz00_1794;
										goto BgL_zc3z04anonymousza31256ze3z87_1371;
									}
								}
							else
								{	/* Ast/build.scm 52 */
									obj_t BgL_arg1266z00_1377;

									BgL_arg1266z00_1377 = CAR(((obj_t) BgL_hnamesz00_1370));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1536z00zzast_buildz00,
										BGl_string1538z00zzast_buildz00, BgL_arg1266z00_1377);
								}
						}
				}
			}
			{	/* Ast/build.scm 56 */
				obj_t BgL_nberrz00_1381;

				BgL_nberrz00_1381 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
				{	/* Ast/build.scm 56 */
					obj_t BgL_defsz00_1382;

					{	/* Ast/build.scm 57 */
						obj_t BgL_runner1327z00_1463;

						if (NULLP(BgL_unitsz00_6))
							{	/* Ast/build.scm 57 */
								BgL_runner1327z00_1463 = BNIL;
							}
						else
							{	/* Ast/build.scm 57 */
								obj_t BgL_head1234z00_1449;

								{	/* Ast/build.scm 57 */
									obj_t BgL_arg1322z00_1461;

									{	/* Ast/build.scm 57 */
										obj_t BgL_arg1326z00_1462;

										BgL_arg1326z00_1462 = CAR(((obj_t) BgL_unitsz00_6));
										BgL_arg1322z00_1461 =
											BGl_unitzd2ze3defsz31zzast_unitz00(BgL_arg1326z00_1462);
									}
									BgL_head1234z00_1449 =
										MAKE_YOUNG_PAIR(BgL_arg1322z00_1461, BNIL);
								}
								{	/* Ast/build.scm 57 */
									obj_t BgL_g1237z00_1450;

									BgL_g1237z00_1450 = CDR(((obj_t) BgL_unitsz00_6));
									{
										obj_t BgL_l1232z00_1452;
										obj_t BgL_tail1235z00_1453;

										BgL_l1232z00_1452 = BgL_g1237z00_1450;
										BgL_tail1235z00_1453 = BgL_head1234z00_1449;
									BgL_zc3z04anonymousza31317ze3z87_1454:
										if (NULLP(BgL_l1232z00_1452))
											{	/* Ast/build.scm 57 */
												BgL_runner1327z00_1463 = BgL_head1234z00_1449;
											}
										else
											{	/* Ast/build.scm 57 */
												obj_t BgL_newtail1236z00_1456;

												{	/* Ast/build.scm 57 */
													obj_t BgL_arg1320z00_1458;

													{	/* Ast/build.scm 57 */
														obj_t BgL_arg1321z00_1459;

														BgL_arg1321z00_1459 =
															CAR(((obj_t) BgL_l1232z00_1452));
														BgL_arg1320z00_1458 =
															BGl_unitzd2ze3defsz31zzast_unitz00
															(BgL_arg1321z00_1459);
													}
													BgL_newtail1236z00_1456 =
														MAKE_YOUNG_PAIR(BgL_arg1320z00_1458, BNIL);
												}
												SET_CDR(BgL_tail1235z00_1453, BgL_newtail1236z00_1456);
												{	/* Ast/build.scm 57 */
													obj_t BgL_arg1319z00_1457;

													BgL_arg1319z00_1457 =
														CDR(((obj_t) BgL_l1232z00_1452));
													{
														obj_t BgL_tail1235z00_1817;
														obj_t BgL_l1232z00_1816;

														BgL_l1232z00_1816 = BgL_arg1319z00_1457;
														BgL_tail1235z00_1817 = BgL_newtail1236z00_1456;
														BgL_tail1235z00_1453 = BgL_tail1235z00_1817;
														BgL_l1232z00_1452 = BgL_l1232z00_1816;
														goto BgL_zc3z04anonymousza31317ze3z87_1454;
													}
												}
											}
									}
								}
							}
						BgL_defsz00_1382 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00
							(BgL_runner1327z00_1463);
					}
					{	/* Ast/build.scm 57 */

						if (
							((long) CINT(BgL_nberrz00_1381) ==
								(long)
								CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)))
							{	/* Ast/build.scm 58 */
								BGl_checkzd2tozd2bezd2definezd2zzast_findzd2gdefszd2();
								{	/* Ast/build.scm 63 */
									obj_t BgL_astz00_1384;

									if (NULLP(BgL_defsz00_1382))
										{	/* Ast/build.scm 63 */
											BgL_astz00_1384 = BNIL;
										}
									else
										{	/* Ast/build.scm 63 */
											obj_t BgL_head1240z00_1410;

											{	/* Ast/build.scm 63 */
												BgL_globalz00_bglt BgL_arg1294z00_1422;

												{	/* Ast/build.scm 63 */
													obj_t BgL_arg1295z00_1423;

													BgL_arg1295z00_1423 = CAR(((obj_t) BgL_defsz00_1382));
													BgL_arg1294z00_1422 =
														BGl_sfunzd2defzd2ze3astze3zzast_buildz00(
														((BgL_globalz00_bglt) BgL_arg1295z00_1423));
												}
												BgL_head1240z00_1410 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1294z00_1422), BNIL);
											}
											{	/* Ast/build.scm 63 */
												obj_t BgL_g1243z00_1411;

												BgL_g1243z00_1411 = CDR(((obj_t) BgL_defsz00_1382));
												{
													obj_t BgL_l1238z00_1413;
													obj_t BgL_tail1241z00_1414;

													BgL_l1238z00_1413 = BgL_g1243z00_1411;
													BgL_tail1241z00_1414 = BgL_head1240z00_1410;
												BgL_zc3z04anonymousza31289ze3z87_1415:
													if (NULLP(BgL_l1238z00_1413))
														{	/* Ast/build.scm 63 */
															BgL_astz00_1384 = BgL_head1240z00_1410;
														}
													else
														{	/* Ast/build.scm 63 */
															obj_t BgL_newtail1242z00_1417;

															{	/* Ast/build.scm 63 */
																BgL_globalz00_bglt BgL_arg1292z00_1419;

																{	/* Ast/build.scm 63 */
																	obj_t BgL_arg1293z00_1420;

																	BgL_arg1293z00_1420 =
																		CAR(((obj_t) BgL_l1238z00_1413));
																	BgL_arg1292z00_1419 =
																		BGl_sfunzd2defzd2ze3astze3zzast_buildz00(
																		((BgL_globalz00_bglt) BgL_arg1293z00_1420));
																}
																BgL_newtail1242z00_1417 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg1292z00_1419), BNIL);
															}
															SET_CDR(BgL_tail1241z00_1414,
																BgL_newtail1242z00_1417);
															{	/* Ast/build.scm 63 */
																obj_t BgL_arg1291z00_1418;

																BgL_arg1291z00_1418 =
																	CDR(((obj_t) BgL_l1238z00_1413));
																{
																	obj_t BgL_tail1241z00_1846;
																	obj_t BgL_l1238z00_1845;

																	BgL_l1238z00_1845 = BgL_arg1291z00_1418;
																	BgL_tail1241z00_1846 =
																		BgL_newtail1242z00_1417;
																	BgL_tail1241z00_1414 = BgL_tail1241z00_1846;
																	BgL_l1238z00_1413 = BgL_l1238z00_1845;
																	goto BgL_zc3z04anonymousza31289ze3z87_1415;
																}
															}
														}
												}
											}
										}
									if (
										((long)
											CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
											> 0L))
										{	/* Ast/build.scm 65 */
											{	/* Ast/build.scm 65 */
												obj_t BgL_port1244z00_1387;

												{	/* Ast/build.scm 65 */
													obj_t BgL_tmpz00_1850;

													BgL_tmpz00_1850 = BGL_CURRENT_DYNAMIC_ENV();
													BgL_port1244z00_1387 =
														BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1850);
												}
												bgl_display_obj
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BgL_port1244z00_1387);
												bgl_display_string(BGl_string1539z00zzast_buildz00,
													BgL_port1244z00_1387);
												{	/* Ast/build.scm 65 */
													obj_t BgL_arg1274z00_1388;

													{	/* Ast/build.scm 65 */
														bool_t BgL_test1580z00_1855;

														if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
															{	/* Ast/build.scm 65 */
																if (INTEGERP
																	(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
																	{	/* Ast/build.scm 65 */
																		BgL_test1580z00_1855 =
																			(
																			(long)
																			CINT
																			(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
																			> 1L);
																	}
																else
																	{	/* Ast/build.scm 65 */
																		BgL_test1580z00_1855 =
																			BGl_2ze3ze3zz__r4_numbers_6_5z00
																			(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
																			BINT(1L));
																	}
															}
														else
															{	/* Ast/build.scm 65 */
																BgL_test1580z00_1855 = ((bool_t) 0);
															}
														if (BgL_test1580z00_1855)
															{	/* Ast/build.scm 65 */
																BgL_arg1274z00_1388 =
																	BGl_string1540z00zzast_buildz00;
															}
														else
															{	/* Ast/build.scm 65 */
																BgL_arg1274z00_1388 =
																	BGl_string1541z00zzast_buildz00;
															}
													}
													bgl_display_obj(BgL_arg1274z00_1388,
														BgL_port1244z00_1387);
												}
												bgl_display_string(BGl_string1542z00zzast_buildz00,
													BgL_port1244z00_1387);
												bgl_display_char(((unsigned char) 10),
													BgL_port1244z00_1387);
											}
											{	/* Ast/build.scm 65 */
												obj_t BgL_list1277z00_1392;

												BgL_list1277z00_1392 =
													MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
												BGL_TAIL return
													BGl_exitz00zz__errorz00(BgL_list1277z00_1392);
											}
										}
									else
										{	/* Ast/build.scm 65 */
											obj_t BgL_g1108z00_1393;

											BgL_g1108z00_1393 = BNIL;
											{
												obj_t BgL_hooksz00_1396;
												obj_t BgL_hnamesz00_1397;

												BgL_hooksz00_1396 = BgL_g1108z00_1393;
												BgL_hnamesz00_1397 = BNIL;
											BgL_zc3z04anonymousza31278ze3z87_1398:
												if (NULLP(BgL_hooksz00_1396))
													{	/* Ast/build.scm 65 */
														return BgL_astz00_1384;
													}
												else
													{	/* Ast/build.scm 65 */
														bool_t BgL_test1584z00_1872;

														{	/* Ast/build.scm 65 */
															obj_t BgL_fun1286z00_1405;

															BgL_fun1286z00_1405 =
																CAR(((obj_t) BgL_hooksz00_1396));
															BgL_test1584z00_1872 =
																CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1286z00_1405));
														}
														if (BgL_test1584z00_1872)
															{	/* Ast/build.scm 65 */
																obj_t BgL_arg1282z00_1402;
																obj_t BgL_arg1284z00_1403;

																BgL_arg1282z00_1402 =
																	CDR(((obj_t) BgL_hooksz00_1396));
																BgL_arg1284z00_1403 =
																	CDR(((obj_t) BgL_hnamesz00_1397));
																{
																	obj_t BgL_hnamesz00_1884;
																	obj_t BgL_hooksz00_1883;

																	BgL_hooksz00_1883 = BgL_arg1282z00_1402;
																	BgL_hnamesz00_1884 = BgL_arg1284z00_1403;
																	BgL_hnamesz00_1397 = BgL_hnamesz00_1884;
																	BgL_hooksz00_1396 = BgL_hooksz00_1883;
																	goto BgL_zc3z04anonymousza31278ze3z87_1398;
																}
															}
														else
															{	/* Ast/build.scm 65 */
																obj_t BgL_arg1285z00_1404;

																BgL_arg1285z00_1404 =
																	CAR(((obj_t) BgL_hnamesz00_1397));
																return
																	BGl_internalzd2errorzd2zztools_errorz00
																	(BGl_za2currentzd2passza2zd2zzengine_passz00,
																	BGl_string1543z00zzast_buildz00,
																	BgL_arg1285z00_1404);
															}
													}
											}
										}
								}
							}
						else
							{	/* Ast/build.scm 58 */
								if (
									((long)
										CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
										0L))
									{	/* Ast/build.scm 66 */
										{	/* Ast/build.scm 66 */
											obj_t BgL_port1245z00_1426;

											{	/* Ast/build.scm 66 */
												obj_t BgL_tmpz00_1891;

												BgL_tmpz00_1891 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_port1245z00_1426 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1891);
											}
											bgl_display_obj
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
												BgL_port1245z00_1426);
											bgl_display_string(BGl_string1539z00zzast_buildz00,
												BgL_port1245z00_1426);
											{	/* Ast/build.scm 66 */
												obj_t BgL_arg1297z00_1427;

												{	/* Ast/build.scm 66 */
													bool_t BgL_test1586z00_1896;

													if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
														{	/* Ast/build.scm 66 */
															if (INTEGERP
																(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
																{	/* Ast/build.scm 66 */
																	BgL_test1586z00_1896 =
																		(
																		(long)
																		CINT
																		(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
																		> 1L);
																}
															else
																{	/* Ast/build.scm 66 */
																	BgL_test1586z00_1896 =
																		BGl_2ze3ze3zz__r4_numbers_6_5z00
																		(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
																		BINT(1L));
																}
														}
													else
														{	/* Ast/build.scm 66 */
															BgL_test1586z00_1896 = ((bool_t) 0);
														}
													if (BgL_test1586z00_1896)
														{	/* Ast/build.scm 66 */
															BgL_arg1297z00_1427 =
																BGl_string1540z00zzast_buildz00;
														}
													else
														{	/* Ast/build.scm 66 */
															BgL_arg1297z00_1427 =
																BGl_string1541z00zzast_buildz00;
														}
												}
												bgl_display_obj(BgL_arg1297z00_1427,
													BgL_port1245z00_1426);
											}
											bgl_display_string(BGl_string1542z00zzast_buildz00,
												BgL_port1245z00_1426);
											bgl_display_char(((unsigned char) 10),
												BgL_port1245z00_1426);
										}
										{	/* Ast/build.scm 66 */
											obj_t BgL_list1300z00_1431;

											BgL_list1300z00_1431 = MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
											BGL_TAIL return
												BGl_exitz00zz__errorz00(BgL_list1300z00_1431);
										}
									}
								else
									{	/* Ast/build.scm 66 */
										obj_t BgL_g1110z00_1432;

										BgL_g1110z00_1432 = BNIL;
										{
											obj_t BgL_hooksz00_1435;
											obj_t BgL_hnamesz00_1436;

											BgL_hooksz00_1435 = BgL_g1110z00_1432;
											BgL_hnamesz00_1436 = BNIL;
										BgL_zc3z04anonymousza31301ze3z87_1437:
											if (NULLP(BgL_hooksz00_1435))
												{	/* Ast/build.scm 66 */
													return BNIL;
												}
											else
												{	/* Ast/build.scm 66 */
													bool_t BgL_test1591z00_1913;

													{	/* Ast/build.scm 66 */
														obj_t BgL_fun1314z00_1444;

														BgL_fun1314z00_1444 =
															CAR(((obj_t) BgL_hooksz00_1435));
														BgL_test1591z00_1913 =
															CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1314z00_1444));
													}
													if (BgL_test1591z00_1913)
														{	/* Ast/build.scm 66 */
															obj_t BgL_arg1310z00_1441;
															obj_t BgL_arg1311z00_1442;

															BgL_arg1310z00_1441 =
																CDR(((obj_t) BgL_hooksz00_1435));
															BgL_arg1311z00_1442 =
																CDR(((obj_t) BgL_hnamesz00_1436));
															{
																obj_t BgL_hnamesz00_1925;
																obj_t BgL_hooksz00_1924;

																BgL_hooksz00_1924 = BgL_arg1310z00_1441;
																BgL_hnamesz00_1925 = BgL_arg1311z00_1442;
																BgL_hnamesz00_1436 = BgL_hnamesz00_1925;
																BgL_hooksz00_1435 = BgL_hooksz00_1924;
																goto BgL_zc3z04anonymousza31301ze3z87_1437;
															}
														}
													else
														{	/* Ast/build.scm 66 */
															obj_t BgL_arg1313z00_1443;

															BgL_arg1313z00_1443 =
																CAR(((obj_t) BgL_hnamesz00_1436));
															return
																BGl_internalzd2errorzd2zztools_errorz00
																(BGl_za2currentzd2passza2zd2zzengine_passz00,
																BGl_string1543z00zzast_buildz00,
																BgL_arg1313z00_1443);
														}
												}
										}
									}
							}
					}
				}
			}
		}

	}



/* &build-ast-sans-remove */
	obj_t BGl_z62buildzd2astzd2sanszd2removezb0zzast_buildz00(obj_t
		BgL_envz00_1702, obj_t BgL_unitsz00_1703)
	{
		{	/* Ast/build.scm 51 */
			return
				BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00(BgL_unitsz00_1703);
		}

	}



/* sfun-def->ast */
	BgL_globalz00_bglt BGl_sfunzd2defzd2ze3astze3zzast_buildz00(BgL_globalz00_bglt
		BgL_defz00_7)
	{
		{	/* Ast/build.scm 71 */
			{	/* Ast/build.scm 72 */
				obj_t BgL_arg1331z00_1464;

				BgL_arg1331z00_1464 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_defz00_7)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1331z00_1464);
			}
			{	/* Ast/build.scm 73 */
				obj_t BgL_exitd1112z00_1465;

				BgL_exitd1112z00_1465 = BGL_EXITD_TOP_AS_OBJ();
				{	/* Ast/build.scm 73 */
					obj_t BgL_arg1881z00_1685;

					{	/* Ast/build.scm 73 */
						obj_t BgL_arg1883z00_1686;

						BgL_arg1883z00_1686 = BGL_EXITD_PROTECT(BgL_exitd1112z00_1465);
						BgL_arg1881z00_1685 =
							MAKE_YOUNG_PAIR(BGl_proc1544z00zzast_buildz00,
							BgL_arg1883z00_1686);
					}
					BGL_EXITD_PROTECT_SET(BgL_exitd1112z00_1465, BgL_arg1881z00_1685);
					BUNSPEC;
				}
				{	/* Ast/build.scm 74 */
					obj_t BgL_tmp1114z00_1467;

					{	/* Ast/build.scm 74 */
						BgL_valuez00_bglt BgL_sfunz00_1468;

						BgL_sfunz00_1468 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_defz00_7)))->BgL_valuez00);
						{	/* Ast/build.scm 74 */
							obj_t BgL_sfunzd2argszd2_1469;

							BgL_sfunzd2argszd2_1469 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt) BgL_sfunz00_1468)))->BgL_argsz00);
							{	/* Ast/build.scm 75 */
								obj_t BgL_sfunzd2bodyzd2expz00_1470;

								BgL_sfunzd2bodyzd2expz00_1470 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_sfunz00_1468)))->BgL_bodyz00);
								{	/* Ast/build.scm 76 */
									obj_t BgL_defzd2loczd2_1471;

									BgL_defzd2loczd2_1471 =
										BGl_findzd2locationzd2zztools_locationz00(
										(((BgL_globalz00_bglt) COBJECT(BgL_defz00_7))->BgL_srcz00));
									{	/* Ast/build.scm 77 */
										obj_t BgL_locz00_1472;

										BgL_locz00_1472 =
											BGl_findzd2locationzf2locz20zztools_locationz00
											(BgL_sfunzd2bodyzd2expz00_1470, BgL_defzd2loczd2_1471);
										{	/* Ast/build.scm 78 */
											BgL_nodez00_bglt BgL_bodyz00_1473;

											BgL_bodyz00_1473 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00
												(BgL_sfunzd2bodyzd2expz00_1470, BgL_sfunzd2argszd2_1469,
												BgL_locz00_1472, ((obj_t) CNST_TABLE_REF(2)));
											{	/* Ast/build.scm 79 */

												BgL_tmp1114z00_1467 =
													((((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_sfunz00_1468)))->
														BgL_bodyz00) =
													((obj_t) ((obj_t) BgL_bodyz00_1473)), BUNSPEC);
											}
										}
									}
								}
							}
						}
					}
					{	/* Ast/build.scm 73 */
						bool_t BgL_test1592z00_1952;

						{	/* Ast/build.scm 73 */
							obj_t BgL_arg1880z00_1693;

							BgL_arg1880z00_1693 = BGL_EXITD_PROTECT(BgL_exitd1112z00_1465);
							BgL_test1592z00_1952 = PAIRP(BgL_arg1880z00_1693);
						}
						if (BgL_test1592z00_1952)
							{	/* Ast/build.scm 73 */
								obj_t BgL_arg1877z00_1694;

								{	/* Ast/build.scm 73 */
									obj_t BgL_arg1879z00_1695;

									BgL_arg1879z00_1695 =
										BGL_EXITD_PROTECT(BgL_exitd1112z00_1465);
									BgL_arg1877z00_1694 = CDR(((obj_t) BgL_arg1879z00_1695));
								}
								BGL_EXITD_PROTECT_SET(BgL_exitd1112z00_1465,
									BgL_arg1877z00_1694);
								BUNSPEC;
							}
						else
							{	/* Ast/build.scm 73 */
								BFALSE;
							}
					}
					BGl_leavezd2functionzd2zztools_errorz00();
					BgL_tmp1114z00_1467;
				}
			}
			return BgL_defz00_7;
		}

	}



/* &<@anonymous:1333> */
	obj_t BGl_z62zc3z04anonymousza31333ze3ze5zzast_buildz00(obj_t BgL_envz00_1705)
	{
		{	/* Ast/build.scm 73 */
			return BGl_leavezd2functionzd2zztools_errorz00();
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_buildz00(void)
	{
		{	/* Ast/build.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_buildz00(void)
	{
		{	/* Ast/build.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_buildz00(void)
	{
		{	/* Ast/build.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_buildz00(void)
	{
		{	/* Ast/build.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1545z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1545z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string1545z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1545z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1545z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1545z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_unitz00(234044111L,
				BSTRING_TO_STRING(BGl_string1545z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1545z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1545z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(502577483L,
				BSTRING_TO_STRING(BGl_string1545z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(383247627L,
				BSTRING_TO_STRING(BGl_string1545z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1545z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(47102372L,
				BSTRING_TO_STRING(BGl_string1545z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(301998274L,
				BSTRING_TO_STRING(BGl_string1545z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1545z00zzast_buildz00));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1545z00zzast_buildz00));
		}

	}

#ifdef __cplusplus
}
#endif
