/*===========================================================================*/
/*   (Ast/labels.scm)                                                        */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/labels.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_AST_LABELS_TYPE_DEFINITIONS
#define BGL_AST_LABELS_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;


#endif													// BGL_AST_LABELS_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_labelsz00 = BUNSPEC;
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	static obj_t BGl_makezd2localzd2nooptzd2sfunzd2zzast_labelsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzast_labelsz00(void);
	static obj_t BGl_labelszd2bindingzd2zzast_labelsz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzast_labelsz00(void);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	static obj_t BGl_objectzd2initzd2zzast_labelsz00(void);
	BGL_EXPORTED_DECL obj_t BGl_labelszd2symzf3z21zzast_labelsz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_labelszd2symzd2zzast_labelsz00(void);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern long BGl_localzd2arityzd2zztools_argsz00(obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62labelszd2ze3nodez53zzast_labelsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62labelszd2symzb0zzast_labelsz00(obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t,
		BgL_typez00_bglt, BgL_sfunz00_bglt);
	extern BgL_localz00_bglt
		BGl_makezd2userzd2localzd2sfunzd2zzast_localz00(obj_t, BgL_typez00_bglt,
		BgL_sfunz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzast_labelsz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_labelsz00(void);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62labelszd2symzf3z43zzast_labelsz00(obj_t, obj_t);
	extern bool_t BGl_dssslzd2arityzd2za7erozf3z54zztools_argsz00(int, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_labelsz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_labelsz00(void);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_allocatezd2sfunszd2zzast_labelsz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	extern BgL_localz00_bglt
		BGl_makezd2userzd2localzd2svarzd2zzast_localz00(obj_t, BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_labelsz00(void);
	extern obj_t BGl_dssslzd2argsza2zd2ze3argszd2listz93zztools_dssslz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_labelsz00(void);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL BgL_letzd2funzd2_bglt
		BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2labelsza2z00zzast_labelsz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_labelszd2symzf3zd2envzf3zzast_labelsz00,
		BgL_bgl_za762labelsza7d2symza71575za7,
		BGl_z62labelszd2symzf3z43zzast_labelsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1566z00zzast_labelsz00,
		BgL_bgl_string1566za700za7za7a1576za7, "Illegal `labels' expression", 27);
	      DEFINE_STRING(BGl_string1567z00zzast_labelsz00,
		BgL_bgl_string1567za700za7za7a1577za7, "Illegal `binding' form", 22);
	      DEFINE_STRING(BGl_string1568z00zzast_labelsz00,
		BgL_bgl_string1568za700za7za7a1578za7, "Illegal formal type", 19);
	      DEFINE_STRING(BGl_string1569z00zzast_labelsz00,
		BgL_bgl_string1569za700za7za7a1579za7, "Illegal `labels' form", 21);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_labelszd2ze3nodezd2envze3zzast_labelsz00,
		BgL_bgl_za762labelsza7d2za7e3n1580za7,
		BGl_z62labelszd2ze3nodez53zzast_labelsz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1570z00zzast_labelsz00,
		BgL_bgl_string1570za700za7za7a1581za7, "ast_labels", 10);
	      DEFINE_STRING(BGl_string1571z00zzast_labelsz00,
		BgL_bgl_string1571za700za7za7a1582za7, "value \077\077? plain labels ", 23);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_labelszd2symzd2envz00zzast_labelsz00,
		BgL_bgl_za762labelsza7d2symza71583za7,
		BGl_z62labelszd2symzb0zzast_labelsz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_userzd2errorzd2envz00zztools_errorz00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_labelsz00));
		     ADD_ROOT((void *) (&BGl_za2labelsza2z00zzast_labelsz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long
		BgL_checksumz00_1798, char *BgL_fromz00_1799)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_labelsz00))
				{
					BGl_requirezd2initializa7ationz75zzast_labelsz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_labelsz00();
					BGl_libraryzd2moduleszd2initz00zzast_labelsz00();
					BGl_cnstzd2initzd2zzast_labelsz00();
					BGl_importedzd2moduleszd2initz00zzast_labelsz00();
					return BGl_toplevelzd2initzd2zzast_labelsz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_labelsz00(void)
	{
		{	/* Ast/labels.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_labels");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_labels");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "ast_labels");
			BGl_modulezd2initializa7ationz75zz__dssslz00(0L, "ast_labels");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "ast_labels");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "ast_labels");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_labels");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_labels");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "ast_labels");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_labelsz00(void)
	{
		{	/* Ast/labels.scm 14 */
			{	/* Ast/labels.scm 14 */
				obj_t BgL_cportz00_1787;

				{	/* Ast/labels.scm 14 */
					obj_t BgL_stringz00_1794;

					BgL_stringz00_1794 = BGl_string1571z00zzast_labelsz00;
					{	/* Ast/labels.scm 14 */
						obj_t BgL_startz00_1795;

						BgL_startz00_1795 = BINT(0L);
						{	/* Ast/labels.scm 14 */
							obj_t BgL_endz00_1796;

							BgL_endz00_1796 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1794)));
							{	/* Ast/labels.scm 14 */

								BgL_cportz00_1787 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1794, BgL_startz00_1795, BgL_endz00_1796);
				}}}}
				{
					long BgL_iz00_1788;

					BgL_iz00_1788 = 3L;
				BgL_loopz00_1789:
					if ((BgL_iz00_1788 == (-1L)))
						{	/* Ast/labels.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/labels.scm 14 */
							{	/* Ast/labels.scm 14 */
								obj_t BgL_arg1574z00_1790;

								{	/* Ast/labels.scm 14 */

									{	/* Ast/labels.scm 14 */
										obj_t BgL_locationz00_1792;

										BgL_locationz00_1792 = BBOOL(((bool_t) 0));
										{	/* Ast/labels.scm 14 */

											BgL_arg1574z00_1790 =
												BGl_readz00zz__readerz00(BgL_cportz00_1787,
												BgL_locationz00_1792);
										}
									}
								}
								{	/* Ast/labels.scm 14 */
									int BgL_tmpz00_1826;

									BgL_tmpz00_1826 = (int) (BgL_iz00_1788);
									CNST_TABLE_SET(BgL_tmpz00_1826, BgL_arg1574z00_1790);
							}}
							{	/* Ast/labels.scm 14 */
								int BgL_auxz00_1793;

								BgL_auxz00_1793 = (int) ((BgL_iz00_1788 - 1L));
								{
									long BgL_iz00_1831;

									BgL_iz00_1831 = (long) (BgL_auxz00_1793);
									BgL_iz00_1788 = BgL_iz00_1831;
									goto BgL_loopz00_1789;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_labelsz00(void)
	{
		{	/* Ast/labels.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_labelsz00(void)
	{
		{	/* Ast/labels.scm 14 */
			return (BGl_za2labelsza2z00zzast_labelsz00 =
				BGl_gensymz00zz__r4_symbols_6_4z00(
					((obj_t) CNST_TABLE_REF(0))), BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzast_labelsz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1379;

					BgL_headz00_1379 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1380;
						obj_t BgL_tailz00_1381;

						BgL_prevz00_1380 = BgL_headz00_1379;
						BgL_tailz00_1381 = BgL_l1z00_1;
					BgL_loopz00_1382:
						if (PAIRP(BgL_tailz00_1381))
							{
								obj_t BgL_newzd2prevzd2_1384;

								BgL_newzd2prevzd2_1384 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1381), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1380, BgL_newzd2prevzd2_1384);
								{
									obj_t BgL_tailz00_1846;
									obj_t BgL_prevz00_1845;

									BgL_prevz00_1845 = BgL_newzd2prevzd2_1384;
									BgL_tailz00_1846 = CDR(BgL_tailz00_1381);
									BgL_tailz00_1381 = BgL_tailz00_1846;
									BgL_prevz00_1380 = BgL_prevz00_1845;
									goto BgL_loopz00_1382;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1379);
					}
				}
		}

	}



/* labels-sym */
	BGL_EXPORTED_DEF obj_t BGl_labelszd2symzd2zzast_labelsz00(void)
	{
		{	/* Ast/labels.scm 39 */
			return BGl_za2labelsza2z00zzast_labelsz00;
		}

	}



/* &labels-sym */
	obj_t BGl_z62labelszd2symzb0zzast_labelsz00(obj_t BgL_envz00_1773)
	{
		{	/* Ast/labels.scm 39 */
			return BGl_labelszd2symzd2zzast_labelsz00();
		}

	}



/* labels-sym? */
	BGL_EXPORTED_DEF obj_t BGl_labelszd2symzf3z21zzast_labelsz00(obj_t
		BgL_symz00_17)
	{
		{	/* Ast/labels.scm 45 */
			return BBOOL((BgL_symz00_17 == BGl_za2labelsza2z00zzast_labelsz00));
		}

	}



/* &labels-sym? */
	obj_t BGl_z62labelszd2symzf3z43zzast_labelsz00(obj_t BgL_envz00_1774,
		obj_t BgL_symz00_1775)
	{
		{	/* Ast/labels.scm 45 */
			return BGl_labelszd2symzf3z21zzast_labelsz00(BgL_symz00_1775);
		}

	}



/* labels->node */
	BGL_EXPORTED_DEF BgL_letzd2funzd2_bglt
		BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t BgL_expz00_18,
		obj_t BgL_stackz00_19, obj_t BgL_locz00_20, obj_t BgL_sitez00_21)
	{
		{	/* Ast/labels.scm 51 */
			{	/* Ast/labels.scm 52 */
				obj_t BgL_locz00_1399;

				BgL_locz00_1399 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_18,
					BgL_locz00_20);
				{
					obj_t BgL_bindingsz00_1400;
					obj_t BgL_bodyz00_1401;

					if (PAIRP(BgL_expz00_18))
						{	/* Ast/labels.scm 53 */
							obj_t BgL_cdrzd2367zd2_1406;

							BgL_cdrzd2367zd2_1406 = CDR(((obj_t) BgL_expz00_18));
							if (PAIRP(BgL_cdrzd2367zd2_1406))
								{	/* Ast/labels.scm 53 */
									obj_t BgL_carzd2370zd2_1408;

									BgL_carzd2370zd2_1408 = CAR(BgL_cdrzd2367zd2_1406);
									if (PAIRP(BgL_carzd2370zd2_1408))
										{	/* Ast/labels.scm 53 */
											BgL_bindingsz00_1400 = BgL_carzd2370zd2_1408;
											BgL_bodyz00_1401 = CDR(BgL_cdrzd2367zd2_1406);
											{	/* Ast/labels.scm 55 */
												obj_t BgL_localsz00_1411;

												BgL_localsz00_1411 =
													BGl_allocatezd2sfunszd2zzast_labelsz00
													(BgL_bindingsz00_1400, BgL_locz00_1399);
												{	/* Ast/labels.scm 55 */
													obj_t BgL_newzd2stackzd2_1412;

													BgL_newzd2stackzd2_1412 =
														BGl_appendzd221011zd2zzast_labelsz00
														(BgL_localsz00_1411, BgL_stackz00_19);
													{	/* Ast/labels.scm 56 */
														BgL_nodez00_bglt BgL_bodyz00_1413;

														BgL_bodyz00_1413 =
															BGl_sexpzd2ze3nodez31zzast_sexpz00
															(BGl_normaliza7ezd2prognz75zztools_prognz00
															(BgL_bodyz00_1401), BgL_newzd2stackzd2_1412,
															BgL_locz00_1399, BgL_sitez00_21);
														{	/* Ast/labels.scm 57 */
															obj_t BgL_locz00_1414;

															BgL_locz00_1414 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_18, BgL_locz00_1399);
															{	/* Ast/labels.scm 58 */

																{
																	obj_t BgL_ll1228z00_1416;
																	obj_t BgL_ll1229z00_1417;

																	BgL_ll1228z00_1416 = BgL_localsz00_1411;
																	BgL_ll1229z00_1417 = BgL_bindingsz00_1400;
																BgL_zc3z04anonymousza31267ze3z87_1418:
																	if (NULLP(BgL_ll1228z00_1416))
																		{	/* Ast/labels.scm 60 */
																			((bool_t) 1);
																		}
																	else
																		{	/* Ast/labels.scm 60 */
																			{	/* Ast/labels.scm 60 */
																				obj_t BgL_funz00_1420;
																				obj_t BgL_bz00_1421;

																				BgL_funz00_1420 =
																					CAR(((obj_t) BgL_ll1228z00_1416));
																				BgL_bz00_1421 =
																					CAR(((obj_t) BgL_ll1229z00_1417));
																				BGl_labelszd2bindingzd2zzast_labelsz00
																					(BgL_funz00_1420, BgL_bz00_1421,
																					BgL_newzd2stackzd2_1412,
																					BgL_locz00_1414);
																			}
																			{	/* Ast/labels.scm 60 */
																				obj_t BgL_arg1271z00_1422;
																				obj_t BgL_arg1272z00_1423;

																				BgL_arg1271z00_1422 =
																					CDR(((obj_t) BgL_ll1228z00_1416));
																				BgL_arg1272z00_1423 =
																					CDR(((obj_t) BgL_ll1229z00_1417));
																				{
																					obj_t BgL_ll1229z00_1880;
																					obj_t BgL_ll1228z00_1879;

																					BgL_ll1228z00_1879 =
																						BgL_arg1271z00_1422;
																					BgL_ll1229z00_1880 =
																						BgL_arg1272z00_1423;
																					BgL_ll1229z00_1417 =
																						BgL_ll1229z00_1880;
																					BgL_ll1228z00_1416 =
																						BgL_ll1228z00_1879;
																					goto
																						BgL_zc3z04anonymousza31267ze3z87_1418;
																				}
																			}
																		}
																}
																{	/* Ast/labels.scm 64 */
																	BgL_letzd2funzd2_bglt BgL_new1107z00_1425;

																	{	/* Ast/labels.scm 65 */
																		BgL_letzd2funzd2_bglt BgL_new1106z00_1427;

																		BgL_new1106z00_1427 =
																			((BgL_letzd2funzd2_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_letzd2funzd2_bgl))));
																		{	/* Ast/labels.scm 65 */
																			long BgL_arg1274z00_1428;

																			BgL_arg1274z00_1428 =
																				BGL_CLASS_NUM
																				(BGl_letzd2funzd2zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt)
																					BgL_new1106z00_1427),
																				BgL_arg1274z00_1428);
																		}
																		{	/* Ast/labels.scm 65 */
																			BgL_objectz00_bglt BgL_tmpz00_1885;

																			BgL_tmpz00_1885 =
																				((BgL_objectz00_bglt)
																				BgL_new1106z00_1427);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1885,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1106z00_1427);
																		BgL_new1107z00_1425 = BgL_new1106z00_1427;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1107z00_1425)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_1414), BUNSPEC);
																	{
																		BgL_typez00_bglt BgL_auxz00_1891;

																		{	/* Ast/labels.scm 66 */
																			BgL_typez00_bglt BgL_arg1273z00_1426;

																			BgL_arg1273z00_1426 =
																				(((BgL_nodez00_bglt)
																					COBJECT(BgL_bodyz00_1413))->
																				BgL_typez00);
																			BgL_auxz00_1891 =
																				BGl_strictzd2nodezd2typez00zzast_nodez00
																				(((BgL_typez00_bglt)
																					BGl_za2_za2z00zztype_cachez00),
																				BgL_arg1273z00_1426);
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1107z00_1425)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_auxz00_1891),
																			BUNSPEC);
																	}
																	((((BgL_nodezf2effectzf2_bglt) COBJECT(
																					((BgL_nodezf2effectzf2_bglt)
																						BgL_new1107z00_1425)))->
																			BgL_sidezd2effectzd2) =
																		((obj_t) BUNSPEC), BUNSPEC);
																	((((BgL_nodezf2effectzf2_bglt)
																				COBJECT(((BgL_nodezf2effectzf2_bglt)
																						BgL_new1107z00_1425)))->
																			BgL_keyz00) =
																		((obj_t) BINT((-1L))), BUNSPEC);
																	((((BgL_letzd2funzd2_bglt)
																				COBJECT(BgL_new1107z00_1425))->
																			BgL_localsz00) =
																		((obj_t) BgL_localsz00_1411), BUNSPEC);
																	((((BgL_letzd2funzd2_bglt)
																				COBJECT(BgL_new1107z00_1425))->
																			BgL_bodyz00) =
																		((BgL_nodez00_bglt) BgL_bodyz00_1413),
																		BUNSPEC);
																	return BgL_new1107z00_1425;
																}
															}
														}
													}
												}
											}
										}
									else
										{
											BgL_nodez00_bglt BgL_auxz00_1905;

										BgL_tagzd2360zd2_1403:
											BgL_auxz00_1905 =
												BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
												(BGl_string1566z00zzast_labelsz00, BgL_expz00_18,
												BgL_locz00_1399);
											return ((BgL_letzd2funzd2_bglt) BgL_auxz00_1905);
										}
								}
							else
								{
									BgL_nodez00_bglt BgL_auxz00_1908;

									goto BgL_tagzd2360zd2_1403;
									return ((BgL_letzd2funzd2_bglt) BgL_auxz00_1908);
								}
						}
					else
						{
							BgL_nodez00_bglt BgL_auxz00_1910;

							goto BgL_tagzd2360zd2_1403;
							return ((BgL_letzd2funzd2_bglt) BgL_auxz00_1910);
						}
				}
			}
		}

	}



/* &labels->node */
	BgL_letzd2funzd2_bglt BGl_z62labelszd2ze3nodez53zzast_labelsz00(obj_t
		BgL_envz00_1776, obj_t BgL_expz00_1777, obj_t BgL_stackz00_1778,
		obj_t BgL_locz00_1779, obj_t BgL_sitez00_1780)
	{
		{	/* Ast/labels.scm 51 */
			return
				BGl_labelszd2ze3nodez31zzast_labelsz00(BgL_expz00_1777,
				BgL_stackz00_1778, BgL_locz00_1779, BgL_sitez00_1780);
		}

	}



/* allocate-sfuns */
	obj_t BGl_allocatezd2sfunszd2zzast_labelsz00(obj_t BgL_bindingsz00_22,
		obj_t BgL_locz00_23)
	{
		{	/* Ast/labels.scm 75 */
			{
				obj_t BgL_bindingsz00_1432;
				obj_t BgL_resz00_1433;

				BgL_bindingsz00_1432 = BgL_bindingsz00_22;
				BgL_resz00_1433 = BNIL;
			BgL_zc3z04anonymousza31276ze3z87_1434:
				if (NULLP(BgL_bindingsz00_1432))
					{	/* Ast/labels.scm 78 */
						return bgl_reverse_bang(BgL_resz00_1433);
					}
				else
					{	/* Ast/labels.scm 80 */
						obj_t BgL_srcz00_1436;

						BgL_srcz00_1436 = CAR(((obj_t) BgL_bindingsz00_1432));
						{
							obj_t BgL_funz00_1437;
							obj_t BgL_argsz00_1438;
							obj_t BgL_bodyz00_1439;

							if (PAIRP(BgL_srcz00_1436))
								{	/* Ast/labels.scm 81 */
									obj_t BgL_carzd2385zd2_1444;
									obj_t BgL_cdrzd2386zd2_1445;

									BgL_carzd2385zd2_1444 = CAR(((obj_t) BgL_srcz00_1436));
									BgL_cdrzd2386zd2_1445 = CDR(((obj_t) BgL_srcz00_1436));
									if (SYMBOLP(BgL_carzd2385zd2_1444))
										{	/* Ast/labels.scm 81 */
											if (PAIRP(BgL_cdrzd2386zd2_1445))
												{	/* Ast/labels.scm 81 */
													BgL_funz00_1437 = BgL_carzd2385zd2_1444;
													BgL_argsz00_1438 = CAR(BgL_cdrzd2386zd2_1445);
													BgL_bodyz00_1439 = CDR(BgL_cdrzd2386zd2_1445);
													{	/* Ast/labels.scm 83 */
														obj_t BgL_locz00_1450;

														{	/* Ast/labels.scm 83 */
															obj_t BgL_arg1287z00_1454;

															BgL_arg1287z00_1454 =
																CAR(((obj_t) BgL_bindingsz00_1432));
															BgL_locz00_1450 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_arg1287z00_1454, BgL_locz00_23);
														}
														{	/* Ast/labels.scm 83 */
															obj_t BgL_funz00_1451;

															BgL_funz00_1451 =
																BGl_makezd2localzd2nooptzd2sfunzd2zzast_labelsz00
																(BgL_locz00_1450, BgL_srcz00_1436,
																BgL_funz00_1437, BgL_argsz00_1438,
																BgL_bodyz00_1439);
															{	/* Ast/labels.scm 84 */

																{	/* Ast/labels.scm 85 */
																	obj_t BgL_arg1284z00_1452;
																	obj_t BgL_arg1285z00_1453;

																	BgL_arg1284z00_1452 =
																		CDR(((obj_t) BgL_bindingsz00_1432));
																	BgL_arg1285z00_1453 =
																		MAKE_YOUNG_PAIR(BgL_funz00_1451,
																		BgL_resz00_1433);
																	{
																		obj_t BgL_resz00_1936;
																		obj_t BgL_bindingsz00_1935;

																		BgL_bindingsz00_1935 = BgL_arg1284z00_1452;
																		BgL_resz00_1936 = BgL_arg1285z00_1453;
																		BgL_resz00_1433 = BgL_resz00_1936;
																		BgL_bindingsz00_1432 = BgL_bindingsz00_1935;
																		goto BgL_zc3z04anonymousza31276ze3z87_1434;
																	}
																}
															}
														}
													}
												}
											else
												{	/* Ast/labels.scm 81 */
												BgL_tagzd2377zd2_1441:
													BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
														(BGl_string1567z00zzast_labelsz00, BgL_srcz00_1436,
														BgL_locz00_23);
													return BNIL;
												}
										}
									else
										{	/* Ast/labels.scm 81 */
											goto BgL_tagzd2377zd2_1441;
										}
								}
							else
								{	/* Ast/labels.scm 81 */
									goto BgL_tagzd2377zd2_1441;
								}
						}
					}
			}
		}

	}



/* make-local-noopt-sfun */
	obj_t BGl_makezd2localzd2nooptzd2sfunzd2zzast_labelsz00(obj_t BgL_locz00_24,
		obj_t BgL_srcz00_25, obj_t BgL_funz00_26, obj_t BgL_argsz00_27,
		obj_t BgL_bodyz00_28)
	{
		{	/* Ast/labels.scm 93 */
			{	/* Ast/labels.scm 94 */
				obj_t BgL_idzd2typezd2_1456;

				BgL_idzd2typezd2_1456 =
					BGl_parsezd2idzd2zzast_identz00(BgL_funz00_26, BgL_locz00_24);
				{	/* Ast/labels.scm 94 */
					obj_t BgL_idz00_1457;

					BgL_idz00_1457 = CAR(BgL_idzd2typezd2_1456);
					{	/* Ast/labels.scm 95 */
						obj_t BgL_typez00_1458;

						BgL_typez00_1458 = CDR(BgL_idzd2typezd2_1456);
						{	/* Ast/labels.scm 96 */
							long BgL_arityz00_1459;

							BgL_arityz00_1459 =
								BGl_localzd2arityzd2zztools_argsz00(BgL_argsz00_27);
							{	/* Ast/labels.scm 97 */
								obj_t BgL_formalsz00_1460;

								{	/* Ast/labels.scm 98 */
									obj_t BgL_l1231z00_1514;

									BgL_l1231z00_1514 =
										BGl_dssslzd2argsza2zd2ze3argszd2listz93zztools_dssslz00
										(BgL_argsz00_27);
									if (NULLP(BgL_l1231z00_1514))
										{	/* Ast/labels.scm 98 */
											BgL_formalsz00_1460 = BNIL;
										}
									else
										{	/* Ast/labels.scm 98 */
											obj_t BgL_head1233z00_1516;

											BgL_head1233z00_1516 = MAKE_YOUNG_PAIR(BNIL, BNIL);
											{
												obj_t BgL_l1231z00_1518;
												obj_t BgL_tail1234z00_1519;

												BgL_l1231z00_1518 = BgL_l1231z00_1514;
												BgL_tail1234z00_1519 = BgL_head1233z00_1516;
											BgL_zc3z04anonymousza31320ze3z87_1520:
												if (NULLP(BgL_l1231z00_1518))
													{	/* Ast/labels.scm 98 */
														BgL_formalsz00_1460 = CDR(BgL_head1233z00_1516);
													}
												else
													{	/* Ast/labels.scm 98 */
														obj_t BgL_newtail1235z00_1522;

														{	/* Ast/labels.scm 98 */
															obj_t BgL_arg1326z00_1524;

															{	/* Ast/labels.scm 98 */
																obj_t BgL_az00_1525;

																BgL_az00_1525 =
																	CAR(((obj_t) BgL_l1231z00_1518));
																BgL_arg1326z00_1524 =
																	BGl_parsezd2idzd2zzast_identz00(BgL_az00_1525,
																	BgL_locz00_24);
															}
															BgL_newtail1235z00_1522 =
																MAKE_YOUNG_PAIR(BgL_arg1326z00_1524, BNIL);
														}
														SET_CDR(BgL_tail1234z00_1519,
															BgL_newtail1235z00_1522);
														{	/* Ast/labels.scm 98 */
															obj_t BgL_arg1322z00_1523;

															BgL_arg1322z00_1523 =
																CDR(((obj_t) BgL_l1231z00_1518));
															{
																obj_t BgL_tail1234z00_1959;
																obj_t BgL_l1231z00_1958;

																BgL_l1231z00_1958 = BgL_arg1322z00_1523;
																BgL_tail1234z00_1959 = BgL_newtail1235z00_1522;
																BgL_tail1234z00_1519 = BgL_tail1234z00_1959;
																BgL_l1231z00_1518 = BgL_l1231z00_1958;
																goto BgL_zc3z04anonymousza31320ze3z87_1520;
															}
														}
													}
											}
										}
								}
								{	/* Ast/labels.scm 98 */

									{	/* Ast/labels.scm 102 */
										bool_t BgL_test1600z00_1960;

										if ((BgL_arityz00_1459 >= 0L))
											{	/* Ast/labels.scm 102 */
												BgL_test1600z00_1960 = ((bool_t) 1);
											}
										else
											{	/* Ast/labels.scm 102 */
												if (BGl_dssslzd2arityzd2za7erozf3z54zztools_argsz00(
														(int) (BgL_arityz00_1459), BgL_formalsz00_1460))
													{	/* Ast/labels.scm 106 */
														BgL_test1600z00_1960 = ((bool_t) 1);
													}
												else
													{	/* Ast/labels.scm 107 */
														obj_t BgL_largz00_1511;

														BgL_largz00_1511 =
															CAR
															(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
															(BgL_formalsz00_1460));
														{	/* Ast/labels.scm 107 */
															obj_t BgL_typez00_1512;

															BgL_typez00_1512 =
																CDR(((obj_t) BgL_largz00_1511));
															{	/* Ast/labels.scm 108 */

																if (
																	(BgL_typez00_1512 ==
																		BGl_za2objza2z00zztype_cachez00))
																	{	/* Ast/labels.scm 110 */
																		BgL_test1600z00_1960 = ((bool_t) 1);
																	}
																else
																	{	/* Ast/labels.scm 110 */
																		if (
																			(BgL_typez00_1512 ==
																				BGl_za2_za2z00zztype_cachez00))
																			{	/* Ast/labels.scm 112 */
																				{	/* Ast/labels.scm 113 */
																					obj_t BgL_objz00_1741;

																					BgL_objz00_1741 =
																						BGl_za2objza2z00zztype_cachez00;
																					{	/* Ast/labels.scm 113 */
																						obj_t BgL_tmpz00_1974;

																						BgL_tmpz00_1974 =
																							((obj_t) BgL_largz00_1511);
																						SET_CDR(BgL_tmpz00_1974,
																							BgL_objz00_1741);
																					}
																				}
																				BgL_test1600z00_1960 = ((bool_t) 1);
																			}
																		else
																			{	/* Ast/labels.scm 112 */
																				BgL_test1600z00_1960 = ((bool_t) 0);
																			}
																	}
															}
														}
													}
											}
										if (BgL_test1600z00_1960)
											{	/* Ast/labels.scm 117 */
												obj_t BgL_argsz00_1467;

												if (NULLP(BgL_formalsz00_1460))
													{	/* Ast/labels.scm 117 */
														BgL_argsz00_1467 = BNIL;
													}
												else
													{	/* Ast/labels.scm 117 */
														obj_t BgL_head1238z00_1491;

														BgL_head1238z00_1491 = MAKE_YOUNG_PAIR(BNIL, BNIL);
														{
															obj_t BgL_l1236z00_1493;
															obj_t BgL_tail1239z00_1494;

															BgL_l1236z00_1493 = BgL_formalsz00_1460;
															BgL_tail1239z00_1494 = BgL_head1238z00_1491;
														BgL_zc3z04anonymousza31307ze3z87_1495:
															if (NULLP(BgL_l1236z00_1493))
																{	/* Ast/labels.scm 117 */
																	BgL_argsz00_1467 = CDR(BgL_head1238z00_1491);
																}
															else
																{	/* Ast/labels.scm 117 */
																	obj_t BgL_newtail1240z00_1497;

																	{	/* Ast/labels.scm 117 */
																		BgL_localz00_bglt BgL_arg1310z00_1499;

																		{	/* Ast/labels.scm 117 */
																			obj_t BgL_fz00_1500;

																			BgL_fz00_1500 =
																				CAR(((obj_t) BgL_l1236z00_1493));
																			{	/* Ast/labels.scm 118 */
																				bool_t BgL_test1609z00_1985;

																				{	/* Ast/labels.scm 118 */
																					obj_t BgL_arg1317z00_1507;

																					BgL_arg1317z00_1507 =
																						CAR(((obj_t) BgL_fz00_1500));
																					BgL_test1609z00_1985 =
																						BGl_userzd2symbolzf3z21zzast_identz00
																						(BgL_arg1317z00_1507);
																				}
																				if (BgL_test1609z00_1985)
																					{	/* Ast/labels.scm 119 */
																						obj_t BgL_arg1313z00_1503;
																						obj_t BgL_arg1314z00_1504;

																						BgL_arg1313z00_1503 =
																							CAR(((obj_t) BgL_fz00_1500));
																						BgL_arg1314z00_1504 =
																							CDR(((obj_t) BgL_fz00_1500));
																						BgL_arg1310z00_1499 =
																							BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																							(BgL_arg1313z00_1503,
																							((BgL_typez00_bglt)
																								BgL_arg1314z00_1504));
																					}
																				else
																					{	/* Ast/labels.scm 120 */
																						obj_t BgL_arg1315z00_1505;
																						obj_t BgL_arg1316z00_1506;

																						BgL_arg1315z00_1505 =
																							CAR(((obj_t) BgL_fz00_1500));
																						BgL_arg1316z00_1506 =
																							CDR(((obj_t) BgL_fz00_1500));
																						BgL_arg1310z00_1499 =
																							BGl_makezd2localzd2svarz00zzast_localz00
																							(BgL_arg1315z00_1505,
																							((BgL_typez00_bglt)
																								BgL_arg1316z00_1506));
																					}
																			}
																		}
																		BgL_newtail1240z00_1497 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg1310z00_1499), BNIL);
																	}
																	SET_CDR(BgL_tail1239z00_1494,
																		BgL_newtail1240z00_1497);
																	{	/* Ast/labels.scm 117 */
																		obj_t BgL_arg1309z00_1498;

																		BgL_arg1309z00_1498 =
																			CDR(((obj_t) BgL_l1236z00_1493));
																		{
																			obj_t BgL_tail1239z00_2007;
																			obj_t BgL_l1236z00_2006;

																			BgL_l1236z00_2006 = BgL_arg1309z00_1498;
																			BgL_tail1239z00_2007 =
																				BgL_newtail1240z00_1497;
																			BgL_tail1239z00_1494 =
																				BgL_tail1239z00_2007;
																			BgL_l1236z00_1493 = BgL_l1236z00_2006;
																			goto
																				BgL_zc3z04anonymousza31307ze3z87_1495;
																		}
																	}
																}
														}
													}
												{	/* Ast/labels.scm 117 */
													BgL_sfunz00_bglt BgL_sfunz00_1468;

													{	/* Ast/labels.scm 122 */
														BgL_sfunz00_bglt BgL_new1110z00_1470;

														{	/* Ast/labels.scm 124 */
															BgL_sfunz00_bglt BgL_new1109z00_1487;

															BgL_new1109z00_1487 =
																((BgL_sfunz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_sfunz00_bgl))));
															{	/* Ast/labels.scm 124 */
																long BgL_arg1303z00_1488;

																BgL_arg1303z00_1488 =
																	BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1109z00_1487),
																	BgL_arg1303z00_1488);
															}
															{	/* Ast/labels.scm 124 */
																BgL_objectz00_bglt BgL_tmpz00_2012;

																BgL_tmpz00_2012 =
																	((BgL_objectz00_bglt) BgL_new1109z00_1487);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2012,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1109z00_1487);
															BgL_new1110z00_1470 = BgL_new1109z00_1487;
														}
														((((BgL_funz00_bglt) COBJECT(
																		((BgL_funz00_bglt) BgL_new1110z00_1470)))->
																BgL_arityz00) =
															((long) BgL_arityz00_1459), BUNSPEC);
														((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																			BgL_new1110z00_1470)))->
																BgL_sidezd2effectzd2) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																			BgL_new1110z00_1470)))->
																BgL_predicatezd2ofzd2) =
															((obj_t) BFALSE), BUNSPEC);
														((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																			BgL_new1110z00_1470)))->
																BgL_stackzd2allocatorzd2) =
															((obj_t) BFALSE), BUNSPEC);
														((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																			BgL_new1110z00_1470)))->BgL_topzf3zf3) =
															((bool_t) ((bool_t) 1)), BUNSPEC);
														((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																			BgL_new1110z00_1470)))->
																BgL_thezd2closurezd2) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																			BgL_new1110z00_1470)))->BgL_effectz00) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																			BgL_new1110z00_1470)))->BgL_failsafez00) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																			BgL_new1110z00_1470)))->
																BgL_argszd2noescapezd2) =
															((obj_t) BNIL), BUNSPEC);
														((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
																			BgL_new1110z00_1470)))->
																BgL_argszd2retescapezd2) =
															((obj_t) BNIL), BUNSPEC);
														((((BgL_sfunz00_bglt)
																	COBJECT(BgL_new1110z00_1470))->
																BgL_propertyz00) = ((obj_t) BNIL), BUNSPEC);
														((((BgL_sfunz00_bglt)
																	COBJECT(BgL_new1110z00_1470))->BgL_argsz00) =
															((obj_t) BgL_argsz00_1467), BUNSPEC);
														{
															obj_t BgL_auxz00_2038;

															if (NULLP(BgL_formalsz00_1460))
																{	/* Ast/labels.scm 127 */
																	BgL_auxz00_2038 = BNIL;
																}
															else
																{	/* Ast/labels.scm 127 */
																	obj_t BgL_head1243z00_1473;

																	{	/* Ast/labels.scm 127 */
																		obj_t BgL_arg1301z00_1485;

																		{	/* Ast/labels.scm 127 */
																			obj_t BgL_pairz00_1756;

																			BgL_pairz00_1756 =
																				CAR(((obj_t) BgL_formalsz00_1460));
																			BgL_arg1301z00_1485 =
																				CAR(BgL_pairz00_1756);
																		}
																		BgL_head1243z00_1473 =
																			MAKE_YOUNG_PAIR(BgL_arg1301z00_1485,
																			BNIL);
																	}
																	{	/* Ast/labels.scm 127 */
																		obj_t BgL_g1246z00_1474;

																		BgL_g1246z00_1474 =
																			CDR(((obj_t) BgL_formalsz00_1460));
																		{
																			obj_t BgL_l1241z00_1476;
																			obj_t BgL_tail1244z00_1477;

																			BgL_l1241z00_1476 = BgL_g1246z00_1474;
																			BgL_tail1244z00_1477 =
																				BgL_head1243z00_1473;
																		BgL_zc3z04anonymousza31295ze3z87_1478:
																			if (NULLP(BgL_l1241z00_1476))
																				{	/* Ast/labels.scm 127 */
																					BgL_auxz00_2038 =
																						BgL_head1243z00_1473;
																				}
																			else
																				{	/* Ast/labels.scm 127 */
																					obj_t BgL_newtail1245z00_1480;

																					{	/* Ast/labels.scm 127 */
																						obj_t BgL_arg1298z00_1482;

																						{	/* Ast/labels.scm 127 */
																							obj_t BgL_pairz00_1759;

																							BgL_pairz00_1759 =
																								CAR(
																								((obj_t) BgL_l1241z00_1476));
																							BgL_arg1298z00_1482 =
																								CAR(BgL_pairz00_1759);
																						}
																						BgL_newtail1245z00_1480 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1298z00_1482, BNIL);
																					}
																					SET_CDR(BgL_tail1244z00_1477,
																						BgL_newtail1245z00_1480);
																					{	/* Ast/labels.scm 127 */
																						obj_t BgL_arg1297z00_1481;

																						BgL_arg1297z00_1481 =
																							CDR(((obj_t) BgL_l1241z00_1476));
																						{
																							obj_t BgL_tail1244z00_2057;
																							obj_t BgL_l1241z00_2056;

																							BgL_l1241z00_2056 =
																								BgL_arg1297z00_1481;
																							BgL_tail1244z00_2057 =
																								BgL_newtail1245z00_1480;
																							BgL_tail1244z00_1477 =
																								BgL_tail1244z00_2057;
																							BgL_l1241z00_1476 =
																								BgL_l1241z00_2056;
																							goto
																								BgL_zc3z04anonymousza31295ze3z87_1478;
																						}
																					}
																				}
																		}
																	}
																}
															((((BgL_sfunz00_bglt)
																		COBJECT(BgL_new1110z00_1470))->
																	BgL_argszd2namezd2) =
																((obj_t) BgL_auxz00_2038), BUNSPEC);
														}
														((((BgL_sfunz00_bglt)
																	COBJECT(BgL_new1110z00_1470))->BgL_bodyz00) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_sfunz00_bglt)
																	COBJECT(BgL_new1110z00_1470))->BgL_classz00) =
															((obj_t) ((obj_t) CNST_TABLE_REF(1))), BUNSPEC);
														((((BgL_sfunz00_bglt)
																	COBJECT(BgL_new1110z00_1470))->
																BgL_dssslzd2keywordszd2) =
															((obj_t) BNIL), BUNSPEC);
														((((BgL_sfunz00_bglt)
																	COBJECT(BgL_new1110z00_1470))->BgL_locz00) =
															((obj_t)
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_bodyz00_28, BgL_locz00_24)), BUNSPEC);
														((((BgL_sfunz00_bglt)
																	COBJECT(BgL_new1110z00_1470))->
																BgL_optionalsz00) = ((obj_t) BNIL), BUNSPEC);
														((((BgL_sfunz00_bglt)
																	COBJECT(BgL_new1110z00_1470))->BgL_keysz00) =
															((obj_t) BNIL), BUNSPEC);
														((((BgL_sfunz00_bglt)
																	COBJECT(BgL_new1110z00_1470))->
																BgL_thezd2closurezd2globalz00) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_sfunz00_bglt)
																	COBJECT(BgL_new1110z00_1470))->
																BgL_strengthz00) =
															((obj_t) ((obj_t) CNST_TABLE_REF(2))), BUNSPEC);
														((((BgL_sfunz00_bglt)
																	COBJECT(BgL_new1110z00_1470))->
																BgL_stackablez00) = ((obj_t) BUNSPEC), BUNSPEC);
														BgL_sfunz00_1468 = BgL_new1110z00_1470;
													}
													{	/* Ast/labels.scm 122 */

														if (BGl_userzd2symbolzf3z21zzast_identz00
															(BgL_idz00_1457))
															{	/* Ast/labels.scm 128 */
																return
																	((obj_t)
																	BGl_makezd2userzd2localzd2sfunzd2zzast_localz00
																	(BgL_idz00_1457,
																		((BgL_typez00_bglt) BgL_typez00_1458),
																		BgL_sfunz00_1468));
															}
														else
															{	/* Ast/labels.scm 128 */
																return
																	((obj_t)
																	BGl_makezd2localzd2sfunz00zzast_localz00
																	(BgL_idz00_1457,
																		((BgL_typez00_bglt) BgL_typez00_1458),
																		BgL_sfunz00_1468));
															}
													}
												}
											}
										else
											{	/* Ast/labels.scm 102 */
												BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
													(BGl_string1568z00zzast_labelsz00, BgL_srcz00_25,
													BgL_locz00_24);
												return BNIL;
											}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* labels-binding */
	obj_t BGl_labelszd2bindingzd2zzast_labelsz00(obj_t BgL_localz00_29,
		obj_t BgL_bindingz00_30, obj_t BgL_stackz00_31, obj_t BgL_locz00_32)
	{
		{	/* Ast/labels.scm 138 */
			{
				obj_t BgL_argsz00_1527;
				obj_t BgL_bodyz00_1528;

				if (PAIRP(BgL_bindingz00_30))
					{	/* Ast/labels.scm 139 */
						obj_t BgL_cdrzd2404zd2_1533;

						BgL_cdrzd2404zd2_1533 = CDR(((obj_t) BgL_bindingz00_30));
						if (PAIRP(BgL_cdrzd2404zd2_1533))
							{	/* Ast/labels.scm 139 */
								BgL_argsz00_1527 = CAR(BgL_cdrzd2404zd2_1533);
								BgL_bodyz00_1528 = CDR(BgL_cdrzd2404zd2_1533);
								{	/* Ast/labels.scm 141 */
									obj_t BgL_arg1333z00_1537;

									BgL_arg1333z00_1537 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_29))))->BgL_idz00);
									BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1333z00_1537);
								}
								{	/* Ast/labels.scm 142 */
									obj_t BgL_locz00_1538;

									BgL_locz00_1538 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_bindingz00_30, BgL_locz00_32);
									{	/* Ast/labels.scm 142 */
										obj_t BgL_body2z00_1539;

										{	/* Ast/labels.scm 143 */
											obj_t BgL_arg1342z00_1546;
											obj_t BgL_arg1355z00_1547;

											BgL_arg1342z00_1546 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_localz00_29))))->
												BgL_idz00);
											BgL_arg1355z00_1547 =
												BGl_normaliza7ezd2prognz75zztools_prognz00
												(BgL_bodyz00_1528);
											BgL_body2z00_1539 =
												BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
												(BgL_arg1342z00_1546, BgL_argsz00_1527,
												BgL_arg1355z00_1547,
												BGl_userzd2errorzd2envz00zztools_errorz00);
										}
										{	/* Ast/labels.scm 143 */
											BgL_nodez00_bglt BgL_body3z00_1540;

											{	/* Ast/labels.scm 148 */
												obj_t BgL_arg1339z00_1543;

												{	/* Ast/labels.scm 148 */
													obj_t BgL_arg1340z00_1544;

													BgL_arg1340z00_1544 =
														(((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						BgL_localz00_29))))->
																		BgL_valuez00))))->BgL_argsz00);
													BgL_arg1339z00_1543 =
														BGl_appendzd221011zd2zzast_labelsz00
														(BgL_arg1340z00_1544, BgL_stackz00_31);
												}
												BgL_body3z00_1540 =
													BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_body2z00_1539,
													BgL_arg1339z00_1543, BgL_locz00_1538,
													((obj_t) CNST_TABLE_REF(3)));
											}
											{	/* Ast/labels.scm 147 */

												{	/* Ast/labels.scm 151 */
													BgL_valuez00_bglt BgL_arg1336z00_1541;

													BgL_arg1336z00_1541 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_29))))->
														BgL_valuez00);
													((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
																		BgL_arg1336z00_1541)))->BgL_locz00) =
														((obj_t) BgL_locz00_1538), BUNSPEC);
												}
												{	/* Ast/labels.scm 152 */
													BgL_valuez00_bglt BgL_arg1338z00_1542;

													BgL_arg1338z00_1542 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_29))))->
														BgL_valuez00);
													((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
																		BgL_arg1338z00_1542)))->BgL_bodyz00) =
														((obj_t) ((obj_t) BgL_body3z00_1540)), BUNSPEC);
												}
												return BGl_leavezd2functionzd2zztools_errorz00();
											}
										}
									}
								}
							}
						else
							{
								BgL_nodez00_bglt BgL_auxz00_2121;

							BgL_tagzd2397zd2_1530:
								BgL_auxz00_2121 =
									BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
									(BGl_string1569z00zzast_labelsz00, BgL_bindingz00_30,
									BgL_locz00_32);
								return ((obj_t) BgL_auxz00_2121);
							}
					}
				else
					{
						BgL_nodez00_bglt BgL_auxz00_2124;

						goto BgL_tagzd2397zd2_1530;
						return ((obj_t) BgL_auxz00_2124);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_labelsz00(void)
	{
		{	/* Ast/labels.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_labelsz00(void)
	{
		{	/* Ast/labels.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_labelsz00(void)
	{
		{	/* Ast/labels.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_labelsz00(void)
	{
		{	/* Ast/labels.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1570z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1570z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1570z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1570z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1570z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(301998274L,
				BSTRING_TO_STRING(BGl_string1570z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(47102372L,
				BSTRING_TO_STRING(BGl_string1570z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1570z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(275867955L,
				BSTRING_TO_STRING(BGl_string1570z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1570z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1570z00zzast_labelsz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1570z00zzast_labelsz00));
			return
				BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1570z00zzast_labelsz00));
		}

	}

#ifdef __cplusplus
}
#endif
