/*===========================================================================*/
/*   (Ast/lvtype.scm)                                                        */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/lvtype.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_AST_LVTYPE_TYPE_DEFINITIONS
#define BGL_AST_LVTYPE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_AST_LVTYPE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62lvtypezd2astz12za2zzast_lvtypez00(obj_t, obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2boxzd2ref1301za2zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_lvtypez00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t
		BGl_z62lvtypezd2nodez12zd2setzd2exzd21288z70zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2conditi1278z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t
		BGl_setzd2variablezd2typez12z12zzast_lvtypez00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2funcall1270z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2cast1274z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2retbloc1292z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_lvtypez00(void);
	static obj_t BGl_z62lvtypezd2nodez12zd2letzd2var1286za2zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2appzd2ly1267za2zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2setq1276z70zzast_lvtypez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_z62lvtypezd2nodez12zd2closure1259z70zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_lvtypez00(void);
	static obj_t BGl_z62lvtypezd2nodez12zd2boxzd2set1298za2zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2sync1263z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzast_lvtypez00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2fail1280z70zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_lvtypezd2nodezd2zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_z62lvtypezd2nodez12zd2sequenc1261z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2return1294z70zzast_lvtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2extern1272z70zzast_lvtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_lvtypez00(void);
	static obj_t BGl_z62lvtypezd2nodez12zd2switch1282z70zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static bool_t BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2makezd2bo1296za2zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62lvtypezd2nodezb0zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez121250za2zzast_lvtypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12za2zzast_lvtypez00(obj_t, obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2jumpzd2ex1290za2zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_lvtypez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_lvtypez00(void);
	static obj_t BGl_z62lvtypezd2nodez12zd2var1257z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2atom1253z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_lvtypez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_lvtypez00(void);
	static obj_t BGl_z62lvtypezd2nodez12zd2kwote1255z70zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_lvtypezd2astz12zc0zzast_lvtypez00(obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2letzd2fun1284za2zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2app1265z70zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_getzd2objzd2typez00zzast_lvtypez00(BgL_nodez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_lvtypezd2nodezd2envz00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1801z00, BGl_z62lvtypezd2nodezb0zzast_lvtypez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1802z00,
		BGl_z62lvtypezd2nodez12za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1770z00zzast_lvtypez00,
		BgL_bgl_string1770za700za7za7a1803za7, "lvtype-node!1250", 16);
	      DEFINE_STRING(BGl_string1771z00zzast_lvtypez00,
		BgL_bgl_string1771za700za7za7a1804za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1773z00zzast_lvtypez00,
		BgL_bgl_string1773za700za7za7a1805za7, "lvtype-node!", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1769z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1806z00,
		BGl_z62lvtypezd2nodez121250za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1772z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1807z00,
		BGl_z62lvtypezd2nodez12zd2atom1253z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1774z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1808z00,
		BGl_z62lvtypezd2nodez12zd2kwote1255z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1775z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1809z00,
		BGl_z62lvtypezd2nodez12zd2var1257z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1776z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1810z00,
		BGl_z62lvtypezd2nodez12zd2closure1259z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1777z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1811z00,
		BGl_z62lvtypezd2nodez12zd2sequenc1261z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1778z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1812z00,
		BGl_z62lvtypezd2nodez12zd2sync1263z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1779z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1813z00,
		BGl_z62lvtypezd2nodez12zd2app1265z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1780z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1814z00,
		BGl_z62lvtypezd2nodez12zd2appzd2ly1267za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1781z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1815z00,
		BGl_z62lvtypezd2nodez12zd2funcall1270z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1782z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1816z00,
		BGl_z62lvtypezd2nodez12zd2extern1272z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1783z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1817z00,
		BGl_z62lvtypezd2nodez12zd2cast1274z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1784z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1818z00,
		BGl_z62lvtypezd2nodez12zd2setq1276z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1785z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1819z00,
		BGl_z62lvtypezd2nodez12zd2conditi1278z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1786z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1820z00,
		BGl_z62lvtypezd2nodez12zd2fail1280z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1787z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1821z00,
		BGl_z62lvtypezd2nodez12zd2switch1282z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1788z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1822z00,
		BGl_z62lvtypezd2nodez12zd2letzd2fun1284za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1823z00,
		BGl_z62lvtypezd2nodez12zd2letzd2var1286za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1797z00zzast_lvtypez00,
		BgL_bgl_string1797za700za7za7a1824za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string1798z00zzast_lvtypez00,
		BgL_bgl_string1798za700za7za7a1825za7, "ast_lvtype", 10);
	      DEFINE_STRING(BGl_string1799z00zzast_lvtypez00,
		BgL_bgl_string1799za700za7za7a1826za7, "lvtype-node!1250 ", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1790z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1827z00,
		BGl_z62lvtypezd2nodez12zd2setzd2exzd21288z70zzast_lvtypez00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1791z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1828z00,
		BGl_z62lvtypezd2nodez12zd2jumpzd2ex1290za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1792z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1829z00,
		BGl_z62lvtypezd2nodez12zd2retbloc1292z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1793z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1830z00,
		BGl_z62lvtypezd2nodez12zd2return1294z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1794z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1831z00,
		BGl_z62lvtypezd2nodez12zd2makezd2bo1296za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1795z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1832z00,
		BGl_z62lvtypezd2nodez12zd2boxzd2set1298za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1796z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node1833z00,
		BGl_z62lvtypezd2nodez12zd2boxzd2ref1301za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_lvtypezd2astz12zd2envz12zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2astza71834za7,
		BGl_z62lvtypezd2astz12za2zzast_lvtypez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_lvtypez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long
		BgL_checksumz00_1992, char *BgL_fromz00_1993)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_lvtypez00))
				{
					BGl_requirezd2initializa7ationz75zzast_lvtypez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_lvtypez00();
					BGl_libraryzd2moduleszd2initz00zzast_lvtypez00();
					BGl_cnstzd2initzd2zzast_lvtypez00();
					BGl_importedzd2moduleszd2initz00zzast_lvtypez00();
					BGl_genericzd2initzd2zzast_lvtypez00();
					BGl_methodzd2initzd2zzast_lvtypez00();
					return BGl_toplevelzd2initzd2zzast_lvtypez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_lvtypez00(void)
	{
		{	/* Ast/lvtype.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_lvtype");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_lvtypez00(void)
	{
		{	/* Ast/lvtype.scm 16 */
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_cportz00_1923;

				{	/* Ast/lvtype.scm 16 */
					obj_t BgL_stringz00_1930;

					BgL_stringz00_1930 = BGl_string1799z00zzast_lvtypez00;
					{	/* Ast/lvtype.scm 16 */
						obj_t BgL_startz00_1931;

						BgL_startz00_1931 = BINT(0L);
						{	/* Ast/lvtype.scm 16 */
							obj_t BgL_endz00_1932;

							BgL_endz00_1932 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1930)));
							{	/* Ast/lvtype.scm 16 */

								BgL_cportz00_1923 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1930, BgL_startz00_1931, BgL_endz00_1932);
				}}}}
				{
					long BgL_iz00_1924;

					BgL_iz00_1924 = 0L;
				BgL_loopz00_1925:
					if ((BgL_iz00_1924 == (-1L)))
						{	/* Ast/lvtype.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Ast/lvtype.scm 16 */
							{	/* Ast/lvtype.scm 16 */
								obj_t BgL_arg1800z00_1926;

								{	/* Ast/lvtype.scm 16 */

									{	/* Ast/lvtype.scm 16 */
										obj_t BgL_locationz00_1928;

										BgL_locationz00_1928 = BBOOL(((bool_t) 0));
										{	/* Ast/lvtype.scm 16 */

											BgL_arg1800z00_1926 =
												BGl_readz00zz__readerz00(BgL_cportz00_1923,
												BgL_locationz00_1928);
										}
									}
								}
								{	/* Ast/lvtype.scm 16 */
									int BgL_tmpz00_2022;

									BgL_tmpz00_2022 = (int) (BgL_iz00_1924);
									CNST_TABLE_SET(BgL_tmpz00_2022, BgL_arg1800z00_1926);
							}}
							{	/* Ast/lvtype.scm 16 */
								int BgL_auxz00_1929;

								BgL_auxz00_1929 = (int) ((BgL_iz00_1924 - 1L));
								{
									long BgL_iz00_2027;

									BgL_iz00_2027 = (long) (BgL_auxz00_1929);
									BgL_iz00_1924 = BgL_iz00_2027;
									goto BgL_loopz00_1925;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_lvtypez00(void)
	{
		{	/* Ast/lvtype.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_lvtypez00(void)
	{
		{	/* Ast/lvtype.scm 16 */
			return BUNSPEC;
		}

	}



/* lvtype-ast! */
	BGL_EXPORTED_DEF obj_t BGl_lvtypezd2astz12zc0zzast_lvtypez00(obj_t
		BgL_astz00_3)
	{
		{	/* Ast/lvtype.scm 32 */
			{
				obj_t BgL_l1236z00_1389;

				BgL_l1236z00_1389 = BgL_astz00_3;
			BgL_zc3z04anonymousza31311ze3z87_1390:
				if (PAIRP(BgL_l1236z00_1389))
					{	/* Ast/lvtype.scm 33 */
						{	/* Ast/lvtype.scm 34 */
							obj_t BgL_gz00_1392;

							BgL_gz00_1392 = CAR(BgL_l1236z00_1389);
							{	/* Ast/lvtype.scm 34 */
								obj_t BgL_arg1313z00_1393;

								BgL_arg1313z00_1393 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_gz00_1392))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_lvtypezd2nodez12zc0zzast_lvtypez00(((BgL_nodez00_bglt)
										BgL_arg1313z00_1393));
							}
						}
						{
							obj_t BgL_l1236z00_2040;

							BgL_l1236z00_2040 = CDR(BgL_l1236z00_1389);
							BgL_l1236z00_1389 = BgL_l1236z00_2040;
							goto BgL_zc3z04anonymousza31311ze3z87_1390;
						}
					}
				else
					{	/* Ast/lvtype.scm 33 */
						((bool_t) 1);
					}
			}
			return BgL_astz00_3;
		}

	}



/* &lvtype-ast! */
	obj_t BGl_z62lvtypezd2astz12za2zzast_lvtypez00(obj_t BgL_envz00_1842,
		obj_t BgL_astz00_1843)
	{
		{	/* Ast/lvtype.scm 32 */
			return BGl_lvtypezd2astz12zc0zzast_lvtypez00(BgL_astz00_1843);
		}

	}



/* get-obj-type */
	obj_t BGl_getzd2objzd2typez00zzast_lvtypez00(BgL_nodez00_bglt BgL_nodez00_4)
	{
		{	/* Ast/lvtype.scm 41 */
			{	/* Ast/lvtype.scm 42 */
				obj_t BgL_tyz00_1397;

				BgL_tyz00_1397 =
					((obj_t)
					BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_4, ((bool_t) 0)));
				if ((BgL_tyz00_1397 == BGl_za2_za2z00zztype_cachez00))
					{	/* Ast/lvtype.scm 43 */
						return BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Ast/lvtype.scm 43 */
						return BgL_tyz00_1397;
					}
			}
		}

	}



/* lvtype-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_lvtypezd2nodezd2zzast_lvtypez00(BgL_nodez00_bglt BgL_nodez00_5)
	{
		{	/* Ast/lvtype.scm 50 */
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_5);
			return BgL_nodez00_5;
		}

	}



/* &lvtype-node */
	BgL_nodez00_bglt BGl_z62lvtypezd2nodezb0zzast_lvtypez00(obj_t BgL_envz00_1844,
		obj_t BgL_nodez00_1845)
	{
		{	/* Ast/lvtype.scm 50 */
			return
				BGl_lvtypezd2nodezd2zzast_lvtypez00(
				((BgL_nodez00_bglt) BgL_nodez00_1845));
		}

	}



/* lvtype-node*! */
	bool_t BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(obj_t BgL_nodeza2za2_31)
	{
		{	/* Ast/lvtype.scm 268 */
			{
				obj_t BgL_l1247z00_1399;

				BgL_l1247z00_1399 = BgL_nodeza2za2_31;
			BgL_zc3z04anonymousza31316ze3z87_1400:
				if (PAIRP(BgL_l1247z00_1399))
					{	/* Ast/lvtype.scm 269 */
						{	/* Ast/lvtype.scm 269 */
							obj_t BgL_arg1318z00_1402;

							BgL_arg1318z00_1402 = CAR(BgL_l1247z00_1399);
							BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
								((BgL_nodez00_bglt) BgL_arg1318z00_1402));
						}
						{
							obj_t BgL_l1247z00_2055;

							BgL_l1247z00_2055 = CDR(BgL_l1247z00_1399);
							BgL_l1247z00_1399 = BgL_l1247z00_2055;
							goto BgL_zc3z04anonymousza31316ze3z87_1400;
						}
					}
				else
					{	/* Ast/lvtype.scm 269 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* set-variable-type! */
	obj_t BGl_setzd2variablezd2typez12z12zzast_lvtypez00(BgL_variablez00_bglt
		BgL_variablez00_32, BgL_typez00_bglt BgL_typez00_33)
	{
		{	/* Ast/lvtype.scm 274 */
			{	/* Ast/lvtype.scm 275 */
				obj_t BgL_ntypez00_1405;
				obj_t BgL_otypez00_1406;

				if ((((obj_t) BgL_typez00_33) == BGl_za2_za2z00zztype_cachez00))
					{	/* Ast/lvtype.scm 275 */
						BgL_ntypez00_1405 = BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Ast/lvtype.scm 275 */
						BgL_ntypez00_1405 = ((obj_t) BgL_typez00_33);
					}
				BgL_otypez00_1406 =
					((obj_t)
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_32))->BgL_typez00));
				if ((BgL_otypez00_1406 == BGl_za2_za2z00zztype_cachez00))
					{	/* Ast/lvtype.scm 277 */
						return
							((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_32))->
								BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ntypez00_1405)),
							BUNSPEC);
					}
				else
					{	/* Ast/lvtype.scm 277 */
						return BFALSE;
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_lvtypez00(void)
	{
		{	/* Ast/lvtype.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_lvtypez00(void)
	{
		{	/* Ast/lvtype.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_proc1769z00zzast_lvtypez00, BGl_nodez00zzast_nodez00,
				BGl_string1770z00zzast_lvtypez00);
		}

	}



/* &lvtype-node!1250 */
	obj_t BGl_z62lvtypezd2nodez121250za2zzast_lvtypez00(obj_t BgL_envz00_1847,
		obj_t BgL_nodez00_1848)
	{
		{	/* Ast/lvtype.scm 57 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(0)), BGl_string1771z00zzast_lvtypez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_1848)));
		}

	}



/* lvtype-node! */
	BGL_EXPORTED_DEF obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt
		BgL_nodez00_6)
	{
		{	/* Ast/lvtype.scm 57 */
			{	/* Ast/lvtype.scm 57 */
				obj_t BgL_method1251z00_1411;

				{	/* Ast/lvtype.scm 57 */
					obj_t BgL_res1768z00_1818;

					{	/* Ast/lvtype.scm 57 */
						long BgL_objzd2classzd2numz00_1789;

						BgL_objzd2classzd2numz00_1789 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_6));
						{	/* Ast/lvtype.scm 57 */
							obj_t BgL_arg1862z00_1790;

							BgL_arg1862z00_1790 =
								PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
								(int) (1L));
							{	/* Ast/lvtype.scm 57 */
								int BgL_offsetz00_1793;

								BgL_offsetz00_1793 = (int) (BgL_objzd2classzd2numz00_1789);
								{	/* Ast/lvtype.scm 57 */
									long BgL_offsetz00_1794;

									BgL_offsetz00_1794 =
										((long) (BgL_offsetz00_1793) - OBJECT_TYPE);
									{	/* Ast/lvtype.scm 57 */
										long BgL_modz00_1795;

										BgL_modz00_1795 =
											(BgL_offsetz00_1794 >> (int) ((long) ((int) (4L))));
										{	/* Ast/lvtype.scm 57 */
											long BgL_restz00_1797;

											BgL_restz00_1797 =
												(BgL_offsetz00_1794 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/lvtype.scm 57 */

												{	/* Ast/lvtype.scm 57 */
													obj_t BgL_bucketz00_1799;

													BgL_bucketz00_1799 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_1790), BgL_modz00_1795);
													BgL_res1768z00_1818 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1799), BgL_restz00_1797);
					}}}}}}}}
					BgL_method1251z00_1411 = BgL_res1768z00_1818;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1251z00_1411, ((obj_t) BgL_nodez00_6));
			}
		}

	}



/* &lvtype-node! */
	obj_t BGl_z62lvtypezd2nodez12za2zzast_lvtypez00(obj_t BgL_envz00_1849,
		obj_t BgL_nodez00_1850)
	{
		{	/* Ast/lvtype.scm 57 */
			return
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				((BgL_nodez00_bglt) BgL_nodez00_1850));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_lvtypez00(void)
	{
		{	/* Ast/lvtype.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_atomz00zzast_nodez00,
				BGl_proc1772z00zzast_lvtypez00, BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_kwotez00zzast_nodez00, BGl_proc1774z00zzast_lvtypez00,
				BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_varz00zzast_nodez00,
				BGl_proc1775z00zzast_lvtypez00, BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_closurez00zzast_nodez00, BGl_proc1776z00zzast_lvtypez00,
				BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1777z00zzast_lvtypez00,
				BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_syncz00zzast_nodez00,
				BGl_proc1778z00zzast_lvtypez00, BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_appz00zzast_nodez00,
				BGl_proc1779z00zzast_lvtypez00, BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1780z00zzast_lvtypez00,
				BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_funcallz00zzast_nodez00, BGl_proc1781z00zzast_lvtypez00,
				BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_externz00zzast_nodez00, BGl_proc1782z00zzast_lvtypez00,
				BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_castz00zzast_nodez00,
				BGl_proc1783z00zzast_lvtypez00, BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_setqz00zzast_nodez00,
				BGl_proc1784z00zzast_lvtypez00, BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1785z00zzast_lvtypez00,
				BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_failz00zzast_nodez00,
				BGl_proc1786z00zzast_lvtypez00, BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_switchz00zzast_nodez00, BGl_proc1787z00zzast_lvtypez00,
				BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1788z00zzast_lvtypez00,
				BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1789z00zzast_lvtypez00,
				BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1790z00zzast_lvtypez00,
				BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1791z00zzast_lvtypez00,
				BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_retblockz00zzast_nodez00, BGl_proc1792z00zzast_lvtypez00,
				BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_returnz00zzast_nodez00, BGl_proc1793z00zzast_lvtypez00,
				BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1794z00zzast_lvtypez00,
				BGl_string1773z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1795z00zzast_lvtypez00,
				BGl_string1773z00zzast_lvtypez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1796z00zzast_lvtypez00,
				BGl_string1773z00zzast_lvtypez00);
		}

	}



/* &lvtype-node!-box-ref1301 */
	obj_t BGl_z62lvtypezd2nodez12zd2boxzd2ref1301za2zzast_lvtypez00(obj_t
		BgL_envz00_1875, obj_t BgL_nodez00_1876)
	{
		{	/* Ast/lvtype.scm 261 */
			{	/* Ast/lvtype.scm 263 */
				BgL_varz00_bglt BgL_arg1588z00_1936;

				BgL_arg1588z00_1936 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_1876)))->BgL_varz00);
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					((BgL_nodez00_bglt) BgL_arg1588z00_1936));
			}
		}

	}



/* &lvtype-node!-box-set1298 */
	obj_t BGl_z62lvtypezd2nodez12zd2boxzd2set1298za2zzast_lvtypez00(obj_t
		BgL_envz00_1877, obj_t BgL_nodez00_1878)
	{
		{	/* Ast/lvtype.scm 253 */
			{	/* Ast/lvtype.scm 255 */
				BgL_varz00_bglt BgL_arg1581z00_1938;

				BgL_arg1581z00_1938 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1878)))->BgL_varz00);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					((BgL_nodez00_bglt) BgL_arg1581z00_1938));
			}
			return
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1878)))->BgL_valuez00));
		}

	}



/* &lvtype-node!-make-bo1296 */
	obj_t BGl_z62lvtypezd2nodez12zd2makezd2bo1296za2zzast_lvtypez00(obj_t
		BgL_envz00_1879, obj_t BgL_nodez00_1880)
	{
		{	/* Ast/lvtype.scm 246 */
			return
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_1880)))->BgL_valuez00));
		}

	}



/* &lvtype-node!-return1294 */
	obj_t BGl_z62lvtypezd2nodez12zd2return1294z70zzast_lvtypez00(obj_t
		BgL_envz00_1881, obj_t BgL_nodez00_1882)
	{
		{	/* Ast/lvtype.scm 239 */
			return
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_nodez00_1882)))->BgL_valuez00));
		}

	}



/* &lvtype-node!-retbloc1292 */
	obj_t BGl_z62lvtypezd2nodez12zd2retbloc1292z70zzast_lvtypez00(obj_t
		BgL_envz00_1883, obj_t BgL_nodez00_1884)
	{
		{	/* Ast/lvtype.scm 232 */
			return
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nodez00_1884)))->BgL_bodyz00));
		}

	}



/* &lvtype-node!-jump-ex1290 */
	obj_t BGl_z62lvtypezd2nodez12zd2jumpzd2ex1290za2zzast_lvtypez00(obj_t
		BgL_envz00_1885, obj_t BgL_nodez00_1886)
	{
		{	/* Ast/lvtype.scm 224 */
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1886)))->BgL_exitz00));
			return
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1886)))->BgL_valuez00));
		}

	}



/* &lvtype-node!-set-ex-1288 */
	obj_t BGl_z62lvtypezd2nodez12zd2setzd2exzd21288z70zzast_lvtypez00(obj_t
		BgL_envz00_1887, obj_t BgL_nodez00_1888)
	{
		{	/* Ast/lvtype.scm 215 */
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1888)))->BgL_bodyz00));
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1888)))->BgL_onexitz00));
			{	/* Ast/lvtype.scm 219 */
				BgL_varz00_bglt BgL_arg1554z00_1944;

				BgL_arg1554z00_1944 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1888)))->BgL_varz00);
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					((BgL_nodez00_bglt) BgL_arg1554z00_1944));
			}
		}

	}



/* &lvtype-node!-let-var1286 */
	obj_t BGl_z62lvtypezd2nodez12zd2letzd2var1286za2zzast_lvtypez00(obj_t
		BgL_envz00_1889, obj_t BgL_nodez00_1890)
	{
		{	/* Ast/lvtype.scm 200 */
			{	/* Ast/lvtype.scm 202 */
				obj_t BgL_g1246z00_1946;

				BgL_g1246z00_1946 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_1890)))->BgL_bindingsz00);
				{
					obj_t BgL_l1244z00_1948;

					BgL_l1244z00_1948 = BgL_g1246z00_1946;
				BgL_zc3z04anonymousza31512ze3z87_1947:
					if (PAIRP(BgL_l1244z00_1948))
						{	/* Ast/lvtype.scm 202 */
							{	/* Ast/lvtype.scm 203 */
								obj_t BgL_bindingz00_1949;

								BgL_bindingz00_1949 = CAR(BgL_l1244z00_1948);
								{	/* Ast/lvtype.scm 203 */
									obj_t BgL_varz00_1950;
									obj_t BgL_valz00_1951;

									BgL_varz00_1950 = CAR(((obj_t) BgL_bindingz00_1949));
									BgL_valz00_1951 = CDR(((obj_t) BgL_bindingz00_1949));
									BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
										((BgL_nodez00_bglt) BgL_valz00_1951));
									{	/* Ast/lvtype.scm 206 */
										BgL_typez00_bglt BgL_arg1515z00_1952;

										BgL_arg1515z00_1952 =
											BGl_getzd2typezd2zztype_typeofz00(
											((BgL_nodez00_bglt) BgL_valz00_1951), ((bool_t) 0));
										BGl_setzd2variablezd2typez12z12zzast_lvtypez00(
											((BgL_variablez00_bglt) BgL_varz00_1950),
											BgL_arg1515z00_1952);
									}
								}
							}
							{
								obj_t BgL_l1244z00_2180;

								BgL_l1244z00_2180 = CDR(BgL_l1244z00_1948);
								BgL_l1244z00_1948 = BgL_l1244z00_2180;
								goto BgL_zc3z04anonymousza31512ze3z87_1947;
							}
						}
					else
						{	/* Ast/lvtype.scm 202 */
							((bool_t) 1);
						}
				}
			}
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_1890)))->BgL_bodyz00));
			{	/* Ast/lvtype.scm 209 */
				bool_t BgL_test1843z00_2185;

				{	/* Ast/lvtype.scm 209 */
					obj_t BgL_arg1543z00_1953;

					BgL_arg1543z00_1953 =
						((obj_t)
						(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nodez00_1890))))->
							BgL_typez00));
					BgL_test1843z00_2185 =
						(BgL_arg1543z00_1953 == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test1843z00_2185)
					{
						BgL_typez00_bglt BgL_auxz00_2191;

						{	/* Ast/lvtype.scm 210 */
							BgL_nodez00_bglt BgL_arg1535z00_1954;

							BgL_arg1535z00_1954 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_1890)))->BgL_bodyz00);
							BgL_auxz00_2191 =
								((BgL_typez00_bglt)
								BGl_getzd2objzd2typez00zzast_lvtypez00(BgL_arg1535z00_1954));
						}
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nodez00_1890))))->
								BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_2191), BUNSPEC);
					}
				else
					{	/* Ast/lvtype.scm 209 */
						return BFALSE;
					}
			}
		}

	}



/* &lvtype-node!-let-fun1284 */
	obj_t BGl_z62lvtypezd2nodez12zd2letzd2fun1284za2zzast_lvtypez00(obj_t
		BgL_envz00_1891, obj_t BgL_nodez00_1892)
	{
		{	/* Ast/lvtype.scm 188 */
			{	/* Ast/lvtype.scm 190 */
				obj_t BgL_g1243z00_1956;

				BgL_g1243z00_1956 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_1892)))->BgL_localsz00);
				{
					obj_t BgL_l1241z00_1958;

					BgL_l1241z00_1958 = BgL_g1243z00_1956;
				BgL_zc3z04anonymousza31458ze3z87_1957:
					if (PAIRP(BgL_l1241z00_1958))
						{	/* Ast/lvtype.scm 190 */
							{	/* Ast/lvtype.scm 191 */
								obj_t BgL_localz00_1959;

								BgL_localz00_1959 = CAR(BgL_l1241z00_1958);
								{	/* Ast/lvtype.scm 191 */
									obj_t BgL_arg1471z00_1960;

									BgL_arg1471z00_1960 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_1959))))->
														BgL_valuez00))))->BgL_bodyz00);
									BGl_lvtypezd2nodez12zc0zzast_lvtypez00(((BgL_nodez00_bglt)
											BgL_arg1471z00_1960));
								}
							}
							{
								obj_t BgL_l1241z00_2211;

								BgL_l1241z00_2211 = CDR(BgL_l1241z00_1958);
								BgL_l1241z00_1958 = BgL_l1241z00_2211;
								goto BgL_zc3z04anonymousza31458ze3z87_1957;
							}
						}
					else
						{	/* Ast/lvtype.scm 190 */
							((bool_t) 1);
						}
				}
			}
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_1892)))->BgL_bodyz00));
			{	/* Ast/lvtype.scm 194 */
				bool_t BgL_test1845z00_2216;

				{	/* Ast/lvtype.scm 194 */
					obj_t BgL_arg1511z00_1961;

					BgL_arg1511z00_1961 =
						((obj_t)
						(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_nodez00_1892))))->
							BgL_typez00));
					BgL_test1845z00_2216 =
						(BgL_arg1511z00_1961 == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test1845z00_2216)
					{
						BgL_typez00_bglt BgL_auxz00_2222;

						{	/* Ast/lvtype.scm 195 */
							BgL_nodez00_bglt BgL_arg1506z00_1962;

							BgL_arg1506z00_1962 =
								(((BgL_letzd2funzd2_bglt) COBJECT(
										((BgL_letzd2funzd2_bglt) BgL_nodez00_1892)))->BgL_bodyz00);
							BgL_auxz00_2222 =
								((BgL_typez00_bglt)
								BGl_getzd2objzd2typez00zzast_lvtypez00(BgL_arg1506z00_1962));
						}
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_letzd2funzd2_bglt) BgL_nodez00_1892))))->
								BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_2222), BUNSPEC);
					}
				else
					{	/* Ast/lvtype.scm 194 */
						return BFALSE;
					}
			}
		}

	}



/* &lvtype-node!-switch1282 */
	obj_t BGl_z62lvtypezd2nodez12zd2switch1282z70zzast_lvtypez00(obj_t
		BgL_envz00_1893, obj_t BgL_nodez00_1894)
	{
		{	/* Ast/lvtype.scm 178 */
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_1894)))->BgL_testz00));
			{	/* Ast/lvtype.scm 181 */
				obj_t BgL_g1240z00_1964;

				BgL_g1240z00_1964 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_1894)))->BgL_clausesz00);
				{
					obj_t BgL_l1238z00_1966;

					{	/* Ast/lvtype.scm 181 */
						bool_t BgL_tmpz00_2235;

						BgL_l1238z00_1966 = BgL_g1240z00_1964;
					BgL_zc3z04anonymousza31418ze3z87_1965:
						if (PAIRP(BgL_l1238z00_1966))
							{	/* Ast/lvtype.scm 181 */
								{	/* Ast/lvtype.scm 182 */
									obj_t BgL_clausez00_1967;

									BgL_clausez00_1967 = CAR(BgL_l1238z00_1966);
									{	/* Ast/lvtype.scm 182 */
										obj_t BgL_arg1446z00_1968;

										BgL_arg1446z00_1968 = CDR(((obj_t) BgL_clausez00_1967));
										BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
											((BgL_nodez00_bglt) BgL_arg1446z00_1968));
									}
								}
								{
									obj_t BgL_l1238z00_2243;

									BgL_l1238z00_2243 = CDR(BgL_l1238z00_1966);
									BgL_l1238z00_1966 = BgL_l1238z00_2243;
									goto BgL_zc3z04anonymousza31418ze3z87_1965;
								}
							}
						else
							{	/* Ast/lvtype.scm 181 */
								BgL_tmpz00_2235 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_2235);
					}
				}
			}
		}

	}



/* &lvtype-node!-fail1280 */
	obj_t BGl_z62lvtypezd2nodez12zd2fail1280z70zzast_lvtypez00(obj_t
		BgL_envz00_1895, obj_t BgL_nodez00_1896)
	{
		{	/* Ast/lvtype.scm 169 */
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_1896)))->BgL_procz00));
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_1896)))->BgL_msgz00));
			return
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_1896)))->BgL_objz00));
		}

	}



/* &lvtype-node!-conditi1278 */
	obj_t BGl_z62lvtypezd2nodez12zd2conditi1278z70zzast_lvtypez00(obj_t
		BgL_envz00_1897, obj_t BgL_nodez00_1898)
	{
		{	/* Ast/lvtype.scm 158 */
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_1898)))->BgL_testz00));
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_1898)))->BgL_truez00));
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_1898)))->BgL_falsez00));
			{	/* Ast/lvtype.scm 163 */
				bool_t BgL_test1849z00_2264;

				{	/* Ast/lvtype.scm 163 */
					obj_t BgL_arg1406z00_1971;

					BgL_arg1406z00_1971 =
						((obj_t)
						(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_conditionalz00_bglt) BgL_nodez00_1898))))->
							BgL_typez00));
					BgL_test1849z00_2264 =
						(BgL_arg1406z00_1971 == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test1849z00_2264)
					{	/* Ast/lvtype.scm 163 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_conditionalz00_bglt) BgL_nodez00_1898))))->
								BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_getzd2objzd2typez00zzast_lvtypez00(((BgL_nodez00_bglt) (
												(BgL_conditionalz00_bglt) BgL_nodez00_1898))))),
							BUNSPEC);
					}
				else
					{	/* Ast/lvtype.scm 163 */
						return BFALSE;
					}
			}
		}

	}



/* &lvtype-node!-setq1276 */
	obj_t BGl_z62lvtypezd2nodez12zd2setq1276z70zzast_lvtypez00(obj_t
		BgL_envz00_1899, obj_t BgL_nodez00_1900)
	{
		{	/* Ast/lvtype.scm 150 */
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_1900)))->BgL_valuez00));
			{	/* Ast/lvtype.scm 153 */
				BgL_varz00_bglt BgL_arg1386z00_1973;

				BgL_arg1386z00_1973 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_1900)))->BgL_varz00);
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					((BgL_nodez00_bglt) BgL_arg1386z00_1973));
			}
		}

	}



/* &lvtype-node!-cast1274 */
	obj_t BGl_z62lvtypezd2nodez12zd2cast1274z70zzast_lvtypez00(obj_t
		BgL_envz00_1901, obj_t BgL_nodez00_1902)
	{
		{	/* Ast/lvtype.scm 143 */
			return
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_1902)))->BgL_argz00));
		}

	}



/* &lvtype-node!-extern1272 */
	obj_t BGl_z62lvtypezd2nodez12zd2extern1272z70zzast_lvtypez00(obj_t
		BgL_envz00_1903, obj_t BgL_nodez00_1904)
	{
		{	/* Ast/lvtype.scm 134 */
			BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_1904)))->BgL_exprza2za2));
			{	/* Ast/lvtype.scm 137 */
				bool_t BgL_test1850z00_2290;

				{	/* Ast/lvtype.scm 137 */
					obj_t BgL_arg1382z00_1976;

					BgL_arg1382z00_1976 =
						((obj_t)
						(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_externz00_bglt) BgL_nodez00_1904))))->BgL_typez00));
					BgL_test1850z00_2290 =
						(BgL_arg1382z00_1976 == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test1850z00_2290)
					{	/* Ast/lvtype.scm 137 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_externz00_bglt) BgL_nodez00_1904))))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_getzd2objzd2typez00zzast_lvtypez00(((BgL_nodez00_bglt) (
												(BgL_externz00_bglt) BgL_nodez00_1904))))), BUNSPEC);
					}
				else
					{	/* Ast/lvtype.scm 137 */
						return BFALSE;
					}
			}
		}

	}



/* &lvtype-node!-funcall1270 */
	obj_t BGl_z62lvtypezd2nodez12zd2funcall1270z70zzast_lvtypez00(obj_t
		BgL_envz00_1905, obj_t BgL_nodez00_1906)
	{
		{	/* Ast/lvtype.scm 126 */
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_1906)))->BgL_funz00));
			{	/* Ast/lvtype.scm 129 */
				obj_t BgL_arg1371z00_1978;

				BgL_arg1371z00_1978 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_1906)))->BgL_argsz00);
				return
					BBOOL(BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(BgL_arg1371z00_1978));
			}
		}

	}



/* &lvtype-node!-app-ly1267 */
	obj_t BGl_z62lvtypezd2nodez12zd2appzd2ly1267za2zzast_lvtypez00(obj_t
		BgL_envz00_1907, obj_t BgL_nodez00_1908)
	{
		{	/* Ast/lvtype.scm 118 */
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_1908)))->BgL_funz00));
			return
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_1908)))->BgL_argz00));
		}

	}



/* &lvtype-node!-app1265 */
	obj_t BGl_z62lvtypezd2nodez12zd2app1265z70zzast_lvtypez00(obj_t
		BgL_envz00_1909, obj_t BgL_nodez00_1910)
	{
		{	/* Ast/lvtype.scm 109 */
			BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_1910)))->BgL_argsz00));
			{	/* Ast/lvtype.scm 112 */
				bool_t BgL_test1851z00_2319;

				{	/* Ast/lvtype.scm 112 */
					obj_t BgL_arg1364z00_1981;

					BgL_arg1364z00_1981 =
						((obj_t)
						(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_1910))))->BgL_typez00));
					BgL_test1851z00_2319 =
						(BgL_arg1364z00_1981 == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test1851z00_2319)
					{	/* Ast/lvtype.scm 112 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_1910))))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_getzd2objzd2typez00zzast_lvtypez00(((BgL_nodez00_bglt) (
												(BgL_appz00_bglt) BgL_nodez00_1910))))), BUNSPEC);
					}
				else
					{	/* Ast/lvtype.scm 112 */
						return BFALSE;
					}
			}
		}

	}



/* &lvtype-node!-sync1263 */
	obj_t BGl_z62lvtypezd2nodez12zd2sync1263z70zzast_lvtypez00(obj_t
		BgL_envz00_1911, obj_t BgL_nodez00_1912)
	{
		{	/* Ast/lvtype.scm 98 */
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_1912)))->BgL_mutexz00));
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_1912)))->BgL_prelockz00));
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_1912)))->BgL_bodyz00));
			{	/* Ast/lvtype.scm 103 */
				bool_t BgL_test1852z00_2341;

				{	/* Ast/lvtype.scm 103 */
					obj_t BgL_arg1355z00_1983;

					BgL_arg1355z00_1983 =
						((obj_t)
						(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_syncz00_bglt) BgL_nodez00_1912))))->BgL_typez00));
					BgL_test1852z00_2341 =
						(BgL_arg1355z00_1983 == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test1852z00_2341)
					{	/* Ast/lvtype.scm 103 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_syncz00_bglt) BgL_nodez00_1912))))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_getzd2objzd2typez00zzast_lvtypez00(((BgL_nodez00_bglt) (
												(BgL_syncz00_bglt) BgL_nodez00_1912))))), BUNSPEC);
					}
				else
					{	/* Ast/lvtype.scm 103 */
						return BFALSE;
					}
			}
		}

	}



/* &lvtype-node!-sequenc1261 */
	obj_t BGl_z62lvtypezd2nodez12zd2sequenc1261z70zzast_lvtypez00(obj_t
		BgL_envz00_1913, obj_t BgL_nodez00_1914)
	{
		{	/* Ast/lvtype.scm 89 */
			BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_1914)))->BgL_nodesz00));
			{	/* Ast/lvtype.scm 92 */
				bool_t BgL_test1853z00_2357;

				{	/* Ast/lvtype.scm 92 */
					obj_t BgL_arg1336z00_1985;

					BgL_arg1336z00_1985 =
						((obj_t)
						(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_sequencez00_bglt) BgL_nodez00_1914))))->BgL_typez00));
					BgL_test1853z00_2357 =
						(BgL_arg1336z00_1985 == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test1853z00_2357)
					{	/* Ast/lvtype.scm 92 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_sequencez00_bglt) BgL_nodez00_1914))))->
								BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_getzd2objzd2typez00zzast_lvtypez00(((BgL_nodez00_bglt) (
												(BgL_sequencez00_bglt) BgL_nodez00_1914))))), BUNSPEC);
					}
				else
					{	/* Ast/lvtype.scm 92 */
						return BFALSE;
					}
			}
		}

	}



/* &lvtype-node!-closure1259 */
	obj_t BGl_z62lvtypezd2nodez12zd2closure1259z70zzast_lvtypez00(obj_t
		BgL_envz00_1915, obj_t BgL_nodez00_1916)
	{
		{	/* Ast/lvtype.scm 83 */
			{	/* Ast/lvtype.scm 84 */
				obj_t BgL_arg1331z00_1987;

				BgL_arg1331z00_1987 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_1916)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string1773z00zzast_lvtypez00, BGl_string1797z00zzast_lvtypez00,
					BgL_arg1331z00_1987);
			}
		}

	}



/* &lvtype-node!-var1257 */
	obj_t BGl_z62lvtypezd2nodez12zd2var1257z70zzast_lvtypez00(obj_t
		BgL_envz00_1917, obj_t BgL_nodez00_1918)
	{
		{	/* Ast/lvtype.scm 74 */
			{	/* Ast/lvtype.scm 76 */
				bool_t BgL_test1854z00_2374;

				{	/* Ast/lvtype.scm 76 */
					obj_t BgL_arg1327z00_1989;

					BgL_arg1327z00_1989 =
						((obj_t)
						(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_varz00_bglt) BgL_nodez00_1918))))->BgL_typez00));
					BgL_test1854z00_2374 =
						(BgL_arg1327z00_1989 == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test1854z00_2374)
					{	/* Ast/lvtype.scm 76 */
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_varz00_bglt) BgL_nodez00_1918))))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_variablez00_bglt)
										COBJECT((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
															BgL_nodez00_1918)))->BgL_variablez00)))->
									BgL_typez00)), BUNSPEC);
					}
				else
					{	/* Ast/lvtype.scm 76 */
						BFALSE;
					}
			}
			return ((obj_t) ((BgL_varz00_bglt) BgL_nodez00_1918));
		}

	}



/* &lvtype-node!-kwote1255 */
	obj_t BGl_z62lvtypezd2nodez12zd2kwote1255z70zzast_lvtypez00(obj_t
		BgL_envz00_1919, obj_t BgL_nodez00_1920)
	{
		{	/* Ast/lvtype.scm 68 */
			return ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_1920));
		}

	}



/* &lvtype-node!-atom1253 */
	obj_t BGl_z62lvtypezd2nodez12zd2atom1253z70zzast_lvtypez00(obj_t
		BgL_envz00_1921, obj_t BgL_nodez00_1922)
	{
		{	/* Ast/lvtype.scm 62 */
			return ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_1922));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_lvtypez00(void)
	{
		{	/* Ast/lvtype.scm 16 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1798z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1798z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string1798z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1798z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1798z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string1798z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1798z00zzast_lvtypez00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1798z00zzast_lvtypez00));
		}

	}

#ifdef __cplusplus
}
#endif
