/*===========================================================================*/
/*   (Ast/shrinkify.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/shrinkify.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_AST_SHRINKIFY_TYPE_DEFINITIONS
#define BGL_AST_SHRINKIFY_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_AST_SHRINKIFY_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t
		BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 = BUNSPEC;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2letzd2fun1292za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez121252za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2appzd2ly1270za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_shrinkifyz00(void);
	static obj_t BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_shrinkifyz00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2extern1274z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2switch1284z70zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt);
	static obj_t BGl_z62shrinkzd2nodez12zd2kwote1261z70zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_shrinkifyz00(void);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2setzd2exzd21296z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2cast1276z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2funcall1272z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2conditi1280z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkifyz12z70zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2setq1278z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2sync1265z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2letzd2var1294za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2boxzd2set1290za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2boxzd2ref1288za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2fail1282z70zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2variablez121250za2zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2sequenc1263z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2var1259z70zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2makezd2bo1286za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_shrinkifyz00(void);
	static obj_t BGl_z62shrinkzd2nodez12zd2app1267z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_switchz00zzast_nodez00;
	static bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2jumpzd2ex1298za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2atom1256z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string1806z00zzast_shrinkifyz00,
		BgL_bgl_string1806za700za7za7a1811za7, "ast_shrinkify", 13);
	      DEFINE_STRING(BGl_string1807z00zzast_shrinkifyz00,
		BgL_bgl_string1807za700za7za7a1812za7, "shrink-node!1252 ", 17);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_shrinkifyz12zd2envzc0zzast_shrinkifyz00,
		BgL_bgl_za762shrinkifyza712za71813za7,
		BGl_z62shrinkifyz12z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1814z00,
		BGl_z62shrinkzd2nodez12zd2boxzd2ref1288za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1801z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1815z00,
		BGl_z62shrinkzd2nodez12zd2boxzd2set1290za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1802z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1816z00,
		BGl_z62shrinkzd2nodez12zd2letzd2fun1292za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1803z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1817z00,
		BGl_z62shrinkzd2nodez12zd2letzd2var1294za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1804z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1818z00,
		BGl_z62shrinkzd2nodez12zd2setzd2exzd21296z70zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1805z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1819z00,
		BGl_z62shrinkzd2nodez12zd2jumpzd2ex1298za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2vari1820z00,
		BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1780z00zzast_shrinkifyz00,
		BgL_bgl_string1780za700za7za7a1821za7, "shrink-variable!1250", 20);
	      DEFINE_STRING(BGl_string1782z00zzast_shrinkifyz00,
		BgL_bgl_string1782za700za7za7a1822za7, "shrink-node!1252", 16);
	      DEFINE_STRING(BGl_string1783z00zzast_shrinkifyz00,
		BgL_bgl_string1783za700za7za7a1823za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1785z00zzast_shrinkifyz00,
		BgL_bgl_string1785za700za7za7a1824za7, "shrink-node!", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1779z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2vari1825z00,
		BGl_z62shrinkzd2variablez121250za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1781z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1826z00,
		BGl_z62shrinkzd2nodez121252za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1784z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1827z00,
		BGl_z62shrinkzd2nodez12zd2atom1256z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1786z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1828z00,
		BGl_z62shrinkzd2nodez12zd2var1259z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1787z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1829z00,
		BGl_z62shrinkzd2nodez12zd2kwote1261z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1788z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1830z00,
		BGl_z62shrinkzd2nodez12zd2sequenc1263z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1831z00,
		BGl_z62shrinkzd2nodez12zd2sync1265z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1790z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1832z00,
		BGl_z62shrinkzd2nodez12zd2app1267z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1791z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1833z00,
		BGl_z62shrinkzd2nodez12zd2appzd2ly1270za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1792z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1834z00,
		BGl_z62shrinkzd2nodez12zd2funcall1272z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1793z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1835z00,
		BGl_z62shrinkzd2nodez12zd2extern1274z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1794z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1836z00,
		BGl_z62shrinkzd2nodez12zd2cast1276z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1795z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1837z00,
		BGl_z62shrinkzd2nodez12zd2setq1278z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1796z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1838z00,
		BGl_z62shrinkzd2nodez12zd2conditi1280z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1797z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1839z00,
		BGl_z62shrinkzd2nodez12zd2fail1282z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1840z00,
		BGl_z62shrinkzd2nodez12zd2switch1284z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1799z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1841z00,
		BGl_z62shrinkzd2nodez12zd2makezd2bo1286za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_GENERIC(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node1842z00,
		BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzast_shrinkifyz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long
		BgL_checksumz00_2231, char *BgL_fromz00_2232)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_shrinkifyz00))
				{
					BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_shrinkifyz00();
					BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_cnstzd2initzd2zzast_shrinkifyz00();
					BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_genericzd2initzd2zzast_shrinkifyz00();
					BGl_methodzd2initzd2zzast_shrinkifyz00();
					return BGl_toplevelzd2initzd2zzast_shrinkifyz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00(void)
	{
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_shrinkify");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00(void)
	{
		{	/* Ast/shrinkify.scm 15 */
			{	/* Ast/shrinkify.scm 15 */
				obj_t BgL_cportz00_2117;

				{	/* Ast/shrinkify.scm 15 */
					obj_t BgL_stringz00_2124;

					BgL_stringz00_2124 = BGl_string1807z00zzast_shrinkifyz00;
					{	/* Ast/shrinkify.scm 15 */
						obj_t BgL_startz00_2125;

						BgL_startz00_2125 = BINT(0L);
						{	/* Ast/shrinkify.scm 15 */
							obj_t BgL_endz00_2126;

							BgL_endz00_2126 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2124)));
							{	/* Ast/shrinkify.scm 15 */

								BgL_cportz00_2117 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2124, BgL_startz00_2125, BgL_endz00_2126);
				}}}}
				{
					long BgL_iz00_2118;

					BgL_iz00_2118 = 0L;
				BgL_loopz00_2119:
					if ((BgL_iz00_2118 == (-1L)))
						{	/* Ast/shrinkify.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Ast/shrinkify.scm 15 */
							{	/* Ast/shrinkify.scm 15 */
								obj_t BgL_arg1810z00_2120;

								{	/* Ast/shrinkify.scm 15 */

									{	/* Ast/shrinkify.scm 15 */
										obj_t BgL_locationz00_2122;

										BgL_locationz00_2122 = BBOOL(((bool_t) 0));
										{	/* Ast/shrinkify.scm 15 */

											BgL_arg1810z00_2120 =
												BGl_readz00zz__readerz00(BgL_cportz00_2117,
												BgL_locationz00_2122);
										}
									}
								}
								{	/* Ast/shrinkify.scm 15 */
									int BgL_tmpz00_2261;

									BgL_tmpz00_2261 = (int) (BgL_iz00_2118);
									CNST_TABLE_SET(BgL_tmpz00_2261, BgL_arg1810z00_2120);
							}}
							{	/* Ast/shrinkify.scm 15 */
								int BgL_auxz00_2123;

								BgL_auxz00_2123 = (int) ((BgL_iz00_2118 - 1L));
								{
									long BgL_iz00_2266;

									BgL_iz00_2266 = (long) (BgL_auxz00_2123);
									BgL_iz00_2118 = BgL_iz00_2266;
									goto BgL_loopz00_2119;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_shrinkifyz00(void)
	{
		{	/* Ast/shrinkify.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00(void)
	{
		{	/* Ast/shrinkify.scm 15 */
			return BUNSPEC;
		}

	}



/* shrinkify! */
	BGL_EXPORTED_DEF obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Ast/shrinkify.scm 26 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00, BNIL);
			{
				obj_t BgL_l1234z00_1384;

				BgL_l1234z00_1384 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31304ze3z87_1385:
				if (PAIRP(BgL_l1234z00_1384))
					{	/* Ast/shrinkify.scm 28 */
						{	/* Ast/shrinkify.scm 29 */
							obj_t BgL_globalz00_1387;

							BgL_globalz00_1387 = CAR(BgL_l1234z00_1384);
							{	/* Ast/shrinkify.scm 29 */
								BgL_valuez00_bglt BgL_sfunz00_1388;

								BgL_sfunz00_1388 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1387))))->
									BgL_valuez00);
								{	/* Ast/shrinkify.scm 30 */
									obj_t BgL_g1233z00_1389;

									BgL_g1233z00_1389 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_sfunz00_1388)))->BgL_argsz00);
									{
										obj_t BgL_l1231z00_1391;

										BgL_l1231z00_1391 = BgL_g1233z00_1389;
									BgL_zc3z04anonymousza31307ze3z87_1392:
										if (PAIRP(BgL_l1231z00_1391))
											{	/* Ast/shrinkify.scm 30 */
												{	/* Ast/shrinkify.scm 30 */
													obj_t BgL_arg1309z00_1394;

													BgL_arg1309z00_1394 = CAR(BgL_l1231z00_1391);
													BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
														((BgL_variablez00_bglt) BgL_arg1309z00_1394));
												}
												{
													obj_t BgL_l1231z00_2283;

													BgL_l1231z00_2283 = CDR(BgL_l1231z00_1391);
													BgL_l1231z00_1391 = BgL_l1231z00_2283;
													goto BgL_zc3z04anonymousza31307ze3z87_1392;
												}
											}
										else
											{	/* Ast/shrinkify.scm 30 */
												((bool_t) 1);
											}
									}
								}
								{	/* Ast/shrinkify.scm 31 */
									obj_t BgL_arg1311z00_1397;

									BgL_arg1311z00_1397 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_globalz00_1387))))->
														BgL_valuez00))))->BgL_bodyz00);
									BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(((BgL_nodez00_bglt)
											BgL_arg1311z00_1397));
								}
							}
						}
						{
							obj_t BgL_l1234z00_2292;

							BgL_l1234z00_2292 = CDR(BgL_l1234z00_1384);
							BgL_l1234z00_1384 = BgL_l1234z00_2292;
							goto BgL_zc3z04anonymousza31304ze3z87_1385;
						}
					}
				else
					{	/* Ast/shrinkify.scm 28 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}

	}



/* &shrinkify! */
	obj_t BGl_z62shrinkifyz12z70zzast_shrinkifyz00(obj_t BgL_envz00_2041,
		obj_t BgL_globalsz00_2042)
	{
		{	/* Ast/shrinkify.scm 26 */
			return BGl_shrinkifyz12z12zzast_shrinkifyz00(BgL_globalsz00_2042);
		}

	}



/* shrink-node*! */
	bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t BgL_nodeza2za2_27)
	{
		{	/* Ast/shrinkify.scm 232 */
			{
				obj_t BgL_l1248z00_1402;

				BgL_l1248z00_1402 = BgL_nodeza2za2_27;
			BgL_zc3z04anonymousza31315ze3z87_1403:
				if (PAIRP(BgL_l1248z00_1402))
					{	/* Ast/shrinkify.scm 233 */
						{	/* Ast/shrinkify.scm 233 */
							obj_t BgL_arg1317z00_1405;

							BgL_arg1317z00_1405 = CAR(BgL_l1248z00_1402);
							BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
								((BgL_nodez00_bglt) BgL_arg1317z00_1405));
						}
						{
							obj_t BgL_l1248z00_2300;

							BgL_l1248z00_2300 = CDR(BgL_l1248z00_1402);
							BgL_l1248z00_1402 = BgL_l1248z00_2300;
							goto BgL_zc3z04anonymousza31315ze3z87_1403;
						}
					}
				else
					{	/* Ast/shrinkify.scm 233 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_shrinkifyz00(void)
	{
		{	/* Ast/shrinkify.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_shrinkifyz00(void)
	{
		{	/* Ast/shrinkify.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
				BGl_proc1779z00zzast_shrinkifyz00, BGl_variablez00zzast_varz00,
				BGl_string1780z00zzast_shrinkifyz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_proc1781z00zzast_shrinkifyz00, BGl_nodez00zzast_nodez00,
				BGl_string1782z00zzast_shrinkifyz00);
		}

	}



/* &shrink-node!1252 */
	obj_t BGl_z62shrinkzd2nodez121252za2zzast_shrinkifyz00(obj_t BgL_envz00_2047,
		obj_t BgL_nodez00_2048)
	{
		{	/* Ast/shrinkify.scm 47 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(0)), BGl_string1783z00zzast_shrinkifyz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2048)));
		}

	}



/* &shrink-variable!1250 */
	obj_t BGl_z62shrinkzd2variablez121250za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2049, obj_t BgL_variablez00_2050)
	{
		{	/* Ast/shrinkify.scm 38 */
			{	/* Ast/shrinkify.scm 39 */
				bool_t BgL_test1850z00_2309;

				{	/* Ast/shrinkify.scm 39 */
					obj_t BgL_tmpz00_2310;

					{	/* Ast/shrinkify.scm 39 */
						BgL_objectz00_bglt BgL_tmpz00_2311;

						BgL_tmpz00_2311 =
							((BgL_objectz00_bglt)
							((BgL_variablez00_bglt) BgL_variablez00_2050));
						BgL_tmpz00_2310 = BGL_OBJECT_WIDENING(BgL_tmpz00_2311);
					}
					BgL_test1850z00_2309 = CBOOL(BgL_tmpz00_2310);
				}
				if (BgL_test1850z00_2309)
					{	/* Ast/shrinkify.scm 39 */
						{	/* Ast/shrinkify.scm 40 */
							long BgL_arg1321z00_2130;

							{	/* Ast/shrinkify.scm 40 */
								obj_t BgL_arg1322z00_2131;

								{	/* Ast/shrinkify.scm 40 */
									obj_t BgL_arg1326z00_2132;

									{	/* Ast/shrinkify.scm 40 */
										obj_t BgL_arg1866z00_2133;
										long BgL_arg1867z00_2134;

										BgL_arg1866z00_2133 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/shrinkify.scm 40 */
											long BgL_arg1869z00_2135;

											BgL_arg1869z00_2135 =
												BGL_OBJECT_CLASS_NUM(
												((BgL_objectz00_bglt)
													((BgL_variablez00_bglt) BgL_variablez00_2050)));
											BgL_arg1867z00_2134 = (BgL_arg1869z00_2135 - OBJECT_TYPE);
										}
										BgL_arg1326z00_2132 =
											VECTOR_REF(BgL_arg1866z00_2133, BgL_arg1867z00_2134);
									}
									BgL_arg1322z00_2131 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1326z00_2132);
								}
								{	/* Ast/shrinkify.scm 40 */
									obj_t BgL_tmpz00_2323;

									BgL_tmpz00_2323 = ((obj_t) BgL_arg1322z00_2131);
									BgL_arg1321z00_2130 = BGL_CLASS_NUM(BgL_tmpz00_2323);
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_variablez00_bglt) BgL_variablez00_2050)),
								BgL_arg1321z00_2130);
						}
						{	/* Ast/shrinkify.scm 40 */
							BgL_objectz00_bglt BgL_tmpz00_2329;

							BgL_tmpz00_2329 =
								((BgL_objectz00_bglt)
								((BgL_variablez00_bglt) BgL_variablez00_2050));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2329, BFALSE);
						}
						((BgL_objectz00_bglt)
							((BgL_variablez00_bglt) BgL_variablez00_2050));
						((obj_t) ((BgL_variablez00_bglt) BgL_variablez00_2050));
					}
				else
					{	/* Ast/shrinkify.scm 39 */
						BFALSE;
					}
			}
			{	/* Ast/shrinkify.scm 41 */
				bool_t BgL_test1851z00_2337;

				{	/* Ast/shrinkify.scm 41 */
					obj_t BgL_tmpz00_2338;

					{	/* Ast/shrinkify.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_2339;

						BgL_tmpz00_2339 =
							((BgL_objectz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_variablez00_2050)))->
								BgL_valuez00));
						BgL_tmpz00_2338 = BGL_OBJECT_WIDENING(BgL_tmpz00_2339);
					}
					BgL_test1851z00_2337 = CBOOL(BgL_tmpz00_2338);
				}
				if (BgL_test1851z00_2337)
					{	/* Ast/shrinkify.scm 42 */
						BgL_valuez00_bglt BgL_o1103z00_2136;

						BgL_o1103z00_2136 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_variablez00_2050)))->
							BgL_valuez00);
						{	/* Ast/shrinkify.scm 42 */
							long BgL_arg1331z00_2137;

							{	/* Ast/shrinkify.scm 42 */
								obj_t BgL_arg1332z00_2138;

								{	/* Ast/shrinkify.scm 42 */
									obj_t BgL_arg1333z00_2139;

									{	/* Ast/shrinkify.scm 42 */
										obj_t BgL_arg1866z00_2140;
										long BgL_arg1867z00_2141;

										BgL_arg1866z00_2140 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/shrinkify.scm 42 */
											long BgL_arg1869z00_2142;

											BgL_arg1869z00_2142 =
												BGL_OBJECT_CLASS_NUM(
												((BgL_objectz00_bglt) BgL_o1103z00_2136));
											BgL_arg1867z00_2141 = (BgL_arg1869z00_2142 - OBJECT_TYPE);
										}
										BgL_arg1333z00_2139 =
											VECTOR_REF(BgL_arg1866z00_2140, BgL_arg1867z00_2141);
									}
									BgL_arg1332z00_2138 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1333z00_2139);
								}
								{	/* Ast/shrinkify.scm 42 */
									obj_t BgL_tmpz00_2353;

									BgL_tmpz00_2353 = ((obj_t) BgL_arg1332z00_2138);
									BgL_arg1331z00_2137 = BGL_CLASS_NUM(BgL_tmpz00_2353);
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_o1103z00_2136), BgL_arg1331z00_2137);
						}
						{	/* Ast/shrinkify.scm 42 */
							BgL_objectz00_bglt BgL_tmpz00_2358;

							BgL_tmpz00_2358 = ((BgL_objectz00_bglt) BgL_o1103z00_2136);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2358, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_o1103z00_2136);
						return ((obj_t) BgL_o1103z00_2136);
					}
				else
					{	/* Ast/shrinkify.scm 41 */
						return BFALSE;
					}
			}
		}

	}



/* shrink-variable! */
	obj_t BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt
		BgL_variablez00_4)
	{
		{	/* Ast/shrinkify.scm 38 */
			{	/* Ast/shrinkify.scm 38 */
				obj_t BgL_method1251z00_1428;

				{	/* Ast/shrinkify.scm 38 */
					obj_t BgL_res1773z00_1853;

					{	/* Ast/shrinkify.scm 38 */
						long BgL_objzd2classzd2numz00_1824;

						BgL_objzd2classzd2numz00_1824 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_variablez00_4));
						{	/* Ast/shrinkify.scm 38 */
							obj_t BgL_arg1862z00_1825;

							BgL_arg1862z00_1825 =
								PROCEDURE_REF
								(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
								(int) (1L));
							{	/* Ast/shrinkify.scm 38 */
								int BgL_offsetz00_1828;

								BgL_offsetz00_1828 = (int) (BgL_objzd2classzd2numz00_1824);
								{	/* Ast/shrinkify.scm 38 */
									long BgL_offsetz00_1829;

									BgL_offsetz00_1829 =
										((long) (BgL_offsetz00_1828) - OBJECT_TYPE);
									{	/* Ast/shrinkify.scm 38 */
										long BgL_modz00_1830;

										BgL_modz00_1830 =
											(BgL_offsetz00_1829 >> (int) ((long) ((int) (4L))));
										{	/* Ast/shrinkify.scm 38 */
											long BgL_restz00_1832;

											BgL_restz00_1832 =
												(BgL_offsetz00_1829 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/shrinkify.scm 38 */

												{	/* Ast/shrinkify.scm 38 */
													obj_t BgL_bucketz00_1834;

													BgL_bucketz00_1834 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_1825), BgL_modz00_1830);
													BgL_res1773z00_1853 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1834), BgL_restz00_1832);
					}}}}}}}}
					BgL_method1251z00_1428 = BgL_res1773z00_1853;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1251z00_1428,
					((obj_t) BgL_variablez00_4));
			}
		}

	}



/* &shrink-variable! */
	obj_t BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00(obj_t BgL_envz00_2043,
		obj_t BgL_variablez00_2044)
	{
		{	/* Ast/shrinkify.scm 38 */
			return
				BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
				((BgL_variablez00_bglt) BgL_variablez00_2044));
		}

	}



/* shrink-node! */
	BGL_EXPORTED_DEF obj_t
		BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt BgL_nodez00_5)
	{
		{	/* Ast/shrinkify.scm 47 */
			{	/* Ast/shrinkify.scm 47 */
				obj_t BgL_method1254z00_1429;

				{	/* Ast/shrinkify.scm 47 */
					obj_t BgL_res1778z00_1884;

					{	/* Ast/shrinkify.scm 47 */
						long BgL_objzd2classzd2numz00_1855;

						BgL_objzd2classzd2numz00_1855 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
						{	/* Ast/shrinkify.scm 47 */
							obj_t BgL_arg1862z00_1856;

							BgL_arg1862z00_1856 =
								PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
								(int) (1L));
							{	/* Ast/shrinkify.scm 47 */
								int BgL_offsetz00_1859;

								BgL_offsetz00_1859 = (int) (BgL_objzd2classzd2numz00_1855);
								{	/* Ast/shrinkify.scm 47 */
									long BgL_offsetz00_1860;

									BgL_offsetz00_1860 =
										((long) (BgL_offsetz00_1859) - OBJECT_TYPE);
									{	/* Ast/shrinkify.scm 47 */
										long BgL_modz00_1861;

										BgL_modz00_1861 =
											(BgL_offsetz00_1860 >> (int) ((long) ((int) (4L))));
										{	/* Ast/shrinkify.scm 47 */
											long BgL_restz00_1863;

											BgL_restz00_1863 =
												(BgL_offsetz00_1860 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/shrinkify.scm 47 */

												{	/* Ast/shrinkify.scm 47 */
													obj_t BgL_bucketz00_1865;

													BgL_bucketz00_1865 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_1856), BgL_modz00_1861);
													BgL_res1778z00_1884 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1865), BgL_restz00_1863);
					}}}}}}}}
					BgL_method1254z00_1429 = BgL_res1778z00_1884;
				}
				{	/* Ast/shrinkify.scm 47 */
					obj_t BgL_xz00_2116;

					BgL_xz00_2116 =
						BGL_PROCEDURE_CALL1(BgL_method1254z00_1429,
						((obj_t) BgL_nodez00_5));
					return BUNSPEC;
				}
			}
		}

	}



/* &shrink-node! */
	obj_t BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00(obj_t BgL_envz00_2051,
		obj_t BgL_nodez00_2052)
	{
		{	/* Ast/shrinkify.scm 47 */
			return
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				((BgL_nodez00_bglt) BgL_nodez00_2052));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_shrinkifyz00(void)
	{
		{	/* Ast/shrinkify.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_atomz00zzast_nodez00, BGl_proc1784z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_varz00zzast_nodez00, BGl_proc1786z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_kwotez00zzast_nodez00, BGl_proc1787z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1788z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_syncz00zzast_nodez00, BGl_proc1789z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appz00zzast_nodez00, BGl_proc1790z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1791z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1792z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_externz00zzast_nodez00, BGl_proc1793z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_castz00zzast_nodez00, BGl_proc1794z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setqz00zzast_nodez00, BGl_proc1795z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1796z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_failz00zzast_nodez00, BGl_proc1797z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_switchz00zzast_nodez00, BGl_proc1798z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1799z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1800z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1801z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1802z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1803z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1804z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1805z00zzast_shrinkifyz00,
				BGl_string1785z00zzast_shrinkifyz00);
		}

	}



/* &shrink-node!-jump-ex1298 */
	obj_t BGl_z62shrinkzd2nodez12zd2jumpzd2ex1298za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2074, obj_t BgL_nodez00_2075)
	{
		{	/* Ast/shrinkify.scm 224 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2075)))->BgL_exitz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2075)))->BgL_valuez00));
			return BUNSPEC;
		}

	}



/* &shrink-node!-set-ex-1296 */
	obj_t BGl_z62shrinkzd2nodez12zd2setzd2exzd21296z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2076, obj_t BgL_nodez00_2077)
	{
		{	/* Ast/shrinkify.scm 214 */
			{	/* Ast/shrinkify.scm 216 */
				BgL_varz00_bglt BgL_arg1581z00_2145;

				BgL_arg1581z00_2145 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2077)))->BgL_varz00);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					((BgL_nodez00_bglt) BgL_arg1581z00_2145));
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2077)))->BgL_bodyz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2077)))->BgL_onexitz00));
			return BUNSPEC;
		}

	}



/* &shrink-node!-let-var1294 */
	obj_t BGl_z62shrinkzd2nodez12zd2letzd2var1294za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2078, obj_t BgL_nodez00_2079)
	{
		{	/* Ast/shrinkify.scm 202 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2079)))->BgL_bodyz00));
			{	/* Ast/shrinkify.scm 205 */
				obj_t BgL_g1247z00_2147;

				BgL_g1247z00_2147 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2079)))->BgL_bindingsz00);
				{
					obj_t BgL_l1245z00_2149;

					BgL_l1245z00_2149 = BgL_g1247z00_2147;
				BgL_zc3z04anonymousza31559ze3z87_2148:
					if (PAIRP(BgL_l1245z00_2149))
						{	/* Ast/shrinkify.scm 205 */
							{	/* Ast/shrinkify.scm 206 */
								obj_t BgL_bindingz00_2150;

								BgL_bindingz00_2150 = CAR(BgL_l1245z00_2149);
								{	/* Ast/shrinkify.scm 206 */
									obj_t BgL_arg1574z00_2151;

									BgL_arg1574z00_2151 = CAR(((obj_t) BgL_bindingz00_2150));
									BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
										((BgL_variablez00_bglt) BgL_arg1574z00_2151));
								}
								{	/* Ast/shrinkify.scm 207 */
									obj_t BgL_arg1577z00_2152;

									BgL_arg1577z00_2152 = CDR(((obj_t) BgL_bindingz00_2150));
									BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
										((BgL_nodez00_bglt) BgL_arg1577z00_2152));
								}
							}
							{
								obj_t BgL_l1245z00_2480;

								BgL_l1245z00_2480 = CDR(BgL_l1245z00_2149);
								BgL_l1245z00_2149 = BgL_l1245z00_2480;
								goto BgL_zc3z04anonymousza31559ze3z87_2148;
							}
						}
					else
						{	/* Ast/shrinkify.scm 205 */
							((bool_t) 1);
						}
				}
			}
			return BUNSPEC;
		}

	}



/* &shrink-node!-let-fun1292 */
	obj_t BGl_z62shrinkzd2nodez12zd2letzd2fun1292za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2080, obj_t BgL_nodez00_2081)
	{
		{	/* Ast/shrinkify.scm 188 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2081)))->BgL_bodyz00));
			{	/* Ast/shrinkify.scm 191 */
				obj_t BgL_g1244z00_2154;

				BgL_g1244z00_2154 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2081)))->BgL_localsz00);
				{
					obj_t BgL_l1242z00_2156;

					BgL_l1242z00_2156 = BgL_g1244z00_2154;
				BgL_zc3z04anonymousza31536ze3z87_2155:
					if (PAIRP(BgL_l1242z00_2156))
						{	/* Ast/shrinkify.scm 191 */
							{	/* Ast/shrinkify.scm 192 */
								obj_t BgL_localz00_2157;

								BgL_localz00_2157 = CAR(BgL_l1242z00_2156);
								{	/* Ast/shrinkify.scm 192 */
									BgL_valuez00_bglt BgL_sfunz00_2158;

									BgL_sfunz00_2158 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2157))))->
										BgL_valuez00);
									BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00((
											(BgL_variablez00_bglt) BgL_localz00_2157));
									{	/* Ast/shrinkify.scm 194 */
										obj_t BgL_g1241z00_2159;

										BgL_g1241z00_2159 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_2158)))->BgL_argsz00);
										{
											obj_t BgL_l1239z00_2161;

											BgL_l1239z00_2161 = BgL_g1241z00_2159;
										BgL_zc3z04anonymousza31538ze3z87_2160:
											if (PAIRP(BgL_l1239z00_2161))
												{	/* Ast/shrinkify.scm 194 */
													{	/* Ast/shrinkify.scm 194 */
														obj_t BgL_arg1543z00_2162;

														BgL_arg1543z00_2162 = CAR(BgL_l1239z00_2161);
														BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
															((BgL_variablez00_bglt) BgL_arg1543z00_2162));
													}
													{
														obj_t BgL_l1239z00_2502;

														BgL_l1239z00_2502 = CDR(BgL_l1239z00_2161);
														BgL_l1239z00_2161 = BgL_l1239z00_2502;
														goto BgL_zc3z04anonymousza31538ze3z87_2160;
													}
												}
											else
												{	/* Ast/shrinkify.scm 194 */
													((bool_t) 1);
												}
										}
									}
									{	/* Ast/shrinkify.scm 195 */
										obj_t BgL_arg1553z00_2163;

										BgL_arg1553z00_2163 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_2158)))->BgL_bodyz00);
										BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
											((BgL_nodez00_bglt) BgL_arg1553z00_2163));
									}
								}
							}
							{
								obj_t BgL_l1242z00_2508;

								BgL_l1242z00_2508 = CDR(BgL_l1242z00_2156);
								BgL_l1242z00_2156 = BgL_l1242z00_2508;
								goto BgL_zc3z04anonymousza31536ze3z87_2155;
							}
						}
					else
						{	/* Ast/shrinkify.scm 191 */
							((bool_t) 1);
						}
				}
			}
			return BUNSPEC;
		}

	}



/* &shrink-node!-box-set1290 */
	obj_t BGl_z62shrinkzd2nodez12zd2boxzd2set1290za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2082, obj_t BgL_nodez00_2083)
	{
		{	/* Ast/shrinkify.scm 179 */
			{	/* Ast/shrinkify.scm 180 */
				bool_t BgL_test1855z00_2510;

				{	/* Ast/shrinkify.scm 180 */
					obj_t BgL_tmpz00_2511;

					{	/* Ast/shrinkify.scm 180 */
						BgL_objectz00_bglt BgL_tmpz00_2512;

						BgL_tmpz00_2512 =
							((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2083));
						BgL_tmpz00_2511 = BGL_OBJECT_WIDENING(BgL_tmpz00_2512);
					}
					BgL_test1855z00_2510 = CBOOL(BgL_tmpz00_2511);
				}
				if (BgL_test1855z00_2510)
					{	/* Ast/shrinkify.scm 180 */
						{	/* Ast/shrinkify.scm 180 */
							long BgL_arg1513z00_2165;

							{	/* Ast/shrinkify.scm 180 */
								obj_t BgL_arg1515z00_2166;

								{	/* Ast/shrinkify.scm 180 */
									obj_t BgL_arg1516z00_2167;

									{	/* Ast/shrinkify.scm 180 */
										obj_t BgL_arg1866z00_2168;
										long BgL_arg1867z00_2169;

										BgL_arg1866z00_2168 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/shrinkify.scm 180 */
											long BgL_arg1869z00_2170;

											BgL_arg1869z00_2170 =
												BGL_OBJECT_CLASS_NUM(
												((BgL_objectz00_bglt)
													((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2083)));
											BgL_arg1867z00_2169 = (BgL_arg1869z00_2170 - OBJECT_TYPE);
										}
										BgL_arg1516z00_2167 =
											VECTOR_REF(BgL_arg1866z00_2168, BgL_arg1867z00_2169);
									}
									BgL_arg1515z00_2166 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1516z00_2167);
								}
								{	/* Ast/shrinkify.scm 180 */
									obj_t BgL_tmpz00_2524;

									BgL_tmpz00_2524 = ((obj_t) BgL_arg1515z00_2166);
									BgL_arg1513z00_2165 = BGL_CLASS_NUM(BgL_tmpz00_2524);
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2083)),
								BgL_arg1513z00_2165);
						}
						{	/* Ast/shrinkify.scm 180 */
							BgL_objectz00_bglt BgL_tmpz00_2530;

							BgL_tmpz00_2530 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2083));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2530, BFALSE);
						}
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2083));
						((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2083));
					}
				else
					{	/* Ast/shrinkify.scm 180 */
						BFALSE;
					}
			}
			{	/* Ast/shrinkify.scm 181 */
				BgL_varz00_bglt BgL_arg1530z00_2171;

				BgL_arg1530z00_2171 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2083)))->BgL_varz00);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					((BgL_nodez00_bglt) BgL_arg1530z00_2171));
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2083)))->BgL_valuez00));
			return BUNSPEC;
		}

	}



/* &shrink-node!-box-ref1288 */
	obj_t BGl_z62shrinkzd2nodez12zd2boxzd2ref1288za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2084, obj_t BgL_nodez00_2085)
	{
		{	/* Ast/shrinkify.scm 171 */
			{	/* Ast/shrinkify.scm 172 */
				bool_t BgL_test1858z00_2545;

				{	/* Ast/shrinkify.scm 172 */
					obj_t BgL_tmpz00_2546;

					{	/* Ast/shrinkify.scm 172 */
						BgL_objectz00_bglt BgL_tmpz00_2547;

						BgL_tmpz00_2547 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2085));
						BgL_tmpz00_2546 = BGL_OBJECT_WIDENING(BgL_tmpz00_2547);
					}
					BgL_test1858z00_2545 = CBOOL(BgL_tmpz00_2546);
				}
				if (BgL_test1858z00_2545)
					{	/* Ast/shrinkify.scm 172 */
						{	/* Ast/shrinkify.scm 172 */
							long BgL_arg1489z00_2173;

							{	/* Ast/shrinkify.scm 172 */
								obj_t BgL_arg1490z00_2174;

								{	/* Ast/shrinkify.scm 172 */
									obj_t BgL_arg1506z00_2175;

									{	/* Ast/shrinkify.scm 172 */
										obj_t BgL_arg1866z00_2176;
										long BgL_arg1867z00_2177;

										BgL_arg1866z00_2176 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/shrinkify.scm 172 */
											long BgL_arg1869z00_2178;

											BgL_arg1869z00_2178 =
												BGL_OBJECT_CLASS_NUM(
												((BgL_objectz00_bglt)
													((BgL_boxzd2refzd2_bglt) BgL_nodez00_2085)));
											BgL_arg1867z00_2177 = (BgL_arg1869z00_2178 - OBJECT_TYPE);
										}
										BgL_arg1506z00_2175 =
											VECTOR_REF(BgL_arg1866z00_2176, BgL_arg1867z00_2177);
									}
									BgL_arg1490z00_2174 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1506z00_2175);
								}
								{	/* Ast/shrinkify.scm 172 */
									obj_t BgL_tmpz00_2559;

									BgL_tmpz00_2559 = ((obj_t) BgL_arg1490z00_2174);
									BgL_arg1489z00_2173 = BGL_CLASS_NUM(BgL_tmpz00_2559);
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_2085)),
								BgL_arg1489z00_2173);
						}
						{	/* Ast/shrinkify.scm 172 */
							BgL_objectz00_bglt BgL_tmpz00_2565;

							BgL_tmpz00_2565 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2085));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2565, BFALSE);
						}
						((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2085));
						((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2085));
					}
				else
					{	/* Ast/shrinkify.scm 172 */
						BFALSE;
					}
			}
			{	/* Ast/shrinkify.scm 173 */
				BgL_varz00_bglt BgL_arg1511z00_2179;

				BgL_arg1511z00_2179 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2085)))->BgL_varz00);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					((BgL_nodez00_bglt) BgL_arg1511z00_2179));
			}
			return BUNSPEC;
		}

	}



/* &shrink-node!-make-bo1286 */
	obj_t BGl_z62shrinkzd2nodez12zd2makezd2bo1286za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2086, obj_t BgL_nodez00_2087)
	{
		{	/* Ast/shrinkify.scm 163 */
			{	/* Ast/shrinkify.scm 164 */
				bool_t BgL_test1860z00_2577;

				{	/* Ast/shrinkify.scm 164 */
					obj_t BgL_tmpz00_2578;

					{	/* Ast/shrinkify.scm 164 */
						BgL_objectz00_bglt BgL_tmpz00_2579;

						BgL_tmpz00_2579 =
							((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2087));
						BgL_tmpz00_2578 = BGL_OBJECT_WIDENING(BgL_tmpz00_2579);
					}
					BgL_test1860z00_2577 = CBOOL(BgL_tmpz00_2578);
				}
				if (BgL_test1860z00_2577)
					{	/* Ast/shrinkify.scm 164 */
						{	/* Ast/shrinkify.scm 164 */
							long BgL_arg1471z00_2181;

							{	/* Ast/shrinkify.scm 164 */
								obj_t BgL_arg1480z00_2182;

								{	/* Ast/shrinkify.scm 164 */
									obj_t BgL_arg1484z00_2183;

									{	/* Ast/shrinkify.scm 164 */
										obj_t BgL_arg1866z00_2184;
										long BgL_arg1867z00_2185;

										BgL_arg1866z00_2184 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/shrinkify.scm 164 */
											long BgL_arg1869z00_2186;

											BgL_arg1869z00_2186 =
												BGL_OBJECT_CLASS_NUM(
												((BgL_objectz00_bglt)
													((BgL_makezd2boxzd2_bglt) BgL_nodez00_2087)));
											BgL_arg1867z00_2185 = (BgL_arg1869z00_2186 - OBJECT_TYPE);
										}
										BgL_arg1484z00_2183 =
											VECTOR_REF(BgL_arg1866z00_2184, BgL_arg1867z00_2185);
									}
									BgL_arg1480z00_2182 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1484z00_2183);
								}
								{	/* Ast/shrinkify.scm 164 */
									obj_t BgL_tmpz00_2591;

									BgL_tmpz00_2591 = ((obj_t) BgL_arg1480z00_2182);
									BgL_arg1471z00_2181 = BGL_CLASS_NUM(BgL_tmpz00_2591);
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_2087)),
								BgL_arg1471z00_2181);
						}
						{	/* Ast/shrinkify.scm 164 */
							BgL_objectz00_bglt BgL_tmpz00_2597;

							BgL_tmpz00_2597 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2087));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2597, BFALSE);
						}
						((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2087));
						((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2087));
					}
				else
					{	/* Ast/shrinkify.scm 164 */
						BFALSE;
					}
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2087)))->BgL_valuez00));
			return BUNSPEC;
		}

	}



/* &shrink-node!-switch1284 */
	obj_t BGl_z62shrinkzd2nodez12zd2switch1284z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2088, obj_t BgL_nodez00_2089)
	{
		{	/* Ast/shrinkify.scm 153 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2089)))->BgL_testz00));
			{	/* Ast/shrinkify.scm 155 */
				obj_t BgL_g1238z00_2188;

				BgL_g1238z00_2188 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2089)))->BgL_clausesz00);
				{
					obj_t BgL_l1236z00_2190;

					BgL_l1236z00_2190 = BgL_g1238z00_2188;
				BgL_zc3z04anonymousza31417ze3z87_2189:
					if (PAIRP(BgL_l1236z00_2190))
						{	/* Ast/shrinkify.scm 157 */
							{	/* Ast/shrinkify.scm 156 */
								obj_t BgL_clausez00_2191;

								BgL_clausez00_2191 = CAR(BgL_l1236z00_2190);
								{	/* Ast/shrinkify.scm 156 */
									obj_t BgL_arg1446z00_2192;

									BgL_arg1446z00_2192 = CDR(((obj_t) BgL_clausez00_2191));
									BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
										((BgL_nodez00_bglt) BgL_arg1446z00_2192));
								}
							}
							{
								obj_t BgL_l1236z00_2620;

								BgL_l1236z00_2620 = CDR(BgL_l1236z00_2190);
								BgL_l1236z00_2190 = BgL_l1236z00_2620;
								goto BgL_zc3z04anonymousza31417ze3z87_2189;
							}
						}
					else
						{	/* Ast/shrinkify.scm 157 */
							((bool_t) 1);
						}
				}
			}
			return BUNSPEC;
		}

	}



/* &shrink-node!-fail1282 */
	obj_t BGl_z62shrinkzd2nodez12zd2fail1282z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2090, obj_t BgL_nodez00_2091)
	{
		{	/* Ast/shrinkify.scm 144 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2091)))->BgL_procz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2091)))->BgL_msgz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2091)))->BgL_objz00));
			return BUNSPEC;
		}

	}



/* &shrink-node!-conditi1280 */
	obj_t BGl_z62shrinkzd2nodez12zd2conditi1280z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2092, obj_t BgL_nodez00_2093)
	{
		{	/* Ast/shrinkify.scm 135 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2093)))->BgL_testz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2093)))->BgL_truez00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2093)))->BgL_falsez00));
			return BUNSPEC;
		}

	}



/* &shrink-node!-setq1278 */
	obj_t BGl_z62shrinkzd2nodez12zd2setq1278z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2094, obj_t BgL_nodez00_2095)
	{
		{	/* Ast/shrinkify.scm 128 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2095)))->BgL_valuez00));
			return BUNSPEC;
		}

	}



/* &shrink-node!-cast1276 */
	obj_t BGl_z62shrinkzd2nodez12zd2cast1276z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2096, obj_t BgL_nodez00_2097)
	{
		{	/* Ast/shrinkify.scm 121 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2097)))->BgL_argz00));
			return BUNSPEC;
		}

	}



/* &shrink-node!-extern1274 */
	obj_t BGl_z62shrinkzd2nodez12zd2extern1274z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2098, obj_t BgL_nodez00_2099)
	{
		{	/* Ast/shrinkify.scm 113 */
			{	/* Ast/shrinkify.scm 114 */
				bool_t BgL_test1862z00_2646;

				{	/* Ast/shrinkify.scm 114 */
					obj_t BgL_tmpz00_2647;

					{	/* Ast/shrinkify.scm 114 */
						BgL_objectz00_bglt BgL_tmpz00_2648;

						BgL_tmpz00_2648 =
							((BgL_objectz00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2099));
						BgL_tmpz00_2647 = BGL_OBJECT_WIDENING(BgL_tmpz00_2648);
					}
					BgL_test1862z00_2646 = CBOOL(BgL_tmpz00_2647);
				}
				if (BgL_test1862z00_2646)
					{	/* Ast/shrinkify.scm 114 */
						{	/* Ast/shrinkify.scm 114 */
							long BgL_arg1385z00_2198;

							{	/* Ast/shrinkify.scm 114 */
								obj_t BgL_arg1386z00_2199;

								{	/* Ast/shrinkify.scm 114 */
									obj_t BgL_arg1388z00_2200;

									{	/* Ast/shrinkify.scm 114 */
										obj_t BgL_arg1866z00_2201;
										long BgL_arg1867z00_2202;

										BgL_arg1866z00_2201 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/shrinkify.scm 114 */
											long BgL_arg1869z00_2203;

											BgL_arg1869z00_2203 =
												BGL_OBJECT_CLASS_NUM(
												((BgL_objectz00_bglt)
													((BgL_externz00_bglt) BgL_nodez00_2099)));
											BgL_arg1867z00_2202 = (BgL_arg1869z00_2203 - OBJECT_TYPE);
										}
										BgL_arg1388z00_2200 =
											VECTOR_REF(BgL_arg1866z00_2201, BgL_arg1867z00_2202);
									}
									BgL_arg1386z00_2199 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1388z00_2200);
								}
								{	/* Ast/shrinkify.scm 114 */
									obj_t BgL_tmpz00_2660;

									BgL_tmpz00_2660 = ((obj_t) BgL_arg1386z00_2199);
									BgL_arg1385z00_2198 = BGL_CLASS_NUM(BgL_tmpz00_2660);
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_externz00_bglt) BgL_nodez00_2099)),
								BgL_arg1385z00_2198);
						}
						{	/* Ast/shrinkify.scm 114 */
							BgL_objectz00_bglt BgL_tmpz00_2666;

							BgL_tmpz00_2666 =
								((BgL_objectz00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2099));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2666, BFALSE);
						}
						((BgL_objectz00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2099));
						((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2099));
					}
				else
					{	/* Ast/shrinkify.scm 114 */
						BFALSE;
					}
			}
			BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2099)))->BgL_exprza2za2));
			return BUNSPEC;
		}

	}



/* &shrink-node!-funcall1272 */
	obj_t BGl_z62shrinkzd2nodez12zd2funcall1272z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2100, obj_t BgL_nodez00_2101)
	{
		{	/* Ast/shrinkify.scm 104 */
			{	/* Ast/shrinkify.scm 105 */
				bool_t BgL_test1863z00_2677;

				{	/* Ast/shrinkify.scm 105 */
					obj_t BgL_tmpz00_2678;

					{	/* Ast/shrinkify.scm 105 */
						BgL_objectz00_bglt BgL_tmpz00_2679;

						BgL_tmpz00_2679 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2101));
						BgL_tmpz00_2678 = BGL_OBJECT_WIDENING(BgL_tmpz00_2679);
					}
					BgL_test1863z00_2677 = CBOOL(BgL_tmpz00_2678);
				}
				if (BgL_test1863z00_2677)
					{	/* Ast/shrinkify.scm 105 */
						{	/* Ast/shrinkify.scm 105 */
							long BgL_arg1376z00_2205;

							{	/* Ast/shrinkify.scm 105 */
								obj_t BgL_arg1379z00_2206;

								{	/* Ast/shrinkify.scm 105 */
									obj_t BgL_arg1380z00_2207;

									{	/* Ast/shrinkify.scm 105 */
										obj_t BgL_arg1866z00_2208;
										long BgL_arg1867z00_2209;

										BgL_arg1866z00_2208 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/shrinkify.scm 105 */
											long BgL_arg1869z00_2210;

											BgL_arg1869z00_2210 =
												BGL_OBJECT_CLASS_NUM(
												((BgL_objectz00_bglt)
													((BgL_funcallz00_bglt) BgL_nodez00_2101)));
											BgL_arg1867z00_2209 = (BgL_arg1869z00_2210 - OBJECT_TYPE);
										}
										BgL_arg1380z00_2207 =
											VECTOR_REF(BgL_arg1866z00_2208, BgL_arg1867z00_2209);
									}
									BgL_arg1379z00_2206 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1380z00_2207);
								}
								{	/* Ast/shrinkify.scm 105 */
									obj_t BgL_tmpz00_2691;

									BgL_tmpz00_2691 = ((obj_t) BgL_arg1379z00_2206);
									BgL_arg1376z00_2205 = BGL_CLASS_NUM(BgL_tmpz00_2691);
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_2101)),
								BgL_arg1376z00_2205);
						}
						{	/* Ast/shrinkify.scm 105 */
							BgL_objectz00_bglt BgL_tmpz00_2697;

							BgL_tmpz00_2697 =
								((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2101));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2697, BFALSE);
						}
						((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2101));
						((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2101));
					}
				else
					{	/* Ast/shrinkify.scm 105 */
						BFALSE;
					}
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2101)))->BgL_funz00));
			BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2101)))->BgL_argsz00));
			return BUNSPEC;
		}

	}



/* &shrink-node!-app-ly1270 */
	obj_t BGl_z62shrinkzd2nodez12zd2appzd2ly1270za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2102, obj_t BgL_nodez00_2103)
	{
		{	/* Ast/shrinkify.scm 95 */
			{	/* Ast/shrinkify.scm 96 */
				bool_t BgL_test1864z00_2711;

				{	/* Ast/shrinkify.scm 96 */
					obj_t BgL_tmpz00_2712;

					{	/* Ast/shrinkify.scm 96 */
						BgL_objectz00_bglt BgL_tmpz00_2713;

						BgL_tmpz00_2713 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2103));
						BgL_tmpz00_2712 = BGL_OBJECT_WIDENING(BgL_tmpz00_2713);
					}
					BgL_test1864z00_2711 = CBOOL(BgL_tmpz00_2712);
				}
				if (BgL_test1864z00_2711)
					{	/* Ast/shrinkify.scm 96 */
						{	/* Ast/shrinkify.scm 96 */
							long BgL_arg1364z00_2212;

							{	/* Ast/shrinkify.scm 96 */
								obj_t BgL_arg1365z00_2213;

								{	/* Ast/shrinkify.scm 96 */
									obj_t BgL_arg1367z00_2214;

									{	/* Ast/shrinkify.scm 96 */
										obj_t BgL_arg1866z00_2215;
										long BgL_arg1867z00_2216;

										BgL_arg1866z00_2215 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/shrinkify.scm 96 */
											long BgL_arg1869z00_2217;

											BgL_arg1869z00_2217 =
												BGL_OBJECT_CLASS_NUM(
												((BgL_objectz00_bglt)
													((BgL_appzd2lyzd2_bglt) BgL_nodez00_2103)));
											BgL_arg1867z00_2216 = (BgL_arg1869z00_2217 - OBJECT_TYPE);
										}
										BgL_arg1367z00_2214 =
											VECTOR_REF(BgL_arg1866z00_2215, BgL_arg1867z00_2216);
									}
									BgL_arg1365z00_2213 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1367z00_2214);
								}
								{	/* Ast/shrinkify.scm 96 */
									obj_t BgL_tmpz00_2725;

									BgL_tmpz00_2725 = ((obj_t) BgL_arg1365z00_2213);
									BgL_arg1364z00_2212 = BGL_CLASS_NUM(BgL_tmpz00_2725);
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2103)),
								BgL_arg1364z00_2212);
						}
						{	/* Ast/shrinkify.scm 96 */
							BgL_objectz00_bglt BgL_tmpz00_2731;

							BgL_tmpz00_2731 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2103));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2731, BFALSE);
						}
						((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2103));
						((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2103));
					}
				else
					{	/* Ast/shrinkify.scm 96 */
						BFALSE;
					}
			}
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2103)))->BgL_funz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2103)))->BgL_argz00));
			return BUNSPEC;
		}

	}



/* &shrink-node!-app1267 */
	obj_t BGl_z62shrinkzd2nodez12zd2app1267z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2104, obj_t BgL_nodez00_2105)
	{
		{	/* Ast/shrinkify.scm 86 */
			{	/* Ast/shrinkify.scm 87 */
				bool_t BgL_test1865z00_2745;

				{	/* Ast/shrinkify.scm 87 */
					obj_t BgL_tmpz00_2746;

					{	/* Ast/shrinkify.scm 87 */
						BgL_objectz00_bglt BgL_tmpz00_2747;

						BgL_tmpz00_2747 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2105));
						BgL_tmpz00_2746 = BGL_OBJECT_WIDENING(BgL_tmpz00_2747);
					}
					BgL_test1865z00_2745 = CBOOL(BgL_tmpz00_2746);
				}
				if (BgL_test1865z00_2745)
					{	/* Ast/shrinkify.scm 87 */
						{	/* Ast/shrinkify.scm 87 */
							long BgL_arg1355z00_2219;

							{	/* Ast/shrinkify.scm 87 */
								obj_t BgL_arg1358z00_2220;

								{	/* Ast/shrinkify.scm 87 */
									obj_t BgL_arg1359z00_2221;

									{	/* Ast/shrinkify.scm 87 */
										obj_t BgL_arg1866z00_2222;
										long BgL_arg1867z00_2223;

										BgL_arg1866z00_2222 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/shrinkify.scm 87 */
											long BgL_arg1869z00_2224;

											BgL_arg1869z00_2224 =
												BGL_OBJECT_CLASS_NUM(
												((BgL_objectz00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_2105)));
											BgL_arg1867z00_2223 = (BgL_arg1869z00_2224 - OBJECT_TYPE);
										}
										BgL_arg1359z00_2221 =
											VECTOR_REF(BgL_arg1866z00_2222, BgL_arg1867z00_2223);
									}
									BgL_arg1358z00_2220 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1359z00_2221);
								}
								{	/* Ast/shrinkify.scm 87 */
									obj_t BgL_tmpz00_2759;

									BgL_tmpz00_2759 = ((obj_t) BgL_arg1358z00_2220);
									BgL_arg1355z00_2219 = BGL_CLASS_NUM(BgL_tmpz00_2759);
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_2105)), BgL_arg1355z00_2219);
						}
						{	/* Ast/shrinkify.scm 87 */
							BgL_objectz00_bglt BgL_tmpz00_2765;

							BgL_tmpz00_2765 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2105));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2765, BFALSE);
						}
						((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2105));
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2105));
					}
				else
					{	/* Ast/shrinkify.scm 87 */
						BFALSE;
					}
			}
			{	/* Ast/shrinkify.scm 88 */
				BgL_varz00_bglt BgL_arg1360z00_2225;

				BgL_arg1360z00_2225 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2105)))->BgL_funz00);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					((BgL_nodez00_bglt) BgL_arg1360z00_2225));
			}
			BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2105)))->BgL_argsz00));
			return BUNSPEC;
		}

	}



/* &shrink-node!-sync1265 */
	obj_t BGl_z62shrinkzd2nodez12zd2sync1265z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2106, obj_t BgL_nodez00_2107)
	{
		{	/* Ast/shrinkify.scm 77 */
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2107)))->BgL_mutexz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2107)))->BgL_prelockz00));
			BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2107)))->BgL_bodyz00));
			return BUNSPEC;
		}

	}



/* &shrink-node!-sequenc1263 */
	obj_t BGl_z62shrinkzd2nodez12zd2sequenc1263z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2108, obj_t BgL_nodez00_2109)
	{
		{	/* Ast/shrinkify.scm 70 */
			BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2109)))->BgL_nodesz00));
			return BUNSPEC;
		}

	}



/* &shrink-node!-kwote1261 */
	obj_t BGl_z62shrinkzd2nodez12zd2kwote1261z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2110, obj_t BgL_nodez00_2111)
	{
		{	/* Ast/shrinkify.scm 64 */
			return BUNSPEC;
		}

	}



/* &shrink-node!-var1259 */
	obj_t BGl_z62shrinkzd2nodez12zd2var1259z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2112, obj_t BgL_nodez00_2113)
	{
		{	/* Ast/shrinkify.scm 58 */
			return BUNSPEC;
		}

	}



/* &shrink-node!-atom1256 */
	obj_t BGl_z62shrinkzd2nodez12zd2atom1256z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2114, obj_t BgL_nodez00_2115)
	{
		{	/* Ast/shrinkify.scm 52 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00(void)
	{
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1806z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1806z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1806z00zzast_shrinkifyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1806z00zzast_shrinkifyz00));
		}

	}

#ifdef __cplusplus
}
#endif
