/*===========================================================================*/
/*   (Ast/venv.scm)                                                          */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/venv.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_AST_ENV_TYPE_DEFINITIONS
#define BGL_AST_ENV_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
		bool_t BgL_tailrecz00;
	}               *BgL_isfunz00_bglt;


#endif													// BGL_AST_ENV_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62globalzd2bucketzd2positionz62zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00(void);
	static obj_t BGl_requirezd2initializa7ationz75zzast_envz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00(void);
	extern obj_t BGl_funz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_za2Genvza2z00zzast_envz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzast_envz00(void);
	static obj_t BGl_z62addzd2genvz12za2zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_bindzd2globalz12zc0zzast_envz00(obj_t, obj_t, obj_t, BgL_valuez00_bglt,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_envz00(void);
	static obj_t BGl_objectzd2initzd2zzast_envz00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	static obj_t
		BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00(obj_t);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	static obj_t BGl_z62findzd2globalzf2modulez42zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62unbindzd2globalz12za2zzast_envz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_envz00(void);
	static obj_t BGl_z62forzd2eachzd2globalz12z70zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00(void);
	static obj_t BGl_z62restorezd2valuezd2typesz12z70zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121247z70zzast_envz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt,
		obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121250z70zzast_envz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121252z70zzast_envz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121254z70zzast_envz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121256z70zzast_envz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62getzd2globalzf2modulez42zzast_envz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
	static obj_t BGl_z62restorezd2globalz12za2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62alreadyzd2restoredzf3z43zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
	static obj_t BGl_z62initializa7ezd2Genvz12z05zzast_envz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t BGl_z62getzd2genvzb0zzast_envz00(obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza31607ze3ze5zzast_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31267ze3ze5zzast_envz00(obj_t, obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62bindzd2globalz12za2zzast_envz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BUNSPEC;
	static obj_t BGl_z62findzd2globalzb0zzast_envz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_envz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00(void);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_envz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_envz00(void);
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2restoredza2z00zzast_envz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2genvz12za2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2genvzd2zzast_envz00(void);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_warningzd2rebindzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	static obj_t __cnst[8];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl_za762addza7d2genvza7121934za7, BGl_z62addzd2genvz12za2zzast_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl_za762findza7d2global1935z00,
		BGl_z62findzd2globalzf2modulez42zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl_za762setza7d2genvza7121936za7, BGl_z62setzd2genvz12za2zzast_envz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzd2envz00zzast_envz00,
		BgL_bgl_za762findza7d2global1937z00, va_generic_entry,
		BGl_z62findzd2globalzb0zzast_envz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_initializa7ezd2Genvz12zd2envzb5zzast_envz00,
		BgL_bgl_za762initializa7a7eza71938za7,
		BGl_z62initializa7ezd2Genvz12z05zzast_envz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unbindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762unbindza7d2glob1939z00,
		BGl_z62unbindzd2globalz12za2zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1910z00zzast_envz00,
		BgL_bgl_string1910za700za7za7a1940za7, "~a::~a", 6);
	      DEFINE_STRING(BGl_string1911z00zzast_envz00,
		BgL_bgl_string1911za700za7za7a1941za7, "Cannot find global variable", 27);
	      DEFINE_STRING(BGl_string1912z00zzast_envz00,
		BgL_bgl_string1912za700za7za7a1942za7, "Variable overridden by", 22);
	      DEFINE_STRING(BGl_string1913z00zzast_envz00,
		BgL_bgl_string1913za700za7za7a1943za7, "Duplicate definition", 20);
	      DEFINE_STRING(BGl_string1914z00zzast_envz00,
		BgL_bgl_string1914za700za7za7a1944za7, "eval", 4);
	      DEFINE_STRING(BGl_string1915z00zzast_envz00,
		BgL_bgl_string1915za700za7za7a1945za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1909z00zzast_envz00,
		BgL_bgl_za762za7c3za704anonymo1946za7,
		BGl_z62zc3z04anonymousza31267ze3ze5zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1916z00zzast_envz00,
		BgL_bgl_string1916za700za7za7a1947za7, "unbind-global!", 14);
	      DEFINE_STRING(BGl_string1917z00zzast_envz00,
		BgL_bgl_string1917za700za7za7a1948za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string1919z00zzast_envz00,
		BgL_bgl_string1919za700za7za7a1949za7, "restore-value-types!1247", 24);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2bucketzd2positionzd2envzd2zzast_envz00,
		BgL_bgl_za762globalza7d2buck1950z00,
		BGl_z62globalzd2bucketzd2positionz62zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1921z00zzast_envz00,
		BgL_bgl_string1921za700za7za7a1951za7, "restore-value-types!", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1918z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val1952z00,
		BGl_z62restorezd2valuezd2typesz121247z70zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1925z00zzast_envz00,
		BgL_bgl_string1925za700za7za7a1953za7, "head-restore", 12);
	      DEFINE_STRING(BGl_string1926z00zzast_envz00,
		BgL_bgl_string1926za700za7za7a1954za7,
		"Illegal restored type for foreign function", 42);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl_za762getza7d2globalza71955za7,
		BGl_z62getzd2globalzf2modulez42zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1927z00zzast_envz00,
		BgL_bgl_string1927za700za7za7a1956za7, "restore-value-types(sfun)", 25);
	      DEFINE_STRING(BGl_string1928z00zzast_envz00,
		BgL_bgl_string1928za700za7za7a1957za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string1929z00zzast_envz00,
		BgL_bgl_string1929za700za7za7a1958za7, "restore-value-types", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1920z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val1959z00,
		BGl_z62restorezd2valuezd2typesz121250z70zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1922z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val1960z00,
		BGl_z62restorezd2valuezd2typesz121252z70zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1923z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val1961z00,
		BGl_z62restorezd2valuezd2typesz121254z70zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1930z00zzast_envz00,
		BgL_bgl_string1930za700za7za7a1962za7, "Illegal non pair argument", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1924z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val1963z00,
		BGl_z62restorezd2valuezd2typesz121256z70zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1931z00zzast_envz00,
		BgL_bgl_string1931za700za7za7a1964za7, "ast_env", 7);
	      DEFINE_STRING(BGl_string1932z00zzast_envz00,
		BgL_bgl_string1932za700za7za7a1965za7,
		"_ now read eval @ get-global/module foreign the-global-environment ", 67);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2genvzd2envz00zzast_envz00,
		BgL_bgl_za762getza7d2genvza7b01966za7, BGl_z62getzd2genvzb0zzast_envz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
		BgL_bgl_za762restoreza7d2val1967z00,
		BGl_z62restorezd2valuezd2typesz12z70zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_forzd2eachzd2globalz12zd2envzc0zzast_envz00,
		BgL_bgl_za762forza7d2eachza7d21968za7, va_generic_entry,
		BGl_z62forzd2eachzd2globalz12z70zzast_envz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762bindza7d2global1969z00, BGl_z62bindzd2globalz12za2zzast_envz00,
		0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_restorezd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762restoreza7d2glo1970z00,
		BGl_z62restorezd2globalz12za2zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_alreadyzd2restoredzf3zd2envzf3zzast_envz00,
		BgL_bgl_za762alreadyza7d2res1971z00,
		BGl_z62alreadyzd2restoredzf3z43zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_additionalzd2heapzd2restorezd2globalsz12zd2envz12zzast_envz00,
		BgL_bgl_za762additionalza7d21972z00,
		BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00, 0L, BUNSPEC,
		0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_envz00));
		     ADD_ROOT((void *) (&BGl_za2Genvza2z00zzast_envz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00));
		     ADD_ROOT((void *) (&BGl_za2restoredza2z00zzast_envz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long
		BgL_checksumz00_2822, char *BgL_fromz00_2823)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_envz00))
				{
					BGl_requirezd2initializa7ationz75zzast_envz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_envz00();
					BGl_libraryzd2moduleszd2initz00zzast_envz00();
					BGl_cnstzd2initzd2zzast_envz00();
					BGl_importedzd2moduleszd2initz00zzast_envz00();
					BGl_genericzd2initzd2zzast_envz00();
					BGl_methodzd2initzd2zzast_envz00();
					return BGl_toplevelzd2initzd2zzast_envz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00(void)
	{
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zz__paramz00(0L, "ast_env");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "ast_env");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "ast_env");
			BGl_modulezd2initializa7ationz75zz__hashz00(0L, "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "ast_env");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_env");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_envz00(void)
	{
		{	/* Ast/venv.scm 14 */
			{	/* Ast/venv.scm 14 */
				obj_t BgL_cportz00_2689;

				{	/* Ast/venv.scm 14 */
					obj_t BgL_stringz00_2696;

					BgL_stringz00_2696 = BGl_string1932z00zzast_envz00;
					{	/* Ast/venv.scm 14 */
						obj_t BgL_startz00_2697;

						BgL_startz00_2697 = BINT(0L);
						{	/* Ast/venv.scm 14 */
							obj_t BgL_endz00_2698;

							BgL_endz00_2698 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2696)));
							{	/* Ast/venv.scm 14 */

								BgL_cportz00_2689 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2696, BgL_startz00_2697, BgL_endz00_2698);
				}}}}
				{
					long BgL_iz00_2690;

					BgL_iz00_2690 = 7L;
				BgL_loopz00_2691:
					if ((BgL_iz00_2690 == (-1L)))
						{	/* Ast/venv.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/venv.scm 14 */
							{	/* Ast/venv.scm 14 */
								obj_t BgL_arg1933z00_2692;

								{	/* Ast/venv.scm 14 */

									{	/* Ast/venv.scm 14 */
										obj_t BgL_locationz00_2694;

										BgL_locationz00_2694 = BBOOL(((bool_t) 0));
										{	/* Ast/venv.scm 14 */

											BgL_arg1933z00_2692 =
												BGl_readz00zz__readerz00(BgL_cportz00_2689,
												BgL_locationz00_2694);
										}
									}
								}
								{	/* Ast/venv.scm 14 */
									int BgL_tmpz00_2856;

									BgL_tmpz00_2856 = (int) (BgL_iz00_2690);
									CNST_TABLE_SET(BgL_tmpz00_2856, BgL_arg1933z00_2692);
							}}
							{	/* Ast/venv.scm 14 */
								int BgL_auxz00_2695;

								BgL_auxz00_2695 = (int) ((BgL_iz00_2690 - 1L));
								{
									long BgL_iz00_2861;

									BgL_iz00_2861 = (long) (BgL_auxz00_2695);
									BgL_iz00_2690 = BgL_iz00_2861;
									goto BgL_loopz00_2691;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_envz00(void)
	{
		{	/* Ast/venv.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_envz00(void)
	{
		{	/* Ast/venv.scm 14 */
			BGl_za2Genvza2z00zzast_envz00 = ((obj_t) CNST_TABLE_REF(0));
			BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BNIL;
			BGl_za2restoredza2z00zzast_envz00 = BNIL;
			return BUNSPEC;
		}

	}



/* set-genv! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_3)
	{
		{	/* Ast/venv.scm 55 */
			return (BGl_za2Genvza2z00zzast_envz00 = BgL_genvz00_3, BUNSPEC);
		}

	}



/* &set-genv! */
	obj_t BGl_z62setzd2genvz12za2zzast_envz00(obj_t BgL_envz00_2621,
		obj_t BgL_genvz00_2622)
	{
		{	/* Ast/venv.scm 55 */
			return BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_2622);
		}

	}



/* add-genv! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_4)
	{
		{	/* Ast/venv.scm 64 */
			BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_4,
				BGl_proc1909z00zzast_envz00);
			return (BGl_za2restoredza2z00zzast_envz00 = BNIL, BUNSPEC);
		}

	}



/* &add-genv! */
	obj_t BGl_z62addzd2genvz12za2zzast_envz00(obj_t BgL_envz00_2624,
		obj_t BgL_genvz00_2625)
	{
		{	/* Ast/venv.scm 64 */
			return BGl_addzd2genvz12zc0zzast_envz00(BgL_genvz00_2625);
		}

	}



/* &<@anonymous:1267> */
	obj_t BGl_z62zc3z04anonymousza31267ze3ze5zzast_envz00(obj_t BgL_envz00_2626,
		obj_t BgL_kz00_2627, obj_t BgL_bucketz00_2628)
	{
		{	/* Ast/venv.scm 67 */
			{	/* Ast/venv.scm 68 */
				bool_t BgL_tmpz00_2869;

				{	/* Ast/venv.scm 68 */
					obj_t BgL_g1241z00_2700;

					BgL_g1241z00_2700 = CDR(((obj_t) BgL_bucketz00_2628));
					{
						obj_t BgL_l1239z00_2702;

						BgL_l1239z00_2702 = BgL_g1241z00_2700;
					BgL_zc3z04anonymousza31268ze3z87_2701:
						if (PAIRP(BgL_l1239z00_2702))
							{	/* Ast/venv.scm 88 */
								{	/* Ast/venv.scm 69 */
									obj_t BgL_newz00_2703;

									BgL_newz00_2703 = CAR(BgL_l1239z00_2702);
									BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 =
										MAKE_YOUNG_PAIR(BgL_newz00_2703,
										BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00);
									{	/* Ast/venv.scm 70 */
										obj_t BgL_modulez00_2704;

										BgL_modulez00_2704 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_newz00_2703)))->
											BgL_modulez00);
										{	/* Ast/venv.scm 70 */
											obj_t BgL_idz00_2705;

											BgL_idz00_2705 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_newz00_2703))))->
												BgL_idz00);
											{	/* Ast/venv.scm 71 */
												obj_t BgL_bucketz00_2706;

												BgL_bucketz00_2706 =
													BGl_hashtablezd2getzd2zz__hashz00
													(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_2705);
												{	/* Ast/venv.scm 72 */

													if (PAIRP(BgL_bucketz00_2706))
														{	/* Ast/venv.scm 76 */
															bool_t BgL_test1977z00_2884;

															if (
																(BgL_modulez00_2704 ==
																	BGl_za2moduleza2z00zzmodule_modulez00))
																{	/* Ast/venv.scm 76 */
																	BgL_test1977z00_2884 = ((bool_t) 1);
																}
															else
																{	/* Ast/venv.scm 77 */
																	bool_t BgL_test1979z00_2887;

																	{	/* Ast/venv.scm 78 */
																		obj_t BgL_arg1282z00_2707;

																		{
																			BgL_globalz00_bglt BgL_auxz00_2888;

																			{	/* Ast/venv.scm 78 */
																				obj_t BgL_pairz00_2708;

																				BgL_pairz00_2708 =
																					CDR(BgL_bucketz00_2706);
																				BgL_auxz00_2888 =
																					((BgL_globalz00_bglt)
																					CAR(BgL_pairz00_2708));
																			}
																			BgL_arg1282z00_2707 =
																				(((BgL_globalz00_bglt)
																					COBJECT(BgL_auxz00_2888))->
																				BgL_modulez00);
																		}
																		BgL_test1979z00_2887 =
																			(BGl_za2moduleza2z00zzmodule_modulez00 ==
																			BgL_arg1282z00_2707);
																	}
																	if (BgL_test1979z00_2887)
																		{	/* Ast/venv.scm 77 */
																			BgL_test1977z00_2884 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 77 */
																			BgL_test1977z00_2884 = ((bool_t) 1);
																		}
																}
															if (BgL_test1977z00_2884)
																{	/* Ast/venv.scm 84 */
																	obj_t BgL_newzd2bucketzd2_2709;

																	BgL_newzd2bucketzd2_2709 =
																		MAKE_YOUNG_PAIR(BgL_newz00_2703,
																		CDR(BgL_bucketz00_2706));
																	SET_CDR(BgL_bucketz00_2706,
																		BgL_newzd2bucketzd2_2709);
																}
															else
																{	/* Ast/venv.scm 87 */
																	obj_t BgL_arg1279z00_2710;
																	obj_t BgL_arg1280z00_2711;

																	BgL_arg1279z00_2710 = CDR(BgL_bucketz00_2706);
																	BgL_arg1280z00_2711 =
																		MAKE_YOUNG_PAIR(BgL_newz00_2703,
																		CDR(CDR(BgL_bucketz00_2706)));
																	{	/* Ast/venv.scm 87 */
																		obj_t BgL_tmpz00_2901;

																		BgL_tmpz00_2901 =
																			((obj_t) BgL_arg1279z00_2710);
																		SET_CDR(BgL_tmpz00_2901,
																			BgL_arg1280z00_2711);
																	}
																}
														}
													else
														{	/* Ast/venv.scm 75 */
															obj_t BgL_arg1285z00_2712;

															{	/* Ast/venv.scm 75 */
																obj_t BgL_list1286z00_2713;

																{	/* Ast/venv.scm 75 */
																	obj_t BgL_arg1287z00_2714;

																	BgL_arg1287z00_2714 =
																		MAKE_YOUNG_PAIR(BgL_newz00_2703, BNIL);
																	BgL_list1286z00_2713 =
																		MAKE_YOUNG_PAIR(BgL_idz00_2705,
																		BgL_arg1287z00_2714);
																}
																BgL_arg1285z00_2712 = BgL_list1286z00_2713;
															}
															BGl_hashtablezd2putz12zc0zz__hashz00
																(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_2705,
																BgL_arg1285z00_2712);
														}
												}
											}
										}
									}
								}
								{
									obj_t BgL_l1239z00_2907;

									BgL_l1239z00_2907 = CDR(BgL_l1239z00_2702);
									BgL_l1239z00_2702 = BgL_l1239z00_2907;
									goto BgL_zc3z04anonymousza31268ze3z87_2701;
								}
							}
						else
							{	/* Ast/venv.scm 88 */
								BgL_tmpz00_2869 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2869);
			}
		}

	}



/* additional-heap-restore-globals! */
	BGL_EXPORTED_DEF obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00(void)
	{
		{	/* Ast/venv.scm 105 */
			{
				obj_t BgL_l1242z00_1621;

				BgL_l1242z00_1621 =
					BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00;
			BgL_zc3z04anonymousza31289ze3z87_1622:
				if (PAIRP(BgL_l1242z00_1621))
					{	/* Ast/venv.scm 106 */
						BGl_restorezd2globalz12zc0zzast_envz00(CAR(BgL_l1242z00_1621));
						{
							obj_t BgL_l1242z00_2914;

							BgL_l1242z00_2914 = CDR(BgL_l1242z00_1621);
							BgL_l1242z00_1621 = BgL_l1242z00_2914;
							goto BgL_zc3z04anonymousza31289ze3z87_1622;
						}
					}
				else
					{	/* Ast/venv.scm 106 */
						((bool_t) 1);
					}
			}
			return BTRUE;
		}

	}



/* &additional-heap-restore-globals! */
	obj_t BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00(obj_t
		BgL_envz00_2629)
	{
		{	/* Ast/venv.scm 105 */
			return BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
		}

	}



/* restore-global! */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t
		BgL_newz00_6)
	{
		{	/* Ast/venv.scm 112 */
			BGl_za2restoredza2z00zzast_envz00 =
				MAKE_YOUNG_PAIR(BgL_newz00_6, BGl_za2restoredza2z00zzast_envz00);
			{	/* Ast/venv.scm 115 */
				obj_t BgL_idz00_1627;

				BgL_idz00_1627 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_newz00_6))))->BgL_idz00);
				{	/* Ast/venv.scm 115 */
					BgL_typez00_bglt BgL_typez00_1628;

					BgL_typez00_1628 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_newz00_6))))->BgL_typez00);
					{	/* Ast/venv.scm 116 */
						BgL_valuez00_bglt BgL_valuez00_1629;

						BgL_valuez00_1629 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_newz00_6))))->BgL_valuez00);
						{	/* Ast/venv.scm 117 */
							obj_t BgL_typeidz00_1630;

							BgL_typeidz00_1630 =
								(((BgL_typez00_bglt) COBJECT(BgL_typez00_1628))->BgL_idz00);
							{	/* Ast/venv.scm 118 */

								{	/* Ast/venv.scm 120 */
									BgL_typez00_bglt BgL_arg1293z00_1631;

									BgL_arg1293z00_1631 =
										BGl_findzd2typezd2zztype_envz00(BgL_typeidz00_1630);
									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_newz00_6))))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg1293z00_1631), BUNSPEC);
								}
								BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_1629,
									BgL_idz00_1627);
								{	/* Ast/venv.scm 124 */
									bool_t BgL_test1981z00_2933;

									{	/* Ast/venv.scm 124 */
										bool_t BgL_test1982z00_2934;

										{	/* Ast/venv.scm 124 */
											obj_t BgL_arg1309z00_1646;

											BgL_arg1309z00_1646 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_test1982z00_2934 =
												(((BgL_backendz00_bglt) COBJECT(
														((BgL_backendz00_bglt) BgL_arg1309z00_1646)))->
												BgL_qualifiedzd2typeszd2);
										}
										if (BgL_test1982z00_2934)
											{	/* Ast/venv.scm 124 */
												if (
													((((BgL_globalz00_bglt) COBJECT(
																	((BgL_globalz00_bglt) BgL_newz00_6)))->
															BgL_modulez00) == ((obj_t) CNST_TABLE_REF(1))))
													{	/* Ast/venv.scm 125 */
														BgL_test1981z00_2933 = ((bool_t) 0);
													}
												else
													{	/* Ast/venv.scm 125 */
														BgL_test1981z00_2933 = ((bool_t) 1);
													}
											}
										else
											{	/* Ast/venv.scm 124 */
												BgL_test1981z00_2933 = ((bool_t) 0);
											}
									}
									if (BgL_test1981z00_2933)
										{	/* Ast/venv.scm 126 */
											obj_t BgL_arg1301z00_1639;
											obj_t BgL_arg1302z00_1640;
											obj_t BgL_arg1303z00_1641;

											BgL_arg1301z00_1639 =
												(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt) BgL_newz00_6)))->
												BgL_modulez00);
											BgL_arg1302z00_1640 =
												(((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
															BgL_newz00_6)))->BgL_qualifiedzd2typezd2namez00);
											BgL_arg1303z00_1641 =
												BGl_shapez00zztools_shapez00(BgL_newz00_6);
											{	/* Ast/venv.scm 126 */
												obj_t BgL_list1304z00_1642;

												BgL_list1304z00_1642 =
													MAKE_YOUNG_PAIR(BgL_arg1303z00_1641, BNIL);
												return
													BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
													(BgL_arg1301z00_1639, BgL_arg1302z00_1640,
													BgL_list1304z00_1642);
											}
										}
									else
										{	/* Ast/venv.scm 124 */
											return BFALSE;
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &restore-global! */
	obj_t BGl_z62restorezd2globalz12za2zzast_envz00(obj_t BgL_envz00_2630,
		obj_t BgL_newz00_2631)
	{
		{	/* Ast/venv.scm 112 */
			return BGl_restorezd2globalz12zc0zzast_envz00(BgL_newz00_2631);
		}

	}



/* already-restored? */
	BGL_EXPORTED_DEF obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t
		BgL_funz00_8)
	{
		{	/* Ast/venv.scm 147 */
			return
				BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_funz00_8,
				BGl_za2restoredza2z00zzast_envz00);
		}

	}



/* &already-restored? */
	obj_t BGl_z62alreadyzd2restoredzf3z43zzast_envz00(obj_t BgL_envz00_2632,
		obj_t BgL_funz00_2633)
	{
		{	/* Ast/venv.scm 147 */
			return BGl_alreadyzd2restoredzf3z21zzast_envz00(BgL_funz00_2633);
		}

	}



/* get-genv */
	BGL_EXPORTED_DEF obj_t BGl_getzd2genvzd2zzast_envz00(void)
	{
		{	/* Ast/venv.scm 226 */
			return BGl_za2Genvza2z00zzast_envz00;
		}

	}



/* &get-genv */
	obj_t BGl_z62getzd2genvzb0zzast_envz00(obj_t BgL_envz00_2634)
	{
		{	/* Ast/venv.scm 226 */
			return BGl_getzd2genvzd2zzast_envz00();
		}

	}



/* initialize-Genv! */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00(void)
	{
		{	/* Ast/venv.scm 232 */
			return (BGl_za2Genvza2z00zzast_envz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
		}

	}



/* &initialize-Genv! */
	obj_t BGl_z62initializa7ezd2Genvz12z05zzast_envz00(obj_t BgL_envz00_2635)
	{
		{	/* Ast/venv.scm 232 */
			return BGl_initializa7ezd2Genvz12z67zzast_envz00();
		}

	}



/* find-global */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzd2zzast_envz00(obj_t BgL_idz00_19,
		obj_t BgL_modulez00_20)
	{
		{	/* Ast/venv.scm 238 */
			{	/* Ast/venv.scm 240 */
				obj_t BgL_bucketz00_1648;
				obj_t BgL_modulez00_1649;

				BgL_bucketz00_1648 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_19);
				if (NULLP(BgL_modulez00_20))
					{	/* Ast/venv.scm 241 */
						BgL_modulez00_1649 = BNIL;
					}
				else
					{	/* Ast/venv.scm 241 */
						BgL_modulez00_1649 = CAR(((obj_t) BgL_modulez00_20));
					}
				if (PAIRP(BgL_bucketz00_1648))
					{	/* Ast/venv.scm 243 */
						if (NULLP(CDR(BgL_bucketz00_1648)))
							{	/* Ast/venv.scm 245 */
								return BFALSE;
							}
						else
							{	/* Ast/venv.scm 245 */
								if (NULLP(BgL_modulez00_1649))
									{	/* Ast/venv.scm 247 */
										return CAR(CDR(BgL_bucketz00_1648));
									}
								else
									{	/* Ast/venv.scm 250 */
										obj_t BgL_g1108z00_1654;

										BgL_g1108z00_1654 = CDR(BgL_bucketz00_1648);
										{
											obj_t BgL_globalsz00_1656;

											BgL_globalsz00_1656 = BgL_g1108z00_1654;
										BgL_zc3z04anonymousza31316ze3z87_1657:
											if (NULLP(BgL_globalsz00_1656))
												{	/* Ast/venv.scm 252 */
													return BFALSE;
												}
											else
												{	/* Ast/venv.scm 252 */
													if (
														((((BgL_globalz00_bglt) COBJECT(
																		((BgL_globalz00_bglt)
																			CAR(
																				((obj_t) BgL_globalsz00_1656)))))->
																BgL_modulez00) == BgL_modulez00_1649))
														{	/* Ast/venv.scm 254 */
															return CAR(((obj_t) BgL_globalsz00_1656));
														}
													else
														{	/* Ast/venv.scm 257 */
															obj_t BgL_arg1321z00_1662;

															BgL_arg1321z00_1662 =
																CDR(((obj_t) BgL_globalsz00_1656));
															{
																obj_t BgL_globalsz00_2984;

																BgL_globalsz00_2984 = BgL_arg1321z00_1662;
																BgL_globalsz00_1656 = BgL_globalsz00_2984;
																goto BgL_zc3z04anonymousza31316ze3z87_1657;
															}
														}
												}
										}
									}
							}
					}
				else
					{	/* Ast/venv.scm 243 */
						return BFALSE;
					}
			}
		}

	}



/* &find-global */
	obj_t BGl_z62findzd2globalzb0zzast_envz00(obj_t BgL_envz00_2636,
		obj_t BgL_idz00_2637, obj_t BgL_modulez00_2638)
	{
		{	/* Ast/venv.scm 238 */
			return
				BGl_findzd2globalzd2zzast_envz00(BgL_idz00_2637, BgL_modulez00_2638);
		}

	}



/* find-global/module */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_21, obj_t BgL_modulez00_22)
	{
		{	/* Ast/venv.scm 262 */
			{	/* Ast/venv.scm 263 */
				obj_t BgL_bucketz00_1668;

				BgL_bucketz00_1668 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_21);
				if (PAIRP(BgL_bucketz00_1668))
					{	/* Ast/venv.scm 265 */
						if (NULLP(CDR(BgL_bucketz00_1668)))
							{	/* Ast/venv.scm 267 */
								return BFALSE;
							}
						else
							{	/* Ast/venv.scm 272 */
								obj_t BgL_g1109z00_1673;

								BgL_g1109z00_1673 = CDR(BgL_bucketz00_1668);
								{
									obj_t BgL_globalsz00_1675;

									BgL_globalsz00_1675 = BgL_g1109z00_1673;
								BgL_zc3z04anonymousza31334ze3z87_1676:
									if (NULLP(BgL_globalsz00_1675))
										{	/* Ast/venv.scm 274 */
											return BFALSE;
										}
									else
										{	/* Ast/venv.scm 274 */
											if (
												((((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt)
																	CAR(
																		((obj_t) BgL_globalsz00_1675)))))->
														BgL_modulez00) == BgL_modulez00_22))
												{	/* Ast/venv.scm 276 */
													return CAR(((obj_t) BgL_globalsz00_1675));
												}
											else
												{	/* Ast/venv.scm 279 */
													obj_t BgL_arg1341z00_1681;

													BgL_arg1341z00_1681 =
														CDR(((obj_t) BgL_globalsz00_1675));
													{
														obj_t BgL_globalsz00_3005;

														BgL_globalsz00_3005 = BgL_arg1341z00_1681;
														BgL_globalsz00_1675 = BgL_globalsz00_3005;
														goto BgL_zc3z04anonymousza31334ze3z87_1676;
													}
												}
										}
								}
							}
					}
				else
					{	/* Ast/venv.scm 265 */
						return BFALSE;
					}
			}
		}

	}



/* &find-global/module */
	obj_t BGl_z62findzd2globalzf2modulez42zzast_envz00(obj_t BgL_envz00_2639,
		obj_t BgL_idz00_2640, obj_t BgL_modulez00_2641)
	{
		{	/* Ast/venv.scm 262 */
			return
				BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_2640,
				BgL_modulez00_2641);
		}

	}



/* get-global/module */
	BGL_EXPORTED_DEF obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_23, obj_t BgL_modulez00_24)
	{
		{	/* Ast/venv.scm 284 */
			{	/* Ast/venv.scm 285 */
				obj_t BgL_globalz00_1686;

				BgL_globalz00_1686 =
					BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_23,
					BgL_modulez00_24);
				{	/* Ast/venv.scm 286 */
					bool_t BgL_test1994z00_3008;

					{	/* Ast/venv.scm 286 */
						bool_t BgL_test1995z00_3009;

						{	/* Ast/venv.scm 286 */
							obj_t BgL_classz00_2117;

							BgL_classz00_2117 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_globalz00_1686))
								{	/* Ast/venv.scm 286 */
									BgL_objectz00_bglt BgL_arg1858z00_2119;

									BgL_arg1858z00_2119 =
										(BgL_objectz00_bglt) (BgL_globalz00_1686);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Ast/venv.scm 286 */
											long BgL_idxz00_2125;

											BgL_idxz00_2125 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2119);
											BgL_test1995z00_3009 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2125 + 2L)) == BgL_classz00_2117);
										}
									else
										{	/* Ast/venv.scm 286 */
											bool_t BgL_res1891z00_2150;

											{	/* Ast/venv.scm 286 */
												obj_t BgL_oclassz00_2133;

												{	/* Ast/venv.scm 286 */
													obj_t BgL_arg1866z00_2141;
													long BgL_arg1867z00_2142;

													BgL_arg1866z00_2141 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Ast/venv.scm 286 */
														long BgL_arg1869z00_2143;

														BgL_arg1869z00_2143 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2119);
														BgL_arg1867z00_2142 =
															(BgL_arg1869z00_2143 - OBJECT_TYPE);
													}
													BgL_oclassz00_2133 =
														VECTOR_REF(BgL_arg1866z00_2141,
														BgL_arg1867z00_2142);
												}
												{	/* Ast/venv.scm 286 */
													bool_t BgL__ortest_1115z00_2134;

													BgL__ortest_1115z00_2134 =
														(BgL_classz00_2117 == BgL_oclassz00_2133);
													if (BgL__ortest_1115z00_2134)
														{	/* Ast/venv.scm 286 */
															BgL_res1891z00_2150 = BgL__ortest_1115z00_2134;
														}
													else
														{	/* Ast/venv.scm 286 */
															long BgL_odepthz00_2135;

															{	/* Ast/venv.scm 286 */
																obj_t BgL_arg1855z00_2136;

																BgL_arg1855z00_2136 = (BgL_oclassz00_2133);
																BgL_odepthz00_2135 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2136);
															}
															if ((2L < BgL_odepthz00_2135))
																{	/* Ast/venv.scm 286 */
																	obj_t BgL_arg1853z00_2138;

																	{	/* Ast/venv.scm 286 */
																		obj_t BgL_arg1854z00_2139;

																		BgL_arg1854z00_2139 = (BgL_oclassz00_2133);
																		BgL_arg1853z00_2138 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2139, 2L);
																	}
																	BgL_res1891z00_2150 =
																		(BgL_arg1853z00_2138 == BgL_classz00_2117);
																}
															else
																{	/* Ast/venv.scm 286 */
																	BgL_res1891z00_2150 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1995z00_3009 = BgL_res1891z00_2150;
										}
								}
							else
								{	/* Ast/venv.scm 286 */
									BgL_test1995z00_3009 = ((bool_t) 0);
								}
						}
						if (BgL_test1995z00_3009)
							{	/* Ast/venv.scm 286 */
								BgL_test1994z00_3008 = ((bool_t) 0);
							}
						else
							{	/* Ast/venv.scm 286 */
								if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
									{	/* Ast/venv.scm 286 */
										BgL_test1994z00_3008 = ((bool_t) 0);
									}
								else
									{	/* Ast/venv.scm 286 */
										BgL_test1994z00_3008 = ((bool_t) 1);
									}
							}
					}
					if (BgL_test1994z00_3008)
						{	/* Ast/venv.scm 289 */
							obj_t BgL_arg1364z00_1689;

							{	/* Ast/venv.scm 289 */
								obj_t BgL_list1365z00_1690;

								{	/* Ast/venv.scm 289 */
									obj_t BgL_arg1367z00_1691;

									BgL_arg1367z00_1691 = MAKE_YOUNG_PAIR(BgL_modulez00_24, BNIL);
									BgL_list1365z00_1690 =
										MAKE_YOUNG_PAIR(BgL_idz00_23, BgL_arg1367z00_1691);
								}
								BgL_arg1364z00_1689 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string1910z00zzast_envz00, BgL_list1365z00_1690);
							}
							BGl_internalzd2errorzd2zztools_errorz00(
								((obj_t)
									CNST_TABLE_REF(2)), BGl_string1911z00zzast_envz00,
								BgL_arg1364z00_1689);
						}
					else
						{	/* Ast/venv.scm 286 */
							BFALSE;
						}
				}
				return BgL_globalz00_1686;
			}
		}

	}



/* &get-global/module */
	obj_t BGl_z62getzd2globalzf2modulez42zzast_envz00(obj_t BgL_envz00_2642,
		obj_t BgL_idz00_2643, obj_t BgL_modulez00_2644)
	{
		{	/* Ast/venv.scm 284 */
			return
				BGl_getzd2globalzf2modulez20zzast_envz00(BgL_idz00_2643,
				BgL_modulez00_2644);
		}

	}



/* warning-override-global! */
	obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t BgL_nz00_25,
		obj_t BgL_oz00_26, obj_t BgL_srcez00_27)
	{
		{	/* Ast/venv.scm 295 */
			{	/* Ast/venv.scm 296 */
				bool_t BgL_test2001z00_3041;

				{	/* Ast/venv.scm 296 */
					bool_t BgL_test2002z00_3042;

					{	/* Ast/venv.scm 296 */
						int BgL_arg1400z00_1713;

						BgL_arg1400z00_1713 = BGl_bigloozd2warningzd2zz__paramz00();
						BgL_test2002z00_3042 = ((long) (BgL_arg1400z00_1713) > 0L);
					}
					if (BgL_test2002z00_3042)
						{	/* Ast/venv.scm 296 */
							BgL_test2001z00_3041 =
								CBOOL
								(BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00);
						}
					else
						{	/* Ast/venv.scm 296 */
							BgL_test2001z00_3041 = ((bool_t) 0);
						}
				}
				if (BgL_test2001z00_3041)
					{	/* Ast/venv.scm 298 */
						obj_t BgL_locz00_1698;
						obj_t BgL_oldz00_1699;
						obj_t BgL_newz00_1700;

						{	/* Ast/venv.scm 298 */
							obj_t BgL__ortest_1111z00_1702;

							{	/* Ast/venv.scm 298 */
								obj_t BgL_arg1379z00_1703;

								BgL_arg1379z00_1703 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_oz00_26)))->BgL_srcz00);
								BgL__ortest_1111z00_1702 =
									BGl_findzd2locationzd2zztools_locationz00
									(BgL_arg1379z00_1703);
							}
							if (CBOOL(BgL__ortest_1111z00_1702))
								{	/* Ast/venv.scm 298 */
									BgL_locz00_1698 = BgL__ortest_1111z00_1702;
								}
							else
								{	/* Ast/venv.scm 298 */
									BgL_locz00_1698 =
										BGl_findzd2locationzd2zztools_locationz00(BgL_srcez00_27);
								}
						}
						{	/* Ast/venv.scm 299 */
							obj_t BgL_arg1380z00_1704;

							{	/* Ast/venv.scm 299 */
								obj_t BgL_arg1382z00_1705;
								obj_t BgL_arg1383z00_1706;

								BgL_arg1382z00_1705 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_oz00_26))))->BgL_idz00);
								{	/* Ast/venv.scm 299 */
									obj_t BgL_arg1385z00_1707;

									BgL_arg1385z00_1707 =
										(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt) BgL_oz00_26)))->BgL_modulez00);
									BgL_arg1383z00_1706 =
										MAKE_YOUNG_PAIR(BgL_arg1385z00_1707, BNIL);
								}
								BgL_arg1380z00_1704 =
									MAKE_YOUNG_PAIR(BgL_arg1382z00_1705, BgL_arg1383z00_1706);
							}
							BgL_oldz00_1699 =
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(3)), BgL_arg1380z00_1704);
						}
						{	/* Ast/venv.scm 300 */
							obj_t BgL_arg1386z00_1708;

							{	/* Ast/venv.scm 300 */
								obj_t BgL_arg1388z00_1709;
								obj_t BgL_arg1390z00_1710;

								BgL_arg1388z00_1709 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_nz00_25))))->BgL_idz00);
								{	/* Ast/venv.scm 300 */
									obj_t BgL_arg1392z00_1711;

									BgL_arg1392z00_1711 =
										(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt) BgL_nz00_25)))->BgL_modulez00);
									BgL_arg1390z00_1710 =
										MAKE_YOUNG_PAIR(BgL_arg1392z00_1711, BNIL);
								}
								BgL_arg1386z00_1708 =
									MAKE_YOUNG_PAIR(BgL_arg1388z00_1709, BgL_arg1390z00_1710);
							}
							BgL_newz00_1700 =
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(3)), BgL_arg1386z00_1708);
						}
						if (CBOOL(BgL_locz00_1698))
							{	/* Ast/venv.scm 302 */
								return
									BGl_userzd2warningzf2locationz20zztools_errorz00
									(BgL_locz00_1698, BgL_oldz00_1699,
									BGl_string1912z00zzast_envz00, BgL_newz00_1700);
							}
						else
							{	/* Ast/venv.scm 302 */
								BGL_TAIL return
									BGl_userzd2warningzd2zztools_errorz00(BgL_oldz00_1699,
									BGl_string1912z00zzast_envz00, BgL_newz00_1700);
							}
					}
				else
					{	/* Ast/venv.scm 296 */
						return BFALSE;
					}
			}
		}

	}



/* error-rebind-global! */
	obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(obj_t BgL_oz00_28,
		obj_t BgL_srcz00_29)
	{
		{	/* Ast/venv.scm 309 */
			{	/* Ast/venv.scm 311 */
				obj_t BgL_locz00_1715;

				BgL_locz00_1715 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_29);
				if (CBOOL(BgL_locz00_1715))
					{	/* Ast/venv.scm 314 */
						obj_t BgL_arg1401z00_1717;
						obj_t BgL_arg1402z00_1718;

						BgL_arg1401z00_1717 =
							(((BgL_globalz00_bglt) COBJECT(
									((BgL_globalz00_bglt) BgL_oz00_28)))->BgL_modulez00);
						BgL_arg1402z00_1718 = BGl_shapez00zztools_shapez00(BgL_oz00_28);
						return
							BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_1715,
							BgL_arg1401z00_1717, BGl_string1913z00zzast_envz00,
							BgL_arg1402z00_1718, BNIL);
					}
				else
					{	/* Ast/venv.scm 315 */
						obj_t BgL_arg1406z00_1720;
						obj_t BgL_arg1414z00_1721;

						BgL_arg1406z00_1720 =
							(((BgL_globalz00_bglt) COBJECT(
									((BgL_globalz00_bglt) BgL_oz00_28)))->BgL_modulez00);
						BgL_arg1414z00_1721 = BGl_shapez00zztools_shapez00(BgL_oz00_28);
						return
							BGl_userzd2errorzd2zztools_errorz00(BgL_arg1406z00_1720,
							BGl_string1913z00zzast_envz00, BgL_arg1414z00_1721, BNIL);
					}
			}
		}

	}



/* warning-rebind-global! */
	obj_t BGl_warningzd2rebindzd2globalz12z12zzast_envz00(obj_t BgL_oz00_30,
		obj_t BgL_srcz00_31)
	{
		{	/* Ast/venv.scm 320 */
			{	/* Ast/venv.scm 322 */
				obj_t BgL_locz00_1724;

				BgL_locz00_1724 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_31);
				if (CBOOL(BgL_locz00_1724))
					{	/* Ast/venv.scm 325 */
						obj_t BgL_arg1416z00_1726;
						obj_t BgL_arg1417z00_1727;

						BgL_arg1416z00_1726 =
							(((BgL_globalz00_bglt) COBJECT(
									((BgL_globalz00_bglt) BgL_oz00_30)))->BgL_modulez00);
						BgL_arg1417z00_1727 = BGl_shapez00zztools_shapez00(BgL_oz00_30);
						return
							BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_1724,
							BgL_arg1416z00_1726, BGl_string1913z00zzast_envz00,
							BgL_arg1417z00_1727);
					}
				else
					{	/* Ast/venv.scm 326 */
						obj_t BgL_arg1418z00_1728;
						obj_t BgL_arg1419z00_1729;

						BgL_arg1418z00_1728 =
							(((BgL_globalz00_bglt) COBJECT(
									((BgL_globalz00_bglt) BgL_oz00_30)))->BgL_modulez00);
						BgL_arg1419z00_1729 = BGl_shapez00zztools_shapez00(BgL_oz00_30);
						return
							BGl_userzd2warningzd2zztools_errorz00(BgL_arg1418z00_1728,
							BGl_string1913z00zzast_envz00, BgL_arg1419z00_1729);
					}
			}
		}

	}



/* bind-global! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_32, obj_t BgL_aliasz00_33, obj_t BgL_modulez00_34,
		BgL_valuez00_bglt BgL_valuez00_35, obj_t BgL_importz00_36,
		obj_t BgL_srcz00_37)
	{
		{	/* Ast/venv.scm 343 */
			{	/* Ast/venv.scm 346 */
				obj_t BgL_identz00_1730;

				if (CBOOL(BgL_aliasz00_33))
					{	/* Ast/venv.scm 346 */
						BgL_identz00_1730 = BgL_aliasz00_33;
					}
				else
					{	/* Ast/venv.scm 346 */
						BgL_identz00_1730 = BgL_idz00_32;
					}
				{	/* Ast/venv.scm 346 */
					obj_t BgL_oldz00_1731;

					{	/* Ast/venv.scm 347 */
						obj_t BgL_list1559z00_1770;

						BgL_list1559z00_1770 = MAKE_YOUNG_PAIR(BgL_modulez00_34, BNIL);
						BgL_oldz00_1731 =
							BGl_findzd2globalzd2zzast_envz00(BgL_identz00_1730,
							BgL_list1559z00_1770);
					}
					{	/* Ast/venv.scm 347 */

						{	/* Ast/venv.scm 348 */
							bool_t BgL_test2008z00_3103;

							{	/* Ast/venv.scm 348 */
								obj_t BgL_classz00_2154;

								BgL_classz00_2154 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_oldz00_1731))
									{	/* Ast/venv.scm 348 */
										BgL_objectz00_bglt BgL_arg1858z00_2156;

										BgL_arg1858z00_2156 =
											(BgL_objectz00_bglt) (BgL_oldz00_1731);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Ast/venv.scm 348 */
												long BgL_idxz00_2162;

												BgL_idxz00_2162 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2156);
												BgL_test2008z00_3103 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2162 + 2L)) == BgL_classz00_2154);
											}
										else
											{	/* Ast/venv.scm 348 */
												bool_t BgL_res1892z00_2187;

												{	/* Ast/venv.scm 348 */
													obj_t BgL_oclassz00_2170;

													{	/* Ast/venv.scm 348 */
														obj_t BgL_arg1866z00_2178;
														long BgL_arg1867z00_2179;

														BgL_arg1866z00_2178 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Ast/venv.scm 348 */
															long BgL_arg1869z00_2180;

															BgL_arg1869z00_2180 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2156);
															BgL_arg1867z00_2179 =
																(BgL_arg1869z00_2180 - OBJECT_TYPE);
														}
														BgL_oclassz00_2170 =
															VECTOR_REF(BgL_arg1866z00_2178,
															BgL_arg1867z00_2179);
													}
													{	/* Ast/venv.scm 348 */
														bool_t BgL__ortest_1115z00_2171;

														BgL__ortest_1115z00_2171 =
															(BgL_classz00_2154 == BgL_oclassz00_2170);
														if (BgL__ortest_1115z00_2171)
															{	/* Ast/venv.scm 348 */
																BgL_res1892z00_2187 = BgL__ortest_1115z00_2171;
															}
														else
															{	/* Ast/venv.scm 348 */
																long BgL_odepthz00_2172;

																{	/* Ast/venv.scm 348 */
																	obj_t BgL_arg1855z00_2173;

																	BgL_arg1855z00_2173 = (BgL_oclassz00_2170);
																	BgL_odepthz00_2172 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_2173);
																}
																if ((2L < BgL_odepthz00_2172))
																	{	/* Ast/venv.scm 348 */
																		obj_t BgL_arg1853z00_2175;

																		{	/* Ast/venv.scm 348 */
																			obj_t BgL_arg1854z00_2176;

																			BgL_arg1854z00_2176 =
																				(BgL_oclassz00_2170);
																			BgL_arg1853z00_2175 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_2176, 2L);
																		}
																		BgL_res1892z00_2187 =
																			(BgL_arg1853z00_2175 ==
																			BgL_classz00_2154);
																	}
																else
																	{	/* Ast/venv.scm 348 */
																		BgL_res1892z00_2187 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2008z00_3103 = BgL_res1892z00_2187;
											}
									}
								else
									{	/* Ast/venv.scm 348 */
										BgL_test2008z00_3103 = ((bool_t) 0);
									}
							}
							if (BgL_test2008z00_3103)
								{	/* Ast/venv.scm 348 */
									if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
										{	/* Ast/venv.scm 350 */
											return ((BgL_globalz00_bglt) BgL_oldz00_1731);
										}
									else
										{	/* Ast/venv.scm 350 */
											if (
												(BgL_modulez00_34 ==
													(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_oldz00_1731)))->
														BgL_modulez00)))
												{	/* Ast/venv.scm 352 */
													BGl_warningzd2rebindzd2globalz12z12zzast_envz00
														(BgL_oldz00_1731, BgL_srcz00_37);
													return ((BgL_globalz00_bglt) BgL_oldz00_1731);
												}
											else
												{	/* Ast/venv.scm 352 */
													return
														((BgL_globalz00_bglt)
														BGl_errorzd2rebindzd2globalz12z12zzast_envz00
														(BgL_oldz00_1731, BgL_srcz00_37));
												}
										}
								}
							else
								{	/* Ast/venv.scm 357 */
									obj_t BgL_bucketz00_1736;

									BgL_bucketz00_1736 =
										BGl_hashtablezd2getzd2zz__hashz00
										(BGl_za2Genvza2z00zzast_envz00, BgL_identz00_1730);
									{	/* Ast/venv.scm 357 */
										obj_t BgL_qtnz00_1737;

										{	/* Ast/venv.scm 359 */
											bool_t BgL_test2015z00_3138;

											{	/* Ast/venv.scm 359 */
												obj_t BgL_arg1558z00_1769;

												BgL_arg1558z00_1769 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_test2015z00_3138 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_arg1558z00_1769)))->
													BgL_qualifiedzd2typeszd2);
											}
											if (BgL_test2015z00_3138)
												{	/* Ast/venv.scm 359 */
													if ((BgL_importz00_36 == ((obj_t) CNST_TABLE_REF(4))))
														{	/* Ast/venv.scm 361 */
															BgL_qtnz00_1737 = BGl_string1914z00zzast_envz00;
														}
													else
														{	/* Ast/venv.scm 361 */
															BgL_qtnz00_1737 =
																BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
																(BgL_modulez00_34);
														}
												}
											else
												{	/* Ast/venv.scm 359 */
													BgL_qtnz00_1737 = BGl_string1915z00zzast_envz00;
												}
										}
										{	/* Ast/venv.scm 358 */
											BgL_globalz00_bglt BgL_newz00_1738;

											{	/* Ast/venv.scm 365 */
												BgL_globalz00_bglt BgL_new1116z00_1764;

												{	/* Ast/venv.scm 369 */
													BgL_globalz00_bglt BgL_new1115z00_1765;

													BgL_new1115z00_1765 =
														((BgL_globalz00_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_globalz00_bgl))));
													{	/* Ast/venv.scm 369 */
														long BgL_arg1545z00_1766;

														BgL_arg1545z00_1766 =
															BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1115z00_1765),
															BgL_arg1545z00_1766);
													}
													{	/* Ast/venv.scm 369 */
														BgL_objectz00_bglt BgL_tmpz00_3151;

														BgL_tmpz00_3151 =
															((BgL_objectz00_bglt) BgL_new1115z00_1765);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3151, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1115z00_1765);
													BgL_new1116z00_1764 = BgL_new1115z00_1765;
												}
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_new1116z00_1764)))->
														BgL_idz00) = ((obj_t) BgL_identz00_1730), BUNSPEC);
												((((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt)
																	BgL_new1116z00_1764)))->BgL_namez00) =
													((obj_t) BFALSE), BUNSPEC);
												((((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt)
																	BgL_new1116z00_1764)))->BgL_typez00) =
													((BgL_typez00_bglt) ((BgL_typez00_bglt)
															BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
												((((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt)
																	BgL_new1116z00_1764)))->BgL_valuez00) =
													((BgL_valuez00_bglt) BgL_valuez00_35), BUNSPEC);
												((((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt)
																	BgL_new1116z00_1764)))->BgL_accessz00) =
													((obj_t) ((obj_t) CNST_TABLE_REF(5))), BUNSPEC);
												((((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt)
																	BgL_new1116z00_1764)))->BgL_fastzd2alphazd2) =
													((obj_t) BUNSPEC), BUNSPEC);
												((((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt)
																	BgL_new1116z00_1764)))->BgL_removablez00) =
													((obj_t) ((obj_t) CNST_TABLE_REF(6))), BUNSPEC);
												((((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt)
																	BgL_new1116z00_1764)))->BgL_occurrencez00) =
													((long) 0L), BUNSPEC);
												((((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt)
																	BgL_new1116z00_1764)))->BgL_occurrencewz00) =
													((long) 0L), BUNSPEC);
												((((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt)
																	BgL_new1116z00_1764)))->BgL_userzf3zf3) =
													((bool_t) ((bool_t) 1)), BUNSPEC);
												((((BgL_globalz00_bglt) COBJECT(BgL_new1116z00_1764))->
														BgL_modulez00) =
													((obj_t) BgL_modulez00_34), BUNSPEC);
												((((BgL_globalz00_bglt) COBJECT(BgL_new1116z00_1764))->
														BgL_importz00) =
													((obj_t) BgL_importz00_36), BUNSPEC);
												((((BgL_globalz00_bglt) COBJECT(BgL_new1116z00_1764))->
														BgL_evaluablezf3zf3) =
													((bool_t) ((bool_t) 1)), BUNSPEC);
												((((BgL_globalz00_bglt) COBJECT(BgL_new1116z00_1764))->
														BgL_evalzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
												((((BgL_globalz00_bglt) COBJECT(BgL_new1116z00_1764))->
														BgL_libraryz00) = ((obj_t) BFALSE), BUNSPEC);
												((((BgL_globalz00_bglt) COBJECT(BgL_new1116z00_1764))->
														BgL_pragmaz00) = ((obj_t) BNIL), BUNSPEC);
												((((BgL_globalz00_bglt) COBJECT(BgL_new1116z00_1764))->
														BgL_srcz00) = ((obj_t) BgL_srcz00_37), BUNSPEC);
												((((BgL_globalz00_bglt) COBJECT(BgL_new1116z00_1764))->
														BgL_qualifiedzd2typezd2namez00) =
													((obj_t) BgL_qtnz00_1737), BUNSPEC);
												((((BgL_globalz00_bglt) COBJECT(BgL_new1116z00_1764))->
														BgL_initz00) = ((obj_t) BUNSPEC), BUNSPEC);
												{
													obj_t BgL_auxz00_3189;

													if (CBOOL(BgL_aliasz00_33))
														{	/* Ast/venv.scm 370 */
															BgL_auxz00_3189 = BgL_idz00_32;
														}
													else
														{	/* Ast/venv.scm 370 */
															BgL_auxz00_3189 = BFALSE;
														}
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1116z00_1764))->BgL_aliasz00) =
														((obj_t) BgL_auxz00_3189), BUNSPEC);
												}
												BgL_newz00_1738 = BgL_new1116z00_1764;
											}
											{	/* Ast/venv.scm 365 */

												{	/* Ast/venv.scm 376 */
													bool_t BgL_test2018z00_3193;

													if (PAIRP(BgL_bucketz00_1736))
														{	/* Ast/venv.scm 376 */
															BgL_test2018z00_3193 =
																NULLP(CDR(BgL_bucketz00_1736));
														}
													else
														{	/* Ast/venv.scm 376 */
															BgL_test2018z00_3193 = ((bool_t) 1);
														}
													if (BgL_test2018z00_3193)
														{	/* Ast/venv.scm 376 */
															{	/* Ast/venv.scm 378 */
																obj_t BgL_arg1480z00_1742;

																{	/* Ast/venv.scm 378 */
																	obj_t BgL_list1481z00_1743;

																	{	/* Ast/venv.scm 378 */
																		obj_t BgL_arg1484z00_1744;

																		BgL_arg1484z00_1744 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_newz00_1738), BNIL);
																		BgL_list1481z00_1743 =
																			MAKE_YOUNG_PAIR(BgL_identz00_1730,
																			BgL_arg1484z00_1744);
																	}
																	BgL_arg1480z00_1742 = BgL_list1481z00_1743;
																}
																BGl_hashtablezd2putz12zc0zz__hashz00
																	(BGl_za2Genvza2z00zzast_envz00,
																	BgL_identz00_1730, BgL_arg1480z00_1742);
															}
															return BgL_newz00_1738;
														}
													else
														{	/* Ast/venv.scm 381 */
															obj_t BgL_oldza2za2_1745;

															BgL_oldza2za2_1745 =
																CDR(((obj_t) BgL_bucketz00_1736));
															{	/* Ast/venv.scm 381 */
																obj_t BgL_midz00_1746;

																{	/* Ast/venv.scm 383 */
																	obj_t BgL_arg1532z00_1760;

																	BgL_arg1532z00_1760 =
																		(((BgL_globalz00_bglt) COBJECT(
																				((BgL_globalz00_bglt)
																					CAR(
																						((obj_t) BgL_oldza2za2_1745)))))->
																		BgL_modulez00);
																	BgL_midz00_1746 =
																		BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
																		(BgL_arg1532z00_1760);
																}
																{	/* Ast/venv.scm 382 */

																	{	/* Ast/venv.scm 385 */
																		bool_t BgL_test2020z00_3209;

																		{	/* Ast/venv.scm 385 */
																			obj_t BgL_arg1516z00_1758;

																			BgL_arg1516z00_1758 =
																				(((BgL_globalz00_bglt) COBJECT(
																						((BgL_globalz00_bglt)
																							CAR(
																								((obj_t)
																									BgL_oldza2za2_1745)))))->
																				BgL_modulez00);
																			BgL_test2020z00_3209 =
																				(BgL_arg1516z00_1758 ==
																				BGl_za2moduleza2z00zzmodule_modulez00);
																		}
																		if (BgL_test2020z00_3209)
																			{	/* Ast/venv.scm 385 */
																				{	/* Ast/venv.scm 387 */
																					bool_t BgL_test2021z00_3215;

																					if (
																						(BgL_identz00_1730 ==
																							BgL_midz00_1746))
																						{	/* Ast/venv.scm 387 */
																							BgL_test2021z00_3215 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Ast/venv.scm 387 */
																							if (CBOOL
																								(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																								{	/* Ast/venv.scm 387 */
																									BgL_test2021z00_3215 =
																										((bool_t) 0);
																								}
																							else
																								{	/* Ast/venv.scm 387 */
																									BgL_test2021z00_3215 =
																										((bool_t) 1);
																								}
																						}
																					if (BgL_test2021z00_3215)
																						{	/* Ast/venv.scm 388 */
																							obj_t BgL_arg1506z00_1751;

																							BgL_arg1506z00_1751 =
																								CAR(
																								((obj_t) BgL_oldza2za2_1745));
																							BGl_warningzd2overridezd2globalz12z12zzast_envz00
																								(BgL_arg1506z00_1751,
																								((obj_t) BgL_newz00_1738),
																								BgL_srcz00_37);
																						}
																					else
																						{	/* Ast/venv.scm 387 */
																							BFALSE;
																						}
																				}
																				{	/* Ast/venv.scm 389 */
																					obj_t BgL_arg1511z00_1752;
																					obj_t BgL_arg1512z00_1753;

																					BgL_arg1511z00_1752 =
																						CDR(((obj_t) BgL_bucketz00_1736));
																					{	/* Ast/venv.scm 389 */
																						obj_t BgL_arg1513z00_1754;

																						{	/* Ast/venv.scm 389 */
																							obj_t BgL_pairz00_2206;

																							BgL_pairz00_2206 =
																								CDR(
																								((obj_t) BgL_bucketz00_1736));
																							BgL_arg1513z00_1754 =
																								CDR(BgL_pairz00_2206);
																						}
																						BgL_arg1512z00_1753 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_newz00_1738),
																							BgL_arg1513z00_1754);
																					}
																					{	/* Ast/venv.scm 389 */
																						obj_t BgL_tmpz00_3231;

																						BgL_tmpz00_3231 =
																							((obj_t) BgL_arg1511z00_1752);
																						SET_CDR(BgL_tmpz00_3231,
																							BgL_arg1512z00_1753);
																					}
																				}
																				return BgL_newz00_1738;
																			}
																		else
																			{	/* Ast/venv.scm 392 */
																				obj_t BgL_newza2za2_1755;

																				BgL_newza2za2_1755 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_newz00_1738),
																					BgL_oldza2za2_1745);
																				{	/* Ast/venv.scm 393 */
																					bool_t BgL_test2024z00_3236;

																					if (
																						(BgL_identz00_1730 ==
																							BgL_midz00_1746))
																						{	/* Ast/venv.scm 393 */
																							BgL_test2024z00_3236 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Ast/venv.scm 393 */
																							if (CBOOL
																								(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																								{	/* Ast/venv.scm 393 */
																									BgL_test2024z00_3236 =
																										((bool_t) 0);
																								}
																							else
																								{	/* Ast/venv.scm 393 */
																									BgL_test2024z00_3236 =
																										((bool_t) 1);
																								}
																						}
																					if (BgL_test2024z00_3236)
																						{	/* Ast/venv.scm 394 */
																							obj_t BgL_arg1515z00_1757;

																							BgL_arg1515z00_1757 =
																								CAR(
																								((obj_t) BgL_oldza2za2_1745));
																							BGl_warningzd2overridezd2globalz12z12zzast_envz00
																								(((obj_t) BgL_newz00_1738),
																								BgL_arg1515z00_1757,
																								BgL_srcz00_37);
																						}
																					else
																						{	/* Ast/venv.scm 393 */
																							BFALSE;
																						}
																				}
																				{	/* Ast/venv.scm 395 */
																					obj_t BgL_tmpz00_3245;

																					BgL_tmpz00_3245 =
																						((obj_t) BgL_bucketz00_1736);
																					SET_CDR(BgL_tmpz00_3245,
																						BgL_newza2za2_1755);
																				}
																				return BgL_newz00_1738;
																			}
																	}
																}
															}
														}
												}
											}
										}
									}
								}
						}
					}
				}
			}
		}

	}



/* &bind-global! */
	BgL_globalz00_bglt BGl_z62bindzd2globalz12za2zzast_envz00(obj_t
		BgL_envz00_2645, obj_t BgL_idz00_2646, obj_t BgL_aliasz00_2647,
		obj_t BgL_modulez00_2648, obj_t BgL_valuez00_2649, obj_t BgL_importz00_2650,
		obj_t BgL_srcz00_2651)
	{
		{	/* Ast/venv.scm 343 */
			return
				BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_2646, BgL_aliasz00_2647,
				BgL_modulez00_2648, ((BgL_valuez00_bglt) BgL_valuez00_2649),
				BgL_importz00_2650, BgL_srcz00_2651);
		}

	}



/* unbind-global! */
	BGL_EXPORTED_DEF obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_38, obj_t BgL_modulez00_39)
	{
		{	/* Ast/venv.scm 401 */
			{	/* Ast/venv.scm 402 */
				obj_t BgL_globalz00_1772;

				{	/* Ast/venv.scm 402 */
					obj_t BgL_list1593z00_1791;

					BgL_list1593z00_1791 = MAKE_YOUNG_PAIR(BgL_modulez00_39, BNIL);
					BgL_globalz00_1772 =
						BGl_findzd2globalzd2zzast_envz00(BgL_idz00_38,
						BgL_list1593z00_1791);
				}
				{	/* Ast/venv.scm 403 */
					bool_t BgL_test2027z00_3252;

					{	/* Ast/venv.scm 403 */
						obj_t BgL_classz00_2210;

						BgL_classz00_2210 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_globalz00_1772))
							{	/* Ast/venv.scm 403 */
								BgL_objectz00_bglt BgL_arg1858z00_2212;

								BgL_arg1858z00_2212 = (BgL_objectz00_bglt) (BgL_globalz00_1772);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Ast/venv.scm 403 */
										long BgL_idxz00_2218;

										BgL_idxz00_2218 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2212);
										BgL_test2027z00_3252 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2218 + 2L)) == BgL_classz00_2210);
									}
								else
									{	/* Ast/venv.scm 403 */
										bool_t BgL_res1894z00_2243;

										{	/* Ast/venv.scm 403 */
											obj_t BgL_oclassz00_2226;

											{	/* Ast/venv.scm 403 */
												obj_t BgL_arg1866z00_2234;
												long BgL_arg1867z00_2235;

												BgL_arg1866z00_2234 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Ast/venv.scm 403 */
													long BgL_arg1869z00_2236;

													BgL_arg1869z00_2236 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2212);
													BgL_arg1867z00_2235 =
														(BgL_arg1869z00_2236 - OBJECT_TYPE);
												}
												BgL_oclassz00_2226 =
													VECTOR_REF(BgL_arg1866z00_2234, BgL_arg1867z00_2235);
											}
											{	/* Ast/venv.scm 403 */
												bool_t BgL__ortest_1115z00_2227;

												BgL__ortest_1115z00_2227 =
													(BgL_classz00_2210 == BgL_oclassz00_2226);
												if (BgL__ortest_1115z00_2227)
													{	/* Ast/venv.scm 403 */
														BgL_res1894z00_2243 = BgL__ortest_1115z00_2227;
													}
												else
													{	/* Ast/venv.scm 403 */
														long BgL_odepthz00_2228;

														{	/* Ast/venv.scm 403 */
															obj_t BgL_arg1855z00_2229;

															BgL_arg1855z00_2229 = (BgL_oclassz00_2226);
															BgL_odepthz00_2228 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2229);
														}
														if ((2L < BgL_odepthz00_2228))
															{	/* Ast/venv.scm 403 */
																obj_t BgL_arg1853z00_2231;

																{	/* Ast/venv.scm 403 */
																	obj_t BgL_arg1854z00_2232;

																	BgL_arg1854z00_2232 = (BgL_oclassz00_2226);
																	BgL_arg1853z00_2231 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2232,
																		2L);
																}
																BgL_res1894z00_2243 =
																	(BgL_arg1853z00_2231 == BgL_classz00_2210);
															}
														else
															{	/* Ast/venv.scm 403 */
																BgL_res1894z00_2243 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2027z00_3252 = BgL_res1894z00_2243;
									}
							}
						else
							{	/* Ast/venv.scm 403 */
								BgL_test2027z00_3252 = ((bool_t) 0);
							}
					}
					if (BgL_test2027z00_3252)
						{	/* Ast/venv.scm 405 */
							obj_t BgL_bucketz00_1774;

							BgL_bucketz00_1774 =
								BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
								BgL_idz00_38);
							{	/* Ast/venv.scm 406 */
								obj_t BgL_g1117z00_1775;

								BgL_g1117z00_1775 = CDR(((obj_t) BgL_bucketz00_1774));
								{
									obj_t BgL_curz00_1777;
									obj_t BgL_prevz00_1778;

									BgL_curz00_1777 = BgL_g1117z00_1775;
									BgL_prevz00_1778 = BgL_bucketz00_1774;
								BgL_zc3z04anonymousza31561ze3z87_1779:
									if ((CAR(((obj_t) BgL_curz00_1777)) == BgL_globalz00_1772))
										{	/* Ast/venv.scm 409 */
											obj_t BgL_arg1577z00_1782;

											BgL_arg1577z00_1782 = CDR(((obj_t) BgL_curz00_1777));
											{	/* Ast/venv.scm 409 */
												obj_t BgL_tmpz00_3284;

												BgL_tmpz00_3284 = ((obj_t) BgL_prevz00_1778);
												return SET_CDR(BgL_tmpz00_3284, BgL_arg1577z00_1782);
											}
										}
									else
										{	/* Ast/venv.scm 410 */
											obj_t BgL_arg1578z00_1783;
											obj_t BgL_arg1581z00_1784;

											BgL_arg1578z00_1783 = CDR(((obj_t) BgL_curz00_1777));
											BgL_arg1581z00_1784 = CDR(((obj_t) BgL_prevz00_1778));
											{
												obj_t BgL_prevz00_3292;
												obj_t BgL_curz00_3291;

												BgL_curz00_3291 = BgL_arg1578z00_1783;
												BgL_prevz00_3292 = BgL_arg1581z00_1784;
												BgL_prevz00_1778 = BgL_prevz00_3292;
												BgL_curz00_1777 = BgL_curz00_3291;
												goto BgL_zc3z04anonymousza31561ze3z87_1779;
											}
										}
								}
							}
						}
					else
						{	/* Ast/venv.scm 404 */
							obj_t BgL_arg1588z00_1787;

							{	/* Ast/venv.scm 404 */
								obj_t BgL_arg1590z00_1789;

								{	/* Ast/venv.scm 404 */
									obj_t BgL_arg1592z00_1790;

									BgL_arg1592z00_1790 = MAKE_YOUNG_PAIR(BgL_modulez00_39, BNIL);
									BgL_arg1590z00_1789 =
										MAKE_YOUNG_PAIR(BgL_idz00_38, BgL_arg1592z00_1790);
								}
								BgL_arg1588z00_1787 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(3)), BgL_arg1590z00_1789);
							}
							return
								BGl_userzd2errorzd2zztools_errorz00
								(BGl_string1916z00zzast_envz00, BGl_string1917z00zzast_envz00,
								BgL_arg1588z00_1787, BNIL);
						}
				}
			}
		}

	}



/* &unbind-global! */
	obj_t BGl_z62unbindzd2globalz12za2zzast_envz00(obj_t BgL_envz00_2652,
		obj_t BgL_idz00_2653, obj_t BgL_modulez00_2654)
	{
		{	/* Ast/venv.scm 401 */
			return
				BGl_unbindzd2globalz12zc0zzast_envz00(BgL_idz00_2653,
				BgL_modulez00_2654);
		}

	}



/* for-each-global! */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t
		BgL_procz00_40, obj_t BgL_envz00_41)
	{
		{	/* Ast/venv.scm 415 */
			{	/* Ast/venv.scm 416 */
				obj_t BgL_arg1597z00_1792;

				if (NULLP(BgL_envz00_41))
					{	/* Ast/venv.scm 416 */
						BgL_arg1597z00_1792 = BGl_za2Genvza2z00zzast_envz00;
					}
				else
					{	/* Ast/venv.scm 416 */
						BgL_arg1597z00_1792 = CAR(((obj_t) BgL_envz00_41));
					}
				{	/* Ast/venv.scm 417 */
					obj_t BgL_zc3z04anonymousza31607ze3z87_2655;

					BgL_zc3z04anonymousza31607ze3z87_2655 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31607ze3ze5zzast_envz00,
						(int) (2L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza31607ze3z87_2655,
						(int) (0L), BgL_procz00_40);
					return
						BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_arg1597z00_1792,
						BgL_zc3z04anonymousza31607ze3z87_2655);
				}
			}
		}

	}



/* &for-each-global! */
	obj_t BGl_z62forzd2eachzd2globalz12z70zzast_envz00(obj_t BgL_envz00_2656,
		obj_t BgL_procz00_2657, obj_t BgL_envz00_2658)
	{
		{	/* Ast/venv.scm 415 */
			return
				BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_procz00_2657,
				BgL_envz00_2658);
		}

	}



/* &<@anonymous:1607> */
	obj_t BGl_z62zc3z04anonymousza31607ze3ze5zzast_envz00(obj_t BgL_envz00_2659,
		obj_t BgL_kz00_2661, obj_t BgL_bucketz00_2662)
	{
		{	/* Ast/venv.scm 417 */
			{	/* Ast/venv.scm 417 */
				obj_t BgL_procz00_2660;

				BgL_procz00_2660 = ((obj_t) PROCEDURE_REF(BgL_envz00_2659, (int) (0L)));
				{	/* Ast/venv.scm 417 */
					bool_t BgL_tmpz00_3314;

					{	/* Ast/venv.scm 417 */
						obj_t BgL_g1246z00_2715;

						BgL_g1246z00_2715 = CDR(((obj_t) BgL_bucketz00_2662));
						{
							obj_t BgL_l1244z00_2717;

							BgL_l1244z00_2717 = BgL_g1246z00_2715;
						BgL_zc3z04anonymousza31608ze3z87_2716:
							if (PAIRP(BgL_l1244z00_2717))
								{	/* Ast/venv.scm 417 */
									{	/* Ast/venv.scm 417 */
										obj_t BgL_arg1611z00_2718;

										BgL_arg1611z00_2718 = CAR(BgL_l1244z00_2717);
										BGL_PROCEDURE_CALL1(BgL_procz00_2660, BgL_arg1611z00_2718);
									}
									{
										obj_t BgL_l1244z00_3324;

										BgL_l1244z00_3324 = CDR(BgL_l1244z00_2717);
										BgL_l1244z00_2717 = BgL_l1244z00_3324;
										goto BgL_zc3z04anonymousza31608ze3z87_2716;
									}
								}
							else
								{	/* Ast/venv.scm 417 */
									BgL_tmpz00_3314 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_tmpz00_3314);
				}
			}
		}

	}



/* global-bucket-position */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t
		BgL_idz00_42, obj_t BgL_modulez00_43)
	{
		{	/* Ast/venv.scm 422 */
			{	/* Ast/venv.scm 423 */
				obj_t BgL_bucketz00_1807;

				BgL_bucketz00_1807 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_42);
				if (PAIRP(BgL_bucketz00_1807))
					{	/* Ast/venv.scm 426 */
						obj_t BgL_g1118z00_1809;

						BgL_g1118z00_1809 = CDR(BgL_bucketz00_1807);
						{
							obj_t BgL_globalsz00_1811;
							long BgL_posz00_1812;

							{	/* Ast/venv.scm 426 */
								long BgL_tmpz00_3331;

								BgL_globalsz00_1811 = BgL_g1118z00_1809;
								BgL_posz00_1812 = 0L;
							BgL_zc3z04anonymousza31614ze3z87_1813:
								if (NULLP(BgL_globalsz00_1811))
									{	/* Ast/venv.scm 429 */
										BgL_tmpz00_3331 = (-1L);
									}
								else
									{	/* Ast/venv.scm 429 */
										if (
											((((BgL_globalz00_bglt) COBJECT(
															((BgL_globalz00_bglt)
																CAR(
																	((obj_t) BgL_globalsz00_1811)))))->
													BgL_modulez00) == BgL_modulez00_43))
											{	/* Ast/venv.scm 431 */
												BgL_tmpz00_3331 = BgL_posz00_1812;
											}
										else
											{	/* Ast/venv.scm 434 */
												obj_t BgL_arg1631z00_1818;
												long BgL_arg1632z00_1819;

												BgL_arg1631z00_1818 =
													CDR(((obj_t) BgL_globalsz00_1811));
												BgL_arg1632z00_1819 = (BgL_posz00_1812 + 1L);
												{
													long BgL_posz00_3344;
													obj_t BgL_globalsz00_3343;

													BgL_globalsz00_3343 = BgL_arg1631z00_1818;
													BgL_posz00_3344 = BgL_arg1632z00_1819;
													BgL_posz00_1812 = BgL_posz00_3344;
													BgL_globalsz00_1811 = BgL_globalsz00_3343;
													goto BgL_zc3z04anonymousza31614ze3z87_1813;
												}
											}
									}
								return BINT(BgL_tmpz00_3331);
							}
						}
					}
				else
					{	/* Ast/venv.scm 424 */
						return BINT((-1L));
					}
			}
		}

	}



/* &global-bucket-position */
	obj_t BGl_z62globalzd2bucketzd2positionz62zzast_envz00(obj_t BgL_envz00_2663,
		obj_t BgL_idz00_2664, obj_t BgL_modulez00_2665)
	{
		{	/* Ast/venv.scm 422 */
			return
				BGl_globalzd2bucketzd2positionz00zzast_envz00(BgL_idz00_2664,
				BgL_modulez00_2665);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_envz00(void)
	{
		{	/* Ast/venv.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_envz00(void)
	{
		{	/* Ast/venv.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_proc1918z00zzast_envz00, BGl_valuez00zzast_varz00,
				BGl_string1919z00zzast_envz00);
		}

	}



/* &restore-value-types!1247 */
	obj_t BGl_z62restorezd2valuezd2typesz121247z70zzast_envz00(obj_t
		BgL_envz00_2667, obj_t BgL_valuez00_2668, obj_t BgL_idz00_2669)
	{
		{	/* Ast/venv.scm 153 */
			return BUNSPEC;
		}

	}



/* restore-value-types! */
	obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt
		BgL_valuez00_9, obj_t BgL_idz00_10)
	{
		{	/* Ast/venv.scm 153 */
			{	/* Ast/venv.scm 153 */
				obj_t BgL_method1248z00_1828;

				{	/* Ast/venv.scm 153 */
					obj_t BgL_res1899z00_2289;

					{	/* Ast/venv.scm 153 */
						long BgL_objzd2classzd2numz00_2260;

						BgL_objzd2classzd2numz00_2260 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_9));
						{	/* Ast/venv.scm 153 */
							obj_t BgL_arg1862z00_2261;

							BgL_arg1862z00_2261 =
								PROCEDURE_REF
								(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
								(int) (1L));
							{	/* Ast/venv.scm 153 */
								int BgL_offsetz00_2264;

								BgL_offsetz00_2264 = (int) (BgL_objzd2classzd2numz00_2260);
								{	/* Ast/venv.scm 153 */
									long BgL_offsetz00_2265;

									BgL_offsetz00_2265 =
										((long) (BgL_offsetz00_2264) - OBJECT_TYPE);
									{	/* Ast/venv.scm 153 */
										long BgL_modz00_2266;

										BgL_modz00_2266 =
											(BgL_offsetz00_2265 >> (int) ((long) ((int) (4L))));
										{	/* Ast/venv.scm 153 */
											long BgL_restz00_2268;

											BgL_restz00_2268 =
												(BgL_offsetz00_2265 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/venv.scm 153 */

												{	/* Ast/venv.scm 153 */
													obj_t BgL_bucketz00_2270;

													BgL_bucketz00_2270 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2261), BgL_modz00_2266);
													BgL_res1899z00_2289 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2270), BgL_restz00_2268);
					}}}}}}}}
					BgL_method1248z00_1828 = BgL_res1899z00_2289;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1248z00_1828,
					((obj_t) BgL_valuez00_9), BgL_idz00_10);
			}
		}

	}



/* &restore-value-types! */
	obj_t BGl_z62restorezd2valuezd2typesz12z70zzast_envz00(obj_t BgL_envz00_2670,
		obj_t BgL_valuez00_2671, obj_t BgL_idz00_2672)
	{
		{	/* Ast/venv.scm 153 */
			return
				BGl_restorezd2valuezd2typesz12z12zzast_envz00(
				((BgL_valuez00_bglt) BgL_valuez00_2671), BgL_idz00_2672);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_envz00(void)
	{
		{	/* Ast/venv.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_funz00zzast_varz00, BGl_proc1920z00zzast_envz00,
				BGl_string1921z00zzast_envz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_sfunz00zzast_varz00, BGl_proc1922z00zzast_envz00,
				BGl_string1921z00zzast_envz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_isfunz00zzinline_inlinez00, BGl_proc1923z00zzast_envz00,
				BGl_string1921z00zzast_envz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_cfunz00zzast_varz00, BGl_proc1924z00zzast_envz00,
				BGl_string1921z00zzast_envz00);
		}

	}



/* &restore-value-types!1256 */
	obj_t BGl_z62restorezd2valuezd2typesz121256z70zzast_envz00(obj_t
		BgL_envz00_2677, obj_t BgL_valuez00_2678, obj_t BgL_idz00_2679)
	{
		{	/* Ast/venv.scm 208 */
			{	/* Ast/venv.scm 208 */
				bool_t BgL_tmpz00_3386;

				{

					{	/* Ast/venv.scm 208 */
						obj_t BgL_nextzd2method1255zd2_2722;

						BgL_nextzd2method1255zd2_2722 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_cfunz00_bglt) BgL_valuez00_2678)),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_cfunz00zzast_varz00);
						BGL_PROCEDURE_CALL2(BgL_nextzd2method1255zd2_2722,
							((obj_t) ((BgL_cfunz00_bglt) BgL_valuez00_2678)), BgL_idz00_2679);
					}
					{
						obj_t BgL_argsz00_2724;

						BgL_argsz00_2724 =
							(((BgL_cfunz00_bglt) COBJECT(
									((BgL_cfunz00_bglt) BgL_valuez00_2678)))->BgL_argszd2typezd2);
					BgL_loopz00_2723:
						if (PAIRP(BgL_argsz00_2724))
							{	/* Ast/venv.scm 212 */
								if (
									((((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt)
														CAR(BgL_argsz00_2724))))->BgL_idz00) ==
										((obj_t) CNST_TABLE_REF(7))))
									{	/* Ast/venv.scm 214 */
										BGl_userzd2warningzd2zztools_errorz00
											(BGl_string1925z00zzast_envz00,
											BGl_string1926z00zzast_envz00, BgL_idz00_2679);
										SET_CAR(BgL_argsz00_2724, BGl_za2objza2z00zztype_cachez00);
									}
								else
									{	/* Ast/venv.scm 220 */
										BgL_typez00_bglt BgL_arg1715z00_2725;

										{	/* Ast/venv.scm 220 */
											obj_t BgL_arg1716z00_2726;

											BgL_arg1716z00_2726 =
												(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt)
															CAR(BgL_argsz00_2724))))->BgL_idz00);
											BgL_arg1715z00_2725 =
												BGl_findzd2typezd2zztype_envz00(BgL_arg1716z00_2726);
										}
										{	/* Ast/venv.scm 220 */
											obj_t BgL_tmpz00_3412;

											BgL_tmpz00_3412 = ((obj_t) BgL_arg1715z00_2725);
											SET_CAR(BgL_argsz00_2724, BgL_tmpz00_3412);
										}
									}
								{
									obj_t BgL_argsz00_3415;

									BgL_argsz00_3415 = CDR(BgL_argsz00_2724);
									BgL_argsz00_2724 = BgL_argsz00_3415;
									goto BgL_loopz00_2723;
								}
							}
						else
							{	/* Ast/venv.scm 212 */
								BgL_tmpz00_3386 = ((bool_t) 0);
							}
					}
				}
				return BBOOL(BgL_tmpz00_3386);
			}
		}

	}



/* &restore-value-types!1254 */
	obj_t BGl_z62restorezd2valuezd2typesz121254z70zzast_envz00(obj_t
		BgL_envz00_2680, obj_t BgL_valuez00_2681, obj_t BgL_idz00_2682)
	{
		{	/* Ast/venv.scm 201 */
			{

				{	/* Ast/venv.scm 201 */
					obj_t BgL_nextzd2method1253zd2_2729;

					BgL_nextzd2method1253zd2_2729 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt) BgL_valuez00_2681)),
						BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
						BGl_isfunz00zzinline_inlinez00);
					BGL_PROCEDURE_CALL2(BgL_nextzd2method1253zd2_2729,
						((obj_t) ((BgL_sfunz00_bglt) BgL_valuez00_2681)), BgL_idz00_2682);
				}
				{	/* Ast/venv.scm 203 */
					BgL_nodez00_bglt BgL_arg1693z00_2730;

					{
						BgL_isfunz00_bglt BgL_auxz00_3430;

						{
							obj_t BgL_auxz00_3431;

							{	/* Ast/venv.scm 203 */
								BgL_objectz00_bglt BgL_tmpz00_3432;

								BgL_tmpz00_3432 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_valuez00_2681));
								BgL_auxz00_3431 = BGL_OBJECT_WIDENING(BgL_tmpz00_3432);
							}
							BgL_auxz00_3430 = ((BgL_isfunz00_bglt) BgL_auxz00_3431);
						}
						BgL_arg1693z00_2730 =
							(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3430))->
							BgL_originalzd2bodyzd2);
					}
					return BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_arg1693z00_2730);
				}
			}
		}

	}



/* &restore-value-types!1252 */
	obj_t BGl_z62restorezd2valuezd2typesz121252z70zzast_envz00(obj_t
		BgL_envz00_2683, obj_t BgL_valuez00_2684, obj_t BgL_idz00_2685)
	{
		{	/* Ast/venv.scm 167 */
			{

				{	/* Ast/venv.scm 167 */
					obj_t BgL_nextzd2method1251zd2_2733;

					BgL_nextzd2method1251zd2_2733 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt) BgL_valuez00_2684)),
						BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
						BGl_sfunz00zzast_varz00);
					BGL_PROCEDURE_CALL2(BgL_nextzd2method1251zd2_2733,
						((obj_t) ((BgL_sfunz00_bglt) BgL_valuez00_2684)), BgL_idz00_2685);
				}
				{
					obj_t BgL_argsz00_2735;

					BgL_argsz00_2735 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_valuez00_2684)))->BgL_argsz00);
				BgL_loopz00_2734:
					if (PAIRP(BgL_argsz00_2735))
						{	/* Ast/venv.scm 173 */
							obj_t BgL_argz00_2736;

							BgL_argz00_2736 = CAR(BgL_argsz00_2735);
							{	/* Ast/venv.scm 175 */
								bool_t BgL_test2041z00_3452;

								{	/* Ast/venv.scm 175 */
									obj_t BgL_classz00_2737;

									BgL_classz00_2737 = BGl_typez00zztype_typez00;
									if (BGL_OBJECTP(BgL_argz00_2736))
										{	/* Ast/venv.scm 175 */
											BgL_objectz00_bglt BgL_arg1858z00_2738;

											BgL_arg1858z00_2738 =
												(BgL_objectz00_bglt) (BgL_argz00_2736);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Ast/venv.scm 175 */
													long BgL_idxz00_2739;

													BgL_idxz00_2739 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2738);
													BgL_test2041z00_3452 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2739 + 1L)) == BgL_classz00_2737);
												}
											else
												{	/* Ast/venv.scm 175 */
													bool_t BgL_res1901z00_2742;

													{	/* Ast/venv.scm 175 */
														obj_t BgL_oclassz00_2743;

														{	/* Ast/venv.scm 175 */
															obj_t BgL_arg1866z00_2744;
															long BgL_arg1867z00_2745;

															BgL_arg1866z00_2744 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Ast/venv.scm 175 */
																long BgL_arg1869z00_2746;

																BgL_arg1869z00_2746 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2738);
																BgL_arg1867z00_2745 =
																	(BgL_arg1869z00_2746 - OBJECT_TYPE);
															}
															BgL_oclassz00_2743 =
																VECTOR_REF(BgL_arg1866z00_2744,
																BgL_arg1867z00_2745);
														}
														{	/* Ast/venv.scm 175 */
															bool_t BgL__ortest_1115z00_2747;

															BgL__ortest_1115z00_2747 =
																(BgL_classz00_2737 == BgL_oclassz00_2743);
															if (BgL__ortest_1115z00_2747)
																{	/* Ast/venv.scm 175 */
																	BgL_res1901z00_2742 =
																		BgL__ortest_1115z00_2747;
																}
															else
																{	/* Ast/venv.scm 175 */
																	long BgL_odepthz00_2748;

																	{	/* Ast/venv.scm 175 */
																		obj_t BgL_arg1855z00_2749;

																		BgL_arg1855z00_2749 = (BgL_oclassz00_2743);
																		BgL_odepthz00_2748 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_2749);
																	}
																	if ((1L < BgL_odepthz00_2748))
																		{	/* Ast/venv.scm 175 */
																			obj_t BgL_arg1853z00_2750;

																			{	/* Ast/venv.scm 175 */
																				obj_t BgL_arg1854z00_2751;

																				BgL_arg1854z00_2751 =
																					(BgL_oclassz00_2743);
																				BgL_arg1853z00_2750 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_2751, 1L);
																			}
																			BgL_res1901z00_2742 =
																				(BgL_arg1853z00_2750 ==
																				BgL_classz00_2737);
																		}
																	else
																		{	/* Ast/venv.scm 175 */
																			BgL_res1901z00_2742 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2041z00_3452 = BgL_res1901z00_2742;
												}
										}
									else
										{	/* Ast/venv.scm 175 */
											BgL_test2041z00_3452 = ((bool_t) 0);
										}
								}
								if (BgL_test2041z00_3452)
									{	/* Ast/venv.scm 176 */
										BgL_typez00_bglt BgL_arg1660z00_2752;

										{	/* Ast/venv.scm 176 */
											obj_t BgL_arg1663z00_2753;

											BgL_arg1663z00_2753 =
												(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt) BgL_argz00_2736)))->BgL_idz00);
											BgL_arg1660z00_2752 =
												BGl_findzd2typezd2zztype_envz00(BgL_arg1663z00_2753);
										}
										{	/* Ast/venv.scm 176 */
											obj_t BgL_tmpz00_3478;

											BgL_tmpz00_3478 = ((obj_t) BgL_arg1660z00_2752);
											SET_CAR(BgL_argsz00_2735, BgL_tmpz00_3478);
										}
									}
								else
									{	/* Ast/venv.scm 177 */
										bool_t BgL_test2046z00_3481;

										{	/* Ast/venv.scm 177 */
											obj_t BgL_classz00_2754;

											BgL_classz00_2754 = BGl_localz00zzast_varz00;
											if (BGL_OBJECTP(BgL_argz00_2736))
												{	/* Ast/venv.scm 177 */
													BgL_objectz00_bglt BgL_arg1858z00_2755;

													BgL_arg1858z00_2755 =
														(BgL_objectz00_bglt) (BgL_argz00_2736);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Ast/venv.scm 177 */
															long BgL_idxz00_2756;

															BgL_idxz00_2756 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2755);
															BgL_test2046z00_3481 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2756 + 2L)) == BgL_classz00_2754);
														}
													else
														{	/* Ast/venv.scm 177 */
															bool_t BgL_res1902z00_2759;

															{	/* Ast/venv.scm 177 */
																obj_t BgL_oclassz00_2760;

																{	/* Ast/venv.scm 177 */
																	obj_t BgL_arg1866z00_2761;
																	long BgL_arg1867z00_2762;

																	BgL_arg1866z00_2761 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Ast/venv.scm 177 */
																		long BgL_arg1869z00_2763;

																		BgL_arg1869z00_2763 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2755);
																		BgL_arg1867z00_2762 =
																			(BgL_arg1869z00_2763 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2760 =
																		VECTOR_REF(BgL_arg1866z00_2761,
																		BgL_arg1867z00_2762);
																}
																{	/* Ast/venv.scm 177 */
																	bool_t BgL__ortest_1115z00_2764;

																	BgL__ortest_1115z00_2764 =
																		(BgL_classz00_2754 == BgL_oclassz00_2760);
																	if (BgL__ortest_1115z00_2764)
																		{	/* Ast/venv.scm 177 */
																			BgL_res1902z00_2759 =
																				BgL__ortest_1115z00_2764;
																		}
																	else
																		{	/* Ast/venv.scm 177 */
																			long BgL_odepthz00_2765;

																			{	/* Ast/venv.scm 177 */
																				obj_t BgL_arg1855z00_2766;

																				BgL_arg1855z00_2766 =
																					(BgL_oclassz00_2760);
																				BgL_odepthz00_2765 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_2766);
																			}
																			if ((2L < BgL_odepthz00_2765))
																				{	/* Ast/venv.scm 177 */
																					obj_t BgL_arg1853z00_2767;

																					{	/* Ast/venv.scm 177 */
																						obj_t BgL_arg1854z00_2768;

																						BgL_arg1854z00_2768 =
																							(BgL_oclassz00_2760);
																						BgL_arg1853z00_2767 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_2768, 2L);
																					}
																					BgL_res1902z00_2759 =
																						(BgL_arg1853z00_2767 ==
																						BgL_classz00_2754);
																				}
																			else
																				{	/* Ast/venv.scm 177 */
																					BgL_res1902z00_2759 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2046z00_3481 = BgL_res1902z00_2759;
														}
												}
											else
												{	/* Ast/venv.scm 177 */
													BgL_test2046z00_3481 = ((bool_t) 0);
												}
										}
										if (BgL_test2046z00_3481)
											{	/* Ast/venv.scm 178 */
												BgL_typez00_bglt BgL_newzd2typezd2_2769;

												{	/* Ast/venv.scm 178 */
													obj_t BgL_arg1673z00_2770;

													BgL_arg1673z00_2770 =
														(((BgL_typez00_bglt) COBJECT(
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_argz00_2736))))->BgL_typez00)))->
														BgL_idz00);
													BgL_newzd2typezd2_2769 =
														BGl_findzd2typezd2zztype_envz00
														(BgL_arg1673z00_2770);
												}
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_argz00_2736))))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_newzd2typezd2_2769), BUNSPEC);
											}
										else
											{	/* Ast/venv.scm 177 */
												BGl_errorz00zz__errorz00(BGl_string1927z00zzast_envz00,
													BGl_string1928z00zzast_envz00,
													BGl_shapez00zztools_shapez00(BgL_argz00_2736));
											}
									}
							}
							{
								obj_t BgL_argsz00_3514;

								BgL_argsz00_3514 = CDR(BgL_argsz00_2735);
								BgL_argsz00_2735 = BgL_argsz00_3514;
								goto BgL_loopz00_2734;
							}
						}
					else
						{	/* Ast/venv.scm 172 */
							if (NULLP(BgL_argsz00_2735))
								{	/* Ast/venv.scm 186 */
									obj_t BgL_bodyz00_2771;

									BgL_bodyz00_2771 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_valuez00_2684)))->BgL_bodyz00);
									{	/* Ast/venv.scm 188 */
										bool_t BgL_test2052z00_3520;

										{	/* Ast/venv.scm 188 */
											obj_t BgL_classz00_2772;

											BgL_classz00_2772 = BGl_nodez00zzast_nodez00;
											if (BGL_OBJECTP(BgL_bodyz00_2771))
												{	/* Ast/venv.scm 188 */
													BgL_objectz00_bglt BgL_arg1858z00_2773;

													BgL_arg1858z00_2773 =
														(BgL_objectz00_bglt) (BgL_bodyz00_2771);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Ast/venv.scm 188 */
															long BgL_idxz00_2774;

															BgL_idxz00_2774 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2773);
															BgL_test2052z00_3520 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2774 + 1L)) == BgL_classz00_2772);
														}
													else
														{	/* Ast/venv.scm 188 */
															bool_t BgL_res1903z00_2777;

															{	/* Ast/venv.scm 188 */
																obj_t BgL_oclassz00_2778;

																{	/* Ast/venv.scm 188 */
																	obj_t BgL_arg1866z00_2779;
																	long BgL_arg1867z00_2780;

																	BgL_arg1866z00_2779 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Ast/venv.scm 188 */
																		long BgL_arg1869z00_2781;

																		BgL_arg1869z00_2781 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2773);
																		BgL_arg1867z00_2780 =
																			(BgL_arg1869z00_2781 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2778 =
																		VECTOR_REF(BgL_arg1866z00_2779,
																		BgL_arg1867z00_2780);
																}
																{	/* Ast/venv.scm 188 */
																	bool_t BgL__ortest_1115z00_2782;

																	BgL__ortest_1115z00_2782 =
																		(BgL_classz00_2772 == BgL_oclassz00_2778);
																	if (BgL__ortest_1115z00_2782)
																		{	/* Ast/venv.scm 188 */
																			BgL_res1903z00_2777 =
																				BgL__ortest_1115z00_2782;
																		}
																	else
																		{	/* Ast/venv.scm 188 */
																			long BgL_odepthz00_2783;

																			{	/* Ast/venv.scm 188 */
																				obj_t BgL_arg1855z00_2784;

																				BgL_arg1855z00_2784 =
																					(BgL_oclassz00_2778);
																				BgL_odepthz00_2783 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_2784);
																			}
																			if ((1L < BgL_odepthz00_2783))
																				{	/* Ast/venv.scm 188 */
																					obj_t BgL_arg1853z00_2785;

																					{	/* Ast/venv.scm 188 */
																						obj_t BgL_arg1854z00_2786;

																						BgL_arg1854z00_2786 =
																							(BgL_oclassz00_2778);
																						BgL_arg1853z00_2785 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_2786, 1L);
																					}
																					BgL_res1903z00_2777 =
																						(BgL_arg1853z00_2785 ==
																						BgL_classz00_2772);
																				}
																			else
																				{	/* Ast/venv.scm 188 */
																					BgL_res1903z00_2777 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2052z00_3520 = BgL_res1903z00_2777;
														}
												}
											else
												{	/* Ast/venv.scm 188 */
													BgL_test2052z00_3520 = ((bool_t) 0);
												}
										}
										if (BgL_test2052z00_3520)
											{	/* Ast/venv.scm 189 */
												BgL_typez00_bglt BgL_tresz00_2787;

												BgL_tresz00_2787 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_bodyz00_2771)))->
													BgL_typez00);
												BGl_hrtypezd2nodez12zc0zzast_hrtypez00((
														(BgL_nodez00_bglt) BgL_bodyz00_2771));
												{	/* Ast/venv.scm 191 */
													bool_t BgL_test2057z00_3547;

													{	/* Ast/venv.scm 191 */
														obj_t BgL_classz00_2788;

														BgL_classz00_2788 = BGl_typez00zztype_typez00;
														{	/* Ast/venv.scm 191 */
															BgL_objectz00_bglt BgL_arg1858z00_2789;

															{	/* Ast/venv.scm 191 */
																obj_t BgL_tmpz00_3548;

																BgL_tmpz00_3548 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_tresz00_2787));
																BgL_arg1858z00_2789 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_3548);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Ast/venv.scm 191 */
																	long BgL_idxz00_2790;

																	BgL_idxz00_2790 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_2789);
																	BgL_test2057z00_3547 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2790 + 1L)) ==
																		BgL_classz00_2788);
																}
															else
																{	/* Ast/venv.scm 191 */
																	bool_t BgL_res1904z00_2793;

																	{	/* Ast/venv.scm 191 */
																		obj_t BgL_oclassz00_2794;

																		{	/* Ast/venv.scm 191 */
																			obj_t BgL_arg1866z00_2795;
																			long BgL_arg1867z00_2796;

																			BgL_arg1866z00_2795 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Ast/venv.scm 191 */
																				long BgL_arg1869z00_2797;

																				BgL_arg1869z00_2797 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_2789);
																				BgL_arg1867z00_2796 =
																					(BgL_arg1869z00_2797 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2794 =
																				VECTOR_REF(BgL_arg1866z00_2795,
																				BgL_arg1867z00_2796);
																		}
																		{	/* Ast/venv.scm 191 */
																			bool_t BgL__ortest_1115z00_2798;

																			BgL__ortest_1115z00_2798 =
																				(BgL_classz00_2788 ==
																				BgL_oclassz00_2794);
																			if (BgL__ortest_1115z00_2798)
																				{	/* Ast/venv.scm 191 */
																					BgL_res1904z00_2793 =
																						BgL__ortest_1115z00_2798;
																				}
																			else
																				{	/* Ast/venv.scm 191 */
																					long BgL_odepthz00_2799;

																					{	/* Ast/venv.scm 191 */
																						obj_t BgL_arg1855z00_2800;

																						BgL_arg1855z00_2800 =
																							(BgL_oclassz00_2794);
																						BgL_odepthz00_2799 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_2800);
																					}
																					if ((1L < BgL_odepthz00_2799))
																						{	/* Ast/venv.scm 191 */
																							obj_t BgL_arg1853z00_2801;

																							{	/* Ast/venv.scm 191 */
																								obj_t BgL_arg1854z00_2802;

																								BgL_arg1854z00_2802 =
																									(BgL_oclassz00_2794);
																								BgL_arg1853z00_2801 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_2802, 1L);
																							}
																							BgL_res1904z00_2793 =
																								(BgL_arg1853z00_2801 ==
																								BgL_classz00_2788);
																						}
																					else
																						{	/* Ast/venv.scm 191 */
																							BgL_res1904z00_2793 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2057z00_3547 = BgL_res1904z00_2793;
																}
														}
													}
													if (BgL_test2057z00_3547)
														{	/* Ast/venv.scm 192 */
															BgL_typez00_bglt BgL_arg1686z00_2803;

															BgL_arg1686z00_2803 =
																BGl_findzd2typezd2zztype_envz00(
																(((BgL_typez00_bglt)
																		COBJECT(BgL_tresz00_2787))->BgL_idz00));
															return ((((BgL_nodez00_bglt)
																		COBJECT(((BgL_nodez00_bglt)
																				BgL_bodyz00_2771)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_arg1686z00_2803),
																BUNSPEC);
														}
													else
														{	/* Ast/venv.scm 191 */
															return BFALSE;
														}
												}
											}
										else
											{	/* Ast/venv.scm 188 */
												return BFALSE;
											}
									}
								}
							else
								{	/* Ast/venv.scm 185 */
									return
										BGl_errorz00zz__errorz00(BGl_string1929z00zzast_envz00,
										BGl_string1930z00zzast_envz00,
										BGl_shapez00zztools_shapez00(BgL_argsz00_2735));
								}
						}
				}
			}
		}

	}



/* &restore-value-types!1250 */
	obj_t BGl_z62restorezd2valuezd2typesz121250z70zzast_envz00(obj_t
		BgL_envz00_2686, obj_t BgL_valuez00_2687, obj_t BgL_idz00_2688)
	{
		{	/* Ast/venv.scm 159 */
			{	/* Ast/venv.scm 161 */
				bool_t BgL_test2061z00_3579;

				{	/* Ast/venv.scm 161 */
					obj_t BgL_arg1650z00_2805;

					BgL_arg1650z00_2805 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_valuez00_2687)))->BgL_predicatezd2ofzd2);
					{	/* Ast/venv.scm 161 */
						obj_t BgL_classz00_2806;

						BgL_classz00_2806 = BGl_typez00zztype_typez00;
						if (BGL_OBJECTP(BgL_arg1650z00_2805))
							{	/* Ast/venv.scm 161 */
								BgL_objectz00_bglt BgL_arg1858z00_2807;

								BgL_arg1858z00_2807 =
									(BgL_objectz00_bglt) (BgL_arg1650z00_2805);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Ast/venv.scm 161 */
										long BgL_idxz00_2808;

										BgL_idxz00_2808 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2807);
										BgL_test2061z00_3579 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2808 + 1L)) == BgL_classz00_2806);
									}
								else
									{	/* Ast/venv.scm 161 */
										bool_t BgL_res1900z00_2811;

										{	/* Ast/venv.scm 161 */
											obj_t BgL_oclassz00_2812;

											{	/* Ast/venv.scm 161 */
												obj_t BgL_arg1866z00_2813;
												long BgL_arg1867z00_2814;

												BgL_arg1866z00_2813 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Ast/venv.scm 161 */
													long BgL_arg1869z00_2815;

													BgL_arg1869z00_2815 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2807);
													BgL_arg1867z00_2814 =
														(BgL_arg1869z00_2815 - OBJECT_TYPE);
												}
												BgL_oclassz00_2812 =
													VECTOR_REF(BgL_arg1866z00_2813, BgL_arg1867z00_2814);
											}
											{	/* Ast/venv.scm 161 */
												bool_t BgL__ortest_1115z00_2816;

												BgL__ortest_1115z00_2816 =
													(BgL_classz00_2806 == BgL_oclassz00_2812);
												if (BgL__ortest_1115z00_2816)
													{	/* Ast/venv.scm 161 */
														BgL_res1900z00_2811 = BgL__ortest_1115z00_2816;
													}
												else
													{	/* Ast/venv.scm 161 */
														long BgL_odepthz00_2817;

														{	/* Ast/venv.scm 161 */
															obj_t BgL_arg1855z00_2818;

															BgL_arg1855z00_2818 = (BgL_oclassz00_2812);
															BgL_odepthz00_2817 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2818);
														}
														if ((1L < BgL_odepthz00_2817))
															{	/* Ast/venv.scm 161 */
																obj_t BgL_arg1853z00_2819;

																{	/* Ast/venv.scm 161 */
																	obj_t BgL_arg1854z00_2820;

																	BgL_arg1854z00_2820 = (BgL_oclassz00_2812);
																	BgL_arg1853z00_2819 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2820,
																		1L);
																}
																BgL_res1900z00_2811 =
																	(BgL_arg1853z00_2819 == BgL_classz00_2806);
															}
														else
															{	/* Ast/venv.scm 161 */
																BgL_res1900z00_2811 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2061z00_3579 = BgL_res1900z00_2811;
									}
							}
						else
							{	/* Ast/venv.scm 161 */
								BgL_test2061z00_3579 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test2061z00_3579)
					{
						obj_t BgL_auxz00_3604;

						{	/* Ast/venv.scm 162 */
							obj_t BgL_arg1648z00_2821;

							BgL_arg1648z00_2821 =
								(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt)
											(((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt) BgL_valuez00_2687)))->
												BgL_predicatezd2ofzd2))))->BgL_idz00);
							BgL_auxz00_3604 =
								((obj_t) BGl_findzd2typezd2zztype_envz00(BgL_arg1648z00_2821));
						}
						return
							((((BgL_funz00_bglt) COBJECT(
										((BgL_funz00_bglt) BgL_valuez00_2687)))->
								BgL_predicatezd2ofzd2) = ((obj_t) BgL_auxz00_3604), BUNSPEC);
					}
				else
					{	/* Ast/venv.scm 161 */
						return BFALSE;
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_envz00(void)
	{
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1931z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1931z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1931z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1931z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1931z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1931z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1931z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1931z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_hrtypez00(156957722L,
				BSTRING_TO_STRING(BGl_string1931z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string1931z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(261574382L,
				BSTRING_TO_STRING(BGl_string1931z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1931z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1931z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1931z00zzast_envz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_inlinez00(20504962L,
				BSTRING_TO_STRING(BGl_string1931z00zzast_envz00));
		}

	}

#ifdef __cplusplus
}
#endif
