/*===========================================================================*/
/*   (BackEnd/cplib.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent BackEnd/cplib.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BACKEND_CPLIB_TYPE_DEFINITIONS
#define BGL_BACKEND_CPLIB_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


#endif													// BGL_BACKEND_CPLIB_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	static obj_t BGl_z62getzd2declaredzd2classesz62zzbackend_cplibz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_cplibz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	static obj_t
		BGl_z62getzd2declaredzd2globalzd2variableszb0zzbackend_cplibz00(obj_t,
		obj_t);
	static obj_t BGl_z62widezd2ze3chunkz53zzbackend_cplibz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2declaredzd2classesz00zzbackend_cplibz00(void);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(BgL_typez00_bglt);
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
	static obj_t BGl_z62qualifiedzd2jclasszd2namez62zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
		(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzbackend_cplibz00(void);
	static obj_t BGl_z62globalzd2arityzb0zzbackend_cplibz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62getzd2itszd2superz62zzbackend_cplibz00(obj_t,
		obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t bigloo_module_mangle(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_cplibz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62qualifiedzd2wclasszd2namez62zzbackend_cplibz00(obj_t,
		obj_t);
	extern obj_t BGl_getzd2objectzd2typez00zztype_cachez00(void);
	static obj_t BGl_objectzd2initzd2zzbackend_cplibz00(void);
	extern obj_t BGl_widezd2chunkzd2classzd2idzd2zzobject_classz00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_findzd2javazd2classz00zzmodule_javaz00(obj_t);
	static obj_t BGl_z62qualifiedzd2tclasszd2namez62zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_bignum_add(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_cplibz00(void);
	BGL_IMPORT obj_t bgl_bignum_sub(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00(obj_t);
	static obj_t
		BGl_z62forzd2eachzd2declaredzd2classeszb0zzbackend_cplibz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_long_to_bignum(long);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	static obj_t
		BGl_z62getzd2globalzd2variableszd2tozd2bezd2initializa7edz17zzbackend_cplibz00
		(obj_t, obj_t);
	static obj_t BGl_z62setzd2variablezd2namez12z70zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
	static obj_t BGl_z62resetzd2globalz12za2zzbackend_cplibz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getzd2itszd2superz00zzbackend_cplibz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_forzd2eachzd2declaredzd2classeszd2zzbackend_cplibz00(obj_t);
	extern obj_t BGl_wclassz00zzobject_classz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_javaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzbackend_cplibz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cplibz00(void);
	extern bool_t
		BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(BgL_globalz00_bglt);
	static obj_t BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt);
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_cplibz00(void);
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31650ze3ze5zzbackend_cplibz00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzbackend_cplibz00(void);
	static obj_t BGl_z62classzd2idzd2ze3typezd2namez53zzbackend_cplibz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62qualifiedzd2typezd2namez62zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bigloo_mangle(obj_t);
	static obj_t BGl_z62getzd2fieldzd2typez62zzbackend_cplibz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_widezd2ze3chunkz31zzbackend_cplibz00(BgL_typez00_bglt);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_resetzd2globalz12zc0zzbackend_cplibz00(BgL_globalz00_bglt);
	extern obj_t BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;
	static obj_t BGl_z62getzd2declaredzd2fieldsz62zzbackend_cplibz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31590ze3ze5zzbackend_cplibz00(obj_t,
		obj_t);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	static BgL_globalz00_bglt BGl_z62globalzd2entryzb0zzbackend_cplibz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2fieldzd2typez00zzbackend_cplibz00(BgL_slotz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_classzd2idzd2ze3typezd2namez31zzbackend_cplibz00(obj_t, obj_t);
	extern obj_t BGl_getzd2classzd2listz00zzobject_classz00(void);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2declaredzd2globalzd2variableszd2envz00zzbackend_cplibz00,
		BgL_bgl_za762getza7d2declare1888z00,
		BGl_z62getzd2declaredzd2globalzd2variableszb0zzbackend_cplibz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2typezd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762qualifiedza7d2t1889z00,
		BGl_z62qualifiedzd2typezd2namez62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2globalz12zd2envz12zzbackend_cplibz00,
		BgL_bgl_za762resetza7d2globa1890z00,
		BGl_z62resetzd2globalz12za2zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2tclasszd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762qualifiedza7d2t1891z00,
		BGl_z62qualifiedzd2tclasszd2namez62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_classzd2idzd2ze3typezd2namezd2envze3zzbackend_cplibz00,
		BgL_bgl_za762classza7d2idza7d21892za7,
		BGl_z62classzd2idzd2ze3typezd2namez53zzbackend_cplibz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_widezd2ze3chunkzd2envze3zzbackend_cplibz00,
		BgL_bgl_za762wideza7d2za7e3chu1893za7,
		BGl_z62widezd2ze3chunkz53zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2entryzd2envz00zzbackend_cplibz00,
		BgL_bgl_za762globalza7d2entr1894z00,
		BGl_z62globalzd2entryzb0zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edzd2envza7zzbackend_cplibz00,
		BgL_bgl_za762getza7d2globalza71895za7,
		BGl_z62getzd2globalzd2variableszd2tozd2bezd2initializa7edz17zzbackend_cplibz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1873z00zzbackend_cplibz00,
		BgL_bgl_string1873za700za7za7b1896za7, "_K", 2);
	      DEFINE_STRING(BGl_string1874z00zzbackend_cplibz00,
		BgL_bgl_string1874za700za7za7b1897za7, "object", 6);
	      DEFINE_STRING(BGl_string1875z00zzbackend_cplibz00,
		BgL_bgl_string1875za700za7za7b1898za7, "", 0);
	      DEFINE_STRING(BGl_string1876z00zzbackend_cplibz00,
		BgL_bgl_string1876za700za7za7b1899za7, "bigloo", 6);
	      DEFINE_STRING(BGl_string1877z00zzbackend_cplibz00,
		BgL_bgl_string1877za700za7za7b1900za7, ".", 1);
	      DEFINE_STRING(BGl_string1878z00zzbackend_cplibz00,
		BgL_bgl_string1878za700za7za7b1901za7, "bigloo.", 7);
	      DEFINE_STRING(BGl_string1879z00zzbackend_cplibz00,
		BgL_bgl_string1879za700za7za7b1902za7, "_", 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2wclasszd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762qualifiedza7d2w1903z00,
		BGl_z62qualifiedzd2wclasszd2namez62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2arityzd2envz00zzbackend_cplibz00,
		BgL_bgl_za762globalza7d2arit1904z00,
		BGl_z62globalzd2arityzb0zzbackend_cplibz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1880z00zzbackend_cplibz00,
		BgL_bgl_string1880za700za7za7b1905za7, "set-variable-name!", 18);
	      DEFINE_STRING(BGl_string1881z00zzbackend_cplibz00,
		BgL_bgl_string1881za700za7za7b1906za7, "Unknown variable king", 21);
	      DEFINE_STRING(BGl_string1882z00zzbackend_cplibz00,
		BgL_bgl_string1882za700za7za7b1907za7, "Illegal type", 12);
	      DEFINE_STRING(BGl_string1883z00zzbackend_cplibz00,
		BgL_bgl_string1883za700za7za7b1908za7, "wide-chunk", 10);
	      DEFINE_STRING(BGl_string1884z00zzbackend_cplibz00,
		BgL_bgl_string1884za700za7za7b1909za7, "internal error", 14);
	      DEFINE_STRING(BGl_string1885z00zzbackend_cplibz00,
		BgL_bgl_string1885za700za7za7b1910za7, "backend_cplib", 13);
	      DEFINE_STRING(BGl_string1886z00zzbackend_cplibz00,
		BgL_bgl_string1886za700za7za7b1911za7,
		"__cnsts_table get-declared-fields import #z1 stvector foreign obj ", 66);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2declaredzd2classeszd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762getza7d2declare1912z00,
		BGl_z62getzd2declaredzd2classesz62zzbackend_cplibz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2variablezd2namez12zd2envzc0zzbackend_cplibz00,
		BgL_bgl_za762setza7d2variabl1913z00,
		BGl_z62setzd2variablezd2namez12z70zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2itszd2superzd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762getza7d2itsza7d2s1914za7,
		BGl_z62getzd2itszd2superz62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_forzd2eachzd2declaredzd2classeszd2envz00zzbackend_cplibz00,
		BgL_bgl_za762forza7d2eachza7d21915za7,
		BGl_z62forzd2eachzd2declaredzd2classeszb0zzbackend_cplibz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2declaredzd2fieldszd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762getza7d2declare1916z00,
		BGl_z62getzd2declaredzd2fieldsz62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_qualifiedzd2jclasszd2namezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762qualifiedza7d2j1917z00,
		BGl_z62qualifiedzd2jclasszd2namez62zzbackend_cplibz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2fieldzd2typezd2envzd2zzbackend_cplibz00,
		BgL_bgl_za762getza7d2fieldza7d1918za7,
		BGl_z62getzd2fieldzd2typez62zzbackend_cplibz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzbackend_cplibz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long
		BgL_checksumz00_2987, char *BgL_fromz00_2988)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_cplibz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_cplibz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_cplibz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_cplibz00();
					BGl_cnstzd2initzd2zzbackend_cplibz00();
					BGl_importedzd2moduleszd2initz00zzbackend_cplibz00();
					return BGl_toplevelzd2initzd2zzbackend_cplibz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cplibz00(void)
	{
		{	/* BackEnd/cplib.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "backend_cplib");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__osz00(0L, "backend_cplib");
			BGl_modulezd2initializa7ationz75zz__bignumz00(0L, "backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"backend_cplib");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "backend_cplib");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_cplibz00(void)
	{
		{	/* BackEnd/cplib.scm 15 */
			{	/* BackEnd/cplib.scm 15 */
				obj_t BgL_cportz00_2926;

				{	/* BackEnd/cplib.scm 15 */
					obj_t BgL_stringz00_2933;

					BgL_stringz00_2933 = BGl_string1886z00zzbackend_cplibz00;
					{	/* BackEnd/cplib.scm 15 */
						obj_t BgL_startz00_2934;

						BgL_startz00_2934 = BINT(0L);
						{	/* BackEnd/cplib.scm 15 */
							obj_t BgL_endz00_2935;

							BgL_endz00_2935 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2933)));
							{	/* BackEnd/cplib.scm 15 */

								BgL_cportz00_2926 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2933, BgL_startz00_2934, BgL_endz00_2935);
				}}}}
				{
					long BgL_iz00_2927;

					BgL_iz00_2927 = 6L;
				BgL_loopz00_2928:
					if ((BgL_iz00_2927 == (-1L)))
						{	/* BackEnd/cplib.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/cplib.scm 15 */
							{	/* BackEnd/cplib.scm 15 */
								obj_t BgL_arg1887z00_2929;

								{	/* BackEnd/cplib.scm 15 */

									{	/* BackEnd/cplib.scm 15 */
										obj_t BgL_locationz00_2931;

										BgL_locationz00_2931 = BBOOL(((bool_t) 0));
										{	/* BackEnd/cplib.scm 15 */

											BgL_arg1887z00_2929 =
												BGl_readz00zz__readerz00(BgL_cportz00_2926,
												BgL_locationz00_2931);
										}
									}
								}
								{	/* BackEnd/cplib.scm 15 */
									int BgL_tmpz00_3020;

									BgL_tmpz00_3020 = (int) (BgL_iz00_2927);
									CNST_TABLE_SET(BgL_tmpz00_3020, BgL_arg1887z00_2929);
							}}
							{	/* BackEnd/cplib.scm 15 */
								int BgL_auxz00_2932;

								BgL_auxz00_2932 = (int) ((BgL_iz00_2927 - 1L));
								{
									long BgL_iz00_3025;

									BgL_iz00_3025 = (long) (BgL_auxz00_2932);
									BgL_iz00_2927 = BgL_iz00_3025;
									goto BgL_loopz00_2928;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_cplibz00(void)
	{
		{	/* BackEnd/cplib.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_cplibz00(void)
	{
		{	/* BackEnd/cplib.scm 15 */
			return BUNSPEC;
		}

	}



/* class-id->type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_classzd2idzd2ze3typezd2namez31zzbackend_cplibz00(obj_t BgL_cidz00_13,
		obj_t BgL_midz00_14)
	{
		{	/* BackEnd/cplib.scm 56 */
			{	/* BackEnd/cplib.scm 57 */
				obj_t BgL_idz00_2064;

				{	/* BackEnd/cplib.scm 57 */
					obj_t BgL_arg1274z00_2065;
					obj_t BgL_arg1275z00_2066;

					{	/* BackEnd/cplib.scm 57 */
						obj_t BgL_arg1486z00_2068;

						BgL_arg1486z00_2068 = SYMBOL_TO_STRING(BgL_cidz00_13);
						BgL_arg1274z00_2065 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1486z00_2068);
					}
					{	/* BackEnd/cplib.scm 57 */
						obj_t BgL_arg1486z00_2070;

						BgL_arg1486z00_2070 = SYMBOL_TO_STRING(BgL_midz00_14);
						BgL_arg1275z00_2066 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1486z00_2070);
					}
					BgL_idz00_2064 =
						bigloo_module_mangle(BgL_arg1274z00_2065, BgL_arg1275z00_2066);
				}
				return
					string_append(BGl_string1873z00zzbackend_cplibz00, BgL_idz00_2064);
			}
		}

	}



/* &class-id->type-name */
	obj_t BGl_z62classzd2idzd2ze3typezd2namez53zzbackend_cplibz00(obj_t
		BgL_envz00_2875, obj_t BgL_cidz00_2876, obj_t BgL_midz00_2877)
	{
		{	/* BackEnd/cplib.scm 56 */
			return
				BGl_classzd2idzd2ze3typezd2namez31zzbackend_cplibz00(BgL_cidz00_2876,
				BgL_midz00_2877);
		}

	}



/* qualified-real-tclass-name */
	obj_t
		BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00(BgL_typez00_bglt
		BgL_classz00_15)
	{
		{	/* BackEnd/cplib.scm 63 */
			{
				obj_t BgL_superz00_1682;
				obj_t BgL_namez00_1677;
				BgL_typez00_bglt BgL_classz00_1668;

				{	/* BackEnd/cplib.scm 97 */
					obj_t BgL_arg1276z00_1662;
					obj_t BgL_arg1277z00_1663;

					BgL_superz00_1682 = ((obj_t) BgL_classz00_15);
					{	/* BackEnd/cplib.scm 87 */
						bool_t BgL_test1921z00_3035;

						{	/* BackEnd/cplib.scm 87 */
							bool_t BgL_test1922z00_3036;

							{	/* BackEnd/cplib.scm 87 */
								obj_t BgL_arg1313z00_1708;

								{
									BgL_tclassz00_bglt BgL_auxz00_3037;

									{
										obj_t BgL_auxz00_3038;

										{	/* BackEnd/cplib.scm 87 */
											BgL_objectz00_bglt BgL_tmpz00_3039;

											BgL_tmpz00_3039 =
												((BgL_objectz00_bglt)
												((BgL_typez00_bglt) BgL_superz00_1682));
											BgL_auxz00_3038 = BGL_OBJECT_WIDENING(BgL_tmpz00_3039);
										}
										BgL_auxz00_3037 = ((BgL_tclassz00_bglt) BgL_auxz00_3038);
									}
									BgL_arg1313z00_1708 =
										(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3037))->
										BgL_itszd2superzd2);
								}
								{	/* BackEnd/cplib.scm 87 */
									obj_t BgL_classz00_2106;

									BgL_classz00_2106 = BGl_tclassz00zzobject_classz00;
									if (BGL_OBJECTP(BgL_arg1313z00_1708))
										{	/* BackEnd/cplib.scm 87 */
											BgL_objectz00_bglt BgL_arg1858z00_2108;

											BgL_arg1858z00_2108 =
												(BgL_objectz00_bglt) (BgL_arg1313z00_1708);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* BackEnd/cplib.scm 87 */
													long BgL_idxz00_2114;

													BgL_idxz00_2114 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2108);
													BgL_test1922z00_3036 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2114 + 2L)) == BgL_classz00_2106);
												}
											else
												{	/* BackEnd/cplib.scm 87 */
													bool_t BgL_res1854z00_2139;

													{	/* BackEnd/cplib.scm 87 */
														obj_t BgL_oclassz00_2122;

														{	/* BackEnd/cplib.scm 87 */
															obj_t BgL_arg1866z00_2130;
															long BgL_arg1867z00_2131;

															BgL_arg1866z00_2130 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* BackEnd/cplib.scm 87 */
																long BgL_arg1869z00_2132;

																BgL_arg1869z00_2132 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2108);
																BgL_arg1867z00_2131 =
																	(BgL_arg1869z00_2132 - OBJECT_TYPE);
															}
															BgL_oclassz00_2122 =
																VECTOR_REF(BgL_arg1866z00_2130,
																BgL_arg1867z00_2131);
														}
														{	/* BackEnd/cplib.scm 87 */
															bool_t BgL__ortest_1115z00_2123;

															BgL__ortest_1115z00_2123 =
																(BgL_classz00_2106 == BgL_oclassz00_2122);
															if (BgL__ortest_1115z00_2123)
																{	/* BackEnd/cplib.scm 87 */
																	BgL_res1854z00_2139 =
																		BgL__ortest_1115z00_2123;
																}
															else
																{	/* BackEnd/cplib.scm 87 */
																	long BgL_odepthz00_2124;

																	{	/* BackEnd/cplib.scm 87 */
																		obj_t BgL_arg1855z00_2125;

																		BgL_arg1855z00_2125 = (BgL_oclassz00_2122);
																		BgL_odepthz00_2124 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_2125);
																	}
																	if ((2L < BgL_odepthz00_2124))
																		{	/* BackEnd/cplib.scm 87 */
																			obj_t BgL_arg1853z00_2127;

																			{	/* BackEnd/cplib.scm 87 */
																				obj_t BgL_arg1854z00_2128;

																				BgL_arg1854z00_2128 =
																					(BgL_oclassz00_2122);
																				BgL_arg1853z00_2127 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_2128, 2L);
																			}
																			BgL_res1854z00_2139 =
																				(BgL_arg1853z00_2127 ==
																				BgL_classz00_2106);
																		}
																	else
																		{	/* BackEnd/cplib.scm 87 */
																			BgL_res1854z00_2139 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test1922z00_3036 = BgL_res1854z00_2139;
												}
										}
									else
										{	/* BackEnd/cplib.scm 87 */
											BgL_test1922z00_3036 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test1922z00_3036)
								{	/* BackEnd/cplib.scm 88 */
									bool_t BgL_test1927z00_3067;

									{	/* BackEnd/cplib.scm 88 */
										obj_t BgL_arg1311z00_1707;

										{
											BgL_tclassz00_bglt BgL_auxz00_3068;

											{
												obj_t BgL_auxz00_3069;

												{	/* BackEnd/cplib.scm 88 */
													BgL_objectz00_bglt BgL_tmpz00_3070;

													BgL_tmpz00_3070 =
														((BgL_objectz00_bglt)
														((BgL_typez00_bglt) BgL_superz00_1682));
													BgL_auxz00_3069 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3070);
												}
												BgL_auxz00_3068 =
													((BgL_tclassz00_bglt) BgL_auxz00_3069);
											}
											BgL_arg1311z00_1707 =
												(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3068))->
												BgL_itszd2superzd2);
										}
										BgL_test1927z00_3067 =
											(BgL_superz00_1682 == BgL_arg1311z00_1707);
									}
									if (BgL_test1927z00_3067)
										{	/* BackEnd/cplib.scm 89 */
											bool_t BgL_test1928z00_3077;

											{	/* BackEnd/cplib.scm 89 */
												obj_t BgL_arg1309z00_1705;

												{	/* BackEnd/cplib.scm 89 */
													obj_t BgL_arg1310z00_1706;

													{
														BgL_tclassz00_bglt BgL_auxz00_3078;

														{
															obj_t BgL_auxz00_3079;

															{	/* BackEnd/cplib.scm 89 */
																BgL_objectz00_bglt BgL_tmpz00_3080;

																BgL_tmpz00_3080 =
																	((BgL_objectz00_bglt)
																	((BgL_typez00_bglt) BgL_superz00_1682));
																BgL_auxz00_3079 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3080);
															}
															BgL_auxz00_3078 =
																((BgL_tclassz00_bglt) BgL_auxz00_3079);
														}
														BgL_arg1310z00_1706 =
															(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3078))->
															BgL_itszd2superzd2);
													}
													BgL_arg1309z00_1705 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_arg1310z00_1706)))->
														BgL_idz00);
												}
												BgL_test1928z00_3077 =
													(BgL_arg1309z00_1705 == ((obj_t) CNST_TABLE_REF(0)));
											}
											if (BgL_test1928z00_3077)
												{	/* BackEnd/cplib.scm 89 */
													BgL_test1921z00_3035 = ((bool_t) 0);
												}
											else
												{	/* BackEnd/cplib.scm 89 */
													BgL_test1921z00_3035 = ((bool_t) 1);
												}
										}
									else
										{	/* BackEnd/cplib.scm 88 */
											BgL_test1921z00_3035 = ((bool_t) 0);
										}
								}
							else
								{	/* BackEnd/cplib.scm 87 */
									BgL_test1921z00_3035 = ((bool_t) 1);
								}
						}
						if (BgL_test1921z00_3035)
							{	/* BackEnd/cplib.scm 87 */
								BgL_arg1276z00_1662 = BGl_string1876z00zzbackend_cplibz00;
							}
						else
							{	/* BackEnd/cplib.scm 91 */
								BgL_globalz00_bglt BgL_holderz00_1696;

								{
									BgL_tclassz00_bglt BgL_auxz00_3091;

									{
										obj_t BgL_auxz00_3092;

										{	/* BackEnd/cplib.scm 91 */
											BgL_objectz00_bglt BgL_tmpz00_3093;

											BgL_tmpz00_3093 =
												((BgL_objectz00_bglt)
												((BgL_typez00_bglt) BgL_superz00_1682));
											BgL_auxz00_3092 = BGL_OBJECT_WIDENING(BgL_tmpz00_3093);
										}
										BgL_auxz00_3091 = ((BgL_tclassz00_bglt) BgL_auxz00_3092);
									}
									BgL_holderz00_1696 =
										(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3091))->
										BgL_holderz00);
								}
								{	/* BackEnd/cplib.scm 92 */
									obj_t BgL_arg1301z00_1697;
									obj_t BgL_arg1302z00_1698;
									obj_t BgL_arg1303z00_1699;

									BgL_arg1301z00_1697 =
										(((BgL_globalz00_bglt) COBJECT(BgL_holderz00_1696))->
										BgL_modulez00);
									BgL_arg1302z00_1698 =
										(((BgL_globalz00_bglt) COBJECT(BgL_holderz00_1696))->
										BgL_qualifiedzd2typezd2namez00);
									BgL_arg1303z00_1699 =
										(((BgL_typez00_bglt)
											COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BgL_superz00_1682))))->BgL_idz00);
									{	/* BackEnd/cplib.scm 92 */
										obj_t BgL_list1304z00_1700;

										BgL_list1304z00_1700 =
											MAKE_YOUNG_PAIR(BgL_arg1303z00_1699, BNIL);
										BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
											(BgL_arg1301z00_1697, BgL_arg1302z00_1698,
											BgL_list1304z00_1700);
									}
								}
								BgL_namez00_1677 =
									(((BgL_globalz00_bglt) COBJECT(BgL_holderz00_1696))->
									BgL_modulez00);
								{	/* BackEnd/cplib.scm 79 */
									obj_t BgL_sz00_1679;

									BgL_sz00_1679 =
										BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
										(BgL_namez00_1677);
									{	/* BackEnd/cplib.scm 79 */
										obj_t BgL_prefz00_1680;

										BgL_prefz00_1680 = BGl_prefixz00zz__osz00(BgL_sz00_1679);
										{	/* BackEnd/cplib.scm 80 */

											{	/* BackEnd/cplib.scm 81 */
												bool_t BgL_test1929z00_3108;

												{	/* BackEnd/cplib.scm 81 */
													long BgL_l1z00_2096;

													BgL_l1z00_2096 = STRING_LENGTH(BgL_prefz00_1680);
													if ((BgL_l1z00_2096 == STRING_LENGTH(BgL_sz00_1679)))
														{	/* BackEnd/cplib.scm 81 */
															int BgL_arg1343z00_2099;

															{	/* BackEnd/cplib.scm 81 */
																char *BgL_auxz00_3115;
																char *BgL_tmpz00_3113;

																BgL_auxz00_3115 =
																	BSTRING_TO_STRING(BgL_sz00_1679);
																BgL_tmpz00_3113 =
																	BSTRING_TO_STRING(BgL_prefz00_1680);
																BgL_arg1343z00_2099 =
																	memcmp(BgL_tmpz00_3113, BgL_auxz00_3115,
																	BgL_l1z00_2096);
															}
															BgL_test1929z00_3108 =
																((long) (BgL_arg1343z00_2099) == 0L);
														}
													else
														{	/* BackEnd/cplib.scm 81 */
															BgL_test1929z00_3108 = ((bool_t) 0);
														}
												}
												if (BgL_test1929z00_3108)
													{	/* BackEnd/cplib.scm 81 */
														BgL_arg1276z00_1662 =
															BGl_string1875z00zzbackend_cplibz00;
													}
												else
													{	/* BackEnd/cplib.scm 81 */
														BgL_arg1276z00_1662 = BgL_prefz00_1680;
													}
											}
										}
									}
								}
							}
					}
					BgL_classz00_1668 = BgL_classz00_15;
					{	/* BackEnd/cplib.scm 72 */
						bool_t BgL_test1931z00_3122;

						{	/* BackEnd/cplib.scm 72 */
							obj_t BgL_arg1287z00_1676;

							BgL_arg1287z00_1676 = BGl_getzd2objectzd2typez00zztype_cachez00();
							BgL_test1931z00_3122 =
								(((obj_t) BgL_classz00_1668) == BgL_arg1287z00_1676);
						}
						if (BgL_test1931z00_3122)
							{	/* BackEnd/cplib.scm 72 */
								BgL_arg1277z00_1663 = BGl_string1874z00zzbackend_cplibz00;
							}
						else
							{	/* BackEnd/cplib.scm 75 */
								obj_t BgL_modz00_1673;

								{	/* BackEnd/cplib.scm 75 */
									BgL_globalz00_bglt BgL_arg1285z00_1675;

									{
										BgL_tclassz00_bglt BgL_auxz00_3126;

										{
											obj_t BgL_auxz00_3127;

											{	/* BackEnd/cplib.scm 75 */
												BgL_objectz00_bglt BgL_tmpz00_3128;

												BgL_tmpz00_3128 =
													((BgL_objectz00_bglt) BgL_classz00_1668);
												BgL_auxz00_3127 = BGL_OBJECT_WIDENING(BgL_tmpz00_3128);
											}
											BgL_auxz00_3126 = ((BgL_tclassz00_bglt) BgL_auxz00_3127);
										}
										BgL_arg1285z00_1675 =
											(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3126))->
											BgL_holderz00);
									}
									BgL_modz00_1673 =
										(((BgL_globalz00_bglt) COBJECT(BgL_arg1285z00_1675))->
										BgL_modulez00);
								}
								{	/* BackEnd/cplib.scm 76 */
									obj_t BgL_arg1284z00_1674;

									BgL_arg1284z00_1674 =
										(((BgL_typez00_bglt) COBJECT(
												((BgL_typez00_bglt) BgL_classz00_1668)))->BgL_idz00);
									{	/* BackEnd/cplib.scm 57 */
										obj_t BgL_idz00_2087;

										{	/* BackEnd/cplib.scm 57 */
											obj_t BgL_arg1274z00_2088;
											obj_t BgL_arg1275z00_2089;

											{	/* BackEnd/cplib.scm 57 */
												obj_t BgL_arg1486z00_2091;

												BgL_arg1486z00_2091 =
													SYMBOL_TO_STRING(BgL_arg1284z00_1674);
												BgL_arg1274z00_2088 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1486z00_2091);
											}
											{	/* BackEnd/cplib.scm 57 */
												obj_t BgL_arg1486z00_2093;

												BgL_arg1486z00_2093 = SYMBOL_TO_STRING(BgL_modz00_1673);
												BgL_arg1275z00_2089 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1486z00_2093);
											}
											BgL_idz00_2087 =
												bigloo_module_mangle(BgL_arg1274z00_2088,
												BgL_arg1275z00_2089);
										}
										BgL_arg1277z00_1663 =
											string_append(BGl_string1873z00zzbackend_cplibz00,
											BgL_idz00_2087);
									}
								}
							}
					}
					{	/* BackEnd/cplib.scm 67 */
						bool_t BgL_test1932z00_3142;

						{	/* BackEnd/cplib.scm 67 */
							long BgL_l1z00_2151;

							BgL_l1z00_2151 = STRING_LENGTH(BgL_arg1276z00_1662);
							if ((BgL_l1z00_2151 == 0L))
								{	/* BackEnd/cplib.scm 67 */
									int BgL_arg1343z00_2154;

									{	/* BackEnd/cplib.scm 67 */
										char *BgL_auxz00_3148;
										char *BgL_tmpz00_3146;

										BgL_auxz00_3148 =
											BSTRING_TO_STRING(BGl_string1875z00zzbackend_cplibz00);
										BgL_tmpz00_3146 = BSTRING_TO_STRING(BgL_arg1276z00_1662);
										BgL_arg1343z00_2154 =
											memcmp(BgL_tmpz00_3146, BgL_auxz00_3148, BgL_l1z00_2151);
									}
									BgL_test1932z00_3142 = ((long) (BgL_arg1343z00_2154) == 0L);
								}
							else
								{	/* BackEnd/cplib.scm 67 */
									BgL_test1932z00_3142 = ((bool_t) 0);
								}
						}
						if (BgL_test1932z00_3142)
							{	/* BackEnd/cplib.scm 67 */
								return BgL_arg1277z00_1663;
							}
						else
							{	/* BackEnd/cplib.scm 67 */
								return
									string_append_3(BgL_arg1276z00_1662,
									BGl_string1877z00zzbackend_cplibz00, BgL_arg1277z00_1663);
							}
					}
				}
			}
		}

	}



/* qualified-tclass-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_classz00_16)
	{
		{	/* BackEnd/cplib.scm 102 */
			{	/* BackEnd/cplib.scm 103 */
				obj_t BgL_cz00_1713;

				if (BGl_widezd2classzf3z21zzobject_classz00(((obj_t) BgL_classz00_16)))
					{
						BgL_tclassz00_bglt BgL_auxz00_3157;

						{
							obj_t BgL_auxz00_3158;

							{	/* BackEnd/cplib.scm 103 */
								BgL_objectz00_bglt BgL_tmpz00_3159;

								BgL_tmpz00_3159 = ((BgL_objectz00_bglt) BgL_classz00_16);
								BgL_auxz00_3158 = BGL_OBJECT_WIDENING(BgL_tmpz00_3159);
							}
							BgL_auxz00_3157 = ((BgL_tclassz00_bglt) BgL_auxz00_3158);
						}
						BgL_cz00_1713 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3157))->
							BgL_itszd2superzd2);
					}
				else
					{	/* BackEnd/cplib.scm 103 */
						BgL_cz00_1713 = ((obj_t) BgL_classz00_16);
					}
				BGL_TAIL return
					BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00(
					((BgL_typez00_bglt) BgL_cz00_1713));
			}
		}

	}



/* &qualified-tclass-name */
	obj_t BGl_z62qualifiedzd2tclasszd2namez62zzbackend_cplibz00(obj_t
		BgL_envz00_2878, obj_t BgL_classz00_2879)
	{
		{	/* BackEnd/cplib.scm 102 */
			return
				BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_classz00_2879));
		}

	}



/* qualified-wclass-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_classz00_17)
	{
		{	/* BackEnd/cplib.scm 109 */
			{	/* BackEnd/cplib.scm 110 */
				obj_t BgL_arg1315z00_2162;

				{
					BgL_wclassz00_bglt BgL_auxz00_3169;

					{
						obj_t BgL_auxz00_3170;

						{	/* BackEnd/cplib.scm 110 */
							BgL_objectz00_bglt BgL_tmpz00_3171;

							BgL_tmpz00_3171 = ((BgL_objectz00_bglt) BgL_classz00_17);
							BgL_auxz00_3170 = BGL_OBJECT_WIDENING(BgL_tmpz00_3171);
						}
						BgL_auxz00_3169 = ((BgL_wclassz00_bglt) BgL_auxz00_3170);
					}
					BgL_arg1315z00_2162 =
						(((BgL_wclassz00_bglt) COBJECT(BgL_auxz00_3169))->
						BgL_itszd2classzd2);
				}
				return
					BGl_qualifiedzd2realzd2tclasszd2namezd2zzbackend_cplibz00(
					((BgL_typez00_bglt) BgL_arg1315z00_2162));
			}
		}

	}



/* &qualified-wclass-name */
	obj_t BGl_z62qualifiedzd2wclasszd2namez62zzbackend_cplibz00(obj_t
		BgL_envz00_2880, obj_t BgL_classz00_2881)
	{
		{	/* BackEnd/cplib.scm 109 */
			return
				BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_classz00_2881));
		}

	}



/* qualified-jclass-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_classz00_18)
	{
		{	/* BackEnd/cplib.scm 115 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_classz00_18)))->BgL_namez00);
		}

	}



/* &qualified-jclass-name */
	obj_t BGl_z62qualifiedzd2jclasszd2namez62zzbackend_cplibz00(obj_t
		BgL_envz00_2882, obj_t BgL_classz00_2883)
	{
		{	/* BackEnd/cplib.scm 115 */
			return
				BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_classz00_2883));
		}

	}



/* qualified-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_typez00_19)
	{
		{	/* BackEnd/cplib.scm 121 */
			{	/* BackEnd/cplib.scm 122 */
				obj_t BgL_idz00_1716;

				BgL_idz00_1716 =
					(((BgL_typez00_bglt) COBJECT(BgL_typez00_19))->BgL_idz00);
				if ((BgL_idz00_1716 == ((obj_t) CNST_TABLE_REF(1))))
					{	/* BackEnd/cplib.scm 123 */
						return BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;
					}
				else
					{	/* BackEnd/cplib.scm 125 */
						obj_t BgL_javazd2classzd2_1717;

						BgL_javazd2classzd2_1717 =
							BGl_findzd2javazd2classz00zzmodule_javaz00(BgL_idz00_1716);
						if (STRINGP(BgL_javazd2classzd2_1717))
							{	/* BackEnd/cplib.scm 126 */
								return BgL_javazd2classzd2_1717;
							}
						else
							{	/* BackEnd/cplib.scm 128 */
								obj_t BgL_arg1317z00_1719;

								{	/* BackEnd/cplib.scm 128 */
									obj_t BgL_arg1486z00_2168;

									BgL_arg1486z00_2168 =
										SYMBOL_TO_STRING(((obj_t) BgL_idz00_1716));
									BgL_arg1317z00_1719 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1486z00_2168);
								}
								return
									string_append(BGl_string1878z00zzbackend_cplibz00,
									BgL_arg1317z00_1719);
							}
					}
			}
		}

	}



/* &qualified-type-name */
	obj_t BGl_z62qualifiedzd2typezd2namez62zzbackend_cplibz00(obj_t
		BgL_envz00_2884, obj_t BgL_typez00_2885)
	{
		{	/* BackEnd/cplib.scm 121 */
			return
				BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_typez00_2885));
		}

	}



/* reset-global! */
	BGL_EXPORTED_DEF obj_t
		BGl_resetzd2globalz12zc0zzbackend_cplibz00(BgL_globalz00_bglt BgL_varz00_20)
	{
		{	/* BackEnd/cplib.scm 134 */
			{	/* BackEnd/cplib.scm 136 */
				obj_t BgL_namez00_1720;

				BgL_namez00_1720 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_namez00);
				if (STRINGP(BgL_namez00_1720))
					{	/* BackEnd/cplib.scm 137 */
						BgL_namez00_1720;
					}
				else
					{	/* BackEnd/cplib.scm 139 */
						obj_t BgL_namez00_1722;

						{	/* BackEnd/cplib.scm 139 */
							obj_t BgL_arg1321z00_1725;

							{	/* BackEnd/cplib.scm 139 */
								obj_t BgL__ortest_1109z00_1726;

								BgL__ortest_1109z00_1726 =
									(((BgL_globalz00_bglt) COBJECT(BgL_varz00_20))->BgL_aliasz00);
								if (CBOOL(BgL__ortest_1109z00_1726))
									{	/* BackEnd/cplib.scm 139 */
										BgL_arg1321z00_1725 = BgL__ortest_1109z00_1726;
									}
								else
									{	/* BackEnd/cplib.scm 139 */
										BgL_arg1321z00_1725 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_idz00);
									}
							}
							{	/* BackEnd/cplib.scm 139 */
								obj_t BgL_arg1486z00_2173;

								BgL_arg1486z00_2173 =
									SYMBOL_TO_STRING(((obj_t) BgL_arg1321z00_1725));
								BgL_namez00_1722 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1486z00_2173);
							}
						}
						{	/* BackEnd/cplib.scm 141 */
							obj_t BgL_arg1319z00_1723;

							if (BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00
								(BgL_namez00_1722))
								{	/* BackEnd/cplib.scm 141 */
									BgL_arg1319z00_1723 = bigloo_mangle(BgL_namez00_1722);
								}
							else
								{	/* BackEnd/cplib.scm 141 */
									BgL_arg1319z00_1723 = BgL_namez00_1722;
								}
							((((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_namez00) =
								((obj_t) BgL_arg1319z00_1723), BUNSPEC);
						}
					}
			}
			{	/* BackEnd/cplib.scm 145 */
				BgL_valuez00_bglt BgL_valuez00_1727;

				BgL_valuez00_1727 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_valuez00);
				{	/* BackEnd/cplib.scm 146 */
					bool_t BgL_test1940z00_3217;

					{	/* BackEnd/cplib.scm 146 */
						bool_t BgL_test1941z00_3218;

						{	/* BackEnd/cplib.scm 146 */
							obj_t BgL_classz00_2176;

							BgL_classz00_2176 = BGl_scnstz00zzast_varz00;
							{	/* BackEnd/cplib.scm 146 */
								BgL_objectz00_bglt BgL_arg1858z00_2178;

								{	/* BackEnd/cplib.scm 146 */
									obj_t BgL_tmpz00_3219;

									BgL_tmpz00_3219 =
										((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_1727));
									BgL_arg1858z00_2178 = (BgL_objectz00_bglt) (BgL_tmpz00_3219);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* BackEnd/cplib.scm 146 */
										long BgL_idxz00_2184;

										BgL_idxz00_2184 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2178);
										BgL_test1941z00_3218 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2184 + 2L)) == BgL_classz00_2176);
									}
								else
									{	/* BackEnd/cplib.scm 146 */
										bool_t BgL_res1855z00_2209;

										{	/* BackEnd/cplib.scm 146 */
											obj_t BgL_oclassz00_2192;

											{	/* BackEnd/cplib.scm 146 */
												obj_t BgL_arg1866z00_2200;
												long BgL_arg1867z00_2201;

												BgL_arg1866z00_2200 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* BackEnd/cplib.scm 146 */
													long BgL_arg1869z00_2202;

													BgL_arg1869z00_2202 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2178);
													BgL_arg1867z00_2201 =
														(BgL_arg1869z00_2202 - OBJECT_TYPE);
												}
												BgL_oclassz00_2192 =
													VECTOR_REF(BgL_arg1866z00_2200, BgL_arg1867z00_2201);
											}
											{	/* BackEnd/cplib.scm 146 */
												bool_t BgL__ortest_1115z00_2193;

												BgL__ortest_1115z00_2193 =
													(BgL_classz00_2176 == BgL_oclassz00_2192);
												if (BgL__ortest_1115z00_2193)
													{	/* BackEnd/cplib.scm 146 */
														BgL_res1855z00_2209 = BgL__ortest_1115z00_2193;
													}
												else
													{	/* BackEnd/cplib.scm 146 */
														long BgL_odepthz00_2194;

														{	/* BackEnd/cplib.scm 146 */
															obj_t BgL_arg1855z00_2195;

															BgL_arg1855z00_2195 = (BgL_oclassz00_2192);
															BgL_odepthz00_2194 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2195);
														}
														if ((2L < BgL_odepthz00_2194))
															{	/* BackEnd/cplib.scm 146 */
																obj_t BgL_arg1853z00_2197;

																{	/* BackEnd/cplib.scm 146 */
																	obj_t BgL_arg1854z00_2198;

																	BgL_arg1854z00_2198 = (BgL_oclassz00_2192);
																	BgL_arg1853z00_2197 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2198,
																		2L);
																}
																BgL_res1855z00_2209 =
																	(BgL_arg1853z00_2197 == BgL_classz00_2176);
															}
														else
															{	/* BackEnd/cplib.scm 146 */
																BgL_res1855z00_2209 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1941z00_3218 = BgL_res1855z00_2209;
									}
							}
						}
						if (BgL_test1941z00_3218)
							{	/* BackEnd/cplib.scm 146 */
								BgL_test1940z00_3217 =
									(
									(((BgL_scnstz00_bglt) COBJECT(
												((BgL_scnstz00_bglt) BgL_valuez00_1727)))->
										BgL_classz00) == ((obj_t) CNST_TABLE_REF(2)));
							}
						else
							{	/* BackEnd/cplib.scm 146 */
								BgL_test1940z00_3217 = ((bool_t) 0);
							}
					}
					if (BgL_test1940z00_3217)
						{	/* BackEnd/cplib.scm 147 */
							obj_t BgL_arg1331z00_1731;

							{	/* BackEnd/cplib.scm 147 */
								obj_t BgL_sz00_2212;

								BgL_sz00_2212 =
									(((BgL_scnstz00_bglt) COBJECT(
											((BgL_scnstz00_bglt) BgL_valuez00_1727)))->BgL_nodez00);
								BgL_arg1331z00_1731 = STRUCT_REF(BgL_sz00_2212, (int) (0L));
							}
							return
								((((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_20)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_arg1331z00_1731)),
								BUNSPEC);
						}
					else
						{	/* BackEnd/cplib.scm 146 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &reset-global! */
	obj_t BGl_z62resetzd2globalz12za2zzbackend_cplibz00(obj_t BgL_envz00_2886,
		obj_t BgL_varz00_2887)
	{
		{	/* BackEnd/cplib.scm 134 */
			return
				BGl_resetzd2globalz12zc0zzbackend_cplibz00(
				((BgL_globalz00_bglt) BgL_varz00_2887));
		}

	}



/* set-variable-name! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt
		BgL_variablez00_21)
	{
		{	/* BackEnd/cplib.scm 152 */
			{	/* BackEnd/cplib.scm 154 */
				bool_t BgL_test1945z00_3256;

				{	/* BackEnd/cplib.scm 154 */
					obj_t BgL_tmpz00_3257;

					BgL_tmpz00_3257 =
						(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_21))->BgL_namez00);
					BgL_test1945z00_3256 = STRINGP(BgL_tmpz00_3257);
				}
				if (BgL_test1945z00_3256)
					{	/* BackEnd/cplib.scm 154 */
						return
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_21))->
							BgL_namez00);
					}
				else
					{	/* BackEnd/cplib.scm 156 */
						obj_t BgL_nz00_1738;

						{	/* BackEnd/cplib.scm 157 */
							bool_t BgL_test1946z00_3261;

							{	/* BackEnd/cplib.scm 157 */
								obj_t BgL_classz00_2215;

								BgL_classz00_2215 = BGl_globalz00zzast_varz00;
								{	/* BackEnd/cplib.scm 157 */
									BgL_objectz00_bglt BgL_arg1858z00_2217;

									{	/* BackEnd/cplib.scm 157 */
										obj_t BgL_tmpz00_3262;

										BgL_tmpz00_3262 = ((obj_t) BgL_variablez00_21);
										BgL_arg1858z00_2217 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3262);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* BackEnd/cplib.scm 157 */
											long BgL_idxz00_2223;

											BgL_idxz00_2223 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2217);
											BgL_test1946z00_3261 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2223 + 2L)) == BgL_classz00_2215);
										}
									else
										{	/* BackEnd/cplib.scm 157 */
											bool_t BgL_res1856z00_2248;

											{	/* BackEnd/cplib.scm 157 */
												obj_t BgL_oclassz00_2231;

												{	/* BackEnd/cplib.scm 157 */
													obj_t BgL_arg1866z00_2239;
													long BgL_arg1867z00_2240;

													BgL_arg1866z00_2239 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* BackEnd/cplib.scm 157 */
														long BgL_arg1869z00_2241;

														BgL_arg1869z00_2241 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2217);
														BgL_arg1867z00_2240 =
															(BgL_arg1869z00_2241 - OBJECT_TYPE);
													}
													BgL_oclassz00_2231 =
														VECTOR_REF(BgL_arg1866z00_2239,
														BgL_arg1867z00_2240);
												}
												{	/* BackEnd/cplib.scm 157 */
													bool_t BgL__ortest_1115z00_2232;

													BgL__ortest_1115z00_2232 =
														(BgL_classz00_2215 == BgL_oclassz00_2231);
													if (BgL__ortest_1115z00_2232)
														{	/* BackEnd/cplib.scm 157 */
															BgL_res1856z00_2248 = BgL__ortest_1115z00_2232;
														}
													else
														{	/* BackEnd/cplib.scm 157 */
															long BgL_odepthz00_2233;

															{	/* BackEnd/cplib.scm 157 */
																obj_t BgL_arg1855z00_2234;

																BgL_arg1855z00_2234 = (BgL_oclassz00_2231);
																BgL_odepthz00_2233 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2234);
															}
															if ((2L < BgL_odepthz00_2233))
																{	/* BackEnd/cplib.scm 157 */
																	obj_t BgL_arg1853z00_2236;

																	{	/* BackEnd/cplib.scm 157 */
																		obj_t BgL_arg1854z00_2237;

																		BgL_arg1854z00_2237 = (BgL_oclassz00_2231);
																		BgL_arg1853z00_2236 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2237, 2L);
																	}
																	BgL_res1856z00_2248 =
																		(BgL_arg1853z00_2236 == BgL_classz00_2215);
																}
															else
																{	/* BackEnd/cplib.scm 157 */
																	BgL_res1856z00_2248 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1946z00_3261 = BgL_res1856z00_2248;
										}
								}
							}
							if (BgL_test1946z00_3261)
								{	/* BackEnd/cplib.scm 159 */
									obj_t BgL_arg1341z00_1741;
									obj_t BgL_arg1342z00_1742;

									{	/* BackEnd/cplib.scm 159 */
										obj_t BgL_arg1355z00_1743;

										{	/* BackEnd/cplib.scm 159 */
											obj_t BgL__ortest_1112z00_1744;

											BgL__ortest_1112z00_1744 =
												(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt) BgL_variablez00_21)))->
												BgL_aliasz00);
											if (CBOOL(BgL__ortest_1112z00_1744))
												{	/* BackEnd/cplib.scm 159 */
													BgL_arg1355z00_1743 = BgL__ortest_1112z00_1744;
												}
											else
												{	/* BackEnd/cplib.scm 159 */
													BgL_arg1355z00_1743 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_variablez00_21))))->
														BgL_idz00);
												}
										}
										{	/* BackEnd/cplib.scm 159 */
											obj_t BgL_arg1486z00_2250;

											BgL_arg1486z00_2250 =
												SYMBOL_TO_STRING(((obj_t) BgL_arg1355z00_1743));
											BgL_arg1341z00_1741 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1486z00_2250);
										}
									}
									{	/* BackEnd/cplib.scm 160 */
										obj_t BgL_arg1358z00_1745;

										BgL_arg1358z00_1745 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_variablez00_21)))->
											BgL_modulez00);
										{	/* BackEnd/cplib.scm 160 */
											obj_t BgL_arg1486z00_2252;

											BgL_arg1486z00_2252 =
												SYMBOL_TO_STRING(BgL_arg1358z00_1745);
											BgL_arg1342z00_1742 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1486z00_2252);
										}
									}
									BgL_nz00_1738 =
										bigloo_module_mangle(BgL_arg1341z00_1741,
										BgL_arg1342z00_1742);
								}
							else
								{	/* BackEnd/cplib.scm 161 */
									bool_t BgL_test1951z00_3299;

									{	/* BackEnd/cplib.scm 161 */
										obj_t BgL_classz00_2253;

										BgL_classz00_2253 = BGl_localz00zzast_varz00;
										{	/* BackEnd/cplib.scm 161 */
											BgL_objectz00_bglt BgL_arg1858z00_2255;

											{	/* BackEnd/cplib.scm 161 */
												obj_t BgL_tmpz00_3300;

												BgL_tmpz00_3300 = ((obj_t) BgL_variablez00_21);
												BgL_arg1858z00_2255 =
													(BgL_objectz00_bglt) (BgL_tmpz00_3300);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* BackEnd/cplib.scm 161 */
													long BgL_idxz00_2261;

													BgL_idxz00_2261 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2255);
													BgL_test1951z00_3299 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2261 + 2L)) == BgL_classz00_2253);
												}
											else
												{	/* BackEnd/cplib.scm 161 */
													bool_t BgL_res1857z00_2286;

													{	/* BackEnd/cplib.scm 161 */
														obj_t BgL_oclassz00_2269;

														{	/* BackEnd/cplib.scm 161 */
															obj_t BgL_arg1866z00_2277;
															long BgL_arg1867z00_2278;

															BgL_arg1866z00_2277 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* BackEnd/cplib.scm 161 */
																long BgL_arg1869z00_2279;

																BgL_arg1869z00_2279 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2255);
																BgL_arg1867z00_2278 =
																	(BgL_arg1869z00_2279 - OBJECT_TYPE);
															}
															BgL_oclassz00_2269 =
																VECTOR_REF(BgL_arg1866z00_2277,
																BgL_arg1867z00_2278);
														}
														{	/* BackEnd/cplib.scm 161 */
															bool_t BgL__ortest_1115z00_2270;

															BgL__ortest_1115z00_2270 =
																(BgL_classz00_2253 == BgL_oclassz00_2269);
															if (BgL__ortest_1115z00_2270)
																{	/* BackEnd/cplib.scm 161 */
																	BgL_res1857z00_2286 =
																		BgL__ortest_1115z00_2270;
																}
															else
																{	/* BackEnd/cplib.scm 161 */
																	long BgL_odepthz00_2271;

																	{	/* BackEnd/cplib.scm 161 */
																		obj_t BgL_arg1855z00_2272;

																		BgL_arg1855z00_2272 = (BgL_oclassz00_2269);
																		BgL_odepthz00_2271 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_2272);
																	}
																	if ((2L < BgL_odepthz00_2271))
																		{	/* BackEnd/cplib.scm 161 */
																			obj_t BgL_arg1853z00_2274;

																			{	/* BackEnd/cplib.scm 161 */
																				obj_t BgL_arg1854z00_2275;

																				BgL_arg1854z00_2275 =
																					(BgL_oclassz00_2269);
																				BgL_arg1853z00_2274 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_2275, 2L);
																			}
																			BgL_res1857z00_2286 =
																				(BgL_arg1853z00_2274 ==
																				BgL_classz00_2253);
																		}
																	else
																		{	/* BackEnd/cplib.scm 161 */
																			BgL_res1857z00_2286 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test1951z00_3299 = BgL_res1857z00_2286;
												}
										}
									}
									if (BgL_test1951z00_3299)
										{	/* BackEnd/cplib.scm 165 */
											obj_t BgL_arg1364z00_1748;

											{	/* BackEnd/cplib.scm 165 */
												obj_t BgL_arg1365z00_1749;
												obj_t BgL_arg1367z00_1750;

												{	/* BackEnd/cplib.scm 165 */
													obj_t BgL_arg1370z00_1751;

													BgL_arg1370z00_1751 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_variablez00_21))))->
														BgL_idz00);
													{	/* BackEnd/cplib.scm 165 */
														obj_t BgL_arg1486z00_2288;

														BgL_arg1486z00_2288 =
															SYMBOL_TO_STRING(BgL_arg1370z00_1751);
														BgL_arg1365z00_1749 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1486z00_2288);
													}
												}
												{	/* BackEnd/cplib.scm 165 */

													BgL_arg1367z00_1750 =
														BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
														((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
																		BgL_variablez00_21)))->BgL_keyz00), 10L);
												}
												BgL_arg1364z00_1748 =
													string_append_3(BgL_arg1365z00_1749,
													BGl_string1879z00zzbackend_cplibz00,
													BgL_arg1367z00_1750);
											}
											BgL_nz00_1738 = bigloo_mangle(BgL_arg1364z00_1748);
										}
									else
										{	/* BackEnd/cplib.scm 169 */
											obj_t BgL_arg1376z00_1755;

											BgL_arg1376z00_1755 =
												BGl_shapez00zztools_shapez00(
												((obj_t) BgL_variablez00_21));
											BgL_nz00_1738 =
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string1880z00zzbackend_cplibz00,
												BGl_string1881z00zzbackend_cplibz00,
												BgL_arg1376z00_1755);
										}
								}
						}
						((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_21))->
								BgL_namez00) = ((obj_t) BgL_nz00_1738), BUNSPEC);
						return BgL_nz00_1738;
					}
			}
		}

	}



/* &set-variable-name! */
	obj_t BGl_z62setzd2variablezd2namez12z70zzbackend_cplibz00(obj_t
		BgL_envz00_2888, obj_t BgL_variablez00_2889)
	{
		{	/* BackEnd/cplib.scm 152 */
			return
				BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_variablez00_2889));
		}

	}



/* global-entry */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_globalzd2entryzd2zzbackend_cplibz00(BgL_globalz00_bglt BgL_varz00_22)
	{
		{	/* BackEnd/cplib.scm 176 */
			{	/* BackEnd/cplib.scm 178 */
				BgL_valuez00_bglt BgL_valuez00_1757;

				BgL_valuez00_1757 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_22)))->BgL_valuez00);
				{	/* BackEnd/cplib.scm 179 */
					bool_t BgL_test1955z00_3340;

					{	/* BackEnd/cplib.scm 179 */
						obj_t BgL_classz00_2290;

						BgL_classz00_2290 = BGl_scnstz00zzast_varz00;
						{	/* BackEnd/cplib.scm 179 */
							BgL_objectz00_bglt BgL_arg1858z00_2292;

							{	/* BackEnd/cplib.scm 179 */
								obj_t BgL_tmpz00_3341;

								BgL_tmpz00_3341 =
									((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_1757));
								BgL_arg1858z00_2292 = (BgL_objectz00_bglt) (BgL_tmpz00_3341);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* BackEnd/cplib.scm 179 */
									long BgL_idxz00_2298;

									BgL_idxz00_2298 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2292);
									BgL_test1955z00_3340 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2298 + 2L)) == BgL_classz00_2290);
								}
							else
								{	/* BackEnd/cplib.scm 179 */
									bool_t BgL_res1858z00_2323;

									{	/* BackEnd/cplib.scm 179 */
										obj_t BgL_oclassz00_2306;

										{	/* BackEnd/cplib.scm 179 */
											obj_t BgL_arg1866z00_2314;
											long BgL_arg1867z00_2315;

											BgL_arg1866z00_2314 = (BGl_za2classesza2z00zz__objectz00);
											{	/* BackEnd/cplib.scm 179 */
												long BgL_arg1869z00_2316;

												BgL_arg1869z00_2316 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2292);
												BgL_arg1867z00_2315 =
													(BgL_arg1869z00_2316 - OBJECT_TYPE);
											}
											BgL_oclassz00_2306 =
												VECTOR_REF(BgL_arg1866z00_2314, BgL_arg1867z00_2315);
										}
										{	/* BackEnd/cplib.scm 179 */
											bool_t BgL__ortest_1115z00_2307;

											BgL__ortest_1115z00_2307 =
												(BgL_classz00_2290 == BgL_oclassz00_2306);
											if (BgL__ortest_1115z00_2307)
												{	/* BackEnd/cplib.scm 179 */
													BgL_res1858z00_2323 = BgL__ortest_1115z00_2307;
												}
											else
												{	/* BackEnd/cplib.scm 179 */
													long BgL_odepthz00_2308;

													{	/* BackEnd/cplib.scm 179 */
														obj_t BgL_arg1855z00_2309;

														BgL_arg1855z00_2309 = (BgL_oclassz00_2306);
														BgL_odepthz00_2308 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2309);
													}
													if ((2L < BgL_odepthz00_2308))
														{	/* BackEnd/cplib.scm 179 */
															obj_t BgL_arg1853z00_2311;

															{	/* BackEnd/cplib.scm 179 */
																obj_t BgL_arg1854z00_2312;

																BgL_arg1854z00_2312 = (BgL_oclassz00_2306);
																BgL_arg1853z00_2311 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2312,
																	2L);
															}
															BgL_res1858z00_2323 =
																(BgL_arg1853z00_2311 == BgL_classz00_2290);
														}
													else
														{	/* BackEnd/cplib.scm 179 */
															BgL_res1858z00_2323 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1955z00_3340 = BgL_res1858z00_2323;
								}
						}
					}
					if (BgL_test1955z00_3340)
						{
							BgL_variablez00_bglt BgL_auxz00_3364;

							{
								BgL_varz00_bglt BgL_auxz00_3365;

								{	/* BackEnd/cplib.scm 180 */
									obj_t BgL_pairz00_2326;

									BgL_pairz00_2326 =
										(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt)
													(((BgL_scnstz00_bglt) COBJECT(
																((BgL_scnstz00_bglt) BgL_valuez00_1757)))->
														BgL_nodez00))))->BgL_argsz00);
									BgL_auxz00_3365 = ((BgL_varz00_bglt) CAR(BgL_pairz00_2326));
								}
								BgL_auxz00_3364 =
									(((BgL_varz00_bglt) COBJECT(BgL_auxz00_3365))->
									BgL_variablez00);
							}
							return ((BgL_globalz00_bglt) BgL_auxz00_3364);
						}
					else
						{	/* BackEnd/cplib.scm 179 */
							return BgL_varz00_22;
						}
				}
			}
		}

	}



/* &global-entry */
	BgL_globalz00_bglt BGl_z62globalzd2entryzb0zzbackend_cplibz00(obj_t
		BgL_envz00_2890, obj_t BgL_varz00_2891)
	{
		{	/* BackEnd/cplib.scm 176 */
			return
				BGl_globalzd2entryzd2zzbackend_cplibz00(
				((BgL_globalz00_bglt) BgL_varz00_2891));
		}

	}



/* global-arity */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzd2arityzd2zzbackend_cplibz00(BgL_globalz00_bglt BgL_varz00_23)
	{
		{	/* BackEnd/cplib.scm 186 */
			{	/* BackEnd/cplib.scm 188 */
				BgL_valuez00_bglt BgL_valuez00_1762;

				BgL_valuez00_1762 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_23)))->BgL_valuez00);
				{	/* BackEnd/cplib.scm 190 */
					bool_t BgL_test1959z00_3378;

					{	/* BackEnd/cplib.scm 190 */
						obj_t BgL_classz00_2329;

						BgL_classz00_2329 = BGl_scnstz00zzast_varz00;
						{	/* BackEnd/cplib.scm 190 */
							BgL_objectz00_bglt BgL_arg1858z00_2331;

							{	/* BackEnd/cplib.scm 190 */
								obj_t BgL_tmpz00_3379;

								BgL_tmpz00_3379 =
									((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_1762));
								BgL_arg1858z00_2331 = (BgL_objectz00_bglt) (BgL_tmpz00_3379);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* BackEnd/cplib.scm 190 */
									long BgL_idxz00_2337;

									BgL_idxz00_2337 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2331);
									BgL_test1959z00_3378 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2337 + 2L)) == BgL_classz00_2329);
								}
							else
								{	/* BackEnd/cplib.scm 190 */
									bool_t BgL_res1859z00_2362;

									{	/* BackEnd/cplib.scm 190 */
										obj_t BgL_oclassz00_2345;

										{	/* BackEnd/cplib.scm 190 */
											obj_t BgL_arg1866z00_2353;
											long BgL_arg1867z00_2354;

											BgL_arg1866z00_2353 = (BGl_za2classesza2z00zz__objectz00);
											{	/* BackEnd/cplib.scm 190 */
												long BgL_arg1869z00_2355;

												BgL_arg1869z00_2355 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2331);
												BgL_arg1867z00_2354 =
													(BgL_arg1869z00_2355 - OBJECT_TYPE);
											}
											BgL_oclassz00_2345 =
												VECTOR_REF(BgL_arg1866z00_2353, BgL_arg1867z00_2354);
										}
										{	/* BackEnd/cplib.scm 190 */
											bool_t BgL__ortest_1115z00_2346;

											BgL__ortest_1115z00_2346 =
												(BgL_classz00_2329 == BgL_oclassz00_2345);
											if (BgL__ortest_1115z00_2346)
												{	/* BackEnd/cplib.scm 190 */
													BgL_res1859z00_2362 = BgL__ortest_1115z00_2346;
												}
											else
												{	/* BackEnd/cplib.scm 190 */
													long BgL_odepthz00_2347;

													{	/* BackEnd/cplib.scm 190 */
														obj_t BgL_arg1855z00_2348;

														BgL_arg1855z00_2348 = (BgL_oclassz00_2345);
														BgL_odepthz00_2347 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2348);
													}
													if ((2L < BgL_odepthz00_2347))
														{	/* BackEnd/cplib.scm 190 */
															obj_t BgL_arg1853z00_2350;

															{	/* BackEnd/cplib.scm 190 */
																obj_t BgL_arg1854z00_2351;

																BgL_arg1854z00_2351 = (BgL_oclassz00_2345);
																BgL_arg1853z00_2350 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2351,
																	2L);
															}
															BgL_res1859z00_2362 =
																(BgL_arg1853z00_2350 == BgL_classz00_2329);
														}
													else
														{	/* BackEnd/cplib.scm 190 */
															BgL_res1859z00_2362 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1959z00_3378 = BgL_res1859z00_2362;
								}
						}
					}
					if (BgL_test1959z00_3378)
						{	/* BackEnd/cplib.scm 193 */

							{	/* BackEnd/cplib.scm 194 */
								long BgL_tmpz00_3402;

								{
									BgL_funz00_bglt BgL_auxz00_3403;

									{
										BgL_sfunz00_bglt BgL_auxz00_3404;

										{
											BgL_valuez00_bglt BgL_auxz00_3405;

											{
												BgL_variablez00_bglt BgL_auxz00_3406;

												{
													obj_t BgL_auxz00_3407;

													{
														BgL_sfunz00_bglt BgL_auxz00_3408;

														{
															BgL_valuez00_bglt BgL_auxz00_3409;

															{
																BgL_variablez00_bglt BgL_auxz00_3410;

																{
																	BgL_globalz00_bglt BgL_auxz00_3411;

																	{
																		BgL_variablez00_bglt BgL_auxz00_3412;

																		{
																			BgL_varz00_bglt BgL_auxz00_3413;

																			{	/* BackEnd/cplib.scm 192 */
																				obj_t BgL_pairz00_2365;

																				BgL_pairz00_2365 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								(((BgL_scnstz00_bglt) COBJECT(
																											((BgL_scnstz00_bglt)
																												BgL_valuez00_1762)))->
																									BgL_nodez00))))->BgL_argsz00);
																				BgL_auxz00_3413 =
																					((BgL_varz00_bglt)
																					CAR(BgL_pairz00_2365));
																			}
																			BgL_auxz00_3412 =
																				(((BgL_varz00_bglt)
																					COBJECT(BgL_auxz00_3413))->
																				BgL_variablez00);
																		}
																		BgL_auxz00_3411 =
																			((BgL_globalz00_bglt) BgL_auxz00_3412);
																	}
																	BgL_auxz00_3410 =
																		((BgL_variablez00_bglt) BgL_auxz00_3411);
																}
																BgL_auxz00_3409 =
																	(((BgL_variablez00_bglt)
																		COBJECT(BgL_auxz00_3410))->BgL_valuez00);
															}
															BgL_auxz00_3408 =
																((BgL_sfunz00_bglt) BgL_auxz00_3409);
														}
														BgL_auxz00_3407 =
															(((BgL_sfunz00_bglt) COBJECT(BgL_auxz00_3408))->
															BgL_thezd2closurezd2globalz00);
													}
													BgL_auxz00_3406 =
														((BgL_variablez00_bglt) BgL_auxz00_3407);
												}
												BgL_auxz00_3405 =
													(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_3406))->
													BgL_valuez00);
											}
											BgL_auxz00_3404 = ((BgL_sfunz00_bglt) BgL_auxz00_3405);
										}
										BgL_auxz00_3403 = ((BgL_funz00_bglt) BgL_auxz00_3404);
									}
									BgL_tmpz00_3402 =
										(((BgL_funz00_bglt) COBJECT(BgL_auxz00_3403))->
										BgL_arityz00);
								}
								return BINT(BgL_tmpz00_3402);
							}
						}
					else
						{	/* BackEnd/cplib.scm 196 */
							bool_t BgL_test1963z00_3432;

							{	/* BackEnd/cplib.scm 196 */
								obj_t BgL_classz00_2371;

								BgL_classz00_2371 = BGl_sfunz00zzast_varz00;
								{	/* BackEnd/cplib.scm 196 */
									BgL_objectz00_bglt BgL_arg1858z00_2373;

									{	/* BackEnd/cplib.scm 196 */
										obj_t BgL_tmpz00_3433;

										BgL_tmpz00_3433 =
											((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_1762));
										BgL_arg1858z00_2373 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3433);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* BackEnd/cplib.scm 196 */
											long BgL_idxz00_2379;

											BgL_idxz00_2379 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2373);
											BgL_test1963z00_3432 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2379 + 3L)) == BgL_classz00_2371);
										}
									else
										{	/* BackEnd/cplib.scm 196 */
											bool_t BgL_res1860z00_2404;

											{	/* BackEnd/cplib.scm 196 */
												obj_t BgL_oclassz00_2387;

												{	/* BackEnd/cplib.scm 196 */
													obj_t BgL_arg1866z00_2395;
													long BgL_arg1867z00_2396;

													BgL_arg1866z00_2395 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* BackEnd/cplib.scm 196 */
														long BgL_arg1869z00_2397;

														BgL_arg1869z00_2397 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2373);
														BgL_arg1867z00_2396 =
															(BgL_arg1869z00_2397 - OBJECT_TYPE);
													}
													BgL_oclassz00_2387 =
														VECTOR_REF(BgL_arg1866z00_2395,
														BgL_arg1867z00_2396);
												}
												{	/* BackEnd/cplib.scm 196 */
													bool_t BgL__ortest_1115z00_2388;

													BgL__ortest_1115z00_2388 =
														(BgL_classz00_2371 == BgL_oclassz00_2387);
													if (BgL__ortest_1115z00_2388)
														{	/* BackEnd/cplib.scm 196 */
															BgL_res1860z00_2404 = BgL__ortest_1115z00_2388;
														}
													else
														{	/* BackEnd/cplib.scm 196 */
															long BgL_odepthz00_2389;

															{	/* BackEnd/cplib.scm 196 */
																obj_t BgL_arg1855z00_2390;

																BgL_arg1855z00_2390 = (BgL_oclassz00_2387);
																BgL_odepthz00_2389 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2390);
															}
															if ((3L < BgL_odepthz00_2389))
																{	/* BackEnd/cplib.scm 196 */
																	obj_t BgL_arg1853z00_2392;

																	{	/* BackEnd/cplib.scm 196 */
																		obj_t BgL_arg1854z00_2393;

																		BgL_arg1854z00_2393 = (BgL_oclassz00_2387);
																		BgL_arg1853z00_2392 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2393, 3L);
																	}
																	BgL_res1860z00_2404 =
																		(BgL_arg1853z00_2392 == BgL_classz00_2371);
																}
															else
																{	/* BackEnd/cplib.scm 196 */
																	BgL_res1860z00_2404 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1963z00_3432 = BgL_res1860z00_2404;
										}
								}
							}
							if (BgL_test1963z00_3432)
								{	/* BackEnd/cplib.scm 197 */
									long BgL_xz00_1772;

									BgL_xz00_1772 =
										(((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt)
													((BgL_sfunz00_bglt) BgL_valuez00_1762))))->
										BgL_arityz00);
									if ((BgL_xz00_1772 >= 0L))
										{	/* BackEnd/cplib.scm 198 */
											obj_t BgL_za71za7_2407;

											BgL_za71za7_2407 = BINT(BgL_xz00_1772);
											{	/* BackEnd/cplib.scm 198 */
												obj_t BgL_tmpz00_2409;

												BgL_tmpz00_2409 = BINT(0L);
												{	/* BackEnd/cplib.scm 198 */
													bool_t BgL_test1968z00_3463;

													{	/* BackEnd/cplib.scm 198 */
														obj_t BgL_tmpz00_3464;

														BgL_tmpz00_3464 = BINT(1L);
														BgL_test1968z00_3463 =
															BGL_SUBFX_OV(BgL_za71za7_2407, BgL_tmpz00_3464,
															BgL_tmpz00_2409);
													}
													if (BgL_test1968z00_3463)
														{	/* BackEnd/cplib.scm 198 */
															return
																bgl_bignum_sub(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2407)),
																((obj_t) CNST_TABLE_REF(3)));
														}
													else
														{	/* BackEnd/cplib.scm 198 */
															return BgL_tmpz00_2409;
														}
												}
											}
										}
									else
										{	/* BackEnd/cplib.scm 198 */
											obj_t BgL_za71za7_2417;

											BgL_za71za7_2417 = BINT(BgL_xz00_1772);
											{	/* BackEnd/cplib.scm 198 */
												obj_t BgL_tmpz00_2419;

												BgL_tmpz00_2419 = BINT(0L);
												{	/* BackEnd/cplib.scm 198 */
													bool_t BgL_test1969z00_3474;

													{	/* BackEnd/cplib.scm 198 */
														obj_t BgL_tmpz00_3475;

														BgL_tmpz00_3475 = BINT(1L);
														BgL_test1969z00_3474 =
															BGL_ADDFX_OV(BgL_za71za7_2417, BgL_tmpz00_3475,
															BgL_tmpz00_2419);
													}
													if (BgL_test1969z00_3474)
														{	/* BackEnd/cplib.scm 198 */
															return
																bgl_bignum_add(bgl_long_to_bignum(
																	(long) CINT(BgL_za71za7_2417)),
																((obj_t) CNST_TABLE_REF(3)));
														}
													else
														{	/* BackEnd/cplib.scm 198 */
															return BgL_tmpz00_2419;
														}
												}
											}
										}
								}
							else
								{	/* BackEnd/cplib.scm 196 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* &global-arity */
	obj_t BGl_z62globalzd2arityzb0zzbackend_cplibz00(obj_t BgL_envz00_2892,
		obj_t BgL_varz00_2893)
	{
		{	/* BackEnd/cplib.scm 186 */
			return
				BGl_globalzd2arityzd2zzbackend_cplibz00(
				((BgL_globalz00_bglt) BgL_varz00_2893));
		}

	}



/* for-each-declared-classes */
	BGL_EXPORTED_DEF obj_t
		BGl_forzd2eachzd2declaredzd2classeszd2zzbackend_cplibz00(obj_t
		BgL_funz00_24)
	{
		{	/* BackEnd/cplib.scm 205 */
			{	/* BackEnd/cplib.scm 206 */
				obj_t BgL_g1246z00_1774;

				BgL_g1246z00_1774 = BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
				{
					obj_t BgL_l1244z00_1776;

					{	/* BackEnd/cplib.scm 215 */
						bool_t BgL_tmpz00_3486;

						BgL_l1244z00_1776 = BgL_g1246z00_1774;
					BgL_zc3z04anonymousza31406ze3z87_1777:
						if (PAIRP(BgL_l1244z00_1776))
							{	/* BackEnd/cplib.scm 215 */
								{	/* BackEnd/cplib.scm 207 */
									obj_t BgL_cz00_1779;

									BgL_cz00_1779 = CAR(BgL_l1244z00_1776);
									{	/* BackEnd/cplib.scm 207 */
										bool_t BgL_widezf3zf3_1780;

										BgL_widezf3zf3_1780 =
											BGl_widezd2classzf3z21zzobject_classz00(BgL_cz00_1779);
										{	/* BackEnd/cplib.scm 212 */
											obj_t BgL_arg1414z00_1781;
											obj_t BgL_arg1415z00_1782;

											if (BgL_widezf3zf3_1780)
												{	/* BackEnd/cplib.scm 212 */
													BgL_arg1414z00_1781 =
														BGl_widezd2ze3chunkz31zzbackend_cplibz00(
														((BgL_typez00_bglt) BgL_cz00_1779));
												}
											else
												{	/* BackEnd/cplib.scm 212 */
													BgL_arg1414z00_1781 = BgL_cz00_1779;
												}
											if (BgL_widezf3zf3_1780)
												{	/* BackEnd/cplib.scm 214 */
													BgL_arg1415z00_1782 =
														((obj_t)
														BGl_findzd2typezd2zztype_envz00(
															((obj_t) CNST_TABLE_REF(0))));
												}
											else
												{
													BgL_tclassz00_bglt BgL_auxz00_3499;

													{
														obj_t BgL_auxz00_3500;

														{	/* BackEnd/cplib.scm 214 */
															BgL_objectz00_bglt BgL_tmpz00_3501;

															BgL_tmpz00_3501 =
																((BgL_objectz00_bglt)
																((BgL_typez00_bglt) BgL_cz00_1779));
															BgL_auxz00_3500 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_3501);
														}
														BgL_auxz00_3499 =
															((BgL_tclassz00_bglt) BgL_auxz00_3500);
													}
													BgL_arg1415z00_1782 =
														(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3499))->
														BgL_itszd2superzd2);
												}
											BGL_PROCEDURE_CALL3(BgL_funz00_24, BgL_cz00_1779,
												BgL_arg1414z00_1781, BgL_arg1415z00_1782);
										}
									}
								}
								{
									obj_t BgL_l1244z00_3513;

									BgL_l1244z00_3513 = CDR(BgL_l1244z00_1776);
									BgL_l1244z00_1776 = BgL_l1244z00_3513;
									goto BgL_zc3z04anonymousza31406ze3z87_1777;
								}
							}
						else
							{	/* BackEnd/cplib.scm 215 */
								BgL_tmpz00_3486 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_3486);
					}
				}
			}
		}

	}



/* &for-each-declared-classes */
	obj_t BGl_z62forzd2eachzd2declaredzd2classeszb0zzbackend_cplibz00(obj_t
		BgL_envz00_2894, obj_t BgL_funz00_2895)
	{
		{	/* BackEnd/cplib.scm 205 */
			return
				BGl_forzd2eachzd2declaredzd2classeszd2zzbackend_cplibz00
				(BgL_funz00_2895);
		}

	}



/* get-declared-classes */
	BGL_EXPORTED_DEF obj_t BGl_getzd2declaredzd2classesz00zzbackend_cplibz00(void)
	{
		{	/* BackEnd/cplib.scm 220 */
			{	/* BackEnd/cplib.scm 223 */
				obj_t BgL_rz00_1785;

				BgL_rz00_1785 = BNIL;
				{	/* BackEnd/cplib.scm 224 */
					obj_t BgL_g1249z00_1786;

					BgL_g1249z00_1786 = BGl_getzd2classzd2listz00zzobject_classz00();
					{
						obj_t BgL_l1247z00_1788;

						BgL_l1247z00_1788 = BgL_g1249z00_1786;
					BgL_zc3z04anonymousza31417ze3z87_1789:
						if (PAIRP(BgL_l1247z00_1788))
							{	/* BackEnd/cplib.scm 229 */
								{	/* BackEnd/cplib.scm 225 */
									obj_t BgL_cz00_1791;

									BgL_cz00_1791 = CAR(BgL_l1247z00_1788);
									{	/* BackEnd/cplib.scm 225 */
										bool_t BgL_test1974z00_3521;

										{	/* BackEnd/cplib.scm 225 */
											bool_t BgL_test1975z00_3522;

											{	/* BackEnd/cplib.scm 225 */
												obj_t BgL_arg1490z00_1803;

												{	/* BackEnd/cplib.scm 225 */
													BgL_globalz00_bglt BgL_arg1506z00_1804;

													{
														BgL_tclassz00_bglt BgL_auxz00_3523;

														{
															obj_t BgL_auxz00_3524;

															{	/* BackEnd/cplib.scm 225 */
																BgL_objectz00_bglt BgL_tmpz00_3525;

																BgL_tmpz00_3525 =
																	((BgL_objectz00_bglt)
																	((BgL_typez00_bglt) BgL_cz00_1791));
																BgL_auxz00_3524 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3525);
															}
															BgL_auxz00_3523 =
																((BgL_tclassz00_bglt) BgL_auxz00_3524);
														}
														BgL_arg1506z00_1804 =
															(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3523))->
															BgL_holderz00);
													}
													BgL_arg1490z00_1803 =
														(((BgL_globalz00_bglt)
															COBJECT(BgL_arg1506z00_1804))->BgL_importz00);
												}
												BgL_test1975z00_3522 =
													(BgL_arg1490z00_1803 == ((obj_t) CNST_TABLE_REF(4)));
											}
											if (BgL_test1975z00_3522)
												{	/* BackEnd/cplib.scm 225 */
													BgL_test1974z00_3521 = ((bool_t) 1);
												}
											else
												{	/* BackEnd/cplib.scm 225 */
													BgL_test1974z00_3521 =
														(BgL_cz00_1791 ==
														BGl_getzd2objectzd2typez00zztype_cachez00());
												}
										}
										if (BgL_test1974z00_3521)
											{	/* BackEnd/cplib.scm 225 */
												BFALSE;
											}
										else
											{	/* BackEnd/cplib.scm 227 */
												obj_t BgL_arg1487z00_1799;

												if (BGl_widezd2classzf3z21zzobject_classz00
													(BgL_cz00_1791))
													{	/* BackEnd/cplib.scm 227 */
														BgL_arg1487z00_1799 =
															BGl_widezd2ze3chunkz31zzbackend_cplibz00(
															((BgL_typez00_bglt) BgL_cz00_1791));
													}
												else
													{	/* BackEnd/cplib.scm 227 */
														BgL_arg1487z00_1799 = BgL_cz00_1791;
													}
												BgL_rz00_1785 =
													MAKE_YOUNG_PAIR(BgL_arg1487z00_1799, BgL_rz00_1785);
											}
									}
								}
								{
									obj_t BgL_l1247z00_3542;

									BgL_l1247z00_3542 = CDR(BgL_l1247z00_1788);
									BgL_l1247z00_1788 = BgL_l1247z00_3542;
									goto BgL_zc3z04anonymousza31417ze3z87_1789;
								}
							}
						else
							{	/* BackEnd/cplib.scm 229 */
								((bool_t) 1);
							}
					}
				}
				return BgL_rz00_1785;
			}
		}

	}



/* &get-declared-classes */
	obj_t BGl_z62getzd2declaredzd2classesz62zzbackend_cplibz00(obj_t
		BgL_envz00_2896)
	{
		{	/* BackEnd/cplib.scm 220 */
			return BGl_getzd2declaredzd2classesz00zzbackend_cplibz00();
		}

	}



/* type->class */
	obj_t BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_bglt
		BgL_typez00_25)
	{
		{	/* BackEnd/cplib.scm 235 */
			{	/* BackEnd/cplib.scm 237 */
				bool_t BgL_test1977z00_3545;

				{	/* BackEnd/cplib.scm 237 */
					obj_t BgL_classz00_2436;

					BgL_classz00_2436 = BGl_tclassz00zzobject_classz00;
					{	/* BackEnd/cplib.scm 237 */
						BgL_objectz00_bglt BgL_arg1858z00_2438;

						{	/* BackEnd/cplib.scm 237 */
							obj_t BgL_tmpz00_3546;

							BgL_tmpz00_3546 = ((obj_t) ((BgL_objectz00_bglt) BgL_typez00_25));
							BgL_arg1858z00_2438 = (BgL_objectz00_bglt) (BgL_tmpz00_3546);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* BackEnd/cplib.scm 237 */
								long BgL_idxz00_2444;

								BgL_idxz00_2444 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2438);
								BgL_test1977z00_3545 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2444 + 2L)) == BgL_classz00_2436);
							}
						else
							{	/* BackEnd/cplib.scm 237 */
								bool_t BgL_res1861z00_2469;

								{	/* BackEnd/cplib.scm 237 */
									obj_t BgL_oclassz00_2452;

									{	/* BackEnd/cplib.scm 237 */
										obj_t BgL_arg1866z00_2460;
										long BgL_arg1867z00_2461;

										BgL_arg1866z00_2460 = (BGl_za2classesza2z00zz__objectz00);
										{	/* BackEnd/cplib.scm 237 */
											long BgL_arg1869z00_2462;

											BgL_arg1869z00_2462 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2438);
											BgL_arg1867z00_2461 = (BgL_arg1869z00_2462 - OBJECT_TYPE);
										}
										BgL_oclassz00_2452 =
											VECTOR_REF(BgL_arg1866z00_2460, BgL_arg1867z00_2461);
									}
									{	/* BackEnd/cplib.scm 237 */
										bool_t BgL__ortest_1115z00_2453;

										BgL__ortest_1115z00_2453 =
											(BgL_classz00_2436 == BgL_oclassz00_2452);
										if (BgL__ortest_1115z00_2453)
											{	/* BackEnd/cplib.scm 237 */
												BgL_res1861z00_2469 = BgL__ortest_1115z00_2453;
											}
										else
											{	/* BackEnd/cplib.scm 237 */
												long BgL_odepthz00_2454;

												{	/* BackEnd/cplib.scm 237 */
													obj_t BgL_arg1855z00_2455;

													BgL_arg1855z00_2455 = (BgL_oclassz00_2452);
													BgL_odepthz00_2454 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2455);
												}
												if ((2L < BgL_odepthz00_2454))
													{	/* BackEnd/cplib.scm 237 */
														obj_t BgL_arg1853z00_2457;

														{	/* BackEnd/cplib.scm 237 */
															obj_t BgL_arg1854z00_2458;

															BgL_arg1854z00_2458 = (BgL_oclassz00_2452);
															BgL_arg1853z00_2457 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2458,
																2L);
														}
														BgL_res1861z00_2469 =
															(BgL_arg1853z00_2457 == BgL_classz00_2436);
													}
												else
													{	/* BackEnd/cplib.scm 237 */
														BgL_res1861z00_2469 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test1977z00_3545 = BgL_res1861z00_2469;
							}
					}
				}
				if (BgL_test1977z00_3545)
					{	/* BackEnd/cplib.scm 237 */
						return ((obj_t) BgL_typez00_25);
					}
				else
					{	/* BackEnd/cplib.scm 239 */
						bool_t BgL_test1981z00_3570;

						{	/* BackEnd/cplib.scm 239 */
							obj_t BgL_classz00_2470;

							BgL_classz00_2470 = BGl_wclassz00zzobject_classz00;
							{	/* BackEnd/cplib.scm 239 */
								BgL_objectz00_bglt BgL_arg1858z00_2472;

								{	/* BackEnd/cplib.scm 239 */
									obj_t BgL_tmpz00_3571;

									BgL_tmpz00_3571 =
										((obj_t) ((BgL_objectz00_bglt) BgL_typez00_25));
									BgL_arg1858z00_2472 = (BgL_objectz00_bglt) (BgL_tmpz00_3571);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* BackEnd/cplib.scm 239 */
										long BgL_idxz00_2478;

										BgL_idxz00_2478 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2472);
										BgL_test1981z00_3570 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2478 + 2L)) == BgL_classz00_2470);
									}
								else
									{	/* BackEnd/cplib.scm 239 */
										bool_t BgL_res1862z00_2503;

										{	/* BackEnd/cplib.scm 239 */
											obj_t BgL_oclassz00_2486;

											{	/* BackEnd/cplib.scm 239 */
												obj_t BgL_arg1866z00_2494;
												long BgL_arg1867z00_2495;

												BgL_arg1866z00_2494 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* BackEnd/cplib.scm 239 */
													long BgL_arg1869z00_2496;

													BgL_arg1869z00_2496 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2472);
													BgL_arg1867z00_2495 =
														(BgL_arg1869z00_2496 - OBJECT_TYPE);
												}
												BgL_oclassz00_2486 =
													VECTOR_REF(BgL_arg1866z00_2494, BgL_arg1867z00_2495);
											}
											{	/* BackEnd/cplib.scm 239 */
												bool_t BgL__ortest_1115z00_2487;

												BgL__ortest_1115z00_2487 =
													(BgL_classz00_2470 == BgL_oclassz00_2486);
												if (BgL__ortest_1115z00_2487)
													{	/* BackEnd/cplib.scm 239 */
														BgL_res1862z00_2503 = BgL__ortest_1115z00_2487;
													}
												else
													{	/* BackEnd/cplib.scm 239 */
														long BgL_odepthz00_2488;

														{	/* BackEnd/cplib.scm 239 */
															obj_t BgL_arg1855z00_2489;

															BgL_arg1855z00_2489 = (BgL_oclassz00_2486);
															BgL_odepthz00_2488 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2489);
														}
														if ((2L < BgL_odepthz00_2488))
															{	/* BackEnd/cplib.scm 239 */
																obj_t BgL_arg1853z00_2491;

																{	/* BackEnd/cplib.scm 239 */
																	obj_t BgL_arg1854z00_2492;

																	BgL_arg1854z00_2492 = (BgL_oclassz00_2486);
																	BgL_arg1853z00_2491 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2492,
																		2L);
																}
																BgL_res1862z00_2503 =
																	(BgL_arg1853z00_2491 == BgL_classz00_2470);
															}
														else
															{	/* BackEnd/cplib.scm 239 */
																BgL_res1862z00_2503 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1981z00_3570 = BgL_res1862z00_2503;
									}
							}
						}
						if (BgL_test1981z00_3570)
							{
								BgL_wclassz00_bglt BgL_auxz00_3594;

								{
									obj_t BgL_auxz00_3595;

									{	/* BackEnd/cplib.scm 240 */
										BgL_objectz00_bglt BgL_tmpz00_3596;

										BgL_tmpz00_3596 =
											((BgL_objectz00_bglt)
											((BgL_typez00_bglt) BgL_typez00_25));
										BgL_auxz00_3595 = BGL_OBJECT_WIDENING(BgL_tmpz00_3596);
									}
									BgL_auxz00_3594 = ((BgL_wclassz00_bglt) BgL_auxz00_3595);
								}
								return
									(((BgL_wclassz00_bglt) COBJECT(BgL_auxz00_3594))->
									BgL_itszd2classzd2);
							}
						else
							{	/* BackEnd/cplib.scm 239 */
								return
									BGl_internalzd2errorzd2zztools_errorz00(
									((obj_t)
										CNST_TABLE_REF(5)), BGl_string1882z00zzbackend_cplibz00,
									((obj_t) BgL_typez00_25));
							}
					}
			}
		}

	}



/* get-its-super */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getzd2itszd2superz00zzbackend_cplibz00(BgL_typez00_bglt BgL_typez00_26)
	{
		{	/* BackEnd/cplib.scm 247 */
			{	/* BackEnd/cplib.scm 248 */
				obj_t BgL_arg1515z00_2506;

				BgL_arg1515z00_2506 =
					BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_26);
				{
					obj_t BgL_auxz00_3607;

					{
						BgL_tclassz00_bglt BgL_auxz00_3608;

						{
							obj_t BgL_auxz00_3609;

							{	/* BackEnd/cplib.scm 248 */
								BgL_objectz00_bglt BgL_tmpz00_3610;

								BgL_tmpz00_3610 =
									((BgL_objectz00_bglt)
									((BgL_typez00_bglt) BgL_arg1515z00_2506));
								BgL_auxz00_3609 = BGL_OBJECT_WIDENING(BgL_tmpz00_3610);
							}
							BgL_auxz00_3608 = ((BgL_tclassz00_bglt) BgL_auxz00_3609);
						}
						BgL_auxz00_3607 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3608))->
							BgL_itszd2superzd2);
					}
					return ((BgL_typez00_bglt) BgL_auxz00_3607);
				}
			}
		}

	}



/* &get-its-super */
	BgL_typez00_bglt BGl_z62getzd2itszd2superz62zzbackend_cplibz00(obj_t
		BgL_envz00_2897, obj_t BgL_typez00_2898)
	{
		{	/* BackEnd/cplib.scm 247 */
			return
				BGl_getzd2itszd2superz00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_typez00_2898));
		}

	}



/* get-declared-fields */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(BgL_typez00_bglt
		BgL_typez00_27)
	{
		{	/* BackEnd/cplib.scm 253 */
			{	/* BackEnd/cplib.scm 255 */
				obj_t BgL_classz00_1810;

				BgL_classz00_1810 =
					BGl_typezd2ze3classz31zzbackend_cplibz00(BgL_typez00_27);
				{	/* BackEnd/cplib.scm 256 */
					obj_t BgL_hook1254z00_1811;

					BgL_hook1254z00_1811 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
					{	/* BackEnd/cplib.scm 259 */
						obj_t BgL_g1255z00_1812;

						{
							BgL_tclassz00_bglt BgL_auxz00_3621;

							{
								obj_t BgL_auxz00_3622;

								{	/* BackEnd/cplib.scm 259 */
									BgL_objectz00_bglt BgL_tmpz00_3623;

									BgL_tmpz00_3623 =
										((BgL_objectz00_bglt)
										((BgL_typez00_bglt) BgL_classz00_1810));
									BgL_auxz00_3622 = BGL_OBJECT_WIDENING(BgL_tmpz00_3623);
								}
								BgL_auxz00_3621 = ((BgL_tclassz00_bglt) BgL_auxz00_3622);
							}
							BgL_g1255z00_1812 =
								(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3621))->BgL_slotsz00);
						}
						{
							obj_t BgL_l1251z00_1814;
							obj_t BgL_h1252z00_1815;

							BgL_l1251z00_1814 = BgL_g1255z00_1812;
							BgL_h1252z00_1815 = BgL_hook1254z00_1811;
						BgL_zc3z04anonymousza31516ze3z87_1816:
							if (NULLP(BgL_l1251z00_1814))
								{	/* BackEnd/cplib.scm 259 */
									return CDR(BgL_hook1254z00_1811);
								}
							else
								{	/* BackEnd/cplib.scm 259 */
									bool_t BgL_test1986z00_3632;

									{	/* BackEnd/cplib.scm 257 */
										BgL_slotz00_bglt BgL_slotz00_1826;

										BgL_slotz00_1826 =
											((BgL_slotz00_bglt) CAR(((obj_t) BgL_l1251z00_1814)));
										if (BGl_slotzd2virtualzf3z21zzobject_slotsz00
											(BgL_slotz00_1826))
											{	/* BackEnd/cplib.scm 257 */
												BgL_test1986z00_3632 = ((bool_t) 0);
											}
										else
											{	/* BackEnd/cplib.scm 257 */
												BgL_test1986z00_3632 =
													(BgL_classz00_1810 ==
													(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_1826))->
														BgL_classzd2ownerzd2));
											}
									}
									if (BgL_test1986z00_3632)
										{	/* BackEnd/cplib.scm 259 */
											obj_t BgL_nh1253z00_1822;

											{	/* BackEnd/cplib.scm 259 */
												obj_t BgL_arg1535z00_1824;

												BgL_arg1535z00_1824 = CAR(((obj_t) BgL_l1251z00_1814));
												BgL_nh1253z00_1822 =
													MAKE_YOUNG_PAIR(BgL_arg1535z00_1824, BNIL);
											}
											SET_CDR(BgL_h1252z00_1815, BgL_nh1253z00_1822);
											{	/* BackEnd/cplib.scm 259 */
												obj_t BgL_arg1532z00_1823;

												BgL_arg1532z00_1823 = CDR(((obj_t) BgL_l1251z00_1814));
												{
													obj_t BgL_h1252z00_3647;
													obj_t BgL_l1251z00_3646;

													BgL_l1251z00_3646 = BgL_arg1532z00_1823;
													BgL_h1252z00_3647 = BgL_nh1253z00_1822;
													BgL_h1252z00_1815 = BgL_h1252z00_3647;
													BgL_l1251z00_1814 = BgL_l1251z00_3646;
													goto BgL_zc3z04anonymousza31516ze3z87_1816;
												}
											}
										}
									else
										{	/* BackEnd/cplib.scm 259 */
											obj_t BgL_arg1543z00_1825;

											BgL_arg1543z00_1825 = CDR(((obj_t) BgL_l1251z00_1814));
											{
												obj_t BgL_l1251z00_3650;

												BgL_l1251z00_3650 = BgL_arg1543z00_1825;
												BgL_l1251z00_1814 = BgL_l1251z00_3650;
												goto BgL_zc3z04anonymousza31516ze3z87_1816;
											}
										}
								}
						}
					}
				}
			}
		}

	}



/* &get-declared-fields */
	obj_t BGl_z62getzd2declaredzd2fieldsz62zzbackend_cplibz00(obj_t
		BgL_envz00_2899, obj_t BgL_typez00_2900)
	{
		{	/* BackEnd/cplib.scm 253 */
			return
				BGl_getzd2declaredzd2fieldsz00zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_typez00_2900));
		}

	}



/* get-field-type */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2fieldzd2typez00zzbackend_cplibz00(BgL_slotz00_bglt BgL_slotz00_28)
	{
		{	/* BackEnd/cplib.scm 264 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_slotz00_28))->BgL_typez00);
		}

	}



/* &get-field-type */
	obj_t BGl_z62getzd2fieldzd2typez62zzbackend_cplibz00(obj_t BgL_envz00_2901,
		obj_t BgL_slotz00_2902)
	{
		{	/* BackEnd/cplib.scm 264 */
			return
				BGl_getzd2fieldzd2typez00zzbackend_cplibz00(
				((BgL_slotz00_bglt) BgL_slotz00_2902));
		}

	}



/* wide->chunk */
	BGL_EXPORTED_DEF obj_t
		BGl_widezd2ze3chunkz31zzbackend_cplibz00(BgL_typez00_bglt BgL_cz00_29)
	{
		{	/* BackEnd/cplib.scm 271 */
			{	/* BackEnd/cplib.scm 275 */
				bool_t BgL_test1988z00_3656;

				{	/* BackEnd/cplib.scm 275 */
					obj_t BgL_arg1574z00_1835;
					obj_t BgL_arg1577z00_1836;

					{	/* BackEnd/cplib.scm 275 */
						obj_t BgL_arg1578z00_1837;

						{	/* BackEnd/cplib.scm 275 */
							obj_t BgL_arg1581z00_1838;

							BgL_arg1581z00_1838 =
								(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_cz00_29)))->BgL_idz00);
							BgL_arg1578z00_1837 =
								BGl_widezd2chunkzd2classzd2idzd2zzobject_classz00
								(BgL_arg1581z00_1838);
						}
						BgL_arg1574z00_1835 =
							((obj_t) BGl_findzd2typezd2zztype_envz00(BgL_arg1578z00_1837));
					}
					{
						BgL_tclassz00_bglt BgL_auxz00_3662;

						{
							obj_t BgL_auxz00_3663;

							{	/* BackEnd/cplib.scm 276 */
								BgL_objectz00_bglt BgL_tmpz00_3664;

								BgL_tmpz00_3664 = ((BgL_objectz00_bglt) BgL_cz00_29);
								BgL_auxz00_3663 = BGL_OBJECT_WIDENING(BgL_tmpz00_3664);
							}
							BgL_auxz00_3662 = ((BgL_tclassz00_bglt) BgL_auxz00_3663);
						}
						BgL_arg1577z00_1836 =
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3662))->
							BgL_widezd2typezd2);
					}
					BgL_test1988z00_3656 = (BgL_arg1574z00_1835 == BgL_arg1577z00_1836);
				}
				if (BgL_test1988z00_3656)
					{
						BgL_tclassz00_bglt BgL_auxz00_3670;

						{
							obj_t BgL_auxz00_3671;

							{	/* BackEnd/cplib.scm 278 */
								BgL_objectz00_bglt BgL_tmpz00_3672;

								BgL_tmpz00_3672 = ((BgL_objectz00_bglt) BgL_cz00_29);
								BgL_auxz00_3671 = BGL_OBJECT_WIDENING(BgL_tmpz00_3672);
							}
							BgL_auxz00_3670 = ((BgL_tclassz00_bglt) BgL_auxz00_3671);
						}
						return
							(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_3670))->
							BgL_widezd2typezd2);
					}
				else
					{	/* BackEnd/cplib.scm 275 */
						return
							BGl_errorz00zz__errorz00(BGl_string1883z00zzbackend_cplibz00,
							BGl_string1884z00zzbackend_cplibz00, ((obj_t) BgL_cz00_29));
					}
			}
		}

	}



/* &wide->chunk */
	obj_t BGl_z62widezd2ze3chunkz53zzbackend_cplibz00(obj_t BgL_envz00_2903,
		obj_t BgL_cz00_2904)
	{
		{	/* BackEnd/cplib.scm 271 */
			return
				BGl_widezd2ze3chunkz31zzbackend_cplibz00(
				((BgL_typez00_bglt) BgL_cz00_2904));
		}

	}



/* get-declared-global-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00(obj_t
		BgL_modulez00_30)
	{
		{	/* BackEnd/cplib.scm 283 */
			{	/* BackEnd/cplib.scm 285 */
				obj_t BgL_rz00_2913;

				BgL_rz00_2913 = BGL_MAKE_UNSAFE_CELL(BNIL);
				{	/* BackEnd/cplib.scm 287 */
					obj_t BgL_zc3z04anonymousza31590ze3z87_2905;

					BgL_zc3z04anonymousza31590ze3z87_2905 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31590ze3ze5zzbackend_cplibz00, (int) (1L),
						(int) (2L));
					PROCEDURE_SET(BgL_zc3z04anonymousza31590ze3z87_2905, (int) (0L),
						((obj_t) BgL_rz00_2913));
					PROCEDURE_SET(BgL_zc3z04anonymousza31590ze3z87_2905, (int) (1L),
						BgL_modulez00_30);
					BGl_forzd2eachzd2globalz12z12zzast_envz00
						(BgL_zc3z04anonymousza31590ze3z87_2905, BNIL);
				}
				return BGL_UNSAFE_CELL_REF(BgL_rz00_2913);
			}
		}

	}



/* &get-declared-global-variables */
	obj_t BGl_z62getzd2declaredzd2globalzd2variableszb0zzbackend_cplibz00(obj_t
		BgL_envz00_2906, obj_t BgL_modulez00_2907)
	{
		{	/* BackEnd/cplib.scm 283 */
			return
				BGl_getzd2declaredzd2globalzd2variableszd2zzbackend_cplibz00
				(BgL_modulez00_2907);
		}

	}



/* &<@anonymous:1590> */
	obj_t BGl_z62zc3z04anonymousza31590ze3ze5zzbackend_cplibz00(obj_t
		BgL_envz00_2908, obj_t BgL_vz00_2911)
	{
		{	/* BackEnd/cplib.scm 286 */
			{	/* BackEnd/cplib.scm 287 */
				obj_t BgL_rz00_2909;
				obj_t BgL_modulez00_2910;

				BgL_rz00_2909 = PROCEDURE_REF(BgL_envz00_2908, (int) (0L));
				BgL_modulez00_2910 = PROCEDURE_REF(BgL_envz00_2908, (int) (1L));
				{	/* BackEnd/cplib.scm 287 */
					bool_t BgL_test1989z00_3695;

					if (
						((((BgL_globalz00_bglt) COBJECT(
										((BgL_globalz00_bglt) BgL_vz00_2911)))->BgL_modulez00) ==
							BgL_modulez00_2910))
						{	/* BackEnd/cplib.scm 288 */
							bool_t BgL_test1991z00_3700;

							{	/* BackEnd/cplib.scm 288 */
								BgL_valuez00_bglt BgL_arg1642z00_2937;

								BgL_arg1642z00_2937 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_vz00_2911))))->BgL_valuez00);
								{	/* BackEnd/cplib.scm 288 */
									obj_t BgL_classz00_2938;

									BgL_classz00_2938 = BGl_cfunz00zzast_varz00;
									{	/* BackEnd/cplib.scm 288 */
										BgL_objectz00_bglt BgL_arg1858z00_2939;

										{	/* BackEnd/cplib.scm 288 */
											obj_t BgL_tmpz00_3704;

											BgL_tmpz00_3704 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1642z00_2937));
											BgL_arg1858z00_2939 =
												(BgL_objectz00_bglt) (BgL_tmpz00_3704);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* BackEnd/cplib.scm 288 */
												long BgL_idxz00_2940;

												BgL_idxz00_2940 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2939);
												BgL_test1991z00_3700 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2940 + 3L)) == BgL_classz00_2938);
											}
										else
											{	/* BackEnd/cplib.scm 288 */
												bool_t BgL_res1863z00_2943;

												{	/* BackEnd/cplib.scm 288 */
													obj_t BgL_oclassz00_2944;

													{	/* BackEnd/cplib.scm 288 */
														obj_t BgL_arg1866z00_2945;
														long BgL_arg1867z00_2946;

														BgL_arg1866z00_2945 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* BackEnd/cplib.scm 288 */
															long BgL_arg1869z00_2947;

															BgL_arg1869z00_2947 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2939);
															BgL_arg1867z00_2946 =
																(BgL_arg1869z00_2947 - OBJECT_TYPE);
														}
														BgL_oclassz00_2944 =
															VECTOR_REF(BgL_arg1866z00_2945,
															BgL_arg1867z00_2946);
													}
													{	/* BackEnd/cplib.scm 288 */
														bool_t BgL__ortest_1115z00_2948;

														BgL__ortest_1115z00_2948 =
															(BgL_classz00_2938 == BgL_oclassz00_2944);
														if (BgL__ortest_1115z00_2948)
															{	/* BackEnd/cplib.scm 288 */
																BgL_res1863z00_2943 = BgL__ortest_1115z00_2948;
															}
														else
															{	/* BackEnd/cplib.scm 288 */
																long BgL_odepthz00_2949;

																{	/* BackEnd/cplib.scm 288 */
																	obj_t BgL_arg1855z00_2950;

																	BgL_arg1855z00_2950 = (BgL_oclassz00_2944);
																	BgL_odepthz00_2949 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_2950);
																}
																if ((3L < BgL_odepthz00_2949))
																	{	/* BackEnd/cplib.scm 288 */
																		obj_t BgL_arg1853z00_2951;

																		{	/* BackEnd/cplib.scm 288 */
																			obj_t BgL_arg1854z00_2952;

																			BgL_arg1854z00_2952 =
																				(BgL_oclassz00_2944);
																			BgL_arg1853z00_2951 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_2952, 3L);
																		}
																		BgL_res1863z00_2943 =
																			(BgL_arg1853z00_2951 ==
																			BgL_classz00_2938);
																	}
																else
																	{	/* BackEnd/cplib.scm 288 */
																		BgL_res1863z00_2943 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test1991z00_3700 = BgL_res1863z00_2943;
											}
									}
								}
							}
							if (BgL_test1991z00_3700)
								{	/* BackEnd/cplib.scm 288 */
									BgL_test1989z00_3695 = ((bool_t) 0);
								}
							else
								{	/* BackEnd/cplib.scm 289 */
									bool_t BgL_test1995z00_3727;

									{	/* BackEnd/cplib.scm 289 */
										BgL_valuez00_bglt BgL_arg1638z00_2953;

										BgL_arg1638z00_2953 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_2911))))->
											BgL_valuez00);
										{	/* BackEnd/cplib.scm 289 */
											obj_t BgL_classz00_2954;

											BgL_classz00_2954 = BGl_sfunz00zzast_varz00;
											{	/* BackEnd/cplib.scm 289 */
												BgL_objectz00_bglt BgL_arg1858z00_2955;

												{	/* BackEnd/cplib.scm 289 */
													obj_t BgL_tmpz00_3731;

													BgL_tmpz00_3731 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg1638z00_2953));
													BgL_arg1858z00_2955 =
														(BgL_objectz00_bglt) (BgL_tmpz00_3731);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* BackEnd/cplib.scm 289 */
														long BgL_idxz00_2956;

														BgL_idxz00_2956 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2955);
														BgL_test1995z00_3727 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2956 + 3L)) == BgL_classz00_2954);
													}
												else
													{	/* BackEnd/cplib.scm 289 */
														bool_t BgL_res1864z00_2959;

														{	/* BackEnd/cplib.scm 289 */
															obj_t BgL_oclassz00_2960;

															{	/* BackEnd/cplib.scm 289 */
																obj_t BgL_arg1866z00_2961;
																long BgL_arg1867z00_2962;

																BgL_arg1866z00_2961 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* BackEnd/cplib.scm 289 */
																	long BgL_arg1869z00_2963;

																	BgL_arg1869z00_2963 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2955);
																	BgL_arg1867z00_2962 =
																		(BgL_arg1869z00_2963 - OBJECT_TYPE);
																}
																BgL_oclassz00_2960 =
																	VECTOR_REF(BgL_arg1866z00_2961,
																	BgL_arg1867z00_2962);
															}
															{	/* BackEnd/cplib.scm 289 */
																bool_t BgL__ortest_1115z00_2964;

																BgL__ortest_1115z00_2964 =
																	(BgL_classz00_2954 == BgL_oclassz00_2960);
																if (BgL__ortest_1115z00_2964)
																	{	/* BackEnd/cplib.scm 289 */
																		BgL_res1864z00_2959 =
																			BgL__ortest_1115z00_2964;
																	}
																else
																	{	/* BackEnd/cplib.scm 289 */
																		long BgL_odepthz00_2965;

																		{	/* BackEnd/cplib.scm 289 */
																			obj_t BgL_arg1855z00_2966;

																			BgL_arg1855z00_2966 =
																				(BgL_oclassz00_2960);
																			BgL_odepthz00_2965 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_2966);
																		}
																		if ((3L < BgL_odepthz00_2965))
																			{	/* BackEnd/cplib.scm 289 */
																				obj_t BgL_arg1853z00_2967;

																				{	/* BackEnd/cplib.scm 289 */
																					obj_t BgL_arg1854z00_2968;

																					BgL_arg1854z00_2968 =
																						(BgL_oclassz00_2960);
																					BgL_arg1853z00_2967 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_2968, 3L);
																				}
																				BgL_res1864z00_2959 =
																					(BgL_arg1853z00_2967 ==
																					BgL_classz00_2954);
																			}
																		else
																			{	/* BackEnd/cplib.scm 289 */
																				BgL_res1864z00_2959 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test1995z00_3727 = BgL_res1864z00_2959;
													}
											}
										}
									}
									if (BgL_test1995z00_3727)
										{	/* BackEnd/cplib.scm 289 */
											BgL_test1989z00_3695 = ((bool_t) 0);
										}
									else
										{	/* BackEnd/cplib.scm 289 */
											if (
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_vz00_2911))))->
														BgL_idz00) == ((obj_t) CNST_TABLE_REF(6))))
												{	/* BackEnd/cplib.scm 290 */
													BgL_test1989z00_3695 = ((bool_t) 0);
												}
											else
												{	/* BackEnd/cplib.scm 290 */
													BgL_test1989z00_3695 = ((bool_t) 1);
												}
										}
								}
						}
					else
						{	/* BackEnd/cplib.scm 287 */
							BgL_test1989z00_3695 = ((bool_t) 0);
						}
					if (BgL_test1989z00_3695)
						{	/* BackEnd/cplib.scm 291 */
							obj_t BgL_auxz00_2969;

							BgL_auxz00_2969 =
								MAKE_YOUNG_PAIR(BgL_vz00_2911,
								BGL_UNSAFE_CELL_REF(BgL_rz00_2909));
							return BGL_UNSAFE_CELL_SET(BgL_rz00_2909, BgL_auxz00_2969);
						}
					else
						{	/* BackEnd/cplib.scm 287 */
							return BFALSE;
						}
				}
			}
		}

	}



/* get-global-variables-to-be-initialized */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
		(obj_t BgL_modulez00_31)
	{
		{	/* BackEnd/cplib.scm 297 */
			{	/* BackEnd/cplib.scm 299 */
				obj_t BgL_rz00_2923;

				BgL_rz00_2923 = BGL_MAKE_UNSAFE_CELL(BNIL);
				{	/* BackEnd/cplib.scm 301 */
					obj_t BgL_zc3z04anonymousza31650ze3z87_2915;

					BgL_zc3z04anonymousza31650ze3z87_2915 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31650ze3ze5zzbackend_cplibz00, (int) (1L),
						(int) (2L));
					PROCEDURE_SET(BgL_zc3z04anonymousza31650ze3z87_2915, (int) (0L),
						((obj_t) BgL_rz00_2923));
					PROCEDURE_SET(BgL_zc3z04anonymousza31650ze3z87_2915, (int) (1L),
						BgL_modulez00_31);
					BGl_forzd2eachzd2globalz12z12zzast_envz00
						(BgL_zc3z04anonymousza31650ze3z87_2915, BNIL);
				}
				return BGL_UNSAFE_CELL_REF(BgL_rz00_2923);
			}
		}

	}



/* &get-global-variables-to-be-initialized */
	obj_t
		BGl_z62getzd2globalzd2variableszd2tozd2bezd2initializa7edz17zzbackend_cplibz00
		(obj_t BgL_envz00_2916, obj_t BgL_modulez00_2917)
	{
		{	/* BackEnd/cplib.scm 297 */
			return
				BGl_getzd2globalzd2variableszd2tozd2bezd2initializa7edz75zzbackend_cplibz00
				(BgL_modulez00_2917);
		}

	}



/* &<@anonymous:1650> */
	obj_t BGl_z62zc3z04anonymousza31650ze3ze5zzbackend_cplibz00(obj_t
		BgL_envz00_2918, obj_t BgL_globalz00_2921)
	{
		{	/* BackEnd/cplib.scm 300 */
			{	/* BackEnd/cplib.scm 301 */
				obj_t BgL_rz00_2919;
				obj_t BgL_modulez00_2920;

				BgL_rz00_2919 = PROCEDURE_REF(BgL_envz00_2918, (int) (0L));
				BgL_modulez00_2920 = PROCEDURE_REF(BgL_envz00_2918, (int) (1L));
				{	/* BackEnd/cplib.scm 301 */
					bool_t BgL_test2000z00_3776;

					if (
						((((BgL_globalz00_bglt) COBJECT(
										((BgL_globalz00_bglt) BgL_globalz00_2921)))->
								BgL_modulez00) == BgL_modulez00_2920))
						{	/* BackEnd/cplib.scm 301 */
							if (BGl_requirezd2prototypezf3z21zzbackend_c_prototypez00(
									((BgL_globalz00_bglt) BgL_globalz00_2921)))
								{	/* BackEnd/cplib.scm 304 */
									BgL_valuez00_bglt BgL_arg1673z00_2970;

									BgL_arg1673z00_2970 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_2921))))->
										BgL_valuez00);
									{	/* BackEnd/cplib.scm 304 */
										obj_t BgL_classz00_2971;

										BgL_classz00_2971 = BGl_scnstz00zzast_varz00;
										{	/* BackEnd/cplib.scm 304 */
											BgL_objectz00_bglt BgL_arg1858z00_2972;

											{	/* BackEnd/cplib.scm 304 */
												obj_t BgL_tmpz00_3787;

												BgL_tmpz00_3787 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg1673z00_2970));
												BgL_arg1858z00_2972 =
													(BgL_objectz00_bglt) (BgL_tmpz00_3787);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* BackEnd/cplib.scm 304 */
													long BgL_idxz00_2973;

													BgL_idxz00_2973 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2972);
													BgL_test2000z00_3776 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2973 + 2L)) == BgL_classz00_2971);
												}
											else
												{	/* BackEnd/cplib.scm 304 */
													bool_t BgL_res1865z00_2976;

													{	/* BackEnd/cplib.scm 304 */
														obj_t BgL_oclassz00_2977;

														{	/* BackEnd/cplib.scm 304 */
															obj_t BgL_arg1866z00_2978;
															long BgL_arg1867z00_2979;

															BgL_arg1866z00_2978 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* BackEnd/cplib.scm 304 */
																long BgL_arg1869z00_2980;

																BgL_arg1869z00_2980 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2972);
																BgL_arg1867z00_2979 =
																	(BgL_arg1869z00_2980 - OBJECT_TYPE);
															}
															BgL_oclassz00_2977 =
																VECTOR_REF(BgL_arg1866z00_2978,
																BgL_arg1867z00_2979);
														}
														{	/* BackEnd/cplib.scm 304 */
															bool_t BgL__ortest_1115z00_2981;

															BgL__ortest_1115z00_2981 =
																(BgL_classz00_2971 == BgL_oclassz00_2977);
															if (BgL__ortest_1115z00_2981)
																{	/* BackEnd/cplib.scm 304 */
																	BgL_res1865z00_2976 =
																		BgL__ortest_1115z00_2981;
																}
															else
																{	/* BackEnd/cplib.scm 304 */
																	long BgL_odepthz00_2982;

																	{	/* BackEnd/cplib.scm 304 */
																		obj_t BgL_arg1855z00_2983;

																		BgL_arg1855z00_2983 = (BgL_oclassz00_2977);
																		BgL_odepthz00_2982 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_2983);
																	}
																	if ((2L < BgL_odepthz00_2982))
																		{	/* BackEnd/cplib.scm 304 */
																			obj_t BgL_arg1853z00_2984;

																			{	/* BackEnd/cplib.scm 304 */
																				obj_t BgL_arg1854z00_2985;

																				BgL_arg1854z00_2985 =
																					(BgL_oclassz00_2977);
																				BgL_arg1853z00_2984 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_2985, 2L);
																			}
																			BgL_res1865z00_2976 =
																				(BgL_arg1853z00_2984 ==
																				BgL_classz00_2971);
																		}
																	else
																		{	/* BackEnd/cplib.scm 304 */
																			BgL_res1865z00_2976 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2000z00_3776 = BgL_res1865z00_2976;
												}
										}
									}
								}
							else
								{	/* BackEnd/cplib.scm 303 */
									BgL_test2000z00_3776 = ((bool_t) 0);
								}
						}
					else
						{	/* BackEnd/cplib.scm 301 */
							BgL_test2000z00_3776 = ((bool_t) 0);
						}
					if (BgL_test2000z00_3776)
						{	/* BackEnd/cplib.scm 305 */
							obj_t BgL_auxz00_2986;

							BgL_auxz00_2986 =
								MAKE_YOUNG_PAIR(BgL_globalz00_2921,
								BGL_UNSAFE_CELL_REF(BgL_rz00_2919));
							return BGL_UNSAFE_CELL_SET(BgL_rz00_2919, BgL_auxz00_2986);
						}
					else
						{	/* BackEnd/cplib.scm 301 */
							return BFALSE;
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_cplibz00(void)
	{
		{	/* BackEnd/cplib.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_cplibz00(void)
	{
		{	/* BackEnd/cplib.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_cplibz00(void)
	{
		{	/* BackEnd/cplib.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_cplibz00(void)
	{
		{	/* BackEnd/cplib.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1885z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1885z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1885z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1885z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1885z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1885z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1885z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzcnst_nodez00(89013043L,
				BSTRING_TO_STRING(BGl_string1885z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string1885z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string1885z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(261574382L,
				BSTRING_TO_STRING(BGl_string1885z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzmodule_javaz00(93941037L,
				BSTRING_TO_STRING(BGl_string1885z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1885z00zzbackend_cplibz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(364917963L,
				BSTRING_TO_STRING(BGl_string1885z00zzbackend_cplibz00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1885z00zzbackend_cplibz00));
		}

	}

#ifdef __cplusplus
}
#endif
