/*===========================================================================*/
/*   (BackEnd/jvm.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent BackEnd/jvm.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BACKEND_JVM_TYPE_DEFINITIONS
#define BGL_BACKEND_JVM_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;


#endif													// BGL_BACKEND_JVM_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31676ze3ze5zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2replacezd2zz__r4_strings_6_7z00(obj_t,
		unsigned char, unsigned char);
	BGL_IMPORT obj_t BGl_za2ppzd2widthza2zd2zz__ppz00;
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	BGL_IMPORT bool_t BGl_makezd2directorieszd2zz__r4_ports_6_10_1z00(obj_t);
	extern obj_t BGl_findzd2librarieszd2zzengine_linkz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_jvmz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
	extern obj_t BGl_za2autozd2linkzd2mainza2z00zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31759ze3ze5zzbackend_jvmz00(obj_t);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(obj_t);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	static obj_t BGl_toplevelzd2initzd2zzbackend_jvmz00(void);
	extern obj_t BGl_jvmzd2aszd2zzjas_asz00(obj_t, obj_t);
	extern obj_t BGl_za2restzd2argsza2zd2zzengine_paramz00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_jvmz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzbackend_jvmz00(void);
	static obj_t BGl_emitze70ze7zzbackend_jvmz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62backendzd2cnstzd2tablezd2n1437zb0zzbackend_jvmz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2ppzd2caseza2zd2zz__ppz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_jasnamez00zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_dirnamez00zz__osz00(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_addsuffixz00zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	static obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_jvmz00(void);
	BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31879ze3ze5zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_makezd2tmpzd2mainz00zzengine_linkz00(obj_t, bool_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzbackend_jvmz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_jvmz00(void);
	extern obj_t BGl_jvmz00zzbackend_jvm_classz00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_registerzd2backendz12zc0zzbackend_backendz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_close_input_port(obj_t);
	extern obj_t BGl_findzd2mainzd2zzengine_linkz00(obj_t);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_z62backendzd2linkzd2objects1439z62zzbackend_jvmz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62startzd2jvmzd2emissionz12z70zzbackend_jvmz00(obj_t);
	extern obj_t BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	extern obj_t BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	extern obj_t BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00(void);
	static obj_t BGl_jvmzd2checkzd2packagez00zzbackend_jvmz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_compilerz00zzengine_compilerz00(void);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbackend_jvmz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_ldz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzjas_peepz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzjas_asz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_compilerz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_linkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2compilezd2jvm1433z62zzbackend_jvmz00(obj_t,
		obj_t);
	extern obj_t BGl_za2mcozd2suffixza2zd2zzengine_paramz00;
	BGL_IMPORT bool_t fexists(char *);
	static obj_t BGl_z62buildzd2jvmzd2backendz62zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_suffixz00zz__osz00(obj_t);
	static obj_t BGl_jvmzd2dirnamezd2zzbackend_jvmz00(obj_t);
	extern obj_t BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00(void);
	static obj_t BGl_z62backendzd2subtypezf3zd2jvm1443z91zzbackend_jvmz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzbackend_jvmz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_jvmz00(void);
	extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_jvmz00(void);
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzbackend_jvmz00(void);
	static obj_t BGl_z62backendzd2linkzd2jvm1435z62zzbackend_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2ozd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;
	static obj_t BGl_z62backendzd2checkzd2inline1441z62zzbackend_jvmz00(obj_t,
		obj_t);
	static obj_t BGl_zc3z04exitza31758ze3ze70z60zzbackend_jvmz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t bgl_directoryp(char *);
	static obj_t BGl_jvmzd2filenamezd2zzbackend_jvmz00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_readzd2jfilezd2zzread_jvmz00(void);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(obj_t);
	extern obj_t BGl_iszd2subtypezf3z21zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_stopzd2onzd2passz00zzengine_passz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31665ze3ze5zzbackend_jvmz00(obj_t);
	static bool_t BGl_z62zc3z04anonymousza31819ze3ze5zzbackend_jvmz00(obj_t,
		obj_t);
	static obj_t BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 = BUNSPEC;
	extern obj_t BGl_usezd2libraryz12zc0zzmodule_alibraryz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31674ze3ze5zzbackend_jvmz00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	static obj_t BGl_jvmasdumpz00zzbackend_jvmz00(obj_t, obj_t);
	static obj_t __cnst[21];


	   
		 
		DEFINE_STRING(BGl_string2040z00zzbackend_jvmz00,
		BgL_bgl_string2040za700za7za7b2078za7, ".bgl", 4);
	      DEFINE_STRING(BGl_string2042z00zzbackend_jvmz00,
		BgL_bgl_string2042za700za7za7b2079za7, "backend-compile", 15);
	      DEFINE_STRING(BGl_string2044z00zzbackend_jvmz00,
		BgL_bgl_string2044za700za7za7b2080za7, "backend-link", 12);
	      DEFINE_STRING(BGl_string2046z00zzbackend_jvmz00,
		BgL_bgl_string2046za700za7za7b2081za7, "backend-cnst-table-name", 23);
	      DEFINE_STRING(BGl_string2048z00zzbackend_jvmz00,
		BgL_bgl_string2048za700za7za7b2082za7, "backend-link-objects", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2041z00zzbackend_jvmz00,
		BgL_bgl_za762backendza7d2com2083z00,
		BGl_z62backendzd2compilezd2jvm1433z62zzbackend_jvmz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2043z00zzbackend_jvmz00,
		BgL_bgl_za762backendza7d2lin2084z00,
		BGl_z62backendzd2linkzd2jvm1435z62zzbackend_jvmz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2050z00zzbackend_jvmz00,
		BgL_bgl_string2050za700za7za7b2085za7, "backend-check-inlines", 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2045z00zzbackend_jvmz00,
		BgL_bgl_za762backendza7d2cns2086z00,
		BGl_z62backendzd2cnstzd2tablezd2n1437zb0zzbackend_jvmz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2052z00zzbackend_jvmz00,
		BgL_bgl_string2052za700za7za7b2087za7, "backend-subtype?", 16);
	      DEFINE_STRING(BGl_string2053z00zzbackend_jvmz00,
		BgL_bgl_string2053za700za7za7b2088za7, " -- ", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2047z00zzbackend_jvmz00,
		BgL_bgl_za762backendza7d2lin2089z00,
		BGl_z62backendzd2linkzd2objects1439z62zzbackend_jvmz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2054z00zzbackend_jvmz00,
		BgL_bgl_string2054za700za7za7b2090za7, "No source file found", 20);
	      DEFINE_STRING(BGl_string2055z00zzbackend_jvmz00,
		BgL_bgl_string2055za700za7za7b2091za7, "link", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2049z00zzbackend_jvmz00,
		BgL_bgl_za762backendza7d2che2092z00,
		BGl_z62backendzd2checkzd2inline1441z62zzbackend_jvmz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2056z00zzbackend_jvmz00,
		BgL_bgl_string2056za700za7za7b2093za7, "\"", 1);
	      DEFINE_STRING(BGl_string2057z00zzbackend_jvmz00,
		BgL_bgl_string2057za700za7za7b2094za7, "Illegal file", 12);
	      DEFINE_STRING(BGl_string2058z00zzbackend_jvmz00,
		BgL_bgl_string2058za700za7za7b2095za7, "__cnst", 6);
	      DEFINE_STRING(BGl_string2059z00zzbackend_jvmz00,
		BgL_bgl_string2059za700za7za7b2096za7, "Jvm", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2051z00zzbackend_jvmz00,
		BgL_bgl_za762backendza7d2sub2097z00,
		BGl_z62backendzd2subtypezf3zd2jvm1443z91zzbackend_jvmz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2060z00zzbackend_jvmz00,
		BgL_bgl_string2060za700za7za7b2098za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2061z00zzbackend_jvmz00,
		BgL_bgl_string2061za700za7za7b2099za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2062z00zzbackend_jvmz00,
		BgL_bgl_string2062za700za7za7b2100za7, "]", 1);
	      DEFINE_STRING(BGl_string2063z00zzbackend_jvmz00,
		BgL_bgl_string2063za700za7za7b2101za7, " qualified type name: ", 22);
	      DEFINE_STRING(BGl_string2064z00zzbackend_jvmz00,
		BgL_bgl_string2064za700za7za7b2102za7, "      [module: ", 15);
	      DEFINE_STRING(BGl_string2065z00zzbackend_jvmz00,
		BgL_bgl_string2065za700za7za7b2103za7, "a.class", 7);
	      DEFINE_STRING(BGl_string2069z00zzbackend_jvmz00,
		BgL_bgl_string2069za700za7za7b2104za7, "/", 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_buildzd2jvmzd2backendzd2envzd2zzbackend_jvmz00,
		BgL_bgl_za762buildza7d2jvmza7d2105za7,
		BGl_z62buildzd2jvmzd2backendz62zzbackend_jvmz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2070z00zzbackend_jvmz00,
		BgL_bgl_string2070za700za7za7b2106za7, "/a.class", 8);
	      DEFINE_STRING(BGl_string2071z00zzbackend_jvmz00,
		BgL_bgl_string2071za700za7za7b2107za7, "\n", 1);
	      DEFINE_STRING(BGl_string2072z00zzbackend_jvmz00,
		BgL_bgl_string2072za700za7za7b2108za7, "        class: ", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2066z00zzbackend_jvmz00,
		BgL_bgl_za762za7c3za704anonymo2109za7,
		BGl_z62zc3z04anonymousza31665ze3ze5zzbackend_jvmz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2073z00zzbackend_jvmz00,
		BgL_bgl_string2073za700za7za7b2110za7, "jvm-dump", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2067z00zzbackend_jvmz00,
		BgL_bgl_za762za7c3za704anonymo2111za7,
		BGl_z62zc3z04anonymousza31674ze3ze5zzbackend_jvmz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2074z00zzbackend_jvmz00,
		BgL_bgl_string2074za700za7za7b2112za7, "Can't open file for output", 26);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2068z00zzbackend_jvmz00,
		BgL_bgl_za762za7c3za704anonymo2113za7,
		BGl_z62zc3z04anonymousza31676ze3ze5zzbackend_jvmz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2075z00zzbackend_jvmz00,
		BgL_bgl_string2075za700za7za7b2114za7, "backend_jvm", 11);
	      DEFINE_STRING(BGl_string2076z00zzbackend_jvmz00,
		BgL_bgl_string2076za700za7za7b2115za7,
		"done cc (ld distrib) pass-started (start-jvm-emission!) module eval library java.lang.Object object ld class jvmas jast lower unamed (jvm) (java) native bigloo-jvm jvm ",
		168);
	extern obj_t BGl_backendzd2compilezd2envz00zzbackend_backendz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_startzd2jvmzd2emissionz12zd2envzc0zzbackend_jvmz00,
		BgL_bgl_za762startza7d2jvmza7d2116za7,
		BGl_z62startzd2jvmzd2emissionz12z70zzbackend_jvmz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_backendzd2linkzd2envz00zzbackend_backendz00;
	extern obj_t BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00;
	extern obj_t BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00;
	extern obj_t BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00;
	extern obj_t BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00;
	   
		 
		DEFINE_STRING(BGl_string2025z00zzbackend_jvmz00,
		BgL_bgl_string2025za700za7za7b2117za7, ".", 1);
	      DEFINE_STRING(BGl_string2026z00zzbackend_jvmz00,
		BgL_bgl_string2026za700za7za7b2118za7, "dummy", 5);
	      DEFINE_STRING(BGl_string2027z00zzbackend_jvmz00,
		BgL_bgl_string2027za700za7za7b2119za7, "jheap", 5);
	      DEFINE_STRING(BGl_string2028z00zzbackend_jvmz00,
		BgL_bgl_string2028za700za7za7b2120za7, "", 0);
	      DEFINE_STRING(BGl_string2029z00zzbackend_jvmz00,
		BgL_bgl_string2029za700za7za7b2121za7, "'.", 2);
	      DEFINE_STRING(BGl_string2030z00zzbackend_jvmz00,
		BgL_bgl_string2030za700za7za7b2122za7, "', class path is `", 18);
	      DEFINE_STRING(BGl_string2031z00zzbackend_jvmz00,
		BgL_bgl_string2031za700za7za7b2123za7, " is `", 5);
	      DEFINE_STRING(BGl_string2032z00zzbackend_jvmz00,
		BgL_bgl_string2032za700za7za7b2124za7, "Package name for module ", 24);
	      DEFINE_STRING(BGl_string2033z00zzbackend_jvmz00,
		BgL_bgl_string2033za700za7za7b2125za7,
		"Incompatible package name and class path.", 41);
	      DEFINE_STRING(BGl_string2034z00zzbackend_jvmz00,
		BgL_bgl_string2034za700za7za7b2126za7, ".jast", 5);
	      DEFINE_STRING(BGl_string2035z00zzbackend_jvmz00,
		BgL_bgl_string2035za700za7za7b2127za7, ".jas", 4);
	      DEFINE_STRING(BGl_string2036z00zzbackend_jvmz00,
		BgL_bgl_string2036za700za7za7b2128za7, ".class", 6);
	      DEFINE_STRING(BGl_string2037z00zzbackend_jvmz00,
		BgL_bgl_string2037za700za7za7b2129za7, "start-jvm-emission!", 19);
	      DEFINE_STRING(BGl_string2038z00zzbackend_jvmz00,
		BgL_bgl_string2038za700za7za7b2130za7,
		"Can't write dest file because directory doesn't exist", 53);
	      DEFINE_STRING(BGl_string2039z00zzbackend_jvmz00,
		BgL_bgl_string2039za700za7za7b2131za7, "JVMMAIN", 7);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzbackend_jvmz00));
		     ADD_ROOT((void *) (&BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_jvmz00(long
		BgL_checksumz00_3214, char *BgL_fromz00_3215)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_jvmz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_jvmz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_jvmz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_jvmz00();
					BGl_cnstzd2initzd2zzbackend_jvmz00();
					BGl_importedzd2moduleszd2initz00zzbackend_jvmz00();
					BGl_methodzd2initzd2zzbackend_jvmz00();
					return BGl_toplevelzd2initzd2zzbackend_jvmz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_jvmz00(void)
	{
		{	/* BackEnd/jvm.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__ppz00(0L, "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__osz00(0L, "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__binaryz00(0L, "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L,
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"backend_jvm");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_jvmz00(void)
	{
		{	/* BackEnd/jvm.scm 15 */
			{	/* BackEnd/jvm.scm 15 */
				obj_t BgL_cportz00_3035;

				{	/* BackEnd/jvm.scm 15 */
					obj_t BgL_stringz00_3042;

					BgL_stringz00_3042 = BGl_string2076z00zzbackend_jvmz00;
					{	/* BackEnd/jvm.scm 15 */
						obj_t BgL_startz00_3043;

						BgL_startz00_3043 = BINT(0L);
						{	/* BackEnd/jvm.scm 15 */
							obj_t BgL_endz00_3044;

							BgL_endz00_3044 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3042)));
							{	/* BackEnd/jvm.scm 15 */

								BgL_cportz00_3035 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3042, BgL_startz00_3043, BgL_endz00_3044);
				}}}}
				{
					long BgL_iz00_3036;

					BgL_iz00_3036 = 20L;
				BgL_loopz00_3037:
					if ((BgL_iz00_3036 == (-1L)))
						{	/* BackEnd/jvm.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/jvm.scm 15 */
							{	/* BackEnd/jvm.scm 15 */
								obj_t BgL_arg2077z00_3038;

								{	/* BackEnd/jvm.scm 15 */

									{	/* BackEnd/jvm.scm 15 */
										obj_t BgL_locationz00_3040;

										BgL_locationz00_3040 = BBOOL(((bool_t) 0));
										{	/* BackEnd/jvm.scm 15 */

											BgL_arg2077z00_3038 =
												BGl_readz00zz__readerz00(BgL_cportz00_3035,
												BgL_locationz00_3040);
										}
									}
								}
								{	/* BackEnd/jvm.scm 15 */
									int BgL_tmpz00_3250;

									BgL_tmpz00_3250 = (int) (BgL_iz00_3036);
									CNST_TABLE_SET(BgL_tmpz00_3250, BgL_arg2077z00_3038);
							}}
							{	/* BackEnd/jvm.scm 15 */
								int BgL_auxz00_3041;

								BgL_auxz00_3041 = (int) ((BgL_iz00_3036 - 1L));
								{
									long BgL_iz00_3255;

									BgL_iz00_3255 = (long) (BgL_auxz00_3041);
									BgL_iz00_3036 = BgL_iz00_3255;
									goto BgL_loopz00_3037;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_jvmz00(void)
	{
		{	/* BackEnd/jvm.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_jvmz00(void)
	{
		{	/* BackEnd/jvm.scm 15 */
			BGl_registerzd2backendz12zc0zzbackend_backendz00(
				((obj_t)
					CNST_TABLE_REF(0)),
				BGl_buildzd2jvmzd2backendzd2envzd2zzbackend_jvmz00);
			BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 =
				BGl_string2025z00zzbackend_jvmz00;
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzbackend_jvmz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1947;

					BgL_headz00_1947 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1948;
						obj_t BgL_tailz00_1949;

						BgL_prevz00_1948 = BgL_headz00_1947;
						BgL_tailz00_1949 = BgL_l1z00_1;
					BgL_loopz00_1950:
						if (PAIRP(BgL_tailz00_1949))
							{
								obj_t BgL_newzd2prevzd2_1952;

								BgL_newzd2prevzd2_1952 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1949), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1948, BgL_newzd2prevzd2_1952);
								{
									obj_t BgL_tailz00_3270;
									obj_t BgL_prevz00_3269;

									BgL_prevz00_3269 = BgL_newzd2prevzd2_1952;
									BgL_tailz00_3270 = CDR(BgL_tailz00_1949);
									BgL_tailz00_1949 = BgL_tailz00_3270;
									BgL_prevz00_1948 = BgL_prevz00_3269;
									goto BgL_loopz00_1950;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1947);
					}
				}
		}

	}



/* &build-jvm-backend */
	obj_t BGl_z62buildzd2jvmzd2backendz62zzbackend_jvmz00(obj_t BgL_envz00_2974)
	{
		{	/* BackEnd/jvm.scm 52 */
			{
				BgL_jvmz00_bglt BgL_auxz00_3273;

				{	/* BackEnd/jvm.scm 53 */
					BgL_jvmz00_bglt BgL_new1115z00_3046;

					{	/* BackEnd/jvm.scm 54 */
						BgL_jvmz00_bglt BgL_new1113z00_3047;

						BgL_new1113z00_3047 =
							((BgL_jvmz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_jvmz00_bgl))));
						{	/* BackEnd/jvm.scm 54 */
							long BgL_arg1471z00_3048;

							BgL_arg1471z00_3048 =
								BGL_CLASS_NUM(BGl_jvmz00zzbackend_jvm_classz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1113z00_3047),
								BgL_arg1471z00_3048);
						}
						BgL_new1115z00_3046 = BgL_new1113z00_3047;
					}
					((((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_new1115z00_3046)))->
							BgL_languagez00) =
						((obj_t) ((obj_t) CNST_TABLE_REF(0))), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_srfi0z00) =
						((obj_t) ((obj_t) CNST_TABLE_REF(1))), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_namez00) =
						((obj_t) BGl_string2026z00zzbackend_jvmz00), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_externzd2variableszd2) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_externzd2functionszd2) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_externzd2typeszd2) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_variablesz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_functionsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_typesz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_typedz00) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_heapzd2suffixzd2) =
						((obj_t) BGl_string2027z00zzbackend_jvmz00), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_heapzd2compatiblezd2) =
						((obj_t) ((obj_t) CNST_TABLE_REF(2))), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_callccz00) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_qualifiedzd2typeszd2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_effectzb2zb2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_removezd2emptyzd2letz00) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_foreignzd2closurezd2) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_typedzd2eqzd2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_tracezd2supportzd2) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_foreignzd2clausezd2supportz00) =
						((obj_t) ((obj_t) CNST_TABLE_REF(3))), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_debugzd2supportzd2) =
						((obj_t) ((obj_t) CNST_TABLE_REF(4))), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_pragmazd2supportzd2) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_tvectorzd2descrzd2supportz00) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_requirezd2tailczd2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_registersz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_pregistersz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_boundzd2checkzd2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_typezd2checkzd2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_typedzd2funcallzd2) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_strictzd2typezd2castz00) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->
							BgL_forcezd2registerzd2gczd2rootszd2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_stringzd2literalzd2supportz00) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_boxedzd2fixnumszd2) =
						((bool_t) ((bool_t) 0)), BUNSPEC);
					((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
										BgL_new1115z00_3046)))->BgL_typedzd2closureszd2) =
						((bool_t) ((bool_t) 1)), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1115z00_3046))->BgL_qnamez00) =
						((obj_t) ((obj_t) CNST_TABLE_REF(5))), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1115z00_3046))->BgL_classesz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1115z00_3046))->
							BgL_currentzd2classzd2) = ((obj_t) BFALSE), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1115z00_3046))->
							BgL_declarationsz00) = ((obj_t) BNIL), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1115z00_3046))->BgL_fieldsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1115z00_3046))->BgL_methodsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1115z00_3046))->
							BgL_currentzd2methodzd2) = ((obj_t) BFALSE), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1115z00_3046))->BgL_codez00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1115z00_3046))->
							BgL_lightzd2funcallszd2) = ((obj_t) BNIL), BUNSPEC);
					((((BgL_jvmz00_bglt) COBJECT(BgL_new1115z00_3046))->BgL_inlinez00) =
						((obj_t) BTRUE), BUNSPEC);
					{	/* BackEnd/jvm.scm 53 */
						obj_t BgL_fun1459z00_3049;

						BgL_fun1459z00_3049 =
							BGl_classzd2constructorzd2zz__objectz00
							(BGl_jvmz00zzbackend_jvm_classz00);
						BGL_PROCEDURE_CALL1(BgL_fun1459z00_3049,
							((obj_t) BgL_new1115z00_3046));
					}
					BgL_auxz00_3273 = BgL_new1115z00_3046;
				}
				return ((obj_t) BgL_auxz00_3273);
			}
		}

	}



/* jvm-check-package */
	obj_t BGl_jvmzd2checkzd2packagez00zzbackend_jvmz00(obj_t BgL_modulez00_4,
		obj_t BgL_pathz00_5)
	{
		{	/* BackEnd/jvm.scm 128 */
			{
				obj_t BgL_basez00_1976;
				obj_t BgL_pathz00_1977;

				{	/* BackEnd/jvm.scm 145 */
					obj_t BgL_qtypez00_1960;

					BgL_qtypez00_1960 =
						BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_4);
					{	/* BackEnd/jvm.scm 145 */
						obj_t BgL_basez00_1961;

						{	/* BackEnd/jvm.scm 146 */
							obj_t BgL_prez00_1973;

							BgL_prez00_1973 = BGl_prefixz00zz__osz00(BgL_qtypez00_1960);
							{	/* BackEnd/jvm.scm 148 */
								bool_t BgL_test2136z00_3377;

								{	/* BackEnd/jvm.scm 148 */
									long BgL_l1z00_2704;

									BgL_l1z00_2704 = STRING_LENGTH(BgL_prez00_1973);
									if ((BgL_l1z00_2704 == 0L))
										{	/* BackEnd/jvm.scm 148 */
											int BgL_arg1343z00_2707;

											{	/* BackEnd/jvm.scm 148 */
												char *BgL_auxz00_3383;
												char *BgL_tmpz00_3381;

												BgL_auxz00_3383 =
													BSTRING_TO_STRING(BGl_string2028z00zzbackend_jvmz00);
												BgL_tmpz00_3381 = BSTRING_TO_STRING(BgL_prez00_1973);
												BgL_arg1343z00_2707 =
													memcmp(BgL_tmpz00_3381, BgL_auxz00_3383,
													BgL_l1z00_2704);
											}
											BgL_test2136z00_3377 =
												((long) (BgL_arg1343z00_2707) == 0L);
										}
									else
										{	/* BackEnd/jvm.scm 148 */
											BgL_test2136z00_3377 = ((bool_t) 0);
										}
								}
								if (BgL_test2136z00_3377)
									{	/* BackEnd/jvm.scm 148 */
										BgL_basez00_1961 = BGl_string2025z00zzbackend_jvmz00;
									}
								else
									{	/* BackEnd/jvm.scm 150 */
										bool_t BgL_test2138z00_3388;

										{	/* BackEnd/jvm.scm 150 */
											long BgL_l1z00_2715;

											BgL_l1z00_2715 = STRING_LENGTH(BgL_prez00_1973);
											if ((BgL_l1z00_2715 == STRING_LENGTH(BgL_qtypez00_1960)))
												{	/* BackEnd/jvm.scm 150 */
													int BgL_arg1343z00_2718;

													{	/* BackEnd/jvm.scm 150 */
														char *BgL_auxz00_3395;
														char *BgL_tmpz00_3393;

														BgL_auxz00_3395 =
															BSTRING_TO_STRING(BgL_qtypez00_1960);
														BgL_tmpz00_3393 =
															BSTRING_TO_STRING(BgL_prez00_1973);
														BgL_arg1343z00_2718 =
															memcmp(BgL_tmpz00_3393, BgL_auxz00_3395,
															BgL_l1z00_2715);
													}
													BgL_test2138z00_3388 =
														((long) (BgL_arg1343z00_2718) == 0L);
												}
											else
												{	/* BackEnd/jvm.scm 150 */
													BgL_test2138z00_3388 = ((bool_t) 0);
												}
										}
										if (BgL_test2138z00_3388)
											{	/* BackEnd/jvm.scm 150 */
												BgL_basez00_1961 = BGl_string2025z00zzbackend_jvmz00;
											}
										else
											{	/* BackEnd/jvm.scm 150 */
												BgL_basez00_1961 = BgL_prez00_1973;
											}
									}
							}
						}
						{	/* BackEnd/jvm.scm 146 */

							{	/* BackEnd/jvm.scm 154 */
								bool_t BgL_test2140z00_3400;

								BgL_basez00_1976 =
									BGl_jvmzd2filenamezd2zzbackend_jvmz00(BgL_basez00_1961);
								BgL_pathz00_1977 = BgL_pathz00_5;
								{	/* BackEnd/jvm.scm 130 */
									long BgL_lbasez00_1979;
									long BgL_lpathz00_1980;

									BgL_lbasez00_1979 = STRING_LENGTH(BgL_basez00_1976);
									BgL_lpathz00_1980 = STRING_LENGTH(BgL_pathz00_1977);
									if ((BgL_lpathz00_1980 < BgL_lbasez00_1979))
										{	/* BackEnd/jvm.scm 132 */
											BgL_test2140z00_3400 = ((bool_t) 0);
										}
									else
										{
											long BgL_rpathz00_1986;
											long BgL_rbasez00_1987;

											BgL_rpathz00_1986 = (BgL_lpathz00_1980 - 1L);
											BgL_rbasez00_1987 = (BgL_lbasez00_1979 - 1L);
										BgL_zc3z04anonymousza31520ze3z87_1988:
											if ((BgL_rbasez00_1987 == (-1L)))
												{	/* BackEnd/jvm.scm 136 */
													BgL_test2140z00_3400 = ((bool_t) 1);
												}
											else
												{	/* BackEnd/jvm.scm 138 */
													unsigned char BgL_cbasez00_1990;
													unsigned char BgL_cpathz00_1991;

													BgL_cbasez00_1990 =
														STRING_REF(BgL_basez00_1976, BgL_rbasez00_1987);
													BgL_cpathz00_1991 =
														STRING_REF(BgL_pathz00_1977, BgL_rpathz00_1986);
													{	/* BackEnd/jvm.scm 140 */
														bool_t BgL_test2143z00_3409;

														if ((BgL_cbasez00_1990 == BgL_cpathz00_1991))
															{	/* BackEnd/jvm.scm 140 */
																BgL_test2143z00_3409 = ((bool_t) 1);
															}
														else
															{	/* BackEnd/jvm.scm 140 */
																if (
																	(BgL_cpathz00_1991 == ((unsigned char) '/')))
																	{	/* BackEnd/jvm.scm 141 */
																		BgL_test2143z00_3409 =
																			(BgL_cbasez00_1990 ==
																			((unsigned char) '.'));
																	}
																else
																	{	/* BackEnd/jvm.scm 141 */
																		BgL_test2143z00_3409 = ((bool_t) 0);
																	}
															}
														if (BgL_test2143z00_3409)
															{
																long BgL_rbasez00_3417;
																long BgL_rpathz00_3415;

																BgL_rpathz00_3415 = (BgL_rpathz00_1986 - 1L);
																BgL_rbasez00_3417 = (BgL_rbasez00_1987 - 1L);
																BgL_rbasez00_1987 = BgL_rbasez00_3417;
																BgL_rpathz00_1986 = BgL_rpathz00_3415;
																goto BgL_zc3z04anonymousza31520ze3z87_1988;
															}
														else
															{	/* BackEnd/jvm.scm 140 */
																BgL_test2140z00_3400 = ((bool_t) 0);
															}
													}
												}
										}
								}
								if (BgL_test2140z00_3400)
									{	/* BackEnd/jvm.scm 154 */
										return BFALSE;
									}
								else
									{	/* BackEnd/jvm.scm 155 */
										obj_t BgL_list1482z00_1964;

										{	/* BackEnd/jvm.scm 155 */
											obj_t BgL_arg1484z00_1965;

											{	/* BackEnd/jvm.scm 155 */
												obj_t BgL_arg1487z00_1966;

												{	/* BackEnd/jvm.scm 155 */
													obj_t BgL_arg1489z00_1967;

													{	/* BackEnd/jvm.scm 155 */
														obj_t BgL_arg1490z00_1968;

														{	/* BackEnd/jvm.scm 155 */
															obj_t BgL_arg1506z00_1969;

															{	/* BackEnd/jvm.scm 155 */
																obj_t BgL_arg1511z00_1970;

																{	/* BackEnd/jvm.scm 155 */
																	obj_t BgL_arg1512z00_1971;

																	BgL_arg1512z00_1971 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2029z00zzbackend_jvmz00, BNIL);
																	BgL_arg1511z00_1970 =
																		MAKE_YOUNG_PAIR(BgL_pathz00_5,
																		BgL_arg1512z00_1971);
																}
																BgL_arg1506z00_1969 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2030z00zzbackend_jvmz00,
																	BgL_arg1511z00_1970);
															}
															BgL_arg1490z00_1968 =
																MAKE_YOUNG_PAIR(BgL_basez00_1961,
																BgL_arg1506z00_1969);
														}
														BgL_arg1489z00_1967 =
															MAKE_YOUNG_PAIR(BGl_string2031z00zzbackend_jvmz00,
															BgL_arg1490z00_1968);
													}
													BgL_arg1487z00_1966 =
														MAKE_YOUNG_PAIR
														(BGl_za2moduleza2z00zzmodule_modulez00,
														BgL_arg1489z00_1967);
												}
												BgL_arg1484z00_1965 =
													MAKE_YOUNG_PAIR(BGl_string2032z00zzbackend_jvmz00,
													BgL_arg1487z00_1966);
											}
											BgL_list1482z00_1964 =
												MAKE_YOUNG_PAIR(BGl_string2033z00zzbackend_jvmz00,
												BgL_arg1484z00_1965);
										}
										return BGl_warningz00zz__errorz00(BgL_list1482z00_1964);
									}
							}
						}
					}
				}
			}
		}

	}



/* jvmasdump */
	obj_t BGl_jvmasdumpz00zzbackend_jvmz00(obj_t BgL_classfilez00_6,
		obj_t BgL_portz00_7)
	{
		{	/* BackEnd/jvm.scm 161 */
			{	/* BackEnd/jvm.scm 162 */
				obj_t BgL_owz00_2002;
				obj_t BgL_ocz00_2003;

				BgL_owz00_2002 = BGl_za2ppzd2widthza2zd2zz__ppz00;
				BgL_ocz00_2003 = BGl_za2ppzd2caseza2zd2zz__ppz00;
				BGl_za2ppzd2widthza2zd2zz__ppz00 = BINT(10240L);
				BGl_za2ppzd2caseza2zd2zz__ppz00 = ((obj_t) CNST_TABLE_REF(6));
				{	/* BackEnd/jvm.scm 165 */
					obj_t BgL_list1533z00_2004;

					BgL_list1533z00_2004 = MAKE_YOUNG_PAIR(BgL_portz00_7, BNIL);
					BGl_ppz00zz__ppz00(BgL_classfilez00_6, BgL_list1533z00_2004);
				}
				BGl_za2ppzd2caseza2zd2zz__ppz00 = BgL_ocz00_2003;
				return (BGl_za2ppzd2widthza2zd2zz__ppz00 = BgL_owz00_2002, BUNSPEC);
			}
		}

	}



/* addsuffix */
	obj_t BGl_addsuffixz00zzbackend_jvmz00(obj_t BgL_namez00_8)
	{
		{	/* BackEnd/jvm.scm 169 */
			{	/* BackEnd/jvm.scm 171 */
				obj_t BgL_arg1535z00_2005;

				{	/* BackEnd/jvm.scm 171 */
					obj_t BgL_casezd2valuezd2_2006;

					BgL_casezd2valuezd2_2006 = BGl_za2passza2z00zzengine_paramz00;
					if ((BgL_casezd2valuezd2_2006 == ((obj_t) CNST_TABLE_REF(7))))
						{	/* BackEnd/jvm.scm 171 */
							BgL_arg1535z00_2005 = BGl_string2034z00zzbackend_jvmz00;
						}
					else
						{	/* BackEnd/jvm.scm 171 */
							if ((BgL_casezd2valuezd2_2006 == ((obj_t) CNST_TABLE_REF(8))))
								{	/* BackEnd/jvm.scm 171 */
									BgL_arg1535z00_2005 = BGl_string2035z00zzbackend_jvmz00;
								}
							else
								{	/* BackEnd/jvm.scm 171 */
									BgL_arg1535z00_2005 = BGl_string2036z00zzbackend_jvmz00;
								}
						}
				}
				return string_append(BgL_namez00_8, BgL_arg1535z00_2005);
			}
		}

	}



/* jasname */
	obj_t BGl_jasnamez00zzbackend_jvmz00(obj_t BgL_cfz00_9)
	{
		{	/* BackEnd/jvm.scm 179 */
			if (PAIRP(BgL_cfz00_9))
				{	/* BackEnd/jvm.scm 180 */
					obj_t BgL_carzd2139zd2_2011;

					BgL_carzd2139zd2_2011 = CAR(((obj_t) BgL_cfz00_9));
					if (PAIRP(BgL_carzd2139zd2_2011))
						{	/* BackEnd/jvm.scm 180 */
							obj_t BgL_cdrzd2143zd2_2013;

							BgL_cdrzd2143zd2_2013 = CDR(BgL_carzd2139zd2_2011);
							if ((CAR(BgL_carzd2139zd2_2011) == ((obj_t) CNST_TABLE_REF(9))))
								{	/* BackEnd/jvm.scm 180 */
									if (PAIRP(BgL_cdrzd2143zd2_2013))
										{	/* BackEnd/jvm.scm 180 */
											if (NULLP(CDR(BgL_cdrzd2143zd2_2013)))
												{	/* BackEnd/jvm.scm 180 */
													obj_t BgL_arg1558z00_2019;

													BgL_arg1558z00_2019 = CAR(BgL_cdrzd2143zd2_2013);
													{	/* BackEnd/jvm.scm 182 */
														obj_t BgL_arg1577z00_2732;

														{	/* BackEnd/jvm.scm 182 */
															obj_t BgL_arg1486z00_2734;

															BgL_arg1486z00_2734 =
																SYMBOL_TO_STRING(((obj_t) BgL_arg1558z00_2019));
															BgL_arg1577z00_2732 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1486z00_2734);
														}
														return
															BGl_addsuffixz00zzbackend_jvmz00
															(BgL_arg1577z00_2732);
													}
												}
											else
												{	/* BackEnd/jvm.scm 180 */
													return BFALSE;
												}
										}
									else
										{	/* BackEnd/jvm.scm 180 */
											return BFALSE;
										}
								}
							else
								{	/* BackEnd/jvm.scm 180 */
									return BFALSE;
								}
						}
					else
						{	/* BackEnd/jvm.scm 180 */
							return BFALSE;
						}
				}
			else
				{	/* BackEnd/jvm.scm 180 */
					return BFALSE;
				}
		}

	}



/* jvm-filename */
	obj_t BGl_jvmzd2filenamezd2zzbackend_jvmz00(obj_t BgL_namez00_10)
	{
		{	/* BackEnd/jvm.scm 187 */
			if (STRINGP(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00))
				{	/* BackEnd/jvm.scm 189 */
					bool_t BgL_test2154z00_3469;

					{	/* BackEnd/jvm.scm 189 */
						long BgL_l1z00_2738;

						BgL_l1z00_2738 = STRING_LENGTH(BgL_namez00_10);
						if ((BgL_l1z00_2738 == 1L))
							{	/* BackEnd/jvm.scm 189 */
								int BgL_arg1343z00_2741;

								{	/* BackEnd/jvm.scm 189 */
									char *BgL_auxz00_3475;
									char *BgL_tmpz00_3473;

									BgL_auxz00_3475 =
										BSTRING_TO_STRING(BGl_string2025z00zzbackend_jvmz00);
									BgL_tmpz00_3473 = BSTRING_TO_STRING(BgL_namez00_10);
									BgL_arg1343z00_2741 =
										memcmp(BgL_tmpz00_3473, BgL_auxz00_3475, BgL_l1z00_2738);
								}
								BgL_test2154z00_3469 = ((long) (BgL_arg1343z00_2741) == 0L);
							}
						else
							{	/* BackEnd/jvm.scm 189 */
								BgL_test2154z00_3469 = ((bool_t) 0);
							}
					}
					if (BgL_test2154z00_3469)
						{	/* BackEnd/jvm.scm 189 */
							return BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;
						}
					else
						{	/* BackEnd/jvm.scm 189 */
							return
								BGl_makezd2filezd2namez00zz__osz00
								(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00, BgL_namez00_10);
						}
				}
			else
				{	/* BackEnd/jvm.scm 188 */
					return BgL_namez00_10;
				}
		}

	}



/* jvm-dirname */
	obj_t BGl_jvmzd2dirnamezd2zzbackend_jvmz00(obj_t BgL_filez00_11)
	{
		{	/* BackEnd/jvm.scm 197 */
			{	/* BackEnd/jvm.scm 198 */
				obj_t BgL_dfilez00_2025;

				BgL_dfilez00_2025 = BGl_dirnamez00zz__osz00(BgL_filez00_11);
				{	/* BackEnd/jvm.scm 198 */
					obj_t BgL_dirz00_2026;

					BgL_dirz00_2026 =
						BGl_jvmzd2filenamezd2zzbackend_jvmz00(BgL_dfilez00_2025);
					{	/* BackEnd/jvm.scm 199 */

						{	/* BackEnd/jvm.scm 200 */
							bool_t BgL_test2156z00_3483;

							{	/* BackEnd/jvm.scm 200 */
								bool_t BgL_test2157z00_3484;

								{	/* BackEnd/jvm.scm 200 */
									long BgL_l1z00_2749;

									BgL_l1z00_2749 = STRING_LENGTH(BgL_dfilez00_2025);
									if ((BgL_l1z00_2749 == 0L))
										{	/* BackEnd/jvm.scm 200 */
											int BgL_arg1343z00_2752;

											{	/* BackEnd/jvm.scm 200 */
												char *BgL_auxz00_3490;
												char *BgL_tmpz00_3488;

												BgL_auxz00_3490 =
													BSTRING_TO_STRING(BGl_string2028z00zzbackend_jvmz00);
												BgL_tmpz00_3488 = BSTRING_TO_STRING(BgL_dfilez00_2025);
												BgL_arg1343z00_2752 =
													memcmp(BgL_tmpz00_3488, BgL_auxz00_3490,
													BgL_l1z00_2749);
											}
											BgL_test2157z00_3484 =
												((long) (BgL_arg1343z00_2752) == 0L);
										}
									else
										{	/* BackEnd/jvm.scm 200 */
											BgL_test2157z00_3484 = ((bool_t) 0);
										}
								}
								if (BgL_test2157z00_3484)
									{	/* BackEnd/jvm.scm 200 */
										BgL_test2156z00_3483 = ((bool_t) 0);
									}
								else
									{	/* BackEnd/jvm.scm 200 */
										if (bgl_directoryp(BSTRING_TO_STRING(BgL_dfilez00_2025)))
											{	/* BackEnd/jvm.scm 201 */
												BgL_test2156z00_3483 = ((bool_t) 0);
											}
										else
											{	/* BackEnd/jvm.scm 201 */
												if (fexists(BSTRING_TO_STRING(BgL_dfilez00_2025)))
													{	/* BackEnd/jvm.scm 202 */
														BgL_test2156z00_3483 = ((bool_t) 0);
													}
												else
													{	/* BackEnd/jvm.scm 203 */
														bool_t BgL__ortest_1142z00_2036;

														if (STRINGP
															(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00))
															{	/* BackEnd/jvm.scm 203 */
																BgL__ortest_1142z00_2036 = ((bool_t) 0);
															}
														else
															{	/* BackEnd/jvm.scm 203 */
																BgL__ortest_1142z00_2036 = ((bool_t) 1);
															}
														if (BgL__ortest_1142z00_2036)
															{	/* BackEnd/jvm.scm 203 */
																BgL_test2156z00_3483 = BgL__ortest_1142z00_2036;
															}
														else
															{	/* BackEnd/jvm.scm 203 */
																BgL_test2156z00_3483 =
																	bgl_directoryp(BSTRING_TO_STRING
																	(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00));
															}
													}
											}
									}
							}
							if (BgL_test2156z00_3483)
								{	/* BackEnd/jvm.scm 200 */
									BGl_makezd2directorieszd2zz__r4_ports_6_10_1z00
										(BgL_dirz00_2026);
								}
							else
								{	/* BackEnd/jvm.scm 200 */
									((bool_t) 0);
								}
						}
						return BgL_dirz00_2026;
					}
				}
			}
		}

	}



/* &start-jvm-emission! */
	obj_t BGl_z62startzd2jvmzd2emissionz12z70zzbackend_jvmz00(obj_t
		BgL_envz00_2975)
	{
		{	/* BackEnd/jvm.scm 212 */
			if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
				{	/* BackEnd/jvm.scm 215 */
					obj_t BgL_dnamez00_3050;

					BgL_dnamez00_3050 =
						BGl_dirnamez00zz__osz00(BGl_za2destza2z00zzengine_paramz00);
					{	/* BackEnd/jvm.scm 216 */
						bool_t BgL_test2164z00_3510;

						{	/* BackEnd/jvm.scm 216 */
							long BgL_l1z00_3051;

							BgL_l1z00_3051 = STRING_LENGTH(BgL_dnamez00_3050);
							if ((BgL_l1z00_3051 == 0L))
								{	/* BackEnd/jvm.scm 216 */
									int BgL_arg1343z00_3052;

									{	/* BackEnd/jvm.scm 216 */
										char *BgL_auxz00_3516;
										char *BgL_tmpz00_3514;

										BgL_auxz00_3516 =
											BSTRING_TO_STRING(BGl_string2028z00zzbackend_jvmz00);
										BgL_tmpz00_3514 = BSTRING_TO_STRING(BgL_dnamez00_3050);
										BgL_arg1343z00_3052 =
											memcmp(BgL_tmpz00_3514, BgL_auxz00_3516, BgL_l1z00_3051);
									}
									BgL_test2164z00_3510 = ((long) (BgL_arg1343z00_3052) == 0L);
								}
							else
								{	/* BackEnd/jvm.scm 216 */
									BgL_test2164z00_3510 = ((bool_t) 0);
								}
						}
						if (BgL_test2164z00_3510)
							{	/* BackEnd/jvm.scm 216 */
								BFALSE;
							}
						else
							{	/* BackEnd/jvm.scm 216 */
								BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 =
									BGl_jvmzd2dirnamezd2zzbackend_jvmz00
									(BGl_za2destza2z00zzengine_paramz00);
							}
					}
				}
			else
				{	/* BackEnd/jvm.scm 214 */
					if (
						(BGl_za2passza2z00zzengine_paramz00 ==
							((obj_t) CNST_TABLE_REF(10))))
						{	/* BackEnd/jvm.scm 218 */
							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* BackEnd/jvm.scm 219 */
									BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 =
										BGl_jvmzd2dirnamezd2zzbackend_jvmz00(CAR
										(BGl_za2srczd2filesza2zd2zzengine_paramz00));
								}
							else
								{	/* BackEnd/jvm.scm 219 */
									BFALSE;
								}
						}
					else
						{	/* BackEnd/jvm.scm 218 */
							BFALSE;
						}
				}
			{	/* BackEnd/jvm.scm 221 */
				bool_t BgL_test2168z00_3530;

				if (fexists(BSTRING_TO_STRING
						(BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00)))
					{	/* BackEnd/jvm.scm 221 */
						BgL_test2168z00_3530 =
							bgl_directoryp(BSTRING_TO_STRING
							(BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00));
					}
				else
					{	/* BackEnd/jvm.scm 221 */
						BgL_test2168z00_3530 = ((bool_t) 0);
					}
				if (BgL_test2168z00_3530)
					{	/* BackEnd/jvm.scm 221 */
						return BTRUE;
					}
				else
					{	/* BackEnd/jvm.scm 221 */
						return
							BGl_errorz00zz__errorz00(BGl_string2037z00zzbackend_jvmz00,
							BGl_string2038z00zzbackend_jvmz00,
							BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00);
					}
			}
		}

	}



/* make-tmp-file-name */
	obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_jvmz00(void)
	{
		{	/* BackEnd/jvm.scm 256 */
			return
				string_append(BGl_string2039z00zzbackend_jvmz00,
				BGl_string2040z00zzbackend_jvmz00);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_jvmz00(void)
	{
		{	/* BackEnd/jvm.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_jvmz00(void)
	{
		{	/* BackEnd/jvm.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_jvmz00(void)
	{
		{	/* BackEnd/jvm.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2041z00zzbackend_jvmz00,
				BGl_string2042z00zzbackend_jvmz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2043z00zzbackend_jvmz00,
				BGl_string2044z00zzbackend_jvmz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2045z00zzbackend_jvmz00,
				BGl_string2046z00zzbackend_jvmz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2047z00zzbackend_jvmz00,
				BGl_string2048z00zzbackend_jvmz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2049z00zzbackend_jvmz00,
				BGl_string2050z00zzbackend_jvmz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2051z00zzbackend_jvmz00,
				BGl_string2052z00zzbackend_jvmz00);
		}

	}



/* &backend-subtype?-jvm1443 */
	obj_t BGl_z62backendzd2subtypezf3zd2jvm1443z91zzbackend_jvmz00(obj_t
		BgL_envz00_2988, obj_t BgL_bz00_2989, obj_t BgL_t1z00_2990,
		obj_t BgL_t2z00_2991)
	{
		{	/* BackEnd/jvm.scm 368 */
			{	/* BackEnd/jvm.scm 369 */
				bool_t BgL__ortest_1151z00_3054;

				BgL__ortest_1151z00_3054 = (BgL_t1z00_2990 == BgL_t2z00_2991);
				if (BgL__ortest_1151z00_3054)
					{	/* BackEnd/jvm.scm 369 */
						return BBOOL(BgL__ortest_1151z00_3054);
					}
				else
					{	/* BackEnd/jvm.scm 370 */
						bool_t BgL__ortest_1152z00_3055;

						BgL__ortest_1152z00_3055 =
							(
							(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_t1z00_2990)))->BgL_idz00) ==
							(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_t2z00_2991)))->BgL_idz00));
						if (BgL__ortest_1152z00_3055)
							{	/* BackEnd/jvm.scm 370 */
								return BBOOL(BgL__ortest_1152z00_3055);
							}
						else
							{	/* BackEnd/jvm.scm 371 */
								bool_t BgL__ortest_1153z00_3056;

								{	/* BackEnd/jvm.scm 371 */
									bool_t BgL_test2172z00_3554;

									{	/* BackEnd/jvm.scm 371 */
										obj_t BgL_classz00_3057;

										BgL_classz00_3057 = BGl_tclassz00zzobject_classz00;
										if (BGL_OBJECTP(BgL_t1z00_2990))
											{	/* BackEnd/jvm.scm 371 */
												BgL_objectz00_bglt BgL_arg1858z00_3058;

												BgL_arg1858z00_3058 =
													(BgL_objectz00_bglt) (BgL_t1z00_2990);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* BackEnd/jvm.scm 371 */
														long BgL_idxz00_3059;

														BgL_idxz00_3059 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3058);
														BgL_test2172z00_3554 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3059 + 2L)) == BgL_classz00_3057);
													}
												else
													{	/* BackEnd/jvm.scm 371 */
														bool_t BgL_res2003z00_3062;

														{	/* BackEnd/jvm.scm 371 */
															obj_t BgL_oclassz00_3063;

															{	/* BackEnd/jvm.scm 371 */
																obj_t BgL_arg1866z00_3064;
																long BgL_arg1867z00_3065;

																BgL_arg1866z00_3064 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* BackEnd/jvm.scm 371 */
																	long BgL_arg1869z00_3066;

																	BgL_arg1869z00_3066 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3058);
																	BgL_arg1867z00_3065 =
																		(BgL_arg1869z00_3066 - OBJECT_TYPE);
																}
																BgL_oclassz00_3063 =
																	VECTOR_REF(BgL_arg1866z00_3064,
																	BgL_arg1867z00_3065);
															}
															{	/* BackEnd/jvm.scm 371 */
																bool_t BgL__ortest_1115z00_3067;

																BgL__ortest_1115z00_3067 =
																	(BgL_classz00_3057 == BgL_oclassz00_3063);
																if (BgL__ortest_1115z00_3067)
																	{	/* BackEnd/jvm.scm 371 */
																		BgL_res2003z00_3062 =
																			BgL__ortest_1115z00_3067;
																	}
																else
																	{	/* BackEnd/jvm.scm 371 */
																		long BgL_odepthz00_3068;

																		{	/* BackEnd/jvm.scm 371 */
																			obj_t BgL_arg1855z00_3069;

																			BgL_arg1855z00_3069 =
																				(BgL_oclassz00_3063);
																			BgL_odepthz00_3068 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3069);
																		}
																		if ((2L < BgL_odepthz00_3068))
																			{	/* BackEnd/jvm.scm 371 */
																				obj_t BgL_arg1853z00_3070;

																				{	/* BackEnd/jvm.scm 371 */
																					obj_t BgL_arg1854z00_3071;

																					BgL_arg1854z00_3071 =
																						(BgL_oclassz00_3063);
																					BgL_arg1853z00_3070 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3071, 2L);
																				}
																				BgL_res2003z00_3062 =
																					(BgL_arg1853z00_3070 ==
																					BgL_classz00_3057);
																			}
																		else
																			{	/* BackEnd/jvm.scm 371 */
																				BgL_res2003z00_3062 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2172z00_3554 = BgL_res2003z00_3062;
													}
											}
										else
											{	/* BackEnd/jvm.scm 371 */
												BgL_test2172z00_3554 = ((bool_t) 0);
											}
									}
									if (BgL_test2172z00_3554)
										{	/* BackEnd/jvm.scm 371 */
											BgL__ortest_1153z00_3056 =
												(
												(((BgL_typez00_bglt) COBJECT(
															((BgL_typez00_bglt) BgL_t2z00_2991)))->
													BgL_idz00) == ((obj_t) CNST_TABLE_REF(11)));
										}
									else
										{	/* BackEnd/jvm.scm 371 */
											BgL__ortest_1153z00_3056 = ((bool_t) 0);
										}
								}
								if (BgL__ortest_1153z00_3056)
									{	/* BackEnd/jvm.scm 371 */
										return BBOOL(BgL__ortest_1153z00_3056);
									}
								else
									{	/* BackEnd/jvm.scm 372 */
										bool_t BgL__ortest_1154z00_3072;

										BgL__ortest_1154z00_3072 =
											(
											(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt) BgL_t2z00_2991)))->
												BgL_namez00) == ((obj_t) CNST_TABLE_REF(12)));
										if (BgL__ortest_1154z00_3072)
											{	/* BackEnd/jvm.scm 372 */
												return BBOOL(BgL__ortest_1154z00_3072);
											}
										else
											{	/* BackEnd/jvm.scm 373 */
												bool_t BgL__ortest_1155z00_3073;

												BgL__ortest_1155z00_3073 =
													(
													(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_t1z00_2990)))->
														BgL_namez00) ==
													(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
																	BgL_t2z00_2991)))->BgL_namez00));
												if (BgL__ortest_1155z00_3073)
													{	/* BackEnd/jvm.scm 373 */
														return BBOOL(BgL__ortest_1155z00_3073);
													}
												else
													{	/* BackEnd/jvm.scm 374 */
														obj_t BgL__ortest_1156z00_3074;

														BgL__ortest_1156z00_3074 =
															BGl_iszd2subtypezf3z21zztype_typeofz00
															(BgL_t1z00_2990, BgL_t2z00_2991);
														if (CBOOL(BgL__ortest_1156z00_3074))
															{	/* BackEnd/jvm.scm 374 */
																return BgL__ortest_1156z00_3074;
															}
														else
															{	/* BackEnd/jvm.scm 374 */
																return
																	BBOOL(BGl_subzd2typezf3z21zztype_envz00(
																		((BgL_typez00_bglt) BgL_t1z00_2990),
																		((BgL_typez00_bglt) BgL_t2z00_2991)));
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* &backend-check-inline1441 */
	obj_t BGl_z62backendzd2checkzd2inline1441z62zzbackend_jvmz00(obj_t
		BgL_envz00_2992, obj_t BgL_mez00_2993)
	{
		{	/* BackEnd/jvm.scm 362 */
			if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
				{	/* BackEnd/jvm.scm 363 */
					return BFALSE;
				}
			else
				{	/* BackEnd/jvm.scm 363 */
					return BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00();
				}
		}

	}



/* &backend-link-objects1439 */
	obj_t BGl_z62backendzd2linkzd2objects1439z62zzbackend_jvmz00(obj_t
		BgL_envz00_2994, obj_t BgL_mez00_2995, obj_t BgL_sourcesz00_2996)
	{
		{	/* BackEnd/jvm.scm 262 */
			if (NULLP(BgL_sourcesz00_2996))
				{	/* BackEnd/jvm.scm 267 */
					obj_t BgL_firstz00_3077;

					BgL_firstz00_3077 =
						BGl_prefixz00zz__osz00(CAR
						(BGl_za2ozd2filesza2zd2zzengine_paramz00));
					{	/* BackEnd/jvm.scm 268 */
						obj_t BgL_list1768z00_3078;

						{	/* BackEnd/jvm.scm 268 */
							obj_t BgL_arg1770z00_3079;

							{	/* BackEnd/jvm.scm 268 */
								obj_t BgL_arg1772z00_3080;

								{	/* BackEnd/jvm.scm 268 */
									obj_t BgL_arg1776z00_3081;

									BgL_arg1776z00_3081 =
										MAKE_YOUNG_PAIR(BGl_za2ozd2filesza2zd2zzengine_paramz00,
										BNIL);
									BgL_arg1772z00_3080 =
										MAKE_YOUNG_PAIR(BGl_string2053z00zzbackend_jvmz00,
										BgL_arg1776z00_3081);
								}
								BgL_arg1770z00_3079 =
									MAKE_YOUNG_PAIR(BGl_string2054z00zzbackend_jvmz00,
									BgL_arg1772z00_3080);
							}
							BgL_list1768z00_3078 =
								MAKE_YOUNG_PAIR(BGl_string2055z00zzbackend_jvmz00,
								BgL_arg1770z00_3079);
						}
						BGl_warningz00zz__errorz00(BgL_list1768z00_3078);
					}
					BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
					BGl_readzd2jfilezd2zzread_jvmz00();
					return BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(BFALSE);
				}
			else
				{
					obj_t BgL_sourcesz00_3083;
					obj_t BgL_clsz00_3084;
					obj_t BgL_mainzd2modulezd2_3085;
					obj_t BgL_mainz00_3086;
					obj_t BgL_fmainz00_3087;
					obj_t BgL_librariesz00_3088;

					BgL_sourcesz00_3083 = BgL_sourcesz00_2996;
					BgL_clsz00_3084 = BNIL;
					BgL_mainzd2modulezd2_3085 = BFALSE;
					BgL_mainz00_3086 = BFALSE;
					BgL_fmainz00_3087 = BGl_string2028z00zzbackend_jvmz00;
					BgL_librariesz00_3088 = BNIL;
				BgL_loopz00_3082:
					if (NULLP(BgL_sourcesz00_3083))
						{	/* BackEnd/jvm.scm 279 */
							if (CBOOL(BgL_mainz00_3086))
								{	/* BackEnd/jvm.scm 283 */
									obj_t BgL_firstz00_3089;

									BgL_firstz00_3089 =
										BGl_prefixz00zz__osz00(CAR
										(BGl_za2ozd2filesza2zd2zzengine_paramz00));
									{
										obj_t BgL_l1430z00_3091;

										BgL_l1430z00_3091 = BgL_librariesz00_3088;
									BgL_zc3z04anonymousza31785ze3z87_3090:
										if (PAIRP(BgL_l1430z00_3091))
											{	/* BackEnd/jvm.scm 286 */
												{	/* BackEnd/jvm.scm 287 */
													obj_t BgL_libz00_3092;

													BgL_libz00_3092 = CAR(BgL_l1430z00_3091);
													{
														obj_t BgL_clausesz00_3098;
														obj_t BgL_libsz00_3095;

														if (PAIRP(BgL_libz00_3092))
															{	/* BackEnd/jvm.scm 287 */
																if (
																	(CAR(
																			((obj_t) BgL_libz00_3092)) ==
																		((obj_t) CNST_TABLE_REF(13))))
																	{	/* BackEnd/jvm.scm 287 */
																		obj_t BgL_arg1796z00_3104;

																		BgL_arg1796z00_3104 =
																			CDR(((obj_t) BgL_libz00_3092));
																		BgL_libsz00_3095 = BgL_arg1796z00_3104;
																		{
																			obj_t BgL_l1421z00_3097;

																			BgL_l1421z00_3097 = BgL_libsz00_3095;
																		BgL_zc3z04anonymousza31802ze3z87_3096:
																			if (PAIRP(BgL_l1421z00_3097))
																				{	/* BackEnd/jvm.scm 289 */
																					BGl_usezd2libraryz12zc0zzmodule_alibraryz00
																						(CAR(BgL_l1421z00_3097));
																					{
																						obj_t BgL_l1421z00_3643;

																						BgL_l1421z00_3643 =
																							CDR(BgL_l1421z00_3097);
																						BgL_l1421z00_3097 =
																							BgL_l1421z00_3643;
																						goto
																							BgL_zc3z04anonymousza31802ze3z87_3096;
																					}
																				}
																			else
																				{	/* BackEnd/jvm.scm 289 */
																					((bool_t) 1);
																				}
																		}
																	}
																else
																	{	/* BackEnd/jvm.scm 287 */
																		if (
																			(CAR(
																					((obj_t) BgL_libz00_3092)) ==
																				((obj_t) CNST_TABLE_REF(14))))
																			{	/* BackEnd/jvm.scm 287 */
																				obj_t BgL_arg1799z00_3105;

																				BgL_arg1799z00_3105 =
																					CDR(((obj_t) BgL_libz00_3092));
																				BgL_clausesz00_3098 =
																					BgL_arg1799z00_3105;
																				{	/* BackEnd/jvm.scm 291 */
																					obj_t BgL_fun1429z00_3099;

																					{	/* BackEnd/jvm.scm 291 */
																						obj_t
																							BgL_zc3z04anonymousza31819ze3z87_3100;
																						{	/* BackEnd/jvm.scm 287 */
																							int BgL_tmpz00_3653;

																							BgL_tmpz00_3653 = (int) (0L);
																							BgL_zc3z04anonymousza31819ze3z87_3100
																								=
																								MAKE_EL_PROCEDURE
																								(BgL_tmpz00_3653);
																						}
																						BgL_fun1429z00_3099 =
																							BgL_zc3z04anonymousza31819ze3z87_3100;
																					}
																					{
																						obj_t BgL_l1427z00_3102;

																						BgL_l1427z00_3102 =
																							BgL_clausesz00_3098;
																					BgL_zc3z04anonymousza31811ze3z87_3101:
																						if (PAIRP
																							(BgL_l1427z00_3102))
																							{	/* BackEnd/jvm.scm 291 */
																								{	/* BackEnd/jvm.scm 291 */
																									obj_t BgL_arg1814z00_3103;

																									BgL_arg1814z00_3103 =
																										CAR(BgL_l1427z00_3102);
																									BGl_z62zc3z04anonymousza31819ze3ze5zzbackend_jvmz00
																										(BgL_fun1429z00_3099,
																										BgL_arg1814z00_3103);
																								}
																								{
																									obj_t BgL_l1427z00_3663;

																									BgL_l1427z00_3663 =
																										CDR(BgL_l1427z00_3102);
																									BgL_l1427z00_3102 =
																										BgL_l1427z00_3663;
																									goto
																										BgL_zc3z04anonymousza31811ze3z87_3101;
																								}
																							}
																						else
																							{	/* BackEnd/jvm.scm 291 */
																								((bool_t) 1);
																							}
																					}
																				}
																			}
																		else
																			{	/* BackEnd/jvm.scm 287 */
																				((bool_t) 0);
																			}
																	}
															}
														else
															{	/* BackEnd/jvm.scm 287 */
																((bool_t) 0);
															}
													}
												}
												{
													obj_t BgL_l1430z00_3665;

													BgL_l1430z00_3665 = CDR(BgL_l1430z00_3091);
													BgL_l1430z00_3091 = BgL_l1430z00_3665;
													goto BgL_zc3z04anonymousza31785ze3z87_3090;
												}
											}
										else
											{	/* BackEnd/jvm.scm 286 */
												((bool_t) 1);
											}
									}
									BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
									{	/* BackEnd/jvm.scm 299 */
										obj_t BgL_list1849z00_3106;

										BgL_list1849z00_3106 =
											MAKE_YOUNG_PAIR(BgL_fmainz00_3087, BNIL);
										BGl_za2srczd2filesza2zd2zzengine_paramz00 =
											BgL_list1849z00_3106;
									}
									BGl_readzd2jfilezd2zzread_jvmz00();
									return
										BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(BgL_mainzd2modulezd2_3085);
								}
							else
								{	/* BackEnd/jvm.scm 302 */
									obj_t BgL_tmpz00_3107;

									BgL_tmpz00_3107 =
										BGl_makezd2tmpzd2filezd2namezd2zzbackend_jvmz00();
									BGl_makezd2tmpzd2mainz00zzengine_linkz00(BgL_tmpz00_3107,
										CBOOL(BgL_mainz00_3086),
										bstring_to_symbol(BGl_string2039z00zzbackend_jvmz00),
										BgL_clsz00_3084, BgL_librariesz00_3088);
									{	/* BackEnd/jvm.scm 304 */
										obj_t BgL_list1853z00_3108;

										BgL_list1853z00_3108 =
											MAKE_YOUNG_PAIR(BgL_tmpz00_3107, BNIL);
										BGl_za2srczd2filesza2zd2zzengine_paramz00 =
											BgL_list1853z00_3108;
									}
									{
										obj_t BgL_raz00_3110;
										obj_t BgL_resz00_3111;

										BgL_raz00_3110 = BGl_za2restzd2argsza2zd2zzengine_paramz00;
										BgL_resz00_3111 = BNIL;
									BgL_liipz00_3109:
										if (NULLP(BgL_raz00_3110))
											{	/* BackEnd/jvm.scm 310 */
												BGl_za2restzd2argsza2zd2zzengine_paramz00 =
													bgl_reverse_bang(BgL_resz00_3111);
											}
										else
											{	/* BackEnd/jvm.scm 312 */
												bool_t BgL_test2192z00_3679;

												{	/* BackEnd/jvm.scm 312 */
													obj_t BgL_arg1876z00_3112;

													{	/* BackEnd/jvm.scm 312 */
														obj_t BgL_arg1878z00_3113;

														BgL_arg1878z00_3113 = CAR(((obj_t) BgL_raz00_3110));
														BgL_arg1876z00_3112 =
															BGl_suffixz00zz__osz00(BgL_arg1878z00_3113);
													}
													BgL_test2192z00_3679 =
														CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1876z00_3112,
															BGl_za2mcozd2suffixza2zd2zzengine_paramz00));
												}
												if (BgL_test2192z00_3679)
													{	/* BackEnd/jvm.scm 313 */
														obj_t BgL_arg1859z00_3114;

														BgL_arg1859z00_3114 = CDR(((obj_t) BgL_raz00_3110));
														{
															obj_t BgL_raz00_3687;

															BgL_raz00_3687 = BgL_arg1859z00_3114;
															BgL_raz00_3110 = BgL_raz00_3687;
															goto BgL_liipz00_3109;
														}
													}
												else
													{	/* BackEnd/jvm.scm 315 */
														obj_t BgL_arg1865z00_3115;
														obj_t BgL_arg1872z00_3116;

														BgL_arg1865z00_3115 = CDR(((obj_t) BgL_raz00_3110));
														{	/* BackEnd/jvm.scm 315 */
															obj_t BgL_arg1873z00_3117;

															BgL_arg1873z00_3117 =
																CAR(((obj_t) BgL_raz00_3110));
															BgL_arg1872z00_3116 =
																MAKE_YOUNG_PAIR(BgL_arg1873z00_3117,
																BgL_resz00_3111);
														}
														{
															obj_t BgL_resz00_3694;
															obj_t BgL_raz00_3693;

															BgL_raz00_3693 = BgL_arg1865z00_3115;
															BgL_resz00_3694 = BgL_arg1872z00_3116;
															BgL_resz00_3111 = BgL_resz00_3694;
															BgL_raz00_3110 = BgL_raz00_3693;
															goto BgL_liipz00_3109;
														}
													}
											}
									}
									{	/* BackEnd/jvm.scm 316 */
										obj_t BgL_exitd1146z00_3118;

										BgL_exitd1146z00_3118 = BGL_EXITD_TOP_AS_OBJ();
										{	/* BackEnd/jvm.scm 319 */
											obj_t BgL_zc3z04anonymousza31879ze3z87_3119;

											BgL_zc3z04anonymousza31879ze3z87_3119 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31879ze3ze5zzbackend_jvmz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31879ze3z87_3119,
												(int) (0L), BgL_tmpz00_3107);
											{	/* BackEnd/jvm.scm 316 */
												obj_t BgL_arg1881z00_3120;

												{	/* BackEnd/jvm.scm 316 */
													obj_t BgL_arg1883z00_3121;

													BgL_arg1883z00_3121 =
														BGL_EXITD_PROTECT(BgL_exitd1146z00_3118);
													BgL_arg1881z00_3120 =
														MAKE_YOUNG_PAIR
														(BgL_zc3z04anonymousza31879ze3z87_3119,
														BgL_arg1883z00_3121);
												}
												BGL_EXITD_PROTECT_SET(BgL_exitd1146z00_3118,
													BgL_arg1881z00_3120);
												BUNSPEC;
											}
											{	/* BackEnd/jvm.scm 317 */
												obj_t BgL_tmp1148z00_3122;

												BgL_tmp1148z00_3122 =
													BGl_compilerz00zzengine_compilerz00();
												{	/* BackEnd/jvm.scm 316 */
													bool_t BgL_test2193z00_3705;

													{	/* BackEnd/jvm.scm 316 */
														obj_t BgL_arg1880z00_3123;

														BgL_arg1880z00_3123 =
															BGL_EXITD_PROTECT(BgL_exitd1146z00_3118);
														BgL_test2193z00_3705 = PAIRP(BgL_arg1880z00_3123);
													}
													if (BgL_test2193z00_3705)
														{	/* BackEnd/jvm.scm 316 */
															obj_t BgL_arg1877z00_3124;

															{	/* BackEnd/jvm.scm 316 */
																obj_t BgL_arg1879z00_3125;

																BgL_arg1879z00_3125 =
																	BGL_EXITD_PROTECT(BgL_exitd1146z00_3118);
																BgL_arg1877z00_3124 =
																	CDR(((obj_t) BgL_arg1879z00_3125));
															}
															BGL_EXITD_PROTECT_SET(BgL_exitd1146z00_3118,
																BgL_arg1877z00_3124);
															BUNSPEC;
														}
													else
														{	/* BackEnd/jvm.scm 316 */
															BFALSE;
														}
												}
												BGl_z62zc3z04anonymousza31879ze3ze5zzbackend_jvmz00
													(BgL_zc3z04anonymousza31879ze3z87_3119);
												BgL_tmp1148z00_3122;
											}
										}
									}
									return BINT(0L);
								}
						}
					else
						{	/* BackEnd/jvm.scm 325 */
							obj_t BgL_portz00_3126;

							{	/* BackEnd/jvm.scm 325 */
								obj_t BgL_arg1912z00_3127;

								{	/* BackEnd/jvm.scm 325 */
									obj_t BgL_pairz00_3128;

									BgL_pairz00_3128 = CAR(((obj_t) BgL_sourcesz00_3083));
									BgL_arg1912z00_3127 = CAR(BgL_pairz00_3128);
								}
								{	/* BackEnd/jvm.scm 325 */

									BgL_portz00_3126 =
										BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
										(BgL_arg1912z00_3127, BTRUE, BINT(5000000L));
								}
							}
							if (INPUT_PORTP(BgL_portz00_3126))
								{	/* BackEnd/jvm.scm 328 */
									obj_t BgL_expz00_3129;

									{	/* BackEnd/jvm.scm 328 */
										obj_t BgL_list1910z00_3130;

										BgL_list1910z00_3130 =
											MAKE_YOUNG_PAIR(BgL_portz00_3126, BNIL);
										BgL_expz00_3129 =
											BGl_compilerzd2readzd2zzread_readerz00
											(BgL_list1910z00_3130);
									}
									bgl_close_input_port(BgL_portz00_3126);
									{
										obj_t BgL_namez00_3133;

										if (PAIRP(BgL_expz00_3129))
											{	/* BackEnd/jvm.scm 330 */
												obj_t BgL_cdrzd2177zd2_3159;

												BgL_cdrzd2177zd2_3159 = CDR(((obj_t) BgL_expz00_3129));
												if (
													(CAR(
															((obj_t) BgL_expz00_3129)) ==
														((obj_t) CNST_TABLE_REF(15))))
													{	/* BackEnd/jvm.scm 330 */
														if (PAIRP(BgL_cdrzd2177zd2_3159))
															{	/* BackEnd/jvm.scm 330 */
																BgL_namez00_3133 = CAR(BgL_cdrzd2177zd2_3159);
																{	/* BackEnd/jvm.scm 332 */
																	obj_t BgL_libsz00_3134;
																	obj_t BgL_nmainz00_3135;

																	{	/* BackEnd/jvm.scm 332 */
																		obj_t BgL_arg1907z00_3136;

																		{	/* BackEnd/jvm.scm 332 */
																			obj_t BgL_pairz00_3137;

																			BgL_pairz00_3137 =
																				CDR(((obj_t) BgL_expz00_3129));
																			BgL_arg1907z00_3136 =
																				CDR(BgL_pairz00_3137);
																		}
																		BgL_libsz00_3134 =
																			BGl_findzd2librarieszd2zzengine_linkz00
																			(BgL_arg1907z00_3136);
																	}
																	{	/* BackEnd/jvm.scm 333 */
																		obj_t BgL_arg1908z00_3138;

																		{	/* BackEnd/jvm.scm 333 */
																			obj_t BgL_pairz00_3139;

																			BgL_pairz00_3139 =
																				CDR(((obj_t) BgL_expz00_3129));
																			BgL_arg1908z00_3138 =
																				CDR(BgL_pairz00_3139);
																		}
																		BgL_nmainz00_3135 =
																			BGl_findzd2mainzd2zzengine_linkz00
																			(BgL_arg1908z00_3138);
																	}
																	{	/* BackEnd/jvm.scm 337 */
																		obj_t BgL_arg1890z00_3140;

																		{	/* BackEnd/jvm.scm 337 */
																			obj_t BgL_arg1892z00_3141;

																			{	/* BackEnd/jvm.scm 337 */
																				obj_t BgL_arg1894z00_3142;

																				{	/* BackEnd/jvm.scm 337 */
																					obj_t BgL_arg1895z00_3143;

																					{	/* BackEnd/jvm.scm 337 */
																						obj_t BgL_pairz00_3144;

																						BgL_pairz00_3144 =
																							CAR(
																							((obj_t) BgL_sourcesz00_3083));
																						BgL_arg1895z00_3143 =
																							CDR(BgL_pairz00_3144);
																					}
																					BgL_arg1894z00_3142 =
																						BGl_prefixz00zz__osz00
																						(BgL_arg1895z00_3143);
																				}
																				BgL_arg1892z00_3141 =
																					BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00
																					(BgL_arg1894z00_3142);
																			}
																			BgL_arg1890z00_3140 =
																				BGl_stringzd2replacezd2zz__r4_strings_6_7z00
																				(BgL_arg1892z00_3141, FILE_SEPARATOR,
																				(char) (((unsigned char) '.')));
																		}
																		BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
																			(BgL_namez00_3133, BgL_arg1890z00_3140,
																			BNIL);
																	}
																	{	/* BackEnd/jvm.scm 340 */
																		obj_t BgL_arg1896z00_3145;
																		obj_t BgL_arg1897z00_3146;
																		obj_t BgL_arg1898z00_3147;
																		obj_t BgL_arg1899z00_3148;
																		obj_t BgL_arg1900z00_3149;
																		obj_t BgL_arg1901z00_3150;

																		BgL_arg1896z00_3145 =
																			CDR(((obj_t) BgL_sourcesz00_3083));
																		{	/* BackEnd/jvm.scm 343 */
																			obj_t BgL_arg1902z00_3151;

																			{	/* BackEnd/jvm.scm 343 */
																				obj_t BgL_arg1903z00_3152;

																				{	/* BackEnd/jvm.scm 343 */
																					obj_t BgL_arg1906z00_3153;

																					{	/* BackEnd/jvm.scm 343 */
																						obj_t BgL_pairz00_3154;

																						BgL_pairz00_3154 =
																							CAR(
																							((obj_t) BgL_sourcesz00_3083));
																						BgL_arg1906z00_3153 =
																							CAR(BgL_pairz00_3154);
																					}
																					BgL_arg1903z00_3152 =
																						string_append_3
																						(BGl_string2056z00zzbackend_jvmz00,
																						BgL_arg1906z00_3153,
																						BGl_string2056z00zzbackend_jvmz00);
																				}
																				{	/* BackEnd/jvm.scm 341 */
																					obj_t BgL_list1904z00_3155;

																					{	/* BackEnd/jvm.scm 341 */
																						obj_t BgL_arg1905z00_3156;

																						BgL_arg1905z00_3156 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1903z00_3152, BNIL);
																						BgL_list1904z00_3155 =
																							MAKE_YOUNG_PAIR(BgL_namez00_3133,
																							BgL_arg1905z00_3156);
																					}
																					BgL_arg1902z00_3151 =
																						BgL_list1904z00_3155;
																			}}
																			BgL_arg1897z00_3146 =
																				MAKE_YOUNG_PAIR(BgL_arg1902z00_3151,
																				BgL_clsz00_3084);
																		}
																		if (CBOOL(BgL_nmainz00_3135))
																			{	/* BackEnd/jvm.scm 345 */
																				BgL_arg1898z00_3147 = BgL_namez00_3133;
																			}
																		else
																			{	/* BackEnd/jvm.scm 345 */
																				BgL_arg1898z00_3147 =
																					BgL_mainzd2modulezd2_3085;
																			}
																		if (CBOOL(BgL_nmainz00_3135))
																			{	/* BackEnd/jvm.scm 346 */
																				BgL_arg1899z00_3148 = BgL_nmainz00_3135;
																			}
																		else
																			{	/* BackEnd/jvm.scm 346 */
																				BgL_arg1899z00_3148 = BgL_mainz00_3086;
																			}
																		if (CBOOL(BgL_nmainz00_3135))
																			{	/* BackEnd/jvm.scm 347 */
																				obj_t BgL_pairz00_3157;

																				BgL_pairz00_3157 =
																					CAR(((obj_t) BgL_sourcesz00_3083));
																				BgL_arg1900z00_3149 =
																					CAR(BgL_pairz00_3157);
																			}
																		else
																			{	/* BackEnd/jvm.scm 347 */
																				BgL_arg1900z00_3149 = BgL_fmainz00_3087;
																			}
																		BgL_arg1901z00_3150 =
																			BGl_appendzd221011zd2zzbackend_jvmz00
																			(BgL_libsz00_3134, BgL_librariesz00_3088);
																		{
																			obj_t BgL_librariesz00_3776;
																			obj_t BgL_fmainz00_3775;
																			obj_t BgL_mainz00_3774;
																			obj_t BgL_mainzd2modulezd2_3773;
																			obj_t BgL_clsz00_3772;
																			obj_t BgL_sourcesz00_3771;

																			BgL_sourcesz00_3771 = BgL_arg1896z00_3145;
																			BgL_clsz00_3772 = BgL_arg1897z00_3146;
																			BgL_mainzd2modulezd2_3773 =
																				BgL_arg1898z00_3147;
																			BgL_mainz00_3774 = BgL_arg1899z00_3148;
																			BgL_fmainz00_3775 = BgL_arg1900z00_3149;
																			BgL_librariesz00_3776 =
																				BgL_arg1901z00_3150;
																			BgL_librariesz00_3088 =
																				BgL_librariesz00_3776;
																			BgL_fmainz00_3087 = BgL_fmainz00_3775;
																			BgL_mainz00_3086 = BgL_mainz00_3774;
																			BgL_mainzd2modulezd2_3085 =
																				BgL_mainzd2modulezd2_3773;
																			BgL_clsz00_3084 = BgL_clsz00_3772;
																			BgL_sourcesz00_3083 = BgL_sourcesz00_3771;
																			goto BgL_loopz00_3082;
																		}
																	}
																}
															}
														else
															{	/* BackEnd/jvm.scm 330 */
															BgL_tagzd2172zd2_3132:
																{	/* BackEnd/jvm.scm 352 */
																	obj_t BgL_arg1909z00_3158;

																	BgL_arg1909z00_3158 =
																		CDR(((obj_t) BgL_sourcesz00_3083));
																	{
																		obj_t BgL_sourcesz00_3780;

																		BgL_sourcesz00_3780 = BgL_arg1909z00_3158;
																		BgL_sourcesz00_3083 = BgL_sourcesz00_3780;
																		goto BgL_loopz00_3082;
																	}
																}
															}
													}
												else
													{	/* BackEnd/jvm.scm 330 */
														goto BgL_tagzd2172zd2_3132;
													}
											}
										else
											{	/* BackEnd/jvm.scm 330 */
												goto BgL_tagzd2172zd2_3132;
											}
									}
								}
							else
								{	/* BackEnd/jvm.scm 327 */
									obj_t BgL_arg1911z00_3160;

									{	/* BackEnd/jvm.scm 327 */
										obj_t BgL_pairz00_3161;

										BgL_pairz00_3161 = CAR(((obj_t) BgL_sourcesz00_3083));
										BgL_arg1911z00_3160 = CAR(BgL_pairz00_3161);
									}
									return
										BGl_errorz00zz__errorz00(BGl_string2028z00zzbackend_jvmz00,
										BGl_string2057z00zzbackend_jvmz00, BgL_arg1911z00_3160);
								}
						}
				}
		}

	}



/* &<@anonymous:1819> */
	bool_t BGl_z62zc3z04anonymousza31819ze3ze5zzbackend_jvmz00(obj_t
		BgL_envz00_2997, obj_t BgL_ezd2165zd2_2998)
	{
		{	/* BackEnd/jvm.scm 291 */
			{
				obj_t BgL_libsz00_3163;

				if (PAIRP(BgL_ezd2165zd2_2998))
					{	/* BackEnd/jvm.scm 291 */
						if ((CAR(BgL_ezd2165zd2_2998) == ((obj_t) CNST_TABLE_REF(13))))
							{	/* BackEnd/jvm.scm 291 */
								BgL_libsz00_3163 = CDR(BgL_ezd2165zd2_2998);
								{
									obj_t BgL_l1423z00_3165;

									BgL_l1423z00_3165 = BgL_libsz00_3163;
								BgL_zc3z04anonymousza31830ze3z87_3164:
									if (PAIRP(BgL_l1423z00_3165))
										{	/* BackEnd/jvm.scm 293 */
											BGl_usezd2libraryz12zc0zzmodule_alibraryz00(CAR
												(BgL_l1423z00_3165));
											{
												obj_t BgL_l1423z00_3796;

												BgL_l1423z00_3796 = CDR(BgL_l1423z00_3165);
												BgL_l1423z00_3165 = BgL_l1423z00_3796;
												goto BgL_zc3z04anonymousza31830ze3z87_3164;
											}
										}
									else
										{	/* BackEnd/jvm.scm 293 */
											((bool_t) 1);
										}
								}
								{
									obj_t BgL_l1425z00_3167;

									BgL_l1425z00_3167 = BgL_libsz00_3163;
								BgL_zc3z04anonymousza31843ze3z87_3166:
									if (PAIRP(BgL_l1425z00_3167))
										{	/* BackEnd/jvm.scm 294 */
											BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(CAR
												(BgL_l1425z00_3167));
											{
												obj_t BgL_l1425z00_3802;

												BgL_l1425z00_3802 = CDR(BgL_l1425z00_3167);
												BgL_l1425z00_3167 = BgL_l1425z00_3802;
												goto BgL_zc3z04anonymousza31843ze3z87_3166;
											}
										}
									else
										{	/* BackEnd/jvm.scm 294 */
											return ((bool_t) 1);
										}
								}
							}
						else
							{	/* BackEnd/jvm.scm 291 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* BackEnd/jvm.scm 291 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &<@anonymous:1879> */
	obj_t BGl_z62zc3z04anonymousza31879ze3ze5zzbackend_jvmz00(obj_t
		BgL_envz00_2999)
	{
		{	/* BackEnd/jvm.scm 316 */
			{	/* BackEnd/jvm.scm 319 */
				obj_t BgL_tmpz00_3000;

				BgL_tmpz00_3000 = ((obj_t) PROCEDURE_REF(BgL_envz00_2999, (int) (0L)));
				{	/* BackEnd/jvm.scm 319 */
					bool_t BgL_tmpz00_3808;

					BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
					{	/* BackEnd/jvm.scm 320 */
						obj_t BgL_prez00_3168;

						BgL_prez00_3168 = BGl_prefixz00zz__osz00(BgL_tmpz00_3000);
						{	/* BackEnd/jvm.scm 320 */
							obj_t BgL_classzd2filezd2_3169;

							BgL_classzd2filezd2_3169 =
								string_append(BgL_prez00_3168,
								BGl_string2036z00zzbackend_jvmz00);
							{	/* BackEnd/jvm.scm 321 */

								if (fexists(BSTRING_TO_STRING(BgL_tmpz00_3000)))
									{	/* BackEnd/jvm.scm 323 */
										char *BgL_stringz00_3170;

										BgL_stringz00_3170 = BSTRING_TO_STRING(BgL_tmpz00_3000);
										if (unlink(BgL_stringz00_3170))
											{	/* BackEnd/jvm.scm 323 */
												BgL_tmpz00_3808 = ((bool_t) 0);
											}
										else
											{	/* BackEnd/jvm.scm 323 */
												BgL_tmpz00_3808 = ((bool_t) 1);
											}
									}
								else
									{	/* BackEnd/jvm.scm 322 */
										BgL_tmpz00_3808 = ((bool_t) 0);
									}
							}
						}
					}
					return BBOOL(BgL_tmpz00_3808);
				}
			}
		}

	}



/* &backend-cnst-table-n1437 */
	obj_t BGl_z62backendzd2cnstzd2tablezd2n1437zb0zzbackend_jvmz00(obj_t
		BgL_envz00_3001, obj_t BgL_mez00_3002, obj_t BgL_offsetz00_3003)
	{
		{	/* BackEnd/jvm.scm 238 */
			return BGl_string2058z00zzbackend_jvmz00;
		}

	}



/* &backend-link-jvm1435 */
	obj_t BGl_z62backendzd2linkzd2jvm1435z62zzbackend_jvmz00(obj_t
		BgL_envz00_3004, obj_t BgL_mez00_3005, obj_t BgL_resultz00_3006)
	{
		{	/* BackEnd/jvm.scm 231 */
			return BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(BFALSE);
		}

	}



/* &backend-compile-jvm1433 */
	obj_t BGl_z62backendzd2compilezd2jvm1433z62zzbackend_jvmz00(obj_t
		BgL_envz00_3007, obj_t BgL_mez00_3008)
	{
		{	/* BackEnd/jvm.scm 66 */
			{	/* BackEnd/jvm.scm 68 */
				obj_t BgL_list1598z00_3174;

				{	/* BackEnd/jvm.scm 68 */
					obj_t BgL_arg1605z00_3175;

					{	/* BackEnd/jvm.scm 68 */
						obj_t BgL_arg1611z00_3176;

						BgL_arg1611z00_3176 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1605z00_3175 =
							MAKE_YOUNG_PAIR(BGl_string2059z00zzbackend_jvmz00,
							BgL_arg1611z00_3176);
					}
					BgL_list1598z00_3174 =
						MAKE_YOUNG_PAIR(BGl_string2060z00zzbackend_jvmz00,
						BgL_arg1605z00_3175);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1598z00_3174);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2059z00zzbackend_jvmz00;
			{	/* BackEnd/jvm.scm 68 */
				obj_t BgL_g1116z00_3177;
				obj_t BgL_g1117z00_3178;

				{	/* BackEnd/jvm.scm 68 */
					obj_t BgL_list1633z00_3179;

					BgL_list1633z00_3179 =
						MAKE_YOUNG_PAIR
						(BGl_startzd2jvmzd2emissionz12zd2envzc0zzbackend_jvmz00, BNIL);
					BgL_g1116z00_3177 = BgL_list1633z00_3179;
				}
				BgL_g1117z00_3178 = ((obj_t) CNST_TABLE_REF(16));
				{
					obj_t BgL_hooksz00_3181;
					obj_t BgL_hnamesz00_3182;

					BgL_hooksz00_3181 = BgL_g1116z00_3177;
					BgL_hnamesz00_3182 = BgL_g1117z00_3178;
				BgL_loopz00_3180:
					if (NULLP(BgL_hooksz00_3181))
						{	/* BackEnd/jvm.scm 68 */
							((obj_t) CNST_TABLE_REF(17));
						}
					else
						{	/* BackEnd/jvm.scm 68 */
							bool_t BgL_test2208z00_3834;

							{	/* BackEnd/jvm.scm 68 */
								obj_t BgL_fun1632z00_3183;

								BgL_fun1632z00_3183 = CAR(((obj_t) BgL_hooksz00_3181));
								BgL_test2208z00_3834 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1632z00_3183));
							}
							if (BgL_test2208z00_3834)
								{	/* BackEnd/jvm.scm 68 */
									obj_t BgL_arg1625z00_3184;
									obj_t BgL_arg1626z00_3185;

									BgL_arg1625z00_3184 = CDR(((obj_t) BgL_hooksz00_3181));
									BgL_arg1626z00_3185 = CDR(((obj_t) BgL_hnamesz00_3182));
									{
										obj_t BgL_hnamesz00_3846;
										obj_t BgL_hooksz00_3845;

										BgL_hooksz00_3845 = BgL_arg1625z00_3184;
										BgL_hnamesz00_3846 = BgL_arg1626z00_3185;
										BgL_hnamesz00_3182 = BgL_hnamesz00_3846;
										BgL_hooksz00_3181 = BgL_hooksz00_3845;
										goto BgL_loopz00_3180;
									}
								}
							else
								{	/* BackEnd/jvm.scm 68 */
									obj_t BgL_arg1631z00_3186;

									BgL_arg1631z00_3186 = CAR(((obj_t) BgL_hnamesz00_3182));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2059z00zzbackend_jvmz00,
										BGl_string2061z00zzbackend_jvmz00, BgL_arg1631z00_3186);
								}
						}
				}
			}
			{	/* BackEnd/jvm.scm 70 */
				obj_t BgL_arg1635z00_3187;

				BgL_arg1635z00_3187 =
					BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
					(BGl_za2moduleza2z00zzmodule_modulez00);
				{	/* BackEnd/jvm.scm 69 */
					obj_t BgL_list1636z00_3188;

					{	/* BackEnd/jvm.scm 69 */
						obj_t BgL_arg1638z00_3189;

						{	/* BackEnd/jvm.scm 69 */
							obj_t BgL_arg1642z00_3190;

							{	/* BackEnd/jvm.scm 69 */
								obj_t BgL_arg1643z00_3191;

								{	/* BackEnd/jvm.scm 69 */
									obj_t BgL_arg1648z00_3192;

									{	/* BackEnd/jvm.scm 69 */
										obj_t BgL_arg1649z00_3193;

										BgL_arg1649z00_3193 =
											MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
										BgL_arg1648z00_3192 =
											MAKE_YOUNG_PAIR(BGl_string2062z00zzbackend_jvmz00,
											BgL_arg1649z00_3193);
									}
									BgL_arg1643z00_3191 =
										MAKE_YOUNG_PAIR(BgL_arg1635z00_3187, BgL_arg1648z00_3192);
								}
								BgL_arg1642z00_3190 =
									MAKE_YOUNG_PAIR(BGl_string2063z00zzbackend_jvmz00,
									BgL_arg1643z00_3191);
							}
							BgL_arg1638z00_3189 =
								MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00,
								BgL_arg1642z00_3190);
						}
						BgL_list1636z00_3188 =
							MAKE_YOUNG_PAIR(BGl_string2064z00zzbackend_jvmz00,
							BgL_arg1638z00_3189);
					}
					BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1636z00_3188);
			}}
			((((BgL_jvmz00_bglt) COBJECT(
							((BgL_jvmz00_bglt) BgL_mez00_3008)))->BgL_qnamez00) = ((obj_t)
					bstring_to_symbol(BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
						(BGl_za2moduleza2z00zzmodule_modulez00))), BUNSPEC);
			{	/* BackEnd/jvm.scm 75 */
				bool_t BgL_test2209z00_3864;

				if (CBOOL(BGl_za2mainza2z00zzmodule_modulez00))
					{	/* BackEnd/jvm.scm 75 */
						BgL_test2209z00_3864 = ((bool_t) 0);
					}
				else
					{	/* BackEnd/jvm.scm 75 */
						if (CBOOL(BGl_za2autozd2linkzd2mainza2z00zzengine_paramz00))
							{	/* BackEnd/jvm.scm 75 */
								BgL_test2209z00_3864 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BGl_za2passza2z00zzengine_paramz00,
										((obj_t) CNST_TABLE_REF(18))));
							}
						else
							{	/* BackEnd/jvm.scm 75 */
								BgL_test2209z00_3864 = ((bool_t) 0);
							}
					}
				if (BgL_test2209z00_3864)
					{	/* BackEnd/jvm.scm 75 */
						BGl_za2mainza2z00zzmodule_modulez00 =
							BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00();
					}
				else
					{	/* BackEnd/jvm.scm 75 */
						BFALSE;
					}
			}
			BGl_jvmzd2checkzd2packagez00zzbackend_jvmz00
				(BGl_za2moduleza2z00zzmodule_modulez00,
				BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00);
			{	/* BackEnd/jvm.scm 103 */
				obj_t BgL_lza2za2_3194;
				obj_t BgL_bnamez00_3195;

				BgL_lza2za2_3194 =
					BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(
					((BgL_jvmz00_bglt) BgL_mez00_3008));
				if (
					(BGl_za2passza2z00zzengine_paramz00 == ((obj_t) CNST_TABLE_REF(10))))
					{	/* BackEnd/jvm.scm 106 */
						bool_t BgL_test2213z00_3881;

						{	/* BackEnd/jvm.scm 106 */
							obj_t BgL_tmpz00_3882;

							BgL_tmpz00_3882 =
								(((BgL_jvmz00_bglt) COBJECT(
										((BgL_jvmz00_bglt) BgL_mez00_3008)))->BgL_qnamez00);
							BgL_test2213z00_3881 = SYMBOLP(BgL_tmpz00_3882);
						}
						if (BgL_test2213z00_3881)
							{	/* BackEnd/jvm.scm 107 */
								obj_t BgL_arg1679z00_3196;

								{	/* BackEnd/jvm.scm 107 */
									obj_t BgL_arg1680z00_3197;

									{	/* BackEnd/jvm.scm 107 */
										obj_t BgL_arg1686z00_3198;

										{	/* BackEnd/jvm.scm 107 */
											obj_t BgL_arg1691z00_3199;

											BgL_arg1691z00_3199 =
												(((BgL_jvmz00_bglt) COBJECT(
														((BgL_jvmz00_bglt) BgL_mez00_3008)))->BgL_qnamez00);
											{	/* BackEnd/jvm.scm 107 */
												obj_t BgL_arg1486z00_3200;

												BgL_arg1486z00_3200 =
													SYMBOL_TO_STRING(((obj_t) BgL_arg1691z00_3199));
												BgL_arg1686z00_3198 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1486z00_3200);
											}
										}
										BgL_arg1680z00_3197 =
											BGl_basenamez00zz__osz00(BgL_arg1686z00_3198);
									}
									BgL_arg1679z00_3196 =
										BGl_prefixz00zz__osz00(BgL_arg1680z00_3197);
								}
								BgL_bnamez00_3195 =
									BGl_addsuffixz00zzbackend_jvmz00(BgL_arg1679z00_3196);
							}
						else
							{	/* BackEnd/jvm.scm 106 */
								BgL_bnamez00_3195 = BGl_string2065z00zzbackend_jvmz00;
							}
					}
				else
					{	/* BackEnd/jvm.scm 105 */
						if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
							{	/* BackEnd/jvm.scm 109 */
								BgL_bnamez00_3195 =
									BGl_addsuffixz00zzbackend_jvmz00(BGl_prefixz00zz__osz00
									(BGl_basenamez00zz__osz00
										(BGl_za2destza2z00zzengine_paramz00)));
							}
						else
							{	/* BackEnd/jvm.scm 110 */
								bool_t BgL_test2215z00_3899;

								{	/* BackEnd/jvm.scm 110 */
									obj_t BgL_tmpz00_3900;

									BgL_tmpz00_3900 =
										(((BgL_jvmz00_bglt) COBJECT(
												((BgL_jvmz00_bglt) BgL_mez00_3008)))->BgL_qnamez00);
									BgL_test2215z00_3899 = SYMBOLP(BgL_tmpz00_3900);
								}
								if (BgL_test2215z00_3899)
									{	/* BackEnd/jvm.scm 111 */
										obj_t BgL_arg1703z00_3201;

										{	/* BackEnd/jvm.scm 111 */
											obj_t BgL_arg1715z00_3202;

											{	/* BackEnd/jvm.scm 111 */
												obj_t BgL_arg1716z00_3203;

												{	/* BackEnd/jvm.scm 111 */
													obj_t BgL_arg1717z00_3204;

													BgL_arg1717z00_3204 =
														(((BgL_jvmz00_bglt) COBJECT(
																((BgL_jvmz00_bglt) BgL_mez00_3008)))->
														BgL_qnamez00);
													{	/* BackEnd/jvm.scm 111 */
														obj_t BgL_arg1486z00_3205;

														BgL_arg1486z00_3205 =
															SYMBOL_TO_STRING(((obj_t) BgL_arg1717z00_3204));
														BgL_arg1716z00_3203 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1486z00_3205);
													}
												}
												BgL_arg1715z00_3202 =
													BGl_basenamez00zz__osz00(BgL_arg1716z00_3203);
											}
											BgL_arg1703z00_3201 =
												BGl_prefixz00zz__osz00(BgL_arg1715z00_3202);
										}
										BgL_bnamez00_3195 =
											BGl_addsuffixz00zzbackend_jvmz00(BgL_arg1703z00_3201);
									}
								else
									{	/* BackEnd/jvm.scm 110 */
										BgL_bnamez00_3195 = BFALSE;
									}
							}
					}
				{	/* BackEnd/jvm.scm 115 */
					obj_t BgL_arg1656z00_3206;

					BgL_arg1656z00_3206 = CAR(((obj_t) BgL_lza2za2_3194));
					BGl_emitze70ze7zzbackend_jvmz00(BgL_arg1656z00_3206,
						BgL_bnamez00_3195);
				}
				{	/* BackEnd/jvm.scm 116 */
					obj_t BgL_g1420z00_3207;

					BgL_g1420z00_3207 = CDR(((obj_t) BgL_lza2za2_3194));
					{
						obj_t BgL_l1418z00_3209;

						BgL_l1418z00_3209 = BgL_g1420z00_3207;
					BgL_zc3z04anonymousza31657ze3z87_3208:
						if (PAIRP(BgL_l1418z00_3209))
							{	/* BackEnd/jvm.scm 117 */
								{	/* BackEnd/jvm.scm 116 */
									obj_t BgL_cfz00_3210;

									BgL_cfz00_3210 = CAR(BgL_l1418z00_3209);
									BGl_emitze70ze7zzbackend_jvmz00(BgL_cfz00_3210,
										BGl_jasnamez00zzbackend_jvmz00(BgL_cfz00_3210));
								}
								{
									obj_t BgL_l1418z00_3922;

									BgL_l1418z00_3922 = CDR(BgL_l1418z00_3209);
									BgL_l1418z00_3209 = BgL_l1418z00_3922;
									goto BgL_zc3z04anonymousza31657ze3z87_3208;
								}
							}
						else
							{	/* BackEnd/jvm.scm 117 */
								((bool_t) 1);
							}
					}
				}
				BGl_stopzd2onzd2passz00zzengine_passz00(
					((obj_t) CNST_TABLE_REF(19)), BGl_proc2066z00zzbackend_jvmz00);
				BGl_stopzd2onzd2passz00zzengine_passz00(
					((obj_t) CNST_TABLE_REF(8)), BGl_proc2067z00zzbackend_jvmz00);
				return
					BGl_stopzd2onzd2passz00zzengine_passz00(
					((obj_t) CNST_TABLE_REF(7)), BGl_proc2068z00zzbackend_jvmz00);
			}
		}

	}



/* <@exit:1758>~0 */
	obj_t BGl_zc3z04exitza31758ze3ze70z60zzbackend_jvmz00(obj_t
		BgL_classfilez00_3034, obj_t BgL_portz00_3033, obj_t BgL_cell1121z00_3032,
		obj_t BgL_env1126z00_3031)
	{
		{	/* BackEnd/jvm.scm 95 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1134z00_2142;

			if (SET_EXIT(BgL_an_exit1134z00_2142))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if (SIGSETJMP_SAVESIGS == 0)
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1134z00_2142 = (void *) jmpbuf;
					PUSH_ENV_EXIT(BgL_env1126z00_3031, BgL_an_exit1134z00_2142, 1L);
					{	/* BackEnd/jvm.scm 95 */
						obj_t BgL_escape1122z00_2143;

						BgL_escape1122z00_2143 =
							BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1126z00_3031);
						{	/* BackEnd/jvm.scm 95 */
							obj_t BgL_res1137z00_2144;

							{	/* BackEnd/jvm.scm 95 */
								obj_t BgL_ohs1118z00_2145;

								BgL_ohs1118z00_2145 =
									BGL_ENV_ERROR_HANDLER_GET(BgL_env1126z00_3031);
								{	/* BackEnd/jvm.scm 95 */
									obj_t BgL_hds1119z00_2146;

									BgL_hds1119z00_2146 =
										MAKE_STACK_PAIR(BgL_escape1122z00_2143,
										BgL_cell1121z00_3032);
									BGL_ENV_ERROR_HANDLER_SET(BgL_env1126z00_3031,
										BgL_hds1119z00_2146);
									BUNSPEC;
									{	/* BackEnd/jvm.scm 95 */
										obj_t BgL_exitd1127z00_2147;

										BgL_exitd1127z00_2147 =
											BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1126z00_3031);
										{	/* BackEnd/jvm.scm 95 */
											obj_t BgL_tmp1129z00_2148;

											{	/* BackEnd/jvm.scm 95 */
												obj_t BgL_arg1763z00_2155;

												BgL_arg1763z00_2155 =
													BGL_EXITD_PROTECT(BgL_exitd1127z00_2147);
												BgL_tmp1129z00_2148 =
													MAKE_YOUNG_PAIR(BgL_ohs1118z00_2145,
													BgL_arg1763z00_2155);
											}
											{	/* BackEnd/jvm.scm 95 */

												BGL_EXITD_PROTECT_SET(BgL_exitd1127z00_2147,
													BgL_tmp1129z00_2148);
												BUNSPEC;
												{	/* BackEnd/jvm.scm 99 */
													obj_t BgL_tmp1128z00_2149;

													{	/* BackEnd/jvm.scm 99 */
														obj_t BgL_exitd1130z00_2150;

														BgL_exitd1130z00_2150 = BGL_EXITD_TOP_AS_OBJ();
														{	/* BackEnd/jvm.scm 101 */
															obj_t BgL_zc3z04anonymousza31759ze3z87_2986;

															BgL_zc3z04anonymousza31759ze3z87_2986 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza31759ze3ze5zzbackend_jvmz00,
																(int) (0L), (int) (1L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza31759ze3z87_2986,
																(int) (0L), BgL_portz00_3033);
															{	/* BackEnd/jvm.scm 99 */
																obj_t BgL_arg1881z00_2786;

																{	/* BackEnd/jvm.scm 99 */
																	obj_t BgL_arg1883z00_2787;

																	BgL_arg1883z00_2787 =
																		BGL_EXITD_PROTECT(BgL_exitd1130z00_2150);
																	BgL_arg1881z00_2786 =
																		MAKE_YOUNG_PAIR
																		(BgL_zc3z04anonymousza31759ze3z87_2986,
																		BgL_arg1883z00_2787);
																}
																BGL_EXITD_PROTECT_SET(BgL_exitd1130z00_2150,
																	BgL_arg1881z00_2786);
																BUNSPEC;
															}
															{	/* BackEnd/jvm.scm 100 */
																obj_t BgL_tmp1132z00_2152;

																BgL_tmp1132z00_2152 =
																	BGl_jvmzd2aszd2zzjas_asz00
																	(BgL_classfilez00_3034, BgL_portz00_3033);
																{	/* BackEnd/jvm.scm 99 */
																	bool_t BgL_test2217z00_3954;

																	{	/* BackEnd/jvm.scm 99 */
																		obj_t BgL_arg1880z00_2789;

																		BgL_arg1880z00_2789 =
																			BGL_EXITD_PROTECT(BgL_exitd1130z00_2150);
																		BgL_test2217z00_3954 =
																			PAIRP(BgL_arg1880z00_2789);
																	}
																	if (BgL_test2217z00_3954)
																		{	/* BackEnd/jvm.scm 99 */
																			obj_t BgL_arg1877z00_2790;

																			{	/* BackEnd/jvm.scm 99 */
																				obj_t BgL_arg1879z00_2791;

																				BgL_arg1879z00_2791 =
																					BGL_EXITD_PROTECT
																					(BgL_exitd1130z00_2150);
																				BgL_arg1877z00_2790 =
																					CDR(((obj_t) BgL_arg1879z00_2791));
																			}
																			BGL_EXITD_PROTECT_SET
																				(BgL_exitd1130z00_2150,
																				BgL_arg1877z00_2790);
																			BUNSPEC;
																		}
																	else
																		{	/* BackEnd/jvm.scm 99 */
																			BFALSE;
																		}
																}
																close_binary_port(((obj_t) BgL_portz00_3033));
																BgL_tmp1128z00_2149 = BgL_tmp1132z00_2152;
															}
														}
													}
													{	/* BackEnd/jvm.scm 95 */
														bool_t BgL_test2218z00_3963;

														{	/* BackEnd/jvm.scm 95 */
															obj_t BgL_arg1880z00_2795;

															BgL_arg1880z00_2795 =
																BGL_EXITD_PROTECT(BgL_exitd1127z00_2147);
															BgL_test2218z00_3963 = PAIRP(BgL_arg1880z00_2795);
														}
														if (BgL_test2218z00_3963)
															{	/* BackEnd/jvm.scm 95 */
																obj_t BgL_arg1877z00_2796;

																{	/* BackEnd/jvm.scm 95 */
																	obj_t BgL_arg1879z00_2797;

																	BgL_arg1879z00_2797 =
																		BGL_EXITD_PROTECT(BgL_exitd1127z00_2147);
																	BgL_arg1877z00_2796 =
																		CDR(((obj_t) BgL_arg1879z00_2797));
																}
																BGL_EXITD_PROTECT_SET(BgL_exitd1127z00_2147,
																	BgL_arg1877z00_2796);
																BUNSPEC;
															}
														else
															{	/* BackEnd/jvm.scm 95 */
																BFALSE;
															}
													}
													BGL_ENV_ERROR_HANDLER_SET(BgL_env1126z00_3031,
														BgL_ohs1118z00_2145);
													BUNSPEC;
													BgL_res1137z00_2144 = BgL_tmp1128z00_2149;
												}
											}
										}
									}
								}
							}
							POP_ENV_EXIT(BgL_env1126z00_3031);
							return BgL_res1137z00_2144;
						}
					}
				}
		}

	}



/* emit~0 */
	obj_t BGl_emitze70ze7zzbackend_jvmz00(obj_t BgL_classfilez00_2118,
		obj_t BgL_destz00_2119)
	{
		{	/* BackEnd/jvm.scm 101 */
			{	/* BackEnd/jvm.scm 79 */
				obj_t BgL_dirz00_2121;

				BgL_dirz00_2121 = BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00;
				if ((BGl_za2passza2z00zzengine_paramz00 == ((obj_t) CNST_TABLE_REF(8))))
					{	/* BackEnd/jvm.scm 81 */
						obj_t BgL_portz00_2122;

						if (STRINGP(BgL_destz00_2119))
							{	/* BackEnd/jvm.scm 84 */
								obj_t BgL_arg1746z00_2127;

								BgL_arg1746z00_2127 =
									string_append_3(BgL_dirz00_2121,
									BGl_string2069z00zzbackend_jvmz00, BgL_destz00_2119);
								{	/* BackEnd/jvm.scm 83 */

									BgL_portz00_2122 =
										BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00
										(BgL_arg1746z00_2127, BTRUE);
								}
							}
						else
							{	/* BackEnd/jvm.scm 82 */
								obj_t BgL_tmpz00_3980;

								BgL_tmpz00_3980 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_portz00_2122 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3980);
							}
						BGl_jvmasdumpz00zzbackend_jvmz00(BgL_classfilez00_2118,
							BgL_portz00_2122);
						{	/* BackEnd/jvm.scm 86 */
							bool_t BgL_test2221z00_3984;

							{	/* BackEnd/jvm.scm 86 */
								obj_t BgL_arg1729z00_2125;

								{	/* BackEnd/jvm.scm 86 */
									obj_t BgL_tmpz00_3985;

									BgL_tmpz00_3985 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_arg1729z00_2125 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3985);
								}
								BgL_test2221z00_3984 =
									(BgL_portz00_2122 == BgL_arg1729z00_2125);
							}
							if (BgL_test2221z00_3984)
								{	/* BackEnd/jvm.scm 86 */
									return BFALSE;
								}
							else
								{	/* BackEnd/jvm.scm 86 */
									return bgl_close_output_port(((obj_t) BgL_portz00_2122));
								}
						}
					}
				else
					{	/* BackEnd/jvm.scm 88 */
						obj_t BgL_cnamez00_2130;

						if (STRINGP(BgL_destz00_2119))
							{	/* BackEnd/jvm.scm 88 */
								BgL_cnamez00_2130 =
									string_append_3(BgL_dirz00_2121,
									BGl_string2069z00zzbackend_jvmz00, BgL_destz00_2119);
							}
						else
							{	/* BackEnd/jvm.scm 88 */
								BgL_cnamez00_2130 =
									string_append(BgL_dirz00_2121,
									BGl_string2070z00zzbackend_jvmz00);
							}
						{	/* BackEnd/jvm.scm 88 */
							obj_t BgL_portz00_2131;

							BgL_portz00_2131 =
								BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00
								(BgL_cnamez00_2130);
							{	/* BackEnd/jvm.scm 91 */

								{	/* BackEnd/jvm.scm 92 */
									obj_t BgL_list1747z00_2132;

									{	/* BackEnd/jvm.scm 92 */
										obj_t BgL_arg1748z00_2133;

										{	/* BackEnd/jvm.scm 92 */
											obj_t BgL_arg1755z00_2134;

											BgL_arg1755z00_2134 =
												MAKE_YOUNG_PAIR(BGl_string2071z00zzbackend_jvmz00,
												BNIL);
											BgL_arg1748z00_2133 =
												MAKE_YOUNG_PAIR(BgL_cnamez00_2130, BgL_arg1755z00_2134);
										}
										BgL_list1747z00_2132 =
											MAKE_YOUNG_PAIR(BGl_string2072z00zzbackend_jvmz00,
											BgL_arg1748z00_2133);
									}
									BGl_verbosez00zztools_speekz00(BINT(2L),
										BgL_list1747z00_2132);
								}
								if (BINARY_PORTP(BgL_portz00_2131))
									{	/* BackEnd/jvm.scm 93 */
										BFALSE;
									}
								else
									{	/* BackEnd/jvm.scm 93 */
										BGl_errorz00zz__errorz00(BGl_string2073z00zzbackend_jvmz00,
											BGl_string2074z00zzbackend_jvmz00, BgL_cnamez00_2130);
									}
								{	/* BackEnd/jvm.scm 95 */
									obj_t BgL_env1126z00_2137;

									BgL_env1126z00_2137 = BGL_CURRENT_DYNAMIC_ENV();
									{	/* BackEnd/jvm.scm 95 */
										obj_t BgL_cell1121z00_2138;

										BgL_cell1121z00_2138 = MAKE_STACK_CELL(BUNSPEC);
										{	/* BackEnd/jvm.scm 95 */
											obj_t BgL_val1125z00_2139;

											BgL_val1125z00_2139 =
												BGl_zc3z04exitza31758ze3ze70z60zzbackend_jvmz00
												(BgL_classfilez00_2118, BgL_portz00_2131,
												BgL_cell1121z00_2138, BgL_env1126z00_2137);
											if ((BgL_val1125z00_2139 == BgL_cell1121z00_2138))
												{	/* BackEnd/jvm.scm 95 */
													{	/* BackEnd/jvm.scm 95 */
														int BgL_tmpz00_4009;

														BgL_tmpz00_4009 = (int) (0L);
														BGL_SIGSETMASK(BgL_tmpz00_4009);
													}
													{	/* BackEnd/jvm.scm 95 */
														obj_t BgL_arg1757z00_2140;

														BgL_arg1757z00_2140 =
															CELL_REF(((obj_t) BgL_val1125z00_2139));
														{	/* BackEnd/jvm.scm 97 */
															char *BgL_stringz00_2800;

															BgL_stringz00_2800 =
																BSTRING_TO_STRING(BgL_cnamez00_2130);
															if (unlink(BgL_stringz00_2800))
																{	/* BackEnd/jvm.scm 97 */
																	((bool_t) 0);
																}
															else
																{	/* BackEnd/jvm.scm 97 */
																	((bool_t) 1);
																}
														}
														return
															BGl_raisez00zz__errorz00(BgL_arg1757z00_2140);
													}
												}
											else
												{	/* BackEnd/jvm.scm 95 */
													return BgL_val1125z00_2139;
												}
										}
									}
								}
							}
						}
					}
			}
		}

	}



/* &<@anonymous:1676> */
	obj_t BGl_z62zc3z04anonymousza31676ze3ze5zzbackend_jvmz00(obj_t
		BgL_envz00_3009)
	{
		{	/* BackEnd/jvm.scm 120 */
			return ((obj_t) CNST_TABLE_REF(20));
		}

	}



/* &<@anonymous:1674> */
	obj_t BGl_z62zc3z04anonymousza31674ze3ze5zzbackend_jvmz00(obj_t
		BgL_envz00_3010)
	{
		{	/* BackEnd/jvm.scm 119 */
			return ((obj_t) CNST_TABLE_REF(20));
		}

	}



/* &<@anonymous:1665> */
	obj_t BGl_z62zc3z04anonymousza31665ze3ze5zzbackend_jvmz00(obj_t
		BgL_envz00_3011)
	{
		{	/* BackEnd/jvm.scm 118 */
			return ((obj_t) CNST_TABLE_REF(20));
		}

	}



/* &<@anonymous:1759> */
	obj_t BGl_z62zc3z04anonymousza31759ze3ze5zzbackend_jvmz00(obj_t
		BgL_envz00_3012)
	{
		{	/* BackEnd/jvm.scm 99 */
			{	/* BackEnd/jvm.scm 101 */
				obj_t BgL_portz00_3013;

				BgL_portz00_3013 = PROCEDURE_REF(BgL_envz00_3012, (int) (0L));
				return close_binary_port(((obj_t) BgL_portz00_3013));
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_jvmz00(void)
	{
		{	/* BackEnd/jvm.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_linkz00(117219619L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_compilerz00(412406770L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(316727058L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzmodule_evalz00(428236825L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(336068337L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(0L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(65542503L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(261574382L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzjas_asz00(476839586L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzjas_peepz00(121595967L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(100353792L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_ldz00(14468792L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(252555369L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzinit_setrcz00(32737986L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
			return
				BGl_modulezd2initializa7ationz75zzread_readerz00(95801752L,
				BSTRING_TO_STRING(BGl_string2075z00zzbackend_jvmz00));
		}

	}

#ifdef __cplusplus
}
#endif
