/*===========================================================================*/
/*   (Bdb/bdb_emit.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Bdb/bdb_emit.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BDB_EMIT_TYPE_DEFINITIONS
#define BGL_BDB_EMIT_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;


#endif													// BGL_BDB_EMIT_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62bdbz12zd2appzd2ly1339z70zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_bdbzd2globalzd2svarz12z12zzbdb_emitz00(obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_z62bdbz12zd2letzd2fun1327z70zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbdb_emitz00 = BUNSPEC;
	static obj_t BGl_z62bdbz12zd2extern1315za2zzbdb_emitz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62bdbz12zd2switch1325za2zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_za2czd2portza2zd2zzbdb_emitz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00(void);
	static obj_t BGl_z62bdbz12zd2app1343za2zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzbdb_emitz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t bigloo_module_mangle(obj_t, obj_t);
	static obj_t BGl_z62bdbz12zd2jumpzd2exzd2it1333za2zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzbdb_emitz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	static obj_t BGl_z62emitzd2bdbzd2infoz62zzbdb_emitz00(obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzbdb_emitz00(void);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static bool_t BGl_bdbzd2localzd2variablezf3zf3zzbdb_emitz00(obj_t);
	extern obj_t BGl_za2stringza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_bdbzd2emitzd2localzd2infoz12zc0zzbdb_emitz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzbdb_emitz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	static obj_t BGl_z62bdbz12zd2letzd2var1329z70zzbdb_emitz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_bdbza2z12zb0zzbdb_emitz00(obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static bool_t BGl_emitzd2bdbzd2classzd2typeszd2zzbdb_emitz00(obj_t);
	static obj_t BGl_z62bdbz12zd2funcall1341za2zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_svarz00zzast_varz00;
	extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbdb_emitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_configurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62bdbz121307z70zzbdb_emitz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_z62bdbz12z70zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_bdbzd2globalzd2sfunz12z12zzbdb_emitz00(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzbdb_emitz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzbdb_emitz00(void);
	static obj_t BGl_bdbz12z12zzbdb_emitz00(BgL_nodez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzbdb_emitz00(void);
	static obj_t BGl_z62bdbz12zd2boxzd2setz121337z62zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzbdb_emitz00(void);
	static obj_t BGl_z62bdbz12zd2makezd2box1335z70zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_z62bdbz12zd2setzd2exzd2it1331za2zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_unitzd2initializa7erzd2idza7zzast_unitz00(obj_t);
	static obj_t BGl_z62bdbz12zd2conditional1321za2zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_z62bdbz12zd2cast1317za2zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62bdbz12zd2setq1319za2zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31486ze3ze5zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_z62bdbz12zd2sync1313za2zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_z62bdbz12zd2fail1323za2zzbdb_emitz00(obj_t, obj_t);
	static obj_t BGl_bdbzd2sfunz12zc0zzbdb_emitz00(BgL_valuez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_getzd2classzd2listz00zzobject_classz00(void);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62bdbz12zd2sequence1311za2zzbdb_emitz00(obj_t, obj_t);
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_emitzd2bdbzd2infozd2envzd2zzbdb_emitz00,
		BgL_bgl_za762emitza7d2bdbza7d21971za7,
		BGl_z62emitzd2bdbzd2infoz62zzbdb_emitz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1916z00zzbdb_emitz00,
		BgL_bgl_string1916za700za7za7b1972za7, "/* bdb association table */", 27);
	      DEFINE_STRING(BGl_string1917z00zzbdb_emitz00,
		BgL_bgl_string1917za700za7za7b1973za7, "static struct bdb_fun_info {\n",
		29);
	      DEFINE_STRING(BGl_string1918z00zzbdb_emitz00,
		BgL_bgl_string1918za700za7za7b1974za7, "   char *sname, *cname;\n", 24);
	      DEFINE_STRING(BGl_string1919z00zzbdb_emitz00,
		BgL_bgl_string1919za700za7za7b1975za7, "} ", 2);
	      DEFINE_STRING(BGl_string1920z00zzbdb_emitz00,
		BgL_bgl_string1920za700za7za7b1976za7, "__bdb_info", 10);
	      DEFINE_STRING(BGl_string1921z00zzbdb_emitz00,
		BgL_bgl_string1921za700za7za7b1977za7, "[] = { ", 7);
	      DEFINE_STRING(BGl_string1922z00zzbdb_emitz00,
		BgL_bgl_string1922za700za7za7b1978za7,
		"   /* Magic number to ensure comp/dbg compatibility */", 54);
	      DEFINE_STRING(BGl_string1923z00zzbdb_emitz00,
		BgL_bgl_string1923za700za7za7b1979za7, "   {(char *)", 12);
	      DEFINE_STRING(BGl_string1924z00zzbdb_emitz00,
		BgL_bgl_string1924za700za7za7b1980za7, ", (char *)", 10);
	      DEFINE_STRING(BGl_string1925z00zzbdb_emitz00,
		BgL_bgl_string1925za700za7za7b1981za7, "},", 2);
	      DEFINE_STRING(BGl_string1926z00zzbdb_emitz00,
		BgL_bgl_string1926za700za7za7b1982za7,
		"   /* Module and source file identification */", 46);
	      DEFINE_STRING(BGl_string1927z00zzbdb_emitz00,
		BgL_bgl_string1927za700za7za7b1983za7, "   {\"", 5);
	      DEFINE_STRING(BGl_string1928z00zzbdb_emitz00,
		BgL_bgl_string1928za700za7za7b1984za7, "\", \"", 4);
	      DEFINE_STRING(BGl_string1929z00zzbdb_emitz00,
		BgL_bgl_string1929za700za7za7b1985za7, "\" },", 4);
	      DEFINE_STRING(BGl_string1930z00zzbdb_emitz00,
		BgL_bgl_string1930za700za7za7b1986za7, "\", 0 },", 7);
	      DEFINE_STRING(BGl_string1931z00zzbdb_emitz00,
		BgL_bgl_string1931za700za7za7b1987za7, "   { 0, (char *)", 16);
	      DEFINE_STRING(BGl_string1932z00zzbdb_emitz00,
		BgL_bgl_string1932za700za7za7b1988za7, "0", 1);
	      DEFINE_STRING(BGl_string1933z00zzbdb_emitz00,
		BgL_bgl_string1933za700za7za7b1989za7, " },", 3);
	      DEFINE_STRING(BGl_string1934z00zzbdb_emitz00,
		BgL_bgl_string1934za700za7za7b1990za7, "   /* Global functions */", 25);
	      DEFINE_STRING(BGl_string1935z00zzbdb_emitz00,
		BgL_bgl_string1935za700za7za7b1991za7, "   /* Global variables */", 25);
	      DEFINE_STRING(BGl_string1937z00zzbdb_emitz00,
		BgL_bgl_string1937za700za7za7b1992za7, "   {0, 0},", 10);
	      DEFINE_STRING(BGl_string1938z00zzbdb_emitz00,
		BgL_bgl_string1938za700za7za7b1993za7, "   0};\n", 7);
	      DEFINE_STRING(BGl_string1939z00zzbdb_emitz00,
		BgL_bgl_string1939za700za7za7b1994za7, "   /* Bigloo classes */", 23);
	      DEFINE_STRING(BGl_string1940z00zzbdb_emitz00,
		BgL_bgl_string1940za700za7za7b1995za7, " *\", 0 },", 9);
	      DEFINE_STRING(BGl_string1941z00zzbdb_emitz00,
		BgL_bgl_string1941za700za7za7b1996za7, "\", (char *)", 11);
	      DEFINE_STRING(BGl_string1942z00zzbdb_emitz00,
		BgL_bgl_string1942za700za7za7b1997za7, "\", 0},", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1936z00zzbdb_emitz00,
		BgL_bgl_za762za7c3za704anonymo1998za7,
		BGl_z62zc3z04anonymousza31486ze3ze5zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1943z00zzbdb_emitz00,
		BgL_bgl_string1943za700za7za7b1999za7, "   {", 4);
	      DEFINE_STRING(BGl_string1944z00zzbdb_emitz00,
		BgL_bgl_string1944za700za7za7b2000za7, ", \"", 3);
	      DEFINE_STRING(BGl_string1945z00zzbdb_emitz00,
		BgL_bgl_string1945za700za7za7b2001za7, "\"},", 3);
	      DEFINE_STRING(BGl_string1946z00zzbdb_emitz00,
		BgL_bgl_string1946za700za7za7b2002za7, "     {0, 0},", 12);
	      DEFINE_STRING(BGl_string1947z00zzbdb_emitz00,
		BgL_bgl_string1947za700za7za7b2003za7, "     {\"", 7);
	      DEFINE_STRING(BGl_string1949z00zzbdb_emitz00,
		BgL_bgl_string1949za700za7za7b2004za7, "bdb!1307", 8);
	      DEFINE_STRING(BGl_string1951z00zzbdb_emitz00,
		BgL_bgl_string1951za700za7za7b2005za7, "bdb!", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1948z00zzbdb_emitz00,
		BgL_bgl_za762bdbza7121307za7702006za7, BGl_z62bdbz121307z70zzbdb_emitz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1950z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2sequ2007za7,
		BGl_z62bdbz12zd2sequence1311za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1952z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2sync2008za7,
		BGl_z62bdbz12zd2sync1313za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1953z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2exte2009za7,
		BGl_z62bdbz12zd2extern1315za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1954z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2cast2010za7,
		BGl_z62bdbz12zd2cast1317za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1955z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2setq2011za7,
		BGl_z62bdbz12zd2setq1319za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1956z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2cond2012za7,
		BGl_z62bdbz12zd2conditional1321za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1957z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2fail2013za7,
		BGl_z62bdbz12zd2fail1323za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1958z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2swit2014za7,
		BGl_z62bdbz12zd2switch1325za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1959z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2letza72015z00,
		BGl_z62bdbz12zd2letzd2fun1327z70zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1968z00zzbdb_emitz00,
		BgL_bgl_string1968za700za7za7b2016za7, "bdb_emit", 8);
	      DEFINE_STRING(BGl_string1969z00zzbdb_emitz00,
		BgL_bgl_string1969za700za7za7b2017za7,
		"done bigloo @ TOPLEVEL-INIT export location ", 44);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1960z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2letza72018z00,
		BGl_z62bdbz12zd2letzd2var1329z70zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1961z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2setza72019z00,
		BGl_z62bdbz12zd2setzd2exzd2it1331za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1962z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2jump2020za7,
		BGl_z62bdbz12zd2jumpzd2exzd2it1333za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1963z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2make2021za7,
		BGl_z62bdbz12zd2makezd2box1335z70zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1964z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2boxza72022z00,
		BGl_z62bdbz12zd2boxzd2setz121337z62zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1965z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2appza72023z00,
		BGl_z62bdbz12zd2appzd2ly1339z70zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1966z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2func2024za7,
		BGl_z62bdbz12zd2funcall1341za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1967z00zzbdb_emitz00,
		BgL_bgl_za762bdbza712za7d2app12025za7,
		BGl_z62bdbz12zd2app1343za2zzbdb_emitz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_bdbz12zd2envzc0zzbdb_emitz00,
		BgL_bgl_za762bdbza712za770za7za7bd2026za7, BGl_z62bdbz12z70zzbdb_emitz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzbdb_emitz00));
		     ADD_ROOT((void *) (&BGl_za2czd2portza2zd2zzbdb_emitz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbdb_emitz00(long
		BgL_checksumz00_2698, char *BgL_fromz00_2699)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbdb_emitz00))
				{
					BGl_requirezd2initializa7ationz75zzbdb_emitz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbdb_emitz00();
					BGl_libraryzd2moduleszd2initz00zzbdb_emitz00();
					BGl_cnstzd2initzd2zzbdb_emitz00();
					BGl_importedzd2moduleszd2initz00zzbdb_emitz00();
					BGl_genericzd2initzd2zzbdb_emitz00();
					BGl_methodzd2initzd2zzbdb_emitz00();
					return BGl_toplevelzd2initzd2zzbdb_emitz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbdb_emitz00(void)
	{
		{	/* Bdb/bdb_emit.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "bdb_emit");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "bdb_emit");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "bdb_emit");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "bdb_emit");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "bdb_emit");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "bdb_emit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "bdb_emit");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "bdb_emit");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "bdb_emit");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "bdb_emit");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"bdb_emit");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"bdb_emit");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "bdb_emit");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "bdb_emit");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbdb_emitz00(void)
	{
		{	/* Bdb/bdb_emit.scm 15 */
			{	/* Bdb/bdb_emit.scm 15 */
				obj_t BgL_cportz00_2636;

				{	/* Bdb/bdb_emit.scm 15 */
					obj_t BgL_stringz00_2643;

					BgL_stringz00_2643 = BGl_string1969z00zzbdb_emitz00;
					{	/* Bdb/bdb_emit.scm 15 */
						obj_t BgL_startz00_2644;

						BgL_startz00_2644 = BINT(0L);
						{	/* Bdb/bdb_emit.scm 15 */
							obj_t BgL_endz00_2645;

							BgL_endz00_2645 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2643)));
							{	/* Bdb/bdb_emit.scm 15 */

								BgL_cportz00_2636 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2643, BgL_startz00_2644, BgL_endz00_2645);
				}}}}
				{
					long BgL_iz00_2637;

					BgL_iz00_2637 = 5L;
				BgL_loopz00_2638:
					if ((BgL_iz00_2637 == (-1L)))
						{	/* Bdb/bdb_emit.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Bdb/bdb_emit.scm 15 */
							{	/* Bdb/bdb_emit.scm 15 */
								obj_t BgL_arg1970z00_2639;

								{	/* Bdb/bdb_emit.scm 15 */

									{	/* Bdb/bdb_emit.scm 15 */
										obj_t BgL_locationz00_2641;

										BgL_locationz00_2641 = BBOOL(((bool_t) 0));
										{	/* Bdb/bdb_emit.scm 15 */

											BgL_arg1970z00_2639 =
												BGl_readz00zz__readerz00(BgL_cportz00_2636,
												BgL_locationz00_2641);
										}
									}
								}
								{	/* Bdb/bdb_emit.scm 15 */
									int BgL_tmpz00_2733;

									BgL_tmpz00_2733 = (int) (BgL_iz00_2637);
									CNST_TABLE_SET(BgL_tmpz00_2733, BgL_arg1970z00_2639);
							}}
							{	/* Bdb/bdb_emit.scm 15 */
								int BgL_auxz00_2642;

								BgL_auxz00_2642 = (int) ((BgL_iz00_2637 - 1L));
								{
									long BgL_iz00_2738;

									BgL_iz00_2738 = (long) (BgL_auxz00_2642);
									BgL_iz00_2637 = BgL_iz00_2738;
									goto BgL_loopz00_2638;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbdb_emitz00(void)
	{
		{	/* Bdb/bdb_emit.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbdb_emitz00(void)
	{
		{	/* Bdb/bdb_emit.scm 15 */
			BGl_za2czd2portza2zd2zzbdb_emitz00 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* emit-bdb-info */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(obj_t
		BgL_globalsz00_39, obj_t BgL_portz00_40)
	{
		{	/* Bdb/bdb_emit.scm 43 */
			BGl_za2czd2portza2zd2zzbdb_emitz00 = BgL_portz00_40;
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			bgl_display_string(BGl_string1916z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			bgl_display_string(BGl_string1917z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_string(BGl_string1918z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_string(BGl_string1919z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_obj(BGl_string1920z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_string(BGl_string1921z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			bgl_display_string(BGl_string1922z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			bgl_display_string(BGl_string1923z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_obj(BINT(BDB_LIBRARY_MAGIC_NUMBER), BgL_portz00_40);
			bgl_display_string(BGl_string1924z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_obj(BINT(BDB_LIBRARY_MAGIC_NUMBER), BgL_portz00_40);
			bgl_display_string(BGl_string1925z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			bgl_display_string(BGl_string1926z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			bgl_display_string(BGl_string1927z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_obj(BGl_za2moduleza2z00zzmodule_modulez00, BgL_portz00_40);
			bgl_display_string(BGl_string1928z00zzbdb_emitz00, BgL_portz00_40);
			{	/* Bdb/bdb_emit.scm 66 */
				obj_t BgL_arg1414z00_1720;

				{	/* Bdb/bdb_emit.scm 66 */
					obj_t BgL_arg1415z00_1721;
					obj_t BgL_arg1416z00_1722;

					{	/* Bdb/bdb_emit.scm 66 */
						obj_t BgL_arg1417z00_1723;

						{	/* Bdb/bdb_emit.scm 66 */
							obj_t BgL_arg1418z00_1724;

							{	/* Bdb/bdb_emit.scm 66 */
								obj_t BgL_arg1419z00_1725;

								BgL_arg1419z00_1725 =
									BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
								BgL_arg1418z00_1724 =
									STRUCT_REF(((obj_t) BgL_arg1419z00_1725), (int) (0L));
							}
							BgL_arg1417z00_1723 =
								BGl_unitzd2initializa7erzd2idza7zzast_unitz00
								(BgL_arg1418z00_1724);
						}
						{	/* Bdb/bdb_emit.scm 64 */
							obj_t BgL_arg1486z00_2236;

							BgL_arg1486z00_2236 =
								SYMBOL_TO_STRING(((obj_t) BgL_arg1417z00_1723));
							BgL_arg1415z00_1721 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1486z00_2236);
					}}
					{	/* Bdb/bdb_emit.scm 67 */
						obj_t BgL_symbolz00_2237;

						BgL_symbolz00_2237 = BGl_za2moduleza2z00zzmodule_modulez00;
						{	/* Bdb/bdb_emit.scm 67 */
							obj_t BgL_arg1486z00_2238;

							BgL_arg1486z00_2238 = SYMBOL_TO_STRING(BgL_symbolz00_2237);
							BgL_arg1416z00_1722 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1486z00_2238);
					}}
					BgL_arg1414z00_1720 =
						bigloo_module_mangle(BgL_arg1415z00_1721, BgL_arg1416z00_1722);
				}
				bgl_display_obj(BgL_arg1414z00_1720, BgL_portz00_40);
			}
			bgl_display_string(BGl_string1929z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			{
				obj_t BgL_l1273z00_1727;

				BgL_l1273z00_1727 = BGl_za2srczd2filesza2zd2zzengine_paramz00;
			BgL_zc3z04anonymousza31420ze3z87_1728:
				if (PAIRP(BgL_l1273z00_1727))
					{	/* Bdb/bdb_emit.scm 69 */
						{	/* Bdb/bdb_emit.scm 70 */
							obj_t BgL_srcz00_1730;

							BgL_srcz00_1730 = CAR(BgL_l1273z00_1727);
							bgl_display_string(BGl_string1927z00zzbdb_emitz00,
								BgL_portz00_40);
							bgl_display_obj(BgL_srcz00_1730, BgL_portz00_40);
							bgl_display_string(BGl_string1930z00zzbdb_emitz00,
								BgL_portz00_40);
							bgl_display_char(((unsigned char) 10), BgL_portz00_40);
						}
						{
							obj_t BgL_l1273z00_2787;

							BgL_l1273z00_2787 = CDR(BgL_l1273z00_1727);
							BgL_l1273z00_1727 = BgL_l1273z00_2787;
							goto BgL_zc3z04anonymousza31420ze3z87_1728;
						}
					}
				else
					{	/* Bdb/bdb_emit.scm 69 */
						((bool_t) 1);
					}
			}
			bgl_display_string(BGl_string1931z00zzbdb_emitz00, BgL_portz00_40);
			{	/* Bdb/bdb_emit.scm 74 */
				obj_t BgL_arg1457z00_1735;

				{	/* Bdb/bdb_emit.scm 74 */
					obj_t BgL_locz00_1736;

					BgL_locz00_1736 =
						BGl_findzd2locationzd2zztools_locationz00
						(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00);
					{	/* Bdb/bdb_emit.scm 75 */
						bool_t BgL_test2030z00_2791;

						if (STRUCTP(BgL_locz00_1736))
							{	/* Bdb/bdb_emit.scm 75 */
								BgL_test2030z00_2791 =
									(STRUCT_KEY(BgL_locz00_1736) == ((obj_t) CNST_TABLE_REF(0)));
							}
						else
							{	/* Bdb/bdb_emit.scm 75 */
								BgL_test2030z00_2791 = ((bool_t) 0);
							}
						if (BgL_test2030z00_2791)
							{	/* Bdb/bdb_emit.scm 75 */
								BgL_arg1457z00_1735 = STRUCT_REF(BgL_locz00_1736, (int) (2L));
							}
						else
							{	/* Bdb/bdb_emit.scm 75 */
								BgL_arg1457z00_1735 = BGl_string1932z00zzbdb_emitz00;
							}
					}
				}
				bgl_display_obj(BgL_arg1457z00_1735, BgL_portz00_40);
			}
			bgl_display_string(BGl_string1933z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			bgl_display_string(BGl_string1934z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			{
				obj_t BgL_l1277z00_1740;

				BgL_l1277z00_1740 = BgL_globalsz00_39;
			BgL_zc3z04anonymousza31459ze3z87_1741:
				if (PAIRP(BgL_l1277z00_1740))
					{	/* Bdb/bdb_emit.scm 81 */
						{	/* Bdb/bdb_emit.scm 82 */
							obj_t BgL_globalz00_1743;

							BgL_globalz00_1743 = CAR(BgL_l1277z00_1740);
							{	/* Bdb/bdb_emit.scm 82 */
								obj_t BgL_arg1471z00_1744;

								BgL_arg1471z00_1744 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1743))))->
									BgL_idz00);
								BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1471z00_1744);
							}
							BGl_bdbzd2globalzd2sfunz12z12zzbdb_emitz00(BgL_globalz00_1743);
							BGl_leavezd2functionzd2zztools_errorz00();
						}
						{
							obj_t BgL_l1277z00_2814;

							BgL_l1277z00_2814 = CDR(BgL_l1277z00_1740);
							BgL_l1277z00_1740 = BgL_l1277z00_2814;
							goto BgL_zc3z04anonymousza31459ze3z87_1741;
						}
					}
				else
					{	/* Bdb/bdb_emit.scm 81 */
						((bool_t) 1);
					}
			}
			bgl_display_string(BGl_string1935z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc1936z00zzbdb_emitz00,
				BNIL);
			bgl_display_string(BGl_string1937z00zzbdb_emitz00, BgL_portz00_40);
			bgl_display_char(((unsigned char) 10), BgL_portz00_40);
			BGl_emitzd2bdbzd2classzd2typeszd2zzbdb_emitz00(BgL_portz00_40);
			bgl_display_string(BGl_string1938z00zzbdb_emitz00, BgL_portz00_40);
			return bgl_display_char(((unsigned char) 10), BgL_portz00_40);
		}

	}



/* &emit-bdb-info */
	obj_t BGl_z62emitzd2bdbzd2infoz62zzbdb_emitz00(obj_t BgL_envz00_2573,
		obj_t BgL_globalsz00_2574, obj_t BgL_portz00_2575)
	{
		{	/* Bdb/bdb_emit.scm 43 */
			return
				BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(BgL_globalsz00_2574,
				BgL_portz00_2575);
		}

	}



/* &<@anonymous:1486> */
	obj_t BGl_z62zc3z04anonymousza31486ze3ze5zzbdb_emitz00(obj_t BgL_envz00_2576,
		obj_t BgL_globalz00_2577)
	{
		{	/* Bdb/bdb_emit.scm 88 */
			{	/* Bdb/bdb_emit.scm 89 */
				bool_t BgL_test2033z00_2825;

				{	/* Bdb/bdb_emit.scm 89 */
					bool_t BgL_test2034z00_2826;

					{	/* Bdb/bdb_emit.scm 89 */
						bool_t BgL_test2035z00_2827;

						{	/* Bdb/bdb_emit.scm 89 */
							bool_t BgL_test2036z00_2828;

							{	/* Bdb/bdb_emit.scm 89 */
								obj_t BgL_arg1553z00_2647;

								BgL_arg1553z00_2647 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_globalz00_2577)))->
									BgL_modulez00);
								BgL_test2036z00_2828 =
									(BgL_arg1553z00_2647 ==
									BGl_za2moduleza2z00zzmodule_modulez00);
							}
							if (BgL_test2036z00_2828)
								{	/* Bdb/bdb_emit.scm 89 */
									BgL_test2035z00_2827 =
										(
										(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_globalz00_2577)))->
											BgL_importz00) == ((obj_t) CNST_TABLE_REF(1)));
								}
							else
								{	/* Bdb/bdb_emit.scm 89 */
									BgL_test2035z00_2827 = ((bool_t) 0);
								}
						}
						if (BgL_test2035z00_2827)
							{	/* Bdb/bdb_emit.scm 89 */
								BgL_test2034z00_2826 = ((bool_t) 1);
							}
						else
							{	/* Bdb/bdb_emit.scm 89 */
								BgL_test2034z00_2826 =
									(
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_2577))))->
										BgL_occurrencez00) > 0L);
							}
					}
					if (BgL_test2034z00_2826)
						{	/* Bdb/bdb_emit.scm 92 */
							BgL_valuez00_bglt BgL_arg1535z00_2648;

							BgL_arg1535z00_2648 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_globalz00_2577))))->
								BgL_valuez00);
							{	/* Bdb/bdb_emit.scm 92 */
								obj_t BgL_classz00_2649;

								BgL_classz00_2649 = BGl_svarz00zzast_varz00;
								{	/* Bdb/bdb_emit.scm 92 */
									BgL_objectz00_bglt BgL_arg1858z00_2650;

									{	/* Bdb/bdb_emit.scm 92 */
										obj_t BgL_tmpz00_2844;

										BgL_tmpz00_2844 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1535z00_2648));
										BgL_arg1858z00_2650 =
											(BgL_objectz00_bglt) (BgL_tmpz00_2844);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Bdb/bdb_emit.scm 92 */
											long BgL_idxz00_2651;

											BgL_idxz00_2651 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2650);
											BgL_test2033z00_2825 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2651 + 2L)) == BgL_classz00_2649);
										}
									else
										{	/* Bdb/bdb_emit.scm 92 */
											bool_t BgL_res1905z00_2654;

											{	/* Bdb/bdb_emit.scm 92 */
												obj_t BgL_oclassz00_2655;

												{	/* Bdb/bdb_emit.scm 92 */
													obj_t BgL_arg1866z00_2656;
													long BgL_arg1867z00_2657;

													BgL_arg1866z00_2656 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Bdb/bdb_emit.scm 92 */
														long BgL_arg1869z00_2658;

														BgL_arg1869z00_2658 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2650);
														BgL_arg1867z00_2657 =
															(BgL_arg1869z00_2658 - OBJECT_TYPE);
													}
													BgL_oclassz00_2655 =
														VECTOR_REF(BgL_arg1866z00_2656,
														BgL_arg1867z00_2657);
												}
												{	/* Bdb/bdb_emit.scm 92 */
													bool_t BgL__ortest_1115z00_2659;

													BgL__ortest_1115z00_2659 =
														(BgL_classz00_2649 == BgL_oclassz00_2655);
													if (BgL__ortest_1115z00_2659)
														{	/* Bdb/bdb_emit.scm 92 */
															BgL_res1905z00_2654 = BgL__ortest_1115z00_2659;
														}
													else
														{	/* Bdb/bdb_emit.scm 92 */
															long BgL_odepthz00_2660;

															{	/* Bdb/bdb_emit.scm 92 */
																obj_t BgL_arg1855z00_2661;

																BgL_arg1855z00_2661 = (BgL_oclassz00_2655);
																BgL_odepthz00_2660 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2661);
															}
															if ((2L < BgL_odepthz00_2660))
																{	/* Bdb/bdb_emit.scm 92 */
																	obj_t BgL_arg1853z00_2662;

																	{	/* Bdb/bdb_emit.scm 92 */
																		obj_t BgL_arg1854z00_2663;

																		BgL_arg1854z00_2663 = (BgL_oclassz00_2655);
																		BgL_arg1853z00_2662 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2663, 2L);
																	}
																	BgL_res1905z00_2654 =
																		(BgL_arg1853z00_2662 == BgL_classz00_2649);
																}
															else
																{	/* Bdb/bdb_emit.scm 92 */
																	BgL_res1905z00_2654 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2033z00_2825 = BgL_res1905z00_2654;
										}
								}
							}
						}
					else
						{	/* Bdb/bdb_emit.scm 89 */
							BgL_test2033z00_2825 = ((bool_t) 0);
						}
				}
				if (BgL_test2033z00_2825)
					{	/* Bdb/bdb_emit.scm 89 */
						return
							BGl_bdbzd2globalzd2svarz12z12zzbdb_emitz00(BgL_globalz00_2577);
					}
				else
					{	/* Bdb/bdb_emit.scm 89 */
						return BFALSE;
					}
			}
		}

	}



/* emit-bdb-class-types */
	bool_t BGl_emitzd2bdbzd2classzd2typeszd2zzbdb_emitz00(obj_t BgL_oportz00_41)
	{
		{	/* Bdb/bdb_emit.scm 102 */
			if (NULLP(BGl_getzd2classzd2listz00zzobject_classz00()))
				{	/* Bdb/bdb_emit.scm 103 */
					BFALSE;
				}
			else
				{	/* Bdb/bdb_emit.scm 103 */
					bgl_display_string(BGl_string1939z00zzbdb_emitz00, BgL_oportz00_41);
					bgl_display_char(((unsigned char) 10), BgL_oportz00_41);
				}
			{	/* Bdb/bdb_emit.scm 105 */
				obj_t BgL_g1286z00_1783;

				BgL_g1286z00_1783 = BGl_getzd2classzd2listz00zzobject_classz00();
				{
					obj_t BgL_l1284z00_1785;

					BgL_l1284z00_1785 = BgL_g1286z00_1783;
				BgL_zc3z04anonymousza31559ze3z87_1786:
					if (PAIRP(BgL_l1284z00_1785))
						{	/* Bdb/bdb_emit.scm 111 */
							{	/* Bdb/bdb_emit.scm 106 */
								obj_t BgL_classz00_1788;

								BgL_classz00_1788 = CAR(BgL_l1284z00_1785);
								{	/* Bdb/bdb_emit.scm 107 */
									bool_t BgL_test2042z00_2877;

									{	/* Bdb/bdb_emit.scm 107 */
										obj_t BgL_arg1587z00_1795;

										{	/* Bdb/bdb_emit.scm 107 */
											BgL_globalz00_bglt BgL_arg1588z00_1796;

											{
												BgL_tclassz00_bglt BgL_auxz00_2878;

												{
													obj_t BgL_auxz00_2879;

													{	/* Bdb/bdb_emit.scm 107 */
														BgL_objectz00_bglt BgL_tmpz00_2880;

														BgL_tmpz00_2880 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_classz00_1788));
														BgL_auxz00_2879 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2880);
													}
													BgL_auxz00_2878 =
														((BgL_tclassz00_bglt) BgL_auxz00_2879);
												}
												BgL_arg1588z00_1796 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2878))->
													BgL_holderz00);
											}
											BgL_arg1587z00_1795 =
												(((BgL_globalz00_bglt) COBJECT(BgL_arg1588z00_1796))->
												BgL_modulez00);
										}
										BgL_test2042z00_2877 =
											(BgL_arg1587z00_1795 ==
											BGl_za2moduleza2z00zzmodule_modulez00);
									}
									if (BgL_test2042z00_2877)
										{	/* Bdb/bdb_emit.scm 107 */
											bgl_display_string(BGl_string1927z00zzbdb_emitz00,
												BgL_oportz00_41);
											{	/* Bdb/bdb_emit.scm 109 */
												obj_t BgL_arg1581z00_1794;

												BgL_arg1581z00_1794 =
													(((BgL_typez00_bglt) COBJECT(
															((BgL_typez00_bglt) BgL_classz00_1788)))->
													BgL_siza7eza7);
												bgl_display_obj(BgL_arg1581z00_1794, BgL_oportz00_41);
											}
											bgl_display_string(BGl_string1940z00zzbdb_emitz00,
												BgL_oportz00_41);
											bgl_display_char(((unsigned char) 10), BgL_oportz00_41);
										}
									else
										{	/* Bdb/bdb_emit.scm 107 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1284z00_2894;

								BgL_l1284z00_2894 = CDR(BgL_l1284z00_1785);
								BgL_l1284z00_1785 = BgL_l1284z00_2894;
								goto BgL_zc3z04anonymousza31559ze3z87_1786;
							}
						}
					else
						{	/* Bdb/bdb_emit.scm 111 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* bdb-global-sfun! */
	obj_t BGl_bdbzd2globalzd2sfunz12z12zzbdb_emitz00(obj_t BgL_globalz00_42)
	{
		{	/* Bdb/bdb_emit.scm 116 */
			{	/* Bdb/bdb_emit.scm 117 */
				BgL_valuez00_bglt BgL_sfunz00_1799;

				BgL_sfunz00_1799 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_42))))->BgL_valuez00);
				{	/* Bdb/bdb_emit.scm 117 */
					obj_t BgL_sfunzd2loczd2_1800;

					BgL_sfunzd2loczd2_1800 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_sfunz00_1799)))->BgL_locz00);
					{	/* Bdb/bdb_emit.scm 118 */
						obj_t BgL_cloz00_1801;

						BgL_cloz00_1801 =
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt)
										((BgL_sfunz00_bglt) BgL_sfunz00_1799))))->
							BgL_thezd2closurezd2);
						{	/* Bdb/bdb_emit.scm 119 */

							{	/* Bdb/bdb_emit.scm 120 */
								bool_t BgL_test2043z00_2904;

								{	/* Bdb/bdb_emit.scm 120 */
									bool_t BgL_test2044z00_2905;

									if (STRUCTP(BgL_sfunzd2loczd2_1800))
										{	/* Bdb/bdb_emit.scm 120 */
											BgL_test2044z00_2905 =
												(STRUCT_KEY(BgL_sfunzd2loczd2_1800) ==
												((obj_t) CNST_TABLE_REF(0)));
										}
									else
										{	/* Bdb/bdb_emit.scm 120 */
											BgL_test2044z00_2905 = ((bool_t) 0);
										}
									if (BgL_test2044z00_2905)
										{	/* Bdb/bdb_emit.scm 120 */
											BgL_test2043z00_2904 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_globalz00_42))))->
												BgL_userzf3zf3);
										}
									else
										{	/* Bdb/bdb_emit.scm 120 */
											BgL_test2043z00_2904 = ((bool_t) 0);
										}
								}
								if (BgL_test2043z00_2904)
									{	/* Bdb/bdb_emit.scm 120 */
										BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
											((BgL_variablez00_bglt) BgL_globalz00_42));
										{	/* Bdb/bdb_emit.scm 124 */
											obj_t BgL_fnamez00_1804;
											obj_t BgL_lnumz00_1805;
											obj_t BgL_idz00_1806;
											obj_t BgL_valzd2namezd2_1807;
											obj_t BgL_bpzd2namezd2_1808;

											BgL_fnamez00_1804 =
												STRUCT_REF(BgL_sfunzd2loczd2_1800, (int) (0L));
											BgL_lnumz00_1805 =
												STRUCT_REF(BgL_sfunzd2loczd2_1800, (int) (2L));
											{	/* Bdb/bdb_emit.scm 126 */
												obj_t BgL_idz00_1815;

												BgL_idz00_1815 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_globalz00_42))))->
													BgL_idz00);
												if ((BgL_idz00_1815 == ((obj_t) CNST_TABLE_REF(2))))
													{	/* Bdb/bdb_emit.scm 128 */
														obj_t BgL_arg1597z00_1816;

														{	/* Bdb/bdb_emit.scm 128 */
															obj_t BgL_arg1605z00_1817;
															obj_t BgL_arg1611z00_1818;

															{	/* Bdb/bdb_emit.scm 128 */
																obj_t BgL_symbolz00_2337;

																BgL_symbolz00_2337 =
																	((obj_t) CNST_TABLE_REF(3));
																{	/* Bdb/bdb_emit.scm 128 */
																	obj_t BgL_arg1486z00_2338;

																	BgL_arg1486z00_2338 =
																		SYMBOL_TO_STRING(BgL_symbolz00_2337);
																	BgL_arg1605z00_1817 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1486z00_2338);
																}
															}
															{	/* Bdb/bdb_emit.scm 128 */
																obj_t BgL_arg1612z00_1819;

																BgL_arg1612z00_1819 =
																	(((BgL_globalz00_bglt) COBJECT(
																			((BgL_globalz00_bglt)
																				BgL_globalz00_42)))->BgL_modulez00);
																{	/* Bdb/bdb_emit.scm 128 */
																	obj_t BgL_arg1486z00_2341;

																	BgL_arg1486z00_2341 =
																		SYMBOL_TO_STRING(BgL_arg1612z00_1819);
																	BgL_arg1611z00_1818 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1486z00_2341);
																}
															}
															BgL_arg1597z00_1816 =
																string_append(BgL_arg1605z00_1817,
																BgL_arg1611z00_1818);
														}
														BgL_idz00_1806 =
															bstring_to_symbol(BgL_arg1597z00_1816);
													}
												else
													{	/* Bdb/bdb_emit.scm 127 */
														BgL_idz00_1806 = BgL_idz00_1815;
													}
											}
											{	/* Bdb/bdb_emit.scm 130 */
												bool_t BgL_test2047z00_2938;

												{	/* Bdb/bdb_emit.scm 130 */
													obj_t BgL_classz00_2343;

													BgL_classz00_2343 = BGl_globalz00zzast_varz00;
													if (BGL_OBJECTP(BgL_cloz00_1801))
														{	/* Bdb/bdb_emit.scm 130 */
															BgL_objectz00_bglt BgL_arg1858z00_2345;

															BgL_arg1858z00_2345 =
																(BgL_objectz00_bglt) (BgL_cloz00_1801);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Bdb/bdb_emit.scm 130 */
																	long BgL_idxz00_2351;

																	BgL_idxz00_2351 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_2345);
																	BgL_test2047z00_2938 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2351 + 2L)) ==
																		BgL_classz00_2343);
																}
															else
																{	/* Bdb/bdb_emit.scm 130 */
																	bool_t BgL_res1907z00_2376;

																	{	/* Bdb/bdb_emit.scm 130 */
																		obj_t BgL_oclassz00_2359;

																		{	/* Bdb/bdb_emit.scm 130 */
																			obj_t BgL_arg1866z00_2367;
																			long BgL_arg1867z00_2368;

																			BgL_arg1866z00_2367 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Bdb/bdb_emit.scm 130 */
																				long BgL_arg1869z00_2369;

																				BgL_arg1869z00_2369 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_2345);
																				BgL_arg1867z00_2368 =
																					(BgL_arg1869z00_2369 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2359 =
																				VECTOR_REF(BgL_arg1866z00_2367,
																				BgL_arg1867z00_2368);
																		}
																		{	/* Bdb/bdb_emit.scm 130 */
																			bool_t BgL__ortest_1115z00_2360;

																			BgL__ortest_1115z00_2360 =
																				(BgL_classz00_2343 ==
																				BgL_oclassz00_2359);
																			if (BgL__ortest_1115z00_2360)
																				{	/* Bdb/bdb_emit.scm 130 */
																					BgL_res1907z00_2376 =
																						BgL__ortest_1115z00_2360;
																				}
																			else
																				{	/* Bdb/bdb_emit.scm 130 */
																					long BgL_odepthz00_2361;

																					{	/* Bdb/bdb_emit.scm 130 */
																						obj_t BgL_arg1855z00_2362;

																						BgL_arg1855z00_2362 =
																							(BgL_oclassz00_2359);
																						BgL_odepthz00_2361 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_2362);
																					}
																					if ((2L < BgL_odepthz00_2361))
																						{	/* Bdb/bdb_emit.scm 130 */
																							obj_t BgL_arg1853z00_2364;

																							{	/* Bdb/bdb_emit.scm 130 */
																								obj_t BgL_arg1854z00_2365;

																								BgL_arg1854z00_2365 =
																									(BgL_oclassz00_2359);
																								BgL_arg1853z00_2364 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_2365, 2L);
																							}
																							BgL_res1907z00_2376 =
																								(BgL_arg1853z00_2364 ==
																								BgL_classz00_2343);
																						}
																					else
																						{	/* Bdb/bdb_emit.scm 130 */
																							BgL_res1907z00_2376 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2047z00_2938 = BgL_res1907z00_2376;
																}
														}
													else
														{	/* Bdb/bdb_emit.scm 130 */
															BgL_test2047z00_2938 = ((bool_t) 0);
														}
												}
												if (BgL_test2047z00_2938)
													{	/* Bdb/bdb_emit.scm 130 */
														BgL_valzd2namezd2_1807 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_cloz00_1801))))->
															BgL_namez00);
													}
												else
													{	/* Bdb/bdb_emit.scm 130 */
														BgL_valzd2namezd2_1807 = BINT(0L);
													}
											}
											BgL_bpzd2namezd2_1808 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_globalz00_42))))->
												BgL_namez00);
											{	/* Bdb/bdb_emit.scm 134 */
												obj_t BgL_port1287z00_1809;

												BgL_port1287z00_1809 =
													BGl_za2czd2portza2zd2zzbdb_emitz00;
												{	/* Bdb/bdb_emit.scm 134 */
													obj_t BgL_tmpz00_2968;

													BgL_tmpz00_2968 = ((obj_t) BgL_port1287z00_1809);
													bgl_display_string(BGl_string1927z00zzbdb_emitz00,
														BgL_tmpz00_2968);
												}
												bgl_display_obj(BgL_fnamez00_1804,
													BgL_port1287z00_1809);
												{	/* Bdb/bdb_emit.scm 134 */
													obj_t BgL_tmpz00_2972;

													BgL_tmpz00_2972 = ((obj_t) BgL_port1287z00_1809);
													bgl_display_string(BGl_string1941z00zzbdb_emitz00,
														BgL_tmpz00_2972);
												}
												bgl_display_obj(BgL_lnumz00_1805, BgL_port1287z00_1809);
												{	/* Bdb/bdb_emit.scm 134 */
													obj_t BgL_tmpz00_2976;

													BgL_tmpz00_2976 = ((obj_t) BgL_port1287z00_1809);
													bgl_display_string(BGl_string1933z00zzbdb_emitz00,
														BgL_tmpz00_2976);
												}
												{	/* Bdb/bdb_emit.scm 134 */
													obj_t BgL_tmpz00_2979;

													BgL_tmpz00_2979 = ((obj_t) BgL_port1287z00_1809);
													bgl_display_char(((unsigned char) 10),
														BgL_tmpz00_2979);
											}}
											{	/* Bdb/bdb_emit.scm 135 */
												obj_t BgL_port1288z00_1810;

												BgL_port1288z00_1810 =
													BGl_za2czd2portza2zd2zzbdb_emitz00;
												{	/* Bdb/bdb_emit.scm 135 */
													obj_t BgL_tmpz00_2982;

													BgL_tmpz00_2982 = ((obj_t) BgL_port1288z00_1810);
													bgl_display_string(BGl_string1927z00zzbdb_emitz00,
														BgL_tmpz00_2982);
												}
												bgl_display_obj(BgL_idz00_1806, BgL_port1288z00_1810);
												{	/* Bdb/bdb_emit.scm 135 */
													obj_t BgL_tmpz00_2986;

													BgL_tmpz00_2986 = ((obj_t) BgL_port1288z00_1810);
													bgl_display_string(BGl_string1942z00zzbdb_emitz00,
														BgL_tmpz00_2986);
												}
												{	/* Bdb/bdb_emit.scm 135 */
													obj_t BgL_tmpz00_2989;

													BgL_tmpz00_2989 = ((obj_t) BgL_port1288z00_1810);
													bgl_display_char(((unsigned char) 10),
														BgL_tmpz00_2989);
											}}
											if (BGl_numberzf3zf3zz__r4_numbers_6_5z00
												(BgL_valzd2namezd2_1807))
												{	/* Bdb/bdb_emit.scm 138 */
													obj_t BgL_port1290z00_1812;

													BgL_port1290z00_1812 =
														BGl_za2czd2portza2zd2zzbdb_emitz00;
													{	/* Bdb/bdb_emit.scm 138 */
														obj_t BgL_tmpz00_2994;

														BgL_tmpz00_2994 = ((obj_t) BgL_port1290z00_1812);
														bgl_display_string(BGl_string1943z00zzbdb_emitz00,
															BgL_tmpz00_2994);
													}
													bgl_display_obj(BgL_valzd2namezd2_1807,
														BgL_port1290z00_1812);
													{	/* Bdb/bdb_emit.scm 138 */
														obj_t BgL_tmpz00_2998;

														BgL_tmpz00_2998 = ((obj_t) BgL_port1290z00_1812);
														bgl_display_string(BGl_string1944z00zzbdb_emitz00,
															BgL_tmpz00_2998);
													}
													bgl_display_obj(BgL_bpzd2namezd2_1808,
														BgL_port1290z00_1812);
													{	/* Bdb/bdb_emit.scm 138 */
														obj_t BgL_tmpz00_3002;

														BgL_tmpz00_3002 = ((obj_t) BgL_port1290z00_1812);
														bgl_display_string(BGl_string1945z00zzbdb_emitz00,
															BgL_tmpz00_3002);
													}
													{	/* Bdb/bdb_emit.scm 138 */
														obj_t BgL_tmpz00_3005;

														BgL_tmpz00_3005 = ((obj_t) BgL_port1290z00_1812);
														bgl_display_char(((unsigned char) 10),
															BgL_tmpz00_3005);
												}}
											else
												{	/* Bdb/bdb_emit.scm 137 */
													obj_t BgL_port1289z00_1813;

													BgL_port1289z00_1813 =
														BGl_za2czd2portza2zd2zzbdb_emitz00;
													{	/* Bdb/bdb_emit.scm 137 */
														obj_t BgL_tmpz00_3008;

														BgL_tmpz00_3008 = ((obj_t) BgL_port1289z00_1813);
														bgl_display_string(BGl_string1927z00zzbdb_emitz00,
															BgL_tmpz00_3008);
													}
													bgl_display_obj(BgL_valzd2namezd2_1807,
														BgL_port1289z00_1813);
													{	/* Bdb/bdb_emit.scm 137 */
														obj_t BgL_tmpz00_3012;

														BgL_tmpz00_3012 = ((obj_t) BgL_port1289z00_1813);
														bgl_display_string(BGl_string1928z00zzbdb_emitz00,
															BgL_tmpz00_3012);
													}
													bgl_display_obj(BgL_bpzd2namezd2_1808,
														BgL_port1289z00_1813);
													{	/* Bdb/bdb_emit.scm 137 */
														obj_t BgL_tmpz00_3016;

														BgL_tmpz00_3016 = ((obj_t) BgL_port1289z00_1813);
														bgl_display_string(BGl_string1945z00zzbdb_emitz00,
															BgL_tmpz00_3016);
													}
													{	/* Bdb/bdb_emit.scm 137 */
														obj_t BgL_tmpz00_3019;

														BgL_tmpz00_3019 = ((obj_t) BgL_port1289z00_1813);
														bgl_display_char(((unsigned char) 10),
															BgL_tmpz00_3019);
												}}
											BGl_bdbzd2sfunz12zc0zzbdb_emitz00(BgL_sfunz00_1799);
											{	/* Bdb/bdb_emit.scm 140 */
												obj_t BgL_port1291z00_1814;

												BgL_port1291z00_1814 =
													BGl_za2czd2portza2zd2zzbdb_emitz00;
												{	/* Bdb/bdb_emit.scm 140 */
													obj_t BgL_tmpz00_3023;

													BgL_tmpz00_3023 = ((obj_t) BgL_port1291z00_1814);
													bgl_display_string(BGl_string1946z00zzbdb_emitz00,
														BgL_tmpz00_3023);
												}
												{	/* Bdb/bdb_emit.scm 140 */
													obj_t BgL_tmpz00_3026;

													BgL_tmpz00_3026 = ((obj_t) BgL_port1291z00_1814);
													return
														bgl_display_char(((unsigned char) 10),
														BgL_tmpz00_3026);
									}}}}
								else
									{	/* Bdb/bdb_emit.scm 120 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}

	}



/* bdb-global-svar! */
	obj_t BGl_bdbzd2globalzd2svarz12z12zzbdb_emitz00(obj_t BgL_globalz00_43)
	{
		{	/* Bdb/bdb_emit.scm 145 */
			{	/* Bdb/bdb_emit.scm 146 */
				BgL_valuez00_bglt BgL_svarz00_1822;

				BgL_svarz00_1822 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_43))))->BgL_valuez00);
				{	/* Bdb/bdb_emit.scm 146 */
					obj_t BgL_svarzd2loczd2_1823;

					BgL_svarzd2loczd2_1823 =
						(((BgL_svarz00_bglt) COBJECT(
								((BgL_svarz00_bglt) BgL_svarz00_1822)))->BgL_locz00);
					{	/* Bdb/bdb_emit.scm 147 */

						{	/* Bdb/bdb_emit.scm 148 */
							bool_t BgL_test2053z00_3034;

							if (STRUCTP(BgL_svarzd2loczd2_1823))
								{	/* Bdb/bdb_emit.scm 148 */
									BgL_test2053z00_3034 =
										(STRUCT_KEY(BgL_svarzd2loczd2_1823) ==
										((obj_t) CNST_TABLE_REF(0)));
								}
							else
								{	/* Bdb/bdb_emit.scm 148 */
									BgL_test2053z00_3034 = ((bool_t) 0);
								}
							if (BgL_test2053z00_3034)
								{	/* Bdb/bdb_emit.scm 148 */
									BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
										((BgL_variablez00_bglt) BgL_globalz00_43));
									{	/* Bdb/bdb_emit.scm 151 */
										obj_t BgL_fnamez00_1825;
										obj_t BgL_lnumz00_1826;
										obj_t BgL_idz00_1827;
										obj_t BgL_namez00_1828;

										BgL_fnamez00_1825 =
											STRUCT_REF(BgL_svarzd2loczd2_1823, (int) (0L));
										BgL_lnumz00_1826 =
											STRUCT_REF(BgL_svarzd2loczd2_1823, (int) (2L));
										BgL_idz00_1827 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_43))))->
											BgL_idz00);
										BgL_namez00_1828 =
											(((BgL_variablez00_bglt)
												COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
															BgL_globalz00_43))))->BgL_namez00);
										{	/* Bdb/bdb_emit.scm 155 */
											obj_t BgL_port1292z00_1829;

											BgL_port1292z00_1829 = BGl_za2czd2portza2zd2zzbdb_emitz00;
											{	/* Bdb/bdb_emit.scm 155 */
												obj_t BgL_tmpz00_3053;

												BgL_tmpz00_3053 = ((obj_t) BgL_port1292z00_1829);
												bgl_display_string(BGl_string1927z00zzbdb_emitz00,
													BgL_tmpz00_3053);
											}
											bgl_display_obj(BgL_fnamez00_1825, BgL_port1292z00_1829);
											{	/* Bdb/bdb_emit.scm 155 */
												obj_t BgL_tmpz00_3057;

												BgL_tmpz00_3057 = ((obj_t) BgL_port1292z00_1829);
												bgl_display_string(BGl_string1941z00zzbdb_emitz00,
													BgL_tmpz00_3057);
											}
											bgl_display_obj(BgL_lnumz00_1826, BgL_port1292z00_1829);
											{	/* Bdb/bdb_emit.scm 155 */
												obj_t BgL_tmpz00_3061;

												BgL_tmpz00_3061 = ((obj_t) BgL_port1292z00_1829);
												bgl_display_string(BGl_string1933z00zzbdb_emitz00,
													BgL_tmpz00_3061);
											}
											{	/* Bdb/bdb_emit.scm 155 */
												obj_t BgL_tmpz00_3064;

												BgL_tmpz00_3064 = ((obj_t) BgL_port1292z00_1829);
												bgl_display_char(((unsigned char) 10), BgL_tmpz00_3064);
										}}
										{	/* Bdb/bdb_emit.scm 156 */
											obj_t BgL_port1293z00_1830;

											BgL_port1293z00_1830 = BGl_za2czd2portza2zd2zzbdb_emitz00;
											{	/* Bdb/bdb_emit.scm 156 */
												obj_t BgL_tmpz00_3067;

												BgL_tmpz00_3067 = ((obj_t) BgL_port1293z00_1830);
												bgl_display_string(BGl_string1927z00zzbdb_emitz00,
													BgL_tmpz00_3067);
											}
											bgl_display_obj(BgL_idz00_1827, BgL_port1293z00_1830);
											{	/* Bdb/bdb_emit.scm 156 */
												obj_t BgL_tmpz00_3071;

												BgL_tmpz00_3071 = ((obj_t) BgL_port1293z00_1830);
												bgl_display_string(BGl_string1928z00zzbdb_emitz00,
													BgL_tmpz00_3071);
											}
											bgl_display_obj(BgL_namez00_1828, BgL_port1293z00_1830);
											{	/* Bdb/bdb_emit.scm 156 */
												obj_t BgL_tmpz00_3075;

												BgL_tmpz00_3075 = ((obj_t) BgL_port1293z00_1830);
												bgl_display_string(BGl_string1945z00zzbdb_emitz00,
													BgL_tmpz00_3075);
											}
											{	/* Bdb/bdb_emit.scm 156 */
												obj_t BgL_tmpz00_3078;

												BgL_tmpz00_3078 = ((obj_t) BgL_port1293z00_1830);
												return
													bgl_display_char(((unsigned char) 10),
													BgL_tmpz00_3078);
								}}}}
							else
								{	/* Bdb/bdb_emit.scm 148 */
									return BFALSE;
								}
						}
					}
				}
			}
		}

	}



/* bdb-sfun! */
	obj_t BGl_bdbzd2sfunz12zc0zzbdb_emitz00(BgL_valuez00_bglt BgL_sfunz00_44)
	{
		{	/* Bdb/bdb_emit.scm 161 */
			{	/* Bdb/bdb_emit.scm 163 */
				obj_t BgL_g1296z00_1832;

				BgL_g1296z00_1832 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_sfunz00_44)))->BgL_argsz00);
				{
					obj_t BgL_l1294z00_1834;

					BgL_l1294z00_1834 = BgL_g1296z00_1832;
				BgL_zc3z04anonymousza31615ze3z87_1835:
					if (PAIRP(BgL_l1294z00_1834))
						{	/* Bdb/bdb_emit.scm 163 */
							BGl_bdbzd2emitzd2localzd2infoz12zc0zzbdb_emitz00(CAR
								(BgL_l1294z00_1834));
							{
								obj_t BgL_l1294z00_3087;

								BgL_l1294z00_3087 = CDR(BgL_l1294z00_1834);
								BgL_l1294z00_1834 = BgL_l1294z00_3087;
								goto BgL_zc3z04anonymousza31615ze3z87_1835;
							}
						}
					else
						{	/* Bdb/bdb_emit.scm 163 */
							((bool_t) 1);
						}
				}
			}
			{	/* Bdb/bdb_emit.scm 164 */
				obj_t BgL_arg1631z00_1840;

				BgL_arg1631z00_1840 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_sfunz00_44)))->BgL_bodyz00);
				return
					BGl_bdbz12z12zzbdb_emitz00(((BgL_nodez00_bglt) BgL_arg1631z00_1840));
			}
		}

	}



/* bdb-local-variable? */
	bool_t BGl_bdbzd2localzd2variablezf3zf3zzbdb_emitz00(obj_t BgL_localz00_45)
	{
		{	/* Bdb/bdb_emit.scm 176 */
			{
				obj_t BgL_localz00_1843;

				if (
					(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_localz00_45))))->BgL_userzf3zf3))
					{	/* Bdb/bdb_emit.scm 190 */
						BgL_localz00_1843 = BgL_localz00_45;
						{	/* Bdb/bdb_emit.scm 180 */
							obj_t BgL_tz00_1845;

							BgL_tz00_1845 =
								((obj_t)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_localz00_1843))))->
									BgL_typez00));
							{	/* Bdb/bdb_emit.scm 181 */
								bool_t BgL__ortest_1109z00_1846;

								BgL__ortest_1109z00_1846 =
									(
									(((BgL_typez00_bglt) COBJECT(
												((BgL_typez00_bglt) BgL_tz00_1845)))->BgL_classz00) ==
									((obj_t) CNST_TABLE_REF(4)));
								if (BgL__ortest_1109z00_1846)
									{	/* Bdb/bdb_emit.scm 181 */
										return BgL__ortest_1109z00_1846;
									}
								else
									{	/* Bdb/bdb_emit.scm 182 */
										bool_t BgL__ortest_1111z00_1847;

										BgL__ortest_1111z00_1847 =
											(BgL_tz00_1845 == BGl_za2intza2z00zztype_cachez00);
										if (BgL__ortest_1111z00_1847)
											{	/* Bdb/bdb_emit.scm 182 */
												return BgL__ortest_1111z00_1847;
											}
										else
											{	/* Bdb/bdb_emit.scm 183 */
												bool_t BgL__ortest_1112z00_1848;

												BgL__ortest_1112z00_1848 =
													(BgL_tz00_1845 == BGl_za2longza2z00zztype_cachez00);
												if (BgL__ortest_1112z00_1848)
													{	/* Bdb/bdb_emit.scm 183 */
														return BgL__ortest_1112z00_1848;
													}
												else
													{	/* Bdb/bdb_emit.scm 184 */
														bool_t BgL__ortest_1113z00_1849;

														BgL__ortest_1113z00_1849 =
															(BgL_tz00_1845 ==
															BGl_za2boolza2z00zztype_cachez00);
														if (BgL__ortest_1113z00_1849)
															{	/* Bdb/bdb_emit.scm 184 */
																return BgL__ortest_1113z00_1849;
															}
														else
															{	/* Bdb/bdb_emit.scm 185 */
																bool_t BgL__ortest_1114z00_1850;

																BgL__ortest_1114z00_1850 =
																	(BgL_tz00_1845 ==
																	BGl_za2realza2z00zztype_cachez00);
																if (BgL__ortest_1114z00_1850)
																	{	/* Bdb/bdb_emit.scm 185 */
																		return BgL__ortest_1114z00_1850;
																	}
																else
																	{	/* Bdb/bdb_emit.scm 186 */
																		bool_t BgL__ortest_1116z00_1851;

																		BgL__ortest_1116z00_1851 =
																			(BgL_tz00_1845 ==
																			BGl_za2charza2z00zztype_cachez00);
																		if (BgL__ortest_1116z00_1851)
																			{	/* Bdb/bdb_emit.scm 186 */
																				return BgL__ortest_1116z00_1851;
																			}
																		else
																			{	/* Bdb/bdb_emit.scm 186 */
																				return
																					(BgL_tz00_1845 ==
																					BGl_za2stringza2z00zztype_cachez00);
																			}
																	}
															}
													}
											}
									}
							}
						}
					}
				else
					{	/* Bdb/bdb_emit.scm 190 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* bdb-emit-local-info! */
	obj_t BGl_bdbzd2emitzd2localzd2infoz12zc0zzbdb_emitz00(obj_t BgL_localz00_46)
	{
		{	/* Bdb/bdb_emit.scm 195 */
			if (BGl_bdbzd2localzd2variablezf3zf3zzbdb_emitz00(BgL_localz00_46))
				{	/* Bdb/bdb_emit.scm 196 */
					BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
						((BgL_variablez00_bglt) BgL_localz00_46));
					{	/* Bdb/bdb_emit.scm 199 */
						obj_t BgL_idz00_1855;
						obj_t BgL_namez00_1856;

						BgL_idz00_1855 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_localz00_46))))->BgL_idz00);
						BgL_namez00_1856 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_localz00_46))))->BgL_namez00);
						{	/* Bdb/bdb_emit.scm 201 */
							obj_t BgL_port1297z00_1857;

							BgL_port1297z00_1857 = BGl_za2czd2portza2zd2zzbdb_emitz00;
							{	/* Bdb/bdb_emit.scm 201 */
								obj_t BgL_tmpz00_3128;

								BgL_tmpz00_3128 = ((obj_t) BgL_port1297z00_1857);
								bgl_display_string(BGl_string1947z00zzbdb_emitz00,
									BgL_tmpz00_3128);
							}
							bgl_display_obj(BgL_idz00_1855, BgL_port1297z00_1857);
							{	/* Bdb/bdb_emit.scm 201 */
								obj_t BgL_tmpz00_3132;

								BgL_tmpz00_3132 = ((obj_t) BgL_port1297z00_1857);
								bgl_display_string(BGl_string1928z00zzbdb_emitz00,
									BgL_tmpz00_3132);
							}
							bgl_display_obj(BgL_namez00_1856, BgL_port1297z00_1857);
							{	/* Bdb/bdb_emit.scm 201 */
								obj_t BgL_tmpz00_3136;

								BgL_tmpz00_3136 = ((obj_t) BgL_port1297z00_1857);
								bgl_display_string(BGl_string1945z00zzbdb_emitz00,
									BgL_tmpz00_3136);
							}
							{	/* Bdb/bdb_emit.scm 201 */
								obj_t BgL_tmpz00_3139;

								BgL_tmpz00_3139 = ((obj_t) BgL_port1297z00_1857);
								return bgl_display_char(((unsigned char) 10), BgL_tmpz00_3139);
				}}}}
			else
				{	/* Bdb/bdb_emit.scm 196 */
					return BFALSE;
				}
		}

	}



/* bdb*! */
	obj_t BGl_bdbza2z12zb0zzbdb_emitz00(obj_t BgL_nodesz00_64)
	{
		{	/* Bdb/bdb_emit.scm 343 */
			{
				obj_t BgL_hookz00_1859;

				BgL_hookz00_1859 = BgL_nodesz00_64;
			BgL_zc3z04anonymousza31635ze3z87_1860:
				if (NULLP(BgL_hookz00_1859))
					{	/* Bdb/bdb_emit.scm 345 */
						return ((obj_t) CNST_TABLE_REF(5));
					}
				else
					{	/* Bdb/bdb_emit.scm 345 */
						{	/* Bdb/bdb_emit.scm 348 */
							obj_t BgL_arg1638z00_1862;

							BgL_arg1638z00_1862 = CAR(((obj_t) BgL_hookz00_1859));
							BGl_bdbz12z12zzbdb_emitz00(
								((BgL_nodez00_bglt) BgL_arg1638z00_1862));
						}
						{	/* Bdb/bdb_emit.scm 349 */
							obj_t BgL_arg1642z00_1863;

							BgL_arg1642z00_1863 = CDR(((obj_t) BgL_hookz00_1859));
							{
								obj_t BgL_hookz00_3152;

								BgL_hookz00_3152 = BgL_arg1642z00_1863;
								BgL_hookz00_1859 = BgL_hookz00_3152;
								goto BgL_zc3z04anonymousza31635ze3z87_1860;
							}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbdb_emitz00(void)
	{
		{	/* Bdb/bdb_emit.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbdb_emitz00(void)
	{
		{	/* Bdb/bdb_emit.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_proc1948z00zzbdb_emitz00,
				BGl_nodez00zzast_nodez00, BGl_string1949z00zzbdb_emitz00);
		}

	}



/* &bdb!1307 */
	obj_t BGl_z62bdbz121307z70zzbdb_emitz00(obj_t BgL_envz00_2579,
		obj_t BgL_nodez00_2580)
	{
		{	/* Bdb/bdb_emit.scm 206 */
			return BUNSPEC;
		}

	}



/* bdb! */
	obj_t BGl_bdbz12z12zzbdb_emitz00(BgL_nodez00_bglt BgL_nodez00_47)
	{
		{	/* Bdb/bdb_emit.scm 206 */
			{	/* Bdb/bdb_emit.scm 206 */
				obj_t BgL_method1309z00_1869;

				{	/* Bdb/bdb_emit.scm 206 */
					obj_t BgL_res1913z00_2478;

					{	/* Bdb/bdb_emit.scm 206 */
						long BgL_objzd2classzd2numz00_2449;

						BgL_objzd2classzd2numz00_2449 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_47));
						{	/* Bdb/bdb_emit.scm 206 */
							obj_t BgL_arg1862z00_2450;

							BgL_arg1862z00_2450 =
								PROCEDURE_REF(BGl_bdbz12zd2envzc0zzbdb_emitz00, (int) (1L));
							{	/* Bdb/bdb_emit.scm 206 */
								int BgL_offsetz00_2453;

								BgL_offsetz00_2453 = (int) (BgL_objzd2classzd2numz00_2449);
								{	/* Bdb/bdb_emit.scm 206 */
									long BgL_offsetz00_2454;

									BgL_offsetz00_2454 =
										((long) (BgL_offsetz00_2453) - OBJECT_TYPE);
									{	/* Bdb/bdb_emit.scm 206 */
										long BgL_modz00_2455;

										BgL_modz00_2455 =
											(BgL_offsetz00_2454 >> (int) ((long) ((int) (4L))));
										{	/* Bdb/bdb_emit.scm 206 */
											long BgL_restz00_2457;

											BgL_restz00_2457 =
												(BgL_offsetz00_2454 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Bdb/bdb_emit.scm 206 */

												{	/* Bdb/bdb_emit.scm 206 */
													obj_t BgL_bucketz00_2459;

													BgL_bucketz00_2459 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2450), BgL_modz00_2455);
													BgL_res1913z00_2478 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2459), BgL_restz00_2457);
					}}}}}}}}
					BgL_method1309z00_1869 = BgL_res1913z00_2478;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1309z00_1869, ((obj_t) BgL_nodez00_47));
			}
		}

	}



/* &bdb! */
	obj_t BGl_z62bdbz12z70zzbdb_emitz00(obj_t BgL_envz00_2581,
		obj_t BgL_nodez00_2582)
	{
		{	/* Bdb/bdb_emit.scm 206 */
			return BGl_bdbz12z12zzbdb_emitz00(((BgL_nodez00_bglt) BgL_nodez00_2582));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbdb_emitz00(void)
	{
		{	/* Bdb/bdb_emit.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_sequencez00zzast_nodez00,
				BGl_proc1950z00zzbdb_emitz00, BGl_string1951z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_syncz00zzast_nodez00,
				BGl_proc1952z00zzbdb_emitz00, BGl_string1951z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_externz00zzast_nodez00,
				BGl_proc1953z00zzbdb_emitz00, BGl_string1951z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_castz00zzast_nodez00,
				BGl_proc1954z00zzbdb_emitz00, BGl_string1951z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_setqz00zzast_nodez00,
				BGl_proc1955z00zzbdb_emitz00, BGl_string1951z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc1956z00zzbdb_emitz00, BGl_string1951z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_failz00zzast_nodez00,
				BGl_proc1957z00zzbdb_emitz00, BGl_string1951z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_switchz00zzast_nodez00,
				BGl_proc1958z00zzbdb_emitz00, BGl_string1951z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc1959z00zzbdb_emitz00, BGl_string1951z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1960z00zzbdb_emitz00, BGl_string1951z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1961z00zzbdb_emitz00, BGl_string1951z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1962z00zzbdb_emitz00, BGl_string1951z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc1963z00zzbdb_emitz00, BGl_string1951z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1964z00zzbdb_emitz00, BGl_string1951z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc1965z00zzbdb_emitz00, BGl_string1951z00zzbdb_emitz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_funcallz00zzast_nodez00,
				BGl_proc1966z00zzbdb_emitz00, BGl_string1951z00zzbdb_emitz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bdbz12zd2envzc0zzbdb_emitz00, BGl_appz00zzast_nodez00,
				BGl_proc1967z00zzbdb_emitz00, BGl_string1951z00zzbdb_emitz00);
		}

	}



/* &bdb!-app1343 */
	obj_t BGl_z62bdbz12zd2app1343za2zzbdb_emitz00(obj_t BgL_envz00_2600,
		obj_t BgL_nodez00_2601)
	{
		{	/* Bdb/bdb_emit.scm 354 */
			return
				BGl_bdbza2z12zb0zzbdb_emitz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2601)))->BgL_argsz00));
		}

	}



/* &bdb!-funcall1341 */
	obj_t BGl_z62bdbz12zd2funcall1341za2zzbdb_emitz00(obj_t BgL_envz00_2602,
		obj_t BgL_nodez00_2603)
	{
		{	/* Bdb/bdb_emit.scm 335 */
			BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2603)))->BgL_funz00));
			return
				BGl_bdbza2z12zb0zzbdb_emitz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2603)))->BgL_argsz00));
		}

	}



/* &bdb!-app-ly1339 */
	obj_t BGl_z62bdbz12zd2appzd2ly1339z70zzbdb_emitz00(obj_t BgL_envz00_2604,
		obj_t BgL_nodez00_2605)
	{
		{	/* Bdb/bdb_emit.scm 327 */
			BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2605)))->BgL_funz00));
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2605)))->BgL_argz00));
		}

	}



/* &bdb!-box-set!1337 */
	obj_t BGl_z62bdbz12zd2boxzd2setz121337z62zzbdb_emitz00(obj_t BgL_envz00_2606,
		obj_t BgL_nodez00_2607)
	{
		{	/* Bdb/bdb_emit.scm 320 */
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2607)))->BgL_valuez00));
		}

	}



/* &bdb!-make-box1335 */
	obj_t BGl_z62bdbz12zd2makezd2box1335z70zzbdb_emitz00(obj_t BgL_envz00_2608,
		obj_t BgL_nodez00_2609)
	{
		{	/* Bdb/bdb_emit.scm 313 */
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2609)))->BgL_valuez00));
		}

	}



/* &bdb!-jump-ex-it1333 */
	obj_t BGl_z62bdbz12zd2jumpzd2exzd2it1333za2zzbdb_emitz00(obj_t
		BgL_envz00_2610, obj_t BgL_nodez00_2611)
	{
		{	/* Bdb/bdb_emit.scm 305 */
			BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2611)))->BgL_exitz00));
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2611)))->BgL_valuez00));
		}

	}



/* &bdb!-set-ex-it1331 */
	obj_t BGl_z62bdbz12zd2setzd2exzd2it1331za2zzbdb_emitz00(obj_t BgL_envz00_2612,
		obj_t BgL_nodez00_2613)
	{
		{	/* Bdb/bdb_emit.scm 297 */
			BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2613)))->BgL_onexitz00));
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2613)))->BgL_bodyz00));
		}

	}



/* &bdb!-let-var1329 */
	obj_t BGl_z62bdbz12zd2letzd2var1329z70zzbdb_emitz00(obj_t BgL_envz00_2614,
		obj_t BgL_nodez00_2615)
	{
		{	/* Bdb/bdb_emit.scm 285 */
			{	/* Bdb/bdb_emit.scm 287 */
				obj_t BgL_g1306z00_2673;

				BgL_g1306z00_2673 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2615)))->BgL_bindingsz00);
				{
					obj_t BgL_l1304z00_2675;

					BgL_l1304z00_2675 = BgL_g1306z00_2673;
				BgL_zc3z04anonymousza31694ze3z87_2674:
					if (PAIRP(BgL_l1304z00_2675))
						{	/* Bdb/bdb_emit.scm 287 */
							{	/* Bdb/bdb_emit.scm 288 */
								obj_t BgL_bindingz00_2676;

								BgL_bindingz00_2676 = CAR(BgL_l1304z00_2675);
								{	/* Bdb/bdb_emit.scm 289 */
									obj_t BgL_arg1696z00_2677;

									BgL_arg1696z00_2677 = CDR(((obj_t) BgL_bindingz00_2676));
									BGl_bdbz12z12zzbdb_emitz00(
										((BgL_nodez00_bglt) BgL_arg1696z00_2677));
								}
								{	/* Bdb/bdb_emit.scm 290 */
									obj_t BgL_arg1699z00_2678;

									BgL_arg1699z00_2678 = CAR(((obj_t) BgL_bindingz00_2676));
									BGl_bdbzd2emitzd2localzd2infoz12zc0zzbdb_emitz00
										(BgL_arg1699z00_2678);
								}
							}
							{
								obj_t BgL_l1304z00_3248;

								BgL_l1304z00_3248 = CDR(BgL_l1304z00_2675);
								BgL_l1304z00_2675 = BgL_l1304z00_3248;
								goto BgL_zc3z04anonymousza31694ze3z87_2674;
							}
						}
					else
						{	/* Bdb/bdb_emit.scm 287 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2615)))->BgL_bodyz00));
		}

	}



/* &bdb!-let-fun1327 */
	obj_t BGl_z62bdbz12zd2letzd2fun1327z70zzbdb_emitz00(obj_t BgL_envz00_2616,
		obj_t BgL_nodez00_2617)
	{
		{	/* Bdb/bdb_emit.scm 275 */
			{	/* Bdb/bdb_emit.scm 277 */
				obj_t BgL_g1303z00_2680;

				BgL_g1303z00_2680 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2617)))->BgL_localsz00);
				{
					obj_t BgL_l1301z00_2682;

					BgL_l1301z00_2682 = BgL_g1303z00_2680;
				BgL_zc3z04anonymousza31687ze3z87_2681:
					if (PAIRP(BgL_l1301z00_2682))
						{	/* Bdb/bdb_emit.scm 277 */
							{	/* Bdb/bdb_emit.scm 278 */
								obj_t BgL_localz00_2683;

								BgL_localz00_2683 = CAR(BgL_l1301z00_2682);
								{	/* Bdb/bdb_emit.scm 278 */
									BgL_valuez00_bglt BgL_arg1691z00_2684;

									BgL_arg1691z00_2684 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2683))))->
										BgL_valuez00);
									BGl_bdbzd2sfunz12zc0zzbdb_emitz00(BgL_arg1691z00_2684);
								}
							}
							{
								obj_t BgL_l1301z00_3262;

								BgL_l1301z00_3262 = CDR(BgL_l1301z00_2682);
								BgL_l1301z00_2682 = BgL_l1301z00_3262;
								goto BgL_zc3z04anonymousza31687ze3z87_2681;
							}
						}
					else
						{	/* Bdb/bdb_emit.scm 277 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2617)))->BgL_bodyz00));
		}

	}



/* &bdb!-switch1325 */
	obj_t BGl_z62bdbz12zd2switch1325za2zzbdb_emitz00(obj_t BgL_envz00_2618,
		obj_t BgL_nodez00_2619)
	{
		{	/* Bdb/bdb_emit.scm 267 */
			{	/* Bdb/bdb_emit.scm 268 */
				bool_t BgL_tmpz00_3267;

				BGl_bdbz12z12zzbdb_emitz00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2619)))->BgL_testz00));
				{	/* Bdb/bdb_emit.scm 270 */
					obj_t BgL_g1300z00_2686;

					BgL_g1300z00_2686 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2619)))->BgL_clausesz00);
					{
						obj_t BgL_l1298z00_2688;

						BgL_l1298z00_2688 = BgL_g1300z00_2686;
					BgL_zc3z04anonymousza31678ze3z87_2687:
						if (PAIRP(BgL_l1298z00_2688))
							{	/* Bdb/bdb_emit.scm 270 */
								{	/* Bdb/bdb_emit.scm 270 */
									obj_t BgL_clausez00_2689;

									BgL_clausez00_2689 = CAR(BgL_l1298z00_2688);
									{	/* Bdb/bdb_emit.scm 270 */
										obj_t BgL_arg1680z00_2690;

										BgL_arg1680z00_2690 = CDR(((obj_t) BgL_clausez00_2689));
										BGl_bdbz12z12zzbdb_emitz00(
											((BgL_nodez00_bglt) BgL_arg1680z00_2690));
									}
								}
								{
									obj_t BgL_l1298z00_3280;

									BgL_l1298z00_3280 = CDR(BgL_l1298z00_2688);
									BgL_l1298z00_2688 = BgL_l1298z00_3280;
									goto BgL_zc3z04anonymousza31678ze3z87_2687;
								}
							}
						else
							{	/* Bdb/bdb_emit.scm 270 */
								BgL_tmpz00_3267 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_3267);
			}
		}

	}



/* &bdb!-fail1323 */
	obj_t BGl_z62bdbz12zd2fail1323za2zzbdb_emitz00(obj_t BgL_envz00_2620,
		obj_t BgL_nodez00_2621)
	{
		{	/* Bdb/bdb_emit.scm 258 */
			BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2621)))->BgL_procz00));
			BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2621)))->BgL_msgz00));
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2621)))->BgL_objz00));
		}

	}



/* &bdb!-conditional1321 */
	obj_t BGl_z62bdbz12zd2conditional1321za2zzbdb_emitz00(obj_t BgL_envz00_2622,
		obj_t BgL_nodez00_2623)
	{
		{	/* Bdb/bdb_emit.scm 249 */
			BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2623)))->BgL_testz00));
			BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2623)))->BgL_truez00));
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2623)))->BgL_falsez00));
		}

	}



/* &bdb!-setq1319 */
	obj_t BGl_z62bdbz12zd2setq1319za2zzbdb_emitz00(obj_t BgL_envz00_2624,
		obj_t BgL_nodez00_2625)
	{
		{	/* Bdb/bdb_emit.scm 242 */
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2625)))->BgL_valuez00));
		}

	}



/* &bdb!-cast1317 */
	obj_t BGl_z62bdbz12zd2cast1317za2zzbdb_emitz00(obj_t BgL_envz00_2626,
		obj_t BgL_nodez00_2627)
	{
		{	/* Bdb/bdb_emit.scm 235 */
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2627)))->BgL_argz00));
		}

	}



/* &bdb!-extern1315 */
	obj_t BGl_z62bdbz12zd2extern1315za2zzbdb_emitz00(obj_t BgL_envz00_2628,
		obj_t BgL_nodez00_2629)
	{
		{	/* Bdb/bdb_emit.scm 228 */
			return
				BGl_bdbza2z12zb0zzbdb_emitz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2629)))->BgL_exprza2za2));
		}

	}



/* &bdb!-sync1313 */
	obj_t BGl_z62bdbz12zd2sync1313za2zzbdb_emitz00(obj_t BgL_envz00_2630,
		obj_t BgL_nodez00_2631)
	{
		{	/* Bdb/bdb_emit.scm 219 */
			BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2631)))->BgL_mutexz00));
			BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2631)))->BgL_prelockz00));
			return
				BGl_bdbz12z12zzbdb_emitz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2631)))->BgL_bodyz00));
		}

	}



/* &bdb!-sequence1311 */
	obj_t BGl_z62bdbz12zd2sequence1311za2zzbdb_emitz00(obj_t BgL_envz00_2632,
		obj_t BgL_nodez00_2633)
	{
		{	/* Bdb/bdb_emit.scm 212 */
			return
				BGl_bdbza2z12zb0zzbdb_emitz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2633)))->BgL_nodesz00));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbdb_emitz00(void)
	{
		{	/* Bdb/bdb_emit.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(9470071L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzast_unitz00(234044111L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(184800657L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzengine_configurez00(272817175L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(364917963L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_cplibz00(395792377L,
				BSTRING_TO_STRING(BGl_string1968z00zzbdb_emitz00));
		}

	}

#ifdef __cplusplus
}
#endif
