/*===========================================================================*/
/*   (Cfa/iterate.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Cfa/iterate.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_CFA_ITERATE_TYPE_DEFINITIONS
#define BGL_CFA_ITERATE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;


#endif													// BGL_CFA_ITERATE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
	extern obj_t BGl_unitzd2initializa7ersz75zzast_unitz00(void);
	BGL_IMPORT obj_t BGl_timez00zz__biglooz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_iteratez00(void);
	static obj_t BGl_za2cfazd2currentza2zd2zzcfa_iteratez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_cfazd2currentzd2zzcfa_iteratez00(void);
	static obj_t BGl_appendzd221011zd2zzcfa_iteratez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_iteratez00(void);
	static obj_t BGl_z62cfazd2iteratez12za2zzcfa_iteratez00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfazd2internzd2sfunz12z70zzcfa_iteratez00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(BgL_valuez00_bglt);
	static obj_t BGl_z62cfazd2currentzb0zzcfa_iteratez00(obj_t);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_iteratez00(void);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	static obj_t BGl_z62continuezd2cfaz12za2zzcfa_iteratez00(obj_t, obj_t);
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 = BUNSPEC;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62cfazd2exportzd2varz121507z70zzcfa_iteratez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(BgL_valuez00_bglt, obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_iteratez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_iteratez00(void);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_iteratez00(void);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	static obj_t BGl_z62cfazd2exportzd2varz12zd2inte1512za2zzcfa_iteratez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cfazd2iteratezd2tozd2fixpointz12za2zzcfa_iteratez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62polymorphicz62zzcfa_iteratez00(BgL_sfunz00_bglt, BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_z62cfazd2exportzd2varz12zd2svar1510za2zzcfa_iteratez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_iteratez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_iteratez00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_iteratez00(void);
	extern obj_t BGl_valuez00zzast_varz00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static bool_t BGl_exportedzd2closurezf3z21zzcfa_iteratez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_cfazd2iteratez12zc0zzcfa_iteratez00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62cfazd2exportzd2varz12z70zzcfa_iteratez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31594ze3ze5zzcfa_iteratez00(obj_t);
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfazd2iteratezd2tozd2fixpointz12zd2envz12zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2iterate2018z00,
		BGl_z62cfazd2iteratezd2tozd2fixpointz12za2zzcfa_iteratez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfazd2internzd2sfunz12zd2envzc0zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2internza72019za7,
		BGl_z62cfazd2internzd2sfunz12z70zzcfa_iteratez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfazd2currentzd2envz00zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2current2020z00,
		BGl_z62cfazd2currentzb0zzcfa_iteratez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_continuezd2cfaz12zd2envz12zzcfa_iteratez00,
		BgL_bgl_za762continueza7d2cf2021z00,
		BGl_z62continuezd2cfaz12za2zzcfa_iteratez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2000z00zzcfa_iteratez00,
		BgL_bgl_string2000za700za7za7c2022za7, "      ", 6);
	      DEFINE_STRING(BGl_string2001z00zzcfa_iteratez00,
		BgL_bgl_string2001za700za7za7c2023za7, ".", 1);
	      DEFINE_STRING(BGl_string2002z00zzcfa_iteratez00,
		BgL_bgl_string2002za700za7za7c2024za7, "\n", 1);
	      DEFINE_STRING(BGl_string2003z00zzcfa_iteratez00,
		BgL_bgl_string2003za700za7za7c2025za7, " [", 2);
	      DEFINE_STRING(BGl_string2004z00zzcfa_iteratez00,
		BgL_bgl_string2004za700za7za7c2026za7, "]", 1);
	      DEFINE_STRING(BGl_string2005z00zzcfa_iteratez00,
		BgL_bgl_string2005za700za7za7c2027za7, "> ", 2);
	      DEFINE_STRING(BGl_string2006z00zzcfa_iteratez00,
		BgL_bgl_string2006za700za7za7c2028za7, "<", 1);
	      DEFINE_STRING(BGl_string2007z00zzcfa_iteratez00,
		BgL_bgl_string2007za700za7za7c2029za7, " ", 1);
	      DEFINE_STRING(BGl_string2008z00zzcfa_iteratez00,
		BgL_bgl_string2008za700za7za7c2030za7, "~a[~a]", 6);
	      DEFINE_STRING(BGl_string2010z00zzcfa_iteratez00,
		BgL_bgl_string2010za700za7za7c2031za7, "cfa-export-var!1507", 19);
	      DEFINE_STRING(BGl_string2011z00zzcfa_iteratez00,
		BgL_bgl_string2011za700za7za7c2032za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2013z00zzcfa_iteratez00,
		BgL_bgl_string2013za700za7za7c2033za7, "cfa-export-var!", 15);
	      DEFINE_STRING(BGl_string2015z00zzcfa_iteratez00,
		BgL_bgl_string2015za700za7za7c2034za7, "cfa_iterate", 11);
	      DEFINE_STRING(BGl_string2016z00zzcfa_iteratez00,
		BgL_bgl_string2016za700za7za7c2035za7,
		"all cfa-export-var!1507 never export ", 37);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfazd2iteratez12zd2envz12zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2iterate2036z00,
		BGl_z62cfazd2iteratez12za2zzcfa_iteratez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2009z00zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2exportza72037za7,
		BGl_z62cfazd2exportzd2varz121507z70zzcfa_iteratez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2012z00zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2exportza72038za7,
		BGl_z62cfazd2exportzd2varz12zd2svar1510za2zzcfa_iteratez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2014z00zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2exportza72039za7,
		BGl_z62cfazd2exportzd2varz12zd2inte1512za2zzcfa_iteratez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
		BgL_bgl_za762cfaza7d2exportza72040za7,
		BGl_z62cfazd2exportzd2varz12z70zzcfa_iteratez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2cfazd2currentza2zd2zzcfa_iteratez00));
		     ADD_ROOT((void *) (&BGl_za2cfazd2stampza2zd2zzcfa_iteratez00));
		     ADD_ROOT((void *) (&BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00));
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_iteratez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long
		BgL_checksumz00_3915, char *BgL_fromz00_3916)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_iteratez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_iteratez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_iteratez00();
					BGl_libraryzd2moduleszd2initz00zzcfa_iteratez00();
					BGl_cnstzd2initzd2zzcfa_iteratez00();
					BGl_importedzd2moduleszd2initz00zzcfa_iteratez00();
					BGl_genericzd2initzd2zzcfa_iteratez00();
					BGl_methodzd2initzd2zzcfa_iteratez00();
					return BGl_toplevelzd2initzd2zzcfa_iteratez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_iteratez00(void)
	{
		{	/* Cfa/iterate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L,
				"cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"cfa_iterate");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_iteratez00(void)
	{
		{	/* Cfa/iterate.scm 15 */
			{	/* Cfa/iterate.scm 15 */
				obj_t BgL_cportz00_3860;

				{	/* Cfa/iterate.scm 15 */
					obj_t BgL_stringz00_3867;

					BgL_stringz00_3867 = BGl_string2016z00zzcfa_iteratez00;
					{	/* Cfa/iterate.scm 15 */
						obj_t BgL_startz00_3868;

						BgL_startz00_3868 = BINT(0L);
						{	/* Cfa/iterate.scm 15 */
							obj_t BgL_endz00_3869;

							BgL_endz00_3869 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3867)));
							{	/* Cfa/iterate.scm 15 */

								BgL_cportz00_3860 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3867, BgL_startz00_3868, BgL_endz00_3869);
				}}}}
				{
					long BgL_iz00_3861;

					BgL_iz00_3861 = 3L;
				BgL_loopz00_3862:
					if ((BgL_iz00_3861 == (-1L)))
						{	/* Cfa/iterate.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/iterate.scm 15 */
							{	/* Cfa/iterate.scm 15 */
								obj_t BgL_arg2017z00_3863;

								{	/* Cfa/iterate.scm 15 */

									{	/* Cfa/iterate.scm 15 */
										obj_t BgL_locationz00_3865;

										BgL_locationz00_3865 = BBOOL(((bool_t) 0));
										{	/* Cfa/iterate.scm 15 */

											BgL_arg2017z00_3863 =
												BGl_readz00zz__readerz00(BgL_cportz00_3860,
												BgL_locationz00_3865);
										}
									}
								}
								{	/* Cfa/iterate.scm 15 */
									int BgL_tmpz00_3949;

									BgL_tmpz00_3949 = (int) (BgL_iz00_3861);
									CNST_TABLE_SET(BgL_tmpz00_3949, BgL_arg2017z00_3863);
							}}
							{	/* Cfa/iterate.scm 15 */
								int BgL_auxz00_3866;

								BgL_auxz00_3866 = (int) ((BgL_iz00_3861 - 1L));
								{
									long BgL_iz00_3954;

									BgL_iz00_3954 = (long) (BgL_auxz00_3866);
									BgL_iz00_3861 = BgL_iz00_3954;
									goto BgL_loopz00_3862;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_iteratez00(void)
	{
		{	/* Cfa/iterate.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_iteratez00(void)
	{
		{	/* Cfa/iterate.scm 15 */
			BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BUNSPEC;
			BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 = BINT((-1L));
			return (BGl_za2cfazd2currentza2zd2zzcfa_iteratez00 = BUNSPEC, BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzcfa_iteratez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_2977;

					BgL_headz00_2977 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_2978;
						obj_t BgL_tailz00_2979;

						BgL_prevz00_2978 = BgL_headz00_2977;
						BgL_tailz00_2979 = BgL_l1z00_1;
					BgL_loopz00_2980:
						if (PAIRP(BgL_tailz00_2979))
							{
								obj_t BgL_newzd2prevzd2_2982;

								BgL_newzd2prevzd2_2982 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2979), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_2978, BgL_newzd2prevzd2_2982);
								{
									obj_t BgL_tailz00_3967;
									obj_t BgL_prevz00_3966;

									BgL_prevz00_3966 = BgL_newzd2prevzd2_2982;
									BgL_tailz00_3967 = CDR(BgL_tailz00_2979);
									BgL_tailz00_2979 = BgL_tailz00_3967;
									BgL_prevz00_2978 = BgL_prevz00_3966;
									goto BgL_loopz00_2980;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_2977);
					}
				}
		}

	}



/* cfa-iterate-to-fixpoint! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Cfa/iterate.scm 40 */
			BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 = BINT((-1L));
			{	/* Cfa/iterate.scm 46 */
				obj_t BgL_glodefsz00_2985;

				BgL_glodefsz00_2985 = BNIL;
				{
					obj_t BgL_l1500z00_2987;

					BgL_l1500z00_2987 = BgL_globalsz00_3;
				BgL_zc3z04anonymousza31517ze3z87_2988:
					if (PAIRP(BgL_l1500z00_2987))
						{	/* Cfa/iterate.scm 47 */
							{	/* Cfa/iterate.scm 48 */
								obj_t BgL_gz00_2990;

								BgL_gz00_2990 = CAR(BgL_l1500z00_2987);
								{	/* Cfa/iterate.scm 48 */
									bool_t BgL_test2046z00_3974;

									if (
										((((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt) BgL_gz00_2990)))->
												BgL_importz00) == ((obj_t) CNST_TABLE_REF(0))))
										{	/* Cfa/iterate.scm 48 */
											BgL_test2046z00_3974 = ((bool_t) 1);
										}
									else
										{	/* Cfa/iterate.scm 48 */
											BgL_test2046z00_3974 =
												BGl_exportedzd2closurezf3z21zzcfa_iteratez00
												(BgL_gz00_2990);
										}
									if (BgL_test2046z00_3974)
										{	/* Cfa/iterate.scm 48 */
											BgL_glodefsz00_2985 =
												MAKE_YOUNG_PAIR(BgL_gz00_2990, BgL_glodefsz00_2985);
										}
									else
										{	/* Cfa/iterate.scm 48 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1500z00_3983;

								BgL_l1500z00_3983 = CDR(BgL_l1500z00_2987);
								BgL_l1500z00_2987 = BgL_l1500z00_3983;
								goto BgL_zc3z04anonymousza31517ze3z87_2988;
							}
						}
					else
						{	/* Cfa/iterate.scm 47 */
							((bool_t) 1);
						}
				}
				{	/* Cfa/iterate.scm 53 */
					obj_t BgL_arg1545z00_2999;

					BgL_arg1545z00_2999 = BGl_unitzd2initializa7ersz75zzast_unitz00();
					BgL_glodefsz00_2985 =
						BGl_appendzd221011zd2zzcfa_iteratez00(BgL_arg1545z00_2999,
						BgL_glodefsz00_2985);
				}
				if (CBOOL(BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00))
					{	/* Cfa/iterate.scm 199 */
						BFALSE;
					}
				else
					{	/* Cfa/iterate.scm 199 */
						BNIL;
					}
				BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BTRUE;
				{	/* Cfa/iterate.scm 57 */
					obj_t BgL_list1546z00_3000;

					BgL_list1546z00_3000 =
						MAKE_YOUNG_PAIR(BGl_string2000z00zzcfa_iteratez00, BNIL);
					BGl_verbosez00zztools_speekz00(BINT(3L), BgL_list1546z00_3000);
				}
				{
					long BgL_iz00_3002;

					BgL_iz00_3002 = 0L;
				BgL_zc3z04anonymousza31547ze3z87_3003:
					{	/* Cfa/iterate.scm 59 */
						obj_t BgL_list1550z00_3004;

						{	/* Cfa/iterate.scm 59 */
							obj_t BgL_arg1553z00_3005;

							BgL_arg1553z00_3005 = MAKE_YOUNG_PAIR(BINT(BgL_iz00_3002), BNIL);
							BgL_list1550z00_3004 =
								MAKE_YOUNG_PAIR(BGl_string2001z00zzcfa_iteratez00,
								BgL_arg1553z00_3005);
						}
						BGl_verbosez00zztools_speekz00(BINT(3L), BgL_list1550z00_3004);
					}
					if (CBOOL(BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00))
						{	/* Cfa/iterate.scm 60 */
							BGl_cfazd2iteratez12zc0zzcfa_iteratez00(BgL_glodefsz00_2985);
							{
								long BgL_iz00_4000;

								BgL_iz00_4000 = (BgL_iz00_3002 + 1L);
								BgL_iz00_3002 = BgL_iz00_4000;
								goto BgL_zc3z04anonymousza31547ze3z87_3003;
							}
						}
					else
						{	/* Cfa/iterate.scm 60 */
							BgL_glodefsz00_2985;
						}
				}
				{	/* Cfa/iterate.scm 65 */
					obj_t BgL_list1559z00_3009;

					BgL_list1559z00_3009 =
						MAKE_YOUNG_PAIR(BGl_string2002z00zzcfa_iteratez00, BNIL);
					return BGl_verbosez00zztools_speekz00(BINT(3L), BgL_list1559z00_3009);
				}
			}
		}

	}



/* &cfa-iterate-to-fixpoint! */
	obj_t BGl_z62cfazd2iteratezd2tozd2fixpointz12za2zzcfa_iteratez00(obj_t
		BgL_envz00_3828, obj_t BgL_globalsz00_3829)
	{
		{	/* Cfa/iterate.scm 40 */
			return
				BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00
				(BgL_globalsz00_3829);
		}

	}



/* exported-closure? */
	bool_t BGl_exportedzd2closurezf3z21zzcfa_iteratez00(obj_t BgL_gz00_4)
	{
		{	/* Cfa/iterate.scm 70 */
			if (
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_gz00_4))))->BgL_removablez00) ==
					((obj_t) CNST_TABLE_REF(1))))
				{	/* Cfa/iterate.scm 72 */
					BgL_valuez00_bglt BgL_valz00_3011;

					BgL_valz00_3011 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_gz00_4))))->BgL_valuez00);
					{	/* Cfa/iterate.scm 73 */
						bool_t BgL_test2051z00_4016;

						{	/* Cfa/iterate.scm 73 */
							obj_t BgL_classz00_3587;

							BgL_classz00_3587 = BGl_sfunz00zzast_varz00;
							{	/* Cfa/iterate.scm 73 */
								BgL_objectz00_bglt BgL_arg1858z00_3589;

								{	/* Cfa/iterate.scm 73 */
									obj_t BgL_tmpz00_4017;

									BgL_tmpz00_4017 =
										((obj_t) ((BgL_objectz00_bglt) BgL_valz00_3011));
									BgL_arg1858z00_3589 = (BgL_objectz00_bglt) (BgL_tmpz00_4017);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/iterate.scm 73 */
										long BgL_idxz00_3595;

										BgL_idxz00_3595 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3589);
										BgL_test2051z00_4016 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3595 + 3L)) == BgL_classz00_3587);
									}
								else
									{	/* Cfa/iterate.scm 73 */
										bool_t BgL_res1990z00_3620;

										{	/* Cfa/iterate.scm 73 */
											obj_t BgL_oclassz00_3603;

											{	/* Cfa/iterate.scm 73 */
												obj_t BgL_arg1866z00_3611;
												long BgL_arg1867z00_3612;

												BgL_arg1866z00_3611 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Cfa/iterate.scm 73 */
													long BgL_arg1869z00_3613;

													BgL_arg1869z00_3613 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3589);
													BgL_arg1867z00_3612 =
														(BgL_arg1869z00_3613 - OBJECT_TYPE);
												}
												BgL_oclassz00_3603 =
													VECTOR_REF(BgL_arg1866z00_3611, BgL_arg1867z00_3612);
											}
											{	/* Cfa/iterate.scm 73 */
												bool_t BgL__ortest_1115z00_3604;

												BgL__ortest_1115z00_3604 =
													(BgL_classz00_3587 == BgL_oclassz00_3603);
												if (BgL__ortest_1115z00_3604)
													{	/* Cfa/iterate.scm 73 */
														BgL_res1990z00_3620 = BgL__ortest_1115z00_3604;
													}
												else
													{	/* Cfa/iterate.scm 73 */
														long BgL_odepthz00_3605;

														{	/* Cfa/iterate.scm 73 */
															obj_t BgL_arg1855z00_3606;

															BgL_arg1855z00_3606 = (BgL_oclassz00_3603);
															BgL_odepthz00_3605 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_3606);
														}
														if ((3L < BgL_odepthz00_3605))
															{	/* Cfa/iterate.scm 73 */
																obj_t BgL_arg1853z00_3608;

																{	/* Cfa/iterate.scm 73 */
																	obj_t BgL_arg1854z00_3609;

																	BgL_arg1854z00_3609 = (BgL_oclassz00_3603);
																	BgL_arg1853z00_3608 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3609,
																		3L);
																}
																BgL_res1990z00_3620 =
																	(BgL_arg1853z00_3608 == BgL_classz00_3587);
															}
														else
															{	/* Cfa/iterate.scm 73 */
																BgL_res1990z00_3620 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2051z00_4016 = BgL_res1990z00_3620;
									}
							}
						}
						if (BgL_test2051z00_4016)
							{	/* Cfa/iterate.scm 74 */
								bool_t BgL_test2055z00_4040;

								{	/* Cfa/iterate.scm 74 */
									obj_t BgL_arg1577z00_3016;

									BgL_arg1577z00_3016 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_valz00_3011)))->
										BgL_thezd2closurezd2globalz00);
									{	/* Cfa/iterate.scm 74 */
										obj_t BgL_classz00_3622;

										BgL_classz00_3622 = BGl_globalz00zzast_varz00;
										if (BGL_OBJECTP(BgL_arg1577z00_3016))
											{	/* Cfa/iterate.scm 74 */
												BgL_objectz00_bglt BgL_arg1858z00_3624;

												BgL_arg1858z00_3624 =
													(BgL_objectz00_bglt) (BgL_arg1577z00_3016);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Cfa/iterate.scm 74 */
														long BgL_idxz00_3630;

														BgL_idxz00_3630 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3624);
														BgL_test2055z00_4040 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3630 + 2L)) == BgL_classz00_3622);
													}
												else
													{	/* Cfa/iterate.scm 74 */
														bool_t BgL_res1991z00_3655;

														{	/* Cfa/iterate.scm 74 */
															obj_t BgL_oclassz00_3638;

															{	/* Cfa/iterate.scm 74 */
																obj_t BgL_arg1866z00_3646;
																long BgL_arg1867z00_3647;

																BgL_arg1866z00_3646 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Cfa/iterate.scm 74 */
																	long BgL_arg1869z00_3648;

																	BgL_arg1869z00_3648 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3624);
																	BgL_arg1867z00_3647 =
																		(BgL_arg1869z00_3648 - OBJECT_TYPE);
																}
																BgL_oclassz00_3638 =
																	VECTOR_REF(BgL_arg1866z00_3646,
																	BgL_arg1867z00_3647);
															}
															{	/* Cfa/iterate.scm 74 */
																bool_t BgL__ortest_1115z00_3639;

																BgL__ortest_1115z00_3639 =
																	(BgL_classz00_3622 == BgL_oclassz00_3638);
																if (BgL__ortest_1115z00_3639)
																	{	/* Cfa/iterate.scm 74 */
																		BgL_res1991z00_3655 =
																			BgL__ortest_1115z00_3639;
																	}
																else
																	{	/* Cfa/iterate.scm 74 */
																		long BgL_odepthz00_3640;

																		{	/* Cfa/iterate.scm 74 */
																			obj_t BgL_arg1855z00_3641;

																			BgL_arg1855z00_3641 =
																				(BgL_oclassz00_3638);
																			BgL_odepthz00_3640 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3641);
																		}
																		if ((2L < BgL_odepthz00_3640))
																			{	/* Cfa/iterate.scm 74 */
																				obj_t BgL_arg1853z00_3643;

																				{	/* Cfa/iterate.scm 74 */
																					obj_t BgL_arg1854z00_3644;

																					BgL_arg1854z00_3644 =
																						(BgL_oclassz00_3638);
																					BgL_arg1853z00_3643 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3644, 2L);
																				}
																				BgL_res1991z00_3655 =
																					(BgL_arg1853z00_3643 ==
																					BgL_classz00_3622);
																			}
																		else
																			{	/* Cfa/iterate.scm 74 */
																				BgL_res1991z00_3655 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2055z00_4040 = BgL_res1991z00_3655;
													}
											}
										else
											{	/* Cfa/iterate.scm 74 */
												BgL_test2055z00_4040 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2055z00_4040)
									{	/* Cfa/iterate.scm 74 */
										return
											(
											(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt)
															(((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt) BgL_valz00_3011)))->
																BgL_thezd2closurezd2globalz00))))->
												BgL_importz00) == ((obj_t) CNST_TABLE_REF(0)));
									}
								else
									{	/* Cfa/iterate.scm 74 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/iterate.scm 73 */
								return ((bool_t) 0);
							}
					}
				}
			else
				{	/* Cfa/iterate.scm 71 */
					return ((bool_t) 0);
				}
		}

	}



/* cfa-iterate! */
	BGL_EXPORTED_DEF obj_t BGl_cfazd2iteratez12zc0zzcfa_iteratez00(obj_t
		BgL_globalsz00_5)
	{
		{	/* Cfa/iterate.scm 80 */
			BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BFALSE;
			BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 =
				ADDFX(BINT(1L), BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
			{	/* Cfa/iterate.scm 83 */
				obj_t BgL_list1579z00_3018;

				BgL_list1579z00_3018 =
					MAKE_YOUNG_PAIR(BGl_string2003z00zzcfa_iteratez00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(4L), BgL_list1579z00_3018);
			}
			{
				obj_t BgL_l1502z00_3020;

				BgL_l1502z00_3020 = BgL_globalsz00_5;
			BgL_zc3z04anonymousza31580ze3z87_3021:
				if (PAIRP(BgL_l1502z00_3020))
					{	/* Cfa/iterate.scm 85 */
						{	/* Cfa/iterate.scm 86 */
							obj_t BgL_gz00_3023;

							BgL_gz00_3023 = CAR(BgL_l1502z00_3020);
							{	/* Cfa/iterate.scm 89 */
								BgL_valuez00_bglt BgL_arg1587z00_3024;

								BgL_arg1587z00_3024 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_3023))))->BgL_valuez00);
								BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00
									(BgL_arg1587z00_3024, BgL_gz00_3023);
							}
							BNIL;
						}
						{
							obj_t BgL_l1502z00_4084;

							BgL_l1502z00_4084 = CDR(BgL_l1502z00_3020);
							BgL_l1502z00_3020 = BgL_l1502z00_4084;
							goto BgL_zc3z04anonymousza31580ze3z87_3021;
						}
					}
				else
					{	/* Cfa/iterate.scm 85 */
						((bool_t) 1);
					}
			}
			{	/* Cfa/iterate.scm 92 */
				obj_t BgL_list1589z00_3027;

				BgL_list1589z00_3027 =
					MAKE_YOUNG_PAIR(BGl_string2004z00zzcfa_iteratez00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(4L), BgL_list1589z00_3027);
			}
			return BNIL;
		}

	}



/* &cfa-iterate! */
	obj_t BGl_z62cfazd2iteratez12za2zzcfa_iteratez00(obj_t BgL_envz00_3830,
		obj_t BgL_globalsz00_3831)
	{
		{	/* Cfa/iterate.scm 80 */
			return BGl_cfazd2iteratez12zc0zzcfa_iteratez00(BgL_globalsz00_3831);
		}

	}



/* cfa-intern-sfun! */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00(BgL_sfunz00_bglt
		BgL_sfunz00_12, obj_t BgL_ownerz00_13)
	{
		{	/* Cfa/iterate.scm 146 */
			{	/* Cfa/iterate.scm 157 */
				bool_t BgL_test2061z00_4090;

				{	/* Cfa/iterate.scm 157 */
					long BgL_arg1648z00_3057;

					{
						BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4091;

						{
							obj_t BgL_auxz00_4092;

							{	/* Cfa/iterate.scm 157 */
								BgL_objectz00_bglt BgL_tmpz00_4093;

								BgL_tmpz00_4093 = ((BgL_objectz00_bglt) BgL_sfunz00_12);
								BgL_auxz00_4092 = BGL_OBJECT_WIDENING(BgL_tmpz00_4093);
							}
							BgL_auxz00_4091 =
								((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4092);
						}
						BgL_arg1648z00_3057 =
							(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4091))->
							BgL_stampz00);
					}
					BgL_test2061z00_4090 =
						(BgL_arg1648z00_3057 ==
						(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00));
				}
				if (BgL_test2061z00_4090)
					{	/* Cfa/iterate.scm 157 */
						{	/* Cfa/iterate.scm 161 */
							BgL_approxz00_bglt BgL_arg1592z00_3032;

							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4100;

								{
									obj_t BgL_auxz00_4101;

									{	/* Cfa/iterate.scm 161 */
										BgL_objectz00_bglt BgL_tmpz00_4102;

										BgL_tmpz00_4102 = ((BgL_objectz00_bglt) BgL_sfunz00_12);
										BgL_auxz00_4101 = BGL_OBJECT_WIDENING(BgL_tmpz00_4102);
									}
									BgL_auxz00_4100 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4101);
								}
								BgL_arg1592z00_3032 =
									(((BgL_internzd2sfunzf2cinfoz20_bglt)
										COBJECT(BgL_auxz00_4100))->BgL_approxz00);
							}
							return
								BGl_z62polymorphicz62zzcfa_iteratez00(BgL_sfunz00_12,
								BgL_arg1592z00_3032);
						}
					}
				else
					{	/* Cfa/iterate.scm 162 */
						obj_t BgL_resz00_3033;

						{	/* Cfa/iterate.scm 165 */
							obj_t BgL_zc3z04anonymousza31594ze3z87_3833;

							BgL_zc3z04anonymousza31594ze3z87_3833 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza31594ze3ze5zzcfa_iteratez00,
								(int) (0L), (int) (3L));
							PROCEDURE_SET(BgL_zc3z04anonymousza31594ze3z87_3833, (int) (0L),
								((obj_t) BgL_sfunz00_12));
							PROCEDURE_SET(BgL_zc3z04anonymousza31594ze3z87_3833, (int) (1L),
								BgL_ownerz00_13);
							PROCEDURE_SET(BgL_zc3z04anonymousza31594ze3z87_3833, (int) (2L),
								((obj_t) BgL_sfunz00_12));
							BgL_resz00_3033 =
								BGl_timez00zz__biglooz00(BgL_zc3z04anonymousza31594ze3z87_3833);
						}
						{	/* Cfa/iterate.scm 163 */
							obj_t BgL_rtimez00_3034;
							obj_t BgL_stimez00_3035;
							obj_t BgL_utimez00_3036;

							{	/* Cfa/iterate.scm 163 */
								obj_t BgL_tmpz00_3708;

								{	/* Cfa/iterate.scm 163 */
									int BgL_tmpz00_4120;

									BgL_tmpz00_4120 = (int) (1L);
									BgL_tmpz00_3708 = BGL_MVALUES_VAL(BgL_tmpz00_4120);
								}
								{	/* Cfa/iterate.scm 163 */
									int BgL_tmpz00_4123;

									BgL_tmpz00_4123 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_4123, BUNSPEC);
								}
								BgL_rtimez00_3034 = BgL_tmpz00_3708;
							}
							{	/* Cfa/iterate.scm 163 */
								obj_t BgL_tmpz00_3709;

								{	/* Cfa/iterate.scm 163 */
									int BgL_tmpz00_4126;

									BgL_tmpz00_4126 = (int) (2L);
									BgL_tmpz00_3709 = BGL_MVALUES_VAL(BgL_tmpz00_4126);
								}
								{	/* Cfa/iterate.scm 163 */
									int BgL_tmpz00_4129;

									BgL_tmpz00_4129 = (int) (2L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_4129, BUNSPEC);
								}
								BgL_stimez00_3035 = BgL_tmpz00_3709;
							}
							{	/* Cfa/iterate.scm 163 */
								obj_t BgL_tmpz00_3710;

								{	/* Cfa/iterate.scm 163 */
									int BgL_tmpz00_4132;

									BgL_tmpz00_4132 = (int) (3L);
									BgL_tmpz00_3710 = BGL_MVALUES_VAL(BgL_tmpz00_4132);
								}
								{	/* Cfa/iterate.scm 163 */
									int BgL_tmpz00_4135;

									BgL_tmpz00_4135 = (int) (3L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_4135, BUNSPEC);
								}
								BgL_utimez00_3036 = BgL_tmpz00_3710;
							}
							return ((BgL_approxz00_bglt) BgL_resz00_3033);
						}
					}
			}
		}

	}



/* &cfa-intern-sfun! */
	BgL_approxz00_bglt BGl_z62cfazd2internzd2sfunz12z70zzcfa_iteratez00(obj_t
		BgL_envz00_3834, obj_t BgL_sfunz00_3835, obj_t BgL_ownerz00_3836)
	{
		{	/* Cfa/iterate.scm 146 */
			return
				BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00(
				((BgL_sfunz00_bglt) BgL_sfunz00_3835), BgL_ownerz00_3836);
		}

	}



/* &polymorphic */
	BgL_approxz00_bglt BGl_z62polymorphicz62zzcfa_iteratez00(BgL_sfunz00_bglt
		BgL_sfunz00_3837, BgL_approxz00_bglt BgL_approxz00_3058)
	{
		{	/* Cfa/iterate.scm 153 */
			{	/* Cfa/iterate.scm 150 */
				bool_t BgL_test2062z00_4141;

				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4142;

					{
						obj_t BgL_auxz00_4143;

						{	/* Cfa/iterate.scm 150 */
							BgL_objectz00_bglt BgL_tmpz00_4144;

							BgL_tmpz00_4144 = ((BgL_objectz00_bglt) BgL_sfunz00_3837);
							BgL_auxz00_4143 = BGL_OBJECT_WIDENING(BgL_tmpz00_4144);
						}
						BgL_auxz00_4142 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4143);
					}
					BgL_test2062z00_4141 =
						(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4142))->
						BgL_polymorphiczf3zf3);
				}
				if (BgL_test2062z00_4141)
					{
						BgL_typez00_bglt BgL_auxz00_4149;

						{	/* Cfa/iterate.scm 152 */
							BgL_typez00_bglt BgL_arg1653z00_3063;

							BgL_arg1653z00_3063 =
								(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_3058))->
								BgL_typez00);
							BgL_auxz00_4149 =
								BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_arg1653z00_3063);
						}
						((((BgL_approxz00_bglt) COBJECT(BgL_approxz00_3058))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_4149), BUNSPEC);
					}
				else
					{	/* Cfa/iterate.scm 150 */
						BFALSE;
					}
			}
			return BgL_approxz00_3058;
		}

	}



/* &<@anonymous:1594> */
	obj_t BGl_z62zc3z04anonymousza31594ze3ze5zzcfa_iteratez00(obj_t
		BgL_envz00_3838)
	{
		{	/* Cfa/iterate.scm 164 */
			{	/* Cfa/iterate.scm 165 */
				BgL_sfunz00_bglt BgL_sfunz00_3839;
				obj_t BgL_ownerz00_3840;
				BgL_sfunz00_bglt BgL_i1169z00_3841;

				BgL_sfunz00_3839 =
					((BgL_sfunz00_bglt) PROCEDURE_REF(BgL_envz00_3838, (int) (0L)));
				BgL_ownerz00_3840 = PROCEDURE_REF(BgL_envz00_3838, (int) (1L));
				BgL_i1169z00_3841 =
					((BgL_sfunz00_bglt) PROCEDURE_REF(BgL_envz00_3838, (int) (2L)));
				{
					BgL_approxz00_bglt BgL_auxz00_4161;

					{	/* Cfa/iterate.scm 165 */
						bool_t BgL_test2063z00_4162;

						{	/* Cfa/iterate.scm 165 */
							obj_t BgL_classz00_3871;

							BgL_classz00_3871 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_ownerz00_3840))
								{	/* Cfa/iterate.scm 165 */
									BgL_objectz00_bglt BgL_arg1858z00_3872;

									BgL_arg1858z00_3872 =
										(BgL_objectz00_bglt) (BgL_ownerz00_3840);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/iterate.scm 165 */
											long BgL_idxz00_3873;

											BgL_idxz00_3873 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3872);
											BgL_test2063z00_4162 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3873 + 2L)) == BgL_classz00_3871);
										}
									else
										{	/* Cfa/iterate.scm 165 */
											bool_t BgL_res1992z00_3876;

											{	/* Cfa/iterate.scm 165 */
												obj_t BgL_oclassz00_3877;

												{	/* Cfa/iterate.scm 165 */
													obj_t BgL_arg1866z00_3878;
													long BgL_arg1867z00_3879;

													BgL_arg1866z00_3878 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Cfa/iterate.scm 165 */
														long BgL_arg1869z00_3880;

														BgL_arg1869z00_3880 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3872);
														BgL_arg1867z00_3879 =
															(BgL_arg1869z00_3880 - OBJECT_TYPE);
													}
													BgL_oclassz00_3877 =
														VECTOR_REF(BgL_arg1866z00_3878,
														BgL_arg1867z00_3879);
												}
												{	/* Cfa/iterate.scm 165 */
													bool_t BgL__ortest_1115z00_3881;

													BgL__ortest_1115z00_3881 =
														(BgL_classz00_3871 == BgL_oclassz00_3877);
													if (BgL__ortest_1115z00_3881)
														{	/* Cfa/iterate.scm 165 */
															BgL_res1992z00_3876 = BgL__ortest_1115z00_3881;
														}
													else
														{	/* Cfa/iterate.scm 165 */
															long BgL_odepthz00_3882;

															{	/* Cfa/iterate.scm 165 */
																obj_t BgL_arg1855z00_3883;

																BgL_arg1855z00_3883 = (BgL_oclassz00_3877);
																BgL_odepthz00_3882 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_3883);
															}
															if ((2L < BgL_odepthz00_3882))
																{	/* Cfa/iterate.scm 165 */
																	obj_t BgL_arg1853z00_3884;

																	{	/* Cfa/iterate.scm 165 */
																		obj_t BgL_arg1854z00_3885;

																		BgL_arg1854z00_3885 = (BgL_oclassz00_3877);
																		BgL_arg1853z00_3884 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_3885, 2L);
																	}
																	BgL_res1992z00_3876 =
																		(BgL_arg1853z00_3884 == BgL_classz00_3871);
																}
															else
																{	/* Cfa/iterate.scm 165 */
																	BgL_res1992z00_3876 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2063z00_4162 = BgL_res1992z00_3876;
										}
								}
							else
								{	/* Cfa/iterate.scm 165 */
									BgL_test2063z00_4162 = ((bool_t) 0);
								}
						}
						if (BgL_test2063z00_4162)
							{	/* Cfa/iterate.scm 166 */
								obj_t BgL_arg1597z00_3886;

								BgL_arg1597z00_3886 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_ownerz00_3840)))->BgL_idz00);
								{	/* Cfa/iterate.scm 166 */
									obj_t BgL_list1598z00_3887;

									{	/* Cfa/iterate.scm 166 */
										obj_t BgL_arg1605z00_3888;

										{	/* Cfa/iterate.scm 166 */
											obj_t BgL_arg1611z00_3889;

											BgL_arg1611z00_3889 =
												MAKE_YOUNG_PAIR(BGl_string2005z00zzcfa_iteratez00,
												BNIL);
											BgL_arg1605z00_3888 =
												MAKE_YOUNG_PAIR(BgL_arg1597z00_3886,
												BgL_arg1611z00_3889);
										}
										BgL_list1598z00_3887 =
											MAKE_YOUNG_PAIR(BGl_string2006z00zzcfa_iteratez00,
											BgL_arg1605z00_3888);
									}
									BGl_verbosez00zztools_speekz00(BINT(4L),
										BgL_list1598z00_3887);
								}
							}
						else
							{	/* Cfa/iterate.scm 167 */
								obj_t BgL_arg1612z00_3890;

								BgL_arg1612z00_3890 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_ownerz00_3840)))->BgL_idz00);
								{	/* Cfa/iterate.scm 167 */
									obj_t BgL_list1613z00_3891;

									{	/* Cfa/iterate.scm 167 */
										obj_t BgL_arg1625z00_3892;

										BgL_arg1625z00_3892 =
											MAKE_YOUNG_PAIR(BGl_string2007z00zzcfa_iteratez00, BNIL);
										BgL_list1613z00_3891 =
											MAKE_YOUNG_PAIR(BgL_arg1612z00_3890, BgL_arg1625z00_3892);
									}
									BGl_verbosez00zztools_speekz00(BINT(4L),
										BgL_list1613z00_3891);
								}
							}
					}
					{
						BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4198;

						{
							obj_t BgL_auxz00_4199;

							{	/* Cfa/iterate.scm 171 */
								BgL_objectz00_bglt BgL_tmpz00_4200;

								BgL_tmpz00_4200 = ((BgL_objectz00_bglt) BgL_i1169z00_3841);
								BgL_auxz00_4199 = BGL_OBJECT_WIDENING(BgL_tmpz00_4200);
							}
							BgL_auxz00_4198 =
								((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4199);
						}
						((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4198))->
								BgL_stampz00) =
							((long) (long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00)),
							BUNSPEC);
					}
					{	/* Cfa/iterate.scm 172 */
						obj_t BgL_curz00_3893;

						BgL_curz00_3893 = BGl_za2cfazd2currentza2zd2zzcfa_iteratez00;
						{	/* Cfa/iterate.scm 173 */
							obj_t BgL_arg1626z00_3894;
							long BgL_arg1631z00_3895;

							BgL_arg1626z00_3894 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_ownerz00_3840)))->BgL_idz00);
							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4208;

								{
									obj_t BgL_auxz00_4209;

									{	/* Cfa/iterate.scm 173 */
										BgL_objectz00_bglt BgL_tmpz00_4210;

										BgL_tmpz00_4210 = ((BgL_objectz00_bglt) BgL_i1169z00_3841);
										BgL_auxz00_4209 = BGL_OBJECT_WIDENING(BgL_tmpz00_4210);
									}
									BgL_auxz00_4208 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4209);
								}
								BgL_arg1631z00_3895 =
									(((BgL_internzd2sfunzf2cinfoz20_bglt)
										COBJECT(BgL_auxz00_4208))->BgL_stampz00);
							}
							{	/* Cfa/iterate.scm 173 */
								obj_t BgL_list1632z00_3896;

								{	/* Cfa/iterate.scm 173 */
									obj_t BgL_arg1633z00_3897;

									BgL_arg1633z00_3897 =
										MAKE_YOUNG_PAIR(BINT(BgL_arg1631z00_3895), BNIL);
									BgL_list1632z00_3896 =
										MAKE_YOUNG_PAIR(BgL_arg1626z00_3894, BgL_arg1633z00_3897);
								}
								BGl_za2cfazd2currentza2zd2zzcfa_iteratez00 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string2008z00zzcfa_iteratez00, BgL_list1632z00_3896);
						}}
						{	/* Cfa/iterate.scm 174 */
							BgL_approxz00_bglt BgL_arg1635z00_3898;
							BgL_approxz00_bglt BgL_arg1638z00_3899;

							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4219;

								{
									obj_t BgL_auxz00_4220;

									{	/* Cfa/iterate.scm 174 */
										BgL_objectz00_bglt BgL_tmpz00_4221;

										BgL_tmpz00_4221 = ((BgL_objectz00_bglt) BgL_i1169z00_3841);
										BgL_auxz00_4220 = BGL_OBJECT_WIDENING(BgL_tmpz00_4221);
									}
									BgL_auxz00_4219 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4220);
								}
								BgL_arg1635z00_3898 =
									(((BgL_internzd2sfunzf2cinfoz20_bglt)
										COBJECT(BgL_auxz00_4219))->BgL_approxz00);
							}
							{	/* Cfa/iterate.scm 174 */
								obj_t BgL_arg1642z00_3900;

								BgL_arg1642z00_3900 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_i1169z00_3841)))->BgL_bodyz00);
								BgL_arg1638z00_3899 =
									BGl_cfaz12z12zzcfa_cfaz00(
									((BgL_nodez00_bglt) BgL_arg1642z00_3900));
							}
							BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00
								(BgL_arg1635z00_3898, BgL_arg1638z00_3899);
						}
						BGl_za2cfazd2currentza2zd2zzcfa_iteratez00 = BgL_curz00_3893;
					}
					{	/* Cfa/iterate.scm 178 */
						BgL_approxz00_bglt BgL_arg1643z00_3901;

						{
							BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4231;

							{
								obj_t BgL_auxz00_4232;

								{	/* Cfa/iterate.scm 178 */
									BgL_objectz00_bglt BgL_tmpz00_4233;

									BgL_tmpz00_4233 = ((BgL_objectz00_bglt) BgL_i1169z00_3841);
									BgL_auxz00_4232 = BGL_OBJECT_WIDENING(BgL_tmpz00_4233);
								}
								BgL_auxz00_4231 =
									((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4232);
							}
							BgL_arg1643z00_3901 =
								(((BgL_internzd2sfunzf2cinfoz20_bglt)
									COBJECT(BgL_auxz00_4231))->BgL_approxz00);
						}
						BgL_auxz00_4161 =
							BGl_z62polymorphicz62zzcfa_iteratez00(BgL_sfunz00_3839,
							BgL_arg1643z00_3901);
					}
					return ((obj_t) BgL_auxz00_4161);
				}
			}
		}

	}



/* cfa-current */
	BGL_EXPORTED_DEF obj_t BGl_cfazd2currentzd2zzcfa_iteratez00(void)
	{
		{	/* Cfa/iterate.scm 192 */
			return BGl_za2cfazd2currentza2zd2zzcfa_iteratez00;
		}

	}



/* &cfa-current */
	obj_t BGl_z62cfazd2currentzb0zzcfa_iteratez00(obj_t BgL_envz00_3842)
	{
		{	/* Cfa/iterate.scm 192 */
			return BGl_cfazd2currentzd2zzcfa_iteratez00();
		}

	}



/* continue-cfa! */
	BGL_EXPORTED_DEF obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t
		BgL_reasonz00_14)
	{
		{	/* Cfa/iterate.scm 198 */
			if (CBOOL(BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00))
				{	/* Cfa/iterate.scm 199 */
					BFALSE;
				}
			else
				{	/* Cfa/iterate.scm 199 */
					BNIL;
				}
			return (BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BTRUE, BUNSPEC);
		}

	}



/* &continue-cfa! */
	obj_t BGl_z62continuezd2cfaz12za2zzcfa_iteratez00(obj_t BgL_envz00_3843,
		obj_t BgL_reasonz00_3844)
	{
		{	/* Cfa/iterate.scm 198 */
			return BGl_continuezd2cfaz12zc0zzcfa_iteratez00(BgL_reasonz00_3844);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_iteratez00(void)
	{
		{	/* Cfa/iterate.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_iteratez00(void)
	{
		{	/* Cfa/iterate.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
				BGl_proc2009z00zzcfa_iteratez00, BGl_valuez00zzast_varz00,
				BGl_string2010z00zzcfa_iteratez00);
		}

	}



/* &cfa-export-var!1507 */
	obj_t BGl_z62cfazd2exportzd2varz121507z70zzcfa_iteratez00(obj_t
		BgL_envz00_3846, obj_t BgL_valuez00_3847, obj_t BgL_ownerz00_3848)
	{
		{	/* Cfa/iterate.scm 98 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(2)), BGl_string2011z00zzcfa_iteratez00,
				((obj_t) ((BgL_valuez00_bglt) BgL_valuez00_3847)));
		}

	}



/* cfa-export-var! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(BgL_valuez00_bglt
		BgL_valuez00_6, obj_t BgL_ownerz00_7)
	{
		{	/* Cfa/iterate.scm 98 */
			{	/* Cfa/iterate.scm 98 */
				obj_t BgL_method1508z00_3070;

				{	/* Cfa/iterate.scm 98 */
					obj_t BgL_res1997z00_3741;

					{	/* Cfa/iterate.scm 98 */
						long BgL_objzd2classzd2numz00_3712;

						BgL_objzd2classzd2numz00_3712 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_6));
						{	/* Cfa/iterate.scm 98 */
							obj_t BgL_arg1862z00_3713;

							BgL_arg1862z00_3713 =
								PROCEDURE_REF
								(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
								(int) (1L));
							{	/* Cfa/iterate.scm 98 */
								int BgL_offsetz00_3716;

								BgL_offsetz00_3716 = (int) (BgL_objzd2classzd2numz00_3712);
								{	/* Cfa/iterate.scm 98 */
									long BgL_offsetz00_3717;

									BgL_offsetz00_3717 =
										((long) (BgL_offsetz00_3716) - OBJECT_TYPE);
									{	/* Cfa/iterate.scm 98 */
										long BgL_modz00_3718;

										BgL_modz00_3718 =
											(BgL_offsetz00_3717 >> (int) ((long) ((int) (4L))));
										{	/* Cfa/iterate.scm 98 */
											long BgL_restz00_3720;

											BgL_restz00_3720 =
												(BgL_offsetz00_3717 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Cfa/iterate.scm 98 */

												{	/* Cfa/iterate.scm 98 */
													obj_t BgL_bucketz00_3722;

													BgL_bucketz00_3722 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_3713), BgL_modz00_3718);
													BgL_res1997z00_3741 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3722), BgL_restz00_3720);
					}}}}}}}}
					BgL_method1508z00_3070 = BgL_res1997z00_3741;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1508z00_3070,
					((obj_t) BgL_valuez00_6), BgL_ownerz00_7);
			}
		}

	}



/* &cfa-export-var! */
	obj_t BGl_z62cfazd2exportzd2varz12z70zzcfa_iteratez00(obj_t BgL_envz00_3849,
		obj_t BgL_valuez00_3850, obj_t BgL_ownerz00_3851)
	{
		{	/* Cfa/iterate.scm 98 */
			return
				BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(
				((BgL_valuez00_bglt) BgL_valuez00_3850), BgL_ownerz00_3851);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_iteratez00(void)
	{
		{	/* Cfa/iterate.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc2012z00zzcfa_iteratez00,
				BGl_string2013z00zzcfa_iteratez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00,
				BGl_proc2014z00zzcfa_iteratez00, BGl_string2013z00zzcfa_iteratez00);
		}

	}



/* &cfa-export-var!-inte1512 */
	obj_t BGl_z62cfazd2exportzd2varz12zd2inte1512za2zzcfa_iteratez00(obj_t
		BgL_envz00_3854, obj_t BgL_valuez00_3855, obj_t BgL_ownerz00_3856)
	{
		{	/* Cfa/iterate.scm 117 */
			{	/* Cfa/iterate.scm 122 */
				bool_t BgL_test2069z00_4285;

				{	/* Cfa/iterate.scm 122 */
					long BgL_arg1679z00_3904;

					{
						BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4286;

						{
							obj_t BgL_auxz00_4287;

							{	/* Cfa/iterate.scm 122 */
								BgL_objectz00_bglt BgL_tmpz00_4288;

								BgL_tmpz00_4288 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_valuez00_3855));
								BgL_auxz00_4287 = BGL_OBJECT_WIDENING(BgL_tmpz00_4288);
							}
							BgL_auxz00_4286 =
								((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4287);
						}
						BgL_arg1679z00_3904 =
							(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4286))->
							BgL_stampz00);
					}
					BgL_test2069z00_4285 =
						(BgL_arg1679z00_3904 ==
						(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00));
				}
				if (BgL_test2069z00_4285)
					{	/* Cfa/iterate.scm 122 */
						{
							BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4296;

							{
								obj_t BgL_auxz00_4297;

								{	/* Cfa/iterate.scm 124 */
									BgL_objectz00_bglt BgL_tmpz00_4298;

									BgL_tmpz00_4298 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_valuez00_3855));
									BgL_auxz00_4297 = BGL_OBJECT_WIDENING(BgL_tmpz00_4298);
								}
								BgL_auxz00_4296 =
									((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4297);
							}
							((((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4296))->
									BgL_stampz00) =
								((long) (long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00)),
								BUNSPEC);
						}
						{
							BgL_approxz00_bglt BgL_auxz00_4305;

							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4306;

								{
									obj_t BgL_auxz00_4307;

									{	/* Cfa/iterate.scm 124 */
										BgL_objectz00_bglt BgL_tmpz00_4308;

										BgL_tmpz00_4308 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) BgL_valuez00_3855));
										BgL_auxz00_4307 = BGL_OBJECT_WIDENING(BgL_tmpz00_4308);
									}
									BgL_auxz00_4306 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4307);
								}
								BgL_auxz00_4305 =
									(((BgL_internzd2sfunzf2cinfoz20_bglt)
										COBJECT(BgL_auxz00_4306))->BgL_approxz00);
							}
							return ((obj_t) BgL_auxz00_4305);
						}
					}
				else
					{	/* Cfa/iterate.scm 122 */
						{	/* Cfa/iterate.scm 131 */
							obj_t BgL_g1506z00_3905;

							BgL_g1506z00_3905 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											((BgL_sfunz00_bglt) BgL_valuez00_3855))))->BgL_argsz00);
							{
								obj_t BgL_l1504z00_3907;

								BgL_l1504z00_3907 = BgL_g1506z00_3905;
							BgL_zc3z04anonymousza31666ze3z87_3906:
								if (PAIRP(BgL_l1504z00_3907))
									{	/* Cfa/iterate.scm 131 */
										{	/* Cfa/iterate.scm 132 */
											obj_t BgL_localz00_3908;

											BgL_localz00_3908 = CAR(BgL_l1504z00_3907);
											{	/* Cfa/iterate.scm 132 */
												BgL_valuez00_bglt BgL_valz00_3909;

												BgL_valz00_3909 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_localz00_3908))))->
													BgL_valuez00);
												{	/* Cfa/iterate.scm 137 */
													bool_t BgL_test2071z00_4324;

													{
														BgL_svarzf2cinfozf2_bglt BgL_auxz00_4325;

														{
															obj_t BgL_auxz00_4326;

															{	/* Cfa/iterate.scm 137 */
																BgL_objectz00_bglt BgL_tmpz00_4327;

																BgL_tmpz00_4327 =
																	((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_valz00_3909));
																BgL_auxz00_4326 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4327);
															}
															BgL_auxz00_4325 =
																((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_4326);
														}
														BgL_test2071z00_4324 =
															(((BgL_svarzf2cinfozf2_bglt)
																COBJECT(BgL_auxz00_4325))->BgL_clozd2envzf3z21);
													}
													if (BgL_test2071z00_4324)
														{	/* Cfa/iterate.scm 137 */
															BFALSE;
														}
													else
														{	/* Cfa/iterate.scm 138 */
															BgL_approxz00_bglt BgL_arg1673z00_3910;

															{
																BgL_svarzf2cinfozf2_bglt BgL_auxz00_4333;

																{
																	obj_t BgL_auxz00_4334;

																	{	/* Cfa/iterate.scm 138 */
																		BgL_objectz00_bglt BgL_tmpz00_4335;

																		BgL_tmpz00_4335 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_valz00_3909));
																		BgL_auxz00_4334 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4335);
																	}
																	BgL_auxz00_4333 =
																		((BgL_svarzf2cinfozf2_bglt)
																		BgL_auxz00_4334);
																}
																BgL_arg1673z00_3910 =
																	(((BgL_svarzf2cinfozf2_bglt)
																		COBJECT(BgL_auxz00_4333))->BgL_approxz00);
															}
															BGl_approxzd2setzd2topz12z12zzcfa_approxz00
																(BgL_arg1673z00_3910);
														}
												}
											}
										}
										{
											obj_t BgL_l1504z00_4342;

											BgL_l1504z00_4342 = CDR(BgL_l1504z00_3907);
											BgL_l1504z00_3907 = BgL_l1504z00_4342;
											goto BgL_zc3z04anonymousza31666ze3z87_3906;
										}
									}
								else
									{	/* Cfa/iterate.scm 131 */
										((bool_t) 1);
									}
							}
						}
						{	/* Cfa/iterate.scm 141 */
							BgL_approxz00_bglt BgL_arg1677z00_3911;

							BgL_arg1677z00_3911 =
								BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00(
								((BgL_sfunz00_bglt) BgL_valuez00_3855), BgL_ownerz00_3856);
							return
								((obj_t)
								BGl_loosez12z12zzcfa_loosez00(BgL_arg1677z00_3911,
									((obj_t) CNST_TABLE_REF(3))));
						}
					}
			}
		}

	}



/* &cfa-export-var!-svar1510 */
	obj_t BGl_z62cfazd2exportzd2varz12zd2svar1510za2zzcfa_iteratez00(obj_t
		BgL_envz00_3857, obj_t BgL_valuez00_3858, obj_t BgL_ownerz00_3859)
	{
		{	/* Cfa/iterate.scm 103 */
			{	/* Cfa/iterate.scm 108 */
				bool_t BgL_test2072z00_4350;

				{	/* Cfa/iterate.scm 108 */
					long BgL_arg1663z00_3913;

					{
						BgL_svarzf2cinfozf2_bglt BgL_auxz00_4351;

						{
							obj_t BgL_auxz00_4352;

							{	/* Cfa/iterate.scm 108 */
								BgL_objectz00_bglt BgL_tmpz00_4353;

								BgL_tmpz00_4353 =
									((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_3858));
								BgL_auxz00_4352 = BGL_OBJECT_WIDENING(BgL_tmpz00_4353);
							}
							BgL_auxz00_4351 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_4352);
						}
						BgL_arg1663z00_3913 =
							(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4351))->
							BgL_stampz00);
					}
					BgL_test2072z00_4350 =
						(BgL_arg1663z00_3913 ==
						(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00));
				}
				if (BgL_test2072z00_4350)
					{	/* Cfa/iterate.scm 108 */
						return
							BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(
							((BgL_valuez00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_3858)));
					}
				else
					{	/* Cfa/iterate.scm 108 */
						{
							BgL_svarzf2cinfozf2_bglt BgL_auxz00_4364;

							{
								obj_t BgL_auxz00_4365;

								{	/* Cfa/iterate.scm 111 */
									BgL_objectz00_bglt BgL_tmpz00_4366;

									BgL_tmpz00_4366 =
										((BgL_objectz00_bglt)
										((BgL_svarz00_bglt) BgL_valuez00_3858));
									BgL_auxz00_4365 = BGL_OBJECT_WIDENING(BgL_tmpz00_4366);
								}
								BgL_auxz00_4364 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_4365);
							}
							((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4364))->
									BgL_stampz00) =
								((long) (long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00)),
								BUNSPEC);
						}
						{	/* Cfa/iterate.scm 112 */
							obj_t BgL_arg1660z00_3914;

							BgL_arg1660z00_3914 =
								BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(
								((BgL_valuez00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_3858)));
							return
								((obj_t)
								BGl_loosez12z12zzcfa_loosez00(
									((BgL_approxz00_bglt) BgL_arg1660z00_3914),
									((obj_t) CNST_TABLE_REF(3))));
						}
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_iteratez00(void)
	{
		{	/* Cfa/iterate.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2015z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2015z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2015z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2015z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2015z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2015z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2015z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzast_unitz00(234044111L,
				BSTRING_TO_STRING(BGl_string2015z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(400853817L,
				BSTRING_TO_STRING(BGl_string2015z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(3788352L,
				BSTRING_TO_STRING(BGl_string2015z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(0L,
				BSTRING_TO_STRING(BGl_string2015z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(471177480L,
				BSTRING_TO_STRING(BGl_string2015z00zzcfa_iteratez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_approxz00(285971837L,
				BSTRING_TO_STRING(BGl_string2015z00zzcfa_iteratez00));
		}

	}

#ifdef __cplusplus
}
#endif
