/*===========================================================================*/
/*   (Coerce/walk.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Coerce/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_COERCE_WALK_TYPE_DEFINITIONS
#define BGL_COERCE_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;


#endif													// BGL_COERCE_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_walkz00 = BUNSPEC;
	extern obj_t BGl_pvariablezd2protozd2zzcoerce_pprotoz00(long,
		BgL_variablez00_bglt);
	extern obj_t BGl_funz00zzast_varz00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00(void);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcoerce_walkz00(void);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	extern obj_t
		BGl_coercezd2functionz12zc0zzcoerce_coercez00(BgL_variablez00_bglt, bool_t);
	static obj_t BGl_objectzd2initzd2zzcoerce_walkz00(void);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_walkz00(void);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62zc3z04anonymousza31262ze3ze5zzcoerce_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_coercezd2walkz12zc0zzcoerce_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcoerce_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_initzd2appzd2cachez12z12zzcoerce_appz00(void);
	static obj_t BGl_cnstzd2initzd2zzcoerce_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_walkz00(void);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzcoerce_walkz00(void);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_resetzd2ppmargez12zc0zzcoerce_pprotoz00(void);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62coercezd2walkz12za2zzcoerce_walkz00(obj_t, obj_t);
	static obj_t __cnst[4];


	   
		 
		DEFINE_STRING(BGl_string1406z00zzcoerce_walkz00,
		BgL_bgl_string1406za700za7za7c1419za7, "Coercions & Checks", 18);
	      DEFINE_STRING(BGl_string1407z00zzcoerce_walkz00,
		BgL_bgl_string1407za700za7za7c1420za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1408z00zzcoerce_walkz00,
		BgL_bgl_string1408za700za7za7c1421za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1410z00zzcoerce_walkz00,
		BgL_bgl_string1410za700za7za7c1422za7, "      type tests introduced: ", 29);
	      DEFINE_STRING(BGl_string1411z00zzcoerce_walkz00,
		BgL_bgl_string1411za700za7za7c1423za7, " error", 6);
	      DEFINE_STRING(BGl_string1412z00zzcoerce_walkz00,
		BgL_bgl_string1412za700za7za7c1424za7, "s", 1);
	      DEFINE_STRING(BGl_string1413z00zzcoerce_walkz00,
		BgL_bgl_string1413za700za7za7c1425za7, "", 0);
	      DEFINE_STRING(BGl_string1414z00zzcoerce_walkz00,
		BgL_bgl_string1414za700za7za7c1426za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1415z00zzcoerce_walkz00,
		BgL_bgl_string1415za700za7za7c1427za7, "failure during postlude hook", 28);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1409z00zzcoerce_walkz00,
		BgL_bgl_za762za7c3za704anonymo1428za7,
		BGl_z62zc3z04anonymousza31262ze3ze5zzcoerce_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1416z00zzcoerce_walkz00,
		BgL_bgl_string1416za700za7za7c1429za7, "coerce_walk", 11);
	      DEFINE_STRING(BGl_string1417z00zzcoerce_walkz00,
		BgL_bgl_string1417za700za7za7c1430za7, "export static coerce pass-started ",
		34);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_coercezd2walkz12zd2envz12zzcoerce_walkz00,
		BgL_bgl_za762coerceza7d2walk1431z00,
		BGl_z62coercezd2walkz12za2zzcoerce_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcoerce_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcoerce_walkz00(long
		BgL_checksumz00_1713, char *BgL_fromz00_1714)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcoerce_walkz00();
					BGl_libraryzd2moduleszd2initz00zzcoerce_walkz00();
					BGl_cnstzd2initzd2zzcoerce_walkz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_walkz00();
					return BGl_methodzd2initzd2zzcoerce_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_walkz00(void)
	{
		{	/* Coerce/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"coerce_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "coerce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"coerce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "coerce_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "coerce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "coerce_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "coerce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "coerce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"coerce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "coerce_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"coerce_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_walkz00(void)
	{
		{	/* Coerce/walk.scm 15 */
			{	/* Coerce/walk.scm 15 */
				obj_t BgL_cportz00_1685;

				{	/* Coerce/walk.scm 15 */
					obj_t BgL_stringz00_1692;

					BgL_stringz00_1692 = BGl_string1417z00zzcoerce_walkz00;
					{	/* Coerce/walk.scm 15 */
						obj_t BgL_startz00_1693;

						BgL_startz00_1693 = BINT(0L);
						{	/* Coerce/walk.scm 15 */
							obj_t BgL_endz00_1694;

							BgL_endz00_1694 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1692)));
							{	/* Coerce/walk.scm 15 */

								BgL_cportz00_1685 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1692, BgL_startz00_1693, BgL_endz00_1694);
				}}}}
				{
					long BgL_iz00_1686;

					BgL_iz00_1686 = 3L;
				BgL_loopz00_1687:
					if ((BgL_iz00_1686 == (-1L)))
						{	/* Coerce/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/walk.scm 15 */
							{	/* Coerce/walk.scm 15 */
								obj_t BgL_arg1418z00_1688;

								{	/* Coerce/walk.scm 15 */

									{	/* Coerce/walk.scm 15 */
										obj_t BgL_locationz00_1690;

										BgL_locationz00_1690 = BBOOL(((bool_t) 0));
										{	/* Coerce/walk.scm 15 */

											BgL_arg1418z00_1688 =
												BGl_readz00zz__readerz00(BgL_cportz00_1685,
												BgL_locationz00_1690);
										}
									}
								}
								{	/* Coerce/walk.scm 15 */
									int BgL_tmpz00_1743;

									BgL_tmpz00_1743 = (int) (BgL_iz00_1686);
									CNST_TABLE_SET(BgL_tmpz00_1743, BgL_arg1418z00_1688);
							}}
							{	/* Coerce/walk.scm 15 */
								int BgL_auxz00_1691;

								BgL_auxz00_1691 = (int) ((BgL_iz00_1686 - 1L));
								{
									long BgL_iz00_1748;

									BgL_iz00_1748 = (long) (BgL_auxz00_1691);
									BgL_iz00_1686 = BgL_iz00_1748;
									goto BgL_loopz00_1687;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcoerce_walkz00(void)
	{
		{	/* Coerce/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* coerce-walk! */
	BGL_EXPORTED_DEF obj_t BGl_coercezd2walkz12zc0zzcoerce_walkz00(obj_t
		BgL_astz00_3)
	{
		{	/* Coerce/walk.scm 36 */
			{	/* Coerce/walk.scm 37 */
				obj_t BgL_list1237z00_1358;

				{	/* Coerce/walk.scm 37 */
					obj_t BgL_arg1240z00_1359;

					{	/* Coerce/walk.scm 37 */
						obj_t BgL_arg1241z00_1360;

						BgL_arg1241z00_1360 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1240z00_1359 =
							MAKE_YOUNG_PAIR(BGl_string1406z00zzcoerce_walkz00,
							BgL_arg1241z00_1360);
					}
					BgL_list1237z00_1358 =
						MAKE_YOUNG_PAIR(BGl_string1407z00zzcoerce_walkz00,
						BgL_arg1240z00_1359);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1237z00_1358);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1406z00zzcoerce_walkz00;
			{	/* Coerce/walk.scm 37 */
				obj_t BgL_g1106z00_1361;

				BgL_g1106z00_1361 = BNIL;
				{
					obj_t BgL_hooksz00_1364;
					obj_t BgL_hnamesz00_1365;

					BgL_hooksz00_1364 = BgL_g1106z00_1361;
					BgL_hnamesz00_1365 = BNIL;
				BgL_zc3z04anonymousza31242ze3z87_1366:
					if (NULLP(BgL_hooksz00_1364))
						{	/* Coerce/walk.scm 37 */
							((obj_t) CNST_TABLE_REF(0));
						}
					else
						{	/* Coerce/walk.scm 37 */
							bool_t BgL_test1435z00_1762;

							{	/* Coerce/walk.scm 37 */
								obj_t BgL_fun1251z00_1373;

								BgL_fun1251z00_1373 = CAR(((obj_t) BgL_hooksz00_1364));
								BgL_test1435z00_1762 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1251z00_1373));
							}
							if (BgL_test1435z00_1762)
								{	/* Coerce/walk.scm 37 */
									obj_t BgL_arg1246z00_1370;
									obj_t BgL_arg1247z00_1371;

									BgL_arg1246z00_1370 = CDR(((obj_t) BgL_hooksz00_1364));
									BgL_arg1247z00_1371 = CDR(((obj_t) BgL_hnamesz00_1365));
									{
										obj_t BgL_hnamesz00_1774;
										obj_t BgL_hooksz00_1773;

										BgL_hooksz00_1773 = BgL_arg1246z00_1370;
										BgL_hnamesz00_1774 = BgL_arg1247z00_1371;
										BgL_hnamesz00_1365 = BgL_hnamesz00_1774;
										BgL_hooksz00_1364 = BgL_hooksz00_1773;
										goto BgL_zc3z04anonymousza31242ze3z87_1366;
									}
								}
							else
								{	/* Coerce/walk.scm 37 */
									obj_t BgL_arg1249z00_1372;

									BgL_arg1249z00_1372 = CAR(((obj_t) BgL_hnamesz00_1365));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1406z00zzcoerce_walkz00,
										BGl_string1408z00zzcoerce_walkz00, BgL_arg1249z00_1372);
								}
						}
				}
			}
			BGl_initzd2appzd2cachez12z12zzcoerce_appz00();
			{
				obj_t BgL_l1228z00_1377;

				BgL_l1228z00_1377 = BgL_astz00_3;
			BgL_zc3z04anonymousza31253ze3z87_1378:
				if (PAIRP(BgL_l1228z00_1377))
					{	/* Coerce/walk.scm 39 */
						{	/* Coerce/walk.scm 40 */
							obj_t BgL_globalz00_1380;

							BgL_globalz00_1380 = CAR(BgL_l1228z00_1377);
							BGl_resetzd2ppmargez12zc0zzcoerce_pprotoz00();
							{	/* Coerce/walk.scm 41 */
								obj_t BgL_arg1255z00_1381;

								BgL_arg1255z00_1381 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1380))))->
									BgL_idz00);
								BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1255z00_1381);
							}
							{	/* Coerce/walk.scm 42 */
								bool_t BgL_arg1256z00_1382;

								if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
									{	/* Coerce/walk.scm 42 */
										BgL_arg1256z00_1382 = ((bool_t) 0);
									}
								else
									{	/* Coerce/walk.scm 42 */
										BgL_arg1256z00_1382 = ((bool_t) 1);
									}
								BGl_coercezd2functionz12zc0zzcoerce_coercez00(
									((BgL_variablez00_bglt) BgL_globalz00_1380),
									BgL_arg1256z00_1382);
							}
							BGl_leavezd2functionzd2zztools_errorz00();
						}
						{
							obj_t BgL_l1228z00_1792;

							BgL_l1228z00_1792 = CDR(BgL_l1228z00_1377);
							BgL_l1228z00_1377 = BgL_l1228z00_1792;
							goto BgL_zc3z04anonymousza31253ze3z87_1378;
						}
					}
				else
					{	/* Coerce/walk.scm 39 */
						((bool_t) 1);
					}
			}
			BGl_resetzd2ppmargez12zc0zzcoerce_pprotoz00();
			BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc1409z00zzcoerce_walkz00,
				BNIL);
			{	/* Coerce/walk.scm 51 */
				obj_t BgL_arg1279z00_1402;

				BgL_arg1279z00_1402 = BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
				{	/* Coerce/walk.scm 51 */
					obj_t BgL_list1280z00_1403;

					{	/* Coerce/walk.scm 51 */
						obj_t BgL_arg1281z00_1404;

						{	/* Coerce/walk.scm 51 */
							obj_t BgL_arg1282z00_1405;

							BgL_arg1282z00_1405 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1281z00_1404 =
								MAKE_YOUNG_PAIR(BgL_arg1279z00_1402, BgL_arg1282z00_1405);
						}
						BgL_list1280z00_1403 =
							MAKE_YOUNG_PAIR(BGl_string1410z00zzcoerce_walkz00,
							BgL_arg1281z00_1404);
					}
					BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1280z00_1403);
			}}
			{	/* Coerce/walk.scm 52 */
				obj_t BgL_valuez00_1406;

				BgL_valuez00_1406 =
					BGl_removezd2varzd2zzast_removez00(
					((obj_t) CNST_TABLE_REF(1)), BgL_astz00_3);
				if (
					((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
						0L))
					{	/* Coerce/walk.scm 52 */
						{	/* Coerce/walk.scm 52 */
							obj_t BgL_port1230z00_1408;

							{	/* Coerce/walk.scm 52 */
								obj_t BgL_tmpz00_1809;

								BgL_tmpz00_1809 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_port1230z00_1408 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1809);
							}
							bgl_display_obj
								(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
								BgL_port1230z00_1408);
							bgl_display_string(BGl_string1411z00zzcoerce_walkz00,
								BgL_port1230z00_1408);
							{	/* Coerce/walk.scm 52 */
								obj_t BgL_arg1284z00_1409;

								{	/* Coerce/walk.scm 52 */
									bool_t BgL_test1439z00_1814;

									if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
										(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
										{	/* Coerce/walk.scm 52 */
											if (INTEGERP
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
												{	/* Coerce/walk.scm 52 */
													BgL_test1439z00_1814 =
														(
														(long)
														CINT
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
														> 1L);
												}
											else
												{	/* Coerce/walk.scm 52 */
													BgL_test1439z00_1814 =
														BGl_2ze3ze3zz__r4_numbers_6_5z00
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
														BINT(1L));
												}
										}
									else
										{	/* Coerce/walk.scm 52 */
											BgL_test1439z00_1814 = ((bool_t) 0);
										}
									if (BgL_test1439z00_1814)
										{	/* Coerce/walk.scm 52 */
											BgL_arg1284z00_1409 = BGl_string1412z00zzcoerce_walkz00;
										}
									else
										{	/* Coerce/walk.scm 52 */
											BgL_arg1284z00_1409 = BGl_string1413z00zzcoerce_walkz00;
										}
								}
								bgl_display_obj(BgL_arg1284z00_1409, BgL_port1230z00_1408);
							}
							bgl_display_string(BGl_string1414z00zzcoerce_walkz00,
								BgL_port1230z00_1408);
							bgl_display_char(((unsigned char) 10), BgL_port1230z00_1408);
						}
						{	/* Coerce/walk.scm 52 */
							obj_t BgL_list1287z00_1413;

							BgL_list1287z00_1413 = MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
							BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1287z00_1413);
						}
					}
				else
					{	/* Coerce/walk.scm 52 */
						obj_t BgL_g1109z00_1414;

						BgL_g1109z00_1414 = BNIL;
						{
							obj_t BgL_hooksz00_1417;
							obj_t BgL_hnamesz00_1418;

							BgL_hooksz00_1417 = BgL_g1109z00_1414;
							BgL_hnamesz00_1418 = BNIL;
						BgL_zc3z04anonymousza31288ze3z87_1419:
							if (NULLP(BgL_hooksz00_1417))
								{	/* Coerce/walk.scm 52 */
									return BgL_valuez00_1406;
								}
							else
								{	/* Coerce/walk.scm 52 */
									bool_t BgL_test1443z00_1831;

									{	/* Coerce/walk.scm 52 */
										obj_t BgL_fun1296z00_1426;

										BgL_fun1296z00_1426 = CAR(((obj_t) BgL_hooksz00_1417));
										BgL_test1443z00_1831 =
											CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1296z00_1426));
									}
									if (BgL_test1443z00_1831)
										{	/* Coerce/walk.scm 52 */
											obj_t BgL_arg1293z00_1423;
											obj_t BgL_arg1294z00_1424;

											BgL_arg1293z00_1423 = CDR(((obj_t) BgL_hooksz00_1417));
											BgL_arg1294z00_1424 = CDR(((obj_t) BgL_hnamesz00_1418));
											{
												obj_t BgL_hnamesz00_1843;
												obj_t BgL_hooksz00_1842;

												BgL_hooksz00_1842 = BgL_arg1293z00_1423;
												BgL_hnamesz00_1843 = BgL_arg1294z00_1424;
												BgL_hnamesz00_1418 = BgL_hnamesz00_1843;
												BgL_hooksz00_1417 = BgL_hooksz00_1842;
												goto BgL_zc3z04anonymousza31288ze3z87_1419;
											}
										}
									else
										{	/* Coerce/walk.scm 52 */
											obj_t BgL_arg1295z00_1425;

											BgL_arg1295z00_1425 = CAR(((obj_t) BgL_hnamesz00_1418));
											return
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_za2currentzd2passza2zd2zzengine_passz00,
												BGl_string1415z00zzcoerce_walkz00, BgL_arg1295z00_1425);
										}
								}
						}
					}
			}
		}

	}



/* &coerce-walk! */
	obj_t BGl_z62coercezd2walkz12za2zzcoerce_walkz00(obj_t BgL_envz00_1681,
		obj_t BgL_astz00_1682)
	{
		{	/* Coerce/walk.scm 36 */
			return BGl_coercezd2walkz12zc0zzcoerce_walkz00(BgL_astz00_1682);
		}

	}



/* &<@anonymous:1262> */
	obj_t BGl_z62zc3z04anonymousza31262ze3ze5zzcoerce_walkz00(obj_t
		BgL_envz00_1683, obj_t BgL_globalz00_1684)
	{
		{	/* Coerce/walk.scm 46 */
			{	/* Coerce/walk.scm 47 */
				bool_t BgL_test1444z00_1848;

				{	/* Coerce/walk.scm 47 */
					bool_t BgL_test1445z00_1849;

					{	/* Coerce/walk.scm 47 */
						BgL_valuez00_bglt BgL_arg1277z00_1696;

						BgL_arg1277z00_1696 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_globalz00_1684))))->BgL_valuez00);
						{	/* Coerce/walk.scm 47 */
							obj_t BgL_classz00_1697;

							BgL_classz00_1697 = BGl_funz00zzast_varz00;
							{	/* Coerce/walk.scm 47 */
								BgL_objectz00_bglt BgL_arg1858z00_1698;

								{	/* Coerce/walk.scm 47 */
									obj_t BgL_tmpz00_1853;

									BgL_tmpz00_1853 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1277z00_1696));
									BgL_arg1858z00_1698 = (BgL_objectz00_bglt) (BgL_tmpz00_1853);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Coerce/walk.scm 47 */
										long BgL_idxz00_1699;

										BgL_idxz00_1699 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1698);
										BgL_test1445z00_1849 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_1699 + 2L)) == BgL_classz00_1697);
									}
								else
									{	/* Coerce/walk.scm 47 */
										bool_t BgL_res1403z00_1702;

										{	/* Coerce/walk.scm 47 */
											obj_t BgL_oclassz00_1703;

											{	/* Coerce/walk.scm 47 */
												obj_t BgL_arg1866z00_1704;
												long BgL_arg1867z00_1705;

												BgL_arg1866z00_1704 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Coerce/walk.scm 47 */
													long BgL_arg1869z00_1706;

													BgL_arg1869z00_1706 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1698);
													BgL_arg1867z00_1705 =
														(BgL_arg1869z00_1706 - OBJECT_TYPE);
												}
												BgL_oclassz00_1703 =
													VECTOR_REF(BgL_arg1866z00_1704, BgL_arg1867z00_1705);
											}
											{	/* Coerce/walk.scm 47 */
												bool_t BgL__ortest_1115z00_1707;

												BgL__ortest_1115z00_1707 =
													(BgL_classz00_1697 == BgL_oclassz00_1703);
												if (BgL__ortest_1115z00_1707)
													{	/* Coerce/walk.scm 47 */
														BgL_res1403z00_1702 = BgL__ortest_1115z00_1707;
													}
												else
													{	/* Coerce/walk.scm 47 */
														long BgL_odepthz00_1708;

														{	/* Coerce/walk.scm 47 */
															obj_t BgL_arg1855z00_1709;

															BgL_arg1855z00_1709 = (BgL_oclassz00_1703);
															BgL_odepthz00_1708 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_1709);
														}
														if ((2L < BgL_odepthz00_1708))
															{	/* Coerce/walk.scm 47 */
																obj_t BgL_arg1853z00_1710;

																{	/* Coerce/walk.scm 47 */
																	obj_t BgL_arg1854z00_1711;

																	BgL_arg1854z00_1711 = (BgL_oclassz00_1703);
																	BgL_arg1853z00_1710 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_1711,
																		2L);
																}
																BgL_res1403z00_1702 =
																	(BgL_arg1853z00_1710 == BgL_classz00_1697);
															}
														else
															{	/* Coerce/walk.scm 47 */
																BgL_res1403z00_1702 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1445z00_1849 = BgL_res1403z00_1702;
									}
							}
						}
					}
					if (BgL_test1445z00_1849)
						{	/* Coerce/walk.scm 47 */
							BgL_test1444z00_1848 = ((bool_t) 0);
						}
					else
						{	/* Coerce/walk.scm 48 */
							bool_t BgL__ortest_1108z00_1712;

							BgL__ortest_1108z00_1712 =
								(
								(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_globalz00_1684)))->
									BgL_importz00) == ((obj_t) CNST_TABLE_REF(2)));
							if (BgL__ortest_1108z00_1712)
								{	/* Coerce/walk.scm 48 */
									BgL_test1444z00_1848 = BgL__ortest_1108z00_1712;
								}
							else
								{	/* Coerce/walk.scm 48 */
									BgL_test1444z00_1848 =
										(
										(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_globalz00_1684)))->
											BgL_importz00) == ((obj_t) CNST_TABLE_REF(3)));
								}
						}
				}
				if (BgL_test1444z00_1848)
					{	/* Coerce/walk.scm 47 */
						return
							BGl_pvariablezd2protozd2zzcoerce_pprotoz00(3L,
							((BgL_variablez00_bglt) BgL_globalz00_1684));
					}
				else
					{	/* Coerce/walk.scm 47 */
						return BFALSE;
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_walkz00(void)
	{
		{	/* Coerce/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_walkz00(void)
	{
		{	/* Coerce/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_walkz00(void)
	{
		{	/* Coerce/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_walkz00(void)
	{
		{	/* Coerce/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1416z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1416z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string1416z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1416z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1416z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1416z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1416z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1416z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1416z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1416z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(383247627L,
				BSTRING_TO_STRING(BGl_string1416z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzcoerce_pprotoz00(44915300L,
				BSTRING_TO_STRING(BGl_string1416z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(361167184L,
				BSTRING_TO_STRING(BGl_string1416z00zzcoerce_walkz00));
			BGl_modulezd2initializa7ationz75zzcoerce_convertz00(87995645L,
				BSTRING_TO_STRING(BGl_string1416z00zzcoerce_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzcoerce_appz00(489367725L,
				BSTRING_TO_STRING(BGl_string1416z00zzcoerce_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
