/*===========================================================================*/
/*   (Effect/spread.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Effect/spread.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_EFFECT_SPREAD_TYPE_DEFINITIONS
#define BGL_EFFECT_SPREAD_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_EFFECT_SPREAD_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_spreadz00 = BUNSPEC;
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62spreadzd2sidezd2effectz121247z70zzeffect_spreadz00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzeffect_spreadz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzeffect_spreadz00(void);
	static obj_t BGl_objectzd2initzd2zzeffect_spreadz00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_spreadz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21250za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21252za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21254za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21256za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21259za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21261za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21263za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21265za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21267za2zzeffect_spreadz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21270za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21272za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21274za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21276za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21278za2zzeffect_spreadz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21280za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21282za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21284za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21286za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21288za2zzeffect_spreadz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21290za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21292za2zzeffect_spreadz00(obj_t, obj_t);
	static obj_t
		BGl_z62spreadzd2sidezd2effectz12zd21294za2zzeffect_spreadz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62spreadzd2sidezd2effectz12z70zzeffect_spreadz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzeffect_spreadz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_spreadz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzeffect_spreadz00(void);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static bool_t BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_EXPORTED_DECL bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_patchz00zzast_nodez00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string1664z00zzeffect_spreadz00,
		BgL_bgl_string1664za700za7za7e1692za7, "spread-side-effect!1247", 23);
	      DEFINE_STRING(BGl_string1666z00zzeffect_spreadz00,
		BgL_bgl_string1666za700za7za7e1693za7, "spread-side-effect!", 19);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1694z00,
		BGl_z62spreadzd2sidezd2effectz12z70zzeffect_spreadz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1663z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1695z00,
		BGl_z62spreadzd2sidezd2effectz121247z70zzeffect_spreadz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1665z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1696z00,
		BGl_z62spreadzd2sidezd2effectz12zd21250za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1667z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1697z00,
		BGl_z62spreadzd2sidezd2effectz12zd21252za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1668z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1698z00,
		BGl_z62spreadzd2sidezd2effectz12zd21254za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1669z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1699z00,
		BGl_z62spreadzd2sidezd2effectz12zd21256za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1670z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1700z00,
		BGl_z62spreadzd2sidezd2effectz12zd21259za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1671z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1701z00,
		BGl_z62spreadzd2sidezd2effectz12zd21261za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1672z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1702z00,
		BGl_z62spreadzd2sidezd2effectz12zd21263za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1673z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1703z00,
		BGl_z62spreadzd2sidezd2effectz12zd21265za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1674z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1704z00,
		BGl_z62spreadzd2sidezd2effectz12zd21267za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1675z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1705z00,
		BGl_z62spreadzd2sidezd2effectz12zd21270za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1676z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1706z00,
		BGl_z62spreadzd2sidezd2effectz12zd21272za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1677z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1707z00,
		BGl_z62spreadzd2sidezd2effectz12zd21274za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1678z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1708z00,
		BGl_z62spreadzd2sidezd2effectz12zd21276za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1679z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1709z00,
		BGl_z62spreadzd2sidezd2effectz12zd21278za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1688z00zzeffect_spreadz00,
		BgL_bgl_string1688za700za7za7e1710za7, "effect_spread", 13);
	      DEFINE_STRING(BGl_string1689z00zzeffect_spreadz00,
		BgL_bgl_string1689za700za7za7e1711za7, "read ", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1680z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1712z00,
		BGl_z62spreadzd2sidezd2effectz12zd21280za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1681z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1713z00,
		BGl_z62spreadzd2sidezd2effectz12zd21282za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1682z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1714z00,
		BGl_z62spreadzd2sidezd2effectz12zd21284za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1683z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1715z00,
		BGl_z62spreadzd2sidezd2effectz12zd21286za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1684z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1716z00,
		BGl_z62spreadzd2sidezd2effectz12zd21288za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1685z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1717z00,
		BGl_z62spreadzd2sidezd2effectz12zd21290za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1686z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1718z00,
		BGl_z62spreadzd2sidezd2effectz12zd21292za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1687z00zzeffect_spreadz00,
		BgL_bgl_za762spreadza7d2side1719z00,
		BGl_z62spreadzd2sidezd2effectz12zd21294za2zzeffect_spreadz00, 0L, BUNSPEC,
		1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzeffect_spreadz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long
		BgL_checksumz00_1963, char *BgL_fromz00_1964)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_spreadz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_spreadz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzeffect_spreadz00();
					BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00();
					BGl_cnstzd2initzd2zzeffect_spreadz00();
					BGl_importedzd2moduleszd2initz00zzeffect_spreadz00();
					BGl_genericzd2initzd2zzeffect_spreadz00();
					BGl_methodzd2initzd2zzeffect_spreadz00();
					return BGl_toplevelzd2initzd2zzeffect_spreadz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_spreadz00(void)
	{
		{	/* Effect/spread.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "effect_spread");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "effect_spread");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "effect_spread");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"effect_spread");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"effect_spread");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_spreadz00(void)
	{
		{	/* Effect/spread.scm 15 */
			{	/* Effect/spread.scm 15 */
				obj_t BgL_cportz00_1890;

				{	/* Effect/spread.scm 15 */
					obj_t BgL_stringz00_1897;

					BgL_stringz00_1897 = BGl_string1689z00zzeffect_spreadz00;
					{	/* Effect/spread.scm 15 */
						obj_t BgL_startz00_1898;

						BgL_startz00_1898 = BINT(0L);
						{	/* Effect/spread.scm 15 */
							obj_t BgL_endz00_1899;

							BgL_endz00_1899 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1897)));
							{	/* Effect/spread.scm 15 */

								BgL_cportz00_1890 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1897, BgL_startz00_1898, BgL_endz00_1899);
				}}}}
				{
					long BgL_iz00_1891;

					BgL_iz00_1891 = 0L;
				BgL_loopz00_1892:
					if ((BgL_iz00_1891 == (-1L)))
						{	/* Effect/spread.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/spread.scm 15 */
							{	/* Effect/spread.scm 15 */
								obj_t BgL_arg1691z00_1893;

								{	/* Effect/spread.scm 15 */

									{	/* Effect/spread.scm 15 */
										obj_t BgL_locationz00_1895;

										BgL_locationz00_1895 = BBOOL(((bool_t) 0));
										{	/* Effect/spread.scm 15 */

											BgL_arg1691z00_1893 =
												BGl_readz00zz__readerz00(BgL_cportz00_1890,
												BgL_locationz00_1895);
										}
									}
								}
								{	/* Effect/spread.scm 15 */
									int BgL_tmpz00_1992;

									BgL_tmpz00_1992 = (int) (BgL_iz00_1891);
									CNST_TABLE_SET(BgL_tmpz00_1992, BgL_arg1691z00_1893);
							}}
							{	/* Effect/spread.scm 15 */
								int BgL_auxz00_1896;

								BgL_auxz00_1896 = (int) ((BgL_iz00_1891 - 1L));
								{
									long BgL_iz00_1997;

									BgL_iz00_1997 = (long) (BgL_auxz00_1896);
									BgL_iz00_1891 = BgL_iz00_1997;
									goto BgL_loopz00_1892;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzeffect_spreadz00(void)
	{
		{	/* Effect/spread.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_spreadz00(void)
	{
		{	/* Effect/spread.scm 15 */
			return BUNSPEC;
		}

	}



/* spread-side-effect*! */
	bool_t BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(obj_t
		BgL_nodeza2za2_26)
	{
		{	/* Effect/spread.scm 233 */
			{
				obj_t BgL_nodeza2za2_1382;
				bool_t BgL_resz00_1383;

				BgL_nodeza2za2_1382 = BgL_nodeza2za2_26;
				BgL_resz00_1383 = ((bool_t) 0);
			BgL_zc3z04anonymousza31299ze3z87_1384:
				if (NULLP(BgL_nodeza2za2_1382))
					{	/* Effect/spread.scm 236 */
						return BgL_resz00_1383;
					}
				else
					{	/* Effect/spread.scm 238 */
						obj_t BgL_arg1301z00_1386;
						bool_t BgL_arg1302z00_1387;

						BgL_arg1301z00_1386 = CDR(((obj_t) BgL_nodeza2za2_1382));
						{	/* Effect/spread.scm 238 */
							bool_t BgL__ortest_1130z00_1388;

							{	/* Effect/spread.scm 238 */
								obj_t BgL_arg1303z00_1389;

								BgL_arg1303z00_1389 = CAR(((obj_t) BgL_nodeza2za2_1382));
								BgL__ortest_1130z00_1388 =
									BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
									((BgL_nodez00_bglt) BgL_arg1303z00_1389));
							}
							if (BgL__ortest_1130z00_1388)
								{	/* Effect/spread.scm 238 */
									BgL_arg1302z00_1387 = BgL__ortest_1130z00_1388;
								}
							else
								{	/* Effect/spread.scm 238 */
									BgL_arg1302z00_1387 = BgL_resz00_1383;
								}
						}
						{
							bool_t BgL_resz00_2010;
							obj_t BgL_nodeza2za2_2009;

							BgL_nodeza2za2_2009 = BgL_arg1301z00_1386;
							BgL_resz00_2010 = BgL_arg1302z00_1387;
							BgL_resz00_1383 = BgL_resz00_2010;
							BgL_nodeza2za2_1382 = BgL_nodeza2za2_2009;
							goto BgL_zc3z04anonymousza31299ze3z87_1384;
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_spreadz00(void)
	{
		{	/* Effect/spread.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_spreadz00(void)
	{
		{	/* Effect/spread.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_proc1663z00zzeffect_spreadz00, BGl_nodez00zzast_nodez00,
				BGl_string1664z00zzeffect_spreadz00);
		}

	}



/* &spread-side-effect!1247 */
	obj_t BGl_z62spreadzd2sidezd2effectz121247z70zzeffect_spreadz00(obj_t
		BgL_envz00_1820, obj_t BgL_nodez00_1821)
	{
		{	/* Effect/spread.scm 23 */
			return BBOOL(((bool_t) 0));
		}

	}



/* spread-side-effect! */
	BGL_EXPORTED_DEF bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt
		BgL_nodez00_3)
	{
		{	/* Effect/spread.scm 23 */
			{	/* Effect/spread.scm 23 */
				obj_t BgL_method1248z00_1395;

				{	/* Effect/spread.scm 23 */
					obj_t BgL_res1662z00_1784;

					{	/* Effect/spread.scm 23 */
						long BgL_objzd2classzd2numz00_1755;

						BgL_objzd2classzd2numz00_1755 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_3));
						{	/* Effect/spread.scm 23 */
							obj_t BgL_arg1862z00_1756;

							BgL_arg1862z00_1756 =
								PROCEDURE_REF
								(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
								(int) (1L));
							{	/* Effect/spread.scm 23 */
								int BgL_offsetz00_1759;

								BgL_offsetz00_1759 = (int) (BgL_objzd2classzd2numz00_1755);
								{	/* Effect/spread.scm 23 */
									long BgL_offsetz00_1760;

									BgL_offsetz00_1760 =
										((long) (BgL_offsetz00_1759) - OBJECT_TYPE);
									{	/* Effect/spread.scm 23 */
										long BgL_modz00_1761;

										BgL_modz00_1761 =
											(BgL_offsetz00_1760 >> (int) ((long) ((int) (4L))));
										{	/* Effect/spread.scm 23 */
											long BgL_restz00_1763;

											BgL_restz00_1763 =
												(BgL_offsetz00_1760 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Effect/spread.scm 23 */

												{	/* Effect/spread.scm 23 */
													obj_t BgL_bucketz00_1765;

													BgL_bucketz00_1765 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_1756), BgL_modz00_1761);
													BgL_res1662z00_1784 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1765), BgL_restz00_1763);
					}}}}}}}}
					BgL_method1248z00_1395 = BgL_res1662z00_1784;
				}
				return
					CBOOL(BGL_PROCEDURE_CALL1(BgL_method1248z00_1395,
						((obj_t) BgL_nodez00_3)));
			}
		}

	}



/* &spread-side-effect! */
	obj_t BGl_z62spreadzd2sidezd2effectz12z70zzeffect_spreadz00(obj_t
		BgL_envz00_1822, obj_t BgL_nodez00_1823)
	{
		{	/* Effect/spread.scm 23 */
			return
				BBOOL(BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					((BgL_nodez00_bglt) BgL_nodez00_1823)));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_spreadz00(void)
	{
		{	/* Effect/spread.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_varz00zzast_nodez00, BGl_proc1665z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_patchz00zzast_nodez00, BGl_proc1667z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1668z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_syncz00zzast_nodez00, BGl_proc1669z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_appz00zzast_nodez00, BGl_proc1670z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1671z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1672z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_externz00zzast_nodez00, BGl_proc1673z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_castz00zzast_nodez00, BGl_proc1674z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_setqz00zzast_nodez00, BGl_proc1675z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1676z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_failz00zzast_nodez00, BGl_proc1677z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_switchz00zzast_nodez00, BGl_proc1678z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1679z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1680z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1681z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1682z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1683z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1684z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_returnz00zzast_nodez00, BGl_proc1685z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_retblockz00zzast_nodez00, BGl_proc1686z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_spreadzd2sidezd2effectz12zd2envzc0zzeffect_spreadz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1687z00zzeffect_spreadz00,
				BGl_string1666z00zzeffect_spreadz00);
		}

	}



/* &spread-side-effect!-1294 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21294za2zzeffect_spreadz00(obj_t
		BgL_envz00_1846, obj_t BgL_nodez00_1847)
	{
		{	/* Effect/spread.scm 226 */
			{	/* Effect/spread.scm 227 */
				bool_t BgL_tmpz00_2069;

				{	/* Effect/spread.scm 228 */
					BgL_varz00_bglt BgL_arg1418z00_1903;

					BgL_arg1418z00_1903 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_1847)))->BgL_varz00);
					BgL_tmpz00_2069 =
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						((BgL_nodez00_bglt) BgL_arg1418z00_1903));
				}
				return BBOOL(BgL_tmpz00_2069);
			}
		}

	}



/* &spread-side-effect!-1292 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21292za2zzeffect_spreadz00(obj_t
		BgL_envz00_1848, obj_t BgL_nodez00_1849)
	{
		{	/* Effect/spread.scm 215 */
			return
				BBOOL(BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_1849)))->BgL_bodyz00)));
		}

	}



/* &spread-side-effect!-1290 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21290za2zzeffect_spreadz00(obj_t
		BgL_envz00_1850, obj_t BgL_nodez00_1851)
	{
		{	/* Effect/spread.scm 207 */
			{	/* Effect/spread.scm 208 */
				bool_t BgL_tmpz00_2079;

				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_1851)))->BgL_valuez00));
				BgL_tmpz00_2079 = ((bool_t) 1);
				return BBOOL(BgL_tmpz00_2079);
			}
		}

	}



/* &spread-side-effect!-1288 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21288za2zzeffect_spreadz00(obj_t
		BgL_envz00_1852, obj_t BgL_nodez00_1853)
	{
		{	/* Effect/spread.scm 199 */
			{	/* Effect/spread.scm 200 */
				bool_t BgL_tmpz00_2084;

				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1853)))->BgL_valuez00));
				BgL_tmpz00_2084 = ((bool_t) 1);
				return BBOOL(BgL_tmpz00_2084);
			}
		}

	}



/* &spread-side-effect!-1286 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21286za2zzeffect_spreadz00(obj_t
		BgL_envz00_1854, obj_t BgL_nodez00_1855)
	{
		{	/* Effect/spread.scm 190 */
			{	/* Effect/spread.scm 191 */
				bool_t BgL_tmpz00_2089;

				{	/* Effect/spread.scm 192 */
					bool_t BgL_resz00_1908;

					BgL_resz00_1908 =
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_1855)))->BgL_valuez00));
					((((BgL_nodezf2effectzf2_bglt) COBJECT(
									((BgL_nodezf2effectzf2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_nodez00_1855))))->
							BgL_sidezd2effectzd2) =
						((obj_t) BBOOL(BgL_resz00_1908)), BUNSPEC);
					BgL_tmpz00_2089 = BgL_resz00_1908;
				}
				return BBOOL(BgL_tmpz00_2089);
			}
		}

	}



/* &spread-side-effect!-1284 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21284za2zzeffect_spreadz00(obj_t
		BgL_envz00_1856, obj_t BgL_nodez00_1857)
	{
		{	/* Effect/spread.scm 181 */
			{	/* Effect/spread.scm 182 */
				bool_t BgL_tmpz00_2098;

				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1857)))->
						BgL_exitz00));
				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(((
							(BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_nodez00_1857)))->BgL_valuez00));
				BgL_tmpz00_2098 = ((bool_t) 1);
				return BBOOL(BgL_tmpz00_2098);
			}
		}

	}



/* &spread-side-effect!-1282 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21282za2zzeffect_spreadz00(obj_t
		BgL_envz00_1858, obj_t BgL_nodez00_1859)
	{
		{	/* Effect/spread.scm 173 */
			{	/* Effect/spread.scm 174 */
				bool_t BgL_tmpz00_2106;

				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1859)))->
						BgL_onexitz00));
				BgL_tmpz00_2106 =
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(((
							(BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_nodez00_1859)))->BgL_bodyz00));
				return BBOOL(BgL_tmpz00_2106);
			}
		}

	}



/* &spread-side-effect!-1280 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21280za2zzeffect_spreadz00(obj_t
		BgL_envz00_1860, obj_t BgL_nodez00_1861)
	{
		{	/* Effect/spread.scm 159 */
			{	/* Effect/spread.scm 160 */
				bool_t BgL_tmpz00_2114;

				{	/* Effect/spread.scm 161 */
					bool_t BgL_g1121z00_1912;

					BgL_g1121z00_1912 =
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_1861)))->BgL_bodyz00));
					{
						obj_t BgL_bdgsz00_1914;
						bool_t BgL_resz00_1915;

						BgL_bdgsz00_1914 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_1861)))->
							BgL_bindingsz00);
						BgL_resz00_1915 = BgL_g1121z00_1912;
					BgL_loopz00_1913:
						if (NULLP(BgL_bdgsz00_1914))
							{	/* Effect/spread.scm 163 */
								((((BgL_nodezf2effectzf2_bglt) COBJECT(
												((BgL_nodezf2effectzf2_bglt)
													((BgL_letzd2varzd2_bglt) BgL_nodez00_1861))))->
										BgL_sidezd2effectzd2) =
									((obj_t) BBOOL(BgL_resz00_1915)), BUNSPEC);
								BgL_tmpz00_2114 = BgL_resz00_1915;
							}
						else
							{	/* Effect/spread.scm 167 */
								obj_t BgL_arg1386z00_1916;
								bool_t BgL_arg1388z00_1917;

								BgL_arg1386z00_1916 = CDR(((obj_t) BgL_bdgsz00_1914));
								{	/* Effect/spread.scm 168 */
									bool_t BgL__ortest_1122z00_1918;

									{	/* Effect/spread.scm 168 */
										obj_t BgL_arg1390z00_1919;

										{	/* Effect/spread.scm 168 */
											obj_t BgL_pairz00_1920;

											BgL_pairz00_1920 = CAR(((obj_t) BgL_bdgsz00_1914));
											BgL_arg1390z00_1919 = CDR(BgL_pairz00_1920);
										}
										BgL__ortest_1122z00_1918 =
											BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
											((BgL_nodez00_bglt) BgL_arg1390z00_1919));
									}
									if (BgL__ortest_1122z00_1918)
										{	/* Effect/spread.scm 168 */
											BgL_arg1388z00_1917 = BgL__ortest_1122z00_1918;
										}
									else
										{	/* Effect/spread.scm 168 */
											BgL_arg1388z00_1917 = BgL_resz00_1915;
										}
								}
								{
									bool_t BgL_resz00_2133;
									obj_t BgL_bdgsz00_2132;

									BgL_bdgsz00_2132 = BgL_arg1386z00_1916;
									BgL_resz00_2133 = BgL_arg1388z00_1917;
									BgL_resz00_1915 = BgL_resz00_2133;
									BgL_bdgsz00_1914 = BgL_bdgsz00_2132;
									goto BgL_loopz00_1913;
								}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2114);
			}
		}

	}



/* &spread-side-effect!-1278 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21278za2zzeffect_spreadz00(obj_t
		BgL_envz00_1862, obj_t BgL_nodez00_1863)
	{
		{	/* Effect/spread.scm 147 */
			{	/* Effect/spread.scm 148 */
				bool_t BgL_tmpz00_2137;

				{	/* Effect/spread.scm 149 */
					obj_t BgL_g1246z00_1922;

					BgL_g1246z00_1922 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_1863)))->BgL_localsz00);
					{
						obj_t BgL_l1244z00_1924;

						BgL_l1244z00_1924 = BgL_g1246z00_1922;
					BgL_zc3z04anonymousza31372ze3z87_1923:
						if (PAIRP(BgL_l1244z00_1924))
							{	/* Effect/spread.scm 149 */
								{	/* Effect/spread.scm 150 */
									obj_t BgL_localz00_1925;

									BgL_localz00_1925 = CAR(BgL_l1244z00_1924);
									{	/* Effect/spread.scm 150 */
										obj_t BgL_arg1376z00_1926;

										BgL_arg1376z00_1926 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1925))))->
															BgL_valuez00))))->BgL_bodyz00);
										BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00((
												(BgL_nodez00_bglt) BgL_arg1376z00_1926));
									}
								}
								{
									obj_t BgL_l1244z00_2150;

									BgL_l1244z00_2150 = CDR(BgL_l1244z00_1924);
									BgL_l1244z00_1924 = BgL_l1244z00_2150;
									goto BgL_zc3z04anonymousza31372ze3z87_1923;
								}
							}
						else
							{	/* Effect/spread.scm 149 */
								((bool_t) 1);
							}
					}
				}
				{	/* Effect/spread.scm 152 */
					bool_t BgL_resz00_1927;

					BgL_resz00_1927 =
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_1863)))->BgL_bodyz00));
					((((BgL_nodezf2effectzf2_bglt) COBJECT(
									((BgL_nodezf2effectzf2_bglt)
										((BgL_letzd2funzd2_bglt) BgL_nodez00_1863))))->
							BgL_sidezd2effectzd2) =
						((obj_t) BBOOL(BgL_resz00_1927)), BUNSPEC);
					BgL_tmpz00_2137 = BgL_resz00_1927;
				}
				return BBOOL(BgL_tmpz00_2137);
			}
		}

	}



/* &spread-side-effect!-1276 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21276za2zzeffect_spreadz00(obj_t
		BgL_envz00_1864, obj_t BgL_nodez00_1865)
	{
		{	/* Effect/spread.scm 133 */
			{	/* Effect/spread.scm 134 */
				bool_t BgL_tmpz00_2160;

				{	/* Effect/spread.scm 135 */
					bool_t BgL_g1117z00_1929;

					BgL_g1117z00_1929 =
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_1865)))->BgL_testz00));
					{
						obj_t BgL_clausesz00_1931;
						bool_t BgL_resz00_1932;

						BgL_clausesz00_1931 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_1865)))->BgL_clausesz00);
						BgL_resz00_1932 = BgL_g1117z00_1929;
					BgL_loopz00_1930:
						if (NULLP(BgL_clausesz00_1931))
							{	/* Effect/spread.scm 137 */
								((((BgL_nodezf2effectzf2_bglt) COBJECT(
												((BgL_nodezf2effectzf2_bglt)
													((BgL_switchz00_bglt) BgL_nodez00_1865))))->
										BgL_sidezd2effectzd2) =
									((obj_t) BBOOL(BgL_resz00_1932)), BUNSPEC);
								BgL_tmpz00_2160 = BgL_resz00_1932;
							}
						else
							{	/* Effect/spread.scm 141 */
								obj_t BgL_arg1364z00_1933;
								bool_t BgL_arg1365z00_1934;

								BgL_arg1364z00_1933 = CDR(((obj_t) BgL_clausesz00_1931));
								{	/* Effect/spread.scm 142 */
									bool_t BgL__ortest_1118z00_1935;

									{	/* Effect/spread.scm 142 */
										obj_t BgL_arg1367z00_1936;

										{	/* Effect/spread.scm 142 */
											obj_t BgL_pairz00_1937;

											BgL_pairz00_1937 = CAR(((obj_t) BgL_clausesz00_1931));
											BgL_arg1367z00_1936 = CDR(BgL_pairz00_1937);
										}
										BgL__ortest_1118z00_1935 =
											BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
											((BgL_nodez00_bglt) BgL_arg1367z00_1936));
									}
									if (BgL__ortest_1118z00_1935)
										{	/* Effect/spread.scm 142 */
											BgL_arg1365z00_1934 = BgL__ortest_1118z00_1935;
										}
									else
										{	/* Effect/spread.scm 142 */
											BgL_arg1365z00_1934 = BgL_resz00_1932;
										}
								}
								{
									bool_t BgL_resz00_2179;
									obj_t BgL_clausesz00_2178;

									BgL_clausesz00_2178 = BgL_arg1364z00_1933;
									BgL_resz00_2179 = BgL_arg1365z00_1934;
									BgL_resz00_1932 = BgL_resz00_2179;
									BgL_clausesz00_1931 = BgL_clausesz00_2178;
									goto BgL_loopz00_1930;
								}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2160);
			}
		}

	}



/* &spread-side-effect!-1274 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21274za2zzeffect_spreadz00(obj_t
		BgL_envz00_1866, obj_t BgL_nodez00_1867)
	{
		{	/* Effect/spread.scm 123 */
			{	/* Effect/spread.scm 124 */
				bool_t BgL_tmpz00_2183;

				{	/* Effect/spread.scm 125 */
					bool_t BgL_reszd2proczd2_1939;

					BgL_reszd2proczd2_1939 =
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_1867)))->BgL_procz00));
					{	/* Effect/spread.scm 125 */
						bool_t BgL_reszd2msgzd2_1940;

						BgL_reszd2msgzd2_1940 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
							(((BgL_failz00_bglt) COBJECT(
										((BgL_failz00_bglt) BgL_nodez00_1867)))->BgL_msgz00));
						{	/* Effect/spread.scm 126 */
							bool_t BgL_reszd2objzd2_1941;

							BgL_reszd2objzd2_1941 =
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
								(((BgL_failz00_bglt) COBJECT(
											((BgL_failz00_bglt) BgL_nodez00_1867)))->BgL_objz00));
							BgL_tmpz00_2183 = ((bool_t) 1);
						}
					}
				}
				return BBOOL(BgL_tmpz00_2183);
			}
		}

	}



/* &spread-side-effect!-1272 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21272za2zzeffect_spreadz00(obj_t
		BgL_envz00_1868, obj_t BgL_nodez00_1869)
	{
		{	/* Effect/spread.scm 111 */
			{	/* Effect/spread.scm 112 */
				bool_t BgL_tmpz00_2194;

				{	/* Effect/spread.scm 113 */
					bool_t BgL_reszd2testzd2_1943;

					BgL_reszd2testzd2_1943 =
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_1869)))->BgL_testz00));
					{	/* Effect/spread.scm 113 */
						bool_t BgL_reszd2truezd2_1944;

						BgL_reszd2truezd2_1944 =
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_1869)))->
								BgL_truez00));
						{	/* Effect/spread.scm 114 */
							bool_t BgL_reszd2falsezd2_1945;

							BgL_reszd2falsezd2_1945 =
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
								(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_1869)))->
									BgL_falsez00));
							{	/* Effect/spread.scm 115 */
								bool_t BgL_resz00_1946;

								if (BgL_reszd2testzd2_1943)
									{	/* Effect/spread.scm 116 */
										BgL_resz00_1946 = BgL_reszd2testzd2_1943;
									}
								else
									{	/* Effect/spread.scm 116 */
										if (BgL_reszd2truezd2_1944)
											{	/* Effect/spread.scm 116 */
												BgL_resz00_1946 = BgL_reszd2truezd2_1944;
											}
										else
											{	/* Effect/spread.scm 116 */
												BgL_resz00_1946 = BgL_reszd2falsezd2_1945;
											}
									}
								{	/* Effect/spread.scm 116 */

									((((BgL_nodezf2effectzf2_bglt) COBJECT(
													((BgL_nodezf2effectzf2_bglt)
														((BgL_conditionalz00_bglt) BgL_nodez00_1869))))->
											BgL_sidezd2effectzd2) =
										((obj_t) BBOOL(BgL_resz00_1946)), BUNSPEC);
									BgL_tmpz00_2194 = BgL_resz00_1946;
								}
							}
						}
					}
				}
				return BBOOL(BgL_tmpz00_2194);
			}
		}

	}



/* &spread-side-effect!-1270 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21270za2zzeffect_spreadz00(obj_t
		BgL_envz00_1870, obj_t BgL_nodez00_1871)
	{
		{	/* Effect/spread.scm 103 */
			{	/* Effect/spread.scm 104 */
				bool_t BgL_tmpz00_2211;

				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_1871)))->BgL_valuez00));
				BgL_tmpz00_2211 = ((bool_t) 1);
				return BBOOL(BgL_tmpz00_2211);
			}
		}

	}



/* &spread-side-effect!-1267 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21267za2zzeffect_spreadz00(obj_t
		BgL_envz00_1872, obj_t BgL_nodez00_1873)
	{
		{	/* Effect/spread.scm 96 */
			return
				BBOOL(BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_1873)))->BgL_argz00)));
		}

	}



/* &spread-side-effect!-1265 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21265za2zzeffect_spreadz00(obj_t
		BgL_envz00_1874, obj_t BgL_nodez00_1875)
	{
		{	/* Effect/spread.scm 87 */
			{	/* Effect/spread.scm 89 */
				obj_t BgL_resz00_1950;

				{	/* Effect/spread.scm 89 */
					bool_t BgL__ortest_1109z00_1951;

					BgL__ortest_1109z00_1951 =
						BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
						(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt) BgL_nodez00_1875)))->BgL_exprza2za2));
					if (BgL__ortest_1109z00_1951)
						{	/* Effect/spread.scm 89 */
							BgL_resz00_1950 = BBOOL(BgL__ortest_1109z00_1951);
						}
					else
						{	/* Effect/spread.scm 89 */
							BgL_resz00_1950 =
								(((BgL_nodezf2effectzf2_bglt) COBJECT(
										((BgL_nodezf2effectzf2_bglt)
											((BgL_externz00_bglt) BgL_nodez00_1875))))->
								BgL_sidezd2effectzd2);
						}
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_externz00_bglt) BgL_nodez00_1875))))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_resz00_1950), BUNSPEC);
				return BgL_resz00_1950;
			}
		}

	}



/* &spread-side-effect!-1263 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21263za2zzeffect_spreadz00(obj_t
		BgL_envz00_1876, obj_t BgL_nodez00_1877)
	{
		{	/* Effect/spread.scm 78 */
			{	/* Effect/spread.scm 79 */
				bool_t BgL_tmpz00_2231;

				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_1877)))->BgL_funz00));
				BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_1877)))->BgL_argsz00));
				BgL_tmpz00_2231 = ((bool_t) 1);
				return BBOOL(BgL_tmpz00_2231);
			}
		}

	}



/* &spread-side-effect!-1261 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21261za2zzeffect_spreadz00(obj_t
		BgL_envz00_1878, obj_t BgL_nodez00_1879)
	{
		{	/* Effect/spread.scm 69 */
			{	/* Effect/spread.scm 70 */
				bool_t BgL_tmpz00_2239;

				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_1879)))->BgL_funz00));
				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_1879)))->BgL_argz00));
				BgL_tmpz00_2239 = ((bool_t) 1);
				return BBOOL(BgL_tmpz00_2239);
			}
		}

	}



/* &spread-side-effect!-1259 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21259za2zzeffect_spreadz00(obj_t
		BgL_envz00_1880, obj_t BgL_nodez00_1881)
	{
		{	/* Effect/spread.scm 59 */
			{	/* Effect/spread.scm 61 */
				obj_t BgL_resz00_1955;

				{	/* Effect/spread.scm 61 */
					bool_t BgL__ortest_1105z00_1956;

					BgL__ortest_1105z00_1956 =
						BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
						(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_1881)))->BgL_argsz00));
					if (BgL__ortest_1105z00_1956)
						{	/* Effect/spread.scm 61 */
							BgL_resz00_1955 = BBOOL(BgL__ortest_1105z00_1956);
						}
					else
						{	/* Effect/spread.scm 61 */
							BgL_resz00_1955 =
								(((BgL_funz00_bglt) COBJECT(
										((BgL_funz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														(((BgL_varz00_bglt) COBJECT(
																	(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_1881)))->
																		BgL_funz00)))->BgL_variablez00)))->
												BgL_valuez00))))->BgL_sidezd2effectzd2);
						}
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_appz00_bglt) BgL_nodez00_1881))))->
						BgL_sidezd2effectzd2) = ((obj_t) BgL_resz00_1955), BUNSPEC);
				return BgL_resz00_1955;
			}
		}

	}



/* &spread-side-effect!-1256 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21256za2zzeffect_spreadz00(obj_t
		BgL_envz00_1882, obj_t BgL_nodez00_1883)
	{
		{	/* Effect/spread.scm 50 */
			{	/* Effect/spread.scm 51 */
				bool_t BgL_tmpz00_2261;

				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_1883)))->BgL_mutexz00));
				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_1883)))->BgL_prelockz00));
				BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_1883)))->BgL_bodyz00));
				BgL_tmpz00_2261 = ((bool_t) 1);
				return BBOOL(BgL_tmpz00_2261);
			}
		}

	}



/* &spread-side-effect!-1254 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21254za2zzeffect_spreadz00(obj_t
		BgL_envz00_1884, obj_t BgL_nodez00_1885)
	{
		{	/* Effect/spread.scm 42 */
			{	/* Effect/spread.scm 43 */
				bool_t BgL_tmpz00_2272;

				{	/* Effect/spread.scm 43 */
					bool_t BgL_resz00_1959;

					BgL_resz00_1959 =
						BGl_spreadzd2sidezd2effectza2z12zb0zzeffect_spreadz00(
						(((BgL_sequencez00_bglt) COBJECT(
									((BgL_sequencez00_bglt) BgL_nodez00_1885)))->BgL_nodesz00));
					((((BgL_nodezf2effectzf2_bglt) COBJECT(
									((BgL_nodezf2effectzf2_bglt)
										((BgL_sequencez00_bglt) BgL_nodez00_1885))))->
							BgL_sidezd2effectzd2) =
						((obj_t) BBOOL(BgL_resz00_1959)), BUNSPEC);
					BgL_tmpz00_2272 = BgL_resz00_1959;
				}
				return BBOOL(BgL_tmpz00_2272);
			}
		}

	}



/* &spread-side-effect!-1252 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21252za2zzeffect_spreadz00(obj_t
		BgL_envz00_1886, obj_t BgL_nodez00_1887)
	{
		{	/* Effect/spread.scm 35 */
			{	/* Effect/spread.scm 36 */
				bool_t BgL_tmpz00_2281;

				{	/* Effect/spread.scm 36 */
					obj_t BgL_arg1314z00_1961;

					BgL_arg1314z00_1961 =
						(((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_patchz00_bglt) BgL_nodez00_1887))))->BgL_valuez00);
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
						((BgL_nodez00_bglt) BgL_arg1314z00_1961));
				}
				BgL_tmpz00_2281 = ((bool_t) 1);
				return BBOOL(BgL_tmpz00_2281);
			}
		}

	}



/* &spread-side-effect!-1250 */
	obj_t BGl_z62spreadzd2sidezd2effectz12zd21250za2zzeffect_spreadz00(obj_t
		BgL_envz00_1888, obj_t BgL_nodez00_1889)
	{
		{	/* Effect/spread.scm 29 */
			{	/* Effect/spread.scm 30 */
				bool_t BgL_tmpz00_2288;

				if (
					((((BgL_variablez00_bglt) COBJECT(
									(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_1889)))->
										BgL_variablez00)))->BgL_accessz00) ==
						((obj_t) CNST_TABLE_REF(0))))
					{	/* Effect/spread.scm 30 */
						BgL_tmpz00_2288 = ((bool_t) 0);
					}
				else
					{	/* Effect/spread.scm 30 */
						BgL_tmpz00_2288 = ((bool_t) 1);
					}
				return BBOOL(BgL_tmpz00_2288);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_spreadz00(void)
	{
		{	/* Effect/spread.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1688z00zzeffect_spreadz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1688z00zzeffect_spreadz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1688z00zzeffect_spreadz00));
		}

	}

#ifdef __cplusplus
}
#endif
