/*===========================================================================*/
/*   (Engine/heap.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Engine/heap.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_ENGINE_HEAP_TYPE_DEFINITIONS
#define BGL_ENGINE_HEAP_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;


#endif													// BGL_ENGINE_HEAP_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00(void);
	extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzengine_heapz00 = BUNSPEC;
	static obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	static obj_t BGl_z62dumpzd2heapszb0zzengine_heapz00(obj_t, obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t input_obj(obj_t);
	static obj_t BGl_genericzd2initzd2zzengine_heapz00(void);
	static obj_t BGl_objectzd2initzd2zzengine_heapz00(void);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzengine_heapz00(void);
	extern obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00(void);
	static obj_t BGl_z62zc3z04anonymousza31236ze3ze5zzengine_heapz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31261ze3ze5zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31246ze3ze5zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31272ze3ze5zzengine_heapz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31613ze3ze5zzengine_heapz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT bool_t fexists(char *);
	extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzengine_heapz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzengine_heapz00(void);
	static obj_t BGl_z62zc3z04anonymousza31197ze3ze5zzengine_heapz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	static obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_STRING(BGl_string1731z00zzengine_heapz00,
		BgL_bgl_string1731za700za7za7e1756za7, "dump-heap", 9);
	      DEFINE_STRING(BGl_string1732z00zzengine_heapz00,
		BgL_bgl_string1732za700za7za7e1757za7, "Corrupted heap", 14);
	      DEFINE_STRING(BGl_string1735z00zzengine_heapz00,
		BgL_bgl_string1735za700za7za7e1758za7, "Cannot open heap file ~s", 24);
	      DEFINE_STRING(BGl_string1736z00zzengine_heapz00,
		BgL_bgl_string1736za700za7za7e1759za7, "(heap \"", 7);
	      DEFINE_STRING(BGl_string1737z00zzengine_heapz00,
		BgL_bgl_string1737za700za7za7e1760za7, "\"", 1);
	      DEFINE_STRING(BGl_string1738z00zzengine_heapz00,
		BgL_bgl_string1738za700za7za7e1761za7, " (variables", 11);
	      DEFINE_STRING(BGl_string1739z00zzengine_heapz00,
		BgL_bgl_string1739za700za7za7e1762za7, " )\n", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1733z00zzengine_heapz00,
		BgL_bgl_za762za7c3za704anonymo1763za7,
		BGl_z62zc3z04anonymousza31197ze3ze5zzengine_heapz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1740z00zzengine_heapz00,
		BgL_bgl_string1740za700za7za7e1764za7, " (types", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1734z00zzengine_heapz00,
		BgL_bgl_za762za7c3za704anonymo1765za7,
		BGl_z62zc3z04anonymousza31236ze3ze5zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1741z00zzengine_heapz00,
		BgL_bgl_string1741za700za7za7e1766za7, " )", 2);
	      DEFINE_STRING(BGl_string1742z00zzengine_heapz00,
		BgL_bgl_string1742za700za7za7e1767za7, " (includes", 10);
	      DEFINE_STRING(BGl_string1743z00zzengine_heapz00,
		BgL_bgl_string1743za700za7za7e1768za7, ")\n", 2);
	      DEFINE_STRING(BGl_string1745z00zzengine_heapz00,
		BgL_bgl_string1745za700za7za7e1769za7, "   ", 3);
	      DEFINE_STRING(BGl_string1746z00zzengine_heapz00,
		BgL_bgl_string1746za700za7za7e1770za7, "~s", 2);
	      DEFINE_STRING(BGl_string1747z00zzengine_heapz00,
		BgL_bgl_string1747za700za7za7e1771za7, "", 0);
	      DEFINE_STRING(BGl_string1748z00zzengine_heapz00,
		BgL_bgl_string1748za700za7za7e1772za7, "\n   ", 4);
	      DEFINE_STRING(BGl_string1749z00zzengine_heapz00,
		BgL_bgl_string1749za700za7za7e1773za7, "\n    ", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1744z00zzengine_heapz00,
		BgL_bgl_za762za7c3za704anonymo1774za7,
		BGl_z62zc3z04anonymousza31272ze3ze5zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1751z00zzengine_heapz00,
		BgL_bgl_string1751za700za7za7e1775za7, "engine_heap", 11);
	      DEFINE_STRING(BGl_string1752z00zzengine_heapz00,
		BgL_bgl_string1752za700za7za7e1776za7,
		"type super variable class native function args qualified-type-name inline sifun qualified-type name module id ",
		110);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1750z00zzengine_heapz00,
		BgL_bgl_za762za7c3za704anonymo1777za7,
		BGl_z62zc3z04anonymousza31613ze3ze5zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2heapszd2envz00zzengine_heapz00,
		BgL_bgl_za762dumpza7d2heapsza71778za7,
		BGl_z62dumpzd2heapszb0zzengine_heapz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzengine_heapz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long
		BgL_checksumz00_1727, char *BgL_fromz00_1728)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzengine_heapz00))
				{
					BGl_requirezd2initializa7ationz75zzengine_heapz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzengine_heapz00();
					BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
					BGl_cnstzd2initzd2zzengine_heapz00();
					BGl_importedzd2moduleszd2initz00zzengine_heapz00();
					return BGl_methodzd2initzd2zzengine_heapz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00(void)
	{
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "engine_heap");
			BGl_modulezd2initializa7ationz75zz__binaryz00(0L, "engine_heap");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "engine_heap");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "engine_heap");
			BGl_modulezd2initializa7ationz75zz__hashz00(0L, "engine_heap");
			BGl_modulezd2initializa7ationz75zz__osz00(0L, "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "engine_heap");
			BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"engine_heap");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzengine_heapz00(void)
	{
		{	/* Engine/heap.scm 15 */
			{	/* Engine/heap.scm 15 */
				obj_t BgL_cportz00_1492;

				{	/* Engine/heap.scm 15 */
					obj_t BgL_stringz00_1499;

					BgL_stringz00_1499 = BGl_string1752z00zzengine_heapz00;
					{	/* Engine/heap.scm 15 */
						obj_t BgL_startz00_1500;

						BgL_startz00_1500 = BINT(0L);
						{	/* Engine/heap.scm 15 */
							obj_t BgL_endz00_1501;

							BgL_endz00_1501 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1499)));
							{	/* Engine/heap.scm 15 */

								BgL_cportz00_1492 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1499, BgL_startz00_1500, BgL_endz00_1501);
				}}}}
				{
					long BgL_iz00_1493;

					BgL_iz00_1493 = 13L;
				BgL_loopz00_1494:
					if ((BgL_iz00_1493 == (-1L)))
						{	/* Engine/heap.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Engine/heap.scm 15 */
							{	/* Engine/heap.scm 15 */
								obj_t BgL_arg1755z00_1495;

								{	/* Engine/heap.scm 15 */

									{	/* Engine/heap.scm 15 */
										obj_t BgL_locationz00_1497;

										BgL_locationz00_1497 = BBOOL(((bool_t) 0));
										{	/* Engine/heap.scm 15 */

											BgL_arg1755z00_1495 =
												BGl_readz00zz__readerz00(BgL_cportz00_1492,
												BgL_locationz00_1497);
										}
									}
								}
								{	/* Engine/heap.scm 15 */
									int BgL_tmpz00_1760;

									BgL_tmpz00_1760 = (int) (BgL_iz00_1493);
									CNST_TABLE_SET(BgL_tmpz00_1760, BgL_arg1755z00_1495);
							}}
							{	/* Engine/heap.scm 15 */
								int BgL_auxz00_1498;

								BgL_auxz00_1498 = (int) ((BgL_iz00_1493 - 1L));
								{
									long BgL_iz00_1765;

									BgL_iz00_1765 = (long) (BgL_auxz00_1498);
									BgL_iz00_1493 = BgL_iz00_1765;
									goto BgL_loopz00_1494;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzengine_heapz00(void)
	{
		{	/* Engine/heap.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* dump-heaps */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t
		BgL_namesz00_3)
	{
		{	/* Engine/heap.scm 33 */
			BGl_setzd2backendz12zc0zzbackend_backendz00
				(BGl_za2targetzd2languageza2zd2zzengine_paramz00);
			BGl_initializa7ezd2Genvz12z67zzast_envz00();
			BGl_initializa7ezd2Tenvz12z67zztype_envz00();
			{
				obj_t BgL_l1127z00_786;

				{	/* Engine/heap.scm 40 */
					bool_t BgL_tmpz00_1771;

					BgL_l1127z00_786 = BgL_namesz00_3;
				BgL_zc3z04anonymousza31174ze3z87_787:
					if (PAIRP(BgL_l1127z00_786))
						{	/* Engine/heap.scm 40 */
							BGl_dumpzd2heapzd2zzengine_heapz00(CAR(BgL_l1127z00_786));
							{
								obj_t BgL_l1127z00_1776;

								BgL_l1127z00_1776 = CDR(BgL_l1127z00_786);
								BgL_l1127z00_786 = BgL_l1127z00_1776;
								goto BgL_zc3z04anonymousza31174ze3z87_787;
							}
						}
					else
						{	/* Engine/heap.scm 40 */
							BgL_tmpz00_1771 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_1771);
				}
			}
		}

	}



/* &dump-heaps */
	obj_t BGl_z62dumpzd2heapszb0zzengine_heapz00(obj_t BgL_envz00_1465,
		obj_t BgL_namesz00_1466)
	{
		{	/* Engine/heap.scm 33 */
			return BGl_dumpzd2heapszd2zzengine_heapz00(BgL_namesz00_1466);
		}

	}



/* dump-heap */
	obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t BgL_heapz00_4)
	{
		{	/* Engine/heap.scm 45 */
			{	/* Engine/heap.scm 46 */
				obj_t BgL_fnamez00_792;

				if (fexists(BSTRING_TO_STRING(BgL_heapz00_4)))
					{	/* Engine/heap.scm 46 */
						BgL_fnamez00_792 = BgL_heapz00_4;
					}
				else
					{	/* Engine/heap.scm 46 */
						BgL_fnamez00_792 =
							BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_4,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
					}
				if (STRINGP(BgL_fnamez00_792))
					{	/* Engine/heap.scm 50 */
						obj_t BgL_portz00_794;

						BgL_portz00_794 =
							BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
							(BgL_fnamez00_792);
						if (BINARY_PORTP(BgL_portz00_794))
							{	/* Engine/heap.scm 55 */
								obj_t BgL_exitd1065z00_796;

								BgL_exitd1065z00_796 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Engine/heap.scm 115 */
									obj_t BgL_zc3z04anonymousza31261ze3z87_1470;

									BgL_zc3z04anonymousza31261ze3z87_1470 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31261ze3ze5zzengine_heapz00,
										(int) (0L), (int) (1L));
									PROCEDURE_SET(BgL_zc3z04anonymousza31261ze3z87_1470,
										(int) (0L), BgL_portz00_794);
									{	/* Engine/heap.scm 55 */
										obj_t BgL_arg1881z00_1138;

										{	/* Engine/heap.scm 55 */
											obj_t BgL_arg1883z00_1139;

											BgL_arg1883z00_1139 =
												BGL_EXITD_PROTECT(BgL_exitd1065z00_796);
											BgL_arg1881z00_1138 =
												MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31261ze3z87_1470,
												BgL_arg1883z00_1139);
										}
										BGL_EXITD_PROTECT_SET(BgL_exitd1065z00_796,
											BgL_arg1881z00_1138);
										BUNSPEC;
									}
									{	/* Engine/heap.scm 56 */
										obj_t BgL_tmp1067z00_798;

										{	/* Engine/heap.scm 56 */
											obj_t BgL_envsz00_799;

											BgL_envsz00_799 = input_obj(BgL_portz00_794);
											{	/* Engine/heap.scm 56 */
												obj_t BgL__z00_800;

												{	/* Engine/heap.scm 57 */
													bool_t BgL_test1787z00_1799;

													{	/* Engine/heap.scm 57 */
														obj_t BgL_v1129z00_865;

														BgL_v1129z00_865 = create_vector(1L);
														VECTOR_SET(BgL_v1129z00_865, 0L, BgL_envsz00_799);
														((bool_t) 1);
													}
													{	/* Engine/heap.scm 58 */
														bool_t BgL__ortest_1079z00_862;

														BgL__ortest_1079z00_862 =
															(VECTOR_LENGTH(((obj_t) BgL_envsz00_799)) == 5L);
														if (BgL__ortest_1079z00_862)
															{	/* Engine/heap.scm 58 */
																BgL_test1787z00_1799 = BgL__ortest_1079z00_862;
															}
														else
															{	/* Engine/heap.scm 58 */
																BgL_test1787z00_1799 =
																	(VECTOR_LENGTH(
																		((obj_t) BgL_envsz00_799)) == 7L);
															}
													}
													if (BgL_test1787z00_1799)
														{	/* Engine/heap.scm 57 */
															BgL__z00_800 = BFALSE;
														}
													else
														{	/* Engine/heap.scm 57 */
															BgL__z00_800 =
																BGl_errorz00zz__errorz00
																(BGl_string1731z00zzengine_heapz00,
																BGl_string1732z00zzengine_heapz00,
																BgL_heapz00_4);
														}
												}
												{	/* Engine/heap.scm 57 */
													obj_t BgL_targetz00_801;

													BgL_targetz00_801 =
														VECTOR_REF(((obj_t) BgL_envsz00_799), 0L);
													{	/* Engine/heap.scm 61 */
														obj_t BgL_versionz00_802;

														BgL_versionz00_802 =
															VECTOR_REF(((obj_t) BgL_envsz00_799), 1L);
														{	/* Engine/heap.scm 62 */
															obj_t BgL_specificz00_803;

															BgL_specificz00_803 =
																VECTOR_REF(((obj_t) BgL_envsz00_799), 2L);
															{	/* Engine/heap.scm 63 */
																obj_t BgL_genvz00_804;

																BgL_genvz00_804 =
																	VECTOR_REF(((obj_t) BgL_envsz00_799), 3L);
																{	/* Engine/heap.scm 64 */
																	obj_t BgL_tenvz00_805;

																	BgL_tenvz00_805 =
																		VECTOR_REF(((obj_t) BgL_envsz00_799), 4L);
																	{	/* Engine/heap.scm 65 */
																		obj_t BgL_includesz00_806;

																		if (
																			(VECTOR_LENGTH(
																					((obj_t) BgL_envsz00_799)) == 6L))
																			{	/* Engine/heap.scm 66 */
																				BgL_includesz00_806 =
																					VECTOR_REF(
																					((obj_t) BgL_envsz00_799), 5L);
																			}
																		else
																			{	/* Engine/heap.scm 66 */
																				BgL_includesz00_806 = BNIL;
																			}
																		{	/* Engine/heap.scm 66 */

																			if (
																				(VECTOR_LENGTH(
																						((obj_t) BgL_envsz00_799)) == 6L))
																				{	/* Engine/heap.scm 78 */
																					BGl_addzd2genvz12zc0zzast_envz00
																						(BgL_genvz00_804);
																				}
																			else
																				{	/* Engine/heap.scm 78 */
																					BGl_setzd2tenvz12zc0zztype_envz00
																						(BgL_tenvz00_805);
																					BGl_setzd2genvz12zc0zzast_envz00
																						(BgL_genvz00_804);
																				}
																			{	/* Engine/heap.scm 87 */
																				bool_t BgL_test1792z00_1833;

																				{	/* Engine/heap.scm 87 */
																					obj_t BgL_arg1226z00_821;

																					BgL_arg1226z00_821 =
																						BGl_thezd2backendzd2zzbackend_backendz00
																						();
																					BgL_test1792z00_1833 =
																						(((BgL_backendz00_bglt)
																							COBJECT(((BgL_backendz00_bglt)
																									BgL_arg1226z00_821)))->
																						BgL_qualifiedzd2typeszd2);
																				}
																				if (BgL_test1792z00_1833)
																					{	/* Engine/heap.scm 87 */
																						BGl_forzd2eachzd2globalz12z12zzast_envz00
																							(BGl_proc1733z00zzengine_heapz00,
																							BNIL);
																					}
																				else
																					{	/* Engine/heap.scm 87 */
																						BFALSE;
																					}
																			}
																			BGl_hashtablezd2forzd2eachz00zz__hashz00
																				(BgL_genvz00_804,
																				BGl_proc1734z00zzengine_heapz00);
																			{	/* Engine/heap.scm 101 */
																				obj_t BgL_arg1244z00_837;

																				{	/* Engine/heap.scm 101 */
																					obj_t BgL_tmpz00_1839;

																					BgL_tmpz00_1839 =
																						BGL_CURRENT_DYNAMIC_ENV();
																					BgL_arg1244z00_837 =
																						BGL_ENV_CURRENT_ERROR_PORT
																						(BgL_tmpz00_1839);
																				}
																				{	/* Engine/heap.scm 103 */
																					obj_t
																						BgL_zc3z04anonymousza31246ze3z87_1467;
																					BgL_zc3z04anonymousza31246ze3z87_1467
																						=
																						MAKE_FX_PROCEDURE
																						(BGl_z62zc3z04anonymousza31246ze3ze5zzengine_heapz00,
																						(int) (0L), (int) (4L));
																					PROCEDURE_SET
																						(BgL_zc3z04anonymousza31246ze3z87_1467,
																						(int) (0L), BgL_heapz00_4);
																					PROCEDURE_SET
																						(BgL_zc3z04anonymousza31246ze3z87_1467,
																						(int) (1L), BgL_genvz00_804);
																					PROCEDURE_SET
																						(BgL_zc3z04anonymousza31246ze3z87_1467,
																						(int) (2L), BgL_tenvz00_805);
																					PROCEDURE_SET
																						(BgL_zc3z04anonymousza31246ze3z87_1467,
																						(int) (3L), BgL_includesz00_806);
																					BgL_tmp1067z00_798 =
																						BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
																						(BgL_arg1244z00_837,
																						BgL_zc3z04anonymousza31246ze3z87_1467);
										}}}}}}}}}}}
										{	/* Engine/heap.scm 55 */
											bool_t BgL_test1793z00_1854;

											{	/* Engine/heap.scm 55 */
												obj_t BgL_arg1880z00_1201;

												BgL_arg1880z00_1201 =
													BGL_EXITD_PROTECT(BgL_exitd1065z00_796);
												BgL_test1793z00_1854 = PAIRP(BgL_arg1880z00_1201);
											}
											if (BgL_test1793z00_1854)
												{	/* Engine/heap.scm 55 */
													obj_t BgL_arg1877z00_1202;

													{	/* Engine/heap.scm 55 */
														obj_t BgL_arg1879z00_1203;

														BgL_arg1879z00_1203 =
															BGL_EXITD_PROTECT(BgL_exitd1065z00_796);
														BgL_arg1877z00_1202 =
															CDR(((obj_t) BgL_arg1879z00_1203));
													}
													BGL_EXITD_PROTECT_SET(BgL_exitd1065z00_796,
														BgL_arg1877z00_1202);
													BUNSPEC;
												}
											else
												{	/* Engine/heap.scm 55 */
													BFALSE;
												}
										}
										close_binary_port(BgL_portz00_794);
										return BgL_tmp1067z00_798;
									}
								}
							}
						else
							{	/* Engine/heap.scm 53 */
								obj_t BgL_arg1262z00_868;

								{	/* Engine/heap.scm 53 */
									obj_t BgL_list1263z00_869;

									BgL_list1263z00_869 = MAKE_YOUNG_PAIR(BgL_fnamez00_792, BNIL);
									BgL_arg1262z00_868 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string1735z00zzengine_heapz00, BgL_list1263z00_869);
								}
								return
									BGl_errorz00zz__errorz00(BGl_string1731z00zzengine_heapz00,
									BgL_arg1262z00_868, BGl_za2libzd2dirza2zd2zzengine_paramz00);
							}
					}
				else
					{	/* Engine/heap.scm 116 */
						obj_t BgL_mz00_870;

						{	/* Engine/heap.scm 116 */
							obj_t BgL_list1265z00_871;

							BgL_list1265z00_871 = MAKE_YOUNG_PAIR(BgL_heapz00_4, BNIL);
							BgL_mz00_870 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string1735z00zzengine_heapz00, BgL_list1265z00_871);
						}
						BGl_errorz00zz__errorz00(BGl_string1731z00zzengine_heapz00,
							BgL_mz00_870, BGl_za2libzd2dirza2zd2zzengine_paramz00);
						return BFALSE;
					}
			}
		}

	}



/* &<@anonymous:1246> */
	obj_t BGl_z62zc3z04anonymousza31246ze3ze5zzengine_heapz00(obj_t
		BgL_envz00_1471)
	{
		{	/* Engine/heap.scm 102 */
			{	/* Engine/heap.scm 103 */
				obj_t BgL_heapz00_1472;
				obj_t BgL_genvz00_1473;
				obj_t BgL_tenvz00_1474;
				obj_t BgL_includesz00_1475;

				BgL_heapz00_1472 = PROCEDURE_REF(BgL_envz00_1471, (int) (0L));
				BgL_genvz00_1473 = PROCEDURE_REF(BgL_envz00_1471, (int) (1L));
				BgL_tenvz00_1474 = PROCEDURE_REF(BgL_envz00_1471, (int) (2L));
				BgL_includesz00_1475 = PROCEDURE_REF(BgL_envz00_1471, (int) (3L));
				{	/* Engine/heap.scm 103 */
					obj_t BgL_port1133z00_1503;

					{	/* Engine/heap.scm 103 */
						obj_t BgL_tmpz00_1876;

						BgL_tmpz00_1876 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_port1133z00_1503 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1876);
					}
					bgl_display_string(BGl_string1736z00zzengine_heapz00,
						BgL_port1133z00_1503);
					bgl_display_obj(BgL_heapz00_1472, BgL_port1133z00_1503);
					bgl_display_string(BGl_string1737z00zzengine_heapz00,
						BgL_port1133z00_1503);
					bgl_display_char(((unsigned char) 10), BgL_port1133z00_1503);
				}
				{	/* Engine/heap.scm 104 */
					obj_t BgL_port1134z00_1504;

					{	/* Engine/heap.scm 104 */
						obj_t BgL_tmpz00_1883;

						BgL_tmpz00_1883 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_port1134z00_1504 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1883);
					}
					bgl_display_string(BGl_string1738z00zzengine_heapz00,
						BgL_port1134z00_1504);
					bgl_display_char(((unsigned char) 10), BgL_port1134z00_1504);
				}
				BGl_dumpzd2Genvzd2zzengine_heapz00(BgL_genvz00_1473);
				{	/* Engine/heap.scm 106 */
					obj_t BgL_port1135z00_1505;

					{	/* Engine/heap.scm 106 */
						obj_t BgL_tmpz00_1889;

						BgL_tmpz00_1889 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_port1135z00_1505 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1889);
					}
					bgl_display_string(BGl_string1739z00zzengine_heapz00,
						BgL_port1135z00_1505);
					bgl_display_char(((unsigned char) 10), BgL_port1135z00_1505);
				}
				{	/* Engine/heap.scm 107 */
					obj_t BgL_port1136z00_1506;

					{	/* Engine/heap.scm 107 */
						obj_t BgL_tmpz00_1894;

						BgL_tmpz00_1894 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_port1136z00_1506 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1894);
					}
					bgl_display_string(BGl_string1740z00zzengine_heapz00,
						BgL_port1136z00_1506);
					bgl_display_char(((unsigned char) 10), BgL_port1136z00_1506);
				}
				BGl_dumpzd2Tenvzd2zzengine_heapz00(BgL_tenvz00_1474);
				{	/* Engine/heap.scm 109 */
					obj_t BgL_port1137z00_1507;

					{	/* Engine/heap.scm 109 */
						obj_t BgL_tmpz00_1900;

						BgL_tmpz00_1900 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_port1137z00_1507 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1900);
					}
					bgl_display_string(BGl_string1741z00zzengine_heapz00,
						BgL_port1137z00_1507);
					bgl_display_char(((unsigned char) 10), BgL_port1137z00_1507);
				}
				if (PAIRP(BgL_includesz00_1475))
					{	/* Engine/heap.scm 110 */
						{	/* Engine/heap.scm 111 */
							obj_t BgL_port1138z00_1508;

							{	/* Engine/heap.scm 111 */
								obj_t BgL_tmpz00_1907;

								BgL_tmpz00_1907 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_port1138z00_1508 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1907);
							}
							bgl_display_string(BGl_string1742z00zzengine_heapz00,
								BgL_port1138z00_1508);
							bgl_display_char(((unsigned char) 10), BgL_port1138z00_1508);
						}
						{	/* Engine/heap.scm 112 */
							obj_t BgL_port1139z00_1509;

							{	/* Engine/heap.scm 112 */
								obj_t BgL_tmpz00_1912;

								BgL_tmpz00_1912 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_port1139z00_1509 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1912);
							}
							bgl_display_obj(BgL_includesz00_1475, BgL_port1139z00_1509);
							bgl_display_char(((unsigned char) 10), BgL_port1139z00_1509);
						}
						{	/* Engine/heap.scm 113 */
							obj_t BgL_port1140z00_1510;

							{	/* Engine/heap.scm 113 */
								obj_t BgL_tmpz00_1917;

								BgL_tmpz00_1917 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_port1140z00_1510 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1917);
							}
							bgl_display_string(BGl_string1741z00zzengine_heapz00,
								BgL_port1140z00_1510);
							bgl_display_char(((unsigned char) 10), BgL_port1140z00_1510);
					}}
				else
					{	/* Engine/heap.scm 110 */
						BFALSE;
					}
				{	/* Engine/heap.scm 114 */
					obj_t BgL_port1141z00_1511;

					{	/* Engine/heap.scm 114 */
						obj_t BgL_tmpz00_1922;

						BgL_tmpz00_1922 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_port1141z00_1511 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_1922);
					}
					bgl_display_string(BGl_string1743z00zzengine_heapz00,
						BgL_port1141z00_1511);
					return bgl_display_char(((unsigned char) 10), BgL_port1141z00_1511);
		}}}

	}



/* &<@anonymous:1236> */
	obj_t BGl_z62zc3z04anonymousza31236ze3ze5zzengine_heapz00(obj_t
		BgL_envz00_1476, obj_t BgL_kz00_1477, obj_t BgL_bucketz00_1478)
	{
		{	/* Engine/heap.scm 97 */
			{	/* Engine/heap.scm 98 */
				bool_t BgL_tmpz00_1927;

				{	/* Engine/heap.scm 98 */
					obj_t BgL_g1132z00_1512;

					BgL_g1132z00_1512 = CDR(((obj_t) BgL_bucketz00_1478));
					{
						obj_t BgL_l1130z00_1514;

						BgL_l1130z00_1514 = BgL_g1132z00_1512;
					BgL_zc3z04anonymousza31237ze3z87_1513:
						if (PAIRP(BgL_l1130z00_1514))
							{	/* Engine/heap.scm 100 */
								{	/* Engine/heap.scm 99 */
									obj_t BgL_newz00_1515;

									BgL_newz00_1515 = CAR(BgL_l1130z00_1514);
									{	/* Engine/heap.scm 99 */
										obj_t BgL_arg1240z00_1516;

										BgL_arg1240z00_1516 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_newz00_1515)))->
											BgL_modulez00);
										{	/* Engine/heap.scm 99 */
											obj_t BgL_list1241z00_1517;

											BgL_list1241z00_1517 =
												MAKE_YOUNG_PAIR(BgL_arg1240z00_1516, BNIL);
											BGl_heapzd2modulezd2listz00zzheap_restorez00
												(BgL_list1241z00_1517);
										}
									}
								}
								{
									obj_t BgL_l1130z00_1937;

									BgL_l1130z00_1937 = CDR(BgL_l1130z00_1514);
									BgL_l1130z00_1514 = BgL_l1130z00_1937;
									goto BgL_zc3z04anonymousza31237ze3z87_1513;
								}
							}
						else
							{	/* Engine/heap.scm 100 */
								BgL_tmpz00_1927 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_1927);
			}
		}

	}



/* &<@anonymous:1197> */
	obj_t BGl_z62zc3z04anonymousza31197ze3ze5zzengine_heapz00(obj_t
		BgL_envz00_1479, obj_t BgL_newz00_1480)
	{
		{	/* Engine/heap.scm 89 */
			{	/* Engine/heap.scm 91 */
				obj_t BgL_arg1207z00_1518;
				obj_t BgL_arg1208z00_1519;
				obj_t BgL_arg1212z00_1520;

				BgL_arg1207z00_1518 =
					(((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_newz00_1480)))->BgL_modulez00);
				BgL_arg1208z00_1519 =
					(((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_newz00_1480)))->
					BgL_qualifiedzd2typezd2namez00);
				BgL_arg1212z00_1520 = BGl_shapez00zztools_shapez00(BgL_newz00_1480);
				{	/* Engine/heap.scm 90 */
					obj_t BgL_list1213z00_1521;

					BgL_list1213z00_1521 = MAKE_YOUNG_PAIR(BgL_arg1212z00_1520, BNIL);
					return
						BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg1207z00_1518,
						BgL_arg1208z00_1519, BgL_list1213z00_1521);
				}
			}
		}

	}



/* &<@anonymous:1261> */
	obj_t BGl_z62zc3z04anonymousza31261ze3ze5zzengine_heapz00(obj_t
		BgL_envz00_1481)
	{
		{	/* Engine/heap.scm 55 */
			{	/* Engine/heap.scm 115 */
				obj_t BgL_portz00_1482;

				BgL_portz00_1482 = PROCEDURE_REF(BgL_envz00_1481, (int) (0L));
				return close_binary_port(((obj_t) BgL_portz00_1482));
			}
		}

	}



/* dump-Genv */
	obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t BgL_genvz00_5)
	{
		{	/* Engine/heap.scm 123 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_5,
				BGl_proc1744z00zzengine_heapz00);
		}

	}



/* &<@anonymous:1272> */
	obj_t BGl_z62zc3z04anonymousza31272ze3ze5zzengine_heapz00(obj_t
		BgL_envz00_1484, obj_t BgL_kz00_1485, obj_t BgL_bucketz00_1486)
	{
		{	/* Engine/heap.scm 178 */
			{	/* Engine/heap.scm 178 */
				bool_t BgL_tmpz00_1952;

				{
					obj_t BgL_newz00_1523;

					{	/* Engine/heap.scm 178 */
						obj_t BgL_g1159z00_1679;

						BgL_g1159z00_1679 = CDR(((obj_t) BgL_bucketz00_1486));
						{
							obj_t BgL_l1157z00_1681;

							BgL_l1157z00_1681 = BgL_g1159z00_1679;
						BgL_zc3z04anonymousza31273ze3z87_1680:
							if (PAIRP(BgL_l1157z00_1681))
								{	/* Engine/heap.scm 178 */
									BgL_newz00_1523 = CAR(BgL_l1157z00_1681);
									{	/* Engine/heap.scm 125 */
										obj_t BgL_modulez00_1524;

										BgL_modulez00_1524 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_newz00_1523)))->
											BgL_modulez00);
										{	/* Engine/heap.scm 125 */
											obj_t BgL_idz00_1525;

											BgL_idz00_1525 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_newz00_1523))))->
												BgL_idz00);
											{	/* Engine/heap.scm 126 */
												obj_t BgL_qtz00_1526;

												BgL_qtz00_1526 =
													BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
													(BgL_modulez00_1524);
												{	/* Engine/heap.scm 127 */
													obj_t BgL_jtz00_1527;

													BgL_jtz00_1527 =
														(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_newz00_1523)))->
														BgL_qualifiedzd2typezd2namez00);
													{	/* Engine/heap.scm 128 */
														BgL_valuez00_bglt BgL_valz00_1528;

														BgL_valz00_1528 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_newz00_1523))))->
															BgL_valuez00);
														{	/* Engine/heap.scm 129 */

															{	/* Engine/heap.scm 131 */
																bool_t BgL_test1798z00_1968;

																{	/* Engine/heap.scm 131 */
																	obj_t BgL_classz00_1529;

																	BgL_classz00_1529 = BGl_sfunz00zzast_varz00;
																	{	/* Engine/heap.scm 131 */
																		BgL_objectz00_bglt BgL_arg1858z00_1530;

																		{	/* Engine/heap.scm 131 */
																			obj_t BgL_tmpz00_1969;

																			BgL_tmpz00_1969 =
																				((obj_t)
																				((BgL_objectz00_bglt) BgL_valz00_1528));
																			BgL_arg1858z00_1530 =
																				(BgL_objectz00_bglt) (BgL_tmpz00_1969);
																		}
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Engine/heap.scm 131 */
																				long BgL_idxz00_1531;

																				BgL_idxz00_1531 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_1530);
																				BgL_test1798z00_1968 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_1531 + 3L)) ==
																					BgL_classz00_1529);
																			}
																		else
																			{	/* Engine/heap.scm 131 */
																				bool_t BgL_res1725z00_1534;

																				{	/* Engine/heap.scm 131 */
																					obj_t BgL_oclassz00_1535;

																					{	/* Engine/heap.scm 131 */
																						obj_t BgL_arg1866z00_1536;
																						long BgL_arg1867z00_1537;

																						BgL_arg1866z00_1536 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Engine/heap.scm 131 */
																							long BgL_arg1869z00_1538;

																							BgL_arg1869z00_1538 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_1530);
																							BgL_arg1867z00_1537 =
																								(BgL_arg1869z00_1538 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_1535 =
																							VECTOR_REF(BgL_arg1866z00_1536,
																							BgL_arg1867z00_1537);
																					}
																					{	/* Engine/heap.scm 131 */
																						bool_t BgL__ortest_1115z00_1539;

																						BgL__ortest_1115z00_1539 =
																							(BgL_classz00_1529 ==
																							BgL_oclassz00_1535);
																						if (BgL__ortest_1115z00_1539)
																							{	/* Engine/heap.scm 131 */
																								BgL_res1725z00_1534 =
																									BgL__ortest_1115z00_1539;
																							}
																						else
																							{	/* Engine/heap.scm 131 */
																								long BgL_odepthz00_1540;

																								{	/* Engine/heap.scm 131 */
																									obj_t BgL_arg1855z00_1541;

																									BgL_arg1855z00_1541 =
																										(BgL_oclassz00_1535);
																									BgL_odepthz00_1540 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_1541);
																								}
																								if ((3L < BgL_odepthz00_1540))
																									{	/* Engine/heap.scm 131 */
																										obj_t BgL_arg1853z00_1542;

																										{	/* Engine/heap.scm 131 */
																											obj_t BgL_arg1854z00_1543;

																											BgL_arg1854z00_1543 =
																												(BgL_oclassz00_1535);
																											BgL_arg1853z00_1542 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_1543,
																												3L);
																										}
																										BgL_res1725z00_1534 =
																											(BgL_arg1853z00_1542 ==
																											BgL_classz00_1529);
																									}
																								else
																									{	/* Engine/heap.scm 131 */
																										BgL_res1725z00_1534 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test1798z00_1968 =
																					BgL_res1725z00_1534;
																			}
																	}
																}
																if (BgL_test1798z00_1968)
																	{	/* Engine/heap.scm 132 */
																		obj_t BgL_port1148z00_1544;

																		{	/* Engine/heap.scm 132 */
																			obj_t BgL_tmpz00_1992;

																			BgL_tmpz00_1992 =
																				BGL_CURRENT_DYNAMIC_ENV();
																			BgL_port1148z00_1544 =
																				BGL_ENV_CURRENT_OUTPUT_PORT
																				(BgL_tmpz00_1992);
																		}
																		bgl_display_string
																			(BGl_string1745z00zzengine_heapz00,
																			BgL_port1148z00_1544);
																		{	/* Engine/heap.scm 133 */
																			obj_t BgL_arg1279z00_1545;

																			{	/* Engine/heap.scm 133 */
																				obj_t BgL_arg1280z00_1546;

																				{	/* Engine/heap.scm 133 */
																					obj_t BgL_arg1281z00_1547;
																					obj_t BgL_arg1282z00_1548;

																					BgL_arg1281z00_1547 =
																						BGl_shapez00zztools_shapez00
																						(BgL_newz00_1523);
																					{	/* Engine/heap.scm 135 */
																						obj_t BgL_arg1284z00_1549;

																						{	/* Engine/heap.scm 135 */
																							obj_t BgL_arg1285z00_1550;
																							obj_t BgL_arg1287z00_1551;

																							{	/* Engine/heap.scm 135 */
																								obj_t BgL_arg1288z00_1552;

																								BgL_arg1288z00_1552 =
																									MAKE_YOUNG_PAIR
																									(BgL_idz00_1525, BNIL);
																								BgL_arg1285z00_1550 =
																									MAKE_YOUNG_PAIR(((obj_t)
																										CNST_TABLE_REF(0)),
																									BgL_arg1288z00_1552);
																							}
																							{	/* Engine/heap.scm 137 */
																								obj_t BgL_arg1289z00_1553;

																								{	/* Engine/heap.scm 137 */
																									obj_t BgL_arg1291z00_1554;
																									obj_t BgL_arg1292z00_1555;

																									{	/* Engine/heap.scm 137 */
																										obj_t BgL_arg1293z00_1556;

																										BgL_arg1293z00_1556 =
																											MAKE_YOUNG_PAIR
																											(BgL_modulez00_1524,
																											BNIL);
																										BgL_arg1291z00_1554 =
																											MAKE_YOUNG_PAIR(((obj_t)
																												CNST_TABLE_REF(1)),
																											BgL_arg1293z00_1556);
																									}
																									{	/* Engine/heap.scm 139 */
																										obj_t BgL_arg1294z00_1557;

																										{	/* Engine/heap.scm 139 */
																											obj_t BgL_arg1295z00_1558;
																											obj_t BgL_arg1296z00_1559;

																											{	/* Engine/heap.scm 139 */
																												obj_t
																													BgL_arg1297z00_1560;
																												{	/* Engine/heap.scm 139 */
																													obj_t
																														BgL_arg1298z00_1561;
																													{	/* Engine/heap.scm 139 */
																														obj_t
																															BgL_arg1299z00_1562;
																														BgL_arg1299z00_1562
																															=
																															(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_newz00_1523))))->BgL_namez00);
																														{	/* Engine/heap.scm 139 */
																															obj_t
																																BgL_list1300z00_1563;
																															BgL_list1300z00_1563
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1299z00_1562,
																																BNIL);
																															BgL_arg1298z00_1561
																																=
																																BGl_formatz00zz__r4_output_6_10_3z00
																																(BGl_string1746z00zzengine_heapz00,
																																BgL_list1300z00_1563);
																														}
																													}
																													BgL_arg1297z00_1560 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1298z00_1561,
																														BNIL);
																												}
																												BgL_arg1295z00_1558 =
																													MAKE_YOUNG_PAIR(
																													((obj_t)
																														CNST_TABLE_REF(2)),
																													BgL_arg1297z00_1560);
																											}
																											{	/* Engine/heap.scm 141 */
																												obj_t
																													BgL_arg1301z00_1564;
																												{	/* Engine/heap.scm 141 */
																													obj_t
																														BgL_arg1302z00_1565;
																													obj_t
																														BgL_arg1303z00_1566;
																													{	/* Engine/heap.scm 141 */
																														obj_t
																															BgL_arg1304z00_1567;
																														BgL_arg1304z00_1567
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_qtz00_1526,
																															BNIL);
																														BgL_arg1302z00_1565
																															=
																															MAKE_YOUNG_PAIR((
																																(obj_t)
																																CNST_TABLE_REF
																																(3)),
																															BgL_arg1304z00_1567);
																													}
																													{	/* Engine/heap.scm 142 */
																														obj_t
																															BgL_arg1305z00_1568;
																														obj_t
																															BgL_arg1309z00_1569;
																														if (((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) BgL_valz00_1528)))->BgL_classz00) == ((obj_t) CNST_TABLE_REF(4))))
																															{	/* Engine/heap.scm 143 */
																																obj_t
																																	BgL_arg1313z00_1570;
																																{	/* Engine/heap.scm 143 */
																																	obj_t
																																		BgL_arg1314z00_1571;
																																	{	/* Engine/heap.scm 143 */
																																		obj_t
																																			BgL_arg1315z00_1572;
																																		BgL_arg1315z00_1572
																																			=
																																			(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) BgL_valz00_1528)))->BgL_bodyz00);
																																		BgL_arg1314z00_1571
																																			=
																																			BGl_shapez00zztools_shapez00
																																			(BgL_arg1315z00_1572);
																																	}
																																	BgL_arg1313z00_1570
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1314z00_1571,
																																		BNIL);
																																}
																																BgL_arg1305z00_1568
																																	=
																																	MAKE_YOUNG_PAIR
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(5)),
																																	BgL_arg1313z00_1570);
																															}
																														else
																															{	/* Engine/heap.scm 142 */
																																BgL_arg1305z00_1568
																																	=
																																	BGl_string1747z00zzengine_heapz00;
																															}
																														{	/* Engine/heap.scm 146 */
																															obj_t
																																BgL_arg1317z00_1573;
																															{	/* Engine/heap.scm 146 */
																																obj_t
																																	BgL_arg1318z00_1574;
																																obj_t
																																	BgL_arg1319z00_1575;
																																{	/* Engine/heap.scm 146 */
																																	obj_t
																																		BgL_arg1320z00_1576;
																																	BgL_arg1320z00_1576
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_jtz00_1527,
																																		BNIL);
																																	BgL_arg1318z00_1574
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(6)),
																																		BgL_arg1320z00_1576);
																																}
																																{	/* Engine/heap.scm 147 */
																																	obj_t
																																		BgL_arg1321z00_1577;
																																	{	/* Engine/heap.scm 147 */
																																		obj_t
																																			BgL_arg1322z00_1578;
																																		{	/* Engine/heap.scm 147 */
																																			obj_t
																																				BgL_arg1326z00_1579;
																																			{	/* Engine/heap.scm 147 */
																																				obj_t
																																					BgL_arg1327z00_1580;
																																				{	/* Engine/heap.scm 147 */
																																					obj_t
																																						BgL_l1142z00_1581;
																																					BgL_l1142z00_1581
																																						=
																																						(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) BgL_valz00_1528)))->BgL_argsz00);
																																					if (NULLP(BgL_l1142z00_1581))
																																						{	/* Engine/heap.scm 147 */
																																							BgL_arg1327z00_1580
																																								=
																																								BNIL;
																																						}
																																					else
																																						{	/* Engine/heap.scm 147 */
																																							obj_t
																																								BgL_head1144z00_1582;
																																							{	/* Engine/heap.scm 147 */
																																								obj_t
																																									BgL_arg1336z00_1583;
																																								{	/* Engine/heap.scm 147 */
																																									obj_t
																																										BgL_arg1338z00_1584;
																																									BgL_arg1338z00_1584
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_l1142z00_1581));
																																									BgL_arg1336z00_1583
																																										=
																																										BGl_shapez00zztools_shapez00
																																										(BgL_arg1338z00_1584);
																																								}
																																								BgL_head1144z00_1582
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg1336z00_1583,
																																									BNIL);
																																							}
																																							{	/* Engine/heap.scm 147 */
																																								obj_t
																																									BgL_g1147z00_1585;
																																								BgL_g1147z00_1585
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_l1142z00_1581));
																																								{
																																									obj_t
																																										BgL_l1142z00_1587;
																																									obj_t
																																										BgL_tail1145z00_1588;
																																									BgL_l1142z00_1587
																																										=
																																										BgL_g1147z00_1585;
																																									BgL_tail1145z00_1588
																																										=
																																										BgL_head1144z00_1582;
																																								BgL_zc3z04anonymousza31329ze3z87_1586:
																																									if (NULLP(BgL_l1142z00_1587))
																																										{	/* Engine/heap.scm 147 */
																																											BgL_arg1327z00_1580
																																												=
																																												BgL_head1144z00_1582;
																																										}
																																									else
																																										{	/* Engine/heap.scm 147 */
																																											obj_t
																																												BgL_newtail1146z00_1589;
																																											{	/* Engine/heap.scm 147 */
																																												obj_t
																																													BgL_arg1332z00_1590;
																																												{	/* Engine/heap.scm 147 */
																																													obj_t
																																														BgL_arg1333z00_1591;
																																													BgL_arg1333z00_1591
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_l1142z00_1587));
																																													BgL_arg1332z00_1590
																																														=
																																														BGl_shapez00zztools_shapez00
																																														(BgL_arg1333z00_1591);
																																												}
																																												BgL_newtail1146z00_1589
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BgL_arg1332z00_1590,
																																													BNIL);
																																											}
																																											SET_CDR
																																												(BgL_tail1145z00_1588,
																																												BgL_newtail1146z00_1589);
																																											{	/* Engine/heap.scm 147 */
																																												obj_t
																																													BgL_arg1331z00_1592;
																																												BgL_arg1331z00_1592
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_l1142z00_1587));
																																												{
																																													obj_t
																																														BgL_tail1145z00_2055;
																																													obj_t
																																														BgL_l1142z00_2054;
																																													BgL_l1142z00_2054
																																														=
																																														BgL_arg1331z00_1592;
																																													BgL_tail1145z00_2055
																																														=
																																														BgL_newtail1146z00_1589;
																																													BgL_tail1145z00_1588
																																														=
																																														BgL_tail1145z00_2055;
																																													BgL_l1142z00_1587
																																														=
																																														BgL_l1142z00_2054;
																																													goto
																																														BgL_zc3z04anonymousza31329ze3z87_1586;
																																												}
																																											}
																																										}
																																								}
																																							}
																																						}
																																				}
																																				BgL_arg1326z00_1579
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg1327z00_1580,
																																					BNIL);
																																			}
																																			BgL_arg1322z00_1578
																																				=
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) CNST_TABLE_REF(7)), BgL_arg1326z00_1579);
																																		}
																																		BgL_arg1321z00_1577
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1322z00_1578,
																																			BNIL);
																																	}
																																	BgL_arg1319z00_1575
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_string1748z00zzengine_heapz00,
																																		BgL_arg1321z00_1577);
																																}
																																BgL_arg1317z00_1573
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1318z00_1574,
																																	BgL_arg1319z00_1575);
																															}
																															BgL_arg1309z00_1569
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_string1749z00zzengine_heapz00,
																																BgL_arg1317z00_1573);
																														}
																														BgL_arg1303z00_1566
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1305z00_1568,
																															BgL_arg1309z00_1569);
																													}
																													BgL_arg1301z00_1564 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1302z00_1565,
																														BgL_arg1303z00_1566);
																												}
																												BgL_arg1296z00_1559 =
																													MAKE_YOUNG_PAIR
																													(BGl_string1749z00zzengine_heapz00,
																													BgL_arg1301z00_1564);
																											}
																											BgL_arg1294z00_1557 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1295z00_1558,
																												BgL_arg1296z00_1559);
																										}
																										BgL_arg1292z00_1555 =
																											MAKE_YOUNG_PAIR
																											(BGl_string1749z00zzengine_heapz00,
																											BgL_arg1294z00_1557);
																									}
																									BgL_arg1289z00_1553 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1291z00_1554,
																										BgL_arg1292z00_1555);
																								}
																								BgL_arg1287z00_1551 =
																									MAKE_YOUNG_PAIR
																									(BGl_string1749z00zzengine_heapz00,
																									BgL_arg1289z00_1553);
																							}
																							BgL_arg1284z00_1549 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1285z00_1550,
																								BgL_arg1287z00_1551);
																						}
																						BgL_arg1282z00_1548 =
																							MAKE_YOUNG_PAIR
																							(BGl_string1749z00zzengine_heapz00,
																							BgL_arg1284z00_1549);
																					}
																					BgL_arg1280z00_1546 =
																						MAKE_YOUNG_PAIR(BgL_arg1281z00_1547,
																						BgL_arg1282z00_1548);
																				}
																				BgL_arg1279z00_1545 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(8)),
																					BgL_arg1280z00_1546);
																			}
																			bgl_display_obj(BgL_arg1279z00_1545,
																				BgL_port1148z00_1544);
																		}
																		bgl_display_char(((unsigned char) 10),
																			BgL_port1148z00_1544);
																	}
																else
																	{	/* Engine/heap.scm 148 */
																		bool_t BgL_test1807z00_2079;

																		{	/* Engine/heap.scm 148 */
																			obj_t BgL_classz00_1593;

																			BgL_classz00_1593 =
																				BGl_cfunz00zzast_varz00;
																			{	/* Engine/heap.scm 148 */
																				BgL_objectz00_bglt BgL_arg1858z00_1594;

																				{	/* Engine/heap.scm 148 */
																					obj_t BgL_tmpz00_2080;

																					BgL_tmpz00_2080 =
																						((obj_t)
																						((BgL_objectz00_bglt)
																							BgL_valz00_1528));
																					BgL_arg1858z00_1594 =
																						(BgL_objectz00_bglt)
																						(BgL_tmpz00_2080);
																				}
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Engine/heap.scm 148 */
																						long BgL_idxz00_1595;

																						BgL_idxz00_1595 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_1594);
																						BgL_test1807z00_2079 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_1595 + 3L)) ==
																							BgL_classz00_1593);
																					}
																				else
																					{	/* Engine/heap.scm 148 */
																						bool_t BgL_res1726z00_1598;

																						{	/* Engine/heap.scm 148 */
																							obj_t BgL_oclassz00_1599;

																							{	/* Engine/heap.scm 148 */
																								obj_t BgL_arg1866z00_1600;
																								long BgL_arg1867z00_1601;

																								BgL_arg1866z00_1600 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* Engine/heap.scm 148 */
																									long BgL_arg1869z00_1602;

																									BgL_arg1869z00_1602 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_1594);
																									BgL_arg1867z00_1601 =
																										(BgL_arg1869z00_1602 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_1599 =
																									VECTOR_REF
																									(BgL_arg1866z00_1600,
																									BgL_arg1867z00_1601);
																							}
																							{	/* Engine/heap.scm 148 */
																								bool_t BgL__ortest_1115z00_1603;

																								BgL__ortest_1115z00_1603 =
																									(BgL_classz00_1593 ==
																									BgL_oclassz00_1599);
																								if (BgL__ortest_1115z00_1603)
																									{	/* Engine/heap.scm 148 */
																										BgL_res1726z00_1598 =
																											BgL__ortest_1115z00_1603;
																									}
																								else
																									{	/* Engine/heap.scm 148 */
																										long BgL_odepthz00_1604;

																										{	/* Engine/heap.scm 148 */
																											obj_t BgL_arg1855z00_1605;

																											BgL_arg1855z00_1605 =
																												(BgL_oclassz00_1599);
																											BgL_odepthz00_1604 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_1605);
																										}
																										if (
																											(3L < BgL_odepthz00_1604))
																											{	/* Engine/heap.scm 148 */
																												obj_t
																													BgL_arg1853z00_1606;
																												{	/* Engine/heap.scm 148 */
																													obj_t
																														BgL_arg1854z00_1607;
																													BgL_arg1854z00_1607 =
																														(BgL_oclassz00_1599);
																													BgL_arg1853z00_1606 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_1607,
																														3L);
																												}
																												BgL_res1726z00_1598 =
																													(BgL_arg1853z00_1606
																													== BgL_classz00_1593);
																											}
																										else
																											{	/* Engine/heap.scm 148 */
																												BgL_res1726z00_1598 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test1807z00_2079 =
																							BgL_res1726z00_1598;
																					}
																			}
																		}
																		if (BgL_test1807z00_2079)
																			{	/* Engine/heap.scm 149 */
																				obj_t BgL_port1155z00_1608;

																				{	/* Engine/heap.scm 149 */
																					obj_t BgL_tmpz00_2103;

																					BgL_tmpz00_2103 =
																						BGL_CURRENT_DYNAMIC_ENV();
																					BgL_port1155z00_1608 =
																						BGL_ENV_CURRENT_OUTPUT_PORT
																						(BgL_tmpz00_2103);
																				}
																				bgl_display_string
																					(BGl_string1745z00zzengine_heapz00,
																					BgL_port1155z00_1608);
																				{	/* Engine/heap.scm 150 */
																					obj_t BgL_arg1341z00_1609;

																					{	/* Engine/heap.scm 150 */
																						obj_t BgL_arg1342z00_1610;

																						{	/* Engine/heap.scm 150 */
																							obj_t BgL_arg1355z00_1611;
																							obj_t BgL_arg1358z00_1612;

																							BgL_arg1355z00_1611 =
																								BGl_shapez00zztools_shapez00
																								(BgL_newz00_1523);
																							{	/* Engine/heap.scm 152 */
																								obj_t BgL_arg1359z00_1613;

																								{	/* Engine/heap.scm 152 */
																									obj_t BgL_arg1360z00_1614;
																									obj_t BgL_arg1361z00_1615;

																									{	/* Engine/heap.scm 152 */
																										obj_t BgL_arg1364z00_1616;

																										BgL_arg1364z00_1616 =
																											MAKE_YOUNG_PAIR
																											(BgL_idz00_1525, BNIL);
																										BgL_arg1360z00_1614 =
																											MAKE_YOUNG_PAIR(((obj_t)
																												CNST_TABLE_REF(0)),
																											BgL_arg1364z00_1616);
																									}
																									{	/* Engine/heap.scm 154 */
																										obj_t BgL_arg1365z00_1617;

																										{	/* Engine/heap.scm 154 */
																											obj_t BgL_arg1367z00_1618;
																											obj_t BgL_arg1370z00_1619;

																											{	/* Engine/heap.scm 154 */
																												obj_t
																													BgL_arg1371z00_1620;
																												BgL_arg1371z00_1620 =
																													MAKE_YOUNG_PAIR
																													(BgL_modulez00_1524,
																													BNIL);
																												BgL_arg1367z00_1618 =
																													MAKE_YOUNG_PAIR((
																														(obj_t)
																														CNST_TABLE_REF(1)),
																													BgL_arg1371z00_1620);
																											}
																											{	/* Engine/heap.scm 156 */
																												obj_t
																													BgL_arg1376z00_1621;
																												{	/* Engine/heap.scm 156 */
																													obj_t
																														BgL_arg1379z00_1622;
																													obj_t
																														BgL_arg1380z00_1623;
																													{	/* Engine/heap.scm 156 */
																														obj_t
																															BgL_arg1382z00_1624;
																														{	/* Engine/heap.scm 156 */
																															obj_t
																																BgL_arg1383z00_1625;
																															{	/* Engine/heap.scm 156 */
																																obj_t
																																	BgL_arg1385z00_1626;
																																BgL_arg1385z00_1626
																																	=
																																	(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_newz00_1523))))->BgL_namez00);
																																{	/* Engine/heap.scm 156 */
																																	obj_t
																																		BgL_list1386z00_1627;
																																	BgL_list1386z00_1627
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1385z00_1626,
																																		BNIL);
																																	BgL_arg1383z00_1625
																																		=
																																		BGl_formatz00zz__r4_output_6_10_3z00
																																		(BGl_string1746z00zzengine_heapz00,
																																		BgL_list1386z00_1627);
																																}
																															}
																															BgL_arg1382z00_1624
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1383z00_1625,
																																BNIL);
																														}
																														BgL_arg1379z00_1622
																															=
																															MAKE_YOUNG_PAIR((
																																(obj_t)
																																CNST_TABLE_REF
																																(2)),
																															BgL_arg1382z00_1624);
																													}
																													{	/* Engine/heap.scm 158 */
																														obj_t
																															BgL_arg1388z00_1628;
																														{	/* Engine/heap.scm 158 */
																															obj_t
																																BgL_arg1390z00_1629;
																															obj_t
																																BgL_arg1392z00_1630;
																															{	/* Engine/heap.scm 158 */
																																obj_t
																																	BgL_arg1400z00_1631;
																																BgL_arg1400z00_1631
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_qtz00_1526,
																																	BNIL);
																																BgL_arg1390z00_1629
																																	=
																																	MAKE_YOUNG_PAIR
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(3)),
																																	BgL_arg1400z00_1631);
																															}
																															{	/* Engine/heap.scm 160 */
																																obj_t
																																	BgL_arg1401z00_1632;
																																{	/* Engine/heap.scm 160 */
																																	obj_t
																																		BgL_arg1402z00_1633;
																																	obj_t
																																		BgL_arg1403z00_1634;
																																	{	/* Engine/heap.scm 160 */
																																		obj_t
																																			BgL_arg1406z00_1635;
																																		BgL_arg1406z00_1635
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_jtz00_1527,
																																			BNIL);
																																		BgL_arg1402z00_1633
																																			=
																																			MAKE_YOUNG_PAIR
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(6)),
																																			BgL_arg1406z00_1635);
																																	}
																																	{	/* Engine/heap.scm 161 */
																																		obj_t
																																			BgL_arg1414z00_1636;
																																		{	/* Engine/heap.scm 161 */
																																			obj_t
																																				BgL_arg1415z00_1637;
																																			{	/* Engine/heap.scm 161 */
																																				obj_t
																																					BgL_arg1416z00_1638;
																																				{	/* Engine/heap.scm 161 */
																																					obj_t
																																						BgL_arg1417z00_1639;
																																					{	/* Engine/heap.scm 161 */
																																						obj_t
																																							BgL_l1149z00_1640;
																																						BgL_l1149z00_1640
																																							=
																																							(((BgL_cfunz00_bglt) COBJECT(((BgL_cfunz00_bglt) BgL_valz00_1528)))->BgL_argszd2typezd2);
																																						if (NULLP(BgL_l1149z00_1640))
																																							{	/* Engine/heap.scm 161 */
																																								BgL_arg1417z00_1639
																																									=
																																									BNIL;
																																							}
																																						else
																																							{	/* Engine/heap.scm 161 */
																																								obj_t
																																									BgL_head1151z00_1641;
																																								{	/* Engine/heap.scm 161 */
																																									obj_t
																																										BgL_arg1480z00_1642;
																																									{	/* Engine/heap.scm 161 */
																																										obj_t
																																											BgL_arg1484z00_1643;
																																										BgL_arg1484z00_1643
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_l1149z00_1640));
																																										BgL_arg1480z00_1642
																																											=
																																											BGl_shapez00zztools_shapez00
																																											(BgL_arg1484z00_1643);
																																									}
																																									BgL_head1151z00_1641
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg1480z00_1642,
																																										BNIL);
																																								}
																																								{	/* Engine/heap.scm 161 */
																																									obj_t
																																										BgL_g1154z00_1644;
																																									BgL_g1154z00_1644
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_l1149z00_1640));
																																									{
																																										obj_t
																																											BgL_l1149z00_1646;
																																										obj_t
																																											BgL_tail1152z00_1647;
																																										BgL_l1149z00_1646
																																											=
																																											BgL_g1154z00_1644;
																																										BgL_tail1152z00_1647
																																											=
																																											BgL_head1151z00_1641;
																																									BgL_zc3z04anonymousza31421ze3z87_1645:
																																										if (NULLP(BgL_l1149z00_1646))
																																											{	/* Engine/heap.scm 161 */
																																												BgL_arg1417z00_1639
																																													=
																																													BgL_head1151z00_1641;
																																											}
																																										else
																																											{	/* Engine/heap.scm 161 */
																																												obj_t
																																													BgL_newtail1153z00_1648;
																																												{	/* Engine/heap.scm 161 */
																																													obj_t
																																														BgL_arg1457z00_1649;
																																													{	/* Engine/heap.scm 161 */
																																														obj_t
																																															BgL_arg1471z00_1650;
																																														BgL_arg1471z00_1650
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_l1149z00_1646));
																																														BgL_arg1457z00_1649
																																															=
																																															BGl_shapez00zztools_shapez00
																																															(BgL_arg1471z00_1650);
																																													}
																																													BgL_newtail1153z00_1648
																																														=
																																														MAKE_YOUNG_PAIR
																																														(BgL_arg1457z00_1649,
																																														BNIL);
																																												}
																																												SET_CDR
																																													(BgL_tail1152z00_1647,
																																													BgL_newtail1153z00_1648);
																																												{	/* Engine/heap.scm 161 */
																																													obj_t
																																														BgL_arg1446z00_1651;
																																													BgL_arg1446z00_1651
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_l1149z00_1646));
																																													{
																																														obj_t
																																															BgL_tail1152z00_2153;
																																														obj_t
																																															BgL_l1149z00_2152;
																																														BgL_l1149z00_2152
																																															=
																																															BgL_arg1446z00_1651;
																																														BgL_tail1152z00_2153
																																															=
																																															BgL_newtail1153z00_1648;
																																														BgL_tail1152z00_1647
																																															=
																																															BgL_tail1152z00_2153;
																																														BgL_l1149z00_1646
																																															=
																																															BgL_l1149z00_2152;
																																														goto
																																															BgL_zc3z04anonymousza31421ze3z87_1645;
																																													}
																																												}
																																											}
																																									}
																																								}
																																							}
																																					}
																																					BgL_arg1416z00_1638
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg1417z00_1639,
																																						BNIL);
																																				}
																																				BgL_arg1415z00_1637
																																					=
																																					MAKE_YOUNG_PAIR
																																					(((obj_t) CNST_TABLE_REF(7)), BgL_arg1416z00_1638);
																																			}
																																			BgL_arg1414z00_1636
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1415z00_1637,
																																				BNIL);
																																		}
																																		BgL_arg1403z00_1634
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BGl_string1748z00zzengine_heapz00,
																																			BgL_arg1414z00_1636);
																																	}
																																	BgL_arg1401z00_1632
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1402z00_1633,
																																		BgL_arg1403z00_1634);
																																}
																																BgL_arg1392z00_1630
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string1749z00zzengine_heapz00,
																																	BgL_arg1401z00_1632);
																															}
																															BgL_arg1388z00_1628
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1390z00_1629,
																																BgL_arg1392z00_1630);
																														}
																														BgL_arg1380z00_1623
																															=
																															MAKE_YOUNG_PAIR
																															(BGl_string1749z00zzengine_heapz00,
																															BgL_arg1388z00_1628);
																													}
																													BgL_arg1376z00_1621 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1379z00_1622,
																														BgL_arg1380z00_1623);
																												}
																												BgL_arg1370z00_1619 =
																													MAKE_YOUNG_PAIR
																													(BGl_string1749z00zzengine_heapz00,
																													BgL_arg1376z00_1621);
																											}
																											BgL_arg1365z00_1617 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1367z00_1618,
																												BgL_arg1370z00_1619);
																										}
																										BgL_arg1361z00_1615 =
																											MAKE_YOUNG_PAIR
																											(BGl_string1749z00zzengine_heapz00,
																											BgL_arg1365z00_1617);
																									}
																									BgL_arg1359z00_1613 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1360z00_1614,
																										BgL_arg1361z00_1615);
																								}
																								BgL_arg1358z00_1612 =
																									MAKE_YOUNG_PAIR
																									(BGl_string1749z00zzengine_heapz00,
																									BgL_arg1359z00_1613);
																							}
																							BgL_arg1342z00_1610 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1355z00_1611,
																								BgL_arg1358z00_1612);
																						}
																						BgL_arg1341z00_1609 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(9)),
																							BgL_arg1342z00_1610);
																					}
																					bgl_display_obj(BgL_arg1341z00_1609,
																						BgL_port1155z00_1608);
																				}
																				bgl_display_char(((unsigned char) 10),
																					BgL_port1155z00_1608);
																			}
																		else
																			{	/* Engine/heap.scm 148 */
																				if (
																					((((BgL_typez00_bglt) COBJECT(
																									(((BgL_variablez00_bglt)
																											COBJECT((
																													(BgL_variablez00_bglt)
																													((BgL_globalz00_bglt)
																														BgL_newz00_1523))))->
																										BgL_typez00)))->
																							BgL_idz00) ==
																						((obj_t) CNST_TABLE_REF(10))))
																					{	/* Engine/heap.scm 163 */
																						BFALSE;
																					}
																				else
																					{	/* Engine/heap.scm 164 */
																						obj_t BgL_port1156z00_1652;

																						{	/* Engine/heap.scm 164 */
																							obj_t BgL_tmpz00_2184;

																							BgL_tmpz00_2184 =
																								BGL_CURRENT_DYNAMIC_ENV();
																							BgL_port1156z00_1652 =
																								BGL_ENV_CURRENT_OUTPUT_PORT
																								(BgL_tmpz00_2184);
																						}
																						bgl_display_string
																							(BGl_string1745z00zzengine_heapz00,
																							BgL_port1156z00_1652);
																						{	/* Engine/heap.scm 165 */
																							obj_t BgL_arg1506z00_1653;

																							{	/* Engine/heap.scm 165 */
																								obj_t BgL_arg1511z00_1654;

																								{	/* Engine/heap.scm 165 */
																									obj_t BgL_arg1512z00_1655;
																									obj_t BgL_arg1513z00_1656;

																									BgL_arg1512z00_1655 =
																										BGl_shapez00zztools_shapez00
																										(BgL_newz00_1523);
																									{	/* Engine/heap.scm 167 */
																										obj_t BgL_arg1515z00_1657;

																										{	/* Engine/heap.scm 167 */
																											obj_t BgL_arg1516z00_1658;
																											obj_t BgL_arg1530z00_1659;

																											{	/* Engine/heap.scm 167 */
																												obj_t
																													BgL_arg1532z00_1660;
																												BgL_arg1532z00_1660 =
																													MAKE_YOUNG_PAIR
																													(BgL_idz00_1525,
																													BNIL);
																												BgL_arg1516z00_1658 =
																													MAKE_YOUNG_PAIR((
																														(obj_t)
																														CNST_TABLE_REF(0)),
																													BgL_arg1532z00_1660);
																											}
																											{	/* Engine/heap.scm 169 */
																												obj_t
																													BgL_arg1535z00_1661;
																												{	/* Engine/heap.scm 169 */
																													obj_t
																														BgL_arg1543z00_1662;
																													obj_t
																														BgL_arg1545z00_1663;
																													{	/* Engine/heap.scm 169 */
																														obj_t
																															BgL_arg1553z00_1664;
																														BgL_arg1553z00_1664
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_modulez00_1524,
																															BNIL);
																														BgL_arg1543z00_1662
																															=
																															MAKE_YOUNG_PAIR((
																																(obj_t)
																																CNST_TABLE_REF
																																(1)),
																															BgL_arg1553z00_1664);
																													}
																													{	/* Engine/heap.scm 171 */
																														obj_t
																															BgL_arg1554z00_1665;
																														{	/* Engine/heap.scm 171 */
																															obj_t
																																BgL_arg1558z00_1666;
																															obj_t
																																BgL_arg1560z00_1667;
																															{	/* Engine/heap.scm 171 */
																																obj_t
																																	BgL_arg1574z00_1668;
																																{	/* Engine/heap.scm 171 */
																																	obj_t
																																		BgL_arg1577z00_1669;
																																	{	/* Engine/heap.scm 171 */
																																		obj_t
																																			BgL_arg1578z00_1670;
																																		BgL_arg1578z00_1670
																																			=
																																			(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_newz00_1523))))->BgL_namez00);
																																		{	/* Engine/heap.scm 171 */
																																			obj_t
																																				BgL_list1579z00_1671;
																																			BgL_list1579z00_1671
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1578z00_1670,
																																				BNIL);
																																			BgL_arg1577z00_1669
																																				=
																																				BGl_formatz00zz__r4_output_6_10_3z00
																																				(BGl_string1746z00zzengine_heapz00,
																																				BgL_list1579z00_1671);
																																		}
																																	}
																																	BgL_arg1574z00_1668
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1577z00_1669,
																																		BNIL);
																																}
																																BgL_arg1558z00_1666
																																	=
																																	MAKE_YOUNG_PAIR
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(2)),
																																	BgL_arg1574z00_1668);
																															}
																															{	/* Engine/heap.scm 173 */
																																obj_t
																																	BgL_arg1581z00_1672;
																																{	/* Engine/heap.scm 173 */
																																	obj_t
																																		BgL_arg1587z00_1673;
																																	obj_t
																																		BgL_arg1588z00_1674;
																																	{	/* Engine/heap.scm 173 */
																																		obj_t
																																			BgL_arg1590z00_1675;
																																		BgL_arg1590z00_1675
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_qtz00_1526,
																																			BNIL);
																																		BgL_arg1587z00_1673
																																			=
																																			MAKE_YOUNG_PAIR
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(3)),
																																			BgL_arg1590z00_1675);
																																	}
																																	{	/* Engine/heap.scm 175 */
																																		obj_t
																																			BgL_arg1592z00_1676;
																																		{	/* Engine/heap.scm 175 */
																																			obj_t
																																				BgL_arg1593z00_1677;
																																			{	/* Engine/heap.scm 175 */
																																				obj_t
																																					BgL_arg1597z00_1678;
																																				BgL_arg1597z00_1678
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_jtz00_1527,
																																					BNIL);
																																				BgL_arg1593z00_1677
																																					=
																																					MAKE_YOUNG_PAIR
																																					(((obj_t) CNST_TABLE_REF(6)), BgL_arg1597z00_1678);
																																			}
																																			BgL_arg1592z00_1676
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1593z00_1677,
																																				BNIL);
																																		}
																																		BgL_arg1588z00_1674
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BGl_string1749z00zzengine_heapz00,
																																			BgL_arg1592z00_1676);
																																	}
																																	BgL_arg1581z00_1672
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1587z00_1673,
																																		BgL_arg1588z00_1674);
																																}
																																BgL_arg1560z00_1667
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string1749z00zzengine_heapz00,
																																	BgL_arg1581z00_1672);
																															}
																															BgL_arg1554z00_1665
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1558z00_1666,
																																BgL_arg1560z00_1667);
																														}
																														BgL_arg1545z00_1663
																															=
																															MAKE_YOUNG_PAIR
																															(BGl_string1749z00zzengine_heapz00,
																															BgL_arg1554z00_1665);
																													}
																													BgL_arg1535z00_1661 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1543z00_1662,
																														BgL_arg1545z00_1663);
																												}
																												BgL_arg1530z00_1659 =
																													MAKE_YOUNG_PAIR
																													(BGl_string1749z00zzengine_heapz00,
																													BgL_arg1535z00_1661);
																											}
																											BgL_arg1515z00_1657 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1516z00_1658,
																												BgL_arg1530z00_1659);
																										}
																										BgL_arg1513z00_1656 =
																											MAKE_YOUNG_PAIR
																											(BGl_string1749z00zzengine_heapz00,
																											BgL_arg1515z00_1657);
																									}
																									BgL_arg1511z00_1654 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1512z00_1655,
																										BgL_arg1513z00_1656);
																								}
																								BgL_arg1506z00_1653 =
																									MAKE_YOUNG_PAIR(
																									((obj_t)
																										CNST_TABLE_REF(11)),
																									BgL_arg1511z00_1654);
																							}
																							bgl_display_obj
																								(BgL_arg1506z00_1653,
																								BgL_port1156z00_1652);
																						}
																						bgl_display_char(((unsigned char)
																								10), BgL_port1156z00_1652);
									}}}}}}}}}}
									{
										obj_t BgL_l1157z00_2231;

										BgL_l1157z00_2231 = CDR(BgL_l1157z00_1681);
										BgL_l1157z00_1681 = BgL_l1157z00_2231;
										goto BgL_zc3z04anonymousza31273ze3z87_1680;
									}
								}
							else
								{	/* Engine/heap.scm 178 */
									BgL_tmpz00_1952 = ((bool_t) 1);
								}
						}
					}
				}
				return BBOOL(BgL_tmpz00_1952);
			}
		}

	}



/* dump-Tenv */
	obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t BgL_tenvz00_6)
	{
		{	/* Engine/heap.scm 183 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_6,
				BGl_proc1750z00zzengine_heapz00);
		}

	}



/* &<@anonymous:1613> */
	obj_t BGl_z62zc3z04anonymousza31613ze3ze5zzengine_heapz00(obj_t
		BgL_envz00_1488, obj_t BgL_kz00_1489, obj_t BgL_newz00_1490)
	{
		{	/* Engine/heap.scm 185 */
			{	/* Engine/heap.scm 186 */
				obj_t BgL_idz00_1682;

				BgL_idz00_1682 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_newz00_1490)))->BgL_idz00);
				{	/* Engine/heap.scm 186 */
					obj_t BgL_namez00_1683;

					BgL_namez00_1683 =
						(((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_newz00_1490)))->BgL_namez00);
					{	/* Engine/heap.scm 187 */

						{	/* Engine/heap.scm 188 */
							bool_t BgL_test1815z00_2239;

							{	/* Engine/heap.scm 188 */
								obj_t BgL_classz00_1684;

								BgL_classz00_1684 = BGl_tclassz00zzobject_classz00;
								if (BGL_OBJECTP(BgL_newz00_1490))
									{	/* Engine/heap.scm 188 */
										BgL_objectz00_bglt BgL_arg1858z00_1685;

										BgL_arg1858z00_1685 =
											(BgL_objectz00_bglt) (BgL_newz00_1490);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Engine/heap.scm 188 */
												long BgL_idxz00_1686;

												BgL_idxz00_1686 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1685);
												BgL_test1815z00_2239 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_1686 + 2L)) == BgL_classz00_1684);
											}
										else
											{	/* Engine/heap.scm 188 */
												bool_t BgL_res1727z00_1689;

												{	/* Engine/heap.scm 188 */
													obj_t BgL_oclassz00_1690;

													{	/* Engine/heap.scm 188 */
														obj_t BgL_arg1866z00_1691;
														long BgL_arg1867z00_1692;

														BgL_arg1866z00_1691 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Engine/heap.scm 188 */
															long BgL_arg1869z00_1693;

															BgL_arg1869z00_1693 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1685);
															BgL_arg1867z00_1692 =
																(BgL_arg1869z00_1693 - OBJECT_TYPE);
														}
														BgL_oclassz00_1690 =
															VECTOR_REF(BgL_arg1866z00_1691,
															BgL_arg1867z00_1692);
													}
													{	/* Engine/heap.scm 188 */
														bool_t BgL__ortest_1115z00_1694;

														BgL__ortest_1115z00_1694 =
															(BgL_classz00_1684 == BgL_oclassz00_1690);
														if (BgL__ortest_1115z00_1694)
															{	/* Engine/heap.scm 188 */
																BgL_res1727z00_1689 = BgL__ortest_1115z00_1694;
															}
														else
															{	/* Engine/heap.scm 188 */
																long BgL_odepthz00_1695;

																{	/* Engine/heap.scm 188 */
																	obj_t BgL_arg1855z00_1696;

																	BgL_arg1855z00_1696 = (BgL_oclassz00_1690);
																	BgL_odepthz00_1695 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_1696);
																}
																if ((2L < BgL_odepthz00_1695))
																	{	/* Engine/heap.scm 188 */
																		obj_t BgL_arg1853z00_1697;

																		{	/* Engine/heap.scm 188 */
																			obj_t BgL_arg1854z00_1698;

																			BgL_arg1854z00_1698 =
																				(BgL_oclassz00_1690);
																			BgL_arg1853z00_1697 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_1698, 2L);
																		}
																		BgL_res1727z00_1689 =
																			(BgL_arg1853z00_1697 ==
																			BgL_classz00_1684);
																	}
																else
																	{	/* Engine/heap.scm 188 */
																		BgL_res1727z00_1689 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test1815z00_2239 = BgL_res1727z00_1689;
											}
									}
								else
									{	/* Engine/heap.scm 188 */
										BgL_test1815z00_2239 = ((bool_t) 0);
									}
							}
							if (BgL_test1815z00_2239)
								{	/* Engine/heap.scm 190 */
									obj_t BgL_port1167z00_1699;

									{	/* Engine/heap.scm 190 */
										obj_t BgL_tmpz00_2262;

										BgL_tmpz00_2262 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_port1167z00_1699 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2262);
									}
									bgl_display_string(BGl_string1745z00zzengine_heapz00,
										BgL_port1167z00_1699);
									{	/* Engine/heap.scm 191 */
										obj_t BgL_arg1625z00_1700;

										{	/* Engine/heap.scm 191 */
											obj_t BgL_arg1626z00_1701;

											{	/* Engine/heap.scm 191 */
												obj_t BgL_arg1631z00_1702;
												obj_t BgL_arg1632z00_1703;

												BgL_arg1631z00_1702 =
													BGl_shapez00zztools_shapez00(BgL_newz00_1490);
												{	/* Engine/heap.scm 192 */
													obj_t BgL_arg1633z00_1704;
													obj_t BgL_arg1635z00_1705;

													{	/* Engine/heap.scm 192 */
														obj_t BgL_arg1638z00_1706;

														{	/* Engine/heap.scm 192 */
															obj_t BgL_arg1642z00_1707;

															{	/* Engine/heap.scm 192 */
																obj_t BgL_arg1643z00_1708;

																{
																	BgL_tclassz00_bglt BgL_auxz00_2267;

																	{
																		obj_t BgL_auxz00_2268;

																		{	/* Engine/heap.scm 192 */
																			BgL_objectz00_bglt BgL_tmpz00_2269;

																			BgL_tmpz00_2269 =
																				((BgL_objectz00_bglt)
																				((BgL_typez00_bglt) BgL_newz00_1490));
																			BgL_auxz00_2268 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2269);
																		}
																		BgL_auxz00_2267 =
																			((BgL_tclassz00_bglt) BgL_auxz00_2268);
																	}
																	BgL_arg1643z00_1708 =
																		(((BgL_tclassz00_bglt)
																			COBJECT(BgL_auxz00_2267))->
																		BgL_itszd2superzd2);
																}
																BgL_arg1642z00_1707 =
																	BGl_shapez00zztools_shapez00
																	(BgL_arg1643z00_1708);
															}
															BgL_arg1638z00_1706 =
																MAKE_YOUNG_PAIR(BgL_arg1642z00_1707, BNIL);
														}
														BgL_arg1633z00_1704 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(12)), BgL_arg1638z00_1706);
													}
													{	/* Engine/heap.scm 193 */
														obj_t BgL_l1160z00_1709;

														{
															BgL_tclassz00_bglt BgL_auxz00_2280;

															{
																obj_t BgL_auxz00_2281;

																{	/* Engine/heap.scm 193 */
																	BgL_objectz00_bglt BgL_tmpz00_2282;

																	BgL_tmpz00_2282 =
																		((BgL_objectz00_bglt)
																		((BgL_typez00_bglt) BgL_newz00_1490));
																	BgL_auxz00_2281 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2282);
																}
																BgL_auxz00_2280 =
																	((BgL_tclassz00_bglt) BgL_auxz00_2281);
															}
															BgL_l1160z00_1709 =
																(((BgL_tclassz00_bglt)
																	COBJECT(BgL_auxz00_2280))->BgL_slotsz00);
														}
														if (NULLP(BgL_l1160z00_1709))
															{	/* Engine/heap.scm 193 */
																BgL_arg1635z00_1705 = BNIL;
															}
														else
															{	/* Engine/heap.scm 193 */
																obj_t BgL_head1162z00_1710;

																{	/* Engine/heap.scm 193 */
																	obj_t BgL_arg1653z00_1711;

																	{	/* Engine/heap.scm 193 */
																		obj_t BgL_arg1655z00_1712;

																		BgL_arg1655z00_1712 =
																			CAR(((obj_t) BgL_l1160z00_1709));
																		BgL_arg1653z00_1711 =
																			BGl_shapez00zztools_shapez00
																			(BgL_arg1655z00_1712);
																	}
																	BgL_head1162z00_1710 =
																		MAKE_YOUNG_PAIR(BgL_arg1653z00_1711, BNIL);
																}
																{	/* Engine/heap.scm 193 */
																	obj_t BgL_g1166z00_1713;

																	BgL_g1166z00_1713 =
																		CDR(((obj_t) BgL_l1160z00_1709));
																	{
																		obj_t BgL_l1160z00_1715;
																		obj_t BgL_tail1163z00_1716;

																		BgL_l1160z00_1715 = BgL_g1166z00_1713;
																		BgL_tail1163z00_1716 = BgL_head1162z00_1710;
																	BgL_zc3z04anonymousza31645ze3z87_1714:
																		if (NULLP(BgL_l1160z00_1715))
																			{	/* Engine/heap.scm 193 */
																				BgL_arg1635z00_1705 =
																					BgL_head1162z00_1710;
																			}
																		else
																			{	/* Engine/heap.scm 193 */
																				obj_t BgL_newtail1164z00_1717;

																				{	/* Engine/heap.scm 193 */
																					obj_t BgL_arg1649z00_1718;

																					{	/* Engine/heap.scm 193 */
																						obj_t BgL_arg1650z00_1719;

																						BgL_arg1650z00_1719 =
																							CAR(((obj_t) BgL_l1160z00_1715));
																						BgL_arg1649z00_1718 =
																							BGl_shapez00zztools_shapez00
																							(BgL_arg1650z00_1719);
																					}
																					BgL_newtail1164z00_1717 =
																						MAKE_YOUNG_PAIR(BgL_arg1649z00_1718,
																						BNIL);
																				}
																				SET_CDR(BgL_tail1163z00_1716,
																					BgL_newtail1164z00_1717);
																				{	/* Engine/heap.scm 193 */
																					obj_t BgL_arg1648z00_1720;

																					BgL_arg1648z00_1720 =
																						CDR(((obj_t) BgL_l1160z00_1715));
																					{
																						obj_t BgL_tail1163z00_2306;
																						obj_t BgL_l1160z00_2305;

																						BgL_l1160z00_2305 =
																							BgL_arg1648z00_1720;
																						BgL_tail1163z00_2306 =
																							BgL_newtail1164z00_1717;
																						BgL_tail1163z00_1716 =
																							BgL_tail1163z00_2306;
																						BgL_l1160z00_1715 =
																							BgL_l1160z00_2305;
																						goto
																							BgL_zc3z04anonymousza31645ze3z87_1714;
																					}
																				}
																			}
																	}
																}
															}
													}
													BgL_arg1632z00_1703 =
														MAKE_YOUNG_PAIR(BgL_arg1633z00_1704,
														BgL_arg1635z00_1705);
												}
												BgL_arg1626z00_1701 =
													MAKE_YOUNG_PAIR(BgL_arg1631z00_1702,
													BgL_arg1632z00_1703);
											}
											BgL_arg1625z00_1700 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(10)), BgL_arg1626z00_1701);
										}
										bgl_display_obj(BgL_arg1625z00_1700, BgL_port1167z00_1699);
									}
									return
										bgl_display_char(((unsigned char) 10),
										BgL_port1167z00_1699);
								}
							else
								{	/* Engine/heap.scm 194 */
									obj_t BgL_port1168z00_1721;

									{	/* Engine/heap.scm 194 */
										obj_t BgL_tmpz00_2314;

										BgL_tmpz00_2314 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_port1168z00_1721 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2314);
									}
									bgl_display_string(BGl_string1745z00zzengine_heapz00,
										BgL_port1168z00_1721);
									{	/* Engine/heap.scm 194 */
										obj_t BgL_arg1656z00_1722;

										{	/* Engine/heap.scm 194 */
											obj_t BgL_arg1657z00_1723;

											{	/* Engine/heap.scm 194 */
												obj_t BgL_arg1660z00_1724;

												{	/* Engine/heap.scm 194 */
													obj_t BgL_arg1663z00_1725;

													{	/* Engine/heap.scm 194 */
														obj_t BgL_arg1664z00_1726;

														BgL_arg1664z00_1726 =
															MAKE_YOUNG_PAIR(BgL_namez00_1683, BNIL);
														BgL_arg1663z00_1725 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(2)), BgL_arg1664z00_1726);
													}
													BgL_arg1660z00_1724 =
														MAKE_YOUNG_PAIR(BgL_arg1663z00_1725, BNIL);
												}
												BgL_arg1657z00_1723 =
													MAKE_YOUNG_PAIR(BgL_idz00_1682, BgL_arg1660z00_1724);
											}
											BgL_arg1656z00_1722 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(13)), BgL_arg1657z00_1723);
										}
										bgl_display_obj(BgL_arg1656z00_1722, BgL_port1168z00_1721);
									}
									return
										bgl_display_char(((unsigned char) 10),
										BgL_port1168z00_1721);
		}}}}}}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzengine_heapz00(void)
	{
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzengine_heapz00(void)
	{
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzengine_heapz00(void)
	{
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00(void)
	{
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1751z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1751z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1751z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1751z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1751z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string1751z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1751z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(261574382L,
				BSTRING_TO_STRING(BGl_string1751z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1751z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzheap_restorez00(147989063L,
				BSTRING_TO_STRING(BGl_string1751z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1751z00zzengine_heapz00));
			return
				BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(433305536L,
				BSTRING_TO_STRING(BGl_string1751z00zzengine_heapz00));
		}

	}

#ifdef __cplusplus
}
#endif
