/*===========================================================================*/
/*   (Engine/link.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Engine/link.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_ENGINE_LINK_TYPE_DEFINITIONS
#define BGL_ENGINE_LINK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;


#endif													// BGL_ENGINE_LINK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00(void);
	static obj_t BGl_z62findzd2filezd2forzd2linkzb0zzengine_linkz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2librarieszd2zzengine_linkz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzengine_linkz00 = BUNSPEC;
	extern obj_t BGl_comptimezd2expandzf2errorz20zzexpand_epsz00(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	extern obj_t BGl_installzd2initialzd2expanderz00zzexpand_installz00(void);
	BGL_EXPORTED_DECL obj_t BGl_unprofzd2srczd2namez00zzengine_linkz00(obj_t);
	static obj_t BGl_z62unprofzd2srczd2namez62zzengine_linkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzengine_linkz00(void);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzengine_linkz00(void);
	BGL_IMPORT obj_t bgl_register_eval_srfi(obj_t);
	extern obj_t
		BGl_backendzd2linkzd2objectsz00zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	static obj_t BGl_z62findzd2mainzb0zzengine_linkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2tmpzd2mainz00zzengine_linkz00(obj_t,
		bool_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzengine_linkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzengine_linkz00(void);
	static obj_t BGl_z62findzd2srczd2filez62zzengine_linkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62linkz62zzengine_linkz00(obj_t);
	extern obj_t BGl_readzd2directiveszd2zzread_includez00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_linkz00zzengine_linkz00(void);
	static obj_t BGl_z62zc3z04anonymousza31318ze3ze5zzengine_linkz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2mainzd2zzengine_linkz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_findzd2filezd2forzd2linkzd2zzengine_linkz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzengine_linkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_includez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_installz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_ldz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__expander_srfi0z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_za2bigloozd2nameza2zd2zzengine_paramz00;
	BGL_IMPORT bool_t fexists(char *);
	extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzengine_linkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzengine_linkz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzengine_linkz00(void);
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzengine_linkz00(void);
	extern obj_t BGl_za2srczd2suffixza2zd2zzengine_paramz00;
	extern obj_t BGl_za2ozd2filesza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_findzd2srczd2filez00zzengine_linkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2loadzd2pathza2zd2zz__evalz00;
	static obj_t BGl_zc3z04anonymousza31332ze3ze70z60zzengine_linkz00(obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2librarieszb0zzengine_linkz00(obj_t, obj_t);
	static obj_t BGl_loopze70ze7zzengine_linkz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2tmpzd2mainz62zzengine_linkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t __cnst[8];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2tmpzd2mainzd2envzd2zzengine_linkz00,
		BgL_bgl_za762makeza7d2tmpza7d21507za7,
		BGl_z62makezd2tmpzd2mainz62zzengine_linkz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_findzd2filezd2forzd2linkzd2envz00zzengine_linkz00,
		BgL_bgl_za762findza7d2fileza7d1508za7,
		BGl_z62findzd2filezd2forzd2linkzb0zzengine_linkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2srczd2filezd2envzd2zzengine_linkz00,
		BgL_bgl_za762findza7d2srcza7d21509za7,
		BGl_z62findzd2srczd2filez62zzengine_linkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1500z00zzengine_linkz00,
		BgL_bgl_string1500za700za7za7e1510za7, "", 0);
	      DEFINE_STRING(BGl_string1501z00zzengine_linkz00,
		BgL_bgl_string1501za700za7za7e1511za7, "Can't open output file", 22);
	      DEFINE_STRING(BGl_string1502z00zzengine_linkz00,
		BgL_bgl_string1502za700za7za7e1512za7, "engine_link", 11);
	      DEFINE_STRING(BGl_string1503z00zzengine_linkz00,
		BgL_bgl_string1503za700za7za7e1513za7,
		"module import main cond-expand include eval library bigloo-compile ", 67);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_linkzd2envzd2zzengine_linkz00,
		BgL_bgl_za762linkza762za7za7engi1514z00, BGl_z62linkz62zzengine_linkz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1490z00zzengine_linkz00,
		BgL_bgl_string1490za700za7za7e1515za7, "No Bigloo module found for -- ",
		30);
	      DEFINE_STRING(BGl_string1491z00zzengine_linkz00,
		BgL_bgl_string1491za700za7za7e1516za7, "link", 4);
	      DEFINE_STRING(BGl_string1492z00zzengine_linkz00,
		BgL_bgl_string1492za700za7za7e1517za7, "'. Using file -- ", 17);
	      DEFINE_STRING(BGl_string1493z00zzengine_linkz00,
		BgL_bgl_string1493za700za7za7e1518za7,
		"Several source files found for object `", 39);
	      DEFINE_STRING(BGl_string1494z00zzengine_linkz00,
		BgL_bgl_string1494za700za7za7e1519za7, ".", 1);
	      DEFINE_STRING(BGl_string1496z00zzengine_linkz00,
		BgL_bgl_string1496za700za7za7e1520za7, ";; ", 3);
	      DEFINE_STRING(BGl_string1497z00zzengine_linkz00,
		BgL_bgl_string1497za700za7za7e1521za7,
		";; !!! generated file, don't edit !!!", 37);
	      DEFINE_STRING(BGl_string1498z00zzengine_linkz00,
		BgL_bgl_string1498za700za7za7e1522za7,
		";; ==================================", 37);
	      DEFINE_STRING(BGl_string1499z00zzengine_linkz00,
		BgL_bgl_string1499za700za7za7e1523za7, "(main *the-command-line*)", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1495z00zzengine_linkz00,
		BgL_bgl_za762za7c3za704anonymo1524za7,
		BGl_z62zc3z04anonymousza31318ze3ze5zzengine_linkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2librarieszd2envz00zzengine_linkz00,
		BgL_bgl_za762findza7d2librar1525z00,
		BGl_z62findzd2librarieszb0zzengine_linkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unprofzd2srczd2namezd2envzd2zzengine_linkz00,
		BgL_bgl_za762unprofza7d2srcza71526za7,
		BGl_z62unprofzd2srczd2namez62zzengine_linkz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2mainzd2envz00zzengine_linkz00,
		BgL_bgl_za762findza7d2mainza7b1527za7,
		BGl_z62findzd2mainzb0zzengine_linkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzengine_linkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_linkz00(long
		BgL_checksumz00_550, char *BgL_fromz00_551)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzengine_linkz00))
				{
					BGl_requirezd2initializa7ationz75zzengine_linkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzengine_linkz00();
					BGl_libraryzd2moduleszd2initz00zzengine_linkz00();
					BGl_cnstzd2initzd2zzengine_linkz00();
					BGl_importedzd2moduleszd2initz00zzengine_linkz00();
					return BGl_methodzd2initzd2zzengine_linkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzengine_linkz00(void)
	{
		{	/* Engine/link.scm 20 */
			BGl_modulezd2initializa7ationz75zz__paramz00(0L, "engine_link");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"engine_link");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "engine_link");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"engine_link");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"engine_link");
			BGl_modulezd2initializa7ationz75zz__expander_srfi0z00(0L, "engine_link");
			BGl_modulezd2initializa7ationz75zz__osz00(0L, "engine_link");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "engine_link");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "engine_link");
			BGl_modulezd2initializa7ationz75zz__evalz00(0L, "engine_link");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L,
				"engine_link");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"engine_link");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "engine_link");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzengine_linkz00(void)
	{
		{	/* Engine/link.scm 20 */
			{	/* Engine/link.scm 20 */
				obj_t BgL_cportz00_538;

				{	/* Engine/link.scm 20 */
					obj_t BgL_stringz00_545;

					BgL_stringz00_545 = BGl_string1503z00zzengine_linkz00;
					{	/* Engine/link.scm 20 */
						obj_t BgL_startz00_546;

						BgL_startz00_546 = BINT(0L);
						{	/* Engine/link.scm 20 */
							obj_t BgL_endz00_547;

							BgL_endz00_547 = BINT(STRING_LENGTH(((obj_t) BgL_stringz00_545)));
							{	/* Engine/link.scm 20 */

								BgL_cportz00_538 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_545, BgL_startz00_546, BgL_endz00_547);
				}}}}
				{
					long BgL_iz00_539;

					BgL_iz00_539 = 7L;
				BgL_loopz00_540:
					if ((BgL_iz00_539 == (-1L)))
						{	/* Engine/link.scm 20 */
							return BUNSPEC;
						}
					else
						{	/* Engine/link.scm 20 */
							{	/* Engine/link.scm 20 */
								obj_t BgL_arg1506z00_541;

								{	/* Engine/link.scm 20 */

									{	/* Engine/link.scm 20 */
										obj_t BgL_locationz00_543;

										BgL_locationz00_543 = BBOOL(((bool_t) 0));
										{	/* Engine/link.scm 20 */

											BgL_arg1506z00_541 =
												BGl_readz00zz__readerz00(BgL_cportz00_538,
												BgL_locationz00_543);
										}
									}
								}
								{	/* Engine/link.scm 20 */
									int BgL_tmpz00_582;

									BgL_tmpz00_582 = (int) (BgL_iz00_539);
									CNST_TABLE_SET(BgL_tmpz00_582, BgL_arg1506z00_541);
							}}
							{	/* Engine/link.scm 20 */
								int BgL_auxz00_544;

								BgL_auxz00_544 = (int) ((BgL_iz00_539 - 1L));
								{
									long BgL_iz00_587;

									BgL_iz00_587 = (long) (BgL_auxz00_544);
									BgL_iz00_539 = BgL_iz00_587;
									goto BgL_loopz00_540;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzengine_linkz00(void)
	{
		{	/* Engine/link.scm 20 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzengine_linkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_124;

					BgL_headz00_124 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_125;
						obj_t BgL_tailz00_126;

						BgL_prevz00_125 = BgL_headz00_124;
						BgL_tailz00_126 = BgL_l1z00_1;
					BgL_loopz00_127:
						if (PAIRP(BgL_tailz00_126))
							{
								obj_t BgL_newzd2prevzd2_129;

								BgL_newzd2prevzd2_129 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_126), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_125, BgL_newzd2prevzd2_129);
								{
									obj_t BgL_tailz00_599;
									obj_t BgL_prevz00_598;

									BgL_prevz00_598 = BgL_newzd2prevzd2_129;
									BgL_tailz00_599 = CDR(BgL_tailz00_126);
									BgL_tailz00_126 = BgL_tailz00_599;
									BgL_prevz00_125 = BgL_prevz00_598;
									goto BgL_loopz00_127;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_124);
					}
				}
		}

	}



/* link */
	BGL_EXPORTED_DEF obj_t BGl_linkz00zzengine_linkz00(void)
	{
		{	/* Engine/link.scm 43 */
			bgl_register_eval_srfi(((obj_t) CNST_TABLE_REF(0)));
			BGl_installzd2initialzd2expanderz00zzexpand_installz00();
			BGl_setzd2backendz12zc0zzbackend_backendz00
				(BGl_za2targetzd2languageza2zd2zzengine_paramz00);
			{
				obj_t BgL_objectsz00_134;
				obj_t BgL_sourcesz00_135;

				BgL_objectsz00_134 = BGl_za2ozd2filesza2zd2zzengine_paramz00;
				BgL_sourcesz00_135 = BNIL;
			BgL_zc3z04anonymousza31069ze3z87_136:
				if (NULLP(BgL_objectsz00_134))
					{	/* Engine/link.scm 55 */
						obj_t BgL_arg1072z00_138;

						BgL_arg1072z00_138 = BGl_thezd2backendzd2zzbackend_backendz00();
						return
							BGl_backendzd2linkzd2objectsz00zzbackend_backendz00(
							((BgL_backendz00_bglt) BgL_arg1072z00_138), BgL_sourcesz00_135);
					}
				else
					{	/* Engine/link.scm 56 */
						obj_t BgL_objectz00_139;

						BgL_objectz00_139 = CAR(((obj_t) BgL_objectsz00_134));
						{	/* Engine/link.scm 56 */
							obj_t BgL_prefz00_140;

							BgL_prefz00_140 =
								BGl_unprofzd2srczd2namez00zzengine_linkz00
								(BGl_prefixz00zz__osz00(BgL_objectz00_139));
							{	/* Engine/link.scm 57 */
								obj_t BgL_bprefz00_141;

								BgL_bprefz00_141 = BGl_basenamez00zz__osz00(BgL_prefz00_140);
								{	/* Engine/link.scm 58 */
									obj_t BgL_scmzd2filezd2_142;

									BgL_scmzd2filezd2_142 =
										BGl_findzd2srczd2filez00zzengine_linkz00(BgL_prefz00_140,
										BgL_bprefz00_141);
									{	/* Engine/link.scm 59 */

										if (STRINGP(BgL_scmzd2filezd2_142))
											{	/* Engine/link.scm 61 */
												obj_t BgL_arg1074z00_144;
												obj_t BgL_arg1083z00_145;

												BgL_arg1074z00_144 = CDR(((obj_t) BgL_objectsz00_134));
												{	/* Engine/link.scm 61 */
													obj_t BgL_arg1095z00_146;

													BgL_arg1095z00_146 =
														MAKE_YOUNG_PAIR(BgL_scmzd2filezd2_142,
														BgL_objectz00_139);
													BgL_arg1083z00_145 =
														MAKE_YOUNG_PAIR(BgL_arg1095z00_146,
														BgL_sourcesz00_135);
												}
												{
													obj_t BgL_sourcesz00_625;
													obj_t BgL_objectsz00_624;

													BgL_objectsz00_624 = BgL_arg1074z00_144;
													BgL_sourcesz00_625 = BgL_arg1083z00_145;
													BgL_sourcesz00_135 = BgL_sourcesz00_625;
													BgL_objectsz00_134 = BgL_objectsz00_624;
													goto BgL_zc3z04anonymousza31069ze3z87_136;
												}
											}
										else
											{	/* Engine/link.scm 60 */
												{	/* Engine/link.scm 63 */
													bool_t BgL_test1534z00_626;

													{	/* Engine/link.scm 63 */
														int BgL_arg1111z00_153;

														BgL_arg1111z00_153 =
															BGl_bigloozd2warningzd2zz__paramz00();
														BgL_test1534z00_626 =
															((long) (BgL_arg1111z00_153) >= 2L);
													}
													if (BgL_test1534z00_626)
														{	/* Engine/link.scm 66 */
															obj_t BgL_arg1103z00_149;

															BgL_arg1103z00_149 =
																CAR(((obj_t) BgL_objectsz00_134));
															{	/* Engine/link.scm 64 */
																obj_t BgL_list1104z00_150;

																{	/* Engine/link.scm 64 */
																	obj_t BgL_arg1105z00_151;

																	{	/* Engine/link.scm 64 */
																		obj_t BgL_arg1110z00_152;

																		BgL_arg1110z00_152 =
																			MAKE_YOUNG_PAIR(BgL_arg1103z00_149, BNIL);
																		BgL_arg1105z00_151 =
																			MAKE_YOUNG_PAIR
																			(BGl_string1490z00zzengine_linkz00,
																			BgL_arg1110z00_152);
																	}
																	BgL_list1104z00_150 =
																		MAKE_YOUNG_PAIR
																		(BGl_string1491z00zzengine_linkz00,
																		BgL_arg1105z00_151);
																}
																BGl_warningz00zz__errorz00(BgL_list1104z00_150);
															}
														}
													else
														{	/* Engine/link.scm 63 */
															BFALSE;
														}
												}
												{	/* Engine/link.scm 67 */
													obj_t BgL_arg1113z00_154;

													BgL_arg1113z00_154 =
														CDR(((obj_t) BgL_objectsz00_134));
													{
														obj_t BgL_objectsz00_638;

														BgL_objectsz00_638 = BgL_arg1113z00_154;
														BgL_objectsz00_134 = BgL_objectsz00_638;
														goto BgL_zc3z04anonymousza31069ze3z87_136;
													}
												}
											}
									}
								}
							}
						}
					}
			}
		}

	}



/* &link */
	obj_t BGl_z62linkz62zzengine_linkz00(obj_t BgL_envz00_517)
	{
		{	/* Engine/link.scm 43 */
			return BGl_linkz00zzengine_linkz00();
		}

	}



/* unprof-src-name */
	BGL_EXPORTED_DEF obj_t BGl_unprofzd2srczd2namez00zzengine_linkz00(obj_t
		BgL_namez00_3)
	{
		{	/* Engine/link.scm 72 */
			if (CBOOL(BGl_za2profilezd2modeza2zd2zzengine_paramz00))
				{	/* Engine/link.scm 75 */
					long BgL_lenz00_157;

					BgL_lenz00_157 = STRING_LENGTH(((obj_t) BgL_namez00_3));
					{	/* Engine/link.scm 76 */
						bool_t BgL_test1536z00_644;

						if ((BgL_lenz00_157 > 2L))
							{	/* Engine/link.scm 76 */
								if (
									(STRING_REF(
											((obj_t) BgL_namez00_3),
											(BgL_lenz00_157 - 1L)) == ((unsigned char) 'p')))
									{	/* Engine/link.scm 77 */
										BgL_test1536z00_644 =
											(STRING_REF(
												((obj_t) BgL_namez00_3),
												(BgL_lenz00_157 - 2L)) == ((unsigned char) '_'));
									}
								else
									{	/* Engine/link.scm 77 */
										BgL_test1536z00_644 = ((bool_t) 0);
									}
							}
						else
							{	/* Engine/link.scm 76 */
								BgL_test1536z00_644 = ((bool_t) 0);
							}
						if (BgL_test1536z00_644)
							{	/* Engine/link.scm 79 */
								long BgL_arg1145z00_167;

								BgL_arg1145z00_167 = (BgL_lenz00_157 - 2L);
								return
									c_substring(((obj_t) BgL_namez00_3), 0L, BgL_arg1145z00_167);
							}
						else
							{	/* Engine/link.scm 76 */
								return BgL_namez00_3;
							}
					}
				}
			else
				{	/* Engine/link.scm 73 */
					return BgL_namez00_3;
				}
		}

	}



/* &unprof-src-name */
	obj_t BGl_z62unprofzd2srczd2namez62zzengine_linkz00(obj_t BgL_envz00_518,
		obj_t BgL_namez00_519)
	{
		{	/* Engine/link.scm 72 */
			return BGl_unprofzd2srczd2namez00zzengine_linkz00(BgL_namez00_519);
		}

	}



/* find-file-for-link */
	BGL_EXPORTED_DEF obj_t BGl_findzd2filezd2forzd2linkzd2zzengine_linkz00(obj_t
		BgL_filez00_4)
	{
		{	/* Engine/link.scm 85 */
			if (fexists(BSTRING_TO_STRING(BgL_filez00_4)))
				{	/* Engine/link.scm 86 */
					return BgL_filez00_4;
				}
			else
				{	/* Engine/link.scm 86 */
					return
						BGl_findzd2filezf2pathz20zz__osz00(BgL_filez00_4,
						BGl_za2loadzd2pathza2zd2zz__evalz00);
				}
		}

	}



/* &find-file-for-link */
	obj_t BGl_z62findzd2filezd2forzd2linkzb0zzengine_linkz00(obj_t BgL_envz00_520,
		obj_t BgL_filez00_521)
	{
		{	/* Engine/link.scm 85 */
			return BGl_findzd2filezd2forzd2linkzd2zzengine_linkz00(BgL_filez00_521);
		}

	}



/* find-src-file */
	BGL_EXPORTED_DEF obj_t BGl_findzd2srczd2filez00zzengine_linkz00(obj_t
		BgL_prefixz00_5, obj_t BgL_bnamez00_6)
	{
		{	/* Engine/link.scm 93 */
			{
				obj_t BgL_suffixz00_177;
				obj_t BgL_filesz00_178;

				BgL_suffixz00_177 = BGl_za2srczd2suffixza2zd2zzengine_paramz00;
				BgL_filesz00_178 = BNIL;
			BgL_zc3z04anonymousza31159ze3z87_179:
				if (NULLP(BgL_suffixz00_177))
					{	/* Engine/link.scm 96 */
						if (NULLP(BgL_filesz00_178))
							{	/* Engine/link.scm 98 */
								return BFALSE;
							}
						else
							{	/* Engine/link.scm 98 */
								if (NULLP(CDR(BgL_filesz00_178)))
									{	/* Engine/link.scm 100 */
										return CAR(BgL_filesz00_178);
									}
								else
									{	/* Engine/link.scm 100 */
										{	/* Engine/link.scm 104 */
											obj_t BgL_arg1174z00_184;

											BgL_arg1174z00_184 = CAR(BgL_filesz00_178);
											{	/* Engine/link.scm 103 */
												obj_t BgL_list1175z00_185;

												{	/* Engine/link.scm 103 */
													obj_t BgL_arg1177z00_186;

													{	/* Engine/link.scm 103 */
														obj_t BgL_arg1178z00_187;

														{	/* Engine/link.scm 103 */
															obj_t BgL_arg1179z00_188;

															{	/* Engine/link.scm 103 */
																obj_t BgL_arg1183z00_189;

																BgL_arg1183z00_189 =
																	MAKE_YOUNG_PAIR(BgL_arg1174z00_184, BNIL);
																BgL_arg1179z00_188 =
																	MAKE_YOUNG_PAIR
																	(BGl_string1492z00zzengine_linkz00,
																	BgL_arg1183z00_189);
															}
															BgL_arg1178z00_187 =
																MAKE_YOUNG_PAIR(BgL_bnamez00_6,
																BgL_arg1179z00_188);
														}
														BgL_arg1177z00_186 =
															MAKE_YOUNG_PAIR(BGl_string1493z00zzengine_linkz00,
															BgL_arg1178z00_187);
													}
													BgL_list1175z00_185 =
														MAKE_YOUNG_PAIR(BGl_string1491z00zzengine_linkz00,
														BgL_arg1177z00_186);
												}
												BGl_warningz00zz__errorz00(BgL_list1175z00_185);
											}
										}
										return CAR(BgL_filesz00_178);
									}
							}
					}
				else
					{	/* Engine/link.scm 106 */
						obj_t BgL_sufz00_191;

						BgL_sufz00_191 = CAR(((obj_t) BgL_suffixz00_177));
						{	/* Engine/link.scm 106 */
							obj_t BgL_fz00_192;

							BgL_fz00_192 =
								BGl_findzd2filezd2forzd2linkzd2zzengine_linkz00(string_append_3
								(BgL_prefixz00_5, BGl_string1494z00zzengine_linkz00,
									BgL_sufz00_191));
							{	/* Engine/link.scm 107 */

								if (STRINGP(BgL_fz00_192))
									{	/* Engine/link.scm 109 */
										obj_t BgL_arg1187z00_194;
										obj_t BgL_arg1192z00_195;

										BgL_arg1187z00_194 = CDR(((obj_t) BgL_suffixz00_177));
										BgL_arg1192z00_195 =
											MAKE_YOUNG_PAIR(BgL_fz00_192, BgL_filesz00_178);
										{
											obj_t BgL_filesz00_691;
											obj_t BgL_suffixz00_690;

											BgL_suffixz00_690 = BgL_arg1187z00_194;
											BgL_filesz00_691 = BgL_arg1192z00_195;
											BgL_filesz00_178 = BgL_filesz00_691;
											BgL_suffixz00_177 = BgL_suffixz00_690;
											goto BgL_zc3z04anonymousza31159ze3z87_179;
										}
									}
								else
									{	/* Engine/link.scm 110 */
										obj_t BgL_fz00_196;

										BgL_fz00_196 =
											BGl_findzd2filezd2forzd2linkzd2zzengine_linkz00
											(string_append_3(BgL_bnamez00_6,
												BGl_string1494z00zzengine_linkz00, BgL_sufz00_191));
										if (STRINGP(BgL_fz00_196))
											{	/* Engine/link.scm 112 */
												obj_t BgL_arg1195z00_198;
												obj_t BgL_arg1207z00_199;

												BgL_arg1195z00_198 = CDR(((obj_t) BgL_suffixz00_177));
												BgL_arg1207z00_199 =
													MAKE_YOUNG_PAIR(BgL_fz00_196, BgL_filesz00_178);
												{
													obj_t BgL_filesz00_700;
													obj_t BgL_suffixz00_699;

													BgL_suffixz00_699 = BgL_arg1195z00_198;
													BgL_filesz00_700 = BgL_arg1207z00_199;
													BgL_filesz00_178 = BgL_filesz00_700;
													BgL_suffixz00_177 = BgL_suffixz00_699;
													goto BgL_zc3z04anonymousza31159ze3z87_179;
												}
											}
										else
											{	/* Engine/link.scm 113 */
												obj_t BgL_arg1208z00_200;

												BgL_arg1208z00_200 = CDR(((obj_t) BgL_suffixz00_177));
												{
													obj_t BgL_suffixz00_703;

													BgL_suffixz00_703 = BgL_arg1208z00_200;
													BgL_suffixz00_177 = BgL_suffixz00_703;
													goto BgL_zc3z04anonymousza31159ze3z87_179;
												}
											}
									}
							}
						}
					}
			}
		}

	}



/* &find-src-file */
	obj_t BGl_z62findzd2srczd2filez62zzengine_linkz00(obj_t BgL_envz00_522,
		obj_t BgL_prefixz00_523, obj_t BgL_bnamez00_524)
	{
		{	/* Engine/link.scm 93 */
			return
				BGl_findzd2srczd2filez00zzengine_linkz00(BgL_prefixz00_523,
				BgL_bnamez00_524);
		}

	}



/* find-libraries */
	BGL_EXPORTED_DEF obj_t BGl_findzd2librarieszd2zzengine_linkz00(obj_t
		BgL_clausesz00_7)
	{
		{	/* Engine/link.scm 118 */
			return BGl_loopze70ze7zzengine_linkz00(BgL_clausesz00_7, BNIL);
		}

	}



/* <@anonymous:1332>~0 */
	obj_t BGl_zc3z04anonymousza31332ze3ze70z60zzengine_linkz00(obj_t
		BgL_l1057z00_310)
	{
		{	/* Engine/link.scm 134 */
			if (NULLP(BgL_l1057z00_310))
				{	/* Engine/link.scm 134 */
					return BNIL;
				}
			else
				{	/* Engine/link.scm 135 */
					obj_t BgL_arg1336z00_313;
					obj_t BgL_arg1338z00_314;

					{	/* Engine/link.scm 135 */
						obj_t BgL_includez00_315;

						BgL_includez00_315 = CAR(((obj_t) BgL_l1057z00_310));
						BgL_arg1336z00_313 =
							BGl_readzd2directiveszd2zzread_includez00(BgL_includez00_315);
					}
					{	/* Engine/link.scm 134 */
						obj_t BgL_arg1339z00_316;

						BgL_arg1339z00_316 = CDR(((obj_t) BgL_l1057z00_310));
						BgL_arg1338z00_314 =
							BGl_zc3z04anonymousza31332ze3ze70z60zzengine_linkz00
							(BgL_arg1339z00_316);
					}
					return bgl_append2(BgL_arg1336z00_313, BgL_arg1338z00_314);
				}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzengine_linkz00(obj_t BgL_clausesz00_206,
		obj_t BgL_librariesz00_207)
	{
		{	/* Engine/link.scm 119 */
		BGl_loopze70ze7zzengine_linkz00:
			{
				obj_t BgL_evclausesz00_214;
				obj_t BgL_restz00_215;
				obj_t BgL_includesz00_217;
				obj_t BgL_restz00_218;
				obj_t BgL_restz00_220;

				if (NULLP(BgL_clausesz00_206))
					{	/* Engine/link.scm 119 */
						return bgl_reverse_bang(BgL_librariesz00_207);
					}
				else
					{	/* Engine/link.scm 119 */
						if (PAIRP(BgL_clausesz00_206))
							{	/* Engine/link.scm 119 */
								obj_t BgL_carzd2121zd2_226;

								BgL_carzd2121zd2_226 = CAR(((obj_t) BgL_clausesz00_206));
								if (PAIRP(BgL_carzd2121zd2_226))
									{	/* Engine/link.scm 119 */
										if (
											(CAR(BgL_carzd2121zd2_226) ==
												((obj_t) CNST_TABLE_REF(1))))
											{	/* Engine/link.scm 119 */
												obj_t BgL_arg1240z00_231;

												BgL_arg1240z00_231 = CDR(((obj_t) BgL_clausesz00_206));
												{	/* Engine/link.scm 125 */
													obj_t BgL_arg1314z00_448;

													BgL_arg1314z00_448 =
														MAKE_YOUNG_PAIR(BgL_carzd2121zd2_226,
														BgL_librariesz00_207);
													{
														obj_t BgL_librariesz00_733;
														obj_t BgL_clausesz00_732;

														BgL_clausesz00_732 = BgL_arg1240z00_231;
														BgL_librariesz00_733 = BgL_arg1314z00_448;
														BgL_librariesz00_207 = BgL_librariesz00_733;
														BgL_clausesz00_206 = BgL_clausesz00_732;
														goto BGl_loopze70ze7zzengine_linkz00;
													}
												}
											}
										else
											{	/* Engine/link.scm 119 */
												if (
													(CAR(
															((obj_t) BgL_carzd2121zd2_226)) ==
														((obj_t) CNST_TABLE_REF(2))))
													{	/* Engine/link.scm 119 */
														obj_t BgL_arg1244z00_235;
														obj_t BgL_arg1245z00_236;

														BgL_arg1244z00_235 =
															CDR(((obj_t) BgL_carzd2121zd2_226));
														BgL_arg1245z00_236 =
															CDR(((obj_t) BgL_clausesz00_206));
														BgL_evclausesz00_214 = BgL_arg1244z00_235;
														BgL_restz00_215 = BgL_arg1245z00_236;
														{	/* Engine/link.scm 127 */
															obj_t BgL_evlibsz00_290;

															{	/* Engine/link.scm 127 */
																obj_t BgL_list1317z00_293;

																BgL_list1317z00_293 =
																	MAKE_YOUNG_PAIR(BgL_evclausesz00_214, BNIL);
																BgL_evlibsz00_290 =
																	BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
																	(BGl_proc1495z00zzengine_linkz00,
																	BgL_list1317z00_293);
															}
															{
																obj_t BgL_librariesz00_747;
																obj_t BgL_clausesz00_746;

																BgL_clausesz00_746 = BgL_restz00_215;
																BgL_librariesz00_747 =
																	BGl_appendzd221011zd2zzengine_linkz00
																	(BgL_evlibsz00_290, BgL_librariesz00_207);
																BgL_librariesz00_207 = BgL_librariesz00_747;
																BgL_clausesz00_206 = BgL_clausesz00_746;
																goto BGl_loopze70ze7zzengine_linkz00;
															}
														}
													}
												else
													{	/* Engine/link.scm 119 */
														obj_t BgL_carzd2148zd2_237;

														BgL_carzd2148zd2_237 =
															CAR(((obj_t) BgL_clausesz00_206));
														if (
															(CAR(
																	((obj_t) BgL_carzd2148zd2_237)) ==
																((obj_t) CNST_TABLE_REF(3))))
															{	/* Engine/link.scm 119 */
																obj_t BgL_arg1249z00_240;
																obj_t BgL_arg1250z00_241;

																BgL_arg1249z00_240 =
																	CDR(((obj_t) BgL_carzd2148zd2_237));
																BgL_arg1250z00_241 =
																	CDR(((obj_t) BgL_clausesz00_206));
																BgL_includesz00_217 = BgL_arg1249z00_240;
																BgL_restz00_218 = BgL_arg1250z00_241;
																{	/* Engine/link.scm 134 */
																	obj_t BgL_directivesz00_307;

																	BgL_directivesz00_307 =
																		BGl_zc3z04anonymousza31332ze3ze70z60zzengine_linkz00
																		(BgL_includesz00_217);
																	{
																		obj_t BgL_clausesz00_762;

																		BgL_clausesz00_762 =
																			BGl_appendzd221011zd2zzengine_linkz00
																			(BgL_directivesz00_307, BgL_restz00_218);
																		BgL_clausesz00_206 = BgL_clausesz00_762;
																		goto BGl_loopze70ze7zzengine_linkz00;
																	}
																}
															}
														else
															{	/* Engine/link.scm 119 */
																if (
																	(CAR(
																			((obj_t) BgL_carzd2148zd2_237)) ==
																		((obj_t) CNST_TABLE_REF(4))))
																	{	/* Engine/link.scm 119 */
																		obj_t BgL_arg1255z00_245;

																		BgL_arg1255z00_245 =
																			CDR(((obj_t) BgL_clausesz00_206));
																		BgL_restz00_220 = BgL_arg1255z00_245;
																		{	/* Engine/link.scm 139 */
																			obj_t BgL_arg1340z00_318;
																			obj_t BgL_arg1341z00_319;

																			{	/* Engine/link.scm 139 */
																				obj_t BgL_arg1342z00_320;

																				{	/* Engine/link.scm 139 */
																					obj_t BgL_arg1355z00_322;

																					BgL_arg1355z00_322 =
																						CAR(((obj_t) BgL_clausesz00_206));
																					BgL_arg1342z00_320 =
																						BGl_comptimezd2expandzf2errorz20zzexpand_epsz00
																						(BgL_arg1355z00_322);
																				}
																				{	/* Engine/link.scm 139 */
																					obj_t BgL_list1343z00_321;

																					BgL_list1343z00_321 =
																						MAKE_YOUNG_PAIR(BgL_arg1342z00_320,
																						BNIL);
																					BgL_arg1340z00_318 =
																						BgL_list1343z00_321;
																				}
																			}
																			BgL_arg1341z00_319 =
																				BGl_loopze70ze7zzengine_linkz00
																				(BgL_restz00_220, BgL_librariesz00_207);
																			{
																				obj_t BgL_librariesz00_778;
																				obj_t BgL_clausesz00_777;

																				BgL_clausesz00_777 = BgL_arg1340z00_318;
																				BgL_librariesz00_778 =
																					BgL_arg1341z00_319;
																				BgL_librariesz00_207 =
																					BgL_librariesz00_778;
																				BgL_clausesz00_206 = BgL_clausesz00_777;
																				goto BGl_loopze70ze7zzengine_linkz00;
																			}
																		}
																	}
																else
																	{	/* Engine/link.scm 119 */
																	BgL_tagzd2106zd2_222:
																		{	/* Engine/link.scm 142 */
																			obj_t BgL_arg1358z00_323;

																			BgL_arg1358z00_323 =
																				CDR(((obj_t) BgL_clausesz00_206));
																			{
																				obj_t BgL_clausesz00_781;

																				BgL_clausesz00_781 = BgL_arg1358z00_323;
																				BgL_clausesz00_206 = BgL_clausesz00_781;
																				goto BGl_loopze70ze7zzengine_linkz00;
																			}
																		}
																	}
															}
													}
											}
									}
								else
									{	/* Engine/link.scm 119 */
										goto BgL_tagzd2106zd2_222;
									}
							}
						else
							{	/* Engine/link.scm 119 */
								goto BgL_tagzd2106zd2_222;
							}
					}
			}
		}

	}



/* &find-libraries */
	obj_t BGl_z62findzd2librarieszb0zzengine_linkz00(obj_t BgL_envz00_526,
		obj_t BgL_clausesz00_527)
	{
		{	/* Engine/link.scm 118 */
			return BGl_findzd2librarieszd2zzengine_linkz00(BgL_clausesz00_527);
		}

	}



/* &<@anonymous:1318> */
	obj_t BGl_z62zc3z04anonymousza31318ze3ze5zzengine_linkz00(obj_t
		BgL_envz00_528, obj_t BgL_clausez00_529)
	{
		{	/* Engine/link.scm 127 */
			if (PAIRP(BgL_clausez00_529))
				{	/* Engine/link.scm 127 */
					if ((CAR(((obj_t) BgL_clausez00_529)) == ((obj_t) CNST_TABLE_REF(1))))
						{	/* Engine/link.scm 129 */
							obj_t BgL_arg1327z00_549;

							BgL_arg1327z00_549 = MAKE_YOUNG_PAIR(BgL_clausez00_529, BNIL);
							return
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(2)), BgL_arg1327z00_549);
						}
					else
						{	/* Engine/link.scm 127 */
							return BFALSE;
						}
				}
			else
				{	/* Engine/link.scm 127 */
					return BFALSE;
				}
		}

	}



/* find-main */
	BGL_EXPORTED_DEF obj_t BGl_findzd2mainzd2zzengine_linkz00(obj_t
		BgL_clausesz00_8)
	{
		{	/* Engine/link.scm 147 */
			{
				obj_t BgL_clausesz00_326;

				BgL_clausesz00_326 = BgL_clausesz00_8;
			BgL_zc3z04anonymousza31359ze3z87_327:
				{
					obj_t BgL_restz00_335;
					obj_t BgL_includesz00_332;
					obj_t BgL_restz00_333;

					if (NULLP(BgL_clausesz00_326))
						{	/* Engine/link.scm 148 */
							return BFALSE;
						}
					else
						{	/* Engine/link.scm 148 */
							if (PAIRP(BgL_clausesz00_326))
								{	/* Engine/link.scm 148 */
									obj_t BgL_carzd2250zd2_341;

									BgL_carzd2250zd2_341 = CAR(((obj_t) BgL_clausesz00_326));
									if (PAIRP(BgL_carzd2250zd2_341))
										{	/* Engine/link.scm 148 */
											obj_t BgL_cdrzd2254zd2_343;

											BgL_cdrzd2254zd2_343 = CDR(BgL_carzd2250zd2_341);
											if (
												(CAR(BgL_carzd2250zd2_341) ==
													((obj_t) CNST_TABLE_REF(5))))
												{	/* Engine/link.scm 148 */
													if (PAIRP(BgL_cdrzd2254zd2_343))
														{	/* Engine/link.scm 148 */
															if (NULLP(CDR(BgL_cdrzd2254zd2_343)))
																{	/* Engine/link.scm 148 */
																	return CAR(BgL_cdrzd2254zd2_343);
																}
															else
																{	/* Engine/link.scm 148 */
																BgL_tagzd2240zd2_337:
																	{	/* Engine/link.scm 163 */
																		obj_t BgL_arg1446z00_382;

																		BgL_arg1446z00_382 =
																			CDR(((obj_t) BgL_clausesz00_326));
																		{
																			obj_t BgL_clausesz00_817;

																			BgL_clausesz00_817 = BgL_arg1446z00_382;
																			BgL_clausesz00_326 = BgL_clausesz00_817;
																			goto BgL_zc3z04anonymousza31359ze3z87_327;
																		}
																	}
																}
														}
													else
														{	/* Engine/link.scm 148 */
															goto BgL_tagzd2240zd2_337;
														}
												}
											else
												{	/* Engine/link.scm 148 */
													if (
														(CAR(
																((obj_t) BgL_carzd2250zd2_341)) ==
															((obj_t) CNST_TABLE_REF(3))))
														{	/* Engine/link.scm 148 */
															obj_t BgL_arg1385z00_355;
															obj_t BgL_arg1386z00_356;

															BgL_arg1385z00_355 =
																CDR(((obj_t) BgL_carzd2250zd2_341));
															BgL_arg1386z00_356 =
																CDR(((obj_t) BgL_clausesz00_326));
															BgL_includesz00_332 = BgL_arg1385z00_355;
															BgL_restz00_333 = BgL_arg1386z00_356;
															{	/* Engine/link.scm 155 */
																obj_t BgL__ortest_1052z00_365;

																{
																	obj_t BgL_list1059z00_367;

																	BgL_list1059z00_367 = BgL_includesz00_332;
																BgL_zc3z04anonymousza31404ze3z87_368:
																	if (PAIRP(BgL_list1059z00_367))
																		{	/* Engine/link.scm 155 */
																			bool_t BgL_test1563z00_830;

																			{	/* Engine/link.scm 156 */
																				obj_t BgL_includez00_374;

																				BgL_includez00_374 =
																					CAR(BgL_list1059z00_367);
																				{	/* Engine/link.scm 156 */
																					obj_t BgL_arg1415z00_375;

																					BgL_arg1415z00_375 =
																						BGl_readzd2directiveszd2zzread_includez00
																						(BgL_includez00_374);
																					BgL_test1563z00_830 =
																						CBOOL
																						(BGl_findzd2mainzd2zzengine_linkz00
																						(BgL_arg1415z00_375));
																				}
																			}
																			if (BgL_test1563z00_830)
																				{	/* Engine/link.scm 155 */
																					BgL__ortest_1052z00_365 =
																						CAR(BgL_list1059z00_367);
																				}
																			else
																				{
																					obj_t BgL_list1059z00_836;

																					BgL_list1059z00_836 =
																						CDR(BgL_list1059z00_367);
																					BgL_list1059z00_367 =
																						BgL_list1059z00_836;
																					goto
																						BgL_zc3z04anonymousza31404ze3z87_368;
																				}
																		}
																	else
																		{	/* Engine/link.scm 155 */
																			BgL__ortest_1052z00_365 = BFALSE;
																		}
																}
																if (CBOOL(BgL__ortest_1052z00_365))
																	{	/* Engine/link.scm 155 */
																		return BgL__ortest_1052z00_365;
																	}
																else
																	{
																		obj_t BgL_clausesz00_840;

																		BgL_clausesz00_840 = BgL_restz00_333;
																		BgL_clausesz00_326 = BgL_clausesz00_840;
																		goto BgL_zc3z04anonymousza31359ze3z87_327;
																	}
															}
														}
													else
														{	/* Engine/link.scm 148 */
															bool_t BgL_test1565z00_841;

															{	/* Engine/link.scm 148 */
																obj_t BgL_tmpz00_842;

																{	/* Engine/link.scm 148 */
																	obj_t BgL_pairz00_498;

																	BgL_pairz00_498 =
																		CAR(((obj_t) BgL_clausesz00_326));
																	BgL_tmpz00_842 = CAR(BgL_pairz00_498);
																}
																BgL_test1565z00_841 =
																	(BgL_tmpz00_842 ==
																	((obj_t) CNST_TABLE_REF(4)));
															}
															if (BgL_test1565z00_841)
																{	/* Engine/link.scm 148 */
																	obj_t BgL_arg1392z00_360;

																	BgL_arg1392z00_360 =
																		CDR(((obj_t) BgL_clausesz00_326));
																	BgL_restz00_335 = BgL_arg1392z00_360;
																	{	/* Engine/link.scm 160 */
																		obj_t BgL__ortest_1053z00_377;

																		{	/* Engine/link.scm 160 */
																			obj_t BgL_arg1416z00_378;

																			{	/* Engine/link.scm 160 */
																				obj_t BgL_arg1417z00_379;

																				{	/* Engine/link.scm 160 */
																					obj_t BgL_arg1419z00_381;

																					BgL_arg1419z00_381 =
																						CAR(((obj_t) BgL_clausesz00_326));
																					BgL_arg1417z00_379 =
																						BGl_comptimezd2expandzf2errorz20zzexpand_epsz00
																						(BgL_arg1419z00_381);
																				}
																				{	/* Engine/link.scm 160 */
																					obj_t BgL_list1418z00_380;

																					BgL_list1418z00_380 =
																						MAKE_YOUNG_PAIR(BgL_arg1417z00_379,
																						BNIL);
																					BgL_arg1416z00_378 =
																						BgL_list1418z00_380;
																				}
																			}
																			BgL__ortest_1053z00_377 =
																				BGl_findzd2mainzd2zzengine_linkz00
																				(BgL_arg1416z00_378);
																		}
																		if (CBOOL(BgL__ortest_1053z00_377))
																			{	/* Engine/link.scm 160 */
																				return BgL__ortest_1053z00_377;
																			}
																		else
																			{
																				obj_t BgL_clausesz00_858;

																				BgL_clausesz00_858 = BgL_restz00_335;
																				BgL_clausesz00_326 = BgL_clausesz00_858;
																				goto
																					BgL_zc3z04anonymousza31359ze3z87_327;
																			}
																	}
																}
															else
																{	/* Engine/link.scm 148 */
																	goto BgL_tagzd2240zd2_337;
																}
														}
												}
										}
									else
										{	/* Engine/link.scm 148 */
											goto BgL_tagzd2240zd2_337;
										}
								}
							else
								{	/* Engine/link.scm 148 */
									goto BgL_tagzd2240zd2_337;
								}
						}
				}
			}
		}

	}



/* &find-main */
	obj_t BGl_z62findzd2mainzb0zzengine_linkz00(obj_t BgL_envz00_530,
		obj_t BgL_clausesz00_531)
	{
		{	/* Engine/link.scm 147 */
			return BGl_findzd2mainzd2zzengine_linkz00(BgL_clausesz00_531);
		}

	}



/* make-tmp-main */
	BGL_EXPORTED_DEF obj_t BGl_makezd2tmpzd2mainz00zzengine_linkz00(obj_t
		BgL_filez00_9, bool_t BgL_mainz00_10, obj_t BgL_modulez00_11,
		obj_t BgL_clausesz00_12, obj_t BgL_librariesz00_13)
	{
		{	/* Engine/link.scm 168 */
			{	/* Engine/link.scm 169 */
				obj_t BgL_poutz00_384;

				{	/* Engine/link.scm 169 */

					BgL_poutz00_384 =
						BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(BgL_filez00_9,
						BTRUE);
				}
				if (OUTPUT_PORTP(BgL_poutz00_384))
					{	/* Engine/link.scm 170 */
						bgl_display_string(BGl_string1496z00zzengine_linkz00,
							BgL_poutz00_384);
						bgl_display_obj(BGl_za2bigloozd2nameza2zd2zzengine_paramz00,
							BgL_poutz00_384);
						bgl_display_char(((unsigned char) 10), BgL_poutz00_384);
						bgl_display_string(BGl_string1497z00zzengine_linkz00,
							BgL_poutz00_384);
						bgl_display_char(((unsigned char) 10), BgL_poutz00_384);
						bgl_display_string(BGl_string1498z00zzengine_linkz00,
							BgL_poutz00_384);
						bgl_display_char(((unsigned char) 10), BgL_poutz00_384);
						bgl_display_char(((unsigned char) 10), BgL_poutz00_384);
						{	/* Engine/link.scm 177 */
							obj_t BgL_modz00_389;

							{	/* Engine/link.scm 178 */
								obj_t BgL_arg1457z00_391;

								{	/* Engine/link.scm 178 */
									obj_t BgL_arg1471z00_392;

									{	/* Engine/link.scm 178 */
										obj_t BgL_arg1480z00_393;

										{	/* Engine/link.scm 178 */
											obj_t BgL_arg1484z00_394;

											BgL_arg1484z00_394 = bgl_reverse(BgL_clausesz00_12);
											BgL_arg1480z00_393 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(6)), BgL_arg1484z00_394);
										}
										BgL_arg1471z00_392 =
											MAKE_YOUNG_PAIR(BgL_arg1480z00_393, BgL_librariesz00_13);
									}
									BgL_arg1457z00_391 =
										MAKE_YOUNG_PAIR(BgL_modulez00_11, BgL_arg1471z00_392);
								}
								BgL_modz00_389 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(7)), BgL_arg1457z00_391);
							}
							bgl_display_obj(BgL_modz00_389, BgL_poutz00_384);
							bgl_display_char(((unsigned char) 10), BgL_poutz00_384);
							bgl_display_char(((unsigned char) 10), BgL_poutz00_384);
						}
						if (BgL_mainz00_10)
							{	/* Engine/link.scm 182 */
								bgl_display_string(BGl_string1499z00zzengine_linkz00,
									BgL_poutz00_384);
								bgl_display_char(((unsigned char) 10), BgL_poutz00_384);
								bgl_display_char(((unsigned char) 10), BgL_poutz00_384);
							}
						else
							{	/* Engine/link.scm 182 */
								BFALSE;
							}
						return bgl_close_output_port(BgL_poutz00_384);
					}
				else
					{	/* Engine/link.scm 170 */
						return
							BGl_errorz00zz__errorz00(BGl_string1500z00zzengine_linkz00,
							BGl_string1501z00zzengine_linkz00, BgL_filez00_9);
					}
			}
		}

	}



/* &make-tmp-main */
	obj_t BGl_z62makezd2tmpzd2mainz62zzengine_linkz00(obj_t BgL_envz00_532,
		obj_t BgL_filez00_533, obj_t BgL_mainz00_534, obj_t BgL_modulez00_535,
		obj_t BgL_clausesz00_536, obj_t BgL_librariesz00_537)
	{
		{	/* Engine/link.scm 168 */
			return
				BGl_makezd2tmpzd2mainz00zzengine_linkz00(BgL_filez00_533,
				CBOOL(BgL_mainz00_534), BgL_modulez00_535, BgL_clausesz00_536,
				BgL_librariesz00_537);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzengine_linkz00(void)
	{
		{	/* Engine/link.scm 20 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzengine_linkz00(void)
	{
		{	/* Engine/link.scm 20 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzengine_linkz00(void)
	{
		{	/* Engine/link.scm 20 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzengine_linkz00(void)
	{
		{	/* Engine/link.scm 20 */
			BGl_modulezd2initializa7ationz75zzcc_ldz00(335315213L,
				BSTRING_TO_STRING(BGl_string1502z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzread_readerz00(95801752L,
				BSTRING_TO_STRING(BGl_string1502z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1502z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1502z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzinit_setrcz00(32737986L,
				BSTRING_TO_STRING(BGl_string1502z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1502z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(9470071L,
				BSTRING_TO_STRING(BGl_string1502z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1502z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzexpand_epsz00(359337187L,
				BSTRING_TO_STRING(BGl_string1502z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzexpand_installz00(291484121L,
				BSTRING_TO_STRING(BGl_string1502z00zzengine_linkz00));
			return
				BGl_modulezd2initializa7ationz75zzread_includez00(236488026L,
				BSTRING_TO_STRING(BGl_string1502z00zzengine_linkz00));
		}

	}

#ifdef __cplusplus
}
#endif
