/*===========================================================================*/
/*   (Fail/walk.scm)                                                         */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Fail/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_FAIL_WALK_TYPE_DEFINITIONS
#define BGL_FAIL_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_FAIL_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62failzd2walkz12za2zzfail_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2letzd2var1282za2zzfail_walkz00(obj_t, obj_t);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzfail_walkz00 = BUNSPEC;
	static obj_t BGl_za2errorza2z00zzfail_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2kwote1255z70zzfail_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2boxzd2ref1292za2zzfail_walkz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzfail_walkz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzfail_walkz00(void);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	static obj_t BGl_objectzd2initzd2zzfail_walkz00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2appzd2ly1265za2zzfail_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2atom1253z70zzfail_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzfail_walkz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2condition1274z70zzfail_walkz00(obj_t, obj_t);
	static obj_t BGl_failzd2nodeza2z12z62zzfail_walkz00(obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31335ze3ze5zzfail_walkz00(obj_t);
	static BgL_nodez00_bglt BGl_failzd2nodez12zc0zzfail_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62failzd2nodez121250za2zzfail_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2extern1270z70zzfail_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2switch1278z70zzfail_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62failzd2nodez12za2zzfail_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2boxzd2setz121294zb0zzfail_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2makezd2box1290za2zzfail_walkz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2var1257z70zzfail_walkz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzfail_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2letzd2fun1280za2zzfail_walkz00(obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_failzd2funz12zc0zzfail_walkz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzfail_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzfail_walkz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzfail_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzfail_walkz00(void);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2jumpzd2exzd2i1288z70zzfail_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2sequence1259z70zzfail_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2app1263z70zzfail_walkz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2setzd2exzd2it1286z70zzfail_walkz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2cast1284z70zzfail_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2setq1272z70zzfail_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2sync1261z70zzfail_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2fail1276z70zzfail_walkz00(obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_failzd2walkz12zc0zzfail_walkz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2funcall1267z70zzfail_walkz00(obj_t, obj_t);
	static obj_t __cnst[9];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2walkz12zd2envz12zzfail_walkz00,
		BgL_bgl_za762failza7d2walkza711935za7,
		BGl_z62failzd2walkz12za2zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1901z00zzfail_walkz00,
		BgL_bgl_string1901za700za7za7f1936za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1902z00zzfail_walkz00,
		BgL_bgl_string1902za700za7za7f1937za7, " error", 6);
	      DEFINE_STRING(BGl_string1903z00zzfail_walkz00,
		BgL_bgl_string1903za700za7za7f1938za7, "s", 1);
	      DEFINE_STRING(BGl_string1904z00zzfail_walkz00,
		BgL_bgl_string1904za700za7za7f1939za7, "", 0);
	      DEFINE_STRING(BGl_string1905z00zzfail_walkz00,
		BgL_bgl_string1905za700za7za7f1940za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1906z00zzfail_walkz00,
		BgL_bgl_string1906za700za7za7f1941za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1908z00zzfail_walkz00,
		BgL_bgl_string1908za700za7za7f1942za7, "fail-node!1250", 14);
	      DEFINE_STRING(BGl_string1909z00zzfail_walkz00,
		BgL_bgl_string1909za700za7za7f1943za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1900z00zzfail_walkz00,
		BgL_bgl_za762za7c3za704anonymo1944za7,
		BGl_z62zc3z04anonymousza31335ze3ze5zzfail_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1911z00zzfail_walkz00,
		BgL_bgl_string1911za700za7za7f1945za7, "fail-node!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1907z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711946za7,
		BGl_z62failzd2nodez121250za2zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1910z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711947za7,
		BGl_z62failzd2nodez12zd2atom1253z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1912z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711948za7,
		BGl_z62failzd2nodez12zd2kwote1255z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1913z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711949za7,
		BGl_z62failzd2nodez12zd2var1257z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1914z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711950za7,
		BGl_z62failzd2nodez12zd2sequence1259z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1915z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711951za7,
		BGl_z62failzd2nodez12zd2sync1261z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1916z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711952za7,
		BGl_z62failzd2nodez12zd2app1263z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1917z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711953za7,
		BGl_z62failzd2nodez12zd2appzd2ly1265za2zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711954za7,
		BGl_z62failzd2nodez12za2zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1918z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711955za7,
		BGl_z62failzd2nodez12zd2funcall1267z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1919z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711956za7,
		BGl_z62failzd2nodez12zd2extern1270z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1920z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711957za7,
		BGl_z62failzd2nodez12zd2setq1272z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1921z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711958za7,
		BGl_z62failzd2nodez12zd2condition1274z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1922z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711959za7,
		BGl_z62failzd2nodez12zd2fail1276z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1923z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711960za7,
		BGl_z62failzd2nodez12zd2switch1278z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1924z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711961za7,
		BGl_z62failzd2nodez12zd2letzd2fun1280za2zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1925z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711962za7,
		BGl_z62failzd2nodez12zd2letzd2var1282za2zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1932z00zzfail_walkz00,
		BgL_bgl_string1932za700za7za7f1963za7, "fail_walk", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1926z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711964za7,
		BGl_z62failzd2nodez12zd2cast1284z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1933z00zzfail_walkz00,
		BgL_bgl_string1933za700za7za7f1965za7,
		"value error/location location fail-node!1250 done error __error pass-started ((lambda () (set! *error* (find-global (quote error) (quote __error))))) ",
		150);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1927z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711966za7,
		BGl_z62failzd2nodez12zd2setzd2exzd2it1286z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1928z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711967za7,
		BGl_z62failzd2nodez12zd2jumpzd2exzd2i1288z70zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1929z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711968za7,
		BGl_z62failzd2nodez12zd2makezd2box1290za2zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1930z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711969za7,
		BGl_z62failzd2nodez12zd2boxzd2ref1292za2zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1931z00zzfail_walkz00,
		BgL_bgl_za762failza7d2nodeza711970za7,
		BGl_z62failzd2nodez12zd2boxzd2setz121294zb0zzfail_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1898z00zzfail_walkz00,
		BgL_bgl_string1898za700za7za7f1971za7, "Fail", 4);
	      DEFINE_STRING(BGl_string1899z00zzfail_walkz00,
		BgL_bgl_string1899za700za7za7f1972za7, "   . ", 5);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzfail_walkz00));
		     ADD_ROOT((void *) (&BGl_za2errorza2z00zzfail_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzfail_walkz00(long
		BgL_checksumz00_2127, char *BgL_fromz00_2128)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzfail_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzfail_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzfail_walkz00();
					BGl_libraryzd2moduleszd2initz00zzfail_walkz00();
					BGl_cnstzd2initzd2zzfail_walkz00();
					BGl_importedzd2moduleszd2initz00zzfail_walkz00();
					BGl_genericzd2initzd2zzfail_walkz00();
					BGl_methodzd2initzd2zzfail_walkz00();
					return BGl_toplevelzd2initzd2zzfail_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzfail_walkz00(void)
	{
		{	/* Fail/walk.scm 18 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "fail_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "fail_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"fail_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "fail_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "fail_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "fail_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "fail_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "fail_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "fail_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "fail_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"fail_walk");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "fail_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "fail_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzfail_walkz00(void)
	{
		{	/* Fail/walk.scm 18 */
			{	/* Fail/walk.scm 18 */
				obj_t BgL_cportz00_2029;

				{	/* Fail/walk.scm 18 */
					obj_t BgL_stringz00_2036;

					BgL_stringz00_2036 = BGl_string1933z00zzfail_walkz00;
					{	/* Fail/walk.scm 18 */
						obj_t BgL_startz00_2037;

						BgL_startz00_2037 = BINT(0L);
						{	/* Fail/walk.scm 18 */
							obj_t BgL_endz00_2038;

							BgL_endz00_2038 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2036)));
							{	/* Fail/walk.scm 18 */

								BgL_cportz00_2029 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2036, BgL_startz00_2037, BgL_endz00_2038);
				}}}}
				{
					long BgL_iz00_2030;

					BgL_iz00_2030 = 8L;
				BgL_loopz00_2031:
					if ((BgL_iz00_2030 == (-1L)))
						{	/* Fail/walk.scm 18 */
							return BUNSPEC;
						}
					else
						{	/* Fail/walk.scm 18 */
							{	/* Fail/walk.scm 18 */
								obj_t BgL_arg1934z00_2032;

								{	/* Fail/walk.scm 18 */

									{	/* Fail/walk.scm 18 */
										obj_t BgL_locationz00_2034;

										BgL_locationz00_2034 = BBOOL(((bool_t) 0));
										{	/* Fail/walk.scm 18 */

											BgL_arg1934z00_2032 =
												BGl_readz00zz__readerz00(BgL_cportz00_2029,
												BgL_locationz00_2034);
										}
									}
								}
								{	/* Fail/walk.scm 18 */
									int BgL_tmpz00_2161;

									BgL_tmpz00_2161 = (int) (BgL_iz00_2030);
									CNST_TABLE_SET(BgL_tmpz00_2161, BgL_arg1934z00_2032);
							}}
							{	/* Fail/walk.scm 18 */
								int BgL_auxz00_2035;

								BgL_auxz00_2035 = (int) ((BgL_iz00_2030 - 1L));
								{
									long BgL_iz00_2166;

									BgL_iz00_2166 = (long) (BgL_auxz00_2035);
									BgL_iz00_2030 = BgL_iz00_2166;
									goto BgL_loopz00_2031;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzfail_walkz00(void)
	{
		{	/* Fail/walk.scm 18 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzfail_walkz00(void)
	{
		{	/* Fail/walk.scm 18 */
			BGl_za2errorza2z00zzfail_walkz00 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* fail-walk! */
	BGL_EXPORTED_DEF obj_t BGl_failzd2walkz12zc0zzfail_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Fail/walk.scm 39 */
			{	/* Fail/walk.scm 40 */
				obj_t BgL_list1317z00_1408;

				{	/* Fail/walk.scm 40 */
					obj_t BgL_arg1318z00_1409;

					{	/* Fail/walk.scm 40 */
						obj_t BgL_arg1319z00_1410;

						BgL_arg1319z00_1410 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1318z00_1409 =
							MAKE_YOUNG_PAIR(BGl_string1898z00zzfail_walkz00,
							BgL_arg1319z00_1410);
					}
					BgL_list1317z00_1408 =
						MAKE_YOUNG_PAIR(BGl_string1899z00zzfail_walkz00,
						BgL_arg1318z00_1409);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1317z00_1408);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1898z00zzfail_walkz00;
			{	/* Fail/walk.scm 40 */
				obj_t BgL_g1110z00_1411;
				obj_t BgL_g1111z00_1412;

				{	/* Fail/walk.scm 40 */
					obj_t BgL_list1334z00_1426;

					BgL_list1334z00_1426 =
						MAKE_YOUNG_PAIR(BGl_proc1900z00zzfail_walkz00, BNIL);
					BgL_g1110z00_1411 = BgL_list1334z00_1426;
				}
				BgL_g1111z00_1412 = ((obj_t) CNST_TABLE_REF(0));
				{
					obj_t BgL_hooksz00_1414;
					obj_t BgL_hnamesz00_1415;

					BgL_hooksz00_1414 = BgL_g1110z00_1411;
					BgL_hnamesz00_1415 = BgL_g1111z00_1412;
				BgL_zc3z04anonymousza31320ze3z87_1416:
					if (NULLP(BgL_hooksz00_1414))
						{	/* Fail/walk.scm 40 */
							((obj_t) CNST_TABLE_REF(1));
						}
					else
						{	/* Fail/walk.scm 40 */
							bool_t BgL_test1976z00_2183;

							{	/* Fail/walk.scm 40 */
								obj_t BgL_fun1332z00_1423;

								BgL_fun1332z00_1423 = CAR(((obj_t) BgL_hooksz00_1414));
								BgL_test1976z00_2183 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1332z00_1423));
							}
							if (BgL_test1976z00_2183)
								{	/* Fail/walk.scm 40 */
									obj_t BgL_arg1326z00_1420;
									obj_t BgL_arg1327z00_1421;

									BgL_arg1326z00_1420 = CDR(((obj_t) BgL_hooksz00_1414));
									BgL_arg1327z00_1421 = CDR(((obj_t) BgL_hnamesz00_1415));
									{
										obj_t BgL_hnamesz00_2195;
										obj_t BgL_hooksz00_2194;

										BgL_hooksz00_2194 = BgL_arg1326z00_1420;
										BgL_hnamesz00_2195 = BgL_arg1327z00_1421;
										BgL_hnamesz00_1415 = BgL_hnamesz00_2195;
										BgL_hooksz00_1414 = BgL_hooksz00_2194;
										goto BgL_zc3z04anonymousza31320ze3z87_1416;
									}
								}
							else
								{	/* Fail/walk.scm 40 */
									obj_t BgL_arg1331z00_1422;

									BgL_arg1331z00_1422 = CAR(((obj_t) BgL_hnamesz00_1415));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1898z00zzfail_walkz00,
										BGl_string1901z00zzfail_walkz00, BgL_arg1331z00_1422);
								}
						}
				}
			}
			{
				obj_t BgL_l1238z00_1431;

				BgL_l1238z00_1431 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31337ze3z87_1432:
				if (PAIRP(BgL_l1238z00_1431))
					{	/* Fail/walk.scm 43 */
						BGl_failzd2funz12zc0zzfail_walkz00(CAR(BgL_l1238z00_1431));
						{
							obj_t BgL_l1238z00_2203;

							BgL_l1238z00_2203 = CDR(BgL_l1238z00_1431);
							BgL_l1238z00_1431 = BgL_l1238z00_2203;
							goto BgL_zc3z04anonymousza31337ze3z87_1432;
						}
					}
				else
					{	/* Fail/walk.scm 43 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) > 0L))
				{	/* Fail/walk.scm 44 */
					{	/* Fail/walk.scm 44 */
						obj_t BgL_port1240z00_1439;

						{	/* Fail/walk.scm 44 */
							obj_t BgL_tmpz00_2208;

							BgL_tmpz00_2208 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1240z00_1439 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2208);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1240z00_1439);
						bgl_display_string(BGl_string1902z00zzfail_walkz00,
							BgL_port1240z00_1439);
						{	/* Fail/walk.scm 44 */
							obj_t BgL_arg1355z00_1440;

							{	/* Fail/walk.scm 44 */
								bool_t BgL_test1979z00_2213;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Fail/walk.scm 44 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Fail/walk.scm 44 */
												BgL_test1979z00_2213 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> 1L);
											}
										else
											{	/* Fail/walk.scm 44 */
												BgL_test1979z00_2213 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(1L));
											}
									}
								else
									{	/* Fail/walk.scm 44 */
										BgL_test1979z00_2213 = ((bool_t) 0);
									}
								if (BgL_test1979z00_2213)
									{	/* Fail/walk.scm 44 */
										BgL_arg1355z00_1440 = BGl_string1903z00zzfail_walkz00;
									}
								else
									{	/* Fail/walk.scm 44 */
										BgL_arg1355z00_1440 = BGl_string1904z00zzfail_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1355z00_1440, BgL_port1240z00_1439);
						}
						bgl_display_string(BGl_string1905z00zzfail_walkz00,
							BgL_port1240z00_1439);
						bgl_display_char(((unsigned char) 10), BgL_port1240z00_1439);
					}
					{	/* Fail/walk.scm 44 */
						obj_t BgL_list1358z00_1444;

						BgL_list1358z00_1444 = MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
						BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1358z00_1444);
					}
				}
			else
				{	/* Fail/walk.scm 44 */
					obj_t BgL_g1112z00_1445;

					BgL_g1112z00_1445 = BNIL;
					{
						obj_t BgL_hooksz00_1448;
						obj_t BgL_hnamesz00_1449;

						BgL_hooksz00_1448 = BgL_g1112z00_1445;
						BgL_hnamesz00_1449 = BNIL;
					BgL_zc3z04anonymousza31359ze3z87_1450:
						if (NULLP(BgL_hooksz00_1448))
							{	/* Fail/walk.scm 44 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Fail/walk.scm 44 */
								bool_t BgL_test1983z00_2230;

								{	/* Fail/walk.scm 44 */
									obj_t BgL_fun1377z00_1457;

									BgL_fun1377z00_1457 = CAR(((obj_t) BgL_hooksz00_1448));
									BgL_test1983z00_2230 =
										CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1377z00_1457));
								}
								if (BgL_test1983z00_2230)
									{	/* Fail/walk.scm 44 */
										obj_t BgL_arg1370z00_1454;
										obj_t BgL_arg1371z00_1455;

										BgL_arg1370z00_1454 = CDR(((obj_t) BgL_hooksz00_1448));
										BgL_arg1371z00_1455 = CDR(((obj_t) BgL_hnamesz00_1449));
										{
											obj_t BgL_hnamesz00_2242;
											obj_t BgL_hooksz00_2241;

											BgL_hooksz00_2241 = BgL_arg1370z00_1454;
											BgL_hnamesz00_2242 = BgL_arg1371z00_1455;
											BgL_hnamesz00_1449 = BgL_hnamesz00_2242;
											BgL_hooksz00_1448 = BgL_hooksz00_2241;
											goto BgL_zc3z04anonymousza31359ze3z87_1450;
										}
									}
								else
									{	/* Fail/walk.scm 44 */
										obj_t BgL_arg1376z00_1456;

										BgL_arg1376z00_1456 = CAR(((obj_t) BgL_hnamesz00_1449));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1906z00zzfail_walkz00, BgL_arg1376z00_1456);
									}
							}
					}
				}
		}

	}



/* &fail-walk! */
	obj_t BGl_z62failzd2walkz12za2zzfail_walkz00(obj_t BgL_envz00_1957,
		obj_t BgL_globalsz00_1958)
	{
		{	/* Fail/walk.scm 39 */
			return BGl_failzd2walkz12zc0zzfail_walkz00(BgL_globalsz00_1958);
		}

	}



/* &<@anonymous:1335> */
	obj_t BGl_z62zc3z04anonymousza31335ze3ze5zzfail_walkz00(obj_t BgL_envz00_1959)
	{
		{	/* Fail/walk.scm 41 */
			{	/* Fail/walk.scm 42 */
				obj_t BgL_list1336z00_2040;

				BgL_list1336z00_2040 =
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(2)), BNIL);
				return (BGl_za2errorza2z00zzfail_walkz00 =
					BGl_findzd2globalzd2zzast_envz00(
						((obj_t) CNST_TABLE_REF(3)), BgL_list1336z00_2040), BUNSPEC);
			}
		}

	}



/* fail-fun! */
	obj_t BGl_failzd2funz12zc0zzfail_walkz00(obj_t BgL_varz00_18)
	{
		{	/* Fail/walk.scm 49 */
			{	/* Fail/walk.scm 51 */
				BgL_valuez00_bglt BgL_funz00_1460;

				BgL_funz00_1460 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Fail/walk.scm 51 */
					obj_t BgL_bodyz00_1461;

					BgL_bodyz00_1461 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1460)))->BgL_bodyz00);
					{	/* Fail/walk.scm 53 */

						{	/* Fail/walk.scm 54 */
							obj_t BgL_arg1379z00_1463;

							BgL_arg1379z00_1463 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
							BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1379z00_1463);
						}
						{	/* Fail/walk.scm 55 */
							BgL_nodez00_bglt BgL_arg1380z00_1464;

							BgL_arg1380z00_1464 =
								BGl_failzd2nodez12zc0zzfail_walkz00(
								((BgL_nodez00_bglt) BgL_bodyz00_1461));
							((((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_funz00_1460)))->BgL_bodyz00) =
								((obj_t) ((obj_t) BgL_arg1380z00_1464)), BUNSPEC);
						}
						return BGl_leavezd2functionzd2zztools_errorz00();
					}
				}
			}
		}

	}



/* fail-node*! */
	obj_t BGl_failzd2nodeza2z12z62zzfail_walkz00(obj_t BgL_nodeza2za2_41)
	{
		{	/* Fail/walk.scm 256 */
		BGl_failzd2nodeza2z12z62zzfail_walkz00:
			if (NULLP(BgL_nodeza2za2_41))
				{	/* Fail/walk.scm 257 */
					return ((obj_t) CNST_TABLE_REF(4));
				}
			else
				{	/* Fail/walk.scm 257 */
					{	/* Fail/walk.scm 260 */
						BgL_nodez00_bglt BgL_arg1382z00_1466;

						{	/* Fail/walk.scm 260 */
							obj_t BgL_arg1383z00_1467;

							BgL_arg1383z00_1467 = CAR(((obj_t) BgL_nodeza2za2_41));
							BgL_arg1382z00_1466 =
								BGl_failzd2nodez12zc0zzfail_walkz00(
								((BgL_nodez00_bglt) BgL_arg1383z00_1467));
						}
						{	/* Fail/walk.scm 260 */
							obj_t BgL_auxz00_2276;
							obj_t BgL_tmpz00_2274;

							BgL_auxz00_2276 = ((obj_t) BgL_arg1382z00_1466);
							BgL_tmpz00_2274 = ((obj_t) BgL_nodeza2za2_41);
							SET_CAR(BgL_tmpz00_2274, BgL_auxz00_2276);
						}
					}
					{	/* Fail/walk.scm 261 */
						obj_t BgL_arg1385z00_1468;

						BgL_arg1385z00_1468 = CDR(((obj_t) BgL_nodeza2za2_41));
						{
							obj_t BgL_nodeza2za2_2281;

							BgL_nodeza2za2_2281 = BgL_arg1385z00_1468;
							BgL_nodeza2za2_41 = BgL_nodeza2za2_2281;
							goto BGl_failzd2nodeza2z12z62zzfail_walkz00;
						}
					}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzfail_walkz00(void)
	{
		{	/* Fail/walk.scm 18 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzfail_walkz00(void)
	{
		{	/* Fail/walk.scm 18 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_proc1907z00zzfail_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string1908z00zzfail_walkz00);
		}

	}



/* &fail-node!1250 */
	obj_t BGl_z62failzd2nodez121250za2zzfail_walkz00(obj_t BgL_envz00_1961,
		obj_t BgL_nodez00_1962)
	{
		{	/* Fail/walk.scm 61 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(5)), BGl_string1909z00zzfail_walkz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_1962)));
		}

	}



/* fail-node! */
	BgL_nodez00_bglt BGl_failzd2nodez12zc0zzfail_walkz00(BgL_nodez00_bglt
		BgL_nodez00_19)
	{
		{	/* Fail/walk.scm 61 */
			{	/* Fail/walk.scm 61 */
				obj_t BgL_method1251z00_1473;

				{	/* Fail/walk.scm 61 */
					obj_t BgL_res1895z00_1898;

					{	/* Fail/walk.scm 61 */
						long BgL_objzd2classzd2numz00_1869;

						BgL_objzd2classzd2numz00_1869 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_19));
						{	/* Fail/walk.scm 61 */
							obj_t BgL_arg1862z00_1870;

							BgL_arg1862z00_1870 =
								PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
								(int) (1L));
							{	/* Fail/walk.scm 61 */
								int BgL_offsetz00_1873;

								BgL_offsetz00_1873 = (int) (BgL_objzd2classzd2numz00_1869);
								{	/* Fail/walk.scm 61 */
									long BgL_offsetz00_1874;

									BgL_offsetz00_1874 =
										((long) (BgL_offsetz00_1873) - OBJECT_TYPE);
									{	/* Fail/walk.scm 61 */
										long BgL_modz00_1875;

										BgL_modz00_1875 =
											(BgL_offsetz00_1874 >> (int) ((long) ((int) (4L))));
										{	/* Fail/walk.scm 61 */
											long BgL_restz00_1877;

											BgL_restz00_1877 =
												(BgL_offsetz00_1874 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Fail/walk.scm 61 */

												{	/* Fail/walk.scm 61 */
													obj_t BgL_bucketz00_1879;

													BgL_bucketz00_1879 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_1870), BgL_modz00_1875);
													BgL_res1895z00_1898 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1879), BgL_restz00_1877);
					}}}}}}}}
					BgL_method1251z00_1473 = BgL_res1895z00_1898;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1251z00_1473,
						((obj_t) BgL_nodez00_19)));
			}
		}

	}



/* &fail-node! */
	BgL_nodez00_bglt BGl_z62failzd2nodez12za2zzfail_walkz00(obj_t BgL_envz00_1963,
		obj_t BgL_nodez00_1964)
	{
		{	/* Fail/walk.scm 61 */
			return
				BGl_failzd2nodez12zc0zzfail_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_1964));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzfail_walkz00(void)
	{
		{	/* Fail/walk.scm 18 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_atomz00zzast_nodez00,
				BGl_proc1910z00zzfail_walkz00, BGl_string1911z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1912z00zzfail_walkz00, BGl_string1911z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_varz00zzast_nodez00,
				BGl_proc1913z00zzfail_walkz00, BGl_string1911z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1914z00zzfail_walkz00,
				BGl_string1911z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc1915z00zzfail_walkz00, BGl_string1911z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc1916z00zzfail_walkz00, BGl_string1911z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1917z00zzfail_walkz00,
				BGl_string1911z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc1918z00zzfail_walkz00, BGl_string1911z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc1919z00zzfail_walkz00, BGl_string1911z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc1920z00zzfail_walkz00, BGl_string1911z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1921z00zzfail_walkz00,
				BGl_string1911z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc1922z00zzfail_walkz00, BGl_string1911z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc1923z00zzfail_walkz00, BGl_string1911z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1924z00zzfail_walkz00,
				BGl_string1911z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1925z00zzfail_walkz00,
				BGl_string1911z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc1926z00zzfail_walkz00, BGl_string1911z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1927z00zzfail_walkz00,
				BGl_string1911z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1928z00zzfail_walkz00,
				BGl_string1911z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1929z00zzfail_walkz00,
				BGl_string1911z00zzfail_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1930z00zzfail_walkz00,
				BGl_string1911z00zzfail_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failzd2nodez12zd2envz12zzfail_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1931z00zzfail_walkz00,
				BGl_string1911z00zzfail_walkz00);
		}

	}



/* &fail-node!-box-set!1294 */
	BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2boxzd2setz121294zb0zzfail_walkz00(obj_t
		BgL_envz00_1986, obj_t BgL_nodez00_1987)
	{
		{	/* Fail/walk.scm 248 */
			{
				BgL_nodez00_bglt BgL_auxz00_2342;

				{	/* Fail/walk.scm 250 */
					BgL_nodez00_bglt BgL_arg1730z00_2043;

					BgL_arg1730z00_2043 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1987)))->BgL_valuez00);
					BgL_auxz00_2342 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1730z00_2043);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1987)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2342), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1987));
		}

	}



/* &fail-node!-box-ref1292 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2boxzd2ref1292za2zzfail_walkz00(obj_t
		BgL_envz00_1988, obj_t BgL_nodez00_1989)
	{
		{	/* Fail/walk.scm 242 */
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_1989));
		}

	}



/* &fail-node!-make-box1290 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2makezd2box1290za2zzfail_walkz00(obj_t
		BgL_envz00_1990, obj_t BgL_nodez00_1991)
	{
		{	/* Fail/walk.scm 235 */
			((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_1991)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_failzd2nodez12zc0zzfail_walkz00((((BgL_makezd2boxzd2_bglt)
								COBJECT(((BgL_makezd2boxzd2_bglt) BgL_nodez00_1991)))->
							BgL_valuez00))), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_1991));
		}

	}



/* &fail-node!-jump-ex-i1288 */
	BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2jumpzd2exzd2i1288z70zzfail_walkz00(obj_t
		BgL_envz00_1992, obj_t BgL_nodez00_1993)
	{
		{	/* Fail/walk.scm 226 */
			{
				BgL_nodez00_bglt BgL_auxz00_2359;

				{	/* Fail/walk.scm 228 */
					BgL_nodez00_bglt BgL_arg1717z00_2047;

					BgL_arg1717z00_2047 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1993)))->BgL_exitz00);
					BgL_auxz00_2359 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1717z00_2047);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1993)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2359), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2365;

				{	/* Fail/walk.scm 229 */
					BgL_nodez00_bglt BgL_arg1720z00_2048;

					BgL_arg1720z00_2048 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1993)))->
						BgL_valuez00);
					BgL_auxz00_2365 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1720z00_2048);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1993)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2365), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1993));
		}

	}



/* &fail-node!-set-ex-it1286 */
	BgL_nodez00_bglt
		BGl_z62failzd2nodez12zd2setzd2exzd2it1286z70zzfail_walkz00(obj_t
		BgL_envz00_1994, obj_t BgL_nodez00_1995)
	{
		{	/* Fail/walk.scm 218 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1995)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_failzd2nodez12zc0zzfail_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1995)))->
							BgL_bodyz00))), BUNSPEC);
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
								BgL_nodez00_1995)))->BgL_onexitz00) =
				((BgL_nodez00_bglt)
					BGl_failzd2nodez12zc0zzfail_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1995)))->
							BgL_onexitz00))), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_1995));
		}

	}



/* &fail-node!-cast1284 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2cast1284z70zzfail_walkz00(obj_t
		BgL_envz00_1996, obj_t BgL_nodez00_1997)
	{
		{	/* Fail/walk.scm 210 */
			{
				BgL_nodez00_bglt BgL_auxz00_2385;

				{	/* Fail/walk.scm 212 */
					BgL_nodez00_bglt BgL_arg1696z00_2051;

					BgL_arg1696z00_2051 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_1997)))->BgL_argz00);
					BgL_auxz00_2385 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1696z00_2051);
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_1997)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2385), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_1997));
		}

	}



/* &fail-node!-let-var1282 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2letzd2var1282za2zzfail_walkz00(obj_t
		BgL_envz00_1998, obj_t BgL_nodez00_1999)
	{
		{	/* Fail/walk.scm 199 */
			{	/* Fail/walk.scm 201 */
				obj_t BgL_g1249z00_2053;

				BgL_g1249z00_2053 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_1999)))->BgL_bindingsz00);
				{
					obj_t BgL_l1247z00_2055;

					BgL_l1247z00_2055 = BgL_g1249z00_2053;
				BgL_zc3z04anonymousza31687ze3z87_2054:
					if (PAIRP(BgL_l1247z00_2055))
						{	/* Fail/walk.scm 201 */
							{	/* Fail/walk.scm 202 */
								obj_t BgL_bindingz00_2056;

								BgL_bindingz00_2056 = CAR(BgL_l1247z00_2055);
								{	/* Fail/walk.scm 202 */
									BgL_nodez00_bglt BgL_arg1691z00_2057;

									{	/* Fail/walk.scm 202 */
										obj_t BgL_arg1692z00_2058;

										BgL_arg1692z00_2058 = CDR(((obj_t) BgL_bindingz00_2056));
										BgL_arg1691z00_2057 =
											BGl_failzd2nodez12zc0zzfail_walkz00(
											((BgL_nodez00_bglt) BgL_arg1692z00_2058));
									}
									{	/* Fail/walk.scm 202 */
										obj_t BgL_auxz00_2404;
										obj_t BgL_tmpz00_2402;

										BgL_auxz00_2404 = ((obj_t) BgL_arg1691z00_2057);
										BgL_tmpz00_2402 = ((obj_t) BgL_bindingz00_2056);
										SET_CDR(BgL_tmpz00_2402, BgL_auxz00_2404);
									}
								}
							}
							{
								obj_t BgL_l1247z00_2407;

								BgL_l1247z00_2407 = CDR(BgL_l1247z00_2055);
								BgL_l1247z00_2055 = BgL_l1247z00_2407;
								goto BgL_zc3z04anonymousza31687ze3z87_2054;
							}
						}
					else
						{	/* Fail/walk.scm 201 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2409;

				{	/* Fail/walk.scm 204 */
					BgL_nodez00_bglt BgL_arg1695z00_2059;

					BgL_arg1695z00_2059 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_1999)))->BgL_bodyz00);
					BgL_auxz00_2409 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1695z00_2059);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_1999)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2409), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_1999));
		}

	}



/* &fail-node!-let-fun1280 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2letzd2fun1280za2zzfail_walkz00(obj_t
		BgL_envz00_2000, obj_t BgL_nodez00_2001)
	{
		{	/* Fail/walk.scm 190 */
			{	/* Fail/walk.scm 192 */
				obj_t BgL_g1246z00_2061;

				BgL_g1246z00_2061 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2001)))->BgL_localsz00);
				{
					obj_t BgL_l1244z00_2063;

					BgL_l1244z00_2063 = BgL_g1246z00_2061;
				BgL_zc3z04anonymousza31676ze3z87_2062:
					if (PAIRP(BgL_l1244z00_2063))
						{	/* Fail/walk.scm 192 */
							BGl_failzd2funz12zc0zzfail_walkz00(CAR(BgL_l1244z00_2063));
							{
								obj_t BgL_l1244z00_2423;

								BgL_l1244z00_2423 = CDR(BgL_l1244z00_2063);
								BgL_l1244z00_2063 = BgL_l1244z00_2423;
								goto BgL_zc3z04anonymousza31676ze3z87_2062;
							}
						}
					else
						{	/* Fail/walk.scm 192 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2425;

				{	/* Fail/walk.scm 193 */
					BgL_nodez00_bglt BgL_arg1686z00_2064;

					BgL_arg1686z00_2064 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2001)))->BgL_bodyz00);
					BgL_auxz00_2425 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1686z00_2064);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2001)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2425), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2001));
		}

	}



/* &fail-node!-switch1278 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2switch1278z70zzfail_walkz00(obj_t
		BgL_envz00_2002, obj_t BgL_nodez00_2003)
	{
		{	/* Fail/walk.scm 179 */
			{
				BgL_nodez00_bglt BgL_auxz00_2433;

				{	/* Fail/walk.scm 181 */
					BgL_nodez00_bglt BgL_arg1663z00_2066;

					BgL_arg1663z00_2066 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2003)))->BgL_testz00);
					BgL_auxz00_2433 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1663z00_2066);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2003)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2433), BUNSPEC);
			}
			{	/* Fail/walk.scm 182 */
				obj_t BgL_g1243z00_2067;

				BgL_g1243z00_2067 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2003)))->BgL_clausesz00);
				{
					obj_t BgL_l1241z00_2069;

					BgL_l1241z00_2069 = BgL_g1243z00_2067;
				BgL_zc3z04anonymousza31664ze3z87_2068:
					if (PAIRP(BgL_l1241z00_2069))
						{	/* Fail/walk.scm 182 */
							{	/* Fail/walk.scm 183 */
								obj_t BgL_clausez00_2070;

								BgL_clausez00_2070 = CAR(BgL_l1241z00_2069);
								{	/* Fail/walk.scm 183 */
									BgL_nodez00_bglt BgL_arg1673z00_2071;

									{	/* Fail/walk.scm 183 */
										obj_t BgL_arg1674z00_2072;

										BgL_arg1674z00_2072 = CDR(((obj_t) BgL_clausez00_2070));
										BgL_arg1673z00_2071 =
											BGl_failzd2nodez12zc0zzfail_walkz00(
											((BgL_nodez00_bglt) BgL_arg1674z00_2072));
									}
									{	/* Fail/walk.scm 183 */
										obj_t BgL_auxz00_2450;
										obj_t BgL_tmpz00_2448;

										BgL_auxz00_2450 = ((obj_t) BgL_arg1673z00_2071);
										BgL_tmpz00_2448 = ((obj_t) BgL_clausez00_2070);
										SET_CDR(BgL_tmpz00_2448, BgL_auxz00_2450);
									}
								}
							}
							{
								obj_t BgL_l1241z00_2453;

								BgL_l1241z00_2453 = CDR(BgL_l1241z00_2069);
								BgL_l1241z00_2069 = BgL_l1241z00_2453;
								goto BgL_zc3z04anonymousza31664ze3z87_2068;
							}
						}
					else
						{	/* Fail/walk.scm 182 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2003));
		}

	}



/* &fail-node!-fail1276 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2fail1276z70zzfail_walkz00(obj_t
		BgL_envz00_2004, obj_t BgL_nodez00_2005)
	{
		{	/* Fail/walk.scm 160 */
			{
				BgL_nodez00_bglt BgL_auxz00_2457;

				{	/* Fail/walk.scm 162 */
					BgL_nodez00_bglt BgL_arg1605z00_2074;

					BgL_arg1605z00_2074 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2005)))->BgL_procz00);
					BgL_auxz00_2457 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1605z00_2074);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2005)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2457), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2463;

				{	/* Fail/walk.scm 163 */
					BgL_nodez00_bglt BgL_arg1611z00_2075;

					BgL_arg1611z00_2075 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2005)))->BgL_msgz00);
					BgL_auxz00_2463 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1611z00_2075);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2005)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2463), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2469;

				{	/* Fail/walk.scm 164 */
					BgL_nodez00_bglt BgL_arg1612z00_2076;

					BgL_arg1612z00_2076 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2005)))->BgL_objz00);
					BgL_auxz00_2469 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1612z00_2076);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2005)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2469), BUNSPEC);
			}
			{	/* Fail/walk.scm 165 */
				bool_t BgL_test1988z00_2475;

				{	/* Fail/walk.scm 165 */
					obj_t BgL_arg1660z00_2077;

					BgL_arg1660z00_2077 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_failz00_bglt) BgL_nodez00_2005))))->BgL_locz00);
					if (STRUCTP(BgL_arg1660z00_2077))
						{	/* Fail/walk.scm 165 */
							BgL_test1988z00_2475 =
								(STRUCT_KEY(BgL_arg1660z00_2077) ==
								((obj_t) CNST_TABLE_REF(6)));
						}
					else
						{	/* Fail/walk.scm 165 */
							BgL_test1988z00_2475 = ((bool_t) 0);
						}
				}
				if (BgL_test1988z00_2475)
					{	/* Fail/walk.scm 166 */
						obj_t BgL_arg1631z00_2078;
						obj_t BgL_arg1632z00_2079;

						{	/* Fail/walk.scm 166 */
							obj_t BgL_arg1633z00_2080;

							{	/* Fail/walk.scm 166 */
								BgL_nodez00_bglt BgL_arg1635z00_2081;
								obj_t BgL_arg1638z00_2082;

								BgL_arg1635z00_2081 =
									(((BgL_failz00_bglt) COBJECT(
											((BgL_failz00_bglt) BgL_nodez00_2005)))->BgL_procz00);
								{	/* Fail/walk.scm 166 */
									BgL_nodez00_bglt BgL_arg1642z00_2083;
									obj_t BgL_arg1643z00_2084;

									BgL_arg1642z00_2083 =
										(((BgL_failz00_bglt) COBJECT(
												((BgL_failz00_bglt) BgL_nodez00_2005)))->BgL_msgz00);
									{	/* Fail/walk.scm 166 */
										BgL_nodez00_bglt BgL_arg1648z00_2085;
										obj_t BgL_arg1649z00_2086;

										BgL_arg1648z00_2085 =
											(((BgL_failz00_bglt) COBJECT(
													((BgL_failz00_bglt) BgL_nodez00_2005)))->BgL_objz00);
										{	/* Fail/walk.scm 169 */
											obj_t BgL_arg1650z00_2087;
											obj_t BgL_arg1653z00_2088;

											{	/* Fail/walk.scm 169 */
												obj_t BgL_arg1655z00_2089;

												BgL_arg1655z00_2089 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_failz00_bglt) BgL_nodez00_2005))))->
													BgL_locz00);
												BgL_arg1650z00_2087 =
													BGl_locationzd2fullzd2fnamez00zztools_locationz00
													(BgL_arg1655z00_2089);
											}
											{	/* Fail/walk.scm 170 */
												obj_t BgL_arg1656z00_2090;

												{	/* Fail/walk.scm 170 */
													obj_t BgL_sz00_2091;

													BgL_sz00_2091 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt)
																	((BgL_failz00_bglt) BgL_nodez00_2005))))->
														BgL_locz00);
													BgL_arg1656z00_2090 =
														STRUCT_REF(BgL_sz00_2091, (int) (1L));
												}
												BgL_arg1653z00_2088 =
													MAKE_YOUNG_PAIR(BgL_arg1656z00_2090, BNIL);
											}
											BgL_arg1649z00_2086 =
												MAKE_YOUNG_PAIR(BgL_arg1650z00_2087,
												BgL_arg1653z00_2088);
										}
										BgL_arg1643z00_2084 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg1648z00_2085), BgL_arg1649z00_2086);
									}
									BgL_arg1638z00_2082 =
										MAKE_YOUNG_PAIR(
										((obj_t) BgL_arg1642z00_2083), BgL_arg1643z00_2084);
								}
								BgL_arg1633z00_2080 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg1635z00_2081), BgL_arg1638z00_2082);
							}
							BgL_arg1631z00_2078 =
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(7)), BgL_arg1633z00_2080);
						}
						BgL_arg1632z00_2079 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_failz00_bglt) BgL_nodez00_2005))))->BgL_locz00);
						return
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1631z00_2078, BNIL,
							BgL_arg1632z00_2079, ((obj_t) CNST_TABLE_REF(8)));
					}
				else
					{	/* Fail/walk.scm 165 */
						return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2005));
					}
			}
		}

	}



/* &fail-node!-condition1274 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2condition1274z70zzfail_walkz00(obj_t
		BgL_envz00_2006, obj_t BgL_nodez00_2007)
	{
		{	/* Fail/walk.scm 150 */
			{
				BgL_nodez00_bglt BgL_auxz00_2519;

				{	/* Fail/walk.scm 152 */
					BgL_nodez00_bglt BgL_arg1592z00_2093;

					BgL_arg1592z00_2093 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2007)))->BgL_testz00);
					BgL_auxz00_2519 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1592z00_2093);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2007)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2519), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2525;

				{	/* Fail/walk.scm 153 */
					BgL_nodez00_bglt BgL_arg1593z00_2094;

					BgL_arg1593z00_2094 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2007)))->BgL_truez00);
					BgL_auxz00_2525 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1593z00_2094);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2007)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2525), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2531;

				{	/* Fail/walk.scm 154 */
					BgL_nodez00_bglt BgL_arg1597z00_2095;

					BgL_arg1597z00_2095 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2007)))->BgL_falsez00);
					BgL_auxz00_2531 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1597z00_2095);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2007)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2531), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2007));
		}

	}



/* &fail-node!-setq1272 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2setq1272z70zzfail_walkz00(obj_t
		BgL_envz00_2008, obj_t BgL_nodez00_2009)
	{
		{	/* Fail/walk.scm 143 */
			((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2009)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_failzd2nodez12zc0zzfail_walkz00((((BgL_setqz00_bglt)
								COBJECT(((BgL_setqz00_bglt) BgL_nodez00_2009)))->
							BgL_valuez00))), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2009));
		}

	}



/* &fail-node!-extern1270 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2extern1270z70zzfail_walkz00(obj_t
		BgL_envz00_2010, obj_t BgL_nodez00_2011)
	{
		{	/* Fail/walk.scm 136 */
			BGl_failzd2nodeza2z12z62zzfail_walkz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2011)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2011));
		}

	}



/* &fail-node!-funcall1267 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2funcall1267z70zzfail_walkz00(obj_t
		BgL_envz00_2012, obj_t BgL_nodez00_2013)
	{
		{	/* Fail/walk.scm 127 */
			{
				BgL_nodez00_bglt BgL_auxz00_2551;

				{	/* Fail/walk.scm 129 */
					BgL_nodez00_bglt BgL_arg1578z00_2099;

					BgL_arg1578z00_2099 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2013)))->BgL_funz00);
					BgL_auxz00_2551 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1578z00_2099);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2013)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2551), BUNSPEC);
			}
			BGl_failzd2nodeza2z12z62zzfail_walkz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2013)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2013));
		}

	}



/* &fail-node!-app-ly1265 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2appzd2ly1265za2zzfail_walkz00(obj_t
		BgL_envz00_2014, obj_t BgL_nodez00_2015)
	{
		{	/* Fail/walk.scm 118 */
			{
				BgL_nodez00_bglt BgL_auxz00_2562;

				{	/* Fail/walk.scm 120 */
					BgL_nodez00_bglt BgL_arg1574z00_2101;

					BgL_arg1574z00_2101 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2015)))->BgL_funz00);
					BgL_auxz00_2562 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1574z00_2101);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2015)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2562), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2568;

				{	/* Fail/walk.scm 121 */
					BgL_nodez00_bglt BgL_arg1577z00_2102;

					BgL_arg1577z00_2102 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2015)))->BgL_argz00);
					BgL_auxz00_2568 =
						BGl_failzd2nodez12zc0zzfail_walkz00(BgL_arg1577z00_2102);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2015)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2568), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2015));
		}

	}



/* &fail-node!-app1263 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2app1263z70zzfail_walkz00(obj_t
		BgL_envz00_2016, obj_t BgL_nodez00_2017)
	{
		{	/* Fail/walk.scm 100 */
			BGl_failzd2nodeza2z12z62zzfail_walkz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2017)))->BgL_argsz00));
			{	/* Fail/walk.scm 103 */
				bool_t BgL_test1990z00_2579;

				{	/* Fail/walk.scm 103 */
					bool_t BgL_test1991z00_2580;

					{	/* Fail/walk.scm 103 */
						obj_t BgL_arg1560z00_2104;

						BgL_arg1560z00_2104 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_2017))))->BgL_locz00);
						if (STRUCTP(BgL_arg1560z00_2104))
							{	/* Fail/walk.scm 103 */
								BgL_test1991z00_2580 =
									(STRUCT_KEY(BgL_arg1560z00_2104) ==
									((obj_t) CNST_TABLE_REF(6)));
							}
						else
							{	/* Fail/walk.scm 103 */
								BgL_test1991z00_2580 = ((bool_t) 0);
							}
					}
					if (BgL_test1991z00_2580)
						{	/* Fail/walk.scm 104 */
							obj_t BgL_arg1554z00_2105;

							BgL_arg1554z00_2105 =
								((obj_t)
								(((BgL_varz00_bglt) COBJECT(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_2017)))->
												BgL_funz00)))->BgL_variablez00));
							BgL_test1990z00_2579 =
								(BgL_arg1554z00_2105 == BGl_za2errorza2z00zzfail_walkz00);
						}
					else
						{	/* Fail/walk.scm 103 */
							BgL_test1990z00_2579 = ((bool_t) 0);
						}
				}
				if (BgL_test1990z00_2579)
					{	/* Fail/walk.scm 105 */
						obj_t BgL_arg1480z00_2106;
						obj_t BgL_arg1484z00_2107;

						{	/* Fail/walk.scm 105 */
							obj_t BgL_arg1487z00_2108;

							{	/* Fail/walk.scm 105 */
								obj_t BgL_arg1489z00_2109;
								obj_t BgL_arg1490z00_2110;

								BgL_arg1489z00_2109 =
									CAR(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_nodez00_2017)))->BgL_argsz00));
								{	/* Fail/walk.scm 106 */
									obj_t BgL_arg1511z00_2111;
									obj_t BgL_arg1512z00_2112;

									{	/* Fail/walk.scm 106 */
										obj_t BgL_pairz00_2113;

										BgL_pairz00_2113 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_2017)))->BgL_argsz00);
										BgL_arg1511z00_2111 = CAR(CDR(BgL_pairz00_2113));
									}
									{	/* Fail/walk.scm 107 */
										obj_t BgL_arg1515z00_2114;
										obj_t BgL_arg1516z00_2115;

										{	/* Fail/walk.scm 107 */
											obj_t BgL_pairz00_2116;

											BgL_pairz00_2116 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_2017)))->
												BgL_argsz00);
											BgL_arg1515z00_2114 = CAR(CDR(CDR(BgL_pairz00_2116)));
										}
										{	/* Fail/walk.scm 108 */
											obj_t BgL_arg1532z00_2117;
											obj_t BgL_arg1535z00_2118;

											{	/* Fail/walk.scm 108 */
												obj_t BgL_arg1543z00_2119;

												BgL_arg1543z00_2119 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_2017))))->
													BgL_locz00);
												BgL_arg1532z00_2117 =
													BGl_locationzd2fullzd2fnamez00zztools_locationz00
													(BgL_arg1543z00_2119);
											}
											{	/* Fail/walk.scm 109 */
												obj_t BgL_arg1545z00_2120;

												{	/* Fail/walk.scm 109 */
													obj_t BgL_sz00_2121;

													BgL_sz00_2121 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_2017))))->
														BgL_locz00);
													BgL_arg1545z00_2120 =
														STRUCT_REF(BgL_sz00_2121, (int) (1L));
												}
												BgL_arg1535z00_2118 =
													MAKE_YOUNG_PAIR(BgL_arg1545z00_2120, BNIL);
											}
											BgL_arg1516z00_2115 =
												MAKE_YOUNG_PAIR(BgL_arg1532z00_2117,
												BgL_arg1535z00_2118);
										}
										BgL_arg1512z00_2112 =
											MAKE_YOUNG_PAIR(BgL_arg1515z00_2114, BgL_arg1516z00_2115);
									}
									BgL_arg1490z00_2110 =
										MAKE_YOUNG_PAIR(BgL_arg1511z00_2111, BgL_arg1512z00_2112);
								}
								BgL_arg1487z00_2108 =
									MAKE_YOUNG_PAIR(BgL_arg1489z00_2109, BgL_arg1490z00_2110);
							}
							BgL_arg1480z00_2106 =
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(7)), BgL_arg1487z00_2108);
						}
						BgL_arg1484z00_2107 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_2017))))->BgL_locz00);
						return
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1480z00_2106, BNIL,
							BgL_arg1484z00_2107, ((obj_t) CNST_TABLE_REF(8)));
					}
				else
					{	/* Fail/walk.scm 103 */
						return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2017));
					}
			}
		}

	}



/* &fail-node!-sync1261 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2sync1261z70zzfail_walkz00(obj_t
		BgL_envz00_2018, obj_t BgL_nodez00_2019)
	{
		{	/* Fail/walk.scm 91 */
			((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2019)))->BgL_mutexz00) =
				((BgL_nodez00_bglt)
					BGl_failzd2nodez12zc0zzfail_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2019)))->
							BgL_mutexz00))), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2019)))->
					BgL_prelockz00) =
				((BgL_nodez00_bglt)
					BGl_failzd2nodez12zc0zzfail_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2019)))->
							BgL_prelockz00))), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2019)))->
					BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_failzd2nodez12zc0zzfail_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_2019)))->BgL_bodyz00))),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2019));
		}

	}



/* &fail-node!-sequence1259 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2sequence1259z70zzfail_walkz00(obj_t
		BgL_envz00_2020, obj_t BgL_nodez00_2021)
	{
		{	/* Fail/walk.scm 84 */
			BGl_failzd2nodeza2z12z62zzfail_walkz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2021)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2021));
		}

	}



/* &fail-node!-var1257 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2var1257z70zzfail_walkz00(obj_t
		BgL_envz00_2022, obj_t BgL_nodez00_2023)
	{
		{	/* Fail/walk.scm 78 */
			return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2023));
		}

	}



/* &fail-node!-kwote1255 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2kwote1255z70zzfail_walkz00(obj_t
		BgL_envz00_2024, obj_t BgL_nodez00_2025)
	{
		{	/* Fail/walk.scm 72 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2025));
		}

	}



/* &fail-node!-atom1253 */
	BgL_nodez00_bglt BGl_z62failzd2nodez12zd2atom1253z70zzfail_walkz00(obj_t
		BgL_envz00_2026, obj_t BgL_nodez00_2027)
	{
		{	/* Fail/walk.scm 66 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2027));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzfail_walkz00(void)
	{
		{	/* Fail/walk.scm 18 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1932z00zzfail_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1932z00zzfail_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string1932z00zzfail_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1932z00zzfail_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1932z00zzfail_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1932z00zzfail_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1932z00zzfail_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1932z00zzfail_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1932z00zzfail_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1932z00zzfail_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1932z00zzfail_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
