/*===========================================================================*/
/*   (Flop/walk.scm)                                                         */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Flop/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_FLOP_WALK_TYPE_DEFINITIONS
#define BGL_FLOP_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


#endif													// BGL_FLOP_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_za2optimzd2specializa7ezd2flonumzf3za2z54zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzflop_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzflop_walkz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_z62nodezd2varzd2typezd2ref1298zb0zzflop_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzflop_walkz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	static obj_t BGl_za2fixnumzf3za2zf3zzflop_walkz00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zzflop_walkz00(void);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_z62flopz121286z70zzflop_walkz00(obj_t, obj_t);
	static obj_t BGl_nodezd2varzd2typez00zzflop_walkz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt BGl_z62flopz12zd2letzd2var1290z70zzflop_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62clearzd2flopzd2cachez12z70zzflop_walkz00(obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_za2flopsza2z00zzflop_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62nodezd2varzd2type1295z62zzflop_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzflop_walkz00(void);
	static obj_t BGl_za2flonumzf3za2zf3zzflop_walkz00 = BUNSPEC;
	static obj_t BGl_za2czd2fixnumzf3za2z21zzflop_walkz00 = BUNSPEC;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static bool_t BGl_iszd2booleanzf3z21zzflop_walkz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static bool_t BGl_isnumberzf3zf3zzflop_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzflop_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_initzd2flopzd2cachez12z12zzflop_walkz00(void);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzflop_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzflop_walkz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static BgL_nodez00_bglt
		BGl_z62flopz12zd2conditional1294za2zzflop_walkz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzflop_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzflop_walkz00(void);
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_za2toflonumza2z00zzflop_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62flopz12zd2app1292za2zzflop_walkz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_flopzd2walkz12zc0zzflop_walkz00(obj_t);
	static BgL_nodez00_bglt BGl_flopz12z12zzflop_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_z62initzd2flopzd2cachez12z70zzflop_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_flopzd2funz12zc0zzflop_walkz00(obj_t);
	static obj_t BGl_za2z42flonumzf3za2zb1zzflop_walkz00 = BUNSPEC;
	extern obj_t BGl_literalz00zzast_nodez00;
	static obj_t BGl_z62nodezd2varzd2typez62zzflop_walkz00(obj_t, obj_t);
	static obj_t BGl_z62flopzd2walkz12za2zzflop_walkz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62flopz12z70zzflop_walkz00(obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[16];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_flopz12zd2envzc0zzflop_walkz00,
		BgL_bgl_za762flopza712za770za7za7f2100za7, BGl_z62flopz12z70zzflop_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2079z00zzflop_walkz00,
		BgL_bgl_string2079za700za7za7f2101za7, "Flop", 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initzd2flopzd2cachez12zd2envzc0zzflop_walkz00,
		BgL_bgl_za762initza7d2flopza7d2102za7,
		BGl_z62initzd2flopzd2cachez12z70zzflop_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2080z00zzflop_walkz00,
		BgL_bgl_string2080za700za7za7f2103za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2081z00zzflop_walkz00,
		BgL_bgl_string2081za700za7za7f2104za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2082z00zzflop_walkz00,
		BgL_bgl_string2082za700za7za7f2105za7, " error", 6);
	      DEFINE_STRING(BGl_string2083z00zzflop_walkz00,
		BgL_bgl_string2083za700za7za7f2106za7, "s", 1);
	      DEFINE_STRING(BGl_string2084z00zzflop_walkz00,
		BgL_bgl_string2084za700za7za7f2107za7, "", 0);
	      DEFINE_STRING(BGl_string2085z00zzflop_walkz00,
		BgL_bgl_string2085za700za7za7f2108za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2086z00zzflop_walkz00,
		BgL_bgl_string2086za700za7za7f2109za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2088z00zzflop_walkz00,
		BgL_bgl_string2088za700za7za7f2110za7, "flop!1286", 9);
	      DEFINE_STRING(BGl_string2090z00zzflop_walkz00,
		BgL_bgl_string2090za700za7za7f2111za7, "node-var-type1295", 17);
	      DEFINE_STRING(BGl_string2092z00zzflop_walkz00,
		BgL_bgl_string2092za700za7za7f2112za7, "flop!::node", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2087z00zzflop_walkz00,
		BgL_bgl_za762flopza7121286za772113za7, BGl_z62flopz121286z70zzflop_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2089z00zzflop_walkz00,
		BgL_bgl_za762nodeza7d2varza7d22114za7,
		BGl_z62nodezd2varzd2type1295z62zzflop_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2096z00zzflop_walkz00,
		BgL_bgl_string2096za700za7za7f2115za7, "node-var-type", 13);
	      DEFINE_STRING(BGl_string2097z00zzflop_walkz00,
		BgL_bgl_string2097za700za7za7f2116za7, "flop_walk", 9);
	      DEFINE_STRING(BGl_string2098z00zzflop_walkz00,
		BgL_bgl_string2098za700za7za7f2117za7,
		"read fl |2| (+ - / *) number->flonum __r4_numbers_6_5 fixnum? __r4_numbers_6_5_fixnum c-fixnum? flonum? __r4_numbers_6_5_flonum $flonum? foreign (clear-flop-cache!) pass-started (init-flop-cache!) ",
		197);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2091z00zzflop_walkz00,
		BgL_bgl_za762flopza712za7d2let2118za7,
		BGl_z62flopz12zd2letzd2var1290z70zzflop_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2093z00zzflop_walkz00,
		BgL_bgl_za762flopza712za7d2app2119za7,
		BGl_z62flopz12zd2app1292za2zzflop_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2094z00zzflop_walkz00,
		BgL_bgl_za762flopza712za7d2con2120za7,
		BGl_z62flopz12zd2conditional1294za2zzflop_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2095z00zzflop_walkz00,
		BgL_bgl_za762nodeza7d2varza7d22121za7,
		BGl_z62nodezd2varzd2typezd2ref1298zb0zzflop_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_flopzd2walkz12zd2envz12zzflop_walkz00,
		BgL_bgl_za762flopza7d2walkza712122za7,
		BGl_z62flopzd2walkz12za2zzflop_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2varzd2typezd2envzd2zzflop_walkz00,
		BgL_bgl_za762nodeza7d2varza7d22123za7,
		BGl_z62nodezd2varzd2typez62zzflop_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_clearzd2flopzd2cachez12zd2envzc0zzflop_walkz00,
		BgL_bgl_za762clearza7d2flopza72124za7,
		BGl_z62clearzd2flopzd2cachez12z70zzflop_walkz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzflop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2fixnumzf3za2zf3zzflop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2flopsza2z00zzflop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2flonumzf3za2zf3zzflop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2czd2fixnumzf3za2z21zzflop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2toflonumza2z00zzflop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42flonumzf3za2zb1zzflop_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzflop_walkz00(long
		BgL_checksumz00_3143, char *BgL_fromz00_3144)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzflop_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzflop_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzflop_walkz00();
					BGl_libraryzd2moduleszd2initz00zzflop_walkz00();
					BGl_cnstzd2initzd2zzflop_walkz00();
					BGl_importedzd2moduleszd2initz00zzflop_walkz00();
					BGl_genericzd2initzd2zzflop_walkz00();
					BGl_methodzd2initzd2zzflop_walkz00();
					return BGl_toplevelzd2initzd2zzflop_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzflop_walkz00(void)
	{
		{	/* Flop/walk.scm 19 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"flop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"flop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"flop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "flop_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "flop_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzflop_walkz00(void)
	{
		{	/* Flop/walk.scm 19 */
			{	/* Flop/walk.scm 19 */
				obj_t BgL_cportz00_2953;

				{	/* Flop/walk.scm 19 */
					obj_t BgL_stringz00_2960;

					BgL_stringz00_2960 = BGl_string2098z00zzflop_walkz00;
					{	/* Flop/walk.scm 19 */
						obj_t BgL_startz00_2961;

						BgL_startz00_2961 = BINT(0L);
						{	/* Flop/walk.scm 19 */
							obj_t BgL_endz00_2962;

							BgL_endz00_2962 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2960)));
							{	/* Flop/walk.scm 19 */

								BgL_cportz00_2953 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2960, BgL_startz00_2961, BgL_endz00_2962);
				}}}}
				{
					long BgL_iz00_2954;

					BgL_iz00_2954 = 15L;
				BgL_loopz00_2955:
					if ((BgL_iz00_2954 == (-1L)))
						{	/* Flop/walk.scm 19 */
							return BUNSPEC;
						}
					else
						{	/* Flop/walk.scm 19 */
							{	/* Flop/walk.scm 19 */
								obj_t BgL_arg2099z00_2956;

								{	/* Flop/walk.scm 19 */

									{	/* Flop/walk.scm 19 */
										obj_t BgL_locationz00_2958;

										BgL_locationz00_2958 = BBOOL(((bool_t) 0));
										{	/* Flop/walk.scm 19 */

											BgL_arg2099z00_2956 =
												BGl_readz00zz__readerz00(BgL_cportz00_2953,
												BgL_locationz00_2958);
										}
									}
								}
								{	/* Flop/walk.scm 19 */
									int BgL_tmpz00_3178;

									BgL_tmpz00_3178 = (int) (BgL_iz00_2954);
									CNST_TABLE_SET(BgL_tmpz00_3178, BgL_arg2099z00_2956);
							}}
							{	/* Flop/walk.scm 19 */
								int BgL_auxz00_2959;

								BgL_auxz00_2959 = (int) ((BgL_iz00_2954 - 1L));
								{
									long BgL_iz00_3183;

									BgL_iz00_3183 = (long) (BgL_auxz00_2959);
									BgL_iz00_2954 = BgL_iz00_3183;
									goto BgL_loopz00_2955;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzflop_walkz00(void)
	{
		{	/* Flop/walk.scm 19 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzflop_walkz00(void)
	{
		{	/* Flop/walk.scm 19 */
			BGl_za2flopsza2z00zzflop_walkz00 = BNIL;
			BGl_za2flonumzf3za2zf3zzflop_walkz00 = BFALSE;
			BGl_za2z42flonumzf3za2zb1zzflop_walkz00 = BFALSE;
			BGl_za2fixnumzf3za2zf3zzflop_walkz00 = BFALSE;
			BGl_za2czd2fixnumzf3za2z21zzflop_walkz00 = BFALSE;
			BGl_za2toflonumza2z00zzflop_walkz00 = BFALSE;
			return BUNSPEC;
		}

	}



/* flop-walk! */
	BGL_EXPORTED_DEF obj_t BGl_flopzd2walkz12zc0zzflop_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Flop/walk.scm 44 */
			{	/* Flop/walk.scm 45 */
				obj_t BgL_list1319z00_1500;

				{	/* Flop/walk.scm 45 */
					obj_t BgL_arg1320z00_1501;

					{	/* Flop/walk.scm 45 */
						obj_t BgL_arg1321z00_1502;

						BgL_arg1321z00_1502 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1320z00_1501 =
							MAKE_YOUNG_PAIR(BGl_string2079z00zzflop_walkz00,
							BgL_arg1321z00_1502);
					}
					BgL_list1319z00_1500 =
						MAKE_YOUNG_PAIR(BGl_string2080z00zzflop_walkz00,
						BgL_arg1320z00_1501);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1319z00_1500);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2079z00zzflop_walkz00;
			{	/* Flop/walk.scm 45 */
				obj_t BgL_g1117z00_1503;
				obj_t BgL_g1118z00_1504;

				{	/* Flop/walk.scm 45 */
					obj_t BgL_list1333z00_1517;

					BgL_list1333z00_1517 =
						MAKE_YOUNG_PAIR(BGl_initzd2flopzd2cachez12zd2envzc0zzflop_walkz00,
						BNIL);
					BgL_g1117z00_1503 = BgL_list1333z00_1517;
				}
				BgL_g1118z00_1504 = ((obj_t) CNST_TABLE_REF(0));
				{
					obj_t BgL_hooksz00_1506;
					obj_t BgL_hnamesz00_1507;

					BgL_hooksz00_1506 = BgL_g1117z00_1503;
					BgL_hnamesz00_1507 = BgL_g1118z00_1504;
				BgL_zc3z04anonymousza31322ze3z87_1508:
					if (NULLP(BgL_hooksz00_1506))
						{	/* Flop/walk.scm 45 */
							((obj_t) CNST_TABLE_REF(1));
						}
					else
						{	/* Flop/walk.scm 45 */
							bool_t BgL_test2128z00_3200;

							{	/* Flop/walk.scm 45 */
								obj_t BgL_fun1332z00_1515;

								BgL_fun1332z00_1515 = CAR(((obj_t) BgL_hooksz00_1506));
								BgL_test2128z00_3200 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1332z00_1515));
							}
							if (BgL_test2128z00_3200)
								{	/* Flop/walk.scm 45 */
									obj_t BgL_arg1326z00_1512;
									obj_t BgL_arg1327z00_1513;

									BgL_arg1326z00_1512 = CDR(((obj_t) BgL_hooksz00_1506));
									BgL_arg1327z00_1513 = CDR(((obj_t) BgL_hnamesz00_1507));
									{
										obj_t BgL_hnamesz00_3212;
										obj_t BgL_hooksz00_3211;

										BgL_hooksz00_3211 = BgL_arg1326z00_1512;
										BgL_hnamesz00_3212 = BgL_arg1327z00_1513;
										BgL_hnamesz00_1507 = BgL_hnamesz00_3212;
										BgL_hooksz00_1506 = BgL_hooksz00_3211;
										goto BgL_zc3z04anonymousza31322ze3z87_1508;
									}
								}
							else
								{	/* Flop/walk.scm 45 */
									obj_t BgL_arg1331z00_1514;

									BgL_arg1331z00_1514 = CAR(((obj_t) BgL_hnamesz00_1507));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2079z00zzflop_walkz00,
										BGl_string2081z00zzflop_walkz00, BgL_arg1331z00_1514);
								}
						}
				}
			}
			if (CBOOL(BGl_za2optimzd2specializa7ezd2flonumzf3za2z54zzengine_paramz00))
				{
					obj_t BgL_l1271z00_1519;

					BgL_l1271z00_1519 = BgL_globalsz00_17;
				BgL_zc3z04anonymousza31334ze3z87_1520:
					if (PAIRP(BgL_l1271z00_1519))
						{	/* Flop/walk.scm 47 */
							BGl_flopzd2funz12zc0zzflop_walkz00(CAR(BgL_l1271z00_1519));
							{
								obj_t BgL_l1271z00_3222;

								BgL_l1271z00_3222 = CDR(BgL_l1271z00_1519);
								BgL_l1271z00_1519 = BgL_l1271z00_3222;
								goto BgL_zc3z04anonymousza31334ze3z87_1520;
							}
						}
					else
						{	/* Flop/walk.scm 47 */
							((bool_t) 1);
						}
				}
			else
				{	/* Flop/walk.scm 46 */
					((bool_t) 0);
				}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) > 0L))
				{	/* Flop/walk.scm 48 */
					{	/* Flop/walk.scm 48 */
						obj_t BgL_port1273z00_1527;

						{	/* Flop/walk.scm 48 */
							obj_t BgL_tmpz00_3227;

							BgL_tmpz00_3227 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1273z00_1527 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3227);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1273z00_1527);
						bgl_display_string(BGl_string2082z00zzflop_walkz00,
							BgL_port1273z00_1527);
						{	/* Flop/walk.scm 48 */
							obj_t BgL_arg1341z00_1528;

							{	/* Flop/walk.scm 48 */
								bool_t BgL_test2132z00_3232;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Flop/walk.scm 48 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Flop/walk.scm 48 */
												BgL_test2132z00_3232 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> 1L);
											}
										else
											{	/* Flop/walk.scm 48 */
												BgL_test2132z00_3232 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(1L));
											}
									}
								else
									{	/* Flop/walk.scm 48 */
										BgL_test2132z00_3232 = ((bool_t) 0);
									}
								if (BgL_test2132z00_3232)
									{	/* Flop/walk.scm 48 */
										BgL_arg1341z00_1528 = BGl_string2083z00zzflop_walkz00;
									}
								else
									{	/* Flop/walk.scm 48 */
										BgL_arg1341z00_1528 = BGl_string2084z00zzflop_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1341z00_1528, BgL_port1273z00_1527);
						}
						bgl_display_string(BGl_string2085z00zzflop_walkz00,
							BgL_port1273z00_1527);
						bgl_display_char(((unsigned char) 10), BgL_port1273z00_1527);
					}
					{	/* Flop/walk.scm 48 */
						obj_t BgL_list1345z00_1532;

						BgL_list1345z00_1532 = MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
						BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1345z00_1532);
					}
				}
			else
				{	/* Flop/walk.scm 48 */
					obj_t BgL_g1119z00_1533;
					obj_t BgL_g1120z00_1534;

					{	/* Flop/walk.scm 48 */
						obj_t BgL_list1361z00_1547;

						BgL_list1361z00_1547 =
							MAKE_YOUNG_PAIR
							(BGl_clearzd2flopzd2cachez12zd2envzc0zzflop_walkz00, BNIL);
						BgL_g1119z00_1533 = BgL_list1361z00_1547;
					}
					BgL_g1120z00_1534 = ((obj_t) CNST_TABLE_REF(2));
					{
						obj_t BgL_hooksz00_1536;
						obj_t BgL_hnamesz00_1537;

						BgL_hooksz00_1536 = BgL_g1119z00_1533;
						BgL_hnamesz00_1537 = BgL_g1120z00_1534;
					BgL_zc3z04anonymousza31346ze3z87_1538:
						if (NULLP(BgL_hooksz00_1536))
							{	/* Flop/walk.scm 48 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Flop/walk.scm 48 */
								bool_t BgL_test2136z00_3252;

								{	/* Flop/walk.scm 48 */
									obj_t BgL_fun1360z00_1545;

									BgL_fun1360z00_1545 = CAR(((obj_t) BgL_hooksz00_1536));
									BgL_test2136z00_3252 =
										CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1360z00_1545));
								}
								if (BgL_test2136z00_3252)
									{	/* Flop/walk.scm 48 */
										obj_t BgL_arg1355z00_1542;
										obj_t BgL_arg1358z00_1543;

										BgL_arg1355z00_1542 = CDR(((obj_t) BgL_hooksz00_1536));
										BgL_arg1358z00_1543 = CDR(((obj_t) BgL_hnamesz00_1537));
										{
											obj_t BgL_hnamesz00_3264;
											obj_t BgL_hooksz00_3263;

											BgL_hooksz00_3263 = BgL_arg1355z00_1542;
											BgL_hnamesz00_3264 = BgL_arg1358z00_1543;
											BgL_hnamesz00_1537 = BgL_hnamesz00_3264;
											BgL_hooksz00_1536 = BgL_hooksz00_3263;
											goto BgL_zc3z04anonymousza31346ze3z87_1538;
										}
									}
								else
									{	/* Flop/walk.scm 48 */
										obj_t BgL_arg1359z00_1544;

										BgL_arg1359z00_1544 = CAR(((obj_t) BgL_hnamesz00_1537));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2086z00zzflop_walkz00, BgL_arg1359z00_1544);
									}
							}
					}
				}
		}

	}



/* &flop-walk! */
	obj_t BGl_z62flopzd2walkz12za2zzflop_walkz00(obj_t BgL_envz00_2926,
		obj_t BgL_globalsz00_2927)
	{
		{	/* Flop/walk.scm 44 */
			return BGl_flopzd2walkz12zc0zzflop_walkz00(BgL_globalsz00_2927);
		}

	}



/* init-flop-cache! */
	BGL_EXPORTED_DEF obj_t BGl_initzd2flopzd2cachez12z12zzflop_walkz00(void)
	{
		{	/* Flop/walk.scm 63 */
			if (PAIRP(BGl_za2flopsza2z00zzflop_walkz00))
				{	/* Flop/walk.scm 64 */
					BFALSE;
				}
			else
				{	/* Flop/walk.scm 64 */
					{	/* Flop/walk.scm 65 */
						obj_t BgL_list1363z00_1549;

						BgL_list1363z00_1549 =
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
						BGl_za2z42flonumzf3za2zb1zzflop_walkz00 =
							BGl_findzd2globalzd2zzast_envz00(
							((obj_t) CNST_TABLE_REF(4)), BgL_list1363z00_1549);
					}
					{	/* Flop/walk.scm 66 */
						obj_t BgL_list1364z00_1550;

						BgL_list1364z00_1550 =
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(5)), BNIL);
						BGl_za2flonumzf3za2zf3zzflop_walkz00 =
							BGl_findzd2globalzd2zzast_envz00(
							((obj_t) CNST_TABLE_REF(6)), BgL_list1364z00_1550);
					}
					{	/* Flop/walk.scm 67 */
						obj_t BgL_list1365z00_1551;

						BgL_list1365z00_1551 =
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
						BGl_za2czd2fixnumzf3za2z21zzflop_walkz00 =
							BGl_findzd2globalzd2zzast_envz00(
							((obj_t) CNST_TABLE_REF(7)), BgL_list1365z00_1551);
					}
					{	/* Flop/walk.scm 68 */
						obj_t BgL_list1366z00_1552;

						BgL_list1366z00_1552 =
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(8)), BNIL);
						BGl_za2fixnumzf3za2zf3zzflop_walkz00 =
							BGl_findzd2globalzd2zzast_envz00(
							((obj_t) CNST_TABLE_REF(9)), BgL_list1366z00_1552);
					}
					{	/* Flop/walk.scm 69 */
						obj_t BgL_list1367z00_1553;

						BgL_list1367z00_1553 =
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(10)), BNIL);
						BGl_za2toflonumza2z00zzflop_walkz00 =
							BGl_findzd2globalzd2zzast_envz00(
							((obj_t) CNST_TABLE_REF(11)), BgL_list1367z00_1553);
					}
					{	/* Flop/walk.scm 71 */
						obj_t BgL_l1274z00_1554;

						BgL_l1274z00_1554 = ((obj_t) CNST_TABLE_REF(12));
						{	/* Flop/walk.scm 71 */
							obj_t BgL_head1276z00_1556;

							BgL_head1276z00_1556 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1274z00_1558;
								obj_t BgL_tail1277z00_1559;

								BgL_l1274z00_1558 = BgL_l1274z00_1554;
								BgL_tail1277z00_1559 = BgL_head1276z00_1556;
							BgL_zc3z04anonymousza31369ze3z87_1560:
								if (NULLP(BgL_l1274z00_1558))
									{	/* Flop/walk.scm 71 */
										BGl_za2flopsza2z00zzflop_walkz00 =
											CDR(BgL_head1276z00_1556);
									}
								else
									{	/* Flop/walk.scm 71 */
										obj_t BgL_newtail1278z00_1562;

										{	/* Flop/walk.scm 71 */
											obj_t BgL_arg1376z00_1564;

											{	/* Flop/walk.scm 71 */
												obj_t BgL_opz00_1565;

												BgL_opz00_1565 = CAR(((obj_t) BgL_l1274z00_1558));
												{	/* Flop/walk.scm 72 */
													obj_t BgL_arg1379z00_1566;
													obj_t BgL_arg1380z00_1567;

													{	/* Flop/walk.scm 72 */
														obj_t BgL_arg1382z00_1568;

														{	/* Flop/walk.scm 72 */
															obj_t BgL_arg1385z00_1570;

															{	/* Flop/walk.scm 72 */
																obj_t BgL_arg1386z00_1571;
																obj_t BgL_arg1388z00_1572;

																{	/* Flop/walk.scm 72 */
																	obj_t BgL_symbolz00_2174;

																	BgL_symbolz00_2174 =
																		((obj_t) CNST_TABLE_REF(13));
																	{	/* Flop/walk.scm 72 */
																		obj_t BgL_arg1486z00_2175;

																		BgL_arg1486z00_2175 =
																			SYMBOL_TO_STRING(BgL_symbolz00_2174);
																		BgL_arg1386z00_1571 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1486z00_2175);
																	}
																}
																{	/* Flop/walk.scm 72 */
																	obj_t BgL_arg1486z00_2177;

																	BgL_arg1486z00_2177 =
																		SYMBOL_TO_STRING(((obj_t) BgL_opz00_1565));
																	BgL_arg1388z00_1572 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1486z00_2177);
																}
																BgL_arg1385z00_1570 =
																	string_append(BgL_arg1386z00_1571,
																	BgL_arg1388z00_1572);
															}
															BgL_arg1382z00_1568 =
																bstring_to_symbol(BgL_arg1385z00_1570);
														}
														{	/* Flop/walk.scm 72 */
															obj_t BgL_list1383z00_1569;

															BgL_list1383z00_1569 =
																MAKE_YOUNG_PAIR(
																((obj_t) CNST_TABLE_REF(10)), BNIL);
															BgL_arg1379z00_1566 =
																BGl_findzd2globalzd2zzast_envz00
																(BgL_arg1382z00_1568, BgL_list1383z00_1569);
														}
													}
													{	/* Flop/walk.scm 73 */
														obj_t BgL_arg1390z00_1573;

														{	/* Flop/walk.scm 73 */
															obj_t BgL_arg1392z00_1575;

															{	/* Flop/walk.scm 73 */
																obj_t BgL_arg1400z00_1576;
																obj_t BgL_arg1401z00_1577;

																{	/* Flop/walk.scm 73 */
																	obj_t BgL_arg1486z00_2180;

																	BgL_arg1486z00_2180 =
																		SYMBOL_TO_STRING(((obj_t) BgL_opz00_1565));
																	BgL_arg1400z00_1576 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1486z00_2180);
																}
																{	/* Flop/walk.scm 73 */
																	obj_t BgL_symbolz00_2181;

																	BgL_symbolz00_2181 =
																		((obj_t) CNST_TABLE_REF(14));
																	{	/* Flop/walk.scm 73 */
																		obj_t BgL_arg1486z00_2182;

																		BgL_arg1486z00_2182 =
																			SYMBOL_TO_STRING(BgL_symbolz00_2181);
																		BgL_arg1401z00_1577 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1486z00_2182);
																	}
																}
																BgL_arg1392z00_1575 =
																	string_append(BgL_arg1400z00_1576,
																	BgL_arg1401z00_1577);
															}
															BgL_arg1390z00_1573 =
																bstring_to_symbol(BgL_arg1392z00_1575);
														}
														{	/* Flop/walk.scm 73 */
															obj_t BgL_list1391z00_1574;

															BgL_list1391z00_1574 =
																MAKE_YOUNG_PAIR(
																((obj_t) CNST_TABLE_REF(5)), BNIL);
															BgL_arg1380z00_1567 =
																BGl_findzd2globalzd2zzast_envz00
																(BgL_arg1390z00_1573, BgL_list1391z00_1574);
														}
													}
													BgL_arg1376z00_1564 =
														MAKE_YOUNG_PAIR(BgL_arg1379z00_1566,
														BgL_arg1380z00_1567);
												}
											}
											BgL_newtail1278z00_1562 =
												MAKE_YOUNG_PAIR(BgL_arg1376z00_1564, BNIL);
										}
										SET_CDR(BgL_tail1277z00_1559, BgL_newtail1278z00_1562);
										{	/* Flop/walk.scm 71 */
											obj_t BgL_arg1371z00_1563;

											BgL_arg1371z00_1563 = CDR(((obj_t) BgL_l1274z00_1558));
											{
												obj_t BgL_tail1277z00_3341;
												obj_t BgL_l1274z00_3340;

												BgL_l1274z00_3340 = BgL_arg1371z00_1563;
												BgL_tail1277z00_3341 = BgL_newtail1278z00_1562;
												BgL_tail1277z00_1559 = BgL_tail1277z00_3341;
												BgL_l1274z00_1558 = BgL_l1274z00_3340;
												goto BgL_zc3z04anonymousza31369ze3z87_1560;
											}
										}
									}
							}
						}
					}
				}
			return BUNSPEC;
		}

	}



/* &init-flop-cache! */
	obj_t BGl_z62initzd2flopzd2cachez12z70zzflop_walkz00(obj_t BgL_envz00_2928)
	{
		{	/* Flop/walk.scm 63 */
			return BGl_initzd2flopzd2cachez12z12zzflop_walkz00();
		}

	}



/* &clear-flop-cache! */
	obj_t BGl_z62clearzd2flopzd2cachez12z70zzflop_walkz00(obj_t BgL_envz00_2929)
	{
		{	/* Flop/walk.scm 80 */
			BGl_za2flonumzf3za2zf3zzflop_walkz00 = BFALSE;
			BGl_za2z42flonumzf3za2zb1zzflop_walkz00 = BFALSE;
			BGl_za2fixnumzf3za2zf3zzflop_walkz00 = BFALSE;
			BGl_za2czd2fixnumzf3za2z21zzflop_walkz00 = BFALSE;
			return (BGl_za2flopsza2z00zzflop_walkz00 = BNIL, BUNSPEC);
		}

	}



/* flop-fun! */
	obj_t BGl_flopzd2funz12zc0zzflop_walkz00(obj_t BgL_varz00_18)
	{
		{	/* Flop/walk.scm 90 */
			{	/* Flop/walk.scm 91 */
				obj_t BgL_arg1402z00_1579;

				BgL_arg1402z00_1579 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1402z00_1579);
			}
			{	/* Flop/walk.scm 92 */
				BgL_valuez00_bglt BgL_funz00_1580;

				BgL_funz00_1580 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Flop/walk.scm 93 */
					BgL_nodez00_bglt BgL_arg1403z00_1581;

					{	/* Flop/walk.scm 93 */
						obj_t BgL_arg1406z00_1582;

						BgL_arg1406z00_1582 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1580)))->BgL_bodyz00);
						BgL_arg1403z00_1581 =
							BGl_flopz12z12zzflop_walkz00(
							((BgL_nodez00_bglt) BgL_arg1406z00_1582));
					}
					((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1580)))->BgL_bodyz00) =
						((obj_t) ((obj_t) BgL_arg1403z00_1581)), BUNSPEC);
				}
				BGl_leavezd2functionzd2zztools_errorz00();
				return BgL_varz00_18;
			}
		}

	}



/* is-boolean? */
	bool_t BGl_iszd2booleanzf3z21zzflop_walkz00(BgL_nodez00_bglt BgL_nodez00_23,
		obj_t BgL_valz00_24)
	{
		{	/* Flop/walk.scm 253 */
			{	/* Flop/walk.scm 254 */
				bool_t BgL_test2139z00_3356;

				{	/* Flop/walk.scm 254 */
					obj_t BgL_classz00_2190;

					BgL_classz00_2190 = BGl_literalz00zzast_nodez00;
					{	/* Flop/walk.scm 254 */
						BgL_objectz00_bglt BgL_arg1858z00_2192;

						{	/* Flop/walk.scm 254 */
							obj_t BgL_tmpz00_3357;

							BgL_tmpz00_3357 = ((obj_t) ((BgL_objectz00_bglt) BgL_nodez00_23));
							BgL_arg1858z00_2192 = (BgL_objectz00_bglt) (BgL_tmpz00_3357);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Flop/walk.scm 254 */
								long BgL_idxz00_2198;

								BgL_idxz00_2198 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2192);
								BgL_test2139z00_3356 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2198 + 3L)) == BgL_classz00_2190);
							}
						else
							{	/* Flop/walk.scm 254 */
								bool_t BgL_res2055z00_2223;

								{	/* Flop/walk.scm 254 */
									obj_t BgL_oclassz00_2206;

									{	/* Flop/walk.scm 254 */
										obj_t BgL_arg1866z00_2214;
										long BgL_arg1867z00_2215;

										BgL_arg1866z00_2214 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Flop/walk.scm 254 */
											long BgL_arg1869z00_2216;

											BgL_arg1869z00_2216 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2192);
											BgL_arg1867z00_2215 = (BgL_arg1869z00_2216 - OBJECT_TYPE);
										}
										BgL_oclassz00_2206 =
											VECTOR_REF(BgL_arg1866z00_2214, BgL_arg1867z00_2215);
									}
									{	/* Flop/walk.scm 254 */
										bool_t BgL__ortest_1115z00_2207;

										BgL__ortest_1115z00_2207 =
											(BgL_classz00_2190 == BgL_oclassz00_2206);
										if (BgL__ortest_1115z00_2207)
											{	/* Flop/walk.scm 254 */
												BgL_res2055z00_2223 = BgL__ortest_1115z00_2207;
											}
										else
											{	/* Flop/walk.scm 254 */
												long BgL_odepthz00_2208;

												{	/* Flop/walk.scm 254 */
													obj_t BgL_arg1855z00_2209;

													BgL_arg1855z00_2209 = (BgL_oclassz00_2206);
													BgL_odepthz00_2208 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2209);
												}
												if ((3L < BgL_odepthz00_2208))
													{	/* Flop/walk.scm 254 */
														obj_t BgL_arg1853z00_2211;

														{	/* Flop/walk.scm 254 */
															obj_t BgL_arg1854z00_2212;

															BgL_arg1854z00_2212 = (BgL_oclassz00_2206);
															BgL_arg1853z00_2211 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2212,
																3L);
														}
														BgL_res2055z00_2223 =
															(BgL_arg1853z00_2211 == BgL_classz00_2190);
													}
												else
													{	/* Flop/walk.scm 254 */
														BgL_res2055z00_2223 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2139z00_3356 = BgL_res2055z00_2223;
							}
					}
				}
				if (BgL_test2139z00_3356)
					{	/* Flop/walk.scm 254 */
						return
							(
							(((BgL_atomz00_bglt) COBJECT(
										((BgL_atomz00_bglt)
											((BgL_literalz00_bglt) BgL_nodez00_23))))->
								BgL_valuez00) == BgL_valz00_24);
					}
				else
					{	/* Flop/walk.scm 254 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* isnumber? */
	bool_t BGl_isnumberzf3zf3zzflop_walkz00(BgL_nodez00_bglt BgL_exprz00_27,
		obj_t BgL_predz00_28, obj_t BgL_z42predz42_29)
	{
		{	/* Flop/walk.scm 269 */
			{
				BgL_letzd2varzd2_bglt BgL_exprz00_1597;
				obj_t BgL_predz00_1598;
				obj_t BgL_z42predz42_1599;

				{	/* Flop/walk.scm 286 */
					bool_t BgL_test2143z00_3384;

					{	/* Flop/walk.scm 286 */
						obj_t BgL_classz00_2386;

						BgL_classz00_2386 = BGl_appz00zzast_nodez00;
						{	/* Flop/walk.scm 286 */
							BgL_objectz00_bglt BgL_arg1858z00_2388;

							{	/* Flop/walk.scm 286 */
								obj_t BgL_tmpz00_3385;

								BgL_tmpz00_3385 = ((obj_t) BgL_exprz00_27);
								BgL_arg1858z00_2388 = (BgL_objectz00_bglt) (BgL_tmpz00_3385);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Flop/walk.scm 286 */
									long BgL_idxz00_2394;

									BgL_idxz00_2394 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2388);
									BgL_test2143z00_3384 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2394 + 3L)) == BgL_classz00_2386);
								}
							else
								{	/* Flop/walk.scm 286 */
									bool_t BgL_res2058z00_2419;

									{	/* Flop/walk.scm 286 */
										obj_t BgL_oclassz00_2402;

										{	/* Flop/walk.scm 286 */
											obj_t BgL_arg1866z00_2410;
											long BgL_arg1867z00_2411;

											BgL_arg1866z00_2410 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Flop/walk.scm 286 */
												long BgL_arg1869z00_2412;

												BgL_arg1869z00_2412 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2388);
												BgL_arg1867z00_2411 =
													(BgL_arg1869z00_2412 - OBJECT_TYPE);
											}
											BgL_oclassz00_2402 =
												VECTOR_REF(BgL_arg1866z00_2410, BgL_arg1867z00_2411);
										}
										{	/* Flop/walk.scm 286 */
											bool_t BgL__ortest_1115z00_2403;

											BgL__ortest_1115z00_2403 =
												(BgL_classz00_2386 == BgL_oclassz00_2402);
											if (BgL__ortest_1115z00_2403)
												{	/* Flop/walk.scm 286 */
													BgL_res2058z00_2419 = BgL__ortest_1115z00_2403;
												}
											else
												{	/* Flop/walk.scm 286 */
													long BgL_odepthz00_2404;

													{	/* Flop/walk.scm 286 */
														obj_t BgL_arg1855z00_2405;

														BgL_arg1855z00_2405 = (BgL_oclassz00_2402);
														BgL_odepthz00_2404 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2405);
													}
													if ((3L < BgL_odepthz00_2404))
														{	/* Flop/walk.scm 286 */
															obj_t BgL_arg1853z00_2407;

															{	/* Flop/walk.scm 286 */
																obj_t BgL_arg1854z00_2408;

																BgL_arg1854z00_2408 = (BgL_oclassz00_2402);
																BgL_arg1853z00_2407 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2408,
																	3L);
															}
															BgL_res2058z00_2419 =
																(BgL_arg1853z00_2407 == BgL_classz00_2386);
														}
													else
														{	/* Flop/walk.scm 286 */
															BgL_res2058z00_2419 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2143z00_3384 = BgL_res2058z00_2419;
								}
						}
					}
					if (BgL_test2143z00_3384)
						{	/* Flop/walk.scm 272 */
							obj_t BgL_vz00_2421;

							BgL_vz00_2421 =
								((obj_t)
								(((BgL_varz00_bglt) COBJECT(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_exprz00_27)))->
												BgL_funz00)))->BgL_variablez00));
							{	/* Flop/walk.scm 273 */
								bool_t BgL__ortest_1150z00_2423;

								BgL__ortest_1150z00_2423 = (BgL_vz00_2421 == BgL_predz00_28);
								if (BgL__ortest_1150z00_2423)
									{	/* Flop/walk.scm 273 */
										return BgL__ortest_1150z00_2423;
									}
								else
									{	/* Flop/walk.scm 273 */
										return (BgL_vz00_2421 == BgL_z42predz42_29);
									}
							}
						}
					else
						{	/* Flop/walk.scm 287 */
							bool_t BgL_test2148z00_3414;

							{	/* Flop/walk.scm 287 */
								obj_t BgL_classz00_2426;

								BgL_classz00_2426 = BGl_letzd2varzd2zzast_nodez00;
								{	/* Flop/walk.scm 287 */
									BgL_objectz00_bglt BgL_arg1858z00_2428;

									{	/* Flop/walk.scm 287 */
										obj_t BgL_tmpz00_3415;

										BgL_tmpz00_3415 = ((obj_t) BgL_exprz00_27);
										BgL_arg1858z00_2428 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3415);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Flop/walk.scm 287 */
											long BgL_idxz00_2434;

											BgL_idxz00_2434 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2428);
											BgL_test2148z00_3414 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2434 + 3L)) == BgL_classz00_2426);
										}
									else
										{	/* Flop/walk.scm 287 */
											bool_t BgL_res2059z00_2459;

											{	/* Flop/walk.scm 287 */
												obj_t BgL_oclassz00_2442;

												{	/* Flop/walk.scm 287 */
													obj_t BgL_arg1866z00_2450;
													long BgL_arg1867z00_2451;

													BgL_arg1866z00_2450 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Flop/walk.scm 287 */
														long BgL_arg1869z00_2452;

														BgL_arg1869z00_2452 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2428);
														BgL_arg1867z00_2451 =
															(BgL_arg1869z00_2452 - OBJECT_TYPE);
													}
													BgL_oclassz00_2442 =
														VECTOR_REF(BgL_arg1866z00_2450,
														BgL_arg1867z00_2451);
												}
												{	/* Flop/walk.scm 287 */
													bool_t BgL__ortest_1115z00_2443;

													BgL__ortest_1115z00_2443 =
														(BgL_classz00_2426 == BgL_oclassz00_2442);
													if (BgL__ortest_1115z00_2443)
														{	/* Flop/walk.scm 287 */
															BgL_res2059z00_2459 = BgL__ortest_1115z00_2443;
														}
													else
														{	/* Flop/walk.scm 287 */
															long BgL_odepthz00_2444;

															{	/* Flop/walk.scm 287 */
																obj_t BgL_arg1855z00_2445;

																BgL_arg1855z00_2445 = (BgL_oclassz00_2442);
																BgL_odepthz00_2444 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2445);
															}
															if ((3L < BgL_odepthz00_2444))
																{	/* Flop/walk.scm 287 */
																	obj_t BgL_arg1853z00_2447;

																	{	/* Flop/walk.scm 287 */
																		obj_t BgL_arg1854z00_2448;

																		BgL_arg1854z00_2448 = (BgL_oclassz00_2442);
																		BgL_arg1853z00_2447 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2448, 3L);
																	}
																	BgL_res2059z00_2459 =
																		(BgL_arg1853z00_2447 == BgL_classz00_2426);
																}
															else
																{	/* Flop/walk.scm 287 */
																	BgL_res2059z00_2459 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2148z00_3414 = BgL_res2059z00_2459;
										}
								}
							}
							if (BgL_test2148z00_3414)
								{	/* Flop/walk.scm 287 */
									BgL_exprz00_1597 = ((BgL_letzd2varzd2_bglt) BgL_exprz00_27);
									BgL_predz00_1598 = BgL_predz00_28;
									BgL_z42predz42_1599 = BgL_z42predz42_29;
									if (
										(bgl_list_length(
												(((BgL_letzd2varzd2_bglt) COBJECT(BgL_exprz00_1597))->
													BgL_bindingsz00)) == 1L))
										{	/* Flop/walk.scm 278 */
											bool_t BgL_test2153z00_3441;

											{	/* Flop/walk.scm 272 */
												obj_t BgL_vz00_2309;

												{
													BgL_variablez00_bglt BgL_auxz00_3442;

													{
														BgL_varz00_bglt BgL_auxz00_3443;

														{
															BgL_appz00_bglt BgL_auxz00_3444;

															{
																obj_t BgL_auxz00_3445;

																{	/* Flop/walk.scm 278 */
																	obj_t BgL_pairz00_2304;

																	BgL_pairz00_2304 =
																		(((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_exprz00_1597))->
																		BgL_bindingsz00);
																	{	/* Flop/walk.scm 278 */
																		obj_t BgL_pairz00_2307;

																		BgL_pairz00_2307 = CAR(BgL_pairz00_2304);
																		BgL_auxz00_3445 = CDR(BgL_pairz00_2307);
																	}
																}
																BgL_auxz00_3444 =
																	((BgL_appz00_bglt) BgL_auxz00_3445);
															}
															BgL_auxz00_3443 =
																(((BgL_appz00_bglt) COBJECT(BgL_auxz00_3444))->
																BgL_funz00);
														}
														BgL_auxz00_3442 =
															(((BgL_varz00_bglt) COBJECT(BgL_auxz00_3443))->
															BgL_variablez00);
													}
													BgL_vz00_2309 = ((obj_t) BgL_auxz00_3442);
												}
												{	/* Flop/walk.scm 273 */
													bool_t BgL__ortest_1150z00_2311;

													BgL__ortest_1150z00_2311 =
														(BgL_vz00_2309 == BgL_predz00_1598);
													if (BgL__ortest_1150z00_2311)
														{	/* Flop/walk.scm 273 */
															BgL_test2153z00_3441 = BgL__ortest_1150z00_2311;
														}
													else
														{	/* Flop/walk.scm 273 */
															BgL_test2153z00_3441 =
																(BgL_vz00_2309 == BgL_z42predz42_1599);
														}
												}
											}
											if (BgL_test2153z00_3441)
												{	/* Flop/walk.scm 279 */
													bool_t BgL_test2155z00_3456;

													{	/* Flop/walk.scm 279 */
														BgL_nodez00_bglt BgL_arg1515z00_1618;

														BgL_arg1515z00_1618 =
															(((BgL_letzd2varzd2_bglt)
																COBJECT(BgL_exprz00_1597))->BgL_bodyz00);
														{	/* Flop/walk.scm 279 */
															obj_t BgL_classz00_2314;

															BgL_classz00_2314 =
																BGl_conditionalz00zzast_nodez00;
															{	/* Flop/walk.scm 279 */
																BgL_objectz00_bglt BgL_arg1858z00_2316;

																{	/* Flop/walk.scm 279 */
																	obj_t BgL_tmpz00_3458;

																	BgL_tmpz00_3458 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg1515z00_1618));
																	BgL_arg1858z00_2316 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_3458);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Flop/walk.scm 279 */
																		long BgL_idxz00_2322;

																		BgL_idxz00_2322 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_2316);
																		BgL_test2155z00_3456 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2322 + 3L)) ==
																			BgL_classz00_2314);
																	}
																else
																	{	/* Flop/walk.scm 279 */
																		bool_t BgL_res2056z00_2347;

																		{	/* Flop/walk.scm 279 */
																			obj_t BgL_oclassz00_2330;

																			{	/* Flop/walk.scm 279 */
																				obj_t BgL_arg1866z00_2338;
																				long BgL_arg1867z00_2339;

																				BgL_arg1866z00_2338 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Flop/walk.scm 279 */
																					long BgL_arg1869z00_2340;

																					BgL_arg1869z00_2340 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_2316);
																					BgL_arg1867z00_2339 =
																						(BgL_arg1869z00_2340 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2330 =
																					VECTOR_REF(BgL_arg1866z00_2338,
																					BgL_arg1867z00_2339);
																			}
																			{	/* Flop/walk.scm 279 */
																				bool_t BgL__ortest_1115z00_2331;

																				BgL__ortest_1115z00_2331 =
																					(BgL_classz00_2314 ==
																					BgL_oclassz00_2330);
																				if (BgL__ortest_1115z00_2331)
																					{	/* Flop/walk.scm 279 */
																						BgL_res2056z00_2347 =
																							BgL__ortest_1115z00_2331;
																					}
																				else
																					{	/* Flop/walk.scm 279 */
																						long BgL_odepthz00_2332;

																						{	/* Flop/walk.scm 279 */
																							obj_t BgL_arg1855z00_2333;

																							BgL_arg1855z00_2333 =
																								(BgL_oclassz00_2330);
																							BgL_odepthz00_2332 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_2333);
																						}
																						if ((3L < BgL_odepthz00_2332))
																							{	/* Flop/walk.scm 279 */
																								obj_t BgL_arg1853z00_2335;

																								{	/* Flop/walk.scm 279 */
																									obj_t BgL_arg1854z00_2336;

																									BgL_arg1854z00_2336 =
																										(BgL_oclassz00_2330);
																									BgL_arg1853z00_2335 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_2336, 3L);
																								}
																								BgL_res2056z00_2347 =
																									(BgL_arg1853z00_2335 ==
																									BgL_classz00_2314);
																							}
																						else
																							{	/* Flop/walk.scm 279 */
																								BgL_res2056z00_2347 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2155z00_3456 = BgL_res2056z00_2347;
																	}
															}
														}
													}
													if (BgL_test2155z00_3456)
														{	/* Flop/walk.scm 280 */
															BgL_conditionalz00_bglt BgL_i1152z00_1610;

															BgL_i1152z00_1610 =
																((BgL_conditionalz00_bglt)
																(((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_exprz00_1597))->BgL_bodyz00));
															{	/* Flop/walk.scm 281 */
																bool_t BgL_test2159z00_3483;

																{	/* Flop/walk.scm 281 */
																	BgL_nodez00_bglt BgL_arg1513z00_1617;

																	BgL_arg1513z00_1617 =
																		(((BgL_conditionalz00_bglt)
																			COBJECT(BgL_i1152z00_1610))->BgL_testz00);
																	{	/* Flop/walk.scm 281 */
																		obj_t BgL_classz00_2348;

																		BgL_classz00_2348 = BGl_varz00zzast_nodez00;
																		{	/* Flop/walk.scm 281 */
																			BgL_objectz00_bglt BgL_arg1858z00_2350;

																			{	/* Flop/walk.scm 281 */
																				obj_t BgL_tmpz00_3485;

																				BgL_tmpz00_3485 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_arg1513z00_1617));
																				BgL_arg1858z00_2350 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_3485);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Flop/walk.scm 281 */
																					long BgL_idxz00_2356;

																					BgL_idxz00_2356 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_2350);
																					BgL_test2159z00_3483 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2356 + 2L)) ==
																						BgL_classz00_2348);
																				}
																			else
																				{	/* Flop/walk.scm 281 */
																					bool_t BgL_res2057z00_2381;

																					{	/* Flop/walk.scm 281 */
																						obj_t BgL_oclassz00_2364;

																						{	/* Flop/walk.scm 281 */
																							obj_t BgL_arg1866z00_2372;
																							long BgL_arg1867z00_2373;

																							BgL_arg1866z00_2372 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Flop/walk.scm 281 */
																								long BgL_arg1869z00_2374;

																								BgL_arg1869z00_2374 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_2350);
																								BgL_arg1867z00_2373 =
																									(BgL_arg1869z00_2374 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2364 =
																								VECTOR_REF(BgL_arg1866z00_2372,
																								BgL_arg1867z00_2373);
																						}
																						{	/* Flop/walk.scm 281 */
																							bool_t BgL__ortest_1115z00_2365;

																							BgL__ortest_1115z00_2365 =
																								(BgL_classz00_2348 ==
																								BgL_oclassz00_2364);
																							if (BgL__ortest_1115z00_2365)
																								{	/* Flop/walk.scm 281 */
																									BgL_res2057z00_2381 =
																										BgL__ortest_1115z00_2365;
																								}
																							else
																								{	/* Flop/walk.scm 281 */
																									long BgL_odepthz00_2366;

																									{	/* Flop/walk.scm 281 */
																										obj_t BgL_arg1855z00_2367;

																										BgL_arg1855z00_2367 =
																											(BgL_oclassz00_2364);
																										BgL_odepthz00_2366 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_2367);
																									}
																									if ((2L < BgL_odepthz00_2366))
																										{	/* Flop/walk.scm 281 */
																											obj_t BgL_arg1853z00_2369;

																											{	/* Flop/walk.scm 281 */
																												obj_t
																													BgL_arg1854z00_2370;
																												BgL_arg1854z00_2370 =
																													(BgL_oclassz00_2364);
																												BgL_arg1853z00_2369 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_2370,
																													2L);
																											}
																											BgL_res2057z00_2381 =
																												(BgL_arg1853z00_2369 ==
																												BgL_classz00_2348);
																										}
																									else
																										{	/* Flop/walk.scm 281 */
																											BgL_res2057z00_2381 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2159z00_3483 =
																						BgL_res2057z00_2381;
																				}
																		}
																	}
																}
																if (BgL_test2159z00_3483)
																	{	/* Flop/walk.scm 283 */
																		obj_t BgL_tmpz00_3508;

																		{	/* Flop/walk.scm 283 */
																			obj_t BgL_pairz00_2382;

																			BgL_pairz00_2382 =
																				(((BgL_letzd2varzd2_bglt)
																					COBJECT(BgL_exprz00_1597))->
																				BgL_bindingsz00);
																			BgL_tmpz00_3508 =
																				CAR(CAR(BgL_pairz00_2382));
																		}
																		return
																			(
																			((obj_t)
																				(((BgL_varz00_bglt) COBJECT(
																							((BgL_varz00_bglt)
																								(((BgL_conditionalz00_bglt)
																										COBJECT
																										(BgL_i1152z00_1610))->
																									BgL_testz00))))->
																					BgL_variablez00)) == BgL_tmpz00_3508);
																	}
																else
																	{	/* Flop/walk.scm 281 */
																		return ((bool_t) 0);
																	}
															}
														}
													else
														{	/* Flop/walk.scm 279 */
															return ((bool_t) 0);
														}
												}
											else
												{	/* Flop/walk.scm 278 */
													return ((bool_t) 0);
												}
										}
									else
										{	/* Flop/walk.scm 277 */
											return ((bool_t) 0);
										}
								}
							else
								{	/* Flop/walk.scm 287 */
									return ((bool_t) 0);
								}
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzflop_walkz00(void)
	{
		{	/* Flop/walk.scm 19 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzflop_walkz00(void)
	{
		{	/* Flop/walk.scm 19 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_flopz12zd2envzc0zzflop_walkz00, BGl_proc2087z00zzflop_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string2088z00zzflop_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2varzd2typezd2envzd2zzflop_walkz00,
				BGl_proc2089z00zzflop_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2090z00zzflop_walkz00);
		}

	}



/* &node-var-type1295 */
	obj_t BGl_z62nodezd2varzd2type1295z62zzflop_walkz00(obj_t BgL_envz00_2934,
		obj_t BgL_nodez00_2935)
	{
		{	/* Flop/walk.scm 296 */
			return
				((obj_t)
				(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_nodez00_2935)))->BgL_typez00));
		}

	}



/* &flop!1286 */
	obj_t BGl_z62flopz121286z70zzflop_walkz00(obj_t BgL_envz00_2936,
		obj_t BgL_nodez00_2937)
	{
		{	/* Flop/walk.scm 100 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_2937),
					BGl_flopz12zd2envzc0zzflop_walkz00));
		}

	}



/* flop! */
	BgL_nodez00_bglt BGl_flopz12z12zzflop_walkz00(BgL_nodez00_bglt BgL_nodez00_19)
	{
		{	/* Flop/walk.scm 100 */
			{	/* Flop/walk.scm 100 */
				obj_t BgL_method1288z00_1644;

				{	/* Flop/walk.scm 100 */
					obj_t BgL_res2064z00_2492;

					{	/* Flop/walk.scm 100 */
						long BgL_objzd2classzd2numz00_2463;

						BgL_objzd2classzd2numz00_2463 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_19));
						{	/* Flop/walk.scm 100 */
							obj_t BgL_arg1862z00_2464;

							BgL_arg1862z00_2464 =
								PROCEDURE_REF(BGl_flopz12zd2envzc0zzflop_walkz00, (int) (1L));
							{	/* Flop/walk.scm 100 */
								int BgL_offsetz00_2467;

								BgL_offsetz00_2467 = (int) (BgL_objzd2classzd2numz00_2463);
								{	/* Flop/walk.scm 100 */
									long BgL_offsetz00_2468;

									BgL_offsetz00_2468 =
										((long) (BgL_offsetz00_2467) - OBJECT_TYPE);
									{	/* Flop/walk.scm 100 */
										long BgL_modz00_2469;

										BgL_modz00_2469 =
											(BgL_offsetz00_2468 >> (int) ((long) ((int) (4L))));
										{	/* Flop/walk.scm 100 */
											long BgL_restz00_2471;

											BgL_restz00_2471 =
												(BgL_offsetz00_2468 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Flop/walk.scm 100 */

												{	/* Flop/walk.scm 100 */
													obj_t BgL_bucketz00_2473;

													BgL_bucketz00_2473 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2464), BgL_modz00_2469);
													BgL_res2064z00_2492 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2473), BgL_restz00_2471);
					}}}}}}}}
					BgL_method1288z00_1644 = BgL_res2064z00_2492;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1288z00_1644,
						((obj_t) BgL_nodez00_19)));
			}
		}

	}



/* &flop! */
	BgL_nodez00_bglt BGl_z62flopz12z70zzflop_walkz00(obj_t BgL_envz00_2932,
		obj_t BgL_nodez00_2933)
	{
		{	/* Flop/walk.scm 100 */
			return
				BGl_flopz12z12zzflop_walkz00(((BgL_nodez00_bglt) BgL_nodez00_2933));
		}

	}



/* node-var-type */
	obj_t BGl_nodezd2varzd2typez00zzflop_walkz00(BgL_nodez00_bglt BgL_nodez00_32)
	{
		{	/* Flop/walk.scm 296 */
			{	/* Flop/walk.scm 296 */
				obj_t BgL_method1296z00_1645;

				{	/* Flop/walk.scm 296 */
					obj_t BgL_res2069z00_2523;

					{	/* Flop/walk.scm 296 */
						long BgL_objzd2classzd2numz00_2494;

						BgL_objzd2classzd2numz00_2494 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_32));
						{	/* Flop/walk.scm 296 */
							obj_t BgL_arg1862z00_2495;

							BgL_arg1862z00_2495 =
								PROCEDURE_REF(BGl_nodezd2varzd2typezd2envzd2zzflop_walkz00,
								(int) (1L));
							{	/* Flop/walk.scm 296 */
								int BgL_offsetz00_2498;

								BgL_offsetz00_2498 = (int) (BgL_objzd2classzd2numz00_2494);
								{	/* Flop/walk.scm 296 */
									long BgL_offsetz00_2499;

									BgL_offsetz00_2499 =
										((long) (BgL_offsetz00_2498) - OBJECT_TYPE);
									{	/* Flop/walk.scm 296 */
										long BgL_modz00_2500;

										BgL_modz00_2500 =
											(BgL_offsetz00_2499 >> (int) ((long) ((int) (4L))));
										{	/* Flop/walk.scm 296 */
											long BgL_restz00_2502;

											BgL_restz00_2502 =
												(BgL_offsetz00_2499 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Flop/walk.scm 296 */

												{	/* Flop/walk.scm 296 */
													obj_t BgL_bucketz00_2504;

													BgL_bucketz00_2504 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2495), BgL_modz00_2500);
													BgL_res2069z00_2523 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2504), BgL_restz00_2502);
					}}}}}}}}
					BgL_method1296z00_1645 = BgL_res2069z00_2523;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1296z00_1645, ((obj_t) BgL_nodez00_32));
			}
		}

	}



/* &node-var-type */
	obj_t BGl_z62nodezd2varzd2typez62zzflop_walkz00(obj_t BgL_envz00_2938,
		obj_t BgL_nodez00_2939)
	{
		{	/* Flop/walk.scm 296 */
			return
				BGl_nodezd2varzd2typez00zzflop_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2939));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzflop_walkz00(void)
	{
		{	/* Flop/walk.scm 19 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_flopz12zd2envzc0zzflop_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2091z00zzflop_walkz00, BGl_string2092z00zzflop_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_flopz12zd2envzc0zzflop_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2093z00zzflop_walkz00, BGl_string2092z00zzflop_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_flopz12zd2envzc0zzflop_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc2094z00zzflop_walkz00, BGl_string2092z00zzflop_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2varzd2typezd2envzd2zzflop_walkz00, BGl_refz00zzast_nodez00,
				BGl_proc2095z00zzflop_walkz00, BGl_string2096z00zzflop_walkz00);
		}

	}



/* &node-var-type-ref1298 */
	obj_t BGl_z62nodezd2varzd2typezd2ref1298zb0zzflop_walkz00(obj_t
		BgL_envz00_2944, obj_t BgL_nodez00_2945)
	{
		{	/* Flop/walk.scm 302 */
			return
				((obj_t)
				(((BgL_variablez00_bglt) COBJECT(
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt)
											((BgL_refz00_bglt) BgL_nodez00_2945))))->
								BgL_variablez00)))->BgL_typez00));
		}

	}



/* &flop!-conditional1294 */
	BgL_nodez00_bglt BGl_z62flopz12zd2conditional1294za2zzflop_walkz00(obj_t
		BgL_envz00_2946, obj_t BgL_nodez00_2947)
	{
		{	/* Flop/walk.scm 232 */
			BGl_walk0z12z12zzast_walkz00(
				((BgL_nodez00_bglt)
					((BgL_conditionalz00_bglt) BgL_nodez00_2947)),
				BGl_flopz12zd2envzc0zzflop_walkz00);
			{	/* Flop/walk.scm 236 */
				bool_t BgL_test2163z00_3603;

				if (BGl_iszd2booleanzf3z21zzflop_walkz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2947)))->BgL_truez00),
						BTRUE))
					{	/* Flop/walk.scm 236 */
						BgL_test2163z00_3603 =
							BGl_iszd2booleanzf3z21zzflop_walkz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2947)))->
								BgL_falsez00), BTRUE);
					}
				else
					{	/* Flop/walk.scm 236 */
						BgL_test2163z00_3603 = ((bool_t) 0);
					}
				if (BgL_test2163z00_3603)
					{	/* Flop/walk.scm 237 */
						BgL_literalz00_bglt BgL_new1146z00_2968;

						{	/* Flop/walk.scm 237 */
							BgL_literalz00_bglt BgL_new1145z00_2969;

							BgL_new1145z00_2969 =
								((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_literalz00_bgl))));
							{	/* Flop/walk.scm 237 */
								long BgL_arg1965z00_2970;

								BgL_arg1965z00_2970 =
									BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1145z00_2969),
									BgL_arg1965z00_2970);
							}
							{	/* Flop/walk.scm 237 */
								BgL_objectz00_bglt BgL_tmpz00_3615;

								BgL_tmpz00_3615 = ((BgL_objectz00_bglt) BgL_new1145z00_2969);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3615, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1145z00_2969);
							BgL_new1146z00_2968 = BgL_new1145z00_2969;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1146z00_2968)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1146z00_2968)))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_za2boolza2z00zztype_cachez00)), BUNSPEC);
						((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
											BgL_new1146z00_2968)))->BgL_valuez00) =
							((obj_t) BTRUE), BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1146z00_2968);
					}
				else
					{	/* Flop/walk.scm 240 */
						bool_t BgL_test2165z00_3627;

						if (BGl_iszd2booleanzf3z21zzflop_walkz00(
								(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2947)))->
									BgL_truez00), BFALSE))
							{	/* Flop/walk.scm 240 */
								BgL_test2165z00_3627 =
									BGl_iszd2booleanzf3z21zzflop_walkz00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2947)))->
										BgL_falsez00), BFALSE);
							}
						else
							{	/* Flop/walk.scm 240 */
								BgL_test2165z00_3627 = ((bool_t) 0);
							}
						if (BgL_test2165z00_3627)
							{	/* Flop/walk.scm 241 */
								BgL_literalz00_bglt BgL_new1148z00_2971;

								{	/* Flop/walk.scm 241 */
									BgL_literalz00_bglt BgL_new1147z00_2972;

									BgL_new1147z00_2972 =
										((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_literalz00_bgl))));
									{	/* Flop/walk.scm 241 */
										long BgL_arg1971z00_2973;

										BgL_arg1971z00_2973 =
											BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1147z00_2972),
											BgL_arg1971z00_2973);
									}
									{	/* Flop/walk.scm 241 */
										BgL_objectz00_bglt BgL_tmpz00_3639;

										BgL_tmpz00_3639 =
											((BgL_objectz00_bglt) BgL_new1147z00_2972);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3639, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1147z00_2972);
									BgL_new1148z00_2971 = BgL_new1147z00_2972;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1148z00_2971)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1148z00_2971)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2boolza2z00zztype_cachez00)), BUNSPEC);
								((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
													BgL_new1148z00_2971)))->BgL_valuez00) =
									((obj_t) BFALSE), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1148z00_2971);
							}
						else
							{	/* Flop/walk.scm 240 */
								if (
									(BGl_nodezd2varzd2typez00zzflop_walkz00(
											(((BgL_conditionalz00_bglt) COBJECT(
														((BgL_conditionalz00_bglt) BgL_nodez00_2947)))->
												BgL_truez00)) ==
										BGl_nodezd2varzd2typez00zzflop_walkz00(((
													(BgL_conditionalz00_bglt)
													COBJECT(((BgL_conditionalz00_bglt)
															BgL_nodez00_2947)))->BgL_falsez00))))
									{	/* Flop/walk.scm 244 */
										{
											BgL_typez00_bglt BgL_auxz00_3659;

											{	/* Flop/walk.scm 245 */
												BgL_nodez00_bglt BgL_arg1978z00_2974;

												BgL_arg1978z00_2974 =
													(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt) BgL_nodez00_2947)))->
													BgL_truez00);
												BgL_auxz00_3659 =
													((BgL_typez00_bglt)
													BGl_nodezd2varzd2typez00zzflop_walkz00
													(BgL_arg1978z00_2974));
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_conditionalz00_bglt)
																	BgL_nodez00_2947))))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_auxz00_3659), BUNSPEC);
										}
										return
											((BgL_nodez00_bglt)
											((BgL_conditionalz00_bglt) BgL_nodez00_2947));
									}
								else
									{	/* Flop/walk.scm 244 */
										return
											((BgL_nodez00_bglt)
											((BgL_conditionalz00_bglt) BgL_nodez00_2947));
									}
							}
					}
			}
		}

	}



/* &flop!-app1292 */
	BgL_nodez00_bglt BGl_z62flopz12zd2app1292za2zzflop_walkz00(obj_t
		BgL_envz00_2948, obj_t BgL_nodez00_2949)
	{
		{	/* Flop/walk.scm 169 */
			{
				obj_t BgL_opz00_2995;
				BgL_appz00_bglt BgL_nodez00_2996;
				BgL_varz00_bglt BgL_funz00_2997;
				obj_t BgL_argsz00_2998;
				obj_t BgL_argsz00_2978;
				bool_t BgL_boolz00_2979;

				if (
					(((obj_t)
							(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_2949))))->BgL_typez00)) ==
						((obj_t)
							(((BgL_variablez00_bglt) COBJECT(
										(((BgL_varz00_bglt) COBJECT(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2949)))->
														BgL_funz00)))->BgL_variablez00)))->BgL_typez00))))
					{	/* Flop/walk.scm 201 */
						BFALSE;
					}
				else
					{	/* Flop/walk.scm 201 */
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_2949))))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_variablez00_bglt)
										COBJECT((((BgL_varz00_bglt) COBJECT((((BgL_appz00_bglt)
																COBJECT(((BgL_appz00_bglt) BgL_nodez00_2949)))->
															BgL_funz00)))->BgL_variablez00)))->BgL_typez00)),
							BUNSPEC);
					}
				{	/* Flop/walk.scm 203 */
					obj_t BgL_opz00_3013;

					{	/* Flop/walk.scm 203 */
						BgL_variablez00_bglt BgL_arg1924z00_3014;

						BgL_arg1924z00_3014 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_nodez00_2949)))->BgL_funz00)))->
							BgL_variablez00);
						BgL_opz00_3013 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(((obj_t)
								BgL_arg1924z00_3014), BGl_za2flopsza2z00zzflop_walkz00);
					}
					if (BGl_isnumberzf3zf3zzflop_walkz00(
							((BgL_nodez00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_2949)),
							BGl_za2flonumzf3za2zf3zzflop_walkz00,
							BGl_za2z42flonumzf3za2zb1zzflop_walkz00))
						{	/* Flop/walk.scm 205 */
							BGl_walk0z12z12zzast_walkz00(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_2949)),
								BGl_flopz12zd2envzc0zzflop_walkz00);
							{	/* Flop/walk.scm 208 */
								bool_t BgL_test2170z00_3701;

								{	/* Flop/walk.scm 208 */
									obj_t BgL_arg1892z00_3015;

									{	/* Flop/walk.scm 208 */
										obj_t BgL_arg1893z00_3016;

										BgL_arg1893z00_3016 =
											CAR(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_2949)))->
												BgL_argsz00));
										BgL_arg1892z00_3015 =
											BGl_nodezd2varzd2typez00zzflop_walkz00(((BgL_nodez00_bglt)
												BgL_arg1893z00_3016));
									}
									BgL_test2170z00_3701 =
										(BgL_arg1892z00_3015 == BGl_za2realza2z00zztype_cachez00);
								}
								if (BgL_test2170z00_3701)
									{	/* Flop/walk.scm 208 */
										BgL_argsz00_2978 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_2949)))->BgL_argsz00);
										BgL_boolz00_2979 = ((bool_t) 1);
									BgL_condzd2ze3boolz31_2976:
										{	/* Flop/walk.scm 189 */
											bool_t BgL_test2171z00_3708;

											{	/* Flop/walk.scm 189 */
												obj_t BgL_arg1957z00_2980;

												BgL_arg1957z00_2980 = CAR(((obj_t) BgL_argsz00_2978));
												BgL_test2171z00_3708 =
													BGl_sidezd2effectzf3z21zzeffect_effectz00(
													((BgL_nodez00_bglt) BgL_arg1957z00_2980));
											}
											if (BgL_test2171z00_3708)
												{	/* Flop/walk.scm 190 */
													BgL_sequencez00_bglt BgL_new1138z00_2981;

													{	/* Flop/walk.scm 190 */
														BgL_sequencez00_bglt BgL_new1137z00_2982;

														BgL_new1137z00_2982 =
															((BgL_sequencez00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_sequencez00_bgl))));
														{	/* Flop/walk.scm 190 */
															long BgL_arg1955z00_2983;

															BgL_arg1955z00_2983 =
																BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1137z00_2982),
																BgL_arg1955z00_2983);
														}
														{	/* Flop/walk.scm 190 */
															BgL_objectz00_bglt BgL_tmpz00_3717;

															BgL_tmpz00_3717 =
																((BgL_objectz00_bglt) BgL_new1137z00_2982);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3717, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1137z00_2982);
														BgL_new1138z00_2981 = BgL_new1137z00_2982;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1138z00_2981)))->
															BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1138z00_2981)))->BgL_typez00) =
														((BgL_typez00_bglt) ((BgL_typez00_bglt)
																BGl_za2boolza2z00zztype_cachez00)), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1138z00_2981)))->
															BgL_sidezd2effectzd2) =
														((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1138z00_2981)))->BgL_keyz00) =
														((obj_t) BINT((-1L))), BUNSPEC);
													{
														obj_t BgL_auxz00_3731;

														{	/* Flop/walk.scm 192 */
															obj_t BgL_arg1948z00_2984;
															BgL_literalz00_bglt BgL_arg1950z00_2985;

															BgL_arg1948z00_2984 =
																CAR(((obj_t) BgL_argsz00_2978));
															{	/* Flop/walk.scm 193 */
																BgL_literalz00_bglt BgL_new1140z00_2986;

																{	/* Flop/walk.scm 193 */
																	BgL_literalz00_bglt BgL_new1139z00_2987;

																	BgL_new1139z00_2987 =
																		((BgL_literalz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_literalz00_bgl))));
																	{	/* Flop/walk.scm 193 */
																		long BgL_arg1954z00_2988;

																		{	/* Flop/walk.scm 193 */
																			obj_t BgL_classz00_2989;

																			BgL_classz00_2989 =
																				BGl_literalz00zzast_nodez00;
																			BgL_arg1954z00_2988 =
																				BGL_CLASS_NUM(BgL_classz00_2989);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1139z00_2987),
																			BgL_arg1954z00_2988);
																	}
																	{	/* Flop/walk.scm 193 */
																		BgL_objectz00_bglt BgL_tmpz00_3738;

																		BgL_tmpz00_3738 =
																			((BgL_objectz00_bglt)
																			BgL_new1139z00_2987);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3738,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1139z00_2987);
																	BgL_new1140z00_2986 = BgL_new1139z00_2987;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1140z00_2986)))->BgL_locz00) =
																	((obj_t) BFALSE), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1140z00_2986)))->BgL_typez00) =
																	((BgL_typez00_bglt) ((BgL_typez00_bglt)
																			BGl_za2boolza2z00zztype_cachez00)),
																	BUNSPEC);
																((((BgL_atomz00_bglt)
																			COBJECT(((BgL_atomz00_bglt)
																					BgL_new1140z00_2986)))->
																		BgL_valuez00) =
																	((obj_t) BBOOL(BgL_boolz00_2979)), BUNSPEC);
																BgL_arg1950z00_2985 = BgL_new1140z00_2986;
															}
															{	/* Flop/walk.scm 192 */
																obj_t BgL_list1951z00_2990;

																{	/* Flop/walk.scm 192 */
																	obj_t BgL_arg1953z00_2991;

																	BgL_arg1953z00_2991 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1950z00_2985), BNIL);
																	BgL_list1951z00_2990 =
																		MAKE_YOUNG_PAIR(BgL_arg1948z00_2984,
																		BgL_arg1953z00_2991);
																}
																BgL_auxz00_3731 = BgL_list1951z00_2990;
														}}
														((((BgL_sequencez00_bglt)
																	COBJECT(BgL_new1138z00_2981))->BgL_nodesz00) =
															((obj_t) BgL_auxz00_3731), BUNSPEC);
													}
													((((BgL_sequencez00_bglt)
																COBJECT(BgL_new1138z00_2981))->BgL_unsafez00) =
														((bool_t) ((bool_t) 0)), BUNSPEC);
													((((BgL_sequencez00_bglt)
																COBJECT(BgL_new1138z00_2981))->BgL_metaz00) =
														((obj_t) BNIL), BUNSPEC);
													return ((BgL_nodez00_bglt) BgL_new1138z00_2981);
												}
											else
												{	/* Flop/walk.scm 196 */
													BgL_literalz00_bglt BgL_new1142z00_2992;

													{	/* Flop/walk.scm 196 */
														BgL_literalz00_bglt BgL_new1141z00_2993;

														BgL_new1141z00_2993 =
															((BgL_literalz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_literalz00_bgl))));
														{	/* Flop/walk.scm 196 */
															long BgL_arg1956z00_2994;

															BgL_arg1956z00_2994 =
																BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1141z00_2993),
																BgL_arg1956z00_2994);
														}
														{	/* Flop/walk.scm 196 */
															BgL_objectz00_bglt BgL_tmpz00_3761;

															BgL_tmpz00_3761 =
																((BgL_objectz00_bglt) BgL_new1141z00_2993);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3761, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1141z00_2993);
														BgL_new1142z00_2992 = BgL_new1141z00_2993;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1142z00_2992)))->
															BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1142z00_2992)))->BgL_typez00) =
														((BgL_typez00_bglt) ((BgL_typez00_bglt)
																BGl_za2boolza2z00zztype_cachez00)), BUNSPEC);
													((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
																		BgL_new1142z00_2992)))->BgL_valuez00) =
														((obj_t) BBOOL(BgL_boolz00_2979)), BUNSPEC);
													return ((BgL_nodez00_bglt) BgL_new1142z00_2992);
												}
										}
									}
								else
									{	/* Flop/walk.scm 210 */
										bool_t BgL_test2172z00_3776;

										{	/* Flop/walk.scm 210 */
											bool_t BgL_test2173z00_3777;

											{	/* Flop/walk.scm 210 */
												obj_t BgL_arg1889z00_3017;

												{	/* Flop/walk.scm 210 */
													obj_t BgL_arg1890z00_3018;

													BgL_arg1890z00_3018 =
														CAR(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2949)))->
															BgL_argsz00));
													BgL_arg1889z00_3017 =
														BGl_nodezd2varzd2typez00zzflop_walkz00((
															(BgL_nodez00_bglt) BgL_arg1890z00_3018));
												}
												BgL_test2173z00_3777 =
													(BgL_arg1889z00_3017 ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_test2173z00_3777)
												{	/* Flop/walk.scm 210 */
													BgL_test2172z00_3776 = ((bool_t) 0);
												}
											else
												{	/* Flop/walk.scm 211 */
													bool_t BgL_test2174z00_3784;

													{	/* Flop/walk.scm 211 */
														obj_t BgL_arg1885z00_3019;

														{	/* Flop/walk.scm 211 */
															obj_t BgL_arg1886z00_3020;

															BgL_arg1886z00_3020 =
																CAR(
																(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2949)))->
																	BgL_argsz00));
															BgL_arg1885z00_3019 =
																BGl_nodezd2varzd2typez00zzflop_walkz00((
																	(BgL_nodez00_bglt) BgL_arg1886z00_3020));
														}
														BgL_test2174z00_3784 =
															(BgL_arg1885z00_3019 ==
															BGl_za2objza2z00zztype_cachez00);
													}
													if (BgL_test2174z00_3784)
														{	/* Flop/walk.scm 211 */
															BgL_test2172z00_3776 = ((bool_t) 0);
														}
													else
														{	/* Flop/walk.scm 211 */
															BgL_test2172z00_3776 = ((bool_t) 1);
														}
												}
										}
										if (BgL_test2172z00_3776)
											{
												bool_t BgL_boolz00_3794;
												obj_t BgL_argsz00_3791;

												BgL_argsz00_3791 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_2949)))->
													BgL_argsz00);
												BgL_boolz00_3794 = ((bool_t) 0);
												BgL_boolz00_2979 = BgL_boolz00_3794;
												BgL_argsz00_2978 = BgL_argsz00_3791;
												goto BgL_condzd2ze3boolz31_2976;
											}
										else
											{	/* Flop/walk.scm 210 */
												return
													((BgL_nodez00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_2949));
											}
									}
							}
						}
					else
						{	/* Flop/walk.scm 205 */
							if (BGl_isnumberzf3zf3zzflop_walkz00(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_2949)),
									BGl_za2fixnumzf3za2zf3zzflop_walkz00,
									BGl_za2czd2fixnumzf3za2z21zzflop_walkz00))
								{	/* Flop/walk.scm 215 */
									BGl_walk0z12z12zzast_walkz00(
										((BgL_nodez00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_2949)),
										BGl_flopz12zd2envzc0zzflop_walkz00);
									{	/* Flop/walk.scm 218 */
										bool_t BgL_test2176z00_3804;

										{	/* Flop/walk.scm 218 */
											obj_t BgL_arg1901z00_3021;

											{	/* Flop/walk.scm 218 */
												obj_t BgL_arg1902z00_3022;

												BgL_arg1902z00_3022 =
													CAR(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2949)))->
														BgL_argsz00));
												BgL_arg1901z00_3021 =
													BGl_nodezd2varzd2typez00zzflop_walkz00((
														(BgL_nodez00_bglt) BgL_arg1902z00_3022));
											}
											BgL_test2176z00_3804 =
												(BgL_arg1901z00_3021 ==
												BGl_za2realza2z00zztype_cachez00);
										}
										if (BgL_test2176z00_3804)
											{
												bool_t BgL_boolz00_3814;
												obj_t BgL_argsz00_3811;

												BgL_argsz00_3811 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_2949)))->
													BgL_argsz00);
												BgL_boolz00_3814 = ((bool_t) 0);
												BgL_boolz00_2979 = BgL_boolz00_3814;
												BgL_argsz00_2978 = BgL_argsz00_3811;
												goto BgL_condzd2ze3boolz31_2976;
											}
										else
											{	/* Flop/walk.scm 218 */
												return
													((BgL_nodez00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_2949));
											}
									}
								}
							else
								{	/* Flop/walk.scm 215 */
									if (CBOOL(BgL_opz00_3013))
										{	/* Flop/walk.scm 222 */
											bool_t BgL_test2178z00_3819;

											{	/* Flop/walk.scm 222 */
												obj_t BgL_arg1921z00_3023;

												{	/* Flop/walk.scm 222 */
													obj_t BgL_arg1922z00_3024;

													BgL_arg1922z00_3024 =
														CAR(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2949)))->
															BgL_argsz00));
													BgL_arg1921z00_3023 =
														BGl_nodezd2varzd2typez00zzflop_walkz00((
															(BgL_nodez00_bglt) BgL_arg1922z00_3024));
												}
												BgL_test2178z00_3819 =
													(BgL_arg1921z00_3023 ==
													BGl_za2realza2z00zztype_cachez00);
											}
											if (BgL_test2178z00_3819)
												{	/* Flop/walk.scm 223 */
													BgL_varz00_bglt BgL_arg1908z00_3025;
													obj_t BgL_arg1909z00_3026;

													BgL_arg1908z00_3025 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2949)))->
														BgL_funz00);
													BgL_arg1909z00_3026 =
														CDR((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt)
																		BgL_nodez00_2949)))->BgL_argsz00));
													{
														BgL_appz00_bglt BgL_auxz00_3831;

														BgL_opz00_2995 = BgL_opz00_3013;
														BgL_nodez00_2996 =
															((BgL_appz00_bglt) BgL_nodez00_2949);
														BgL_funz00_2997 = BgL_arg1908z00_3025;
														BgL_argsz00_2998 = BgL_arg1909z00_3026;
													BgL_patchz12z12_2977:
														{	/* Flop/walk.scm 172 */
															BgL_typez00_bglt BgL_vz00_2999;

															BgL_vz00_2999 =
																((BgL_typez00_bglt)
																BGl_za2realza2z00zztype_cachez00);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_nodez00_2996)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_vz00_2999), BUNSPEC);
														}
														((((BgL_varz00_bglt) COBJECT(BgL_funz00_2997))->
																BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	CDR(((obj_t) BgL_opz00_2995)))), BUNSPEC);
														{	/* Flop/walk.scm 177 */
															obj_t BgL_arg1932z00_3000;

															BgL_arg1932z00_3000 =
																CAR(((obj_t) BgL_argsz00_2998));
															BGl_flopz12z12zzflop_walkz00(
																((BgL_nodez00_bglt) BgL_arg1932z00_3000));
														}
														{	/* Flop/walk.scm 178 */
															bool_t BgL_test2179z00_3843;

															{	/* Flop/walk.scm 178 */
																obj_t BgL_arg1943z00_3001;

																{	/* Flop/walk.scm 178 */
																	obj_t BgL_arg1944z00_3002;

																	BgL_arg1944z00_3002 =
																		CAR(((obj_t) BgL_argsz00_2998));
																	BgL_arg1943z00_3001 =
																		BGl_nodezd2varzd2typez00zzflop_walkz00(
																		((BgL_nodez00_bglt) BgL_arg1944z00_3002));
																}
																BgL_test2179z00_3843 =
																	(BgL_arg1943z00_3001 ==
																	BGl_za2realza2z00zztype_cachez00);
															}
															if (BgL_test2179z00_3843)
																{	/* Flop/walk.scm 178 */
																	BFALSE;
																}
															else
																{	/* Flop/walk.scm 180 */
																	BgL_appz00_bglt BgL_arg1936z00_3003;

																	{	/* Flop/walk.scm 180 */
																		BgL_appz00_bglt BgL_new1133z00_3004;

																		{	/* Flop/walk.scm 180 */
																			BgL_appz00_bglt BgL_new1132z00_3005;

																			BgL_new1132z00_3005 =
																				((BgL_appz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_appz00_bgl))));
																			{	/* Flop/walk.scm 180 */
																				long BgL_arg1942z00_3006;

																				BgL_arg1942z00_3006 =
																					BGL_CLASS_NUM
																					(BGl_appz00zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1132z00_3005),
																					BgL_arg1942z00_3006);
																			}
																			{	/* Flop/walk.scm 180 */
																				BgL_objectz00_bglt BgL_tmpz00_3853;

																				BgL_tmpz00_3853 =
																					((BgL_objectz00_bglt)
																					BgL_new1132z00_3005);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3853,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1132z00_3005);
																			BgL_new1133z00_3004 = BgL_new1132z00_3005;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1133z00_3004)))->
																				BgL_locz00) =
																			((obj_t) BFALSE), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1133z00_3004)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((BgL_typez00_bglt)
																					BGl_za2realza2z00zztype_cachez00)),
																			BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1133z00_3004)))->
																				BgL_sidezd2effectzd2) =
																			((obj_t) BUNSPEC), BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1133z00_3004)))->
																				BgL_keyz00) =
																			((obj_t) BINT((-1L))), BUNSPEC);
																		{
																			BgL_varz00_bglt BgL_auxz00_3867;

																			{	/* Flop/walk.scm 182 */
																				BgL_refz00_bglt BgL_new1136z00_3007;

																				{	/* Flop/walk.scm 182 */
																					BgL_refz00_bglt BgL_new1135z00_3008;

																					BgL_new1135z00_3008 =
																						((BgL_refz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_refz00_bgl))));
																					{	/* Flop/walk.scm 182 */
																						long BgL_arg1938z00_3009;

																						{	/* Flop/walk.scm 182 */
																							obj_t BgL_classz00_3010;

																							BgL_classz00_3010 =
																								BGl_refz00zzast_nodez00;
																							BgL_arg1938z00_3009 =
																								BGL_CLASS_NUM
																								(BgL_classz00_3010);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1135z00_3008),
																							BgL_arg1938z00_3009);
																					}
																					{	/* Flop/walk.scm 182 */
																						BgL_objectz00_bglt BgL_tmpz00_3872;

																						BgL_tmpz00_3872 =
																							((BgL_objectz00_bglt)
																							BgL_new1135z00_3008);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_3872, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1135z00_3008);
																					BgL_new1136z00_3007 =
																						BgL_new1135z00_3008;
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1136z00_3007)))->
																						BgL_locz00) =
																					((obj_t) BFALSE), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_new1136z00_3007)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) (
																							(BgL_typez00_bglt)
																							BGl_za2realza2z00zztype_cachez00)),
																					BUNSPEC);
																				((((BgL_varz00_bglt)
																							COBJECT(((BgL_varz00_bglt)
																									BgL_new1136z00_3007)))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt) (
																							(BgL_variablez00_bglt)
																							BGl_za2toflonumza2z00zzflop_walkz00)),
																					BUNSPEC);
																				BgL_auxz00_3867 =
																					((BgL_varz00_bglt)
																					BgL_new1136z00_3007);
																			}
																			((((BgL_appz00_bglt)
																						COBJECT(BgL_new1133z00_3004))->
																					BgL_funz00) =
																				((BgL_varz00_bglt) BgL_auxz00_3867),
																				BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_3886;

																			{	/* Flop/walk.scm 185 */
																				obj_t BgL_arg1939z00_3011;

																				BgL_arg1939z00_3011 =
																					CAR(((obj_t) BgL_argsz00_2998));
																				{	/* Flop/walk.scm 185 */
																					obj_t BgL_list1940z00_3012;

																					BgL_list1940z00_3012 =
																						MAKE_YOUNG_PAIR(BgL_arg1939z00_3011,
																						BNIL);
																					BgL_auxz00_3886 =
																						BgL_list1940z00_3012;
																			}}
																			((((BgL_appz00_bglt)
																						COBJECT(BgL_new1133z00_3004))->
																					BgL_argsz00) =
																				((obj_t) BgL_auxz00_3886), BUNSPEC);
																		}
																		((((BgL_appz00_bglt)
																					COBJECT(BgL_new1133z00_3004))->
																				BgL_stackablez00) =
																			((obj_t) BFALSE), BUNSPEC);
																		BgL_arg1936z00_3003 = BgL_new1133z00_3004;
																	}
																	{	/* Flop/walk.scm 179 */
																		obj_t BgL_auxz00_3894;
																		obj_t BgL_tmpz00_3892;

																		BgL_auxz00_3894 =
																			((obj_t) BgL_arg1936z00_3003);
																		BgL_tmpz00_3892 =
																			((obj_t) BgL_argsz00_2998);
																		SET_CAR(BgL_tmpz00_3892, BgL_auxz00_3894);
														}}}
														BgL_auxz00_3831 = BgL_nodez00_2996;
														return ((BgL_nodez00_bglt) BgL_auxz00_3831);
													}
												}
											else
												{	/* Flop/walk.scm 224 */
													bool_t BgL_test2180z00_3899;

													{	/* Flop/walk.scm 224 */
														obj_t BgL_arg1917z00_3027;

														{	/* Flop/walk.scm 224 */
															obj_t BgL_arg1918z00_3028;

															{	/* Flop/walk.scm 224 */
																obj_t BgL_pairz00_3029;

																BgL_pairz00_3029 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2949)))->
																	BgL_argsz00);
																BgL_arg1918z00_3028 =
																	CAR(CDR(BgL_pairz00_3029));
															}
															BgL_arg1917z00_3027 =
																BGl_nodezd2varzd2typez00zzflop_walkz00(
																((BgL_nodez00_bglt) BgL_arg1918z00_3028));
														}
														BgL_test2180z00_3899 =
															(BgL_arg1917z00_3027 ==
															BGl_za2realza2z00zztype_cachez00);
													}
													if (BgL_test2180z00_3899)
														{	/* Flop/walk.scm 225 */
															BgL_varz00_bglt BgL_arg1915z00_3030;
															obj_t BgL_arg1916z00_3031;

															BgL_arg1915z00_3030 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_2949)))->
																BgL_funz00);
															BgL_arg1916z00_3031 =
																(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt)
																			BgL_nodez00_2949)))->BgL_argsz00);
															{
																BgL_appz00_bglt BgL_auxz00_3911;

																{
																	obj_t BgL_argsz00_3916;
																	BgL_varz00_bglt BgL_funz00_3915;
																	BgL_appz00_bglt BgL_nodez00_3913;
																	obj_t BgL_opz00_3912;

																	BgL_opz00_3912 = BgL_opz00_3013;
																	BgL_nodez00_3913 =
																		((BgL_appz00_bglt) BgL_nodez00_2949);
																	BgL_funz00_3915 = BgL_arg1915z00_3030;
																	BgL_argsz00_3916 = BgL_arg1916z00_3031;
																	BgL_argsz00_2998 = BgL_argsz00_3916;
																	BgL_funz00_2997 = BgL_funz00_3915;
																	BgL_nodez00_2996 = BgL_nodez00_3913;
																	BgL_opz00_2995 = BgL_opz00_3912;
																	goto BgL_patchz12z12_2977;
																}
																return ((BgL_nodez00_bglt) BgL_auxz00_3911);
															}
														}
													else
														{	/* Flop/walk.scm 224 */
															return
																BGl_walk0z12z12zzast_walkz00(
																((BgL_nodez00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_2949)),
																BGl_flopz12zd2envzc0zzflop_walkz00);
														}
												}
										}
									else
										{	/* Flop/walk.scm 220 */
											return
												BGl_walk0z12z12zzast_walkz00(
												((BgL_nodez00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_2949)),
												BGl_flopz12zd2envzc0zzflop_walkz00);
										}
								}
						}
				}
			}
		}

	}



/* &flop!-let-var1290 */
	BgL_nodez00_bglt BGl_z62flopz12zd2letzd2var1290z70zzflop_walkz00(obj_t
		BgL_envz00_2950, obj_t BgL_nodez00_2951)
	{
		{	/* Flop/walk.scm 106 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_3034;

				{	/* Flop/walk.scm 144 */
					obj_t BgL_g1281z00_3091;

					BgL_g1281z00_3091 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2951)))->BgL_bindingsz00);
					{
						obj_t BgL_l1279z00_3093;

						BgL_l1279z00_3093 = BgL_g1281z00_3091;
					BgL_zc3z04anonymousza31554ze3z87_3092:
						if (PAIRP(BgL_l1279z00_3093))
							{	/* Flop/walk.scm 144 */
								{	/* Flop/walk.scm 145 */
									obj_t BgL_bindingz00_3094;

									BgL_bindingz00_3094 = CAR(BgL_l1279z00_3093);
									{	/* Flop/walk.scm 145 */
										BgL_nodez00_bglt BgL_arg1558z00_3095;

										{	/* Flop/walk.scm 145 */
											obj_t BgL_arg1560z00_3096;

											BgL_arg1560z00_3096 = CDR(((obj_t) BgL_bindingz00_3094));
											BgL_arg1558z00_3095 =
												BGl_flopz12z12zzflop_walkz00(
												((BgL_nodez00_bglt) BgL_arg1560z00_3096));
										}
										{	/* Flop/walk.scm 145 */
											obj_t BgL_auxz00_3935;
											obj_t BgL_tmpz00_3933;

											BgL_auxz00_3935 = ((obj_t) BgL_arg1558z00_3095);
											BgL_tmpz00_3933 = ((obj_t) BgL_bindingz00_3094);
											SET_CDR(BgL_tmpz00_3933, BgL_auxz00_3935);
										}
									}
									if (
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															CAR(
																((obj_t) BgL_bindingz00_3094)))))->
												BgL_accessz00) == ((obj_t) CNST_TABLE_REF(15))))
										{	/* Flop/walk.scm 147 */
											bool_t BgL_test2183z00_3946;

											{	/* Flop/walk.scm 147 */
												obj_t BgL_arg1592z00_3097;

												{	/* Flop/walk.scm 147 */
													obj_t BgL_arg1593z00_3098;

													BgL_arg1593z00_3098 =
														CDR(((obj_t) BgL_bindingz00_3094));
													BgL_arg1592z00_3097 =
														BGl_nodezd2varzd2typez00zzflop_walkz00(
														((BgL_nodez00_bglt) BgL_arg1593z00_3098));
												}
												BgL_test2183z00_3946 =
													(BgL_arg1592z00_3097 ==
													BGl_za2realza2z00zztype_cachez00);
											}
											if (BgL_test2183z00_3946)
												{	/* Flop/walk.scm 148 */
													obj_t BgL_arg1590z00_3099;

													BgL_arg1590z00_3099 =
														CAR(((obj_t) BgL_bindingz00_3094));
													{	/* Flop/walk.scm 148 */
														BgL_typez00_bglt BgL_vz00_3100;

														BgL_vz00_3100 =
															((BgL_typez00_bglt)
															BGl_za2realza2z00zztype_cachez00);
														((((BgL_variablez00_bglt)
																	COBJECT(((BgL_variablez00_bglt)
																			BgL_arg1590z00_3099)))->BgL_typez00) =
															((BgL_typez00_bglt) BgL_vz00_3100), BUNSPEC);
													}
												}
											else
												{	/* Flop/walk.scm 147 */
													BFALSE;
												}
										}
									else
										{	/* Flop/walk.scm 146 */
											BFALSE;
										}
								}
								{
									obj_t BgL_l1279z00_3957;

									BgL_l1279z00_3957 = CDR(BgL_l1279z00_3093);
									BgL_l1279z00_3093 = BgL_l1279z00_3957;
									goto BgL_zc3z04anonymousza31554ze3z87_3092;
								}
							}
						else
							{	/* Flop/walk.scm 144 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3959;

					{	/* Flop/walk.scm 150 */
						BgL_nodez00_bglt BgL_arg1612z00_3101;

						BgL_arg1612z00_3101 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2951)))->BgL_bodyz00);
						BgL_auxz00_3959 = BGl_flopz12z12zzflop_walkz00(BgL_arg1612z00_3101);
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2951)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3959), BUNSPEC);
				}
				{	/* Flop/walk.scm 152 */
					bool_t BgL_test2184z00_3965;

					{	/* Flop/walk.scm 152 */
						obj_t BgL_arg1660z00_3102;

						BgL_arg1660z00_3102 =
							BGl_nodezd2varzd2typez00zzflop_walkz00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2951)))->BgL_bodyz00));
						BgL_test2184z00_3965 =
							(BgL_arg1660z00_3102 == BGl_za2realza2z00zztype_cachez00);
					}
					if (BgL_test2184z00_3965)
						{	/* Flop/walk.scm 152 */
							{
								BgL_typez00_bglt BgL_auxz00_3970;

								{	/* Flop/walk.scm 153 */
									BgL_nodez00_bglt BgL_arg1631z00_3103;

									BgL_arg1631z00_3103 =
										(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2951)))->
										BgL_bodyz00);
									BgL_auxz00_3970 =
										((BgL_typez00_bglt)
										BGl_nodezd2varzd2typez00zzflop_walkz00
										(BgL_arg1631z00_3103));
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2951))))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_auxz00_3970), BUNSPEC);
							}
							return
								((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2951));
						}
					else
						{	/* Flop/walk.scm 155 */
							bool_t BgL_test2185z00_3980;

							{	/* Flop/walk.scm 155 */
								bool_t BgL_test2186z00_3981;

								{	/* Flop/walk.scm 155 */
									BgL_nodez00_bglt BgL_arg1657z00_3104;

									BgL_arg1657z00_3104 =
										(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2951)))->
										BgL_bodyz00);
									{	/* Flop/walk.scm 254 */
										bool_t BgL_test2187z00_3984;

										{	/* Flop/walk.scm 254 */
											obj_t BgL_classz00_3105;

											BgL_classz00_3105 = BGl_literalz00zzast_nodez00;
											{	/* Flop/walk.scm 254 */
												BgL_objectz00_bglt BgL_arg1858z00_3106;

												{	/* Flop/walk.scm 254 */
													obj_t BgL_tmpz00_3985;

													BgL_tmpz00_3985 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg1657z00_3104));
													BgL_arg1858z00_3106 =
														(BgL_objectz00_bglt) (BgL_tmpz00_3985);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Flop/walk.scm 254 */
														long BgL_idxz00_3107;

														BgL_idxz00_3107 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3106);
														BgL_test2187z00_3984 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3107 + 3L)) == BgL_classz00_3105);
													}
												else
													{	/* Flop/walk.scm 254 */
														bool_t BgL_res2055z00_3110;

														{	/* Flop/walk.scm 254 */
															obj_t BgL_oclassz00_3111;

															{	/* Flop/walk.scm 254 */
																obj_t BgL_arg1866z00_3112;
																long BgL_arg1867z00_3113;

																BgL_arg1866z00_3112 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Flop/walk.scm 254 */
																	long BgL_arg1869z00_3114;

																	BgL_arg1869z00_3114 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3106);
																	BgL_arg1867z00_3113 =
																		(BgL_arg1869z00_3114 - OBJECT_TYPE);
																}
																BgL_oclassz00_3111 =
																	VECTOR_REF(BgL_arg1866z00_3112,
																	BgL_arg1867z00_3113);
															}
															{	/* Flop/walk.scm 254 */
																bool_t BgL__ortest_1115z00_3115;

																BgL__ortest_1115z00_3115 =
																	(BgL_classz00_3105 == BgL_oclassz00_3111);
																if (BgL__ortest_1115z00_3115)
																	{	/* Flop/walk.scm 254 */
																		BgL_res2055z00_3110 =
																			BgL__ortest_1115z00_3115;
																	}
																else
																	{	/* Flop/walk.scm 254 */
																		long BgL_odepthz00_3116;

																		{	/* Flop/walk.scm 254 */
																			obj_t BgL_arg1855z00_3117;

																			BgL_arg1855z00_3117 =
																				(BgL_oclassz00_3111);
																			BgL_odepthz00_3116 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3117);
																		}
																		if ((3L < BgL_odepthz00_3116))
																			{	/* Flop/walk.scm 254 */
																				obj_t BgL_arg1853z00_3118;

																				{	/* Flop/walk.scm 254 */
																					obj_t BgL_arg1854z00_3119;

																					BgL_arg1854z00_3119 =
																						(BgL_oclassz00_3111);
																					BgL_arg1853z00_3118 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3119, 3L);
																				}
																				BgL_res2055z00_3110 =
																					(BgL_arg1853z00_3118 ==
																					BgL_classz00_3105);
																			}
																		else
																			{	/* Flop/walk.scm 254 */
																				BgL_res2055z00_3110 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2187z00_3984 = BgL_res2055z00_3110;
													}
											}
										}
										if (BgL_test2187z00_3984)
											{	/* Flop/walk.scm 254 */
												BgL_test2186z00_3981 =
													(
													(((BgL_atomz00_bglt) COBJECT(
																((BgL_atomz00_bglt)
																	((BgL_literalz00_bglt)
																		BgL_arg1657z00_3104))))->BgL_valuez00) ==
													BTRUE);
											}
										else
											{	/* Flop/walk.scm 254 */
												BgL_test2186z00_3981 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2186z00_3981)
									{	/* Flop/walk.scm 155 */
										BgL_test2185z00_3980 = ((bool_t) 1);
									}
								else
									{	/* Flop/walk.scm 155 */
										BgL_nodez00_bglt BgL_arg1656z00_3120;

										BgL_arg1656z00_3120 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2951)))->
											BgL_bodyz00);
										{	/* Flop/walk.scm 254 */
											bool_t BgL_test2191z00_4014;

											{	/* Flop/walk.scm 254 */
												obj_t BgL_classz00_3121;

												BgL_classz00_3121 = BGl_literalz00zzast_nodez00;
												{	/* Flop/walk.scm 254 */
													BgL_objectz00_bglt BgL_arg1858z00_3122;

													{	/* Flop/walk.scm 254 */
														obj_t BgL_tmpz00_4015;

														BgL_tmpz00_4015 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg1656z00_3120));
														BgL_arg1858z00_3122 =
															(BgL_objectz00_bglt) (BgL_tmpz00_4015);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Flop/walk.scm 254 */
															long BgL_idxz00_3123;

															BgL_idxz00_3123 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3122);
															BgL_test2191z00_4014 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_3123 + 3L)) == BgL_classz00_3121);
														}
													else
														{	/* Flop/walk.scm 254 */
															bool_t BgL_res2055z00_3126;

															{	/* Flop/walk.scm 254 */
																obj_t BgL_oclassz00_3127;

																{	/* Flop/walk.scm 254 */
																	obj_t BgL_arg1866z00_3128;
																	long BgL_arg1867z00_3129;

																	BgL_arg1866z00_3128 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Flop/walk.scm 254 */
																		long BgL_arg1869z00_3130;

																		BgL_arg1869z00_3130 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3122);
																		BgL_arg1867z00_3129 =
																			(BgL_arg1869z00_3130 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_3127 =
																		VECTOR_REF(BgL_arg1866z00_3128,
																		BgL_arg1867z00_3129);
																}
																{	/* Flop/walk.scm 254 */
																	bool_t BgL__ortest_1115z00_3131;

																	BgL__ortest_1115z00_3131 =
																		(BgL_classz00_3121 == BgL_oclassz00_3127);
																	if (BgL__ortest_1115z00_3131)
																		{	/* Flop/walk.scm 254 */
																			BgL_res2055z00_3126 =
																				BgL__ortest_1115z00_3131;
																		}
																	else
																		{	/* Flop/walk.scm 254 */
																			long BgL_odepthz00_3132;

																			{	/* Flop/walk.scm 254 */
																				obj_t BgL_arg1855z00_3133;

																				BgL_arg1855z00_3133 =
																					(BgL_oclassz00_3127);
																				BgL_odepthz00_3132 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_3133);
																			}
																			if ((3L < BgL_odepthz00_3132))
																				{	/* Flop/walk.scm 254 */
																					obj_t BgL_arg1853z00_3134;

																					{	/* Flop/walk.scm 254 */
																						obj_t BgL_arg1854z00_3135;

																						BgL_arg1854z00_3135 =
																							(BgL_oclassz00_3127);
																						BgL_arg1853z00_3134 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_3135, 3L);
																					}
																					BgL_res2055z00_3126 =
																						(BgL_arg1853z00_3134 ==
																						BgL_classz00_3121);
																				}
																			else
																				{	/* Flop/walk.scm 254 */
																					BgL_res2055z00_3126 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2191z00_4014 = BgL_res2055z00_3126;
														}
												}
											}
											if (BgL_test2191z00_4014)
												{	/* Flop/walk.scm 254 */
													BgL_test2185z00_3980 =
														(
														(((BgL_atomz00_bglt) COBJECT(
																	((BgL_atomz00_bglt)
																		((BgL_literalz00_bglt)
																			BgL_arg1656z00_3120))))->BgL_valuez00) ==
														BFALSE);
												}
											else
												{	/* Flop/walk.scm 254 */
													BgL_test2185z00_3980 = ((bool_t) 0);
												}
										}
									}
							}
							if (BgL_test2185z00_3980)
								{	/* Flop/walk.scm 156 */
									bool_t BgL_test2195z00_4042;

									{	/* Flop/walk.scm 156 */
										obj_t BgL_g1284z00_3136;

										BgL_g1284z00_3136 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2951)))->
											BgL_bindingsz00);
										{
											obj_t BgL_l1282z00_3138;

											BgL_l1282z00_3138 = BgL_g1284z00_3136;
										BgL_zc3z04anonymousza31650ze3z87_3137:
											if (NULLP(BgL_l1282z00_3138))
												{	/* Flop/walk.scm 156 */
													BgL_test2195z00_4042 = ((bool_t) 1);
												}
											else
												{	/* Flop/walk.scm 156 */
													bool_t BgL_test2197z00_4047;

													{	/* Flop/walk.scm 156 */
														bool_t BgL_test2198z00_4048;

														{	/* Flop/walk.scm 156 */
															obj_t BgL_arg1655z00_3139;

															{	/* Flop/walk.scm 156 */
																obj_t BgL_pairz00_3140;

																BgL_pairz00_3140 =
																	CAR(((obj_t) BgL_l1282z00_3138));
																BgL_arg1655z00_3139 = CDR(BgL_pairz00_3140);
															}
															BgL_test2198z00_4048 =
																BGl_sidezd2effectzf3z21zzeffect_effectz00(
																((BgL_nodez00_bglt) BgL_arg1655z00_3139));
														}
														if (BgL_test2198z00_4048)
															{	/* Flop/walk.scm 156 */
																BgL_test2197z00_4047 = ((bool_t) 0);
															}
														else
															{	/* Flop/walk.scm 156 */
																BgL_test2197z00_4047 = ((bool_t) 1);
															}
													}
													if (BgL_test2197z00_4047)
														{	/* Flop/walk.scm 156 */
															obj_t BgL_arg1653z00_3141;

															BgL_arg1653z00_3141 =
																CDR(((obj_t) BgL_l1282z00_3138));
															{
																obj_t BgL_l1282z00_4056;

																BgL_l1282z00_4056 = BgL_arg1653z00_3141;
																BgL_l1282z00_3138 = BgL_l1282z00_4056;
																goto BgL_zc3z04anonymousza31650ze3z87_3137;
															}
														}
													else
														{	/* Flop/walk.scm 156 */
															BgL_test2195z00_4042 = ((bool_t) 0);
														}
												}
										}
									}
									if (BgL_test2195z00_4042)
										{	/* Flop/walk.scm 156 */
											return
												(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2951)))->
												BgL_bodyz00);
										}
									else
										{	/* Flop/walk.scm 156 */
											return
												((BgL_nodez00_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2951));
										}
								}
							else
								{	/* Flop/walk.scm 159 */
									obj_t BgL_g1129z00_3142;

									BgL_nodez00_3034 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2951);
									{	/* Flop/walk.scm 128 */
										bool_t BgL_test2199z00_4061;

										{	/* Flop/walk.scm 128 */
											bool_t BgL_test2200z00_4062;

											{	/* Flop/walk.scm 128 */
												obj_t BgL_tmpz00_4063;

												BgL_tmpz00_4063 =
													(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_3034))->
													BgL_bindingsz00);
												BgL_test2200z00_4062 = PAIRP(BgL_tmpz00_4063);
											}
											if (BgL_test2200z00_4062)
												{	/* Flop/walk.scm 128 */
													if (NULLP(CDR(
																(((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_nodez00_3034))->
																	BgL_bindingsz00))))
														{	/* Flop/walk.scm 130 */
															bool_t BgL_test2202z00_4070;

															{	/* Flop/walk.scm 130 */
																obj_t BgL_arg1796z00_3035;

																{
																	BgL_typez00_bglt BgL_auxz00_4071;

																	{
																		BgL_variablez00_bglt BgL_auxz00_4072;

																		{
																			obj_t BgL_auxz00_4073;

																			{	/* Flop/walk.scm 130 */
																				obj_t BgL_pairz00_3036;

																				BgL_pairz00_3036 =
																					(((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_nodez00_3034))->
																					BgL_bindingsz00);
																				{	/* Flop/walk.scm 130 */
																					obj_t BgL_pairz00_3037;

																					BgL_pairz00_3037 =
																						CAR(BgL_pairz00_3036);
																					BgL_auxz00_4073 =
																						CAR(BgL_pairz00_3037);
																				}
																			}
																			BgL_auxz00_4072 =
																				((BgL_variablez00_bglt)
																				BgL_auxz00_4073);
																		}
																		BgL_auxz00_4071 =
																			(((BgL_variablez00_bglt)
																				COBJECT(BgL_auxz00_4072))->BgL_typez00);
																	}
																	BgL_arg1796z00_3035 =
																		((obj_t) BgL_auxz00_4071);
																}
																BgL_test2202z00_4070 =
																	(BgL_arg1796z00_3035 ==
																	BGl_za2boolza2z00zztype_cachez00);
															}
															if (BgL_test2202z00_4070)
																{	/* Flop/walk.scm 131 */
																	bool_t BgL_test2203z00_4081;

																	{	/* Flop/walk.scm 131 */
																		obj_t BgL_arg1789z00_3038;

																		{	/* Flop/walk.scm 131 */
																			obj_t BgL_pairz00_3039;

																			BgL_pairz00_3039 =
																				(((BgL_letzd2varzd2_bglt)
																					COBJECT(BgL_nodez00_3034))->
																				BgL_bindingsz00);
																			BgL_arg1789z00_3038 =
																				CDR(CAR(BgL_pairz00_3039));
																		}
																		{	/* Flop/walk.scm 131 */
																			obj_t BgL_classz00_3040;

																			BgL_classz00_3040 =
																				BGl_literalz00zzast_nodez00;
																			if (BGL_OBJECTP(BgL_arg1789z00_3038))
																				{	/* Flop/walk.scm 131 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_3041;
																					BgL_arg1858z00_3041 =
																						(BgL_objectz00_bglt)
																						(BgL_arg1789z00_3038);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Flop/walk.scm 131 */
																							long BgL_idxz00_3042;

																							BgL_idxz00_3042 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_3041);
																							BgL_test2203z00_4081 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_3042 + 3L)) ==
																								BgL_classz00_3040);
																						}
																					else
																						{	/* Flop/walk.scm 131 */
																							bool_t BgL_res2070z00_3045;

																							{	/* Flop/walk.scm 131 */
																								obj_t BgL_oclassz00_3046;

																								{	/* Flop/walk.scm 131 */
																									obj_t BgL_arg1866z00_3047;
																									long BgL_arg1867z00_3048;

																									BgL_arg1866z00_3047 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* Flop/walk.scm 131 */
																										long BgL_arg1869z00_3049;

																										BgL_arg1869z00_3049 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_3041);
																										BgL_arg1867z00_3048 =
																											(BgL_arg1869z00_3049 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_3046 =
																										VECTOR_REF
																										(BgL_arg1866z00_3047,
																										BgL_arg1867z00_3048);
																								}
																								{	/* Flop/walk.scm 131 */
																									bool_t
																										BgL__ortest_1115z00_3050;
																									BgL__ortest_1115z00_3050 =
																										(BgL_classz00_3040 ==
																										BgL_oclassz00_3046);
																									if (BgL__ortest_1115z00_3050)
																										{	/* Flop/walk.scm 131 */
																											BgL_res2070z00_3045 =
																												BgL__ortest_1115z00_3050;
																										}
																									else
																										{	/* Flop/walk.scm 131 */
																											long BgL_odepthz00_3051;

																											{	/* Flop/walk.scm 131 */
																												obj_t
																													BgL_arg1855z00_3052;
																												BgL_arg1855z00_3052 =
																													(BgL_oclassz00_3046);
																												BgL_odepthz00_3051 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_3052);
																											}
																											if (
																												(3L <
																													BgL_odepthz00_3051))
																												{	/* Flop/walk.scm 131 */
																													obj_t
																														BgL_arg1853z00_3053;
																													{	/* Flop/walk.scm 131 */
																														obj_t
																															BgL_arg1854z00_3054;
																														BgL_arg1854z00_3054
																															=
																															(BgL_oclassz00_3046);
																														BgL_arg1853z00_3053
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_3054,
																															3L);
																													}
																													BgL_res2070z00_3045 =
																														(BgL_arg1853z00_3053
																														==
																														BgL_classz00_3040);
																												}
																											else
																												{	/* Flop/walk.scm 131 */
																													BgL_res2070z00_3045 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2203z00_4081 =
																								BgL_res2070z00_3045;
																						}
																				}
																			else
																				{	/* Flop/walk.scm 131 */
																					BgL_test2203z00_4081 = ((bool_t) 0);
																				}
																		}
																	}
																	if (BgL_test2203z00_4081)
																		{	/* Flop/walk.scm 132 */
																			BgL_nodez00_bglt BgL_arg1786z00_3055;

																			BgL_arg1786z00_3055 =
																				(((BgL_letzd2varzd2_bglt)
																					COBJECT(BgL_nodez00_3034))->
																				BgL_bodyz00);
																			{	/* Flop/walk.scm 132 */
																				obj_t BgL_classz00_3056;

																				BgL_classz00_3056 =
																					BGl_conditionalz00zzast_nodez00;
																				{	/* Flop/walk.scm 132 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_3057;
																					{	/* Flop/walk.scm 132 */
																						obj_t BgL_tmpz00_4108;

																						BgL_tmpz00_4108 =
																							((obj_t)
																							((BgL_objectz00_bglt)
																								BgL_arg1786z00_3055));
																						BgL_arg1858z00_3057 =
																							(BgL_objectz00_bglt)
																							(BgL_tmpz00_4108);
																					}
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Flop/walk.scm 132 */
																							long BgL_idxz00_3058;

																							BgL_idxz00_3058 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_3057);
																							BgL_test2199z00_4061 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_3058 + 3L)) ==
																								BgL_classz00_3056);
																						}
																					else
																						{	/* Flop/walk.scm 132 */
																							bool_t BgL_res2071z00_3061;

																							{	/* Flop/walk.scm 132 */
																								obj_t BgL_oclassz00_3062;

																								{	/* Flop/walk.scm 132 */
																									obj_t BgL_arg1866z00_3063;
																									long BgL_arg1867z00_3064;

																									BgL_arg1866z00_3063 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* Flop/walk.scm 132 */
																										long BgL_arg1869z00_3065;

																										BgL_arg1869z00_3065 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_3057);
																										BgL_arg1867z00_3064 =
																											(BgL_arg1869z00_3065 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_3062 =
																										VECTOR_REF
																										(BgL_arg1866z00_3063,
																										BgL_arg1867z00_3064);
																								}
																								{	/* Flop/walk.scm 132 */
																									bool_t
																										BgL__ortest_1115z00_3066;
																									BgL__ortest_1115z00_3066 =
																										(BgL_classz00_3056 ==
																										BgL_oclassz00_3062);
																									if (BgL__ortest_1115z00_3066)
																										{	/* Flop/walk.scm 132 */
																											BgL_res2071z00_3061 =
																												BgL__ortest_1115z00_3066;
																										}
																									else
																										{	/* Flop/walk.scm 132 */
																											long BgL_odepthz00_3067;

																											{	/* Flop/walk.scm 132 */
																												obj_t
																													BgL_arg1855z00_3068;
																												BgL_arg1855z00_3068 =
																													(BgL_oclassz00_3062);
																												BgL_odepthz00_3067 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_3068);
																											}
																											if (
																												(3L <
																													BgL_odepthz00_3067))
																												{	/* Flop/walk.scm 132 */
																													obj_t
																														BgL_arg1853z00_3069;
																													{	/* Flop/walk.scm 132 */
																														obj_t
																															BgL_arg1854z00_3070;
																														BgL_arg1854z00_3070
																															=
																															(BgL_oclassz00_3062);
																														BgL_arg1853z00_3069
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_3070,
																															3L);
																													}
																													BgL_res2071z00_3061 =
																														(BgL_arg1853z00_3069
																														==
																														BgL_classz00_3056);
																												}
																											else
																												{	/* Flop/walk.scm 132 */
																													BgL_res2071z00_3061 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2199z00_4061 =
																								BgL_res2071z00_3061;
																						}
																				}
																			}
																		}
																	else
																		{	/* Flop/walk.scm 131 */
																			BgL_test2199z00_4061 = ((bool_t) 0);
																		}
																}
															else
																{	/* Flop/walk.scm 130 */
																	BgL_test2199z00_4061 = ((bool_t) 0);
																}
														}
													else
														{	/* Flop/walk.scm 129 */
															BgL_test2199z00_4061 = ((bool_t) 0);
														}
												}
											else
												{	/* Flop/walk.scm 128 */
													BgL_test2199z00_4061 = ((bool_t) 0);
												}
										}
										if (BgL_test2199z00_4061)
											{	/* Flop/walk.scm 133 */
												BgL_conditionalz00_bglt BgL_i1125z00_3071;

												BgL_i1125z00_3071 =
													((BgL_conditionalz00_bglt)
													(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_3034))->
														BgL_bodyz00));
												{	/* Flop/walk.scm 134 */
													bool_t BgL_test2211z00_4133;

													{	/* Flop/walk.scm 134 */
														BgL_nodez00_bglt BgL_arg1785z00_3072;

														BgL_arg1785z00_3072 =
															(((BgL_conditionalz00_bglt)
																COBJECT(BgL_i1125z00_3071))->BgL_testz00);
														{	/* Flop/walk.scm 134 */
															obj_t BgL_classz00_3073;

															BgL_classz00_3073 = BGl_refz00zzast_nodez00;
															{	/* Flop/walk.scm 134 */
																BgL_objectz00_bglt BgL_arg1858z00_3074;

																{	/* Flop/walk.scm 134 */
																	obj_t BgL_tmpz00_4135;

																	BgL_tmpz00_4135 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg1785z00_3072));
																	BgL_arg1858z00_3074 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_4135);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Flop/walk.scm 134 */
																		long BgL_idxz00_3075;

																		BgL_idxz00_3075 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_3074);
																		BgL_test2211z00_4133 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_3075 + 3L)) ==
																			BgL_classz00_3073);
																	}
																else
																	{	/* Flop/walk.scm 134 */
																		bool_t BgL_res2072z00_3078;

																		{	/* Flop/walk.scm 134 */
																			obj_t BgL_oclassz00_3079;

																			{	/* Flop/walk.scm 134 */
																				obj_t BgL_arg1866z00_3080;
																				long BgL_arg1867z00_3081;

																				BgL_arg1866z00_3080 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Flop/walk.scm 134 */
																					long BgL_arg1869z00_3082;

																					BgL_arg1869z00_3082 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_3074);
																					BgL_arg1867z00_3081 =
																						(BgL_arg1869z00_3082 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_3079 =
																					VECTOR_REF(BgL_arg1866z00_3080,
																					BgL_arg1867z00_3081);
																			}
																			{	/* Flop/walk.scm 134 */
																				bool_t BgL__ortest_1115z00_3083;

																				BgL__ortest_1115z00_3083 =
																					(BgL_classz00_3073 ==
																					BgL_oclassz00_3079);
																				if (BgL__ortest_1115z00_3083)
																					{	/* Flop/walk.scm 134 */
																						BgL_res2072z00_3078 =
																							BgL__ortest_1115z00_3083;
																					}
																				else
																					{	/* Flop/walk.scm 134 */
																						long BgL_odepthz00_3084;

																						{	/* Flop/walk.scm 134 */
																							obj_t BgL_arg1855z00_3085;

																							BgL_arg1855z00_3085 =
																								(BgL_oclassz00_3079);
																							BgL_odepthz00_3084 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_3085);
																						}
																						if ((3L < BgL_odepthz00_3084))
																							{	/* Flop/walk.scm 134 */
																								obj_t BgL_arg1853z00_3086;

																								{	/* Flop/walk.scm 134 */
																									obj_t BgL_arg1854z00_3087;

																									BgL_arg1854z00_3087 =
																										(BgL_oclassz00_3079);
																									BgL_arg1853z00_3086 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_3087, 3L);
																								}
																								BgL_res2072z00_3078 =
																									(BgL_arg1853z00_3086 ==
																									BgL_classz00_3073);
																							}
																						else
																							{	/* Flop/walk.scm 134 */
																								BgL_res2072z00_3078 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2211z00_4133 = BgL_res2072z00_3078;
																	}
															}
														}
													}
													if (BgL_test2211z00_4133)
														{	/* Flop/walk.scm 136 */
															bool_t BgL_test2215z00_4158;

															{	/* Flop/walk.scm 136 */
																obj_t BgL_tmpz00_4159;

																{	/* Flop/walk.scm 136 */
																	obj_t BgL_pairz00_3088;

																	BgL_pairz00_3088 =
																		(((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_nodez00_3034))->
																		BgL_bindingsz00);
																	BgL_tmpz00_4159 = CAR(CAR(BgL_pairz00_3088));
																}
																BgL_test2215z00_4158 =
																	(
																	((obj_t)
																		(((BgL_varz00_bglt) COBJECT(
																					((BgL_varz00_bglt)
																						((BgL_refz00_bglt)
																							(((BgL_conditionalz00_bglt)
																									COBJECT(BgL_i1125z00_3071))->
																								BgL_testz00)))))->
																			BgL_variablez00)) == BgL_tmpz00_4159);
															}
															if (BgL_test2215z00_4158)
																{	/* Flop/walk.scm 139 */
																	bool_t BgL_test2216z00_4169;

																	{	/* Flop/walk.scm 139 */
																		obj_t BgL_tmpz00_4170;

																		{
																			BgL_atomz00_bglt BgL_auxz00_4171;

																			{
																				BgL_literalz00_bglt BgL_auxz00_4172;

																				{	/* Flop/walk.scm 138 */
																					obj_t BgL_pairz00_3089;

																					BgL_pairz00_3089 =
																						(((BgL_letzd2varzd2_bglt)
																							COBJECT(BgL_nodez00_3034))->
																						BgL_bindingsz00);
																					{	/* Flop/walk.scm 138 */
																						obj_t BgL_pairz00_3090;

																						BgL_pairz00_3090 =
																							CAR(BgL_pairz00_3089);
																						BgL_auxz00_4172 =
																							((BgL_literalz00_bglt)
																							CDR(BgL_pairz00_3090));
																					}
																				}
																				BgL_auxz00_4171 =
																					((BgL_atomz00_bglt) BgL_auxz00_4172);
																			}
																			BgL_tmpz00_4170 =
																				(((BgL_atomz00_bglt)
																					COBJECT(BgL_auxz00_4171))->
																				BgL_valuez00);
																		}
																		BgL_test2216z00_4169 =
																			CBOOL(BgL_tmpz00_4170);
																	}
																	if (BgL_test2216z00_4169)
																		{	/* Flop/walk.scm 139 */
																			BgL_g1129z00_3142 =
																				((obj_t)
																				(((BgL_conditionalz00_bglt)
																						COBJECT(BgL_i1125z00_3071))->
																					BgL_truez00));
																		}
																	else
																		{	/* Flop/walk.scm 139 */
																			BgL_g1129z00_3142 =
																				((obj_t)
																				(((BgL_conditionalz00_bglt)
																						COBJECT(BgL_i1125z00_3071))->
																					BgL_falsez00));
																		}
																}
															else
																{	/* Flop/walk.scm 136 */
																	BgL_g1129z00_3142 = BFALSE;
																}
														}
													else
														{	/* Flop/walk.scm 134 */
															BgL_g1129z00_3142 = BFALSE;
														}
												}
											}
										else
											{	/* Flop/walk.scm 128 */
												BgL_g1129z00_3142 = BFALSE;
											}
									}
									if (CBOOL(BgL_g1129z00_3142))
										{	/* Flop/walk.scm 159 */
											return ((BgL_nodez00_bglt) BgL_g1129z00_3142);
										}
									else
										{	/* Flop/walk.scm 159 */
											return
												((BgL_nodez00_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2951));
										}
								}
						}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzflop_walkz00(void)
	{
		{	/* Flop/walk.scm 19 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(135263837L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(343174225L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(460136018L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2097z00zzflop_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
