/*===========================================================================*/
/*   (Inline/loop.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Inline/loop.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_INLINE_LOOP_TYPE_DEFINITIONS
#define BGL_INLINE_LOOP_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
		bool_t BgL_tailrecz00;
	}               *BgL_isfunz00_bglt;


#endif													// BGL_INLINE_LOOP_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2app1331z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2funcal1290z43zzinline_loopz00(obj_t,
		obj_t);
	extern bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2condition1343z70zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2makezd2b1313z91zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_loopz00 = BUNSPEC;
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62findzd2letzd2funzf3zd2extern1292z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2jumpzd2e1311z91zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2condit1298z43zzinline_loopz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2fun1349za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzinline_loopz00(void);
	static obj_t BGl_z62findzd2letzd2funzf3zd2app1286z43zzinline_loopz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2atom1321z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2boxzd2se1317z91zzinline_loopz00(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_EXPORTED_DECL bool_t
		BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzinline_loopz00(void);
	static obj_t BGl_findzd2letzd2funzf3zf3zzinline_loopz00(BgL_nodez00_bglt);
	static obj_t BGl_objectzd2initzd2zzinline_loopz00(void);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt, BgL_localz00_bglt,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2appzd2ly1333za2zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62nestzd2loopz12za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2jumpzd2exzd2i1355z70zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_loopz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2extern1337z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2setzd2exzd2it1353z70zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62innerzd2loopzf3z43zzinline_loopz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2switch1347z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nestzd2loopz121318za2zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2funcall1335z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2kwote1323z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_nestzd2loopz12za2z62zzinline_loopz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2letzd2va1307z91zzinline_loopz00(obj_t, obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2letzd2fu1305z91zzinline_loopz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2var1351za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2cast1339z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2sequen1282z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2makezd2box1357za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2ref1359za2zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_recursionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_variantz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2setz121361zb0zzinline_loopz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2setq1341z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2sync1329z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static bool_t BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2fail1345z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinline_loopz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_loopz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_loopz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzinline_loopz00(void);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2setzd2ex1309z91zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2fail1301z43zzinline_loopz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2sequence1327z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2var1325z70zzinline_loopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3z91zzinline_loopz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2letzd2funzf31278z91zzinline_loopz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62iszd2loopzf3z43zzinline_loopz00(obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62findzd2letzd2funzf3zd2switch1303z43zzinline_loopz00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62findzd2letzd2funzf3zd2cast1294z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2appzd2ly1288z91zzinline_loopz00(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62findzd2letzd2funzf3zd2setq1296z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2letzd2funzf3zd2sync1284z43zzinline_loopz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62findzd2letzd2funzf3zd2boxzd2re1315z91zzinline_loopz00(obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21961za7,
		BGl_z62findzd2letzd2funzf3z91zzinline_loopz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_innerzd2loopzf3zd2envzf3zzinline_loopz00,
		BgL_bgl_za762innerza7d2loopza71962za7,
		BGl_z62innerzd2loopzf3z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_iszd2loopzf3zd2envzf3zzinline_loopz00,
		BgL_bgl_za762isza7d2loopza7f3za71963z00,
		BGl_z62iszd2loopzf3z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1912z00zzinline_loopz00,
		BgL_bgl_string1912za700za7za7i1964za7, "find-let-fun?1278", 17);
	      DEFINE_STRING(BGl_string1914z00zzinline_loopz00,
		BgL_bgl_string1914za700za7za7i1965za7, "nest-loop!1318", 14);
	      DEFINE_STRING(BGl_string1915z00zzinline_loopz00,
		BgL_bgl_string1915za700za7za7i1966za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1917z00zzinline_loopz00,
		BgL_bgl_string1917za700za7za7i1967za7, "find-let-fun?", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1911z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21968za7,
		BGl_z62findzd2letzd2funzf31278z91zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1913z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711969za7,
		BGl_z62nestzd2loopz121318za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1916z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21970za7,
		BGl_z62findzd2letzd2funzf3zd2sequen1282z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1918z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21971za7,
		BGl_z62findzd2letzd2funzf3zd2sync1284z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1919z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21972za7,
		BGl_z62findzd2letzd2funzf3zd2app1286z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711973za7,
		BGl_z62nestzd2loopz12za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1920z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21974za7,
		BGl_z62findzd2letzd2funzf3zd2appzd2ly1288z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1921z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21975za7,
		BGl_z62findzd2letzd2funzf3zd2funcal1290z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1922z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21976za7,
		BGl_z62findzd2letzd2funzf3zd2extern1292z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1923z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21977za7,
		BGl_z62findzd2letzd2funzf3zd2cast1294z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1924z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21978za7,
		BGl_z62findzd2letzd2funzf3zd2setq1296z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1925z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21979za7,
		BGl_z62findzd2letzd2funzf3zd2condit1298z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1926z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21980za7,
		BGl_z62findzd2letzd2funzf3zd2fail1301z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1927z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21981za7,
		BGl_z62findzd2letzd2funzf3zd2switch1303z43zzinline_loopz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1928z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21982za7,
		BGl_z62findzd2letzd2funzf3zd2letzd2fu1305z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1929z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21983za7,
		BGl_z62findzd2letzd2funzf3zd2letzd2va1307z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1936z00zzinline_loopz00,
		BgL_bgl_string1936za700za7za7i1984za7, "nest-loop!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1930z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21985za7,
		BGl_z62findzd2letzd2funzf3zd2setzd2ex1309z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1931z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21986za7,
		BGl_z62findzd2letzd2funzf3zd2jumpzd2e1311z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1932z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21987za7,
		BGl_z62findzd2letzd2funzf3zd2makezd2b1313z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1933z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21988za7,
		BGl_z62findzd2letzd2funzf3zd2boxzd2re1315z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1934z00zzinline_loopz00,
		BgL_bgl_za762findza7d2letza7d21989za7,
		BGl_z62findzd2letzd2funzf3zd2boxzd2se1317z91zzinline_loopz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1935z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711990za7,
		BGl_z62nestzd2loopz12zd2atom1321z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1937z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711991za7,
		BGl_z62nestzd2loopz12zd2kwote1323z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1938z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711992za7,
		BGl_z62nestzd2loopz12zd2var1325z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1939z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711993za7,
		BGl_z62nestzd2loopz12zd2sequence1327z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1940z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711994za7,
		BGl_z62nestzd2loopz12zd2sync1329z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1941z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711995za7,
		BGl_z62nestzd2loopz12zd2app1331z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1942z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711996za7,
		BGl_z62nestzd2loopz12zd2appzd2ly1333za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1943z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711997za7,
		BGl_z62nestzd2loopz12zd2funcall1335z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1944z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711998za7,
		BGl_z62nestzd2loopz12zd2extern1337z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1945z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza711999za7,
		BGl_z62nestzd2loopz12zd2cast1339z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1946z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712000za7,
		BGl_z62nestzd2loopz12zd2setq1341z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1947z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712001za7,
		BGl_z62nestzd2loopz12zd2condition1343z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1948z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712002za7,
		BGl_z62nestzd2loopz12zd2fail1345z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1949z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712003za7,
		BGl_z62nestzd2loopz12zd2switch1347z70zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1957z00zzinline_loopz00,
		BgL_bgl_string1957za700za7za7i2004za7, "inline_loop", 11);
	      DEFINE_STRING(BGl_string1958z00zzinline_loopz00,
		BgL_bgl_string1958za700za7za7i2005za7, "nest-loop!1318 done ", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1950z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712006za7,
		BGl_z62nestzd2loopz12zd2letzd2fun1349za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1951z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712007za7,
		BGl_z62nestzd2loopz12zd2letzd2var1351za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1952z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712008za7,
		BGl_z62nestzd2loopz12zd2setzd2exzd2it1353z70zzinline_loopz00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1953z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712009za7,
		BGl_z62nestzd2loopz12zd2jumpzd2exzd2i1355z70zzinline_loopz00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1954z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712010za7,
		BGl_z62nestzd2loopz12zd2makezd2box1357za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1955z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712011za7,
		BGl_z62nestzd2loopz12zd2boxzd2ref1359za2zzinline_loopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1956z00zzinline_loopz00,
		BgL_bgl_za762nestza7d2loopza712012za7,
		BGl_z62nestzd2loopz12zd2boxzd2setz121361zb0zzinline_loopz00, 0L, BUNSPEC,
		3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzinline_loopz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long
		BgL_checksumz00_2647, char *BgL_fromz00_2648)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_loopz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_loopz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_loopz00();
					BGl_libraryzd2moduleszd2initz00zzinline_loopz00();
					BGl_cnstzd2initzd2zzinline_loopz00();
					BGl_importedzd2moduleszd2initz00zzinline_loopz00();
					BGl_genericzd2initzd2zzinline_loopz00();
					BGl_methodzd2initzd2zzinline_loopz00();
					return BGl_toplevelzd2initzd2zzinline_loopz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_loopz00(void)
	{
		{	/* Inline/loop.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "inline_loop");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "inline_loop");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "inline_loop");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "inline_loop");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"inline_loop");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_loopz00(void)
	{
		{	/* Inline/loop.scm 15 */
			{	/* Inline/loop.scm 15 */
				obj_t BgL_cportz00_2507;

				{	/* Inline/loop.scm 15 */
					obj_t BgL_stringz00_2514;

					BgL_stringz00_2514 = BGl_string1958z00zzinline_loopz00;
					{	/* Inline/loop.scm 15 */
						obj_t BgL_startz00_2515;

						BgL_startz00_2515 = BINT(0L);
						{	/* Inline/loop.scm 15 */
							obj_t BgL_endz00_2516;

							BgL_endz00_2516 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2514)));
							{	/* Inline/loop.scm 15 */

								BgL_cportz00_2507 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2514, BgL_startz00_2515, BgL_endz00_2516);
				}}}}
				{
					long BgL_iz00_2508;

					BgL_iz00_2508 = 1L;
				BgL_loopz00_2509:
					if ((BgL_iz00_2508 == (-1L)))
						{	/* Inline/loop.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/loop.scm 15 */
							{	/* Inline/loop.scm 15 */
								obj_t BgL_arg1960z00_2510;

								{	/* Inline/loop.scm 15 */

									{	/* Inline/loop.scm 15 */
										obj_t BgL_locationz00_2512;

										BgL_locationz00_2512 = BBOOL(((bool_t) 0));
										{	/* Inline/loop.scm 15 */

											BgL_arg1960z00_2510 =
												BGl_readz00zz__readerz00(BgL_cportz00_2507,
												BgL_locationz00_2512);
										}
									}
								}
								{	/* Inline/loop.scm 15 */
									int BgL_tmpz00_2678;

									BgL_tmpz00_2678 = (int) (BgL_iz00_2508);
									CNST_TABLE_SET(BgL_tmpz00_2678, BgL_arg1960z00_2510);
							}}
							{	/* Inline/loop.scm 15 */
								int BgL_auxz00_2513;

								BgL_auxz00_2513 = (int) ((BgL_iz00_2508 - 1L));
								{
									long BgL_iz00_2683;

									BgL_iz00_2683 = (long) (BgL_auxz00_2513);
									BgL_iz00_2508 = BgL_iz00_2683;
									goto BgL_loopz00_2509;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_loopz00(void)
	{
		{	/* Inline/loop.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_loopz00(void)
	{
		{	/* Inline/loop.scm 15 */
			return BUNSPEC;
		}

	}



/* is-loop? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt BgL_variablez00_3)
	{
		{	/* Inline/loop.scm 39 */
			if (BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_3))
				{	/* Inline/loop.scm 42 */
					long BgL_arg1367z00_1573;

					{	/* Inline/loop.scm 42 */
						obj_t BgL_arg1370z00_1574;

						{	/* Inline/loop.scm 42 */
							BgL_sfunz00_bglt BgL_oz00_2132;

							BgL_oz00_2132 =
								((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_3))->
									BgL_valuez00));
							{
								BgL_isfunz00_bglt BgL_auxz00_2690;

								{
									obj_t BgL_auxz00_2691;

									{	/* Inline/loop.scm 42 */
										BgL_objectz00_bglt BgL_tmpz00_2692;

										BgL_tmpz00_2692 = ((BgL_objectz00_bglt) BgL_oz00_2132);
										BgL_auxz00_2691 = BGL_OBJECT_WIDENING(BgL_tmpz00_2692);
									}
									BgL_auxz00_2690 = ((BgL_isfunz00_bglt) BgL_auxz00_2691);
								}
								BgL_arg1370z00_1574 =
									(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_2690))->
									BgL_recursivezd2callszd2);
						}}
						BgL_arg1367z00_1573 = bgl_list_length(BgL_arg1370z00_1574);
					}
					return (BgL_arg1367z00_1573 == 1L);
				}
			else
				{	/* Inline/loop.scm 41 */
					return ((bool_t) 0);
				}
		}

	}



/* &is-loop? */
	obj_t BGl_z62iszd2loopzf3z43zzinline_loopz00(obj_t BgL_envz00_2330,
		obj_t BgL_variablez00_2331)
	{
		{	/* Inline/loop.scm 39 */
			return
				BBOOL(BGl_iszd2loopzf3z21zzinline_loopz00(
					((BgL_variablez00_bglt) BgL_variablez00_2331)));
		}

	}



/* inner-loop? */
	BGL_EXPORTED_DEF bool_t
		BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt
		BgL_variablez00_4)
	{
		{	/* Inline/loop.scm 49 */
			{	/* Inline/loop.scm 50 */
				obj_t BgL_arg1376z00_2135;

				BgL_arg1376z00_2135 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_4))->
									BgL_valuez00))))->BgL_bodyz00);
				return
					CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(((BgL_nodez00_bglt)
							BgL_arg1376z00_2135)));
			}
		}

	}



/* &inner-loop? */
	obj_t BGl_z62innerzd2loopzf3z43zzinline_loopz00(obj_t BgL_envz00_2332,
		obj_t BgL_variablez00_2333)
	{
		{	/* Inline/loop.scm 49 */
			return
				BBOOL(BGl_innerzd2loopzf3z21zzinline_loopz00(
					((BgL_variablez00_bglt) BgL_variablez00_2333)));
		}

	}



/* find-let-fun?* */
	bool_t BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(obj_t BgL_nodeza2za2_24)
	{
		{	/* Inline/loop.scm 198 */
			{
				obj_t BgL_nodeza2za2_1579;

				BgL_nodeza2za2_1579 = BgL_nodeza2za2_24;
			BgL_zc3z04anonymousza31380ze3z87_1580:
				if (NULLP(BgL_nodeza2za2_1579))
					{	/* Inline/loop.scm 201 */
						return ((bool_t) 0);
					}
				else
					{	/* Inline/loop.scm 203 */
						bool_t BgL_test2017z00_2713;

						{	/* Inline/loop.scm 203 */
							obj_t BgL_arg1386z00_1585;

							BgL_arg1386z00_1585 = CAR(((obj_t) BgL_nodeza2za2_1579));
							BgL_test2017z00_2713 =
								CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									((BgL_nodez00_bglt) BgL_arg1386z00_1585)));
						}
						if (BgL_test2017z00_2713)
							{	/* Inline/loop.scm 203 */
								return ((bool_t) 1);
							}
						else
							{	/* Inline/loop.scm 206 */
								obj_t BgL_arg1385z00_1584;

								BgL_arg1385z00_1584 = CDR(((obj_t) BgL_nodeza2za2_1579));
								{
									obj_t BgL_nodeza2za2_2721;

									BgL_nodeza2za2_2721 = BgL_arg1385z00_1584;
									BgL_nodeza2za2_1579 = BgL_nodeza2za2_2721;
									goto BgL_zc3z04anonymousza31380ze3z87_1580;
								}
							}
					}
			}
		}

	}



/* nest-loop!* */
	obj_t BGl_nestzd2loopz12za2z62zzinline_loopz00(obj_t BgL_nodeza2za2_91,
		obj_t BgL_varz00_92, obj_t BgL_nesterz00_93)
	{
		{	/* Inline/loop.scm 401 */
			{
				obj_t BgL_nodeza2za2_1588;

				BgL_nodeza2za2_1588 = BgL_nodeza2za2_91;
			BgL_zc3z04anonymousza31387ze3z87_1589:
				if (NULLP(BgL_nodeza2za2_1588))
					{	/* Inline/loop.scm 403 */
						return ((obj_t) CNST_TABLE_REF(0));
					}
				else
					{	/* Inline/loop.scm 403 */
						{	/* Inline/loop.scm 406 */
							BgL_nodez00_bglt BgL_arg1392z00_1591;

							{	/* Inline/loop.scm 406 */
								obj_t BgL_arg1400z00_1592;

								BgL_arg1400z00_1592 = CAR(((obj_t) BgL_nodeza2za2_1588));
								BgL_arg1392z00_1591 =
									BGl_nestzd2loopz12zc0zzinline_loopz00(
									((BgL_nodez00_bglt) BgL_arg1400z00_1592),
									((BgL_localz00_bglt) BgL_varz00_92), BgL_nesterz00_93);
							}
							{	/* Inline/loop.scm 406 */
								obj_t BgL_auxz00_2733;
								obj_t BgL_tmpz00_2731;

								BgL_auxz00_2733 = ((obj_t) BgL_arg1392z00_1591);
								BgL_tmpz00_2731 = ((obj_t) BgL_nodeza2za2_1588);
								SET_CAR(BgL_tmpz00_2731, BgL_auxz00_2733);
							}
						}
						{	/* Inline/loop.scm 407 */
							obj_t BgL_arg1401z00_1593;

							BgL_arg1401z00_1593 = CDR(((obj_t) BgL_nodeza2za2_1588));
							{
								obj_t BgL_nodeza2za2_2738;

								BgL_nodeza2za2_2738 = BgL_arg1401z00_1593;
								BgL_nodeza2za2_1588 = BgL_nodeza2za2_2738;
								goto BgL_zc3z04anonymousza31387ze3z87_1589;
							}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_loopz00(void)
	{
		{	/* Inline/loop.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_loopz00(void)
	{
		{	/* Inline/loop.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_proc1911z00zzinline_loopz00, BGl_nodez00zzast_nodez00,
				BGl_string1912z00zzinline_loopz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_proc1913z00zzinline_loopz00, BGl_nodez00zzast_nodez00,
				BGl_string1914z00zzinline_loopz00);
		}

	}



/* &nest-loop!1318 */
	obj_t BGl_z62nestzd2loopz121318za2zzinline_loopz00(obj_t BgL_envz00_2336,
		obj_t BgL_nodez00_2337, obj_t BgL_localz00_2338, obj_t BgL_nesterz00_2339)
	{
		{	/* Inline/loop.scm 211 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(1)), BGl_string1915z00zzinline_loopz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2337)));
		}

	}



/* &find-let-fun?1278 */
	obj_t BGl_z62findzd2letzd2funzf31278z91zzinline_loopz00(obj_t BgL_envz00_2340,
		obj_t BgL_nodez00_2341)
	{
		{	/* Inline/loop.scm 55 */
			return BBOOL(((bool_t) 0));
		}

	}



/* find-let-fun? */
	obj_t BGl_findzd2letzd2funzf3zf3zzinline_loopz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		{	/* Inline/loop.scm 55 */
			{	/* Inline/loop.scm 55 */
				obj_t BgL_method1279z00_1605;

				{	/* Inline/loop.scm 55 */
					obj_t BgL_res1903z00_2174;

					{	/* Inline/loop.scm 55 */
						long BgL_objzd2classzd2numz00_2145;

						BgL_objzd2classzd2numz00_2145 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
						{	/* Inline/loop.scm 55 */
							obj_t BgL_arg1862z00_2146;

							BgL_arg1862z00_2146 =
								PROCEDURE_REF(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
								(int) (1L));
							{	/* Inline/loop.scm 55 */
								int BgL_offsetz00_2149;

								BgL_offsetz00_2149 = (int) (BgL_objzd2classzd2numz00_2145);
								{	/* Inline/loop.scm 55 */
									long BgL_offsetz00_2150;

									BgL_offsetz00_2150 =
										((long) (BgL_offsetz00_2149) - OBJECT_TYPE);
									{	/* Inline/loop.scm 55 */
										long BgL_modz00_2151;

										BgL_modz00_2151 =
											(BgL_offsetz00_2150 >> (int) ((long) ((int) (4L))));
										{	/* Inline/loop.scm 55 */
											long BgL_restz00_2153;

											BgL_restz00_2153 =
												(BgL_offsetz00_2150 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Inline/loop.scm 55 */

												{	/* Inline/loop.scm 55 */
													obj_t BgL_bucketz00_2155;

													BgL_bucketz00_2155 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2146), BgL_modz00_2151);
													BgL_res1903z00_2174 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2155), BgL_restz00_2153);
					}}}}}}}}
					BgL_method1279z00_1605 = BgL_res1903z00_2174;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1279z00_1605, ((obj_t) BgL_nodez00_5));
			}
		}

	}



/* &find-let-fun? */
	obj_t BGl_z62findzd2letzd2funzf3z91zzinline_loopz00(obj_t BgL_envz00_2342,
		obj_t BgL_nodez00_2343)
	{
		{	/* Inline/loop.scm 55 */
			return
				BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
				((BgL_nodez00_bglt) BgL_nodez00_2343));
		}

	}



/* nest-loop! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt BgL_nodez00_25,
		BgL_localz00_bglt BgL_localz00_26, obj_t BgL_nesterz00_27)
	{
		{	/* Inline/loop.scm 211 */
			{	/* Inline/loop.scm 211 */
				obj_t BgL_method1319z00_1606;

				{	/* Inline/loop.scm 211 */
					obj_t BgL_res1908z00_2205;

					{	/* Inline/loop.scm 211 */
						long BgL_objzd2classzd2numz00_2176;

						BgL_objzd2classzd2numz00_2176 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_25));
						{	/* Inline/loop.scm 211 */
							obj_t BgL_arg1862z00_2177;

							BgL_arg1862z00_2177 =
								PROCEDURE_REF(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
								(int) (1L));
							{	/* Inline/loop.scm 211 */
								int BgL_offsetz00_2180;

								BgL_offsetz00_2180 = (int) (BgL_objzd2classzd2numz00_2176);
								{	/* Inline/loop.scm 211 */
									long BgL_offsetz00_2181;

									BgL_offsetz00_2181 =
										((long) (BgL_offsetz00_2180) - OBJECT_TYPE);
									{	/* Inline/loop.scm 211 */
										long BgL_modz00_2182;

										BgL_modz00_2182 =
											(BgL_offsetz00_2181 >> (int) ((long) ((int) (4L))));
										{	/* Inline/loop.scm 211 */
											long BgL_restz00_2184;

											BgL_restz00_2184 =
												(BgL_offsetz00_2181 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Inline/loop.scm 211 */

												{	/* Inline/loop.scm 211 */
													obj_t BgL_bucketz00_2186;

													BgL_bucketz00_2186 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2177), BgL_modz00_2182);
													BgL_res1908z00_2205 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2186), BgL_restz00_2184);
					}}}}}}}}
					BgL_method1319z00_1606 = BgL_res1908z00_2205;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL3(BgL_method1319z00_1606,
						((obj_t) BgL_nodez00_25),
						((obj_t) BgL_localz00_26), BgL_nesterz00_27));
			}
		}

	}



/* &nest-loop! */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12za2zzinline_loopz00(obj_t
		BgL_envz00_2344, obj_t BgL_nodez00_2345, obj_t BgL_localz00_2346,
		obj_t BgL_nesterz00_2347)
	{
		{	/* Inline/loop.scm 211 */
			return
				BGl_nestzd2loopz12zc0zzinline_loopz00(
				((BgL_nodez00_bglt) BgL_nodez00_2345),
				((BgL_localz00_bglt) BgL_localz00_2346), BgL_nesterz00_2347);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_loopz00(void)
	{
		{	/* Inline/loop.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1916z00zzinline_loopz00,
				BGl_string1917z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_syncz00zzast_nodez00, BGl_proc1918z00zzinline_loopz00,
				BGl_string1917z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_appz00zzast_nodez00, BGl_proc1919z00zzinline_loopz00,
				BGl_string1917z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1920z00zzinline_loopz00,
				BGl_string1917z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1921z00zzinline_loopz00,
				BGl_string1917z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_externz00zzast_nodez00, BGl_proc1922z00zzinline_loopz00,
				BGl_string1917z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_castz00zzast_nodez00, BGl_proc1923z00zzinline_loopz00,
				BGl_string1917z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_setqz00zzast_nodez00, BGl_proc1924z00zzinline_loopz00,
				BGl_string1917z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1925z00zzinline_loopz00,
				BGl_string1917z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_failz00zzast_nodez00, BGl_proc1926z00zzinline_loopz00,
				BGl_string1917z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_switchz00zzast_nodez00, BGl_proc1927z00zzinline_loopz00,
				BGl_string1917z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1928z00zzinline_loopz00,
				BGl_string1917z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1929z00zzinline_loopz00,
				BGl_string1917z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1930z00zzinline_loopz00,
				BGl_string1917z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1931z00zzinline_loopz00,
				BGl_string1917z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1932z00zzinline_loopz00,
				BGl_string1917z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1933z00zzinline_loopz00,
				BGl_string1917z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2letzd2funzf3zd2envz21zzinline_loopz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1934z00zzinline_loopz00,
				BGl_string1917z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_atomz00zzast_nodez00,
				BGl_proc1935z00zzinline_loopz00, BGl_string1936z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1937z00zzinline_loopz00, BGl_string1936z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_varz00zzast_nodez00,
				BGl_proc1938z00zzinline_loopz00, BGl_string1936z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1939z00zzinline_loopz00,
				BGl_string1936z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_syncz00zzast_nodez00,
				BGl_proc1940z00zzinline_loopz00, BGl_string1936z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_appz00zzast_nodez00,
				BGl_proc1941z00zzinline_loopz00, BGl_string1936z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1942z00zzinline_loopz00,
				BGl_string1936z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1943z00zzinline_loopz00,
				BGl_string1936z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_externz00zzast_nodez00, BGl_proc1944z00zzinline_loopz00,
				BGl_string1936z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_castz00zzast_nodez00,
				BGl_proc1945z00zzinline_loopz00, BGl_string1936z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_setqz00zzast_nodez00,
				BGl_proc1946z00zzinline_loopz00, BGl_string1936z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1947z00zzinline_loopz00,
				BGl_string1936z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00, BGl_failz00zzast_nodez00,
				BGl_proc1948z00zzinline_loopz00, BGl_string1936z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_switchz00zzast_nodez00, BGl_proc1949z00zzinline_loopz00,
				BGl_string1936z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1950z00zzinline_loopz00,
				BGl_string1936z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1951z00zzinline_loopz00,
				BGl_string1936z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1952z00zzinline_loopz00,
				BGl_string1936z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1953z00zzinline_loopz00,
				BGl_string1936z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1954z00zzinline_loopz00,
				BGl_string1936z00zzinline_loopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1955z00zzinline_loopz00,
				BGl_string1936z00zzinline_loopz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nestzd2loopz12zd2envz12zzinline_loopz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1956z00zzinline_loopz00,
				BGl_string1936z00zzinline_loopz00);
		}

	}



/* &nest-loop!-box-set!1361 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2setz121361zb0zzinline_loopz00(obj_t
		BgL_envz00_2387, obj_t BgL_nodez00_2388, obj_t BgL_vz00_2389,
		obj_t BgL_nesterz00_2390)
	{
		{	/* Inline/loop.scm 392 */
			{
				BgL_varz00_bglt BgL_auxz00_2855;

				{	/* Inline/loop.scm 394 */
					BgL_varz00_bglt BgL_arg1763z00_2523;

					BgL_arg1763z00_2523 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2388)))->BgL_varz00);
					BgL_auxz00_2855 =
						((BgL_varz00_bglt)
						BGl_nestzd2loopz12zc0zzinline_loopz00(
							((BgL_nodez00_bglt) BgL_arg1763z00_2523),
							((BgL_localz00_bglt) BgL_vz00_2389), BgL_nesterz00_2390));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2388)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2855), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2864;

				{	/* Inline/loop.scm 395 */
					BgL_nodez00_bglt BgL_arg1765z00_2524;

					BgL_arg1765z00_2524 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2388)))->BgL_valuez00);
					BgL_auxz00_2864 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1765z00_2524,
						((BgL_localz00_bglt) BgL_vz00_2389), BgL_nesterz00_2390);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2388)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2864), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2388));
		}

	}



/* &nest-loop!-box-ref1359 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2boxzd2ref1359za2zzinline_loopz00(obj_t
		BgL_envz00_2391, obj_t BgL_nodez00_2392, obj_t BgL_vz00_2393,
		obj_t BgL_nesterz00_2394)
	{
		{	/* Inline/loop.scm 384 */
			{
				BgL_varz00_bglt BgL_auxz00_2873;

				{	/* Inline/loop.scm 386 */
					BgL_varz00_bglt BgL_arg1757z00_2526;

					BgL_arg1757z00_2526 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2392)))->BgL_varz00);
					BgL_auxz00_2873 =
						((BgL_varz00_bglt)
						BGl_nestzd2loopz12zc0zzinline_loopz00(
							((BgL_nodez00_bglt) BgL_arg1757z00_2526),
							((BgL_localz00_bglt) BgL_vz00_2393), BgL_nesterz00_2394));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2392)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2873), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2392));
		}

	}



/* &nest-loop!-make-box1357 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2makezd2box1357za2zzinline_loopz00(obj_t
		BgL_envz00_2395, obj_t BgL_nodez00_2396, obj_t BgL_varz00_2397,
		obj_t BgL_nesterz00_2398)
	{
		{	/* Inline/loop.scm 376 */
			{
				BgL_nodez00_bglt BgL_auxz00_2884;

				{	/* Inline/loop.scm 378 */
					BgL_nodez00_bglt BgL_arg1756z00_2528;

					BgL_arg1756z00_2528 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2396)))->BgL_valuez00);
					BgL_auxz00_2884 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1756z00_2528,
						((BgL_localz00_bglt) BgL_varz00_2397), BgL_nesterz00_2398);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2396)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2884), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2396));
		}

	}



/* &nest-loop!-jump-ex-i1355 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2jumpzd2exzd2i1355z70zzinline_loopz00(obj_t
		BgL_envz00_2399, obj_t BgL_nodez00_2400, obj_t BgL_vz00_2401,
		obj_t BgL_nesterz00_2402)
	{
		{	/* Inline/loop.scm 367 */
			{
				BgL_nodez00_bglt BgL_auxz00_2893;

				{	/* Inline/loop.scm 369 */
					BgL_nodez00_bglt BgL_arg1748z00_2530;

					BgL_arg1748z00_2530 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2400)))->BgL_exitz00);
					BgL_auxz00_2893 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1748z00_2530,
						((BgL_localz00_bglt) BgL_vz00_2401), BgL_nesterz00_2402);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2400)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2893), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2900;

				{	/* Inline/loop.scm 370 */
					BgL_nodez00_bglt BgL_arg1755z00_2531;

					BgL_arg1755z00_2531 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2400)))->
						BgL_valuez00);
					BgL_auxz00_2900 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1755z00_2531,
						((BgL_localz00_bglt) BgL_vz00_2401), BgL_nesterz00_2402);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2400)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2900), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2400));
		}

	}



/* &nest-loop!-set-ex-it1353 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2setzd2exzd2it1353z70zzinline_loopz00(obj_t
		BgL_envz00_2403, obj_t BgL_nodez00_2404, obj_t BgL_varz00_2405,
		obj_t BgL_nesterz00_2406)
	{
		{	/* Inline/loop.scm 358 */
			{
				BgL_nodez00_bglt BgL_auxz00_2909;

				{	/* Inline/loop.scm 360 */
					BgL_nodez00_bglt BgL_arg1730z00_2533;

					BgL_arg1730z00_2533 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2404)))->BgL_bodyz00);
					BgL_auxz00_2909 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1730z00_2533,
						((BgL_localz00_bglt) BgL_varz00_2405), BgL_nesterz00_2406);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2404)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2909), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2916;

				{	/* Inline/loop.scm 361 */
					BgL_nodez00_bglt BgL_arg1746z00_2534;

					BgL_arg1746z00_2534 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2404)))->
						BgL_onexitz00);
					BgL_auxz00_2916 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1746z00_2534,
						((BgL_localz00_bglt) BgL_varz00_2405), BgL_nesterz00_2406);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2404)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2916), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2404));
		}

	}



/* &nest-loop!-let-var1351 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2var1351za2zzinline_loopz00(obj_t
		BgL_envz00_2407, obj_t BgL_nodez00_2408, obj_t BgL_varz00_2409,
		obj_t BgL_nesterz00_2410)
	{
		{	/* Inline/loop.scm 347 */
			{
				BgL_nodez00_bglt BgL_auxz00_2925;

				{	/* Inline/loop.scm 349 */
					BgL_nodez00_bglt BgL_arg1715z00_2536;

					BgL_arg1715z00_2536 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2408)))->BgL_bodyz00);
					BgL_auxz00_2925 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1715z00_2536,
						((BgL_localz00_bglt) BgL_varz00_2409), BgL_nesterz00_2410);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2408)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2925), BUNSPEC);
			}
			{	/* Inline/loop.scm 350 */
				obj_t BgL_g1277z00_2537;

				BgL_g1277z00_2537 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2408)))->BgL_bindingsz00);
				{
					obj_t BgL_l1275z00_2539;

					BgL_l1275z00_2539 = BgL_g1277z00_2537;
				BgL_zc3z04anonymousza31716ze3z87_2538:
					if (PAIRP(BgL_l1275z00_2539))
						{	/* Inline/loop.scm 350 */
							{	/* Inline/loop.scm 351 */
								obj_t BgL_bindingz00_2540;

								BgL_bindingz00_2540 = CAR(BgL_l1275z00_2539);
								{	/* Inline/loop.scm 351 */
									BgL_nodez00_bglt BgL_arg1720z00_2541;

									{	/* Inline/loop.scm 351 */
										obj_t BgL_arg1724z00_2542;

										BgL_arg1724z00_2542 = CDR(((obj_t) BgL_bindingz00_2540));
										BgL_arg1720z00_2541 =
											BGl_nestzd2loopz12zc0zzinline_loopz00(
											((BgL_nodez00_bglt) BgL_arg1724z00_2542),
											((BgL_localz00_bglt) BgL_varz00_2409),
											BgL_nesterz00_2410);
									}
									{	/* Inline/loop.scm 351 */
										obj_t BgL_auxz00_2944;
										obj_t BgL_tmpz00_2942;

										BgL_auxz00_2944 = ((obj_t) BgL_arg1720z00_2541);
										BgL_tmpz00_2942 = ((obj_t) BgL_bindingz00_2540);
										SET_CDR(BgL_tmpz00_2942, BgL_auxz00_2944);
									}
								}
							}
							{
								obj_t BgL_l1275z00_2947;

								BgL_l1275z00_2947 = CDR(BgL_l1275z00_2539);
								BgL_l1275z00_2539 = BgL_l1275z00_2947;
								goto BgL_zc3z04anonymousza31716ze3z87_2538;
							}
						}
					else
						{	/* Inline/loop.scm 350 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2408));
		}

	}



/* &nest-loop!-let-fun1349 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2letzd2fun1349za2zzinline_loopz00(obj_t
		BgL_envz00_2411, obj_t BgL_nodez00_2412, obj_t BgL_varz00_2413,
		obj_t BgL_nesterz00_2414)
	{
		{	/* Inline/loop.scm 332 */
			{
				BgL_nodez00_bglt BgL_auxz00_2951;

				{	/* Inline/loop.scm 334 */
					BgL_nodez00_bglt BgL_arg1693z00_2544;

					BgL_arg1693z00_2544 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2412)))->BgL_bodyz00);
					BgL_auxz00_2951 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1693z00_2544,
						((BgL_localz00_bglt) BgL_varz00_2413), BgL_nesterz00_2414);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2412)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2951), BUNSPEC);
			}
			{	/* Inline/loop.scm 335 */
				obj_t BgL_g1274z00_2545;

				BgL_g1274z00_2545 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2412)))->BgL_localsz00);
				{
					obj_t BgL_l1272z00_2547;

					BgL_l1272z00_2547 = BgL_g1274z00_2545;
				BgL_zc3z04anonymousza31694ze3z87_2546:
					if (PAIRP(BgL_l1272z00_2547))
						{	/* Inline/loop.scm 335 */
							{	/* Inline/loop.scm 336 */
								obj_t BgL_localz00_2548;

								BgL_localz00_2548 = CAR(BgL_l1272z00_2547);
								{	/* Inline/loop.scm 336 */
									BgL_valuez00_bglt BgL_sfunz00_2549;

									BgL_sfunz00_2549 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2548))))->
										BgL_valuez00);
									{	/* Inline/loop.scm 338 */
										BgL_nodez00_bglt BgL_arg1696z00_2550;

										{	/* Inline/loop.scm 338 */
											obj_t BgL_arg1699z00_2551;

											BgL_arg1699z00_2551 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_sfunz00_2549)))->
												BgL_bodyz00);
											BgL_arg1696z00_2550 =
												BGl_nestzd2loopz12zc0zzinline_loopz00((
													(BgL_nodez00_bglt) BgL_arg1699z00_2551),
												((BgL_localz00_bglt) BgL_varz00_2413),
												BgL_nesterz00_2414);
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_sfunz00_2549)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1696z00_2550)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1272z00_2974;

								BgL_l1272z00_2974 = CDR(BgL_l1272z00_2547);
								BgL_l1272z00_2547 = BgL_l1272z00_2974;
								goto BgL_zc3z04anonymousza31694ze3z87_2546;
							}
						}
					else
						{	/* Inline/loop.scm 335 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2412));
		}

	}



/* &nest-loop!-switch1347 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2switch1347z70zzinline_loopz00(obj_t
		BgL_envz00_2415, obj_t BgL_nodez00_2416, obj_t BgL_varz00_2417,
		obj_t BgL_nesterz00_2418)
	{
		{	/* Inline/loop.scm 321 */
			{
				BgL_nodez00_bglt BgL_auxz00_2978;

				{	/* Inline/loop.scm 323 */
					BgL_nodez00_bglt BgL_arg1679z00_2553;

					BgL_arg1679z00_2553 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2416)))->BgL_testz00);
					BgL_auxz00_2978 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1679z00_2553,
						((BgL_localz00_bglt) BgL_varz00_2417), BgL_nesterz00_2418);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2416)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2978), BUNSPEC);
			}
			{	/* Inline/loop.scm 324 */
				obj_t BgL_g1271z00_2554;

				BgL_g1271z00_2554 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2416)))->BgL_clausesz00);
				{
					obj_t BgL_l1269z00_2556;

					BgL_l1269z00_2556 = BgL_g1271z00_2554;
				BgL_zc3z04anonymousza31680ze3z87_2555:
					if (PAIRP(BgL_l1269z00_2556))
						{	/* Inline/loop.scm 324 */
							{	/* Inline/loop.scm 325 */
								obj_t BgL_clausez00_2557;

								BgL_clausez00_2557 = CAR(BgL_l1269z00_2556);
								{	/* Inline/loop.scm 325 */
									BgL_nodez00_bglt BgL_arg1686z00_2558;

									{	/* Inline/loop.scm 325 */
										obj_t BgL_arg1691z00_2559;

										BgL_arg1691z00_2559 = CDR(((obj_t) BgL_clausez00_2557));
										BgL_arg1686z00_2558 =
											BGl_nestzd2loopz12zc0zzinline_loopz00(
											((BgL_nodez00_bglt) BgL_arg1691z00_2559),
											((BgL_localz00_bglt) BgL_varz00_2417),
											BgL_nesterz00_2418);
									}
									{	/* Inline/loop.scm 325 */
										obj_t BgL_auxz00_2997;
										obj_t BgL_tmpz00_2995;

										BgL_auxz00_2997 = ((obj_t) BgL_arg1686z00_2558);
										BgL_tmpz00_2995 = ((obj_t) BgL_clausez00_2557);
										SET_CDR(BgL_tmpz00_2995, BgL_auxz00_2997);
									}
								}
							}
							{
								obj_t BgL_l1269z00_3000;

								BgL_l1269z00_3000 = CDR(BgL_l1269z00_2556);
								BgL_l1269z00_2556 = BgL_l1269z00_3000;
								goto BgL_zc3z04anonymousza31680ze3z87_2555;
							}
						}
					else
						{	/* Inline/loop.scm 324 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2416));
		}

	}



/* &nest-loop!-fail1345 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2fail1345z70zzinline_loopz00(obj_t
		BgL_envz00_2419, obj_t BgL_nodez00_2420, obj_t BgL_varz00_2421,
		obj_t BgL_nesterz00_2422)
	{
		{	/* Inline/loop.scm 311 */
			{
				BgL_nodez00_bglt BgL_auxz00_3004;

				{	/* Inline/loop.scm 313 */
					BgL_nodez00_bglt BgL_arg1674z00_2561;

					BgL_arg1674z00_2561 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2420)))->BgL_procz00);
					BgL_auxz00_3004 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1674z00_2561,
						((BgL_localz00_bglt) BgL_varz00_2421), BgL_nesterz00_2422);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2420)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3004), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3011;

				{	/* Inline/loop.scm 314 */
					BgL_nodez00_bglt BgL_arg1675z00_2562;

					BgL_arg1675z00_2562 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2420)))->BgL_msgz00);
					BgL_auxz00_3011 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1675z00_2562,
						((BgL_localz00_bglt) BgL_varz00_2421), BgL_nesterz00_2422);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2420)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3011), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3018;

				{	/* Inline/loop.scm 315 */
					BgL_nodez00_bglt BgL_arg1677z00_2563;

					BgL_arg1677z00_2563 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2420)))->BgL_objz00);
					BgL_auxz00_3018 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1677z00_2563,
						((BgL_localz00_bglt) BgL_varz00_2421), BgL_nesterz00_2422);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2420)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3018), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2420));
		}

	}



/* &nest-loop!-condition1343 */
	BgL_nodez00_bglt
		BGl_z62nestzd2loopz12zd2condition1343z70zzinline_loopz00(obj_t
		BgL_envz00_2423, obj_t BgL_nodez00_2424, obj_t BgL_varz00_2425,
		obj_t BgL_nesterz00_2426)
	{
		{	/* Inline/loop.scm 301 */
			{
				BgL_nodez00_bglt BgL_auxz00_3027;

				{	/* Inline/loop.scm 303 */
					BgL_nodez00_bglt BgL_arg1663z00_2565;

					BgL_arg1663z00_2565 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2424)))->BgL_testz00);
					BgL_auxz00_3027 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1663z00_2565,
						((BgL_localz00_bglt) BgL_varz00_2425), BgL_nesterz00_2426);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2424)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3027), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3034;

				{	/* Inline/loop.scm 304 */
					BgL_nodez00_bglt BgL_arg1664z00_2566;

					BgL_arg1664z00_2566 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2424)))->BgL_truez00);
					BgL_auxz00_3034 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1664z00_2566,
						((BgL_localz00_bglt) BgL_varz00_2425), BgL_nesterz00_2426);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2424)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3034), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3041;

				{	/* Inline/loop.scm 305 */
					BgL_nodez00_bglt BgL_arg1673z00_2567;

					BgL_arg1673z00_2567 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2424)))->BgL_falsez00);
					BgL_auxz00_3041 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1673z00_2567,
						((BgL_localz00_bglt) BgL_varz00_2425), BgL_nesterz00_2426);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2424)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3041), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2424));
		}

	}



/* &nest-loop!-setq1341 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2setq1341z70zzinline_loopz00(obj_t
		BgL_envz00_2427, obj_t BgL_nodez00_2428, obj_t BgL_varz00_2429,
		obj_t BgL_nesterz00_2430)
	{
		{	/* Inline/loop.scm 294 */
			{	/* Inline/loop.scm 295 */
				BgL_nodez00_bglt BgL_arg1660z00_2569;

				BgL_arg1660z00_2569 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2428)))->BgL_valuez00);
				BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1660z00_2569,
					((BgL_localz00_bglt) BgL_varz00_2429), BgL_nesterz00_2430);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2428));
		}

	}



/* &nest-loop!-cast1339 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2cast1339z70zzinline_loopz00(obj_t
		BgL_envz00_2431, obj_t BgL_nodez00_2432, obj_t BgL_varz00_2433,
		obj_t BgL_nesterz00_2434)
	{
		{	/* Inline/loop.scm 287 */
			{	/* Inline/loop.scm 288 */
				BgL_nodez00_bglt BgL_arg1657z00_2571;

				BgL_arg1657z00_2571 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2432)))->BgL_argz00);
				BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1657z00_2571,
					((BgL_localz00_bglt) BgL_varz00_2433), BgL_nesterz00_2434);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2432));
		}

	}



/* &nest-loop!-extern1337 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2extern1337z70zzinline_loopz00(obj_t
		BgL_envz00_2435, obj_t BgL_nodez00_2436, obj_t BgL_varz00_2437,
		obj_t BgL_nesterz00_2438)
	{
		{	/* Inline/loop.scm 280 */
			BGl_nestzd2loopz12za2z62zzinline_loopz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2436)))->BgL_exprza2za2),
				BgL_varz00_2437, BgL_nesterz00_2438);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2436));
		}

	}



/* &nest-loop!-funcall1335 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2funcall1335z70zzinline_loopz00(obj_t
		BgL_envz00_2439, obj_t BgL_nodez00_2440, obj_t BgL_varz00_2441,
		obj_t BgL_nesterz00_2442)
	{
		{	/* Inline/loop.scm 271 */
			{
				BgL_nodez00_bglt BgL_auxz00_3067;

				{	/* Inline/loop.scm 273 */
					BgL_nodez00_bglt BgL_arg1653z00_2574;

					BgL_arg1653z00_2574 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2440)))->BgL_funz00);
					BgL_auxz00_3067 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1653z00_2574,
						((BgL_localz00_bglt) BgL_varz00_2441), BgL_nesterz00_2442);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2440)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3067), BUNSPEC);
			}
			BGl_nestzd2loopz12za2z62zzinline_loopz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2440)))->BgL_argsz00),
				BgL_varz00_2441, BgL_nesterz00_2442);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2440));
		}

	}



/* &nest-loop!-app-ly1333 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2appzd2ly1333za2zzinline_loopz00(obj_t
		BgL_envz00_2443, obj_t BgL_nodez00_2444, obj_t BgL_varz00_2445,
		obj_t BgL_nesterz00_2446)
	{
		{	/* Inline/loop.scm 262 */
			{
				BgL_nodez00_bglt BgL_auxz00_3079;

				{	/* Inline/loop.scm 264 */
					BgL_nodez00_bglt BgL_arg1649z00_2576;

					BgL_arg1649z00_2576 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2444)))->BgL_funz00);
					BgL_auxz00_3079 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1649z00_2576,
						((BgL_localz00_bglt) BgL_varz00_2445), BgL_nesterz00_2446);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2444)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3079), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3086;

				{	/* Inline/loop.scm 265 */
					BgL_nodez00_bglt BgL_arg1650z00_2577;

					BgL_arg1650z00_2577 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2444)))->BgL_argz00);
					BgL_auxz00_3086 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1650z00_2577,
						((BgL_localz00_bglt) BgL_varz00_2445), BgL_nesterz00_2446);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2444)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3086), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2444));
		}

	}



/* &nest-loop!-app1331 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2app1331z70zzinline_loopz00(obj_t
		BgL_envz00_2447, obj_t BgL_nodez00_2448, obj_t BgL_varz00_2449,
		obj_t BgL_nesterz00_2450)
	{
		{	/* Inline/loop.scm 252 */
			BGl_nestzd2loopz12za2z62zzinline_loopz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2448)))->BgL_argsz00),
				BgL_varz00_2449, BgL_nesterz00_2450);
			{	/* Inline/loop.scm 255 */
				bool_t BgL_test2022z00_3098;

				{	/* Inline/loop.scm 255 */
					bool_t BgL_test2023z00_3099;

					{	/* Inline/loop.scm 255 */
						BgL_varz00_bglt BgL_arg1648z00_2579;

						BgL_arg1648z00_2579 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_2448)))->BgL_funz00);
						{	/* Inline/loop.scm 255 */
							obj_t BgL_classz00_2580;

							BgL_classz00_2580 = BGl_varz00zzast_nodez00;
							{	/* Inline/loop.scm 255 */
								BgL_objectz00_bglt BgL_arg1858z00_2581;

								{	/* Inline/loop.scm 255 */
									obj_t BgL_tmpz00_3102;

									BgL_tmpz00_3102 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1648z00_2579));
									BgL_arg1858z00_2581 = (BgL_objectz00_bglt) (BgL_tmpz00_3102);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Inline/loop.scm 255 */
										long BgL_idxz00_2582;

										BgL_idxz00_2582 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2581);
										BgL_test2023z00_3099 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2582 + 2L)) == BgL_classz00_2580);
									}
								else
									{	/* Inline/loop.scm 255 */
										bool_t BgL_res1909z00_2585;

										{	/* Inline/loop.scm 255 */
											obj_t BgL_oclassz00_2586;

											{	/* Inline/loop.scm 255 */
												obj_t BgL_arg1866z00_2587;
												long BgL_arg1867z00_2588;

												BgL_arg1866z00_2587 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Inline/loop.scm 255 */
													long BgL_arg1869z00_2589;

													BgL_arg1869z00_2589 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2581);
													BgL_arg1867z00_2588 =
														(BgL_arg1869z00_2589 - OBJECT_TYPE);
												}
												BgL_oclassz00_2586 =
													VECTOR_REF(BgL_arg1866z00_2587, BgL_arg1867z00_2588);
											}
											{	/* Inline/loop.scm 255 */
												bool_t BgL__ortest_1115z00_2590;

												BgL__ortest_1115z00_2590 =
													(BgL_classz00_2580 == BgL_oclassz00_2586);
												if (BgL__ortest_1115z00_2590)
													{	/* Inline/loop.scm 255 */
														BgL_res1909z00_2585 = BgL__ortest_1115z00_2590;
													}
												else
													{	/* Inline/loop.scm 255 */
														long BgL_odepthz00_2591;

														{	/* Inline/loop.scm 255 */
															obj_t BgL_arg1855z00_2592;

															BgL_arg1855z00_2592 = (BgL_oclassz00_2586);
															BgL_odepthz00_2591 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2592);
														}
														if ((2L < BgL_odepthz00_2591))
															{	/* Inline/loop.scm 255 */
																obj_t BgL_arg1853z00_2593;

																{	/* Inline/loop.scm 255 */
																	obj_t BgL_arg1854z00_2594;

																	BgL_arg1854z00_2594 = (BgL_oclassz00_2586);
																	BgL_arg1853z00_2593 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2594,
																		2L);
																}
																BgL_res1909z00_2585 =
																	(BgL_arg1853z00_2593 == BgL_classz00_2580);
															}
														else
															{	/* Inline/loop.scm 255 */
																BgL_res1909z00_2585 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2023z00_3099 = BgL_res1909z00_2585;
									}
							}
						}
					}
					if (BgL_test2023z00_3099)
						{	/* Inline/loop.scm 255 */
							BgL_test2022z00_3098 =
								(
								((obj_t)
									(((BgL_varz00_bglt) COBJECT(
												(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_2448)))->
													BgL_funz00)))->BgL_variablez00)) == BgL_varz00_2449);
						}
					else
						{	/* Inline/loop.scm 255 */
							BgL_test2022z00_3098 = ((bool_t) 0);
						}
				}
				if (BgL_test2022z00_3098)
					{	/* Inline/loop.scm 255 */
						return
							((BgL_nodez00_bglt)
							BGL_PROCEDURE_CALL1(BgL_nesterz00_2450,
								((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2448))));
					}
				else
					{	/* Inline/loop.scm 255 */
						return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2448));
					}
			}
		}

	}



/* &nest-loop!-sync1329 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2sync1329z70zzinline_loopz00(obj_t
		BgL_envz00_2451, obj_t BgL_nodez00_2452, obj_t BgL_varz00_2453,
		obj_t BgL_nesterz00_2454)
	{
		{	/* Inline/loop.scm 242 */
			{
				BgL_nodez00_bglt BgL_auxz00_3139;

				{	/* Inline/loop.scm 244 */
					BgL_nodez00_bglt BgL_arg1611z00_2596;

					BgL_arg1611z00_2596 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2452)))->BgL_mutexz00);
					BgL_auxz00_3139 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1611z00_2596,
						((BgL_localz00_bglt) BgL_varz00_2453), BgL_nesterz00_2454);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2452)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3139), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3146;

				{	/* Inline/loop.scm 245 */
					BgL_nodez00_bglt BgL_arg1612z00_2597;

					BgL_arg1612z00_2597 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2452)))->BgL_prelockz00);
					BgL_auxz00_3146 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1612z00_2597,
						((BgL_localz00_bglt) BgL_varz00_2453), BgL_nesterz00_2454);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2452)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3146), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3153;

				{	/* Inline/loop.scm 246 */
					BgL_nodez00_bglt BgL_arg1625z00_2598;

					BgL_arg1625z00_2598 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2452)))->BgL_bodyz00);
					BgL_auxz00_3153 =
						BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_arg1625z00_2598,
						((BgL_localz00_bglt) BgL_varz00_2453), BgL_nesterz00_2454);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2452)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3153), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2452));
		}

	}



/* &nest-loop!-sequence1327 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2sequence1327z70zzinline_loopz00(obj_t
		BgL_envz00_2455, obj_t BgL_nodez00_2456, obj_t BgL_varz00_2457,
		obj_t BgL_nesterz00_2458)
	{
		{	/* Inline/loop.scm 234 */
			BGl_nestzd2loopz12za2z62zzinline_loopz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2456)))->BgL_nodesz00),
				BgL_varz00_2457, BgL_nesterz00_2458);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2456));
		}

	}



/* &nest-loop!-var1325 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2var1325z70zzinline_loopz00(obj_t
		BgL_envz00_2459, obj_t BgL_nodez00_2460, obj_t BgL_varz00_2461,
		obj_t BgL_nesterz00_2462)
	{
		{	/* Inline/loop.scm 228 */
			return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2460));
		}

	}



/* &nest-loop!-kwote1323 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2kwote1323z70zzinline_loopz00(obj_t
		BgL_envz00_2463, obj_t BgL_nodez00_2464, obj_t BgL_varz00_2465,
		obj_t BgL_nesterz00_2466)
	{
		{	/* Inline/loop.scm 222 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2464));
		}

	}



/* &nest-loop!-atom1321 */
	BgL_nodez00_bglt BGl_z62nestzd2loopz12zd2atom1321z70zzinline_loopz00(obj_t
		BgL_envz00_2467, obj_t BgL_nodez00_2468, obj_t BgL_varz00_2469,
		obj_t BgL_nesterz00_2470)
	{
		{	/* Inline/loop.scm 216 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2468));
		}

	}



/* &find-let-fun?-box-se1317 */
	obj_t BGl_z62findzd2letzd2funzf3zd2boxzd2se1317z91zzinline_loopz00(obj_t
		BgL_envz00_2471, obj_t BgL_nodez00_2472)
	{
		{	/* Inline/loop.scm 191 */
			{	/* Inline/loop.scm 193 */
				obj_t BgL__ortest_1129z00_2604;

				{	/* Inline/loop.scm 193 */
					BgL_varz00_bglt BgL_arg1597z00_2605;

					BgL_arg1597z00_2605 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2472)))->BgL_varz00);
					BgL__ortest_1129z00_2604 =
						BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
						((BgL_nodez00_bglt) BgL_arg1597z00_2605));
				}
				if (CBOOL(BgL__ortest_1129z00_2604))
					{	/* Inline/loop.scm 193 */
						return BgL__ortest_1129z00_2604;
					}
				else
					{	/* Inline/loop.scm 193 */
						return
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2472)))->
								BgL_valuez00));
					}
			}
		}

	}



/* &find-let-fun?-box-re1315 */
	obj_t BGl_z62findzd2letzd2funzf3zd2boxzd2re1315z91zzinline_loopz00(obj_t
		BgL_envz00_2473, obj_t BgL_nodez00_2474)
	{
		{	/* Inline/loop.scm 185 */
			{	/* Inline/loop.scm 186 */
				BgL_varz00_bglt BgL_arg1592z00_2607;

				BgL_arg1592z00_2607 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2474)))->BgL_varz00);
				return
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					((BgL_nodez00_bglt) BgL_arg1592z00_2607));
			}
		}

	}



/* &find-let-fun?-make-b1313 */
	obj_t BGl_z62findzd2letzd2funzf3zd2makezd2b1313z91zzinline_loopz00(obj_t
		BgL_envz00_2475, obj_t BgL_nodez00_2476)
	{
		{	/* Inline/loop.scm 179 */
			return
				BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2476)))->BgL_valuez00));
		}

	}



/* &find-let-fun?-jump-e1311 */
	obj_t BGl_z62findzd2letzd2funzf3zd2jumpzd2e1311z91zzinline_loopz00(obj_t
		BgL_envz00_2477, obj_t BgL_nodez00_2478)
	{
		{	/* Inline/loop.scm 172 */
			{	/* Inline/loop.scm 174 */
				obj_t BgL__ortest_1127z00_2610;

				BgL__ortest_1127z00_2610 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2478)))->
						BgL_exitz00));
				if (CBOOL(BgL__ortest_1127z00_2610))
					{	/* Inline/loop.scm 174 */
						return BgL__ortest_1127z00_2610;
					}
				else
					{	/* Inline/loop.scm 174 */
						return
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
										((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2478)))->
								BgL_valuez00));
					}
			}
		}

	}



/* &find-let-fun?-set-ex1309 */
	obj_t BGl_z62findzd2letzd2funzf3zd2setzd2ex1309z91zzinline_loopz00(obj_t
		BgL_envz00_2479, obj_t BgL_nodez00_2480)
	{
		{	/* Inline/loop.scm 165 */
			{	/* Inline/loop.scm 166 */
				obj_t BgL__ortest_1125z00_2612;

				BgL__ortest_1125z00_2612 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2480)))->BgL_bodyz00));
				if (CBOOL(BgL__ortest_1125z00_2612))
					{	/* Inline/loop.scm 166 */
						return BgL__ortest_1125z00_2612;
					}
				else
					{	/* Inline/loop.scm 166 */
						return
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2480)))->
								BgL_onexitz00));
					}
			}
		}

	}



/* &find-let-fun?-let-va1307 */
	obj_t BGl_z62findzd2letzd2funzf3zd2letzd2va1307z91zzinline_loopz00(obj_t
		BgL_envz00_2481, obj_t BgL_nodez00_2482)
	{
		{	/* Inline/loop.scm 152 */
			{	/* Inline/loop.scm 153 */
				obj_t BgL_g1124z00_2614;

				BgL_g1124z00_2614 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2482)))->BgL_bindingsz00);
				{
					obj_t BgL_bindingsz00_2616;

					BgL_bindingsz00_2616 = BgL_g1124z00_2614;
				BgL_loopz00_2615:
					if (NULLP(BgL_bindingsz00_2616))
						{	/* Inline/loop.scm 155 */
							return
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2482)))->
									BgL_bodyz00));
						}
					else
						{	/* Inline/loop.scm 157 */
							bool_t BgL_test2031z00_3212;

							{	/* Inline/loop.scm 157 */
								obj_t BgL_arg1574z00_2617;

								{	/* Inline/loop.scm 157 */
									obj_t BgL_pairz00_2618;

									BgL_pairz00_2618 = CAR(((obj_t) BgL_bindingsz00_2616));
									BgL_arg1574z00_2617 = CDR(BgL_pairz00_2618);
								}
								BgL_test2031z00_3212 =
									CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
										((BgL_nodez00_bglt) BgL_arg1574z00_2617)));
							}
							if (BgL_test2031z00_3212)
								{	/* Inline/loop.scm 157 */
									return BTRUE;
								}
							else
								{	/* Inline/loop.scm 160 */
									obj_t BgL_arg1560z00_2619;

									BgL_arg1560z00_2619 = CDR(((obj_t) BgL_bindingsz00_2616));
									{
										obj_t BgL_bindingsz00_3221;

										BgL_bindingsz00_3221 = BgL_arg1560z00_2619;
										BgL_bindingsz00_2616 = BgL_bindingsz00_3221;
										goto BgL_loopz00_2615;
									}
								}
						}
				}
			}
		}

	}



/* &find-let-fun?-let-fu1305 */
	obj_t BGl_z62findzd2letzd2funzf3zd2letzd2fu1305z91zzinline_loopz00(obj_t
		BgL_envz00_2483, obj_t BgL_nodez00_2484)
	{
		{	/* Inline/loop.scm 146 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &find-let-fun?-switch1303 */
	obj_t BGl_z62findzd2letzd2funzf3zd2switch1303z43zzinline_loopz00(obj_t
		BgL_envz00_2485, obj_t BgL_nodez00_2486)
	{
		{	/* Inline/loop.scm 133 */
			{	/* Inline/loop.scm 134 */
				obj_t BgL_g1123z00_2622;

				BgL_g1123z00_2622 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2486)))->BgL_clausesz00);
				{
					obj_t BgL_clausesz00_2624;

					BgL_clausesz00_2624 = BgL_g1123z00_2622;
				BgL_loopz00_2623:
					if (NULLP(BgL_clausesz00_2624))
						{	/* Inline/loop.scm 136 */
							return
								BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
								(((BgL_switchz00_bglt) COBJECT(
											((BgL_switchz00_bglt) BgL_nodez00_2486)))->BgL_testz00));
						}
					else
						{	/* Inline/loop.scm 138 */
							bool_t BgL_test2033z00_3230;

							{	/* Inline/loop.scm 138 */
								obj_t BgL_arg1535z00_2625;

								{	/* Inline/loop.scm 138 */
									obj_t BgL_pairz00_2626;

									BgL_pairz00_2626 = CAR(((obj_t) BgL_clausesz00_2624));
									BgL_arg1535z00_2625 = CDR(BgL_pairz00_2626);
								}
								BgL_test2033z00_3230 =
									CBOOL(BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
										((BgL_nodez00_bglt) BgL_arg1535z00_2625)));
							}
							if (BgL_test2033z00_3230)
								{	/* Inline/loop.scm 138 */
									return BTRUE;
								}
							else
								{	/* Inline/loop.scm 141 */
									obj_t BgL_arg1532z00_2627;

									BgL_arg1532z00_2627 = CDR(((obj_t) BgL_clausesz00_2624));
									{
										obj_t BgL_clausesz00_3239;

										BgL_clausesz00_3239 = BgL_arg1532z00_2627;
										BgL_clausesz00_2624 = BgL_clausesz00_3239;
										goto BgL_loopz00_2623;
									}
								}
						}
				}
			}
		}

	}



/* &find-let-fun?-fail1301 */
	obj_t BGl_z62findzd2letzd2funzf3zd2fail1301z43zzinline_loopz00(obj_t
		BgL_envz00_2487, obj_t BgL_nodez00_2488)
	{
		{	/* Inline/loop.scm 124 */
			{	/* Inline/loop.scm 126 */
				obj_t BgL__ortest_1121z00_2629;

				BgL__ortest_1121z00_2629 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2488)))->BgL_procz00));
				if (CBOOL(BgL__ortest_1121z00_2629))
					{	/* Inline/loop.scm 126 */
						return BgL__ortest_1121z00_2629;
					}
				else
					{	/* Inline/loop.scm 127 */
						obj_t BgL__ortest_1122z00_2630;

						BgL__ortest_1122z00_2630 =
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_failz00_bglt) COBJECT(
										((BgL_failz00_bglt) BgL_nodez00_2488)))->BgL_msgz00));
						if (CBOOL(BgL__ortest_1122z00_2630))
							{	/* Inline/loop.scm 127 */
								return BgL__ortest_1122z00_2630;
							}
						else
							{	/* Inline/loop.scm 127 */
								return
									BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									(((BgL_failz00_bglt) COBJECT(
												((BgL_failz00_bglt) BgL_nodez00_2488)))->BgL_objz00));
							}
					}
			}
		}

	}



/* &find-let-fun?-condit1298 */
	obj_t BGl_z62findzd2letzd2funzf3zd2condit1298z43zzinline_loopz00(obj_t
		BgL_envz00_2489, obj_t BgL_nodez00_2490)
	{
		{	/* Inline/loop.scm 115 */
			{	/* Inline/loop.scm 117 */
				obj_t BgL__ortest_1118z00_2632;

				BgL__ortest_1118z00_2632 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2490)))->BgL_testz00));
				if (CBOOL(BgL__ortest_1118z00_2632))
					{	/* Inline/loop.scm 117 */
						return BgL__ortest_1118z00_2632;
					}
				else
					{	/* Inline/loop.scm 118 */
						obj_t BgL__ortest_1119z00_2633;

						BgL__ortest_1119z00_2633 =
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2490)))->
								BgL_truez00));
						if (CBOOL(BgL__ortest_1119z00_2633))
							{	/* Inline/loop.scm 118 */
								return BgL__ortest_1119z00_2633;
							}
						else
							{	/* Inline/loop.scm 118 */
								return
									BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2490)))->
										BgL_falsez00));
							}
					}
			}
		}

	}



/* &find-let-fun?-setq1296 */
	obj_t BGl_z62findzd2letzd2funzf3zd2setq1296z43zzinline_loopz00(obj_t
		BgL_envz00_2491, obj_t BgL_nodez00_2492)
	{
		{	/* Inline/loop.scm 109 */
			return
				BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2492)))->BgL_valuez00));
		}

	}



/* &find-let-fun?-cast1294 */
	obj_t BGl_z62findzd2letzd2funzf3zd2cast1294z43zzinline_loopz00(obj_t
		BgL_envz00_2493, obj_t BgL_nodez00_2494)
	{
		{	/* Inline/loop.scm 103 */
			return
				BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2494)))->BgL_argz00));
		}

	}



/* &find-let-fun?-extern1292 */
	obj_t BGl_z62findzd2letzd2funzf3zd2extern1292z43zzinline_loopz00(obj_t
		BgL_envz00_2495, obj_t BgL_nodez00_2496)
	{
		{	/* Inline/loop.scm 97 */
			return
				BBOOL(BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2496)))->BgL_exprza2za2)));
		}

	}



/* &find-let-fun?-funcal1290 */
	obj_t BGl_z62findzd2letzd2funzf3zd2funcal1290z43zzinline_loopz00(obj_t
		BgL_envz00_2497, obj_t BgL_nodez00_2498)
	{
		{	/* Inline/loop.scm 89 */
			{	/* Inline/loop.scm 91 */
				obj_t BgL__ortest_1116z00_2638;

				BgL__ortest_1116z00_2638 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2498)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1116z00_2638))
					{	/* Inline/loop.scm 91 */
						return BgL__ortest_1116z00_2638;
					}
				else
					{	/* Inline/loop.scm 92 */
						obj_t BgL_arg1446z00_2639;

						BgL_arg1446z00_2639 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2498)))->BgL_argsz00);
						return
							BBOOL(BGl_findzd2letzd2funzf3za2z51zzinline_loopz00
							(BgL_arg1446z00_2639));
					}
			}
		}

	}



/* &find-let-fun?-app-ly1288 */
	obj_t BGl_z62findzd2letzd2funzf3zd2appzd2ly1288z91zzinline_loopz00(obj_t
		BgL_envz00_2499, obj_t BgL_nodez00_2500)
	{
		{	/* Inline/loop.scm 82 */
			{	/* Inline/loop.scm 84 */
				obj_t BgL__ortest_1114z00_2641;

				BgL__ortest_1114z00_2641 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2500)))->BgL_funz00));
				if (CBOOL(BgL__ortest_1114z00_2641))
					{	/* Inline/loop.scm 84 */
						return BgL__ortest_1114z00_2641;
					}
				else
					{	/* Inline/loop.scm 84 */
						return
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_2500)))->BgL_argz00));
					}
			}
		}

	}



/* &find-let-fun?-app1286 */
	obj_t BGl_z62findzd2letzd2funzf3zd2app1286z43zzinline_loopz00(obj_t
		BgL_envz00_2501, obj_t BgL_nodez00_2502)
	{
		{	/* Inline/loop.scm 75 */
			return
				BBOOL(BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2502)))->BgL_argsz00)));
		}

	}



/* &find-let-fun?-sync1284 */
	obj_t BGl_z62findzd2letzd2funzf3zd2sync1284z43zzinline_loopz00(obj_t
		BgL_envz00_2503, obj_t BgL_nodez00_2504)
	{
		{	/* Inline/loop.scm 67 */
			{	/* Inline/loop.scm 68 */
				obj_t BgL__ortest_1109z00_2644;

				BgL__ortest_1109z00_2644 =
					BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2504)))->BgL_mutexz00));
				if (CBOOL(BgL__ortest_1109z00_2644))
					{	/* Inline/loop.scm 68 */
						return BgL__ortest_1109z00_2644;
					}
				else
					{	/* Inline/loop.scm 69 */
						obj_t BgL__ortest_1111z00_2645;

						BgL__ortest_1111z00_2645 =
							BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_2504)))->BgL_prelockz00));
						if (CBOOL(BgL__ortest_1111z00_2645))
							{	/* Inline/loop.scm 69 */
								return BgL__ortest_1111z00_2645;
							}
						else
							{	/* Inline/loop.scm 69 */
								return
									BGl_findzd2letzd2funzf3zf3zzinline_loopz00(
									(((BgL_syncz00_bglt) COBJECT(
												((BgL_syncz00_bglt) BgL_nodez00_2504)))->BgL_bodyz00));
							}
					}
			}
		}

	}



/* &find-let-fun?-sequen1282 */
	obj_t BGl_z62findzd2letzd2funzf3zd2sequen1282z43zzinline_loopz00(obj_t
		BgL_envz00_2505, obj_t BgL_nodez00_2506)
	{
		{	/* Inline/loop.scm 61 */
			return
				BBOOL(BGl_findzd2letzd2funzf3za2z51zzinline_loopz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2506)))->BgL_nodesz00)));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_loopz00(void)
	{
		{	/* Inline/loop.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1957z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1957z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1957z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1957z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1957z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1957z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1957z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1957z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1957z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1957z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(20504962L,
				BSTRING_TO_STRING(BGl_string1957z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzinline_variantz00(347990278L,
				BSTRING_TO_STRING(BGl_string1957z00zzinline_loopz00));
			BGl_modulezd2initializa7ationz75zzinline_recursionz00(101873001L,
				BSTRING_TO_STRING(BGl_string1957z00zzinline_loopz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_effectz00(460136018L,
				BSTRING_TO_STRING(BGl_string1957z00zzinline_loopz00));
		}

	}

#ifdef __cplusplus
}
#endif
