/*===========================================================================*/
/*   (Integrate/ctn.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Integrate/ctn.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_INTEGRATE_CTN_TYPE_DEFINITIONS
#define BGL_INTEGRATE_CTN_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


#endif													// BGL_INTEGRATE_CTN_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_ctnz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_genericzd2initzd2zzintegrate_ctnz00(void);
	BGL_EXPORTED_DECL obj_t BGl_Cnz62Ctz12z70zzintegrate_ctnz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_ctnz00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzintegrate_ctnz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_ctnz00(void);
	static obj_t BGl_zc3z04anonymousza31292ze3ze70z60zzintegrate_ctnz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62Cnz62Ctz12z12zzintegrate_ctnz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzintegrate_ctnz00(void);
	static obj_t BGl_globaliza7ez12zb5zzintegrate_ctnz00(BgL_localz00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctnz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctnz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_ctnz00(void);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_Cnz62Ctz12zd2envza2zzintegrate_ctnz00,
		BgL_bgl_za762cnza762ctza712za7121447z00,
		BGl_z62Cnz62Ctz12z12zzintegrate_ctnz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1421z00zzintegrate_ctnz00,
		BgL_bgl_string1421za700za7za7i1448za7, "Cn&Ct!", 6);
	      DEFINE_STRING(BGl_string1422z00zzintegrate_ctnz00,
		BgL_bgl_string1422za700za7za7i1449za7, "Should not be here", 18);
	      DEFINE_STRING(BGl_string1423z00zzintegrate_ctnz00,
		BgL_bgl_string1423za700za7za7i1450za7, "integrate_ctn", 13);
	      DEFINE_STRING(BGl_string1424z00zzintegrate_ctnz00,
		BgL_bgl_string1424za700za7za7i1451za7, "escape tail ", 12);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_ctnz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(long
		BgL_checksumz00_1978, char *BgL_fromz00_1979)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_ctnz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_ctnz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_ctnz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_ctnz00();
					BGl_cnstzd2initzd2zzintegrate_ctnz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_ctnz00();
					return BGl_methodzd2initzd2zzintegrate_ctnz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctnz00(void)
	{
		{	/* Integrate/ctn.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"integrate_ctn");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"integrate_ctn");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_ctnz00(void)
	{
		{	/* Integrate/ctn.scm 17 */
			{	/* Integrate/ctn.scm 17 */
				obj_t BgL_cportz00_1967;

				{	/* Integrate/ctn.scm 17 */
					obj_t BgL_stringz00_1974;

					BgL_stringz00_1974 = BGl_string1424z00zzintegrate_ctnz00;
					{	/* Integrate/ctn.scm 17 */
						obj_t BgL_startz00_1975;

						BgL_startz00_1975 = BINT(0L);
						{	/* Integrate/ctn.scm 17 */
							obj_t BgL_endz00_1976;

							BgL_endz00_1976 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1974)));
							{	/* Integrate/ctn.scm 17 */

								BgL_cportz00_1967 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1974, BgL_startz00_1975, BgL_endz00_1976);
				}}}}
				{
					long BgL_iz00_1968;

					BgL_iz00_1968 = 1L;
				BgL_loopz00_1969:
					if ((BgL_iz00_1968 == (-1L)))
						{	/* Integrate/ctn.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/ctn.scm 17 */
							{	/* Integrate/ctn.scm 17 */
								obj_t BgL_arg1446z00_1970;

								{	/* Integrate/ctn.scm 17 */

									{	/* Integrate/ctn.scm 17 */
										obj_t BgL_locationz00_1972;

										BgL_locationz00_1972 = BBOOL(((bool_t) 0));
										{	/* Integrate/ctn.scm 17 */

											BgL_arg1446z00_1970 =
												BGl_readz00zz__readerz00(BgL_cportz00_1967,
												BgL_locationz00_1972);
										}
									}
								}
								{	/* Integrate/ctn.scm 17 */
									int BgL_tmpz00_2006;

									BgL_tmpz00_2006 = (int) (BgL_iz00_1968);
									CNST_TABLE_SET(BgL_tmpz00_2006, BgL_arg1446z00_1970);
							}}
							{	/* Integrate/ctn.scm 17 */
								int BgL_auxz00_1973;

								BgL_auxz00_1973 = (int) ((BgL_iz00_1968 - 1L));
								{
									long BgL_iz00_2011;

									BgL_iz00_2011 = (long) (BgL_auxz00_1973);
									BgL_iz00_1968 = BgL_iz00_2011;
									goto BgL_loopz00_1969;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_ctnz00(void)
	{
		{	/* Integrate/ctn.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzintegrate_ctnz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1566;

					BgL_headz00_1566 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1567;
						obj_t BgL_tailz00_1568;

						BgL_prevz00_1567 = BgL_headz00_1566;
						BgL_tailz00_1568 = BgL_l1z00_1;
					BgL_loopz00_1569:
						if (PAIRP(BgL_tailz00_1568))
							{
								obj_t BgL_newzd2prevzd2_1571;

								BgL_newzd2prevzd2_1571 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1568), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1567, BgL_newzd2prevzd2_1571);
								{
									obj_t BgL_tailz00_2023;
									obj_t BgL_prevz00_2022;

									BgL_prevz00_2022 = BgL_newzd2prevzd2_1571;
									BgL_tailz00_2023 = CDR(BgL_tailz00_1568);
									BgL_tailz00_1568 = BgL_tailz00_2023;
									BgL_prevz00_1567 = BgL_prevz00_2022;
									goto BgL_loopz00_1569;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1566);
					}
				}
		}

	}



/* Cn&Ct! */
	BGL_EXPORTED_DEF obj_t BGl_Cnz62Ctz12z70zzintegrate_ctnz00(obj_t BgL_az00_3)
	{
		{	/* Integrate/ctn.scm 33 */
			{
				obj_t BgL_asz00_1576;
				obj_t BgL_gzf2cnzf2_1577;

				BgL_asz00_1576 = BgL_az00_3;
				BgL_gzf2cnzf2_1577 = BNIL;
			BgL_zc3z04anonymousza31245ze3z87_1578:
				if (NULLP(BgL_asz00_1576))
					{	/* Integrate/ctn.scm 36 */
						return BgL_gzf2cnzf2_1577;
					}
				else
					{	/* Integrate/ctn.scm 40 */
						obj_t BgL_az00_1580;

						BgL_az00_1580 = CAR(((obj_t) BgL_asz00_1576));
						{	/* Integrate/ctn.scm 40 */
							obj_t BgL_fz00_1581;

							BgL_fz00_1581 = CAR(((obj_t) BgL_az00_1580));
							{	/* Integrate/ctn.scm 41 */
								obj_t BgL_gz00_1582;

								{	/* Integrate/ctn.scm 42 */
									obj_t BgL_pairz00_1823;

									BgL_pairz00_1823 = CDR(((obj_t) BgL_az00_1580));
									BgL_gz00_1582 = CAR(BgL_pairz00_1823);
								}
								{	/* Integrate/ctn.scm 42 */
									obj_t BgL_kz00_1583;

									{	/* Integrate/ctn.scm 43 */
										obj_t BgL_pairz00_1829;

										{	/* Integrate/ctn.scm 43 */
											obj_t BgL_pairz00_1828;

											BgL_pairz00_1828 = CDR(((obj_t) BgL_az00_1580));
											BgL_pairz00_1829 = CDR(BgL_pairz00_1828);
										}
										BgL_kz00_1583 = CAR(BgL_pairz00_1829);
									}
									{	/* Integrate/ctn.scm 43 */
										BgL_valuez00_bglt BgL_fiz00_1584;

										BgL_fiz00_1584 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_fz00_1581)))->
											BgL_valuez00);
										{	/* Integrate/ctn.scm 44 */
											BgL_valuez00_bglt BgL_giz00_1585;

											BgL_giz00_1585 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_gz00_1582)))->
												BgL_valuez00);
											{	/* Integrate/ctn.scm 45 */

												{	/* Integrate/ctn.scm 47 */
													bool_t BgL_test1457z00_2043;

													{	/* Integrate/ctn.scm 47 */
														obj_t BgL_classz00_1832;

														BgL_classz00_1832 = BGl_globalz00zzast_varz00;
														if (BGL_OBJECTP(BgL_gz00_1582))
															{	/* Integrate/ctn.scm 47 */
																BgL_objectz00_bglt BgL_arg1858z00_1834;

																BgL_arg1858z00_1834 =
																	(BgL_objectz00_bglt) (BgL_gz00_1582);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Integrate/ctn.scm 47 */
																		long BgL_idxz00_1840;

																		BgL_idxz00_1840 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_1834);
																		BgL_test1457z00_2043 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_1840 + 2L)) ==
																			BgL_classz00_1832);
																	}
																else
																	{	/* Integrate/ctn.scm 47 */
																		bool_t BgL_res1418z00_1865;

																		{	/* Integrate/ctn.scm 47 */
																			obj_t BgL_oclassz00_1848;

																			{	/* Integrate/ctn.scm 47 */
																				obj_t BgL_arg1866z00_1856;
																				long BgL_arg1867z00_1857;

																				BgL_arg1866z00_1856 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Integrate/ctn.scm 47 */
																					long BgL_arg1869z00_1858;

																					BgL_arg1869z00_1858 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_1834);
																					BgL_arg1867z00_1857 =
																						(BgL_arg1869z00_1858 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_1848 =
																					VECTOR_REF(BgL_arg1866z00_1856,
																					BgL_arg1867z00_1857);
																			}
																			{	/* Integrate/ctn.scm 47 */
																				bool_t BgL__ortest_1115z00_1849;

																				BgL__ortest_1115z00_1849 =
																					(BgL_classz00_1832 ==
																					BgL_oclassz00_1848);
																				if (BgL__ortest_1115z00_1849)
																					{	/* Integrate/ctn.scm 47 */
																						BgL_res1418z00_1865 =
																							BgL__ortest_1115z00_1849;
																					}
																				else
																					{	/* Integrate/ctn.scm 47 */
																						long BgL_odepthz00_1850;

																						{	/* Integrate/ctn.scm 47 */
																							obj_t BgL_arg1855z00_1851;

																							BgL_arg1855z00_1851 =
																								(BgL_oclassz00_1848);
																							BgL_odepthz00_1850 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_1851);
																						}
																						if ((2L < BgL_odepthz00_1850))
																							{	/* Integrate/ctn.scm 47 */
																								obj_t BgL_arg1853z00_1853;

																								{	/* Integrate/ctn.scm 47 */
																									obj_t BgL_arg1854z00_1854;

																									BgL_arg1854z00_1854 =
																										(BgL_oclassz00_1848);
																									BgL_arg1853z00_1853 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_1854, 2L);
																								}
																								BgL_res1418z00_1865 =
																									(BgL_arg1853z00_1853 ==
																									BgL_classz00_1832);
																							}
																						else
																							{	/* Integrate/ctn.scm 47 */
																								BgL_res1418z00_1865 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test1457z00_2043 = BgL_res1418z00_1865;
																	}
															}
														else
															{	/* Integrate/ctn.scm 47 */
																BgL_test1457z00_2043 = ((bool_t) 0);
															}
													}
													if (BgL_test1457z00_2043)
														{	/* Integrate/ctn.scm 48 */
															obj_t BgL_arg1249z00_1587;

															BgL_arg1249z00_1587 =
																CDR(((obj_t) BgL_asz00_1576));
															{
																obj_t BgL_asz00_2068;

																BgL_asz00_2068 = BgL_arg1249z00_1587;
																BgL_asz00_1576 = BgL_asz00_2068;
																goto BgL_zc3z04anonymousza31245ze3z87_1578;
															}
														}
													else
														{	/* Integrate/ctn.scm 49 */
															bool_t BgL_test1462z00_2069;

															{
																BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2070;

																{
																	obj_t BgL_auxz00_2071;

																	{	/* Integrate/ctn.scm 49 */
																		BgL_objectz00_bglt BgL_tmpz00_2072;

																		BgL_tmpz00_2072 =
																			((BgL_objectz00_bglt)
																			((BgL_sfunz00_bglt) BgL_giz00_1585));
																		BgL_auxz00_2071 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2072);
																	}
																	BgL_auxz00_2070 =
																		((BgL_sfunzf2iinfozf2_bglt)
																		BgL_auxz00_2071);
																}
																BgL_test1462z00_2069 =
																	(((BgL_sfunzf2iinfozf2_bglt)
																		COBJECT(BgL_auxz00_2070))->
																	BgL_forcegzf3zf3);
															}
															if (BgL_test1462z00_2069)
																{	/* Integrate/ctn.scm 50 */
																	bool_t BgL_test1463z00_2078;

																	{
																		BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2079;

																		{
																			obj_t BgL_auxz00_2080;

																			{	/* Integrate/ctn.scm 50 */
																				BgL_objectz00_bglt BgL_tmpz00_2081;

																				BgL_tmpz00_2081 =
																					((BgL_objectz00_bglt)
																					((BgL_sfunz00_bglt) BgL_giz00_1585));
																				BgL_auxz00_2080 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_2081);
																			}
																			BgL_auxz00_2079 =
																				((BgL_sfunzf2iinfozf2_bglt)
																				BgL_auxz00_2080);
																		}
																		BgL_test1463z00_2078 =
																			(((BgL_sfunzf2iinfozf2_bglt)
																				COBJECT(BgL_auxz00_2079))->BgL_gzf3zf3);
																	}
																	if (BgL_test1463z00_2078)
																		{	/* Integrate/ctn.scm 52 */
																			obj_t BgL_arg1252z00_1590;

																			BgL_arg1252z00_1590 =
																				CDR(((obj_t) BgL_asz00_1576));
																			{
																				obj_t BgL_asz00_2089;

																				BgL_asz00_2089 = BgL_arg1252z00_1590;
																				BgL_asz00_1576 = BgL_asz00_2089;
																				goto
																					BgL_zc3z04anonymousza31245ze3z87_1578;
																			}
																		}
																	else
																		{	/* Integrate/ctn.scm 51 */
																			obj_t BgL_arg1253z00_1591;
																			obj_t BgL_arg1254z00_1592;

																			BgL_arg1253z00_1591 =
																				CDR(((obj_t) BgL_asz00_1576));
																			{	/* Integrate/ctn.scm 51 */
																				obj_t BgL_arg1255z00_1593;

																				BgL_arg1255z00_1593 =
																					BGl_globaliza7ez12zb5zzintegrate_ctnz00
																					(((BgL_localz00_bglt) BgL_gz00_1582));
																				BgL_arg1254z00_1592 =
																					BGl_appendzd221011zd2zzintegrate_ctnz00
																					(BgL_arg1255z00_1593,
																					BgL_gzf2cnzf2_1577);
																			}
																			{
																				obj_t BgL_gzf2cnzf2_2096;
																				obj_t BgL_asz00_2095;

																				BgL_asz00_2095 = BgL_arg1253z00_1591;
																				BgL_gzf2cnzf2_2096 =
																					BgL_arg1254z00_1592;
																				BgL_gzf2cnzf2_1577 = BgL_gzf2cnzf2_2096;
																				BgL_asz00_1576 = BgL_asz00_2095;
																				goto
																					BgL_zc3z04anonymousza31245ze3z87_1578;
																			}
																		}
																}
															else
																{	/* Integrate/ctn.scm 49 */
																	if (
																		(BgL_kz00_1583 ==
																			((obj_t) CNST_TABLE_REF(0))))
																		{	/* Integrate/ctn.scm 53 */
																			{	/* Integrate/ctn.scm 54 */
																				obj_t BgL_arg1256z00_1594;

																				{	/* Integrate/ctn.scm 54 */
																					obj_t BgL_arg1258z00_1595;

																					{
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_auxz00_2101;
																						{
																							obj_t BgL_auxz00_2102;

																							{	/* Integrate/ctn.scm 54 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_2103;
																								BgL_tmpz00_2103 =
																									((BgL_objectz00_bglt) (
																										(BgL_sfunz00_bglt)
																										BgL_fiz00_1584));
																								BgL_auxz00_2102 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_2103);
																							}
																							BgL_auxz00_2101 =
																								((BgL_sfunzf2iinfozf2_bglt)
																								BgL_auxz00_2102);
																						}
																						BgL_arg1258z00_1595 =
																							(((BgL_sfunzf2iinfozf2_bglt)
																								COBJECT(BgL_auxz00_2101))->
																							BgL_ctz00);
																					}
																					BgL_arg1256z00_1594 =
																						MAKE_YOUNG_PAIR(BgL_gz00_1582,
																						BgL_arg1258z00_1595);
																				}
																				{
																					BgL_sfunzf2iinfozf2_bglt
																						BgL_auxz00_2110;
																					{
																						obj_t BgL_auxz00_2111;

																						{	/* Integrate/ctn.scm 54 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_2112;
																							BgL_tmpz00_2112 =
																								((BgL_objectz00_bglt) (
																									(BgL_sfunz00_bglt)
																									BgL_fiz00_1584));
																							BgL_auxz00_2111 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_2112);
																						}
																						BgL_auxz00_2110 =
																							((BgL_sfunzf2iinfozf2_bglt)
																							BgL_auxz00_2111);
																					}
																					((((BgL_sfunzf2iinfozf2_bglt)
																								COBJECT(BgL_auxz00_2110))->
																							BgL_ctz00) =
																						((obj_t) BgL_arg1256z00_1594),
																						BUNSPEC);
																				}
																			}
																			{	/* Integrate/ctn.scm 55 */
																				bool_t BgL_test1465z00_2118;

																				if ((BgL_fz00_1581 == BgL_gz00_1582))
																					{	/* Integrate/ctn.scm 55 */
																						BgL_test1465z00_2118 = ((bool_t) 0);
																					}
																				else
																					{	/* Integrate/ctn.scm 56 */
																						bool_t BgL_test1467z00_2121;

																						{	/* Integrate/ctn.scm 56 */
																							obj_t BgL_arg1268z00_1603;

																							{
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_auxz00_2122;
																								{
																									obj_t BgL_auxz00_2123;

																									{	/* Integrate/ctn.scm 56 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_2124;
																										BgL_tmpz00_2124 =
																											((BgL_objectz00_bglt) (
																												(BgL_sfunz00_bglt)
																												BgL_fiz00_1584));
																										BgL_auxz00_2123 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_2124);
																									}
																									BgL_auxz00_2122 =
																										((BgL_sfunzf2iinfozf2_bglt)
																										BgL_auxz00_2123);
																								}
																								BgL_arg1268z00_1603 =
																									(((BgL_sfunzf2iinfozf2_bglt)
																										COBJECT(BgL_auxz00_2122))->
																									BgL_kontz00);
																							}
																							BgL_test1467z00_2121 =
																								CBOOL
																								(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																								(BgL_gz00_1582,
																									BgL_arg1268z00_1603));
																						}
																						if (BgL_test1467z00_2121)
																							{	/* Integrate/ctn.scm 56 */
																								BgL_test1465z00_2118 =
																									((bool_t) 0);
																							}
																						else
																							{	/* Integrate/ctn.scm 56 */
																								BgL_test1465z00_2118 =
																									((bool_t) 1);
																							}
																					}
																				if (BgL_test1465z00_2118)
																					{	/* Integrate/ctn.scm 57 */
																						obj_t BgL_arg1266z00_1600;

																						{	/* Integrate/ctn.scm 57 */
																							obj_t BgL_arg1267z00_1601;

																							{
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_auxz00_2132;
																								{
																									obj_t BgL_auxz00_2133;

																									{	/* Integrate/ctn.scm 57 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_2134;
																										BgL_tmpz00_2134 =
																											((BgL_objectz00_bglt) (
																												(BgL_sfunz00_bglt)
																												BgL_fiz00_1584));
																										BgL_auxz00_2133 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_2134);
																									}
																									BgL_auxz00_2132 =
																										((BgL_sfunzf2iinfozf2_bglt)
																										BgL_auxz00_2133);
																								}
																								BgL_arg1267z00_1601 =
																									(((BgL_sfunzf2iinfozf2_bglt)
																										COBJECT(BgL_auxz00_2132))->
																									BgL_kontz00);
																							}
																							BgL_arg1266z00_1600 =
																								MAKE_YOUNG_PAIR(BgL_gz00_1582,
																								BgL_arg1267z00_1601);
																						}
																						{
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_auxz00_2141;
																							{
																								obj_t BgL_auxz00_2142;

																								{	/* Integrate/ctn.scm 57 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_2143;
																									BgL_tmpz00_2143 =
																										((BgL_objectz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_fiz00_1584));
																									BgL_auxz00_2142 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_2143);
																								}
																								BgL_auxz00_2141 =
																									((BgL_sfunzf2iinfozf2_bglt)
																									BgL_auxz00_2142);
																							}
																							((((BgL_sfunzf2iinfozf2_bglt)
																										COBJECT(BgL_auxz00_2141))->
																									BgL_kontz00) =
																								((obj_t) BgL_arg1266z00_1600),
																								BUNSPEC);
																						}
																					}
																				else
																					{	/* Integrate/ctn.scm 55 */
																						BFALSE;
																					}
																			}
																			{	/* Integrate/ctn.scm 58 */
																				obj_t BgL_arg1271z00_1604;

																				BgL_arg1271z00_1604 =
																					CDR(((obj_t) BgL_asz00_1576));
																				{
																					obj_t BgL_asz00_2151;

																					BgL_asz00_2151 = BgL_arg1271z00_1604;
																					BgL_asz00_1576 = BgL_asz00_2151;
																					goto
																						BgL_zc3z04anonymousza31245ze3z87_1578;
																				}
																			}
																		}
																	else
																		{	/* Integrate/ctn.scm 53 */
																			if (
																				(BgL_kz00_1583 ==
																					((obj_t) CNST_TABLE_REF(1))))
																				{	/* Integrate/ctn.scm 59 */
																					return
																						BGl_errorz00zz__errorz00
																						(BGl_string1421z00zzintegrate_ctnz00,
																						BGl_string1422z00zzintegrate_ctnz00,
																						BgL_az00_1580);
																				}
																			else
																				{	/* Integrate/ctn.scm 61 */
																					bool_t BgL_test1469z00_2157;

																					{	/* Integrate/ctn.scm 61 */
																						obj_t BgL_tmpz00_2158;

																						{
																							BgL_sfunzf2iinfozf2_bglt
																								BgL_auxz00_2159;
																							{
																								obj_t BgL_auxz00_2160;

																								{	/* Integrate/ctn.scm 61 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_2161;
																									BgL_tmpz00_2161 =
																										((BgL_objectz00_bglt) (
																											(BgL_sfunz00_bglt)
																											BgL_giz00_1585));
																									BgL_auxz00_2160 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_2161);
																								}
																								BgL_auxz00_2159 =
																									((BgL_sfunzf2iinfozf2_bglt)
																									BgL_auxz00_2160);
																							}
																							BgL_tmpz00_2158 =
																								(((BgL_sfunzf2iinfozf2_bglt)
																									COBJECT(BgL_auxz00_2159))->
																								BgL_uz00);
																						}
																						BgL_test1469z00_2157 =
																							CBOOL(BgL_tmpz00_2158);
																					}
																					if (BgL_test1469z00_2157)
																						{	/* Integrate/ctn.scm 61 */
																							{	/* Integrate/ctn.scm 62 */
																								obj_t BgL_arg1273z00_1606;

																								{	/* Integrate/ctn.scm 62 */
																									obj_t BgL_arg1274z00_1607;

																									{
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_auxz00_2168;
																										{
																											obj_t BgL_auxz00_2169;

																											{	/* Integrate/ctn.scm 62 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_2170;
																												BgL_tmpz00_2170 =
																													((BgL_objectz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_fiz00_1584));
																												BgL_auxz00_2169 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_2170);
																											}
																											BgL_auxz00_2168 =
																												(
																												(BgL_sfunzf2iinfozf2_bglt)
																												BgL_auxz00_2169);
																										}
																										BgL_arg1274z00_1607 =
																											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2168))->BgL_ctz00);
																									}
																									BgL_arg1273z00_1606 =
																										MAKE_YOUNG_PAIR
																										(BgL_gz00_1582,
																										BgL_arg1274z00_1607);
																								}
																								{
																									BgL_sfunzf2iinfozf2_bglt
																										BgL_auxz00_2177;
																									{
																										obj_t BgL_auxz00_2178;

																										{	/* Integrate/ctn.scm 62 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_2179;
																											BgL_tmpz00_2179 =
																												((BgL_objectz00_bglt) (
																													(BgL_sfunz00_bglt)
																													BgL_fiz00_1584));
																											BgL_auxz00_2178 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_2179);
																										}
																										BgL_auxz00_2177 =
																											(
																											(BgL_sfunzf2iinfozf2_bglt)
																											BgL_auxz00_2178);
																									}
																									((((BgL_sfunzf2iinfozf2_bglt)
																												COBJECT
																												(BgL_auxz00_2177))->
																											BgL_ctz00) =
																										((obj_t)
																											BgL_arg1273z00_1606),
																										BUNSPEC);
																								}
																							}
																							{	/* Integrate/ctn.scm 63 */
																								bool_t BgL_test1470z00_2185;

																								{	/* Integrate/ctn.scm 63 */
																									obj_t BgL_arg1280z00_1612;

																									{
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_auxz00_2186;
																										{
																											obj_t BgL_auxz00_2187;

																											{	/* Integrate/ctn.scm 63 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_2188;
																												BgL_tmpz00_2188 =
																													((BgL_objectz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_fiz00_1584));
																												BgL_auxz00_2187 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_2188);
																											}
																											BgL_auxz00_2186 =
																												(
																												(BgL_sfunzf2iinfozf2_bglt)
																												BgL_auxz00_2187);
																										}
																										BgL_arg1280z00_1612 =
																											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2186))->BgL_kontz00);
																									}
																									BgL_test1470z00_2185 =
																										CBOOL
																										(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																										(BgL_gz00_1582,
																											BgL_arg1280z00_1612));
																								}
																								if (BgL_test1470z00_2185)
																									{	/* Integrate/ctn.scm 63 */
																										BFALSE;
																									}
																								else
																									{	/* Integrate/ctn.scm 64 */
																										obj_t BgL_arg1277z00_1610;

																										{	/* Integrate/ctn.scm 64 */
																											obj_t BgL_arg1279z00_1611;

																											{
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_auxz00_2196;
																												{
																													obj_t BgL_auxz00_2197;

																													{	/* Integrate/ctn.scm 64 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_2198;
																														BgL_tmpz00_2198 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_sfunz00_bglt) BgL_fiz00_1584));
																														BgL_auxz00_2197 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_2198);
																													}
																													BgL_auxz00_2196 =
																														(
																														(BgL_sfunzf2iinfozf2_bglt)
																														BgL_auxz00_2197);
																												}
																												BgL_arg1279z00_1611 =
																													(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2196))->BgL_kontz00);
																											}
																											BgL_arg1277z00_1610 =
																												MAKE_YOUNG_PAIR
																												(BgL_gz00_1582,
																												BgL_arg1279z00_1611);
																										}
																										{
																											BgL_sfunzf2iinfozf2_bglt
																												BgL_auxz00_2205;
																											{
																												obj_t BgL_auxz00_2206;

																												{	/* Integrate/ctn.scm 64 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_2207;
																													BgL_tmpz00_2207 =
																														(
																														(BgL_objectz00_bglt)
																														((BgL_sfunz00_bglt)
																															BgL_fiz00_1584));
																													BgL_auxz00_2206 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_2207);
																												}
																												BgL_auxz00_2205 =
																													(
																													(BgL_sfunzf2iinfozf2_bglt)
																													BgL_auxz00_2206);
																											}
																											((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2205))->BgL_kontz00) = ((obj_t) BgL_arg1277z00_1610), BUNSPEC);
																										}
																									}
																							}
																							{	/* Integrate/ctn.scm 65 */
																								obj_t BgL_arg1281z00_1613;

																								BgL_arg1281z00_1613 =
																									CDR(((obj_t) BgL_asz00_1576));
																								{
																									obj_t BgL_asz00_2215;

																									BgL_asz00_2215 =
																										BgL_arg1281z00_1613;
																									BgL_asz00_1576 =
																										BgL_asz00_2215;
																									goto
																										BgL_zc3z04anonymousza31245ze3z87_1578;
																								}
																							}
																						}
																					else
																						{	/* Integrate/ctn.scm 61 */
																							{	/* Integrate/ctn.scm 67 */
																								obj_t BgL_arg1282z00_1614;

																								{	/* Integrate/ctn.scm 67 */
																									obj_t BgL_arg1284z00_1615;

																									{
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_auxz00_2216;
																										{
																											obj_t BgL_auxz00_2217;

																											{	/* Integrate/ctn.scm 67 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_2218;
																												BgL_tmpz00_2218 =
																													((BgL_objectz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_fiz00_1584));
																												BgL_auxz00_2217 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_2218);
																											}
																											BgL_auxz00_2216 =
																												(
																												(BgL_sfunzf2iinfozf2_bglt)
																												BgL_auxz00_2217);
																										}
																										BgL_arg1284z00_1615 =
																											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2216))->BgL_cnz00);
																									}
																									BgL_arg1282z00_1614 =
																										MAKE_YOUNG_PAIR
																										(BgL_gz00_1582,
																										BgL_arg1284z00_1615);
																								}
																								{
																									BgL_sfunzf2iinfozf2_bglt
																										BgL_auxz00_2225;
																									{
																										obj_t BgL_auxz00_2226;

																										{	/* Integrate/ctn.scm 67 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_2227;
																											BgL_tmpz00_2227 =
																												((BgL_objectz00_bglt) (
																													(BgL_sfunz00_bglt)
																													BgL_fiz00_1584));
																											BgL_auxz00_2226 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_2227);
																										}
																										BgL_auxz00_2225 =
																											(
																											(BgL_sfunzf2iinfozf2_bglt)
																											BgL_auxz00_2226);
																									}
																									((((BgL_sfunzf2iinfozf2_bglt)
																												COBJECT
																												(BgL_auxz00_2225))->
																											BgL_cnz00) =
																										((obj_t)
																											BgL_arg1282z00_1614),
																										BUNSPEC);
																								}
																							}
																							{	/* Integrate/ctn.scm 68 */
																								bool_t BgL_test1471z00_2233;

																								{
																									BgL_sfunzf2iinfozf2_bglt
																										BgL_auxz00_2234;
																									{
																										obj_t BgL_auxz00_2235;

																										{	/* Integrate/ctn.scm 68 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_2236;
																											BgL_tmpz00_2236 =
																												((BgL_objectz00_bglt) (
																													(BgL_sfunz00_bglt)
																													BgL_giz00_1585));
																											BgL_auxz00_2235 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_2236);
																										}
																										BgL_auxz00_2234 =
																											(
																											(BgL_sfunzf2iinfozf2_bglt)
																											BgL_auxz00_2235);
																									}
																									BgL_test1471z00_2233 =
																										(((BgL_sfunzf2iinfozf2_bglt)
																											COBJECT
																											(BgL_auxz00_2234))->
																										BgL_gzf3zf3);
																								}
																								if (BgL_test1471z00_2233)
																									{	/* Integrate/ctn.scm 70 */
																										obj_t BgL_arg1287z00_1617;

																										BgL_arg1287z00_1617 =
																											CDR(
																											((obj_t) BgL_asz00_1576));
																										{
																											obj_t BgL_asz00_2244;

																											BgL_asz00_2244 =
																												BgL_arg1287z00_1617;
																											BgL_asz00_1576 =
																												BgL_asz00_2244;
																											goto
																												BgL_zc3z04anonymousza31245ze3z87_1578;
																										}
																									}
																								else
																									{	/* Integrate/ctn.scm 69 */
																										obj_t BgL_arg1288z00_1618;
																										obj_t BgL_arg1289z00_1619;

																										BgL_arg1288z00_1618 =
																											CDR(
																											((obj_t) BgL_asz00_1576));
																										{	/* Integrate/ctn.scm 69 */
																											obj_t BgL_arg1291z00_1620;

																											BgL_arg1291z00_1620 =
																												BGl_globaliza7ez12zb5zzintegrate_ctnz00
																												(((BgL_localz00_bglt)
																													BgL_gz00_1582));
																											BgL_arg1289z00_1619 =
																												BGl_appendzd221011zd2zzintegrate_ctnz00
																												(BgL_arg1291z00_1620,
																												BgL_gzf2cnzf2_1577);
																										}
																										{
																											obj_t BgL_gzf2cnzf2_2251;
																											obj_t BgL_asz00_2250;

																											BgL_asz00_2250 =
																												BgL_arg1288z00_1618;
																											BgL_gzf2cnzf2_2251 =
																												BgL_arg1289z00_1619;
																											BgL_gzf2cnzf2_1577 =
																												BgL_gzf2cnzf2_2251;
																											BgL_asz00_1576 =
																												BgL_asz00_2250;
																											goto
																												BgL_zc3z04anonymousza31245ze3z87_1578;
																										}
																									}
																							}
																						}
																				}
																		}
																}
														}
												}
											}
										}
									}
								}
							}
						}
					}
			}
		}

	}



/* &Cn&Ct! */
	obj_t BGl_z62Cnz62Ctz12z12zzintegrate_ctnz00(obj_t BgL_envz00_1965,
		obj_t BgL_az00_1966)
	{
		{	/* Integrate/ctn.scm 33 */
			return BGl_Cnz62Ctz12z70zzintegrate_ctnz00(BgL_az00_1966);
		}

	}



/* globalize! */
	obj_t BGl_globaliza7ez12zb5zzintegrate_ctnz00(BgL_localz00_bglt BgL_lz00_4)
	{
		{	/* Integrate/ctn.scm 75 */
			{	/* Integrate/ctn.scm 76 */
				BgL_valuez00_bglt BgL_iz00_1622;

				BgL_iz00_1622 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_lz00_4)))->BgL_valuez00);
				{
					BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2255;

					{
						obj_t BgL_auxz00_2256;

						{	/* Integrate/ctn.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_2257;

							BgL_tmpz00_2257 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_iz00_1622));
							BgL_auxz00_2256 = BGL_OBJECT_WIDENING(BgL_tmpz00_2257);
						}
						BgL_auxz00_2255 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2256);
					}
					((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2255))->
							BgL_gzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
				}
				{	/* Integrate/ctn.scm 78 */
					obj_t BgL_xgz00_1623;

					{	/* Integrate/ctn.scm 78 */
						obj_t BgL_g1239z00_1624;

						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2263;

							{
								obj_t BgL_auxz00_2264;

								{	/* Integrate/ctn.scm 85 */
									BgL_objectz00_bglt BgL_tmpz00_2265;

									BgL_tmpz00_2265 =
										((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_iz00_1622));
									BgL_auxz00_2264 = BGL_OBJECT_WIDENING(BgL_tmpz00_2265);
								}
								BgL_auxz00_2263 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2264);
							}
							BgL_g1239z00_1624 =
								(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2263))->
								BgL_xhdlsz00);
						}
						BgL_xgz00_1623 =
							BGl_zc3z04anonymousza31292ze3ze70z60zzintegrate_ctnz00
							(BgL_g1239z00_1624);
					}
					return MAKE_YOUNG_PAIR(((obj_t) BgL_lz00_4), BgL_xgz00_1623);
				}
			}
		}

	}



/* <@anonymous:1292>~0 */
	obj_t BGl_zc3z04anonymousza31292ze3ze70z60zzintegrate_ctnz00(obj_t
		BgL_l1238z00_1626)
	{
		{	/* Integrate/ctn.scm 85 */
			if (NULLP(BgL_l1238z00_1626))
				{	/* Integrate/ctn.scm 85 */
					return BNIL;
				}
			else
				{	/* Integrate/ctn.scm 79 */
					obj_t BgL_arg1294z00_1629;
					obj_t BgL_arg1295z00_1630;

					{	/* Integrate/ctn.scm 79 */
						obj_t BgL_xz00_1631;

						BgL_xz00_1631 = CAR(((obj_t) BgL_l1238z00_1626));
						{	/* Integrate/ctn.scm 79 */
							BgL_valuez00_bglt BgL_xiz00_1632;

							BgL_xiz00_1632 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_xz00_1631))))->BgL_valuez00);
							{	/* Integrate/ctn.scm 80 */
								bool_t BgL_test1473z00_2281;

								{
									BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2282;

									{
										obj_t BgL_auxz00_2283;

										{	/* Integrate/ctn.scm 80 */
											BgL_objectz00_bglt BgL_tmpz00_2284;

											BgL_tmpz00_2284 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_xiz00_1632));
											BgL_auxz00_2283 = BGL_OBJECT_WIDENING(BgL_tmpz00_2284);
										}
										BgL_auxz00_2282 =
											((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2283);
									}
									BgL_test1473z00_2281 =
										(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2282))->
										BgL_gzf3zf3);
								}
								if (BgL_test1473z00_2281)
									{	/* Integrate/ctn.scm 80 */
										BgL_arg1294z00_1629 = BNIL;
									}
								else
									{	/* Integrate/ctn.scm 80 */
										{
											BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2290;

											{
												obj_t BgL_auxz00_2291;

												{	/* Integrate/ctn.scm 83 */
													BgL_objectz00_bglt BgL_tmpz00_2292;

													BgL_tmpz00_2292 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_xiz00_1632));
													BgL_auxz00_2291 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2292);
												}
												BgL_auxz00_2290 =
													((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2291);
											}
											((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2290))->
													BgL_gzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
										}
										{	/* Integrate/ctn.scm 84 */
											obj_t BgL_list1297z00_1634;

											BgL_list1297z00_1634 =
												MAKE_YOUNG_PAIR(BgL_xz00_1631, BNIL);
											BgL_arg1294z00_1629 = BgL_list1297z00_1634;
										}
									}
							}
						}
					}
					{	/* Integrate/ctn.scm 85 */
						obj_t BgL_arg1298z00_1635;

						BgL_arg1298z00_1635 = CDR(((obj_t) BgL_l1238z00_1626));
						BgL_arg1295z00_1630 =
							BGl_zc3z04anonymousza31292ze3ze70z60zzintegrate_ctnz00
							(BgL_arg1298z00_1635);
					}
					return bgl_append2(BgL_arg1294z00_1629, BgL_arg1295z00_1630);
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_ctnz00(void)
	{
		{	/* Integrate/ctn.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_ctnz00(void)
	{
		{	/* Integrate/ctn.scm 17 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_ctnz00(void)
	{
		{	/* Integrate/ctn.scm 17 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctnz00(void)
	{
		{	/* Integrate/ctn.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1423z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1423z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1423z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1423z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1423z00zzintegrate_ctnz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(0L,
				BSTRING_TO_STRING(BGl_string1423z00zzintegrate_ctnz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_az00(523633197L,
				BSTRING_TO_STRING(BGl_string1423z00zzintegrate_ctnz00));
		}

	}

#ifdef __cplusplus
}
#endif
