/*===========================================================================*/
/*   (Integrate/g.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Integrate/g.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_INTEGRATE_G_TYPE_DEFINITIONS
#define BGL_INTEGRATE_G_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


#endif													// BGL_INTEGRATE_G_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_gz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static bool_t
		BGl_integratezd2remainingzd2localzd2functionsz12zc0zzintegrate_gz00(void);
	static obj_t BGl_genericzd2initzd2zzintegrate_gz00(void);
	static obj_t BGl_objectzd2initzd2zzintegrate_gz00(void);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_methodzd2initzd2zzintegrate_gz00(void);
	static obj_t BGl_z62Gz12z70zzintegrate_gz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzintegrate_gz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_gz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_gz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_gz00(void);
	extern obj_t BGl_variablez00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_Gz12z12zzintegrate_gz00(obj_t);
	extern obj_t BGl_za2phiza2z00zzintegrate_az00;
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1598z00zzintegrate_gz00,
		BgL_bgl_string1598za700za7za7i1599za7, "integrate_g", 11);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_Gz12zd2envzc0zzintegrate_gz00,
		BgL_bgl_za762gza712za770za7za7inte1600za7, BGl_z62Gz12z70zzintegrate_gz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzintegrate_gz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_gz00(long
		BgL_checksumz00_2248, char *BgL_fromz00_2249)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_gz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_gz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_gz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_gz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_gz00();
					return BGl_methodzd2initzd2zzintegrate_gz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_gz00(void)
	{
		{	/* Integrate/g.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "integrate_g");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"integrate_g");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "integrate_g");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"integrate_g");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"integrate_g");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "integrate_g");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_gz00(void)
	{
		{	/* Integrate/g.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* G! */
	BGL_EXPORTED_DEF obj_t BGl_Gz12z12zzintegrate_gz00(obj_t BgL_gzf2cnzf2_3)
	{
		{	/* Integrate/g.scm 32 */
			{
				bool_t BgL_stopzf3zf3_1574;
				long BgL_stampz00_1575;
				obj_t BgL_gsz00_1576;

				BgL_stopzf3zf3_1574 = ((bool_t) 0);
				BgL_stampz00_1575 = 0L;
				BgL_gsz00_1576 = BgL_gzf2cnzf2_3;
			BgL_zc3z04anonymousza31250ze3z87_1577:
				if (BgL_stopzf3zf3_1574)
					{	/* Integrate/g.scm 37 */
						{
							obj_t BgL_l1241z00_1579;

							BgL_l1241z00_1579 = BGl_za2phiza2z00zzintegrate_az00;
						BgL_zc3z04anonymousza31251ze3z87_1580:
							if (PAIRP(BgL_l1241z00_1579))
								{	/* Integrate/g.scm 41 */
									{	/* Integrate/g.scm 42 */
										obj_t BgL_fz00_1582;

										BgL_fz00_1582 = CAR(BgL_l1241z00_1579);
										{	/* Integrate/g.scm 42 */
											bool_t BgL_test1605z00_2268;

											{	/* Integrate/g.scm 42 */
												obj_t BgL_classz00_1854;

												BgL_classz00_1854 = BGl_localz00zzast_varz00;
												if (BGL_OBJECTP(BgL_fz00_1582))
													{	/* Integrate/g.scm 42 */
														BgL_objectz00_bglt BgL_arg1858z00_1856;

														BgL_arg1858z00_1856 =
															(BgL_objectz00_bglt) (BgL_fz00_1582);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Integrate/g.scm 42 */
																long BgL_idxz00_1862;

																BgL_idxz00_1862 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_1856);
																BgL_test1605z00_2268 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_1862 + 2L)) ==
																	BgL_classz00_1854);
															}
														else
															{	/* Integrate/g.scm 42 */
																bool_t BgL_res1589z00_1887;

																{	/* Integrate/g.scm 42 */
																	obj_t BgL_oclassz00_1870;

																	{	/* Integrate/g.scm 42 */
																		obj_t BgL_arg1866z00_1878;
																		long BgL_arg1867z00_1879;

																		BgL_arg1866z00_1878 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Integrate/g.scm 42 */
																			long BgL_arg1869z00_1880;

																			BgL_arg1869z00_1880 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_1856);
																			BgL_arg1867z00_1879 =
																				(BgL_arg1869z00_1880 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_1870 =
																			VECTOR_REF(BgL_arg1866z00_1878,
																			BgL_arg1867z00_1879);
																	}
																	{	/* Integrate/g.scm 42 */
																		bool_t BgL__ortest_1115z00_1871;

																		BgL__ortest_1115z00_1871 =
																			(BgL_classz00_1854 == BgL_oclassz00_1870);
																		if (BgL__ortest_1115z00_1871)
																			{	/* Integrate/g.scm 42 */
																				BgL_res1589z00_1887 =
																					BgL__ortest_1115z00_1871;
																			}
																		else
																			{	/* Integrate/g.scm 42 */
																				long BgL_odepthz00_1872;

																				{	/* Integrate/g.scm 42 */
																					obj_t BgL_arg1855z00_1873;

																					BgL_arg1855z00_1873 =
																						(BgL_oclassz00_1870);
																					BgL_odepthz00_1872 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_1873);
																				}
																				if ((2L < BgL_odepthz00_1872))
																					{	/* Integrate/g.scm 42 */
																						obj_t BgL_arg1853z00_1875;

																						{	/* Integrate/g.scm 42 */
																							obj_t BgL_arg1854z00_1876;

																							BgL_arg1854z00_1876 =
																								(BgL_oclassz00_1870);
																							BgL_arg1853z00_1875 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_1876, 2L);
																						}
																						BgL_res1589z00_1887 =
																							(BgL_arg1853z00_1875 ==
																							BgL_classz00_1854);
																					}
																				else
																					{	/* Integrate/g.scm 42 */
																						BgL_res1589z00_1887 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test1605z00_2268 = BgL_res1589z00_1887;
															}
													}
												else
													{	/* Integrate/g.scm 42 */
														BgL_test1605z00_2268 = ((bool_t) 0);
													}
											}
											if (BgL_test1605z00_2268)
												{	/* Integrate/g.scm 43 */
													BgL_valuez00_bglt BgL_arg1254z00_1584;

													BgL_arg1254z00_1584 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_fz00_1582))))->
														BgL_valuez00);
													{
														BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2294;

														{
															obj_t BgL_auxz00_2295;

															{	/* Integrate/g.scm 43 */
																BgL_objectz00_bglt BgL_tmpz00_2296;

																BgL_tmpz00_2296 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_arg1254z00_1584));
																BgL_auxz00_2295 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2296);
															}
															BgL_auxz00_2294 =
																((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2295);
														}
														((((BgL_sfunzf2iinfozf2_bglt)
																	COBJECT(BgL_auxz00_2294))->BgL_istampz00) =
															((obj_t) BINT((-1L))), BUNSPEC);
													}
												}
											else
												{	/* Integrate/g.scm 42 */
													BFALSE;
												}
										}
									}
									{
										obj_t BgL_l1241z00_2303;

										BgL_l1241z00_2303 = CDR(BgL_l1241z00_1579);
										BgL_l1241z00_1579 = BgL_l1241z00_2303;
										goto BgL_zc3z04anonymousza31251ze3z87_1580;
									}
								}
							else
								{	/* Integrate/g.scm 41 */
									((bool_t) 1);
								}
						}
						BGl_integratezd2remainingzd2localzd2functionsz12zc0zzintegrate_gz00
							();
						return BgL_gsz00_1576;
					}
				else
					{
						obj_t BgL_phiz00_1588;
						bool_t BgL_stopzf3zf3_1589;
						obj_t BgL_gsz00_1590;

						BgL_phiz00_1588 = BGl_za2phiza2z00zzintegrate_az00;
						BgL_stopzf3zf3_1589 = ((bool_t) 1);
						BgL_gsz00_1590 = BgL_gsz00_1576;
					BgL_zc3z04anonymousza31256ze3z87_1591:
						if (NULLP(BgL_phiz00_1588))
							{
								obj_t BgL_gsz00_2311;
								long BgL_stampz00_2309;
								bool_t BgL_stopzf3zf3_2308;

								BgL_stopzf3zf3_2308 = BgL_stopzf3zf3_1589;
								BgL_stampz00_2309 = (BgL_stampz00_1575 + 1L);
								BgL_gsz00_2311 = BgL_gsz00_1590;
								BgL_gsz00_1576 = BgL_gsz00_2311;
								BgL_stampz00_1575 = BgL_stampz00_2309;
								BgL_stopzf3zf3_1574 = BgL_stopzf3zf3_2308;
								goto BgL_zc3z04anonymousza31250ze3z87_1577;
							}
						else
							{	/* Integrate/g.scm 54 */
								obj_t BgL_fz00_1594;

								BgL_fz00_1594 = CAR(((obj_t) BgL_phiz00_1588));
								{	/* Integrate/g.scm 54 */
									BgL_valuez00_bglt BgL_fifz00_1595;

									BgL_fifz00_1595 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_fz00_1594)))->BgL_valuez00);
									{	/* Integrate/g.scm 55 */

										{	/* Integrate/g.scm 56 */
											obj_t BgL_g1109z00_1596;

											{
												BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2316;

												{
													obj_t BgL_auxz00_2317;

													{	/* Integrate/g.scm 56 */
														BgL_objectz00_bglt BgL_tmpz00_2318;

														BgL_tmpz00_2318 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_fifz00_1595));
														BgL_auxz00_2317 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2318);
													}
													BgL_auxz00_2316 =
														((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2317);
												}
												BgL_g1109z00_1596 =
													(((BgL_sfunzf2iinfozf2_bglt)
														COBJECT(BgL_auxz00_2316))->BgL_ctz00);
											}
											{
												obj_t BgL_ctz00_1598;
												bool_t BgL_stopzf3zf3_1599;
												obj_t BgL_gsz00_1600;

												BgL_ctz00_1598 = BgL_g1109z00_1596;
												BgL_stopzf3zf3_1599 = BgL_stopzf3zf3_1589;
												BgL_gsz00_1600 = BgL_gsz00_1590;
											BgL_zc3z04anonymousza31259ze3z87_1601:
												if (NULLP(BgL_ctz00_1598))
													{	/* Integrate/g.scm 60 */
														obj_t BgL_arg1262z00_1603;

														BgL_arg1262z00_1603 =
															CDR(((obj_t) BgL_phiz00_1588));
														{
															obj_t BgL_gsz00_2330;
															bool_t BgL_stopzf3zf3_2329;
															obj_t BgL_phiz00_2328;

															BgL_phiz00_2328 = BgL_arg1262z00_1603;
															BgL_stopzf3zf3_2329 = BgL_stopzf3zf3_1599;
															BgL_gsz00_2330 = BgL_gsz00_1600;
															BgL_gsz00_1590 = BgL_gsz00_2330;
															BgL_stopzf3zf3_1589 = BgL_stopzf3zf3_2329;
															BgL_phiz00_1588 = BgL_phiz00_2328;
															goto BgL_zc3z04anonymousza31256ze3z87_1591;
														}
													}
												else
													{	/* Integrate/g.scm 61 */
														obj_t BgL_gz00_1604;

														BgL_gz00_1604 = CAR(((obj_t) BgL_ctz00_1598));
														{	/* Integrate/g.scm 61 */
															BgL_valuez00_bglt BgL_gifz00_1605;

															BgL_gifz00_1605 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt) BgL_gz00_1604))))->
																BgL_valuez00);
															{	/* Integrate/g.scm 62 */

																if ((BgL_fz00_1594 == BgL_gz00_1604))
																	{	/* Integrate/g.scm 72 */
																		obj_t BgL_arg1266z00_1606;

																		BgL_arg1266z00_1606 =
																			CDR(((obj_t) BgL_ctz00_1598));
																		{
																			obj_t BgL_ctz00_2340;

																			BgL_ctz00_2340 = BgL_arg1266z00_1606;
																			BgL_ctz00_1598 = BgL_ctz00_2340;
																			goto
																				BgL_zc3z04anonymousza31259ze3z87_1601;
																		}
																	}
																else
																	{	/* Integrate/g.scm 73 */
																		bool_t BgL_test1616z00_2341;

																		{
																			BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2342;

																			{
																				obj_t BgL_auxz00_2343;

																				{	/* Integrate/g.scm 73 */
																					BgL_objectz00_bglt BgL_tmpz00_2344;

																					BgL_tmpz00_2344 =
																						((BgL_objectz00_bglt)
																						((BgL_sfunz00_bglt)
																							BgL_gifz00_1605));
																					BgL_auxz00_2343 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_2344);
																				}
																				BgL_auxz00_2342 =
																					((BgL_sfunzf2iinfozf2_bglt)
																					BgL_auxz00_2343);
																			}
																			BgL_test1616z00_2341 =
																				(((BgL_sfunzf2iinfozf2_bglt)
																					COBJECT(BgL_auxz00_2342))->
																				BgL_gzf3zf3);
																		}
																		if (BgL_test1616z00_2341)
																			{	/* Integrate/g.scm 74 */
																				obj_t BgL_arg1271z00_1608;

																				BgL_arg1271z00_1608 =
																					CDR(((obj_t) BgL_ctz00_1598));
																				{
																					obj_t BgL_ctz00_2352;

																					BgL_ctz00_2352 = BgL_arg1271z00_1608;
																					BgL_ctz00_1598 = BgL_ctz00_2352;
																					goto
																						BgL_zc3z04anonymousza31259ze3z87_1601;
																				}
																			}
																		else
																			{	/* Integrate/g.scm 75 */
																				bool_t BgL_test1617z00_2353;

																				{
																					BgL_sfunzf2iinfozf2_bglt
																						BgL_auxz00_2354;
																					{
																						obj_t BgL_auxz00_2355;

																						{	/* Integrate/g.scm 75 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_2356;
																							BgL_tmpz00_2356 =
																								((BgL_objectz00_bglt) (
																									(BgL_sfunz00_bglt)
																									BgL_fifz00_1595));
																							BgL_auxz00_2355 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_2356);
																						}
																						BgL_auxz00_2354 =
																							((BgL_sfunzf2iinfozf2_bglt)
																							BgL_auxz00_2355);
																					}
																					BgL_test1617z00_2353 =
																						(((BgL_sfunzf2iinfozf2_bglt)
																							COBJECT(BgL_auxz00_2354))->
																						BgL_gzf3zf3);
																				}
																				if (BgL_test1617z00_2353)
																					{	/* Integrate/g.scm 77 */
																						bool_t BgL_test1618z00_2362;

																						{	/* Integrate/g.scm 77 */
																							obj_t BgL_arg1284z00_1619;

																							{
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_auxz00_2363;
																								{
																									obj_t BgL_auxz00_2364;

																									{	/* Integrate/g.scm 77 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_2365;
																										BgL_tmpz00_2365 =
																											((BgL_objectz00_bglt) (
																												(BgL_sfunz00_bglt)
																												BgL_gifz00_1605));
																										BgL_auxz00_2364 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_2365);
																									}
																									BgL_auxz00_2363 =
																										((BgL_sfunzf2iinfozf2_bglt)
																										BgL_auxz00_2364);
																								}
																								BgL_arg1284z00_1619 =
																									(((BgL_sfunzf2iinfozf2_bglt)
																										COBJECT(BgL_auxz00_2363))->
																									BgL_lz00);
																							}
																							{	/* Integrate/g.scm 77 */
																								obj_t BgL_classz00_1908;

																								BgL_classz00_1908 =
																									BGl_variablez00zzast_varz00;
																								if (BGL_OBJECTP
																									(BgL_arg1284z00_1619))
																									{	/* Integrate/g.scm 77 */
																										BgL_objectz00_bglt
																											BgL_arg1858z00_1910;
																										BgL_arg1858z00_1910 =
																											(BgL_objectz00_bglt)
																											(BgL_arg1284z00_1619);
																										if (BGL_CONDEXPAND_ISA_ARCH64())
																											{	/* Integrate/g.scm 77 */
																												long BgL_idxz00_1916;

																												BgL_idxz00_1916 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1858z00_1910);
																												BgL_test1618z00_2362 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_1916 +
																															1L)) ==
																													BgL_classz00_1908);
																											}
																										else
																											{	/* Integrate/g.scm 77 */
																												bool_t
																													BgL_res1590z00_1941;
																												{	/* Integrate/g.scm 77 */
																													obj_t
																														BgL_oclassz00_1924;
																													{	/* Integrate/g.scm 77 */
																														obj_t
																															BgL_arg1866z00_1932;
																														long
																															BgL_arg1867z00_1933;
																														BgL_arg1866z00_1932
																															=
																															(BGl_za2classesza2z00zz__objectz00);
																														{	/* Integrate/g.scm 77 */
																															long
																																BgL_arg1869z00_1934;
																															BgL_arg1869z00_1934
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1858z00_1910);
																															BgL_arg1867z00_1933
																																=
																																(BgL_arg1869z00_1934
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_1924 =
																															VECTOR_REF
																															(BgL_arg1866z00_1932,
																															BgL_arg1867z00_1933);
																													}
																													{	/* Integrate/g.scm 77 */
																														bool_t
																															BgL__ortest_1115z00_1925;
																														BgL__ortest_1115z00_1925
																															=
																															(BgL_classz00_1908
																															==
																															BgL_oclassz00_1924);
																														if (BgL__ortest_1115z00_1925)
																															{	/* Integrate/g.scm 77 */
																																BgL_res1590z00_1941
																																	=
																																	BgL__ortest_1115z00_1925;
																															}
																														else
																															{	/* Integrate/g.scm 77 */
																																long
																																	BgL_odepthz00_1926;
																																{	/* Integrate/g.scm 77 */
																																	obj_t
																																		BgL_arg1855z00_1927;
																																	BgL_arg1855z00_1927
																																		=
																																		(BgL_oclassz00_1924);
																																	BgL_odepthz00_1926
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_arg1855z00_1927);
																																}
																																if (
																																	(1L <
																																		BgL_odepthz00_1926))
																																	{	/* Integrate/g.scm 77 */
																																		obj_t
																																			BgL_arg1853z00_1929;
																																		{	/* Integrate/g.scm 77 */
																																			obj_t
																																				BgL_arg1854z00_1930;
																																			BgL_arg1854z00_1930
																																				=
																																				(BgL_oclassz00_1924);
																																			BgL_arg1853z00_1929
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_arg1854z00_1930,
																																				1L);
																																		}
																																		BgL_res1590z00_1941
																																			=
																																			(BgL_arg1853z00_1929
																																			==
																																			BgL_classz00_1908);
																																	}
																																else
																																	{	/* Integrate/g.scm 77 */
																																		BgL_res1590z00_1941
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_test1618z00_2362 =
																													BgL_res1590z00_1941;
																											}
																									}
																								else
																									{	/* Integrate/g.scm 77 */
																										BgL_test1618z00_2362 =
																											((bool_t) 0);
																									}
																							}
																						}
																						if (BgL_test1618z00_2362)
																							{	/* Integrate/g.scm 84 */
																								bool_t BgL_test1624z00_2393;

																								{	/* Integrate/g.scm 84 */
																									obj_t BgL_arg1281z00_1617;

																									{
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_auxz00_2394;
																										{
																											obj_t BgL_auxz00_2395;

																											{	/* Integrate/g.scm 84 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_2396;
																												BgL_tmpz00_2396 =
																													((BgL_objectz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_gifz00_1605));
																												BgL_auxz00_2395 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_2396);
																											}
																											BgL_auxz00_2394 =
																												(
																												(BgL_sfunzf2iinfozf2_bglt)
																												BgL_auxz00_2395);
																										}
																										BgL_arg1281z00_1617 =
																											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2394))->BgL_lz00);
																									}
																									BgL_test1624z00_2393 =
																										(BgL_arg1281z00_1617 ==
																										BgL_fz00_1594);
																								}
																								if (BgL_test1624z00_2393)
																									{	/* Integrate/g.scm 85 */
																										obj_t BgL_arg1277z00_1614;

																										BgL_arg1277z00_1614 =
																											CDR(
																											((obj_t) BgL_ctz00_1598));
																										{
																											obj_t BgL_ctz00_2405;

																											BgL_ctz00_2405 =
																												BgL_arg1277z00_1614;
																											BgL_ctz00_1598 =
																												BgL_ctz00_2405;
																											goto
																												BgL_zc3z04anonymousza31259ze3z87_1601;
																										}
																									}
																								else
																									{	/* Integrate/g.scm 84 */
																										{
																											BgL_sfunzf2iinfozf2_bglt
																												BgL_auxz00_2406;
																											{
																												obj_t BgL_auxz00_2407;

																												{	/* Integrate/g.scm 87 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_2408;
																													BgL_tmpz00_2408 =
																														(
																														(BgL_objectz00_bglt)
																														((BgL_sfunz00_bglt)
																															BgL_gifz00_1605));
																													BgL_auxz00_2407 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_2408);
																												}
																												BgL_auxz00_2406 =
																													(
																													(BgL_sfunzf2iinfozf2_bglt)
																													BgL_auxz00_2407);
																											}
																											((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2406))->BgL_gzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
																										}
																										{	/* Integrate/g.scm 91 */
																											obj_t BgL_arg1279z00_1615;
																											obj_t BgL_arg1280z00_1616;

																											BgL_arg1279z00_1615 =
																												CDR(
																												((obj_t)
																													BgL_ctz00_1598));
																											BgL_arg1280z00_1616 =
																												MAKE_YOUNG_PAIR
																												(BgL_gz00_1604,
																												BgL_gsz00_1600);
																											{
																												obj_t BgL_gsz00_2419;
																												bool_t
																													BgL_stopzf3zf3_2418;
																												obj_t BgL_ctz00_2417;

																												BgL_ctz00_2417 =
																													BgL_arg1279z00_1615;
																												BgL_stopzf3zf3_2418 =
																													((bool_t) 0);
																												BgL_gsz00_2419 =
																													BgL_arg1280z00_1616;
																												BgL_gsz00_1600 =
																													BgL_gsz00_2419;
																												BgL_stopzf3zf3_1599 =
																													BgL_stopzf3zf3_2418;
																												BgL_ctz00_1598 =
																													BgL_ctz00_2417;
																												goto
																													BgL_zc3z04anonymousza31259ze3z87_1601;
																											}
																										}
																									}
																							}
																						else
																							{	/* Integrate/g.scm 77 */
																								{
																									BgL_sfunzf2iinfozf2_bglt
																										BgL_auxz00_2420;
																									{
																										obj_t BgL_auxz00_2421;

																										{	/* Integrate/g.scm 82 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_2422;
																											BgL_tmpz00_2422 =
																												((BgL_objectz00_bglt) (
																													(BgL_sfunz00_bglt)
																													BgL_gifz00_1605));
																											BgL_auxz00_2421 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_2422);
																										}
																										BgL_auxz00_2420 =
																											(
																											(BgL_sfunzf2iinfozf2_bglt)
																											BgL_auxz00_2421);
																									}
																									((((BgL_sfunzf2iinfozf2_bglt)
																												COBJECT
																												(BgL_auxz00_2420))->
																											BgL_lz00) =
																										((obj_t) BgL_fz00_1594),
																										BUNSPEC);
																								}
																								{	/* Integrate/g.scm 83 */
																									obj_t BgL_arg1282z00_1618;

																									BgL_arg1282z00_1618 =
																										CDR(
																										((obj_t) BgL_ctz00_1598));
																									{
																										bool_t BgL_stopzf3zf3_2431;
																										obj_t BgL_ctz00_2430;

																										BgL_ctz00_2430 =
																											BgL_arg1282z00_1618;
																										BgL_stopzf3zf3_2431 =
																											((bool_t) 0);
																										BgL_stopzf3zf3_1599 =
																											BgL_stopzf3zf3_2431;
																										BgL_ctz00_1598 =
																											BgL_ctz00_2430;
																										goto
																											BgL_zc3z04anonymousza31259ze3z87_1601;
																									}
																								}
																							}
																					}
																				else
																					{	/* Integrate/g.scm 92 */
																						bool_t BgL_test1625z00_2432;

																						{	/* Integrate/g.scm 92 */
																							obj_t BgL_arg1316z00_1646;

																							{
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_auxz00_2433;
																								{
																									obj_t BgL_auxz00_2434;

																									{	/* Integrate/g.scm 92 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_2435;
																										BgL_tmpz00_2435 =
																											((BgL_objectz00_bglt) (
																												(BgL_sfunz00_bglt)
																												BgL_gifz00_1605));
																										BgL_auxz00_2434 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_2435);
																									}
																									BgL_auxz00_2433 =
																										((BgL_sfunzf2iinfozf2_bglt)
																										BgL_auxz00_2434);
																								}
																								BgL_arg1316z00_1646 =
																									(((BgL_sfunzf2iinfozf2_bglt)
																										COBJECT(BgL_auxz00_2433))->
																									BgL_lz00);
																							}
																							{	/* Integrate/g.scm 92 */
																								obj_t BgL_classz00_1954;

																								BgL_classz00_1954 =
																									BGl_variablez00zzast_varz00;
																								if (BGL_OBJECTP
																									(BgL_arg1316z00_1646))
																									{	/* Integrate/g.scm 92 */
																										BgL_objectz00_bglt
																											BgL_arg1858z00_1956;
																										BgL_arg1858z00_1956 =
																											(BgL_objectz00_bglt)
																											(BgL_arg1316z00_1646);
																										if (BGL_CONDEXPAND_ISA_ARCH64())
																											{	/* Integrate/g.scm 92 */
																												long BgL_idxz00_1962;

																												BgL_idxz00_1962 =
																													BGL_OBJECT_INHERITANCE_NUM
																													(BgL_arg1858z00_1956);
																												BgL_test1625z00_2432 =
																													(VECTOR_REF
																													(BGl_za2inheritancesza2z00zz__objectz00,
																														(BgL_idxz00_1962 +
																															1L)) ==
																													BgL_classz00_1954);
																											}
																										else
																											{	/* Integrate/g.scm 92 */
																												bool_t
																													BgL_res1591z00_1987;
																												{	/* Integrate/g.scm 92 */
																													obj_t
																														BgL_oclassz00_1970;
																													{	/* Integrate/g.scm 92 */
																														obj_t
																															BgL_arg1866z00_1978;
																														long
																															BgL_arg1867z00_1979;
																														BgL_arg1866z00_1978
																															=
																															(BGl_za2classesza2z00zz__objectz00);
																														{	/* Integrate/g.scm 92 */
																															long
																																BgL_arg1869z00_1980;
																															BgL_arg1869z00_1980
																																=
																																BGL_OBJECT_CLASS_NUM
																																(BgL_arg1858z00_1956);
																															BgL_arg1867z00_1979
																																=
																																(BgL_arg1869z00_1980
																																- OBJECT_TYPE);
																														}
																														BgL_oclassz00_1970 =
																															VECTOR_REF
																															(BgL_arg1866z00_1978,
																															BgL_arg1867z00_1979);
																													}
																													{	/* Integrate/g.scm 92 */
																														bool_t
																															BgL__ortest_1115z00_1971;
																														BgL__ortest_1115z00_1971
																															=
																															(BgL_classz00_1954
																															==
																															BgL_oclassz00_1970);
																														if (BgL__ortest_1115z00_1971)
																															{	/* Integrate/g.scm 92 */
																																BgL_res1591z00_1987
																																	=
																																	BgL__ortest_1115z00_1971;
																															}
																														else
																															{	/* Integrate/g.scm 92 */
																																long
																																	BgL_odepthz00_1972;
																																{	/* Integrate/g.scm 92 */
																																	obj_t
																																		BgL_arg1855z00_1973;
																																	BgL_arg1855z00_1973
																																		=
																																		(BgL_oclassz00_1970);
																																	BgL_odepthz00_1972
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_arg1855z00_1973);
																																}
																																if (
																																	(1L <
																																		BgL_odepthz00_1972))
																																	{	/* Integrate/g.scm 92 */
																																		obj_t
																																			BgL_arg1853z00_1975;
																																		{	/* Integrate/g.scm 92 */
																																			obj_t
																																				BgL_arg1854z00_1976;
																																			BgL_arg1854z00_1976
																																				=
																																				(BgL_oclassz00_1970);
																																			BgL_arg1853z00_1975
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_arg1854z00_1976,
																																				1L);
																																		}
																																		BgL_res1591z00_1987
																																			=
																																			(BgL_arg1853z00_1975
																																			==
																																			BgL_classz00_1954);
																																	}
																																else
																																	{	/* Integrate/g.scm 92 */
																																		BgL_res1591z00_1987
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																													}
																												}
																												BgL_test1625z00_2432 =
																													BgL_res1591z00_1987;
																											}
																									}
																								else
																									{	/* Integrate/g.scm 92 */
																										BgL_test1625z00_2432 =
																											((bool_t) 0);
																									}
																							}
																						}
																						if (BgL_test1625z00_2432)
																							{	/* Integrate/g.scm 116 */
																								bool_t BgL_test1632z00_2463;

																								{	/* Integrate/g.scm 116 */
																									obj_t BgL_arg1301z00_1634;

																									{
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_auxz00_2464;
																										{
																											obj_t BgL_auxz00_2465;

																											{	/* Integrate/g.scm 116 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_2466;
																												BgL_tmpz00_2466 =
																													((BgL_objectz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_fifz00_1595));
																												BgL_auxz00_2465 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_2466);
																											}
																											BgL_auxz00_2464 =
																												(
																												(BgL_sfunzf2iinfozf2_bglt)
																												BgL_auxz00_2465);
																										}
																										BgL_arg1301z00_1634 =
																											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2464))->BgL_lz00);
																									}
																									{	/* Integrate/g.scm 116 */
																										obj_t BgL_classz00_1990;

																										BgL_classz00_1990 =
																											BGl_variablez00zzast_varz00;
																										if (BGL_OBJECTP
																											(BgL_arg1301z00_1634))
																											{	/* Integrate/g.scm 116 */
																												BgL_objectz00_bglt
																													BgL_arg1858z00_1992;
																												BgL_arg1858z00_1992 =
																													(BgL_objectz00_bglt)
																													(BgL_arg1301z00_1634);
																												if (BGL_CONDEXPAND_ISA_ARCH64())
																													{	/* Integrate/g.scm 116 */
																														long
																															BgL_idxz00_1998;
																														BgL_idxz00_1998 =
																															BGL_OBJECT_INHERITANCE_NUM
																															(BgL_arg1858z00_1992);
																														BgL_test1632z00_2463
																															=
																															(VECTOR_REF
																															(BGl_za2inheritancesza2z00zz__objectz00,
																																(BgL_idxz00_1998
																																	+ 1L)) ==
																															BgL_classz00_1990);
																													}
																												else
																													{	/* Integrate/g.scm 116 */
																														bool_t
																															BgL_res1592z00_2023;
																														{	/* Integrate/g.scm 116 */
																															obj_t
																																BgL_oclassz00_2006;
																															{	/* Integrate/g.scm 116 */
																																obj_t
																																	BgL_arg1866z00_2014;
																																long
																																	BgL_arg1867z00_2015;
																																BgL_arg1866z00_2014
																																	=
																																	(BGl_za2classesza2z00zz__objectz00);
																																{	/* Integrate/g.scm 116 */
																																	long
																																		BgL_arg1869z00_2016;
																																	BgL_arg1869z00_2016
																																		=
																																		BGL_OBJECT_CLASS_NUM
																																		(BgL_arg1858z00_1992);
																																	BgL_arg1867z00_2015
																																		=
																																		(BgL_arg1869z00_2016
																																		-
																																		OBJECT_TYPE);
																																}
																																BgL_oclassz00_2006
																																	=
																																	VECTOR_REF
																																	(BgL_arg1866z00_2014,
																																	BgL_arg1867z00_2015);
																															}
																															{	/* Integrate/g.scm 116 */
																																bool_t
																																	BgL__ortest_1115z00_2007;
																																BgL__ortest_1115z00_2007
																																	=
																																	(BgL_classz00_1990
																																	==
																																	BgL_oclassz00_2006);
																																if (BgL__ortest_1115z00_2007)
																																	{	/* Integrate/g.scm 116 */
																																		BgL_res1592z00_2023
																																			=
																																			BgL__ortest_1115z00_2007;
																																	}
																																else
																																	{	/* Integrate/g.scm 116 */
																																		long
																																			BgL_odepthz00_2008;
																																		{	/* Integrate/g.scm 116 */
																																			obj_t
																																				BgL_arg1855z00_2009;
																																			BgL_arg1855z00_2009
																																				=
																																				(BgL_oclassz00_2006);
																																			BgL_odepthz00_2008
																																				=
																																				BGL_CLASS_DEPTH
																																				(BgL_arg1855z00_2009);
																																		}
																																		if (
																																			(1L <
																																				BgL_odepthz00_2008))
																																			{	/* Integrate/g.scm 116 */
																																				obj_t
																																					BgL_arg1853z00_2011;
																																				{	/* Integrate/g.scm 116 */
																																					obj_t
																																						BgL_arg1854z00_2012;
																																					BgL_arg1854z00_2012
																																						=
																																						(BgL_oclassz00_2006);
																																					BgL_arg1853z00_2011
																																						=
																																						BGL_CLASS_ANCESTORS_REF
																																						(BgL_arg1854z00_2012,
																																						1L);
																																				}
																																				BgL_res1592z00_2023
																																					=
																																					(BgL_arg1853z00_2011
																																					==
																																					BgL_classz00_1990);
																																			}
																																		else
																																			{	/* Integrate/g.scm 116 */
																																				BgL_res1592z00_2023
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																															}
																														}
																														BgL_test1632z00_2463
																															=
																															BgL_res1592z00_2023;
																													}
																											}
																										else
																											{	/* Integrate/g.scm 116 */
																												BgL_test1632z00_2463 =
																													((bool_t) 0);
																											}
																									}
																								}
																								if (BgL_test1632z00_2463)
																									{	/* Integrate/g.scm 124 */
																										bool_t BgL_test1639z00_2494;

																										{	/* Integrate/g.scm 124 */
																											obj_t BgL_arg1296z00_1630;
																											obj_t BgL_arg1297z00_1631;

																											{
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_auxz00_2495;
																												{
																													obj_t BgL_auxz00_2496;

																													{	/* Integrate/g.scm 124 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_2497;
																														BgL_tmpz00_2497 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_sfunz00_bglt) BgL_fifz00_1595));
																														BgL_auxz00_2496 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_2497);
																													}
																													BgL_auxz00_2495 =
																														(
																														(BgL_sfunzf2iinfozf2_bglt)
																														BgL_auxz00_2496);
																												}
																												BgL_arg1296z00_1630 =
																													(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2495))->BgL_lz00);
																											}
																											{
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_auxz00_2503;
																												{
																													obj_t BgL_auxz00_2504;

																													{	/* Integrate/g.scm 124 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_2505;
																														BgL_tmpz00_2505 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_sfunz00_bglt) BgL_gifz00_1605));
																														BgL_auxz00_2504 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_2505);
																													}
																													BgL_auxz00_2503 =
																														(
																														(BgL_sfunzf2iinfozf2_bglt)
																														BgL_auxz00_2504);
																												}
																												BgL_arg1297z00_1631 =
																													(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2503))->BgL_lz00);
																											}
																											BgL_test1639z00_2494 =
																												(BgL_arg1296z00_1630 ==
																												BgL_arg1297z00_1631);
																										}
																										if (BgL_test1639z00_2494)
																											{	/* Integrate/g.scm 124 */
																												{	/* Integrate/g.scm 128 */
																													obj_t
																														BgL_arg1293z00_1627;
																													BgL_arg1293z00_1627 =
																														CDR(((obj_t)
																															BgL_ctz00_1598));
																													{
																														obj_t
																															BgL_ctz00_2514;
																														BgL_ctz00_2514 =
																															BgL_arg1293z00_1627;
																														BgL_ctz00_1598 =
																															BgL_ctz00_2514;
																														goto
																															BgL_zc3z04anonymousza31259ze3z87_1601;
																													}
																												}
																											}
																										else
																											{	/* Integrate/g.scm 124 */
																												{
																													BgL_sfunzf2iinfozf2_bglt
																														BgL_auxz00_2515;
																													{
																														obj_t
																															BgL_auxz00_2516;
																														{	/* Integrate/g.scm 130 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_2517;
																															BgL_tmpz00_2517 =
																																(
																																(BgL_objectz00_bglt)
																																((BgL_sfunz00_bglt) BgL_gifz00_1605));
																															BgL_auxz00_2516 =
																																BGL_OBJECT_WIDENING
																																(BgL_tmpz00_2517);
																														}
																														BgL_auxz00_2515 =
																															(
																															(BgL_sfunzf2iinfozf2_bglt)
																															BgL_auxz00_2516);
																													}
																													((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2515))->BgL_gzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
																												}
																												{	/* Integrate/g.scm 133 */
																													obj_t
																														BgL_arg1294z00_1628;
																													obj_t
																														BgL_arg1295z00_1629;
																													BgL_arg1294z00_1628 =
																														CDR(((obj_t)
																															BgL_ctz00_1598));
																													BgL_arg1295z00_1629 =
																														MAKE_YOUNG_PAIR
																														(BgL_gz00_1604,
																														BgL_gsz00_1600);
																													{
																														obj_t
																															BgL_gsz00_2528;
																														bool_t
																															BgL_stopzf3zf3_2527;
																														obj_t
																															BgL_ctz00_2526;
																														BgL_ctz00_2526 =
																															BgL_arg1294z00_1628;
																														BgL_stopzf3zf3_2527
																															= ((bool_t) 0);
																														BgL_gsz00_2528 =
																															BgL_arg1295z00_1629;
																														BgL_gsz00_1600 =
																															BgL_gsz00_2528;
																														BgL_stopzf3zf3_1599
																															=
																															BgL_stopzf3zf3_2527;
																														BgL_ctz00_1598 =
																															BgL_ctz00_2526;
																														goto
																															BgL_zc3z04anonymousza31259ze3z87_1601;
																													}
																												}
																											}
																									}
																								else
																									{	/* Integrate/g.scm 116 */
																										{	/* Integrate/g.scm 122 */
																											obj_t BgL_arg1298z00_1632;

																											{
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_auxz00_2529;
																												{
																													obj_t BgL_auxz00_2530;

																													{	/* Integrate/g.scm 122 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_2531;
																														BgL_tmpz00_2531 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_sfunz00_bglt) BgL_gifz00_1605));
																														BgL_auxz00_2530 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_2531);
																													}
																													BgL_auxz00_2529 =
																														(
																														(BgL_sfunzf2iinfozf2_bglt)
																														BgL_auxz00_2530);
																												}
																												BgL_arg1298z00_1632 =
																													(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2529))->BgL_lz00);
																											}
																											{
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_auxz00_2537;
																												{
																													obj_t BgL_auxz00_2538;

																													{	/* Integrate/g.scm 122 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_2539;
																														BgL_tmpz00_2539 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_sfunz00_bglt) BgL_fifz00_1595));
																														BgL_auxz00_2538 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_2539);
																													}
																													BgL_auxz00_2537 =
																														(
																														(BgL_sfunzf2iinfozf2_bglt)
																														BgL_auxz00_2538);
																												}
																												((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2537))->BgL_lz00) = ((obj_t) BgL_arg1298z00_1632), BUNSPEC);
																											}
																										}
																										{	/* Integrate/g.scm 123 */
																											obj_t BgL_arg1299z00_1633;

																											BgL_arg1299z00_1633 =
																												CDR(
																												((obj_t)
																													BgL_ctz00_1598));
																											{
																												bool_t
																													BgL_stopzf3zf3_2548;
																												obj_t BgL_ctz00_2547;

																												BgL_ctz00_2547 =
																													BgL_arg1299z00_1633;
																												BgL_stopzf3zf3_2548 =
																													((bool_t) 0);
																												BgL_stopzf3zf3_1599 =
																													BgL_stopzf3zf3_2548;
																												BgL_ctz00_1598 =
																													BgL_ctz00_2547;
																												goto
																													BgL_zc3z04anonymousza31259ze3z87_1601;
																											}
																										}
																									}
																							}
																						else
																							{	/* Integrate/g.scm 94 */
																								bool_t BgL_test1640z00_2549;

																								{	/* Integrate/g.scm 94 */
																									obj_t BgL_arg1315z00_1645;

																									{
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_auxz00_2550;
																										{
																											obj_t BgL_auxz00_2551;

																											{	/* Integrate/g.scm 94 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_2552;
																												BgL_tmpz00_2552 =
																													((BgL_objectz00_bglt)
																													((BgL_sfunz00_bglt)
																														BgL_fifz00_1595));
																												BgL_auxz00_2551 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_2552);
																											}
																											BgL_auxz00_2550 =
																												(
																												(BgL_sfunzf2iinfozf2_bglt)
																												BgL_auxz00_2551);
																										}
																										BgL_arg1315z00_1645 =
																											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2550))->BgL_lz00);
																									}
																									{	/* Integrate/g.scm 94 */
																										obj_t BgL_classz00_2040;

																										BgL_classz00_2040 =
																											BGl_variablez00zzast_varz00;
																										if (BGL_OBJECTP
																											(BgL_arg1315z00_1645))
																											{	/* Integrate/g.scm 94 */
																												BgL_objectz00_bglt
																													BgL_arg1858z00_2042;
																												BgL_arg1858z00_2042 =
																													(BgL_objectz00_bglt)
																													(BgL_arg1315z00_1645);
																												if (BGL_CONDEXPAND_ISA_ARCH64())
																													{	/* Integrate/g.scm 94 */
																														long
																															BgL_idxz00_2048;
																														BgL_idxz00_2048 =
																															BGL_OBJECT_INHERITANCE_NUM
																															(BgL_arg1858z00_2042);
																														BgL_test1640z00_2549
																															=
																															(VECTOR_REF
																															(BGl_za2inheritancesza2z00zz__objectz00,
																																(BgL_idxz00_2048
																																	+ 1L)) ==
																															BgL_classz00_2040);
																													}
																												else
																													{	/* Integrate/g.scm 94 */
																														bool_t
																															BgL_res1593z00_2073;
																														{	/* Integrate/g.scm 94 */
																															obj_t
																																BgL_oclassz00_2056;
																															{	/* Integrate/g.scm 94 */
																																obj_t
																																	BgL_arg1866z00_2064;
																																long
																																	BgL_arg1867z00_2065;
																																BgL_arg1866z00_2064
																																	=
																																	(BGl_za2classesza2z00zz__objectz00);
																																{	/* Integrate/g.scm 94 */
																																	long
																																		BgL_arg1869z00_2066;
																																	BgL_arg1869z00_2066
																																		=
																																		BGL_OBJECT_CLASS_NUM
																																		(BgL_arg1858z00_2042);
																																	BgL_arg1867z00_2065
																																		=
																																		(BgL_arg1869z00_2066
																																		-
																																		OBJECT_TYPE);
																																}
																																BgL_oclassz00_2056
																																	=
																																	VECTOR_REF
																																	(BgL_arg1866z00_2064,
																																	BgL_arg1867z00_2065);
																															}
																															{	/* Integrate/g.scm 94 */
																																bool_t
																																	BgL__ortest_1115z00_2057;
																																BgL__ortest_1115z00_2057
																																	=
																																	(BgL_classz00_2040
																																	==
																																	BgL_oclassz00_2056);
																																if (BgL__ortest_1115z00_2057)
																																	{	/* Integrate/g.scm 94 */
																																		BgL_res1593z00_2073
																																			=
																																			BgL__ortest_1115z00_2057;
																																	}
																																else
																																	{	/* Integrate/g.scm 94 */
																																		long
																																			BgL_odepthz00_2058;
																																		{	/* Integrate/g.scm 94 */
																																			obj_t
																																				BgL_arg1855z00_2059;
																																			BgL_arg1855z00_2059
																																				=
																																				(BgL_oclassz00_2056);
																																			BgL_odepthz00_2058
																																				=
																																				BGL_CLASS_DEPTH
																																				(BgL_arg1855z00_2059);
																																		}
																																		if (
																																			(1L <
																																				BgL_odepthz00_2058))
																																			{	/* Integrate/g.scm 94 */
																																				obj_t
																																					BgL_arg1853z00_2061;
																																				{	/* Integrate/g.scm 94 */
																																					obj_t
																																						BgL_arg1854z00_2062;
																																					BgL_arg1854z00_2062
																																						=
																																						(BgL_oclassz00_2056);
																																					BgL_arg1853z00_2061
																																						=
																																						BGL_CLASS_ANCESTORS_REF
																																						(BgL_arg1854z00_2062,
																																						1L);
																																				}
																																				BgL_res1593z00_2073
																																					=
																																					(BgL_arg1853z00_2061
																																					==
																																					BgL_classz00_2040);
																																			}
																																		else
																																			{	/* Integrate/g.scm 94 */
																																				BgL_res1593z00_2073
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																															}
																														}
																														BgL_test1640z00_2549
																															=
																															BgL_res1593z00_2073;
																													}
																											}
																										else
																											{	/* Integrate/g.scm 94 */
																												BgL_test1640z00_2549 =
																													((bool_t) 0);
																											}
																									}
																								}
																								if (BgL_test1640z00_2549)
																									{	/* Integrate/g.scm 94 */
																										{	/* Integrate/g.scm 95 */
																											obj_t BgL_arg1309z00_1637;

																											{
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_auxz00_2580;
																												{
																													obj_t BgL_auxz00_2581;

																													{	/* Integrate/g.scm 95 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_2582;
																														BgL_tmpz00_2582 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_sfunz00_bglt) BgL_fifz00_1595));
																														BgL_auxz00_2581 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_2582);
																													}
																													BgL_auxz00_2580 =
																														(
																														(BgL_sfunzf2iinfozf2_bglt)
																														BgL_auxz00_2581);
																												}
																												BgL_arg1309z00_1637 =
																													(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2580))->BgL_lz00);
																											}
																											{
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_auxz00_2588;
																												{
																													obj_t BgL_auxz00_2589;

																													{	/* Integrate/g.scm 95 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_2590;
																														BgL_tmpz00_2590 =
																															(
																															(BgL_objectz00_bglt)
																															((BgL_sfunz00_bglt) BgL_gifz00_1605));
																														BgL_auxz00_2589 =
																															BGL_OBJECT_WIDENING
																															(BgL_tmpz00_2590);
																													}
																													BgL_auxz00_2588 =
																														(
																														(BgL_sfunzf2iinfozf2_bglt)
																														BgL_auxz00_2589);
																												}
																												((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2588))->BgL_lz00) = ((obj_t) BgL_arg1309z00_1637), BUNSPEC);
																											}
																										}
																										{	/* Integrate/g.scm 101 */
																											obj_t BgL_arg1310z00_1638;

																											BgL_arg1310z00_1638 =
																												CDR(
																												((obj_t)
																													BgL_ctz00_1598));
																											{
																												bool_t
																													BgL_stopzf3zf3_2599;
																												obj_t BgL_ctz00_2598;

																												BgL_ctz00_2598 =
																													BgL_arg1310z00_1638;
																												BgL_stopzf3zf3_2599 =
																													((bool_t) 0);
																												BgL_stopzf3zf3_1599 =
																													BgL_stopzf3zf3_2599;
																												BgL_ctz00_1598 =
																													BgL_ctz00_2598;
																												goto
																													BgL_zc3z04anonymousza31259ze3z87_1601;
																											}
																										}
																									}
																								else
																									{	/* Integrate/g.scm 103 */
																										bool_t BgL_stopzf3zf3_1639;

																										if (BgL_stopzf3zf3_1599)
																											{	/* Integrate/g.scm 105 */
																												bool_t
																													BgL_test1646z00_2601;
																												{	/* Integrate/g.scm 105 */
																													obj_t
																														BgL_arg1314z00_1644;
																													{
																														BgL_sfunzf2iinfozf2_bglt
																															BgL_auxz00_2602;
																														{
																															obj_t
																																BgL_auxz00_2603;
																															{	/* Integrate/g.scm 105 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_2604;
																																BgL_tmpz00_2604
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	((BgL_sfunz00_bglt) BgL_fifz00_1595));
																																BgL_auxz00_2603
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_tmpz00_2604);
																															}
																															BgL_auxz00_2602 =
																																(
																																(BgL_sfunzf2iinfozf2_bglt)
																																BgL_auxz00_2603);
																														}
																														BgL_arg1314z00_1644
																															=
																															(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2602))->BgL_istampz00);
																													}
																													BgL_test1646z00_2601 =
																														INTEGERP
																														(BgL_arg1314z00_1644);
																												}
																												if (BgL_test1646z00_2601)
																													{	/* Integrate/g.scm 107 */
																														obj_t
																															BgL_arg1313z00_1643;
																														{
																															BgL_sfunzf2iinfozf2_bglt
																																BgL_auxz00_2611;
																															{
																																obj_t
																																	BgL_auxz00_2612;
																																{	/* Integrate/g.scm 107 */
																																	BgL_objectz00_bglt
																																		BgL_tmpz00_2613;
																																	BgL_tmpz00_2613
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		((BgL_sfunz00_bglt) BgL_fifz00_1595));
																																	BgL_auxz00_2612
																																		=
																																		BGL_OBJECT_WIDENING
																																		(BgL_tmpz00_2613);
																																}
																																BgL_auxz00_2611
																																	=
																																	(
																																	(BgL_sfunzf2iinfozf2_bglt)
																																	BgL_auxz00_2612);
																															}
																															BgL_arg1313z00_1643
																																=
																																(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2611))->BgL_istampz00);
																														}
																														BgL_stopzf3zf3_1639
																															=
																															((long)
																															CINT
																															(BgL_arg1313z00_1643)
																															<=
																															BgL_stampz00_1575);
																													}
																												else
																													{	/* Integrate/g.scm 105 */
																														BgL_stopzf3zf3_1639
																															= ((bool_t) 0);
																													}
																											}
																										else
																											{	/* Integrate/g.scm 103 */
																												BgL_stopzf3zf3_1639 =
																													((bool_t) 0);
																											}
																										{
																											BgL_sfunzf2iinfozf2_bglt
																												BgL_auxz00_2621;
																											{
																												obj_t BgL_auxz00_2622;

																												{	/* Integrate/g.scm 114 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_2623;
																													BgL_tmpz00_2623 =
																														(
																														(BgL_objectz00_bglt)
																														((BgL_sfunz00_bglt)
																															BgL_fifz00_1595));
																													BgL_auxz00_2622 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_2623);
																												}
																												BgL_auxz00_2621 =
																													(
																													(BgL_sfunzf2iinfozf2_bglt)
																													BgL_auxz00_2622);
																											}
																											((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2621))->BgL_istampz00) = ((obj_t) BINT(BgL_stampz00_1575)), BUNSPEC);
																										}
																										{	/* Integrate/g.scm 115 */
																											obj_t BgL_arg1311z00_1640;

																											BgL_arg1311z00_1640 =
																												CDR(
																												((obj_t)
																													BgL_ctz00_1598));
																											{
																												bool_t
																													BgL_stopzf3zf3_2633;
																												obj_t BgL_ctz00_2632;

																												BgL_ctz00_2632 =
																													BgL_arg1311z00_1640;
																												BgL_stopzf3zf3_2633 =
																													BgL_stopzf3zf3_1639;
																												BgL_stopzf3zf3_1599 =
																													BgL_stopzf3zf3_2633;
																												BgL_ctz00_1598 =
																													BgL_ctz00_2632;
																												goto
																													BgL_zc3z04anonymousza31259ze3z87_1601;
																											}
																										}
																									}
																							}
																					}
																			}
																	}
															}
														}
													}
											}
										}
									}
								}
							}
					}
			}
		}

	}



/* &G! */
	obj_t BGl_z62Gz12z70zzintegrate_gz00(obj_t BgL_envz00_2246,
		obj_t BgL_gzf2cnzf2_2247)
	{
		{	/* Integrate/g.scm 32 */
			return BGl_Gz12z12zzintegrate_gz00(BgL_gzf2cnzf2_2247);
		}

	}



/* integrate-remaining-local-functions! */
	bool_t
		BGl_integratezd2remainingzd2localzd2functionsz12zc0zzintegrate_gz00(void)
	{
		{	/* Integrate/g.scm 143 */
			{
				obj_t BgL_l1243z00_1651;

				BgL_l1243z00_1651 = BGl_za2phiza2z00zzintegrate_az00;
			BgL_zc3z04anonymousza31317ze3z87_1652:
				if (PAIRP(BgL_l1243z00_1651))
					{	/* Integrate/g.scm 144 */
						{	/* Integrate/g.scm 145 */
							obj_t BgL_fz00_1654;

							BgL_fz00_1654 = CAR(BgL_l1243z00_1651);
							{	/* Integrate/g.scm 145 */
								bool_t BgL_test1648z00_2638;

								{	/* Integrate/g.scm 145 */
									bool_t BgL_test1649z00_2639;

									{	/* Integrate/g.scm 145 */
										obj_t BgL_classz00_2089;

										BgL_classz00_2089 = BGl_localz00zzast_varz00;
										if (BGL_OBJECTP(BgL_fz00_1654))
											{	/* Integrate/g.scm 145 */
												BgL_objectz00_bglt BgL_arg1858z00_2091;

												BgL_arg1858z00_2091 =
													(BgL_objectz00_bglt) (BgL_fz00_1654);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Integrate/g.scm 145 */
														long BgL_idxz00_2097;

														BgL_idxz00_2097 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2091);
														BgL_test1649z00_2639 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2097 + 2L)) == BgL_classz00_2089);
													}
												else
													{	/* Integrate/g.scm 145 */
														bool_t BgL_res1594z00_2122;

														{	/* Integrate/g.scm 145 */
															obj_t BgL_oclassz00_2105;

															{	/* Integrate/g.scm 145 */
																obj_t BgL_arg1866z00_2113;
																long BgL_arg1867z00_2114;

																BgL_arg1866z00_2113 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Integrate/g.scm 145 */
																	long BgL_arg1869z00_2115;

																	BgL_arg1869z00_2115 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2091);
																	BgL_arg1867z00_2114 =
																		(BgL_arg1869z00_2115 - OBJECT_TYPE);
																}
																BgL_oclassz00_2105 =
																	VECTOR_REF(BgL_arg1866z00_2113,
																	BgL_arg1867z00_2114);
															}
															{	/* Integrate/g.scm 145 */
																bool_t BgL__ortest_1115z00_2106;

																BgL__ortest_1115z00_2106 =
																	(BgL_classz00_2089 == BgL_oclassz00_2105);
																if (BgL__ortest_1115z00_2106)
																	{	/* Integrate/g.scm 145 */
																		BgL_res1594z00_2122 =
																			BgL__ortest_1115z00_2106;
																	}
																else
																	{	/* Integrate/g.scm 145 */
																		long BgL_odepthz00_2107;

																		{	/* Integrate/g.scm 145 */
																			obj_t BgL_arg1855z00_2108;

																			BgL_arg1855z00_2108 =
																				(BgL_oclassz00_2105);
																			BgL_odepthz00_2107 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_2108);
																		}
																		if ((2L < BgL_odepthz00_2107))
																			{	/* Integrate/g.scm 145 */
																				obj_t BgL_arg1853z00_2110;

																				{	/* Integrate/g.scm 145 */
																					obj_t BgL_arg1854z00_2111;

																					BgL_arg1854z00_2111 =
																						(BgL_oclassz00_2105);
																					BgL_arg1853z00_2110 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_2111, 2L);
																				}
																				BgL_res1594z00_2122 =
																					(BgL_arg1853z00_2110 ==
																					BgL_classz00_2089);
																			}
																		else
																			{	/* Integrate/g.scm 145 */
																				BgL_res1594z00_2122 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test1649z00_2639 = BgL_res1594z00_2122;
													}
											}
										else
											{	/* Integrate/g.scm 145 */
												BgL_test1649z00_2639 = ((bool_t) 0);
											}
									}
									if (BgL_test1649z00_2639)
										{	/* Integrate/g.scm 146 */
											bool_t BgL_test1657z00_2662;

											{	/* Integrate/g.scm 146 */
												BgL_sfunz00_bglt BgL_oz00_2124;

												BgL_oz00_2124 =
													((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_fz00_1654))))->
														BgL_valuez00));
												{
													BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2667;

													{
														obj_t BgL_auxz00_2668;

														{	/* Integrate/g.scm 146 */
															BgL_objectz00_bglt BgL_tmpz00_2669;

															BgL_tmpz00_2669 =
																((BgL_objectz00_bglt) BgL_oz00_2124);
															BgL_auxz00_2668 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2669);
														}
														BgL_auxz00_2667 =
															((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2668);
													}
													BgL_test1657z00_2662 =
														(((BgL_sfunzf2iinfozf2_bglt)
															COBJECT(BgL_auxz00_2667))->BgL_gzf3zf3);
												}
											}
											if (BgL_test1657z00_2662)
												{	/* Integrate/g.scm 146 */
													BgL_test1648z00_2638 = ((bool_t) 0);
												}
											else
												{	/* Integrate/g.scm 147 */
													bool_t BgL_test1658z00_2674;

													{	/* Integrate/g.scm 147 */
														obj_t BgL_arg1340z00_1671;

														{	/* Integrate/g.scm 147 */
															BgL_sfunz00_bglt BgL_oz00_2127;

															BgL_oz00_2127 =
																((BgL_sfunz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt) BgL_fz00_1654))))->
																	BgL_valuez00));
															{
																BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2679;

																{
																	obj_t BgL_auxz00_2680;

																	{	/* Integrate/g.scm 147 */
																		BgL_objectz00_bglt BgL_tmpz00_2681;

																		BgL_tmpz00_2681 =
																			((BgL_objectz00_bglt) BgL_oz00_2127);
																		BgL_auxz00_2680 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2681);
																	}
																	BgL_auxz00_2679 =
																		((BgL_sfunzf2iinfozf2_bglt)
																		BgL_auxz00_2680);
																}
																BgL_arg1340z00_1671 =
																	(((BgL_sfunzf2iinfozf2_bglt)
																		COBJECT(BgL_auxz00_2679))->BgL_lz00);
															}
														}
														{	/* Integrate/g.scm 147 */
															obj_t BgL_classz00_2129;

															BgL_classz00_2129 = BGl_variablez00zzast_varz00;
															if (BGL_OBJECTP(BgL_arg1340z00_1671))
																{	/* Integrate/g.scm 147 */
																	BgL_objectz00_bglt BgL_arg1858z00_2131;

																	BgL_arg1858z00_2131 =
																		(BgL_objectz00_bglt) (BgL_arg1340z00_1671);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Integrate/g.scm 147 */
																			long BgL_idxz00_2137;

																			BgL_idxz00_2137 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_2131);
																			BgL_test1658z00_2674 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2137 + 1L)) ==
																				BgL_classz00_2129);
																		}
																	else
																		{	/* Integrate/g.scm 147 */
																			bool_t BgL_res1595z00_2162;

																			{	/* Integrate/g.scm 147 */
																				obj_t BgL_oclassz00_2145;

																				{	/* Integrate/g.scm 147 */
																					obj_t BgL_arg1866z00_2153;
																					long BgL_arg1867z00_2154;

																					BgL_arg1866z00_2153 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Integrate/g.scm 147 */
																						long BgL_arg1869z00_2155;

																						BgL_arg1869z00_2155 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_2131);
																						BgL_arg1867z00_2154 =
																							(BgL_arg1869z00_2155 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2145 =
																						VECTOR_REF(BgL_arg1866z00_2153,
																						BgL_arg1867z00_2154);
																				}
																				{	/* Integrate/g.scm 147 */
																					bool_t BgL__ortest_1115z00_2146;

																					BgL__ortest_1115z00_2146 =
																						(BgL_classz00_2129 ==
																						BgL_oclassz00_2145);
																					if (BgL__ortest_1115z00_2146)
																						{	/* Integrate/g.scm 147 */
																							BgL_res1595z00_2162 =
																								BgL__ortest_1115z00_2146;
																						}
																					else
																						{	/* Integrate/g.scm 147 */
																							long BgL_odepthz00_2147;

																							{	/* Integrate/g.scm 147 */
																								obj_t BgL_arg1855z00_2148;

																								BgL_arg1855z00_2148 =
																									(BgL_oclassz00_2145);
																								BgL_odepthz00_2147 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_2148);
																							}
																							if ((1L < BgL_odepthz00_2147))
																								{	/* Integrate/g.scm 147 */
																									obj_t BgL_arg1853z00_2150;

																									{	/* Integrate/g.scm 147 */
																										obj_t BgL_arg1854z00_2151;

																										BgL_arg1854z00_2151 =
																											(BgL_oclassz00_2145);
																										BgL_arg1853z00_2150 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_2151, 1L);
																									}
																									BgL_res1595z00_2162 =
																										(BgL_arg1853z00_2150 ==
																										BgL_classz00_2129);
																								}
																							else
																								{	/* Integrate/g.scm 147 */
																									BgL_res1595z00_2162 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1658z00_2674 =
																				BgL_res1595z00_2162;
																		}
																}
															else
																{	/* Integrate/g.scm 147 */
																	BgL_test1658z00_2674 = ((bool_t) 0);
																}
														}
													}
													if (BgL_test1658z00_2674)
														{	/* Integrate/g.scm 147 */
															BgL_test1648z00_2638 = ((bool_t) 0);
														}
													else
														{	/* Integrate/g.scm 147 */
															BgL_test1648z00_2638 = ((bool_t) 1);
														}
												}
										}
									else
										{	/* Integrate/g.scm 145 */
											BgL_test1648z00_2638 = ((bool_t) 0);
										}
								}
								if (BgL_test1648z00_2638)
									{	/* Integrate/g.scm 145 */
										{	/* Integrate/g.scm 153 */
											BgL_valuez00_bglt BgL_arg1336z00_1665;
											obj_t BgL_arg1338z00_1666;

											BgL_arg1336z00_1665 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_fz00_1654))))->
												BgL_valuez00);
											{	/* Integrate/g.scm 154 */
												BgL_sfunz00_bglt BgL_oz00_2165;

												BgL_oz00_2165 =
													((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_fz00_1654))))->
														BgL_valuez00));
												{
													BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2715;

													{
														obj_t BgL_auxz00_2716;

														{	/* Integrate/g.scm 154 */
															BgL_objectz00_bglt BgL_tmpz00_2717;

															BgL_tmpz00_2717 =
																((BgL_objectz00_bglt) BgL_oz00_2165);
															BgL_auxz00_2716 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2717);
														}
														BgL_auxz00_2715 =
															((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2716);
													}
													BgL_arg1338z00_1666 =
														(((BgL_sfunzf2iinfozf2_bglt)
															COBJECT(BgL_auxz00_2715))->BgL_ownerz00);
												}
											}
											{
												BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2722;

												{
													obj_t BgL_auxz00_2723;

													{	/* Integrate/g.scm 153 */
														BgL_objectz00_bglt BgL_tmpz00_2724;

														BgL_tmpz00_2724 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_arg1336z00_1665));
														BgL_auxz00_2723 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2724);
													}
													BgL_auxz00_2722 =
														((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2723);
												}
												((((BgL_sfunzf2iinfozf2_bglt)
															COBJECT(BgL_auxz00_2722))->BgL_lz00) =
													((obj_t) BgL_arg1338z00_1666), BUNSPEC);
											}
										}
									}
								else
									{	/* Integrate/g.scm 145 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l1243z00_2730;

							BgL_l1243z00_2730 = CDR(BgL_l1243z00_1651);
							BgL_l1243z00_1651 = BgL_l1243z00_2730;
							goto BgL_zc3z04anonymousza31317ze3z87_1652;
						}
					}
				else
					{	/* Integrate/g.scm 144 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_gz00(void)
	{
		{	/* Integrate/g.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_gz00(void)
	{
		{	/* Integrate/g.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_gz00(void)
	{
		{	/* Integrate/g.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_gz00(void)
	{
		{	/* Integrate/g.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1598z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1598z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1598z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1598z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1598z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(0L,
				BSTRING_TO_STRING(BGl_string1598z00zzintegrate_gz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_az00(523633197L,
				BSTRING_TO_STRING(BGl_string1598z00zzintegrate_gz00));
		}

	}

#ifdef __cplusplus
}
#endif
