/*===========================================================================*/
/*   (Module/eval.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Module/eval.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_MODULE_EVAL_TYPE_DEFINITIONS
#define BGL_MODULE_EVAL_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;


#endif													// BGL_MODULE_EVAL_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_z62makezd2evalzd2compilerz62zzmodule_evalz00(obj_t);
	static obj_t BGl_setzd2evalzd2typesz12z12zzmodule_evalz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_evalz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62evalzd2finaliza7erz17zzmodule_evalz00(obj_t);
	static obj_t BGl_library_ez00zzmodule_evalz00(obj_t);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzmodule_evalz00(void);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t bigloo_module_mangle(obj_t, obj_t);
	extern obj_t BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00(void);
	static obj_t BGl_evmodulezd2compzd2zzmodule_evalz00(void);
	static obj_t BGl_genericzd2initzd2zzmodule_evalz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_za2evalzd2librariesza2zd2zzmodule_evalz00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zzmodule_evalz00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_libraryzd2initzd2filez00zz__libraryz00(obj_t);
	static obj_t BGl_za2evalzd2classesza2zd2zzmodule_evalz00 = BUNSPEC;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	extern BgL_typez00_bglt BGl_findzd2typezf2locationz20zztype_envz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzmodule_evalz00(obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_definezd2primopzd2refzf2srczd2ze3nodezc3zzast_sexpz00
		(BgL_globalz00_bglt, BgL_nodez00_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_evalz00(void);
	BGL_IMPORT obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
	BGL_IMPORT obj_t BGl_libraryzd2infozd2zz__libraryz00(obj_t);
	static obj_t BGl_getzd2evalzd2srfizd2librarieszd2zzmodule_evalz00(void);
	static obj_t BGl_z62getzd2evalzd2librariesz62zzmodule_evalz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00
		= BUNSPEC;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31318ze3ze5zzmodule_evalz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2evalzd2compilerz00zzmodule_evalz00(void);
	static obj_t BGl_getzd2evaluatedzd2classzd2holderszd2zzmodule_evalz00(void);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_svarz00zzast_varz00;
	static obj_t BGl_z62addzd2evalzd2libraryz12z70zzmodule_evalz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static bool_t BGl_za2onezd2evalzf3za2z21zzmodule_evalz00;
	static obj_t BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00(obj_t);
	static obj_t BGl_z62evalzd2producerzb0zzmodule_evalz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00 =
		BUNSPEC;
	BGL_IMPORT obj_t BGl_loadqz00zz__evalz00(obj_t, obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t create_struct(obj_t, int);
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00 =
		BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzmodule_evalz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_evalz00(void);
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2evalzf3za2z21zzmodule_evalz00 = BUNSPEC;
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_evalz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzmodule_evalz00(void);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2modulezd2locationza2zd2zzmodule_modulez00;
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt,
		BgL_nodez00_bglt);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_evalzd2parserzd2zzmodule_evalz00(obj_t, obj_t);
	static obj_t BGl_za2evalzd2exportedza2zd2zzmodule_evalz00 = BUNSPEC;
	static obj_t BGl_getzd2libraryzd2infoz00zzmodule_evalz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2evalzd2librariesz00zzmodule_evalz00(void);
	static obj_t BGl_exportzd2globalze70z35zzmodule_evalz00(obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_getzd2evaluatedzd2classzd2macroszd2zzmodule_evalz00(void);
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza31925ze3ze5zzmodule_evalz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_defaultzd2environmentzd2zz__evalz00(void);
	static obj_t BGl_z62zc3z04anonymousza31578ze3ze5zzmodule_evalz00(obj_t);
	static obj_t __cnst[39];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_evalzd2producerzd2envz00zzmodule_evalz00,
		BgL_bgl_za762evalza7d2produc2110z00,
		BGl_z62evalzd2producerzb0zzmodule_evalz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2095z00zzmodule_evalz00,
		BgL_bgl_string2095za700za7za7m2111za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string2096z00zzmodule_evalz00,
		BgL_bgl_string2096za700za7za7m2112za7, "Illegal `eval' clause", 21);
	      DEFINE_STRING(BGl_string2098z00zzmodule_evalz00,
		BgL_bgl_string2098za700za7za7m2113za7, "cannot find info \"~a\"", 21);
	      DEFINE_STRING(BGl_string2099z00zzmodule_evalz00,
		BgL_bgl_string2099za700za7za7m2114za7,
		"cannot find file \"~a\" in lib path", 33);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2094z00zzmodule_evalz00,
		BgL_bgl_za762za7c3za704anonymo2115za7,
		BGl_z62zc3z04anonymousza31318ze3ze5zzmodule_evalz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2097z00zzmodule_evalz00,
		BgL_bgl_za762za7c3za704anonymo2116za7,
		BGl_z62zc3z04anonymousza31578ze3ze5zzmodule_evalz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2evalzd2libraryz12zd2envzc0zzmodule_evalz00,
		BgL_bgl_za762addza7d2evalza7d22117za7,
		BGl_z62addzd2evalzd2libraryz12z70zzmodule_evalz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_evalzd2finaliza7erzd2envza7zzmodule_evalz00,
		BgL_bgl_za762evalza7d2finali2118z00,
		BGl_z62evalzd2finaliza7erz17zzmodule_evalz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evalzd2librarieszd2envzd2zzmodule_evalz00,
		BgL_bgl_za762getza7d2evalza7d22119za7,
		BGl_z62getzd2evalzd2librariesz62zzmodule_evalz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2evalzd2compilerzd2envzd2zzmodule_evalz00,
		BgL_bgl_za762makeza7d2evalza7d2120za7,
		BGl_z62makezd2evalzd2compilerz62zzmodule_evalz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2100z00zzmodule_evalz00,
		BgL_bgl_string2100za700za7za7m2121za7, "~s", 2);
	      DEFINE_STRING(BGl_string2101z00zzmodule_evalz00,
		BgL_bgl_string2101za700za7za7m2122za7, "cannot initialize library for eval",
		34);
	      DEFINE_STRING(BGl_string2102z00zzmodule_evalz00,
		BgL_bgl_string2102za700za7za7m2123za7, "eval", 4);
	      DEFINE_STRING(BGl_string2103z00zzmodule_evalz00,
		BgL_bgl_string2103za700za7za7m2124za7,
		"Non bigloo prototyped value can't be evaluated", 46);
	      DEFINE_STRING(BGl_string2104z00zzmodule_evalz00,
		BgL_bgl_string2104za700za7za7m2125za7, "eval-init", 9);
	      DEFINE_STRING(BGl_string2105z00zzmodule_evalz00,
		BgL_bgl_string2105za700za7za7m2126za7,
		"This variable cannot be known by eval", 37);
	      DEFINE_STRING(BGl_string2106z00zzmodule_evalz00,
		BgL_bgl_string2106za700za7za7m2127za7, "Unbound eval variable", 21);
	      DEFINE_STRING(BGl_string2107z00zzmodule_evalz00,
		BgL_bgl_string2107za700za7za7m2128za7, "module_eval", 11);
	      DEFINE_STRING(BGl_string2108z00zzmodule_evalz00,
		BgL_bgl_string2108za700za7za7m2129za7,
		"eval-expand-with-access eval-expand-duplicate eval-expand-instantiate register-eval-srfi! (export) (import static export) (all module export) library-load library-mark-loaded! pragma::string bigloo-library-path library-load-init __library (int string) obj libinfo vector __evmeaning_address value module quote evmodule-comp! __evmodule begin (#unspecified) one all write void unit library import class @ export export-module export-exports export-all eval ",
		456);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzmodule_evalz00));
		     ADD_ROOT((void *) (&BGl_za2evalzd2librariesza2zd2zzmodule_evalz00));
		     ADD_ROOT((void *) (&BGl_za2evalzd2classesza2zd2zzmodule_evalz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00));
		     ADD_ROOT((void
				*) (&BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00));
		     ADD_ROOT((void
				*) (&BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00));
		     ADD_ROOT((void *) (&BGl_za2allzd2evalzf3za2z21zzmodule_evalz00));
		     ADD_ROOT((void *) (&BGl_za2evalzd2exportedza2zd2zzmodule_evalz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long
		BgL_checksumz00_3132, char *BgL_fromz00_3133)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_evalz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_evalz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzmodule_evalz00();
					BGl_libraryzd2moduleszd2initz00zzmodule_evalz00();
					BGl_cnstzd2initzd2zzmodule_evalz00();
					BGl_importedzd2moduleszd2initz00zzmodule_evalz00();
					return BGl_toplevelzd2initzd2zzmodule_evalz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_evalz00(void)
	{
		{	/* Module/eval.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "module_eval");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "module_eval");
			BGl_modulezd2initializa7ationz75zz__libraryz00(0L, "module_eval");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__evalz00(0L, "module_eval");
			BGl_modulezd2initializa7ationz75zz__osz00(0L, "module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "module_eval");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "module_eval");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_evalz00(void)
	{
		{	/* Module/eval.scm 15 */
			{	/* Module/eval.scm 15 */
				obj_t BgL_cportz00_3034;

				{	/* Module/eval.scm 15 */
					obj_t BgL_stringz00_3041;

					BgL_stringz00_3041 = BGl_string2108z00zzmodule_evalz00;
					{	/* Module/eval.scm 15 */
						obj_t BgL_startz00_3042;

						BgL_startz00_3042 = BINT(0L);
						{	/* Module/eval.scm 15 */
							obj_t BgL_endz00_3043;

							BgL_endz00_3043 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3041)));
							{	/* Module/eval.scm 15 */

								BgL_cportz00_3034 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3041, BgL_startz00_3042, BgL_endz00_3043);
				}}}}
				{
					long BgL_iz00_3035;

					BgL_iz00_3035 = 38L;
				BgL_loopz00_3036:
					if ((BgL_iz00_3035 == (-1L)))
						{	/* Module/eval.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/eval.scm 15 */
							{	/* Module/eval.scm 15 */
								obj_t BgL_arg2109z00_3037;

								{	/* Module/eval.scm 15 */

									{	/* Module/eval.scm 15 */
										obj_t BgL_locationz00_3039;

										BgL_locationz00_3039 = BBOOL(((bool_t) 0));
										{	/* Module/eval.scm 15 */

											BgL_arg2109z00_3037 =
												BGl_readz00zz__readerz00(BgL_cportz00_3034,
												BgL_locationz00_3039);
										}
									}
								}
								{	/* Module/eval.scm 15 */
									int BgL_tmpz00_3168;

									BgL_tmpz00_3168 = (int) (BgL_iz00_3035);
									CNST_TABLE_SET(BgL_tmpz00_3168, BgL_arg2109z00_3037);
							}}
							{	/* Module/eval.scm 15 */
								int BgL_auxz00_3040;

								BgL_auxz00_3040 = (int) ((BgL_iz00_3035 - 1L));
								{
									long BgL_iz00_3173;

									BgL_iz00_3173 = (long) (BgL_auxz00_3040);
									BgL_iz00_3035 = BgL_iz00_3173;
									goto BgL_loopz00_3036;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzmodule_evalz00(void)
	{
		{	/* Module/eval.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_evalz00(void)
	{
		{	/* Module/eval.scm 15 */
			BGl_za2evalzd2librariesza2zd2zzmodule_evalz00 = BNIL;
			BGl_za2evalzd2exportedza2zd2zzmodule_evalz00 = BNIL;
			BGl_za2evalzd2classesza2zd2zzmodule_evalz00 = BNIL;
			BGl_za2allzd2evalzf3za2z21zzmodule_evalz00 = BFALSE;
			BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00 = BFALSE;
			BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00 = BFALSE;
			BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00 = BFALSE;
			return (BGl_za2onezd2evalzf3za2z21zzmodule_evalz00 =
				((bool_t) 0), BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzmodule_evalz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1799;

					BgL_headz00_1799 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1800;
						obj_t BgL_tailz00_1801;

						BgL_prevz00_1800 = BgL_headz00_1799;
						BgL_tailz00_1801 = BgL_l1z00_1;
					BgL_loopz00_1802:
						if (PAIRP(BgL_tailz00_1801))
							{
								obj_t BgL_newzd2prevzd2_1804;

								BgL_newzd2prevzd2_1804 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1801), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1800, BgL_newzd2prevzd2_1804);
								{
									obj_t BgL_tailz00_3185;
									obj_t BgL_prevz00_3184;

									BgL_prevz00_3184 = BgL_newzd2prevzd2_1804;
									BgL_tailz00_3185 = CDR(BgL_tailz00_1801);
									BgL_tailz00_1801 = BgL_tailz00_3185;
									BgL_prevz00_1800 = BgL_prevz00_3184;
									goto BgL_loopz00_1802;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1799);
					}
				}
		}

	}



/* make-eval-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2evalzd2compilerz00zzmodule_evalz00(void)
	{
		{	/* Module/eval.scm 45 */
			{	/* Module/eval.scm 46 */
				BgL_ccompz00_bglt BgL_new1109z00_1842;

				{	/* Module/eval.scm 47 */
					BgL_ccompz00_bglt BgL_new1108z00_1846;

					BgL_new1108z00_1846 =
						((BgL_ccompz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/eval.scm 47 */
						long BgL_arg1319z00_1847;

						BgL_arg1319z00_1847 = BGL_CLASS_NUM(BGl_ccompz00zzmodule_modulez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1108z00_1846), BgL_arg1319z00_1847);
					}
					BgL_new1109z00_1842 = BgL_new1108z00_1846;
				}
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1109z00_1842))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(0))), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1109z00_1842))->BgL_producerz00) =
					((obj_t) BGl_evalzd2producerzd2envz00zzmodule_evalz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1109z00_1842))->BgL_consumerz00) =
					((obj_t) BGl_proc2094z00zzmodule_evalz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1109z00_1842))->
						BgL_finaliza7erza7) =
					((obj_t) BGl_evalzd2finaliza7erzd2envza7zzmodule_evalz00), BUNSPEC);
				return ((obj_t) BgL_new1109z00_1842);
			}
		}

	}



/* &make-eval-compiler */
	obj_t BGl_z62makezd2evalzd2compilerz62zzmodule_evalz00(obj_t BgL_envz00_3012)
	{
		{	/* Module/eval.scm 45 */
			return BGl_makezd2evalzd2compilerz00zzmodule_evalz00();
		}

	}



/* &<@anonymous:1318> */
	obj_t BGl_z62zc3z04anonymousza31318ze3ze5zzmodule_evalz00(obj_t
		BgL_envz00_3013, obj_t BgL_mz00_3014, obj_t BgL_cz00_3015)
	{
		{	/* Module/module.scm 54 */
			return BNIL;
		}

	}



/* &eval-producer */
	obj_t BGl_z62evalzd2producerzb0zzmodule_evalz00(obj_t BgL_envz00_3016,
		obj_t BgL_clausez00_3017)
	{
		{	/* Module/eval.scm 54 */
			{
				obj_t BgL_protosz00_3047;

				if (PAIRP(BgL_clausez00_3017))
					{	/* Module/eval.scm 55 */
						obj_t BgL_arg1321z00_3051;

						BgL_arg1321z00_3051 = CDR(((obj_t) BgL_clausez00_3017));
						BgL_protosz00_3047 = BgL_arg1321z00_3051;
						{
							obj_t BgL_l1248z00_3049;

							BgL_l1248z00_3049 = BgL_protosz00_3047;
						BgL_zc3z04anonymousza31322ze3z87_3048:
							if (PAIRP(BgL_l1248z00_3049))
								{	/* Module/eval.scm 57 */
									BGl_evalzd2parserzd2zzmodule_evalz00(CAR(BgL_l1248z00_3049),
										BgL_clausez00_3017);
									{
										obj_t BgL_l1248z00_3208;

										BgL_l1248z00_3208 = CDR(BgL_l1248z00_3049);
										BgL_l1248z00_3049 = BgL_l1248z00_3208;
										goto BgL_zc3z04anonymousza31322ze3z87_3048;
									}
								}
							else
								{	/* Module/eval.scm 57 */
									((bool_t) 1);
								}
						}
						return BNIL;
					}
				else
					{	/* Module/eval.scm 55 */
						{	/* Module/eval.scm 60 */
							obj_t BgL_list1327z00_3050;

							BgL_list1327z00_3050 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							return
								BGl_userzd2errorzd2zztools_errorz00
								(BGl_string2095z00zzmodule_evalz00,
								BGl_string2096z00zzmodule_evalz00, BgL_clausez00_3017,
								BgL_list1327z00_3050);
						}
					}
			}
		}

	}



/* eval-parser */
	obj_t BGl_evalzd2parserzd2zzmodule_evalz00(obj_t BgL_protoz00_76,
		obj_t BgL_clausez00_77)
	{
		{	/* Module/eval.scm 68 */
			{
				obj_t BgL_libsz00_1874;

				if (PAIRP(BgL_protoz00_76))
					{	/* Module/eval.scm 69 */
						if ((CAR(((obj_t) BgL_protoz00_76)) == ((obj_t) CNST_TABLE_REF(1))))
							{	/* Module/eval.scm 69 */
								if (NULLP(CDR(((obj_t) BgL_protoz00_76))))
									{	/* Module/eval.scm 69 */
										return (BGl_za2allzd2evalzf3za2z21zzmodule_evalz00 =
											BTRUE, BUNSPEC);
									}
								else
									{	/* Module/eval.scm 69 */
									BgL_tagzd2117zd2_1876:
										{	/* Module/eval.scm 95 */
											obj_t BgL_list1531z00_1960;

											BgL_list1531z00_1960 = MAKE_YOUNG_PAIR(BNIL, BNIL);
											return
												BGl_userzd2errorzd2zztools_errorz00
												(BGl_string2095z00zzmodule_evalz00,
												BGl_string2096z00zzmodule_evalz00, BgL_clausez00_77,
												BgL_list1531z00_1960);
										}
									}
							}
						else
							{	/* Module/eval.scm 69 */
								if (
									(CAR(
											((obj_t) BgL_protoz00_76)) ==
										((obj_t) CNST_TABLE_REF(2))))
									{	/* Module/eval.scm 69 */
										if (NULLP(CDR(((obj_t) BgL_protoz00_76))))
											{	/* Module/eval.scm 69 */
												return
													(BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00 =
													BTRUE, BUNSPEC);
											}
										else
											{	/* Module/eval.scm 69 */
												goto BgL_tagzd2117zd2_1876;
											}
									}
								else
									{	/* Module/eval.scm 69 */
										if (
											(CAR(
													((obj_t) BgL_protoz00_76)) ==
												((obj_t) CNST_TABLE_REF(3))))
											{	/* Module/eval.scm 69 */
												if (NULLP(CDR(((obj_t) BgL_protoz00_76))))
													{	/* Module/eval.scm 69 */
														return
															(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00
															= BTRUE, BUNSPEC);
													}
												else
													{	/* Module/eval.scm 69 */
														goto BgL_tagzd2117zd2_1876;
													}
											}
										else
											{	/* Module/eval.scm 69 */
												obj_t BgL_cdrzd2215zd2_1894;

												BgL_cdrzd2215zd2_1894 = CDR(((obj_t) BgL_protoz00_76));
												if (
													(CAR(
															((obj_t) BgL_protoz00_76)) ==
														((obj_t) CNST_TABLE_REF(4))))
													{	/* Module/eval.scm 69 */
														if (PAIRP(BgL_cdrzd2215zd2_1894))
															{	/* Module/eval.scm 69 */
																obj_t BgL_carzd2217zd2_1898;

																BgL_carzd2217zd2_1898 =
																	CAR(BgL_cdrzd2215zd2_1894);
																if (SYMBOLP(BgL_carzd2217zd2_1898))
																	{	/* Module/eval.scm 69 */
																		if (NULLP(CDR(BgL_cdrzd2215zd2_1894)))
																			{	/* Module/eval.scm 69 */
																				BGl_za2onezd2evalzf3za2z21zzmodule_evalz00
																					= ((bool_t) 1);
																				return
																					BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00
																					(BgL_carzd2217zd2_1898, BFALSE,
																					BgL_protoz00_76);
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1876;
																			}
																	}
																else
																	{	/* Module/eval.scm 69 */
																		obj_t BgL_carzd2247zd2_1904;

																		BgL_carzd2247zd2_1904 =
																			CAR(((obj_t) BgL_cdrzd2215zd2_1894));
																		if (PAIRP(BgL_carzd2247zd2_1904))
																			{	/* Module/eval.scm 69 */
																				obj_t BgL_cdrzd2252zd2_1906;

																				BgL_cdrzd2252zd2_1906 =
																					CDR(BgL_carzd2247zd2_1904);
																				if (
																					(CAR(BgL_carzd2247zd2_1904) ==
																						((obj_t) CNST_TABLE_REF(5))))
																					{	/* Module/eval.scm 69 */
																						if (PAIRP(BgL_cdrzd2252zd2_1906))
																							{	/* Module/eval.scm 69 */
																								obj_t BgL_carzd2255zd2_1910;
																								obj_t BgL_cdrzd2256zd2_1911;

																								BgL_carzd2255zd2_1910 =
																									CAR(BgL_cdrzd2252zd2_1906);
																								BgL_cdrzd2256zd2_1911 =
																									CDR(BgL_cdrzd2252zd2_1906);
																								if (SYMBOLP
																									(BgL_carzd2255zd2_1910))
																									{	/* Module/eval.scm 69 */
																										if (PAIRP
																											(BgL_cdrzd2256zd2_1911))
																											{	/* Module/eval.scm 69 */
																												obj_t
																													BgL_carzd2261zd2_1914;
																												BgL_carzd2261zd2_1914 =
																													CAR
																													(BgL_cdrzd2256zd2_1911);
																												if (SYMBOLP
																													(BgL_carzd2261zd2_1914))
																													{	/* Module/eval.scm 69 */
																														if (NULLP(CDR
																																(BgL_cdrzd2256zd2_1911)))
																															{	/* Module/eval.scm 69 */
																																if (NULLP(CDR(
																																			((obj_t)
																																				BgL_cdrzd2215zd2_1894))))
																																	{	/* Module/eval.scm 69 */
																																		BGl_za2onezd2evalzf3za2z21zzmodule_evalz00
																																			=
																																			((bool_t)
																																			1);
																																		return
																																			BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00
																																			(BgL_carzd2255zd2_1910,
																																			BgL_carzd2261zd2_1914,
																																			BgL_protoz00_76);
																																	}
																																else
																																	{	/* Module/eval.scm 69 */
																																		goto
																																			BgL_tagzd2117zd2_1876;
																																	}
																															}
																														else
																															{	/* Module/eval.scm 69 */
																																goto
																																	BgL_tagzd2117zd2_1876;
																															}
																													}
																												else
																													{	/* Module/eval.scm 69 */
																														goto
																															BgL_tagzd2117zd2_1876;
																													}
																											}
																										else
																											{	/* Module/eval.scm 69 */
																												goto
																													BgL_tagzd2117zd2_1876;
																											}
																									}
																								else
																									{	/* Module/eval.scm 69 */
																										goto BgL_tagzd2117zd2_1876;
																									}
																							}
																						else
																							{	/* Module/eval.scm 69 */
																								goto BgL_tagzd2117zd2_1876;
																							}
																					}
																				else
																					{	/* Module/eval.scm 69 */
																						goto BgL_tagzd2117zd2_1876;
																					}
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1876;
																			}
																	}
															}
														else
															{	/* Module/eval.scm 69 */
																goto BgL_tagzd2117zd2_1876;
															}
													}
												else
													{	/* Module/eval.scm 69 */
														if (
															(CAR(
																	((obj_t) BgL_protoz00_76)) ==
																((obj_t) CNST_TABLE_REF(6))))
															{	/* Module/eval.scm 69 */
																if (PAIRP(BgL_cdrzd2215zd2_1894))
																	{	/* Module/eval.scm 69 */
																		obj_t BgL_carzd2366zd2_1927;

																		BgL_carzd2366zd2_1927 =
																			CAR(BgL_cdrzd2215zd2_1894);
																		if (SYMBOLP(BgL_carzd2366zd2_1927))
																			{	/* Module/eval.scm 69 */
																				if (NULLP(CDR(BgL_cdrzd2215zd2_1894)))
																					{	/* Module/eval.scm 69 */
																						return
																							(BGl_za2evalzd2classesza2zd2zzmodule_evalz00
																							=
																							MAKE_YOUNG_PAIR(BgL_protoz00_76,
																								BGl_za2evalzd2classesza2zd2zzmodule_evalz00),
																							BUNSPEC);
																					}
																				else
																					{	/* Module/eval.scm 69 */
																						goto BgL_tagzd2117zd2_1876;
																					}
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1876;
																			}
																	}
																else
																	{	/* Module/eval.scm 69 */
																		goto BgL_tagzd2117zd2_1876;
																	}
															}
														else
															{	/* Module/eval.scm 69 */
																obj_t BgL_cdrzd2390zd2_1932;

																BgL_cdrzd2390zd2_1932 =
																	CDR(((obj_t) BgL_protoz00_76));
																if (
																	(CAR(
																			((obj_t) BgL_protoz00_76)) ==
																		((obj_t) CNST_TABLE_REF(7))))
																	{	/* Module/eval.scm 69 */
																		if (PAIRP(BgL_cdrzd2390zd2_1932))
																			{	/* Module/eval.scm 69 */
																				obj_t BgL_carzd2392zd2_1936;

																				BgL_carzd2392zd2_1936 =
																					CAR(BgL_cdrzd2390zd2_1932);
																				if (SYMBOLP(BgL_carzd2392zd2_1936))
																					{	/* Module/eval.scm 69 */
																						if (NULLP(CDR
																								(BgL_cdrzd2390zd2_1932)))
																							{	/* Module/eval.scm 69 */
																								return
																									((obj_t)
																									BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2
																									(BgL_carzd2392zd2_1936,
																										BFALSE,
																										((obj_t) CNST_TABLE_REF(0)),
																										((obj_t) CNST_TABLE_REF(0)),
																										BgL_clausez00_77, BFALSE));
																							}
																						else
																							{	/* Module/eval.scm 69 */
																								goto BgL_tagzd2117zd2_1876;
																							}
																					}
																				else
																					{	/* Module/eval.scm 69 */
																						goto BgL_tagzd2117zd2_1876;
																					}
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1876;
																			}
																	}
																else
																	{	/* Module/eval.scm 69 */
																		if (
																			(CAR(
																					((obj_t) BgL_protoz00_76)) ==
																				((obj_t) CNST_TABLE_REF(8))))
																			{	/* Module/eval.scm 69 */
																				bool_t BgL_tmpz00_3335;

																				BgL_libsz00_1874 =
																					BgL_cdrzd2390zd2_1932;
																				{
																					obj_t BgL_l1250z00_1952;

																					BgL_l1250z00_1952 = BgL_libsz00_1874;
																				BgL_zc3z04anonymousza31517ze3z87_1953:
																					if (PAIRP(BgL_l1250z00_1952))
																						{	/* Module/eval.scm 87 */
																							{	/* Module/eval.scm 88 */
																								obj_t BgL_libz00_1955;

																								BgL_libz00_1955 =
																									CAR(BgL_l1250z00_1952);
																								if (SYMBOLP(BgL_libz00_1955))
																									{	/* Module/eval.scm 88 */
																										BGl_za2evalzd2librariesza2zd2zzmodule_evalz00
																											=
																											MAKE_YOUNG_PAIR
																											(BgL_libz00_1955,
																											BGl_za2evalzd2librariesza2zd2zzmodule_evalz00);
																									}
																								else
																									{	/* Module/eval.scm 89 */
																										obj_t BgL_list1521z00_1957;

																										BgL_list1521z00_1957 =
																											MAKE_YOUNG_PAIR(BNIL,
																											BNIL);
																										BGl_userzd2errorzd2zztools_errorz00
																											(BGl_string2095z00zzmodule_evalz00,
																											BGl_string2096z00zzmodule_evalz00,
																											BgL_clausez00_77,
																											BgL_list1521z00_1957);
																									}
																							}
																							{
																								obj_t BgL_l1250z00_3344;

																								BgL_l1250z00_3344 =
																									CDR(BgL_l1250z00_1952);
																								BgL_l1250z00_1952 =
																									BgL_l1250z00_3344;
																								goto
																									BgL_zc3z04anonymousza31517ze3z87_1953;
																							}
																						}
																					else
																						{	/* Module/eval.scm 87 */
																							BgL_tmpz00_3335 = ((bool_t) 1);
																						}
																				}
																				return BBOOL(BgL_tmpz00_3335);
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1876;
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Module/eval.scm 69 */
						goto BgL_tagzd2117zd2_1876;
					}
			}
		}

	}



/* get-eval-libraries */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evalzd2librariesz00zzmodule_evalz00(void)
	{
		{	/* Module/eval.scm 105 */
			return BGl_za2evalzd2librariesza2zd2zzmodule_evalz00;
		}

	}



/* &get-eval-libraries */
	obj_t BGl_z62getzd2evalzd2librariesz62zzmodule_evalz00(obj_t BgL_envz00_3019)
	{
		{	/* Module/eval.scm 105 */
			return BGl_getzd2evalzd2librariesz00zzmodule_evalz00();
		}

	}



/* add-eval-library! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(obj_t
		BgL_libz00_78)
	{
		{	/* Module/eval.scm 111 */
			return (BGl_za2evalzd2librariesza2zd2zzmodule_evalz00 =
				MAKE_YOUNG_PAIR(BgL_libz00_78,
					BGl_za2evalzd2librariesza2zd2zzmodule_evalz00), BUNSPEC);
		}

	}



/* &add-eval-library! */
	obj_t BGl_z62addzd2evalzd2libraryz12z70zzmodule_evalz00(obj_t BgL_envz00_3020,
		obj_t BgL_libz00_3021)
	{
		{	/* Module/eval.scm 111 */
			return BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(BgL_libz00_3021);
		}

	}



/* remember-eval-exported! */
	obj_t BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00(obj_t
		BgL_varz00_79, obj_t BgL_modulez00_80, obj_t BgL_locz00_81)
	{
		{	/* Module/eval.scm 127 */
			{	/* Module/eval.scm 128 */
				obj_t BgL_arg1532z00_1961;

				{	/* Module/eval.scm 128 */
					obj_t BgL_list1533z00_1962;

					{	/* Module/eval.scm 128 */
						obj_t BgL_arg1535z00_1963;

						{	/* Module/eval.scm 128 */
							obj_t BgL_arg1543z00_1964;

							BgL_arg1543z00_1964 = MAKE_YOUNG_PAIR(BgL_locz00_81, BNIL);
							BgL_arg1535z00_1963 =
								MAKE_YOUNG_PAIR(BgL_modulez00_80, BgL_arg1543z00_1964);
						}
						BgL_list1533z00_1962 =
							MAKE_YOUNG_PAIR(BgL_varz00_79, BgL_arg1535z00_1963);
					}
					BgL_arg1532z00_1961 = BgL_list1533z00_1962;
				}
				return (BGl_za2evalzd2exportedza2zd2zzmodule_evalz00 =
					MAKE_YOUNG_PAIR(BgL_arg1532z00_1961,
						BGl_za2evalzd2exportedza2zd2zzmodule_evalz00), BUNSPEC);
			}
		}

	}



/* &eval-finalizer */
	obj_t BGl_z62evalzd2finaliza7erz17zzmodule_evalz00(obj_t BgL_envz00_3018)
	{
		{	/* Module/eval.scm 146 */
			{	/* Module/eval.scm 159 */
				bool_t BgL_test2166z00_3354;

				if (BGl_za2onezd2evalzf3za2z21zzmodule_evalz00)
					{	/* Module/eval.scm 159 */
						BgL_test2166z00_3354 = ((bool_t) 1);
					}
				else
					{	/* Module/eval.scm 159 */
						if (CBOOL(BGl_za2allzd2evalzf3za2z21zzmodule_evalz00))
							{	/* Module/eval.scm 159 */
								BgL_test2166z00_3354 = ((bool_t) 1);
							}
						else
							{	/* Module/eval.scm 159 */
								if (CBOOL(BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00))
									{	/* Module/eval.scm 159 */
										BgL_test2166z00_3354 = ((bool_t) 1);
									}
								else
									{	/* Module/eval.scm 159 */
										if (CBOOL
											(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00))
											{	/* Module/eval.scm 159 */
												BgL_test2166z00_3354 = ((bool_t) 1);
											}
										else
											{	/* Module/eval.scm 159 */
												if (NULLP
													(BGl_za2evalzd2librariesza2zd2zzmodule_evalz00))
													{	/* Module/eval.scm 163 */
														BgL_test2166z00_3354 =
															PAIRP
															(BGl_za2evalzd2classesza2zd2zzmodule_evalz00);
													}
												else
													{	/* Module/eval.scm 163 */
														BgL_test2166z00_3354 = ((bool_t) 1);
													}
											}
									}
							}
					}
				if (BgL_test2166z00_3354)
					{	/* Module/eval.scm 167 */
						obj_t BgL_arg1553z00_3052;

						{	/* Module/eval.scm 167 */
							long BgL_arg1558z00_3053;
							obj_t BgL_arg1560z00_3054;

							{	/* Module/eval.scm 167 */
								obj_t BgL_arg1574z00_3055;

								BgL_arg1574z00_3055 =
									BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00();
								BgL_arg1558z00_3053 = ((long) CINT(BgL_arg1574z00_3055) - 2L);
							}
							BgL_arg1560z00_3054 =
								BGl_makezd2promisezd2zz__r4_control_features_6_9z00
								(BGl_proc2097z00zzmodule_evalz00);
							{	/* Module/eval.scm 166 */
								obj_t BgL_idz00_3056;

								BgL_idz00_3056 = ((obj_t) CNST_TABLE_REF(0));
								{	/* Module/eval.scm 166 */
									obj_t BgL_newz00_3057;

									BgL_newz00_3057 =
										create_struct(((obj_t) CNST_TABLE_REF(9)), (int) (5L));
									{	/* Module/eval.scm 166 */
										int BgL_tmpz00_3375;

										BgL_tmpz00_3375 = (int) (4L);
										STRUCT_SET(BgL_newz00_3057, BgL_tmpz00_3375, BFALSE);
									}
									{	/* Module/eval.scm 166 */
										int BgL_tmpz00_3378;

										BgL_tmpz00_3378 = (int) (3L);
										STRUCT_SET(BgL_newz00_3057, BgL_tmpz00_3378, BFALSE);
									}
									{	/* Module/eval.scm 166 */
										int BgL_tmpz00_3381;

										BgL_tmpz00_3381 = (int) (2L);
										STRUCT_SET(BgL_newz00_3057, BgL_tmpz00_3381,
											BgL_arg1560z00_3054);
									}
									{	/* Module/eval.scm 166 */
										obj_t BgL_auxz00_3386;
										int BgL_tmpz00_3384;

										BgL_auxz00_3386 = BINT(BgL_arg1558z00_3053);
										BgL_tmpz00_3384 = (int) (1L);
										STRUCT_SET(BgL_newz00_3057, BgL_tmpz00_3384,
											BgL_auxz00_3386);
									}
									{	/* Module/eval.scm 166 */
										int BgL_tmpz00_3389;

										BgL_tmpz00_3389 = (int) (0L);
										STRUCT_SET(BgL_newz00_3057, BgL_tmpz00_3389,
											BgL_idz00_3056);
									}
									BgL_arg1553z00_3052 = BgL_newz00_3057;
						}}}
						{	/* Module/eval.scm 165 */
							obj_t BgL_list1554z00_3058;

							BgL_list1554z00_3058 = MAKE_YOUNG_PAIR(BgL_arg1553z00_3052, BNIL);
							return BgL_list1554z00_3058;
						}
					}
				else
					{	/* Module/eval.scm 159 */
						return ((obj_t) CNST_TABLE_REF(10));
					}
			}
		}

	}



/* &<@anonymous:1578> */
	obj_t BGl_z62zc3z04anonymousza31578ze3ze5zzmodule_evalz00(obj_t
		BgL_envz00_3023)
	{
		{	/* Module/eval.scm 168 */
			{
				obj_t BgL_gz00_3060;

				{	/* Module/eval.scm 169 */
					obj_t BgL_g1110z00_3097;
					obj_t BgL_g1111z00_3098;

					{	/* Module/eval.scm 171 */
						obj_t BgL_arg1649z00_3099;
						obj_t BgL_arg1650z00_3100;

						{	/* Module/eval.scm 171 */
							obj_t BgL_arg1653z00_3101;

							if (CBOOL(BGl_za2allzd2evalzf3za2z21zzmodule_evalz00))
								{	/* Module/eval.scm 171 */
									BgL_arg1653z00_3101 = ((obj_t) CNST_TABLE_REF(12));
								}
							else
								{	/* Module/eval.scm 171 */
									if (CBOOL
										(BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00))
										{	/* Module/eval.scm 172 */
											BgL_arg1653z00_3101 = ((obj_t) CNST_TABLE_REF(4));
										}
									else
										{	/* Module/eval.scm 172 */
											BgL_arg1653z00_3101 = ((obj_t) CNST_TABLE_REF(13));
										}
								}
							BgL_arg1649z00_3099 =
								BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00
								(BgL_arg1653z00_3101);
						}
						BgL_arg1650z00_3100 =
							BGl_getzd2evaluatedzd2classzd2holderszd2zzmodule_evalz00();
						BgL_g1110z00_3097 =
							BGl_appendzd221011zd2zzmodule_evalz00(BgL_arg1649z00_3099,
							BgL_arg1650z00_3100);
					}
					BgL_g1111z00_3098 = ((obj_t) CNST_TABLE_REF(14));
					{
						obj_t BgL_globalsz00_3103;
						obj_t BgL_initza2za2_3104;

						BgL_globalsz00_3103 = BgL_g1110z00_3097;
						BgL_initza2za2_3104 = BgL_g1111z00_3098;
					BgL_loopz00_3102:
						if (NULLP(BgL_globalsz00_3103))
							{	/* Module/eval.scm 179 */
								obj_t BgL_arg1581z00_3105;

								{	/* Module/eval.scm 179 */
									obj_t BgL_arg1587z00_3106;
									obj_t BgL_arg1588z00_3107;

									{	/* Module/eval.scm 179 */
										obj_t BgL_l1252z00_3108;

										BgL_l1252z00_3108 =
											BGl_za2evalzd2librariesza2zd2zzmodule_evalz00;
										if (NULLP(BgL_l1252z00_3108))
											{	/* Module/eval.scm 179 */
												BgL_arg1587z00_3106 = BNIL;
											}
										else
											{	/* Module/eval.scm 179 */
												obj_t BgL_head1254z00_3109;

												BgL_head1254z00_3109 =
													MAKE_YOUNG_PAIR(BGl_library_ez00zzmodule_evalz00(CAR
														(BgL_l1252z00_3108)), BNIL);
												{	/* Module/eval.scm 179 */
													obj_t BgL_g1257z00_3110;

													BgL_g1257z00_3110 = CDR(BgL_l1252z00_3108);
													{
														obj_t BgL_l1252z00_3112;
														obj_t BgL_tail1255z00_3113;

														BgL_l1252z00_3112 = BgL_g1257z00_3110;
														BgL_tail1255z00_3113 = BgL_head1254z00_3109;
													BgL_zc3z04anonymousza31590ze3z87_3111:
														if (NULLP(BgL_l1252z00_3112))
															{	/* Module/eval.scm 179 */
																BgL_arg1587z00_3106 = BgL_head1254z00_3109;
															}
														else
															{	/* Module/eval.scm 179 */
																obj_t BgL_newtail1256z00_3114;

																{	/* Module/eval.scm 179 */
																	obj_t BgL_arg1593z00_3115;

																	{	/* Module/eval.scm 179 */
																		obj_t BgL_arg1597z00_3116;

																		BgL_arg1597z00_3116 =
																			CAR(((obj_t) BgL_l1252z00_3112));
																		BgL_arg1593z00_3115 =
																			BGl_library_ez00zzmodule_evalz00
																			(BgL_arg1597z00_3116);
																	}
																	BgL_newtail1256z00_3114 =
																		MAKE_YOUNG_PAIR(BgL_arg1593z00_3115, BNIL);
																}
																SET_CDR(BgL_tail1255z00_3113,
																	BgL_newtail1256z00_3114);
																{	/* Module/eval.scm 179 */
																	obj_t BgL_arg1592z00_3117;

																	BgL_arg1592z00_3117 =
																		CDR(((obj_t) BgL_l1252z00_3112));
																	{
																		obj_t BgL_tail1255z00_3428;
																		obj_t BgL_l1252z00_3427;

																		BgL_l1252z00_3427 = BgL_arg1592z00_3117;
																		BgL_tail1255z00_3428 =
																			BgL_newtail1256z00_3114;
																		BgL_tail1255z00_3113 = BgL_tail1255z00_3428;
																		BgL_l1252z00_3112 = BgL_l1252z00_3427;
																		goto BgL_zc3z04anonymousza31590ze3z87_3111;
																	}
																}
															}
													}
												}
											}
									}
									{	/* Module/eval.scm 181 */
										obj_t BgL_arg1612z00_3118;
										obj_t BgL_arg1625z00_3119;

										BgL_arg1612z00_3118 =
											BGl_getzd2evalzd2srfizd2librarieszd2zzmodule_evalz00();
										{	/* Module/eval.scm 183 */
											obj_t BgL_arg1626z00_3120;
											obj_t BgL_arg1631z00_3121;

											BgL_arg1626z00_3120 =
												BGl_getzd2evaluatedzd2classzd2macroszd2zzmodule_evalz00
												();
											{	/* Module/eval.scm 185 */
												obj_t BgL_arg1632z00_3122;
												obj_t BgL_arg1633z00_3123;

												BgL_arg1632z00_3122 =
													bgl_reverse_bang(BgL_initza2za2_3104);
												{	/* Module/eval.scm 187 */
													obj_t BgL_arg1635z00_3124;
													obj_t BgL_arg1638z00_3125;

													BgL_arg1635z00_3124 =
														BGl_evmodulezd2compzd2zzmodule_evalz00();
													BgL_arg1638z00_3125 = MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
													BgL_arg1633z00_3123 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1635z00_3124, BgL_arg1638z00_3125);
												}
												BgL_arg1631z00_3121 =
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg1632z00_3122, BgL_arg1633z00_3123);
											}
											BgL_arg1625z00_3119 =
												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
												(BgL_arg1626z00_3120, BgL_arg1631z00_3121);
										}
										BgL_arg1588z00_3107 =
											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg1612z00_3118, BgL_arg1625z00_3119);
									}
									BgL_arg1581z00_3105 =
										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg1587z00_3106, BgL_arg1588z00_3107);
								}
								return
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(15)), BgL_arg1581z00_3105);
							}
						else
							{	/* Module/eval.scm 189 */
								obj_t BgL_gz00_3126;

								BgL_gz00_3126 = CAR(((obj_t) BgL_globalsz00_3103));
								BGl_setzd2evalzd2typesz12z12zzmodule_evalz00(BgL_gz00_3126);
								{	/* Module/eval.scm 191 */
									obj_t BgL_arg1642z00_3127;
									obj_t BgL_arg1643z00_3128;

									BgL_arg1642z00_3127 = CDR(((obj_t) BgL_globalsz00_3103));
									if (
										(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_gz00_3126)))->
											BgL_evalzf3zf3))
										{	/* Module/eval.scm 192 */
											BgL_arg1643z00_3128 = BgL_initza2za2_3104;
										}
									else
										{	/* Module/eval.scm 194 */
											BgL_nodez00_bglt BgL_arg1648z00_3129;

											BgL_gz00_3060 = BgL_gz00_3126;
											((((BgL_globalz00_bglt) COBJECT(
															((BgL_globalz00_bglt) BgL_gz00_3060)))->
													BgL_evalzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
											{	/* Module/eval.scm 151 */
												bool_t BgL_test2178z00_3452;

												{	/* Module/eval.scm 151 */
													BgL_valuez00_bglt BgL_arg1675z00_3061;

													BgL_arg1675z00_3061 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_gz00_3060))))->
														BgL_valuez00);
													{	/* Module/eval.scm 151 */
														obj_t BgL_classz00_3062;

														BgL_classz00_3062 = BGl_svarz00zzast_varz00;
														{	/* Module/eval.scm 151 */
															BgL_objectz00_bglt BgL_arg1858z00_3063;

															{	/* Module/eval.scm 151 */
																obj_t BgL_tmpz00_3456;

																BgL_tmpz00_3456 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg1675z00_3061));
																BgL_arg1858z00_3063 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_3456);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Module/eval.scm 151 */
																	long BgL_idxz00_3064;

																	BgL_idxz00_3064 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_3063);
																	BgL_test2178z00_3452 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3064 + 2L)) ==
																		BgL_classz00_3062);
																}
															else
																{	/* Module/eval.scm 151 */
																	bool_t BgL_res2081z00_3067;

																	{	/* Module/eval.scm 151 */
																		obj_t BgL_oclassz00_3068;

																		{	/* Module/eval.scm 151 */
																			obj_t BgL_arg1866z00_3069;
																			long BgL_arg1867z00_3070;

																			BgL_arg1866z00_3069 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Module/eval.scm 151 */
																				long BgL_arg1869z00_3071;

																				BgL_arg1869z00_3071 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_3063);
																				BgL_arg1867z00_3070 =
																					(BgL_arg1869z00_3071 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3068 =
																				VECTOR_REF(BgL_arg1866z00_3069,
																				BgL_arg1867z00_3070);
																		}
																		{	/* Module/eval.scm 151 */
																			bool_t BgL__ortest_1115z00_3072;

																			BgL__ortest_1115z00_3072 =
																				(BgL_classz00_3062 ==
																				BgL_oclassz00_3068);
																			if (BgL__ortest_1115z00_3072)
																				{	/* Module/eval.scm 151 */
																					BgL_res2081z00_3067 =
																						BgL__ortest_1115z00_3072;
																				}
																			else
																				{	/* Module/eval.scm 151 */
																					long BgL_odepthz00_3073;

																					{	/* Module/eval.scm 151 */
																						obj_t BgL_arg1855z00_3074;

																						BgL_arg1855z00_3074 =
																							(BgL_oclassz00_3068);
																						BgL_odepthz00_3073 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_3074);
																					}
																					if ((2L < BgL_odepthz00_3073))
																						{	/* Module/eval.scm 151 */
																							obj_t BgL_arg1853z00_3075;

																							{	/* Module/eval.scm 151 */
																								obj_t BgL_arg1854z00_3076;

																								BgL_arg1854z00_3076 =
																									(BgL_oclassz00_3068);
																								BgL_arg1853z00_3075 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_3076, 2L);
																							}
																							BgL_res2081z00_3067 =
																								(BgL_arg1853z00_3075 ==
																								BgL_classz00_3062);
																						}
																					else
																						{	/* Module/eval.scm 151 */
																							BgL_res2081z00_3067 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2178z00_3452 = BgL_res2081z00_3067;
																}
														}
													}
												}
												if (BgL_test2178z00_3452)
													{	/* Module/eval.scm 151 */
														{	/* Module/eval.scm 152 */
															obj_t BgL_vz00_3077;

															BgL_vz00_3077 = ((obj_t) CNST_TABLE_REF(11));
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt) BgL_gz00_3060)))->
																	BgL_accessz00) =
																((obj_t) BgL_vz00_3077), BUNSPEC);
														}
														{	/* Module/eval.scm 153 */
															BgL_nodez00_bglt BgL_arg1660z00_3078;
															obj_t BgL_arg1663z00_3079;

															BgL_arg1660z00_3078 =
																BGl_locationzd2ze3nodez31zzast_sexpz00(
																((BgL_globalz00_bglt) BgL_gz00_3060));
															BgL_arg1663z00_3079 =
																(((BgL_globalz00_bglt) COBJECT(
																		((BgL_globalz00_bglt) BgL_gz00_3060)))->
																BgL_srcz00);
															BgL_arg1648z00_3129 =
																BGl_definezd2primopzd2refzf2srczd2ze3nodezc3zzast_sexpz00
																(((BgL_globalz00_bglt) BgL_gz00_3060),
																BgL_arg1660z00_3078, BgL_arg1663z00_3079);
														}
													}
												else
													{	/* Module/eval.scm 154 */
														bool_t BgL_test2182z00_3489;

														{	/* Module/eval.scm 154 */
															BgL_valuez00_bglt BgL_arg1674z00_3080;

															BgL_arg1674z00_3080 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt) BgL_gz00_3060))))->
																BgL_valuez00);
															{	/* Module/eval.scm 154 */
																obj_t BgL_classz00_3081;

																BgL_classz00_3081 = BGl_scnstz00zzast_varz00;
																{	/* Module/eval.scm 154 */
																	BgL_objectz00_bglt BgL_arg1858z00_3082;

																	{	/* Module/eval.scm 154 */
																		obj_t BgL_tmpz00_3493;

																		BgL_tmpz00_3493 =
																			((obj_t)
																			((BgL_objectz00_bglt)
																				BgL_arg1674z00_3080));
																		BgL_arg1858z00_3082 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_3493);
																	}
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Module/eval.scm 154 */
																			long BgL_idxz00_3083;

																			BgL_idxz00_3083 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_3082);
																			BgL_test2182z00_3489 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3083 + 2L)) ==
																				BgL_classz00_3081);
																		}
																	else
																		{	/* Module/eval.scm 154 */
																			bool_t BgL_res2082z00_3086;

																			{	/* Module/eval.scm 154 */
																				obj_t BgL_oclassz00_3087;

																				{	/* Module/eval.scm 154 */
																					obj_t BgL_arg1866z00_3088;
																					long BgL_arg1867z00_3089;

																					BgL_arg1866z00_3088 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Module/eval.scm 154 */
																						long BgL_arg1869z00_3090;

																						BgL_arg1869z00_3090 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_3082);
																						BgL_arg1867z00_3089 =
																							(BgL_arg1869z00_3090 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3087 =
																						VECTOR_REF(BgL_arg1866z00_3088,
																						BgL_arg1867z00_3089);
																				}
																				{	/* Module/eval.scm 154 */
																					bool_t BgL__ortest_1115z00_3091;

																					BgL__ortest_1115z00_3091 =
																						(BgL_classz00_3081 ==
																						BgL_oclassz00_3087);
																					if (BgL__ortest_1115z00_3091)
																						{	/* Module/eval.scm 154 */
																							BgL_res2082z00_3086 =
																								BgL__ortest_1115z00_3091;
																						}
																					else
																						{	/* Module/eval.scm 154 */
																							long BgL_odepthz00_3092;

																							{	/* Module/eval.scm 154 */
																								obj_t BgL_arg1855z00_3093;

																								BgL_arg1855z00_3093 =
																									(BgL_oclassz00_3087);
																								BgL_odepthz00_3092 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_3093);
																							}
																							if ((2L < BgL_odepthz00_3092))
																								{	/* Module/eval.scm 154 */
																									obj_t BgL_arg1853z00_3094;

																									{	/* Module/eval.scm 154 */
																										obj_t BgL_arg1854z00_3095;

																										BgL_arg1854z00_3095 =
																											(BgL_oclassz00_3087);
																										BgL_arg1853z00_3094 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_3095, 2L);
																									}
																									BgL_res2082z00_3086 =
																										(BgL_arg1853z00_3094 ==
																										BgL_classz00_3081);
																								}
																							else
																								{	/* Module/eval.scm 154 */
																									BgL_res2082z00_3086 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2182z00_3489 =
																				BgL_res2082z00_3086;
																		}
																}
															}
														}
														if (BgL_test2182z00_3489)
															{	/* Module/eval.scm 155 */
																BgL_nodez00_bglt BgL_arg1673z00_3096;

																BgL_arg1673z00_3096 =
																	BGl_locationzd2ze3nodez31zzast_sexpz00(
																	((BgL_globalz00_bglt) BgL_gz00_3060));
																BgL_arg1648z00_3129 =
																	BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
																	(((BgL_globalz00_bglt) BgL_gz00_3060),
																	BgL_arg1673z00_3096);
															}
														else
															{	/* Module/eval.scm 154 */
																BgL_arg1648z00_3129 =
																	BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(
																	((BgL_globalz00_bglt) BgL_gz00_3060));
															}
													}
											}
											BgL_arg1643z00_3128 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg1648z00_3129), BgL_initza2za2_3104);
										}
									{
										obj_t BgL_initza2za2_3525;
										obj_t BgL_globalsz00_3524;

										BgL_globalsz00_3524 = BgL_arg1642z00_3127;
										BgL_initza2za2_3525 = BgL_arg1643z00_3128;
										BgL_initza2za2_3104 = BgL_initza2za2_3525;
										BgL_globalsz00_3103 = BgL_globalsz00_3524;
										goto BgL_loopz00_3102;
									}
								}
							}
					}
				}
			}
		}

	}



/* evmodule-comp */
	obj_t BGl_evmodulezd2compzd2zzmodule_evalz00(void)
	{
		{	/* Module/eval.scm 202 */
			if (CBOOL(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00))
				{	/* Module/eval.scm 219 */
					BgL_nodez00_bglt BgL_arg1677z00_2033;

					{	/* Module/eval.scm 219 */
						obj_t BgL_arg1679z00_2035;

						{	/* Module/eval.scm 219 */
							obj_t BgL_arg1680z00_2036;
							obj_t BgL_arg1686z00_2037;

							{	/* Module/eval.scm 219 */
								obj_t BgL_arg1691z00_2038;

								{	/* Module/eval.scm 219 */
									obj_t BgL_arg1692z00_2039;

									BgL_arg1692z00_2039 =
										MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(16)), BNIL);
									BgL_arg1691z00_2038 =
										MAKE_YOUNG_PAIR(
										((obj_t) CNST_TABLE_REF(17)), BgL_arg1692z00_2039);
								}
								BgL_arg1680z00_2036 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(5)), BgL_arg1691z00_2038);
							}
							{	/* Module/eval.scm 220 */
								obj_t BgL_arg1693z00_2040;
								obj_t BgL_arg1695z00_2041;

								{	/* Module/eval.scm 220 */
									obj_t BgL_arg1696z00_2042;

									BgL_arg1696z00_2042 =
										MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00,
										BNIL);
									BgL_arg1693z00_2040 =
										MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(18)),
										BgL_arg1696z00_2042);
								}
								{	/* Module/eval.scm 220 */
									obj_t BgL_arg1699z00_2043;
									obj_t BgL_arg1703z00_2044;

									{	/* Module/eval.scm 220 */
										obj_t BgL_arg1715z00_2045;

										BgL_arg1715z00_2045 =
											MAKE_YOUNG_PAIR(BGl_za2srczd2filesza2zd2zzengine_paramz00,
											BNIL);
										BgL_arg1699z00_2043 =
											MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(18)),
											BgL_arg1715z00_2045);
									}
									{	/* Module/eval.scm 220 */
										obj_t BgL_arg1716z00_2046;
										obj_t BgL_arg1717z00_2047;

										{	/* Module/eval.scm 220 */
											obj_t BgL_arg1720z00_2048;

											BgL_arg1720z00_2048 =
												MAKE_YOUNG_PAIR
												(BGl_za2modulezd2locationza2zd2zzmodule_modulez00,
												BNIL);
											BgL_arg1716z00_2046 =
												MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(18)),
												BgL_arg1720z00_2048);
										}
										{	/* Module/eval.scm 221 */
											obj_t BgL_l1258z00_2049;

											BgL_l1258z00_2049 =
												BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00(
												((obj_t) CNST_TABLE_REF(19)));
											if (NULLP(BgL_l1258z00_2049))
												{	/* Module/eval.scm 221 */
													BgL_arg1717z00_2047 = BNIL;
												}
											else
												{	/* Module/eval.scm 221 */
													obj_t BgL_head1260z00_2051;

													{	/* Module/eval.scm 221 */
														obj_t BgL_arg1746z00_2063;

														{	/* Module/eval.scm 221 */
															obj_t BgL_arg1748z00_2064;

															BgL_arg1748z00_2064 =
																CAR(((obj_t) BgL_l1258z00_2049));
															BgL_arg1746z00_2063 =
																BGl_exportzd2globalze70z35zzmodule_evalz00
																(BgL_arg1748z00_2064);
														}
														BgL_head1260z00_2051 =
															MAKE_YOUNG_PAIR(BgL_arg1746z00_2063, BNIL);
													}
													{	/* Module/eval.scm 221 */
														obj_t BgL_g1263z00_2052;

														BgL_g1263z00_2052 =
															CDR(((obj_t) BgL_l1258z00_2049));
														{
															obj_t BgL_l1258z00_2054;
															obj_t BgL_tail1261z00_2055;

															BgL_l1258z00_2054 = BgL_g1263z00_2052;
															BgL_tail1261z00_2055 = BgL_head1260z00_2051;
														BgL_zc3z04anonymousza31722ze3z87_2056:
															if (NULLP(BgL_l1258z00_2054))
																{	/* Module/eval.scm 221 */
																	BgL_arg1717z00_2047 = BgL_head1260z00_2051;
																}
															else
																{	/* Module/eval.scm 221 */
																	obj_t BgL_newtail1262z00_2058;

																	{	/* Module/eval.scm 221 */
																		obj_t BgL_arg1729z00_2060;

																		{	/* Module/eval.scm 221 */
																			obj_t BgL_arg1730z00_2061;

																			BgL_arg1730z00_2061 =
																				CAR(((obj_t) BgL_l1258z00_2054));
																			BgL_arg1729z00_2060 =
																				BGl_exportzd2globalze70z35zzmodule_evalz00
																				(BgL_arg1730z00_2061);
																		}
																		BgL_newtail1262z00_2058 =
																			MAKE_YOUNG_PAIR(BgL_arg1729z00_2060,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1261z00_2055,
																		BgL_newtail1262z00_2058);
																	{	/* Module/eval.scm 221 */
																		obj_t BgL_arg1724z00_2059;

																		BgL_arg1724z00_2059 =
																			CDR(((obj_t) BgL_l1258z00_2054));
																		{
																			obj_t BgL_tail1261z00_3570;
																			obj_t BgL_l1258z00_3569;

																			BgL_l1258z00_3569 = BgL_arg1724z00_2059;
																			BgL_tail1261z00_3570 =
																				BgL_newtail1262z00_2058;
																			BgL_tail1261z00_2055 =
																				BgL_tail1261z00_3570;
																			BgL_l1258z00_2054 = BgL_l1258z00_3569;
																			goto
																				BgL_zc3z04anonymousza31722ze3z87_2056;
																		}
																	}
																}
														}
													}
												}
										}
										BgL_arg1703z00_2044 =
											MAKE_YOUNG_PAIR(BgL_arg1716z00_2046, BgL_arg1717z00_2047);
									}
									BgL_arg1695z00_2041 =
										MAKE_YOUNG_PAIR(BgL_arg1699z00_2043, BgL_arg1703z00_2044);
								}
								BgL_arg1686z00_2037 =
									MAKE_YOUNG_PAIR(BgL_arg1693z00_2040, BgL_arg1695z00_2041);
							}
							BgL_arg1679z00_2035 =
								MAKE_YOUNG_PAIR(BgL_arg1680z00_2036, BgL_arg1686z00_2037);
						}
						BgL_arg1677z00_2033 =
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1679z00_2035, BNIL,
							BFALSE, ((obj_t) CNST_TABLE_REF(20)));
					}
					{	/* Module/eval.scm 217 */
						obj_t BgL_list1678z00_2034;

						BgL_list1678z00_2034 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg1677z00_2033), BNIL);
						return BgL_list1678z00_2034;
					}
				}
			else
				{	/* Module/eval.scm 216 */
					return BNIL;
				}
		}

	}



/* export-global~0 */
	obj_t BGl_exportzd2globalze70z35zzmodule_evalz00(obj_t BgL_gz00_2065)
	{
		{	/* Module/eval.scm 205 */
			((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_gz00_2065)))->BgL_evalzf3zf3) =
				((bool_t) ((bool_t) 1)), BUNSPEC);
			{	/* Module/eval.scm 206 */
				obj_t BgL_idz00_2067;

				BgL_idz00_2067 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_gz00_2065))))->BgL_idz00);
				{	/* Module/eval.scm 208 */
					bool_t BgL_test2189z00_3585;

					{	/* Module/eval.scm 208 */
						BgL_valuez00_bglt BgL_arg1829z00_2098;

						BgL_arg1829z00_2098 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_gz00_2065))))->BgL_valuez00);
						{	/* Module/eval.scm 208 */
							obj_t BgL_classz00_2641;

							BgL_classz00_2641 = BGl_svarz00zzast_varz00;
							{	/* Module/eval.scm 208 */
								BgL_objectz00_bglt BgL_arg1858z00_2643;

								{	/* Module/eval.scm 208 */
									obj_t BgL_tmpz00_3589;

									BgL_tmpz00_3589 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1829z00_2098));
									BgL_arg1858z00_2643 = (BgL_objectz00_bglt) (BgL_tmpz00_3589);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Module/eval.scm 208 */
										long BgL_idxz00_2649;

										BgL_idxz00_2649 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2643);
										BgL_test2189z00_3585 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2649 + 2L)) == BgL_classz00_2641);
									}
								else
									{	/* Module/eval.scm 208 */
										bool_t BgL_res2084z00_2674;

										{	/* Module/eval.scm 208 */
											obj_t BgL_oclassz00_2657;

											{	/* Module/eval.scm 208 */
												obj_t BgL_arg1866z00_2665;
												long BgL_arg1867z00_2666;

												BgL_arg1866z00_2665 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Module/eval.scm 208 */
													long BgL_arg1869z00_2667;

													BgL_arg1869z00_2667 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2643);
													BgL_arg1867z00_2666 =
														(BgL_arg1869z00_2667 - OBJECT_TYPE);
												}
												BgL_oclassz00_2657 =
													VECTOR_REF(BgL_arg1866z00_2665, BgL_arg1867z00_2666);
											}
											{	/* Module/eval.scm 208 */
												bool_t BgL__ortest_1115z00_2658;

												BgL__ortest_1115z00_2658 =
													(BgL_classz00_2641 == BgL_oclassz00_2657);
												if (BgL__ortest_1115z00_2658)
													{	/* Module/eval.scm 208 */
														BgL_res2084z00_2674 = BgL__ortest_1115z00_2658;
													}
												else
													{	/* Module/eval.scm 208 */
														long BgL_odepthz00_2659;

														{	/* Module/eval.scm 208 */
															obj_t BgL_arg1855z00_2660;

															BgL_arg1855z00_2660 = (BgL_oclassz00_2657);
															BgL_odepthz00_2659 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2660);
														}
														if ((2L < BgL_odepthz00_2659))
															{	/* Module/eval.scm 208 */
																obj_t BgL_arg1853z00_2662;

																{	/* Module/eval.scm 208 */
																	obj_t BgL_arg1854z00_2663;

																	BgL_arg1854z00_2663 = (BgL_oclassz00_2657);
																	BgL_arg1853z00_2662 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2663,
																		2L);
																}
																BgL_res2084z00_2674 =
																	(BgL_arg1853z00_2662 == BgL_classz00_2641);
															}
														else
															{	/* Module/eval.scm 208 */
																BgL_res2084z00_2674 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2189z00_3585 = BgL_res2084z00_2674;
									}
							}
						}
					}
					if (BgL_test2189z00_3585)
						{	/* Module/eval.scm 208 */
							{	/* Module/eval.scm 209 */
								obj_t BgL_vz00_2676;

								BgL_vz00_2676 = ((obj_t) CNST_TABLE_REF(11));
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_gz00_2065)))->
										BgL_accessz00) = ((obj_t) BgL_vz00_2676), BUNSPEC);
							}
							{	/* Module/eval.scm 210 */
								obj_t BgL_arg1757z00_2070;

								{	/* Module/eval.scm 210 */
									obj_t BgL_arg1763z00_2071;

									{	/* Module/eval.scm 210 */
										obj_t BgL_arg1765z00_2072;
										obj_t BgL_arg1768z00_2073;

										{	/* Module/eval.scm 210 */
											obj_t BgL_arg1770z00_2074;

											BgL_arg1770z00_2074 =
												MAKE_YOUNG_PAIR(BgL_idz00_2067, BNIL);
											BgL_arg1765z00_2072 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(18)), BgL_arg1770z00_2074);
										}
										{	/* Module/eval.scm 210 */
											obj_t BgL_arg1772z00_2075;
											obj_t BgL_arg1776z00_2076;

											{	/* Module/eval.scm 210 */
												obj_t BgL_arg1782z00_2077;

												BgL_arg1782z00_2077 =
													MAKE_YOUNG_PAIR(BgL_idz00_2067, BNIL);
												BgL_arg1772z00_2075 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(21)), BgL_arg1782z00_2077);
											}
											{	/* Module/eval.scm 210 */
												obj_t BgL_arg1783z00_2078;

												BgL_arg1783z00_2078 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
												BgL_arg1776z00_2076 =
													MAKE_YOUNG_PAIR(BFALSE, BgL_arg1783z00_2078);
											}
											BgL_arg1768z00_2073 =
												MAKE_YOUNG_PAIR(BgL_arg1772z00_2075,
												BgL_arg1776z00_2076);
										}
										BgL_arg1763z00_2071 =
											MAKE_YOUNG_PAIR(BgL_arg1765z00_2072, BgL_arg1768z00_2073);
									}
									BgL_arg1757z00_2070 =
										MAKE_YOUNG_PAIR(BINT(1L), BgL_arg1763z00_2071);
								}
								return
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(22)), BgL_arg1757z00_2070);
							}
						}
					else
						{	/* Module/eval.scm 211 */
							bool_t BgL_test2193z00_3633;

							{	/* Module/eval.scm 211 */
								BgL_valuez00_bglt BgL_arg1825z00_2097;

								BgL_arg1825z00_2097 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_2065))))->BgL_valuez00);
								{	/* Module/eval.scm 211 */
									obj_t BgL_classz00_2678;

									BgL_classz00_2678 = BGl_scnstz00zzast_varz00;
									{	/* Module/eval.scm 211 */
										BgL_objectz00_bglt BgL_arg1858z00_2680;

										{	/* Module/eval.scm 211 */
											obj_t BgL_tmpz00_3637;

											BgL_tmpz00_3637 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1825z00_2097));
											BgL_arg1858z00_2680 =
												(BgL_objectz00_bglt) (BgL_tmpz00_3637);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Module/eval.scm 211 */
												long BgL_idxz00_2686;

												BgL_idxz00_2686 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2680);
												BgL_test2193z00_3633 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2686 + 2L)) == BgL_classz00_2678);
											}
										else
											{	/* Module/eval.scm 211 */
												bool_t BgL_res2085z00_2711;

												{	/* Module/eval.scm 211 */
													obj_t BgL_oclassz00_2694;

													{	/* Module/eval.scm 211 */
														obj_t BgL_arg1866z00_2702;
														long BgL_arg1867z00_2703;

														BgL_arg1866z00_2702 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Module/eval.scm 211 */
															long BgL_arg1869z00_2704;

															BgL_arg1869z00_2704 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2680);
															BgL_arg1867z00_2703 =
																(BgL_arg1869z00_2704 - OBJECT_TYPE);
														}
														BgL_oclassz00_2694 =
															VECTOR_REF(BgL_arg1866z00_2702,
															BgL_arg1867z00_2703);
													}
													{	/* Module/eval.scm 211 */
														bool_t BgL__ortest_1115z00_2695;

														BgL__ortest_1115z00_2695 =
															(BgL_classz00_2678 == BgL_oclassz00_2694);
														if (BgL__ortest_1115z00_2695)
															{	/* Module/eval.scm 211 */
																BgL_res2085z00_2711 = BgL__ortest_1115z00_2695;
															}
														else
															{	/* Module/eval.scm 211 */
																long BgL_odepthz00_2696;

																{	/* Module/eval.scm 211 */
																	obj_t BgL_arg1855z00_2697;

																	BgL_arg1855z00_2697 = (BgL_oclassz00_2694);
																	BgL_odepthz00_2696 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_2697);
																}
																if ((2L < BgL_odepthz00_2696))
																	{	/* Module/eval.scm 211 */
																		obj_t BgL_arg1853z00_2699;

																		{	/* Module/eval.scm 211 */
																			obj_t BgL_arg1854z00_2700;

																			BgL_arg1854z00_2700 =
																				(BgL_oclassz00_2694);
																			BgL_arg1853z00_2699 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_2700, 2L);
																		}
																		BgL_res2085z00_2711 =
																			(BgL_arg1853z00_2699 ==
																			BgL_classz00_2678);
																	}
																else
																	{	/* Module/eval.scm 211 */
																		BgL_res2085z00_2711 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2193z00_3633 = BgL_res2085z00_2711;
											}
									}
								}
							}
							if (BgL_test2193z00_3633)
								{	/* Module/eval.scm 212 */
									obj_t BgL_arg1789z00_2081;

									{	/* Module/eval.scm 212 */
										obj_t BgL_arg1790z00_2082;

										{	/* Module/eval.scm 212 */
											obj_t BgL_arg1796z00_2083;
											obj_t BgL_arg1797z00_2084;

											{	/* Module/eval.scm 212 */
												obj_t BgL_arg1799z00_2085;

												BgL_arg1799z00_2085 =
													MAKE_YOUNG_PAIR(BgL_idz00_2067, BNIL);
												BgL_arg1796z00_2083 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(18)), BgL_arg1799z00_2085);
											}
											{	/* Module/eval.scm 212 */
												obj_t BgL_arg1800z00_2086;
												obj_t BgL_arg1801z00_2087;

												{	/* Module/eval.scm 212 */
													obj_t BgL_arg1802z00_2088;

													BgL_arg1802z00_2088 =
														MAKE_YOUNG_PAIR(BgL_idz00_2067, BNIL);
													BgL_arg1800z00_2086 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(21)), BgL_arg1802z00_2088);
												}
												{	/* Module/eval.scm 212 */
													obj_t BgL_arg1803z00_2089;

													BgL_arg1803z00_2089 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
													BgL_arg1801z00_2087 =
														MAKE_YOUNG_PAIR(BFALSE, BgL_arg1803z00_2089);
												}
												BgL_arg1797z00_2084 =
													MAKE_YOUNG_PAIR(BgL_arg1800z00_2086,
													BgL_arg1801z00_2087);
											}
											BgL_arg1790z00_2082 =
												MAKE_YOUNG_PAIR(BgL_arg1796z00_2083,
												BgL_arg1797z00_2084);
										}
										BgL_arg1789z00_2081 =
											MAKE_YOUNG_PAIR(BINT(1L), BgL_arg1790z00_2082);
									}
									return
										MAKE_YOUNG_PAIR(
										((obj_t) CNST_TABLE_REF(22)), BgL_arg1789z00_2081);
								}
							else
								{	/* Module/eval.scm 214 */
									obj_t BgL_arg1804z00_2090;

									{	/* Module/eval.scm 214 */
										obj_t BgL_arg1810z00_2091;

										{	/* Module/eval.scm 214 */
											obj_t BgL_arg1811z00_2092;
											obj_t BgL_arg1814z00_2093;

											{	/* Module/eval.scm 214 */
												obj_t BgL_arg1818z00_2094;

												BgL_arg1818z00_2094 =
													MAKE_YOUNG_PAIR(BgL_idz00_2067, BNIL);
												BgL_arg1811z00_2092 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(18)), BgL_arg1818z00_2094);
											}
											{	/* Module/eval.scm 214 */
												obj_t BgL_arg1821z00_2095;

												{	/* Module/eval.scm 214 */
													obj_t BgL_arg1822z00_2096;

													BgL_arg1822z00_2096 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
													BgL_arg1821z00_2095 =
														MAKE_YOUNG_PAIR(BFALSE, BgL_arg1822z00_2096);
												}
												BgL_arg1814z00_2093 =
													MAKE_YOUNG_PAIR(BgL_idz00_2067, BgL_arg1821z00_2095);
											}
											BgL_arg1810z00_2091 =
												MAKE_YOUNG_PAIR(BgL_arg1811z00_2092,
												BgL_arg1814z00_2093);
										}
										BgL_arg1804z00_2090 =
											MAKE_YOUNG_PAIR(BINT(0L), BgL_arg1810z00_2091);
									}
									return
										MAKE_YOUNG_PAIR(
										((obj_t) CNST_TABLE_REF(22)), BgL_arg1804z00_2090);
								}
						}
				}
			}
		}

	}



/* get-library-info */
	obj_t BGl_getzd2libraryzd2infoz00zzmodule_evalz00(obj_t BgL_libraryz00_82)
	{
		{	/* Module/eval.scm 228 */
			{	/* Module/eval.scm 229 */
				obj_t BgL__ortest_1112z00_2100;

				BgL__ortest_1112z00_2100 =
					BGl_libraryzd2infozd2zz__libraryz00(BgL_libraryz00_82);
				if (CBOOL(BgL__ortest_1112z00_2100))
					{	/* Module/eval.scm 229 */
						return BgL__ortest_1112z00_2100;
					}
				else
					{	/* Module/eval.scm 230 */
						obj_t BgL_initz00_2101;

						BgL_initz00_2101 =
							BGl_libraryzd2initzd2filez00zz__libraryz00(BgL_libraryz00_82);
						{	/* Module/eval.scm 230 */
							obj_t BgL_pathz00_2102;

							BgL_pathz00_2102 =
								BGl_findzd2filezf2pathz20zz__osz00(BgL_initz00_2101,
								BGl_za2libzd2dirza2zd2zzengine_paramz00);
							{	/* Module/eval.scm 231 */

								if (CBOOL(BgL_pathz00_2102))
									{	/* Module/eval.scm 232 */
										{	/* Module/eval.scm 234 */
											obj_t BgL_envz00_2104;

											BgL_envz00_2104 =
												BGl_defaultzd2environmentzd2zz__evalz00();
											{	/* Module/eval.scm 234 */

												BGl_loadqz00zz__evalz00(BgL_pathz00_2102,
													BgL_envz00_2104);
											}
										}
										{	/* Module/eval.scm 235 */
											obj_t BgL_iz00_2105;

											BgL_iz00_2105 =
												BGl_libraryzd2infozd2zz__libraryz00(BgL_libraryz00_82);
											if (CBOOL(BgL_iz00_2105))
												{	/* Module/eval.scm 236 */
													return BgL_iz00_2105;
												}
											else
												{	/* Module/eval.scm 238 */
													obj_t BgL_arg1834z00_2106;

													{	/* Module/eval.scm 238 */
														obj_t BgL_list1843z00_2109;

														BgL_list1843z00_2109 =
															MAKE_YOUNG_PAIR(BgL_initz00_2101, BNIL);
														BgL_arg1834z00_2106 =
															BGl_formatz00zz__r4_output_6_10_3z00
															(BGl_string2098z00zzmodule_evalz00,
															BgL_list1843z00_2109);
													}
													{	/* Module/eval.scm 238 */
														obj_t BgL_list1835z00_2107;

														{	/* Module/eval.scm 238 */
															obj_t BgL_arg1842z00_2108;

															BgL_arg1842z00_2108 =
																MAKE_YOUNG_PAIR(BgL_arg1834z00_2106, BNIL);
															BgL_list1835z00_2107 =
																MAKE_YOUNG_PAIR(BgL_libraryz00_82,
																BgL_arg1842z00_2108);
														}
														BGL_TAIL return
															BGl_warningz00zz__errorz00(BgL_list1835z00_2107);
													}
												}
										}
									}
								else
									{	/* Module/eval.scm 239 */
										obj_t BgL_arg1845z00_2110;

										{	/* Module/eval.scm 239 */
											obj_t BgL_list1848z00_2113;

											BgL_list1848z00_2113 =
												MAKE_YOUNG_PAIR(BgL_initz00_2101, BNIL);
											BgL_arg1845z00_2110 =
												BGl_formatz00zz__r4_output_6_10_3z00
												(BGl_string2099z00zzmodule_evalz00,
												BgL_list1848z00_2113);
										}
										{	/* Module/eval.scm 239 */
											obj_t BgL_list1846z00_2111;

											{	/* Module/eval.scm 239 */
												obj_t BgL_arg1847z00_2112;

												BgL_arg1847z00_2112 =
													MAKE_YOUNG_PAIR(BgL_arg1845z00_2110, BNIL);
												BgL_list1846z00_2111 =
													MAKE_YOUNG_PAIR(BgL_libraryz00_82,
													BgL_arg1847z00_2112);
											}
											BGL_TAIL return
												BGl_warningz00zz__errorz00(BgL_list1846z00_2111);
										}
									}
							}
						}
					}
			}
		}

	}



/* library_e */
	obj_t BGl_library_ez00zzmodule_evalz00(obj_t BgL_libz00_83)
	{
		{	/* Module/eval.scm 246 */
			{	/* Module/eval.scm 247 */
				obj_t BgL_infoz00_2114;

				BgL_infoz00_2114 =
					BGl_getzd2libraryzd2infoz00zzmodule_evalz00(BgL_libz00_83);
				{	/* Module/eval.scm 248 */
					bool_t BgL_test2200z00_3713;

					{	/* Module/eval.scm 248 */
						bool_t BgL_test2201z00_3714;

						if (STRUCTP(BgL_infoz00_2114))
							{	/* Module/eval.scm 248 */
								BgL_test2201z00_3714 =
									(STRUCT_KEY(BgL_infoz00_2114) ==
									((obj_t) CNST_TABLE_REF(23)));
							}
						else
							{	/* Module/eval.scm 248 */
								BgL_test2201z00_3714 = ((bool_t) 0);
							}
						if (BgL_test2201z00_3714)
							{	/* Module/eval.scm 248 */
								BgL_test2200z00_3713 =
									CBOOL(STRUCT_REF(BgL_infoz00_2114, (int) (6L)));
							}
						else
							{	/* Module/eval.scm 248 */
								BgL_test2200z00_3713 = ((bool_t) 0);
							}
					}
					if (BgL_test2200z00_3713)
						{	/* Module/eval.scm 249 */
							obj_t BgL_initz00_2117;

							BgL_initz00_2117 =
								BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
								(STRUCT_REF(BgL_infoz00_2114, (int) (6L)));
							{	/* Module/eval.scm 249 */
								BgL_globalz00_bglt BgL_gloz00_2118;

								{	/* Module/eval.scm 252 */
									obj_t BgL_arg1910z00_2155;
									obj_t BgL_arg1911z00_2156;

									BgL_arg1910z00_2155 =
										STRUCT_REF(BgL_infoz00_2114, (int) (6L));
									{	/* Module/eval.scm 254 */
										obj_t BgL_arg1912z00_2157;
										obj_t BgL_arg1913z00_2158;

										{	/* Module/eval.scm 254 */
											obj_t BgL_arg1486z00_2726;

											BgL_arg1486z00_2726 = SYMBOL_TO_STRING(BgL_initz00_2117);
											BgL_arg1912z00_2157 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1486z00_2726);
										}
										{	/* Module/eval.scm 255 */
											obj_t BgL_arg1915z00_2159;

											BgL_arg1915z00_2159 =
												STRUCT_REF(BgL_infoz00_2114, (int) (6L));
											{	/* Module/eval.scm 255 */
												obj_t BgL_arg1486z00_2729;

												BgL_arg1486z00_2729 =
													SYMBOL_TO_STRING(((obj_t) BgL_arg1915z00_2159));
												BgL_arg1913z00_2158 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1486z00_2729);
										}}
										BgL_arg1911z00_2156 =
											bigloo_module_mangle(BgL_arg1912z00_2157,
											BgL_arg1913z00_2158);
									}
									BgL_gloz00_2118 =
										BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2
										(BgL_initz00_2117, BgL_initz00_2117, BgL_arg1910z00_2155,
										BgL_arg1911z00_2156, ((obj_t) CNST_TABLE_REF(24)),
										((obj_t) CNST_TABLE_REF(25)), ((bool_t) 0), ((bool_t) 0),
										BFALSE, BFALSE);
								}
								{	/* Module/eval.scm 250 */

									{	/* Module/eval.scm 257 */
										bool_t BgL_test2203z00_3742;

										{	/* Module/eval.scm 257 */
											obj_t BgL_arg1909z00_2154;

											BgL_arg1909z00_2154 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_test2203z00_3742 =
												(((BgL_backendz00_bglt) COBJECT(
														((BgL_backendz00_bglt) BgL_arg1909z00_2154)))->
												BgL_pragmazd2supportzd2);
										}
										if (BgL_test2203z00_3742)
											{	/* Module/eval.scm 259 */
												obj_t BgL_arg1856z00_2121;

												{	/* Module/eval.scm 259 */
													obj_t BgL_arg1857z00_2122;
													obj_t BgL_arg1859z00_2123;

													{	/* Module/eval.scm 259 */
														obj_t BgL_arg1865z00_2124;
														obj_t BgL_arg1872z00_2125;

														{	/* Module/eval.scm 259 */
															obj_t BgL_arg1873z00_2126;

															{	/* Module/eval.scm 259 */
																obj_t BgL_arg1876z00_2127;

																BgL_arg1876z00_2127 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) CNST_TABLE_REF(26)), BNIL);
																BgL_arg1873z00_2126 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(27)), BgL_arg1876z00_2127);
															}
															BgL_arg1865z00_2124 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(5)), BgL_arg1873z00_2126);
														}
														{	/* Module/eval.scm 259 */
															obj_t BgL_arg1878z00_2128;
															obj_t BgL_arg1882z00_2129;

															{	/* Module/eval.scm 259 */
																obj_t BgL_arg1884z00_2130;

																BgL_arg1884z00_2130 =
																	MAKE_YOUNG_PAIR(BgL_libz00_83, BNIL);
																BgL_arg1878z00_2128 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(18)), BgL_arg1884z00_2130);
															}
															{	/* Module/eval.scm 259 */
																obj_t BgL_arg1885z00_2131;

																BgL_arg1885z00_2131 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) CNST_TABLE_REF(28)), BNIL);
																BgL_arg1882z00_2129 =
																	MAKE_YOUNG_PAIR(BgL_arg1885z00_2131, BNIL);
															}
															BgL_arg1872z00_2125 =
																MAKE_YOUNG_PAIR(BgL_arg1878z00_2128,
																BgL_arg1882z00_2129);
														}
														BgL_arg1857z00_2122 =
															MAKE_YOUNG_PAIR(BgL_arg1865z00_2124,
															BgL_arg1872z00_2125);
													}
													{	/* Module/eval.scm 260 */
														obj_t BgL_arg1886z00_2132;
														obj_t BgL_arg1887z00_2133;

														{	/* Module/eval.scm 260 */
															obj_t BgL_arg1889z00_2134;

															{	/* Module/eval.scm 260 */
																obj_t BgL_arg1890z00_2135;

																{	/* Module/eval.scm 260 */
																	obj_t BgL_arg1891z00_2136;

																	{	/* Module/eval.scm 260 */
																		obj_t BgL_arg1892z00_2137;

																		{	/* Module/eval.scm 260 */
																			obj_t BgL_arg1893z00_2138;

																			{	/* Module/eval.scm 260 */
																				obj_t BgL_arg1894z00_2139;

																				{	/* Module/eval.scm 260 */
																					obj_t BgL_symbolz00_2731;

																					BgL_symbolz00_2731 =
																						BGl_za2moduleza2z00zzmodule_modulez00;
																					{	/* Module/eval.scm 260 */
																						obj_t BgL_arg1486z00_2732;

																						BgL_arg1486z00_2732 =
																							SYMBOL_TO_STRING
																							(BgL_symbolz00_2731);
																						BgL_arg1894z00_2139 =
																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																							(BgL_arg1486z00_2732);
																					}
																				}
																				{	/* Module/eval.scm 260 */
																					obj_t BgL_list1895z00_2140;

																					BgL_list1895z00_2140 =
																						MAKE_YOUNG_PAIR(BgL_arg1894z00_2139,
																						BNIL);
																					BgL_arg1893z00_2138 =
																						BGl_formatz00zz__r4_output_6_10_3z00
																						(BGl_string2100z00zzmodule_evalz00,
																						BgL_list1895z00_2140);
																				}
																			}
																			BgL_arg1892z00_2137 =
																				MAKE_YOUNG_PAIR(BgL_arg1893z00_2138,
																				BNIL);
																		}
																		BgL_arg1891z00_2136 =
																			MAKE_YOUNG_PAIR(
																			((obj_t)
																				CNST_TABLE_REF(29)),
																			BgL_arg1892z00_2137);
																	}
																	BgL_arg1890z00_2135 =
																		MAKE_YOUNG_PAIR(BgL_arg1891z00_2136, BNIL);
																}
																BgL_arg1889z00_2134 =
																	MAKE_YOUNG_PAIR(BINT(0L),
																	BgL_arg1890z00_2135);
															}
															BgL_arg1886z00_2132 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_gloz00_2118), BgL_arg1889z00_2134);
														}
														{	/* Module/eval.scm 261 */
															obj_t BgL_arg1896z00_2141;

															{	/* Module/eval.scm 261 */
																obj_t BgL_arg1897z00_2142;
																obj_t BgL_arg1898z00_2143;

																{	/* Module/eval.scm 261 */
																	obj_t BgL_arg1899z00_2144;

																	{	/* Module/eval.scm 261 */
																		obj_t BgL_arg1900z00_2145;

																		BgL_arg1900z00_2145 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) CNST_TABLE_REF(26)), BNIL);
																		BgL_arg1899z00_2144 =
																			MAKE_YOUNG_PAIR(
																			((obj_t)
																				CNST_TABLE_REF(30)),
																			BgL_arg1900z00_2145);
																	}
																	BgL_arg1897z00_2142 =
																		MAKE_YOUNG_PAIR(
																		((obj_t)
																			CNST_TABLE_REF(5)), BgL_arg1899z00_2144);
																}
																{	/* Module/eval.scm 261 */
																	obj_t BgL_arg1901z00_2146;

																	{	/* Module/eval.scm 261 */
																		obj_t BgL_arg1902z00_2147;

																		BgL_arg1902z00_2147 =
																			MAKE_YOUNG_PAIR(BgL_libz00_83, BNIL);
																		BgL_arg1901z00_2146 =
																			MAKE_YOUNG_PAIR(
																			((obj_t)
																				CNST_TABLE_REF(18)),
																			BgL_arg1902z00_2147);
																	}
																	BgL_arg1898z00_2143 =
																		MAKE_YOUNG_PAIR(BgL_arg1901z00_2146, BNIL);
																}
																BgL_arg1896z00_2141 =
																	MAKE_YOUNG_PAIR(BgL_arg1897z00_2142,
																	BgL_arg1898z00_2143);
															}
															BgL_arg1887z00_2133 =
																MAKE_YOUNG_PAIR(BgL_arg1896z00_2141, BNIL);
														}
														BgL_arg1859z00_2123 =
															MAKE_YOUNG_PAIR(BgL_arg1886z00_2132,
															BgL_arg1887z00_2133);
													}
													BgL_arg1856z00_2121 =
														MAKE_YOUNG_PAIR(BgL_arg1857z00_2122,
														BgL_arg1859z00_2123);
												}
												return
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(15)), BgL_arg1856z00_2121);
											}
										else
											{	/* Module/eval.scm 262 */
												obj_t BgL_arg1903z00_2148;
												obj_t BgL_arg1904z00_2149;

												{	/* Module/eval.scm 262 */
													obj_t BgL_arg1905z00_2150;

													{	/* Module/eval.scm 262 */
														obj_t BgL_arg1906z00_2151;

														BgL_arg1906z00_2151 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(26)), BNIL);
														BgL_arg1905z00_2150 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(31)), BgL_arg1906z00_2151);
													}
													BgL_arg1903z00_2148 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(5)), BgL_arg1905z00_2150);
												}
												{	/* Module/eval.scm 262 */
													obj_t BgL_arg1907z00_2152;

													{	/* Module/eval.scm 262 */
														obj_t BgL_arg1908z00_2153;

														BgL_arg1908z00_2153 =
															MAKE_YOUNG_PAIR(BgL_libz00_83, BNIL);
														BgL_arg1907z00_2152 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(18)), BgL_arg1908z00_2153);
													}
													BgL_arg1904z00_2149 =
														MAKE_YOUNG_PAIR(BgL_arg1907z00_2152, BNIL);
												}
												return
													MAKE_YOUNG_PAIR(BgL_arg1903z00_2148,
													BgL_arg1904z00_2149);
											}
									}
								}
							}
						}
					else
						{	/* Module/eval.scm 263 */
							obj_t BgL_list1917z00_2161;

							{	/* Module/eval.scm 263 */
								obj_t BgL_arg1918z00_2162;

								BgL_arg1918z00_2162 =
									MAKE_YOUNG_PAIR(BGl_string2101z00zzmodule_evalz00, BNIL);
								BgL_list1917z00_2161 =
									MAKE_YOUNG_PAIR(BgL_libz00_83, BgL_arg1918z00_2162);
							}
							BGL_TAIL return BGl_warningz00zz__errorz00(BgL_list1917z00_2161);
						}
				}
			}
		}

	}



/* set-eval-types! */
	obj_t BGl_setzd2evalzd2typesz12z12zzmodule_evalz00(obj_t BgL_globalz00_84)
	{
		{	/* Module/eval.scm 271 */
			{	/* Module/eval.scm 272 */
				BgL_valuez00_bglt BgL_valz00_2164;

				BgL_valz00_2164 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_84))))->BgL_valuez00);
				{	/* Module/eval.scm 273 */
					bool_t BgL_test2204z00_3820;

					{	/* Module/eval.scm 273 */
						obj_t BgL_classz00_2734;

						BgL_classz00_2734 = BGl_sfunz00zzast_varz00;
						{	/* Module/eval.scm 273 */
							BgL_objectz00_bglt BgL_arg1858z00_2736;

							{	/* Module/eval.scm 273 */
								obj_t BgL_tmpz00_3821;

								BgL_tmpz00_3821 =
									((obj_t) ((BgL_objectz00_bglt) BgL_valz00_2164));
								BgL_arg1858z00_2736 = (BgL_objectz00_bglt) (BgL_tmpz00_3821);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Module/eval.scm 273 */
									long BgL_idxz00_2742;

									BgL_idxz00_2742 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2736);
									BgL_test2204z00_3820 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2742 + 3L)) == BgL_classz00_2734);
								}
							else
								{	/* Module/eval.scm 273 */
									bool_t BgL_res2088z00_2767;

									{	/* Module/eval.scm 273 */
										obj_t BgL_oclassz00_2750;

										{	/* Module/eval.scm 273 */
											obj_t BgL_arg1866z00_2758;
											long BgL_arg1867z00_2759;

											BgL_arg1866z00_2758 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Module/eval.scm 273 */
												long BgL_arg1869z00_2760;

												BgL_arg1869z00_2760 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2736);
												BgL_arg1867z00_2759 =
													(BgL_arg1869z00_2760 - OBJECT_TYPE);
											}
											BgL_oclassz00_2750 =
												VECTOR_REF(BgL_arg1866z00_2758, BgL_arg1867z00_2759);
										}
										{	/* Module/eval.scm 273 */
											bool_t BgL__ortest_1115z00_2751;

											BgL__ortest_1115z00_2751 =
												(BgL_classz00_2734 == BgL_oclassz00_2750);
											if (BgL__ortest_1115z00_2751)
												{	/* Module/eval.scm 273 */
													BgL_res2088z00_2767 = BgL__ortest_1115z00_2751;
												}
											else
												{	/* Module/eval.scm 273 */
													long BgL_odepthz00_2752;

													{	/* Module/eval.scm 273 */
														obj_t BgL_arg1855z00_2753;

														BgL_arg1855z00_2753 = (BgL_oclassz00_2750);
														BgL_odepthz00_2752 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2753);
													}
													if ((3L < BgL_odepthz00_2752))
														{	/* Module/eval.scm 273 */
															obj_t BgL_arg1853z00_2755;

															{	/* Module/eval.scm 273 */
																obj_t BgL_arg1854z00_2756;

																BgL_arg1854z00_2756 = (BgL_oclassz00_2750);
																BgL_arg1853z00_2755 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2756,
																	3L);
															}
															BgL_res2088z00_2767 =
																(BgL_arg1853z00_2755 == BgL_classz00_2734);
														}
													else
														{	/* Module/eval.scm 273 */
															BgL_res2088z00_2767 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2204z00_3820 = BgL_res2088z00_2767;
								}
						}
					}
					if (BgL_test2204z00_3820)
						{	/* Module/eval.scm 273 */
							return BFALSE;
						}
					else
						{	/* Module/eval.scm 274 */
							obj_t BgL_typez00_2166;

							BgL_typez00_2166 =
								((obj_t)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_84))))->
									BgL_typez00));
							if ((BgL_typez00_2166 == BGl_za2_za2z00zztype_cachez00))
								{	/* Module/eval.scm 277 */
									BgL_typez00_bglt BgL_vz00_2770;

									BgL_vz00_2770 =
										((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
									return
										((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_84))))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_vz00_2770), BUNSPEC);
								}
							else
								{	/* Module/eval.scm 276 */
									if (BGl_bigloozd2typezf3z21zztype_typez00(
											((BgL_typez00_bglt) BgL_typez00_2166)))
										{	/* Module/eval.scm 278 */
											return BFALSE;
										}
									else
										{	/* Module/eval.scm 281 */
											obj_t BgL_arg1921z00_2168;

											BgL_arg1921z00_2168 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_globalz00_84))))->
												BgL_idz00);
											return
												BGl_errorz00zz__errorz00
												(BGl_string2102z00zzmodule_evalz00,
												BGl_string2103z00zzmodule_evalz00, BgL_arg1921z00_2168);
										}
								}
						}
				}
			}
		}

	}



/* get-evaluated-globals */
	obj_t BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00(obj_t BgL_scopez00_85)
	{
		{	/* Module/eval.scm 286 */
			{	/* Module/eval.scm 287 */
				obj_t BgL_globalsz00_3030;

				BgL_globalsz00_3030 = BGL_MAKE_UNSAFE_CELL(BNIL);
				{	/* Module/eval.scm 287 */

					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_scopez00_85,
								((obj_t) CNST_TABLE_REF(32)))))
						{	/* Module/eval.scm 289 */
							obj_t BgL_scopezd2lstzd2_2171;

							if ((BgL_scopez00_85 == ((obj_t) CNST_TABLE_REF(12))))
								{	/* Module/eval.scm 289 */
									BgL_scopezd2lstzd2_2171 = ((obj_t) CNST_TABLE_REF(33));
								}
							else
								{	/* Module/eval.scm 289 */
									if ((BgL_scopez00_85 == ((obj_t) CNST_TABLE_REF(19))))
										{	/* Module/eval.scm 289 */
											BgL_scopezd2lstzd2_2171 = ((obj_t) CNST_TABLE_REF(34));
										}
									else
										{	/* Module/eval.scm 289 */
											BgL_scopezd2lstzd2_2171 = ((obj_t) CNST_TABLE_REF(34));
										}
								}
							{	/* Module/eval.scm 295 */
								obj_t BgL_zc3z04anonymousza31925ze3z87_3024;

								BgL_zc3z04anonymousza31925ze3z87_3024 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31925ze3ze5zzmodule_evalz00,
									(int) (1L), (int) (2L));
								PROCEDURE_SET(BgL_zc3z04anonymousza31925ze3z87_3024, (int) (0L),
									((obj_t) BgL_globalsz00_3030));
								PROCEDURE_SET(BgL_zc3z04anonymousza31925ze3z87_3024, (int) (1L),
									BgL_scopezd2lstzd2_2171);
								BGl_forzd2eachzd2globalz12z12zzast_envz00
									(BgL_zc3z04anonymousza31925ze3z87_3024, BNIL);
						}}
					else
						{	/* Module/eval.scm 288 */
							BFALSE;
						}
					{
						obj_t BgL_evalzd2exportedzd2_2193;
						obj_t BgL_resz00_2194;

						BgL_evalzd2exportedzd2_2193 =
							BGl_za2evalzd2exportedza2zd2zzmodule_evalz00;
						BgL_resz00_2194 = BGL_UNSAFE_CELL_REF(BgL_globalsz00_3030);
					BgL_zc3z04anonymousza31935ze3z87_2195:
						if (NULLP(BgL_evalzd2exportedzd2_2193))
							{	/* Module/eval.scm 301 */
								return BgL_resz00_2194;
							}
						else
							{	/* Module/eval.scm 303 */
								obj_t BgL_varzd2modulezd2posz00_2197;

								BgL_varzd2modulezd2posz00_2197 =
									CAR(((obj_t) BgL_evalzd2exportedzd2_2193));
								{	/* Module/eval.scm 304 */
									obj_t BgL_gz00_2198;

									{	/* Module/eval.scm 304 */
										bool_t BgL_test2214z00_3893;

										{	/* Module/eval.scm 304 */
											obj_t BgL_pairz00_2781;

											BgL_pairz00_2781 =
												CDR(((obj_t) BgL_varzd2modulezd2posz00_2197));
											BgL_test2214z00_3893 = CBOOL(CAR(BgL_pairz00_2781));
										}
										if (BgL_test2214z00_3893)
											{	/* Module/eval.scm 305 */
												obj_t BgL_arg1955z00_2214;
												obj_t BgL_arg1956z00_2215;

												BgL_arg1955z00_2214 =
													CAR(((obj_t) BgL_varzd2modulezd2posz00_2197));
												{	/* Module/eval.scm 306 */
													obj_t BgL_pairz00_2786;

													BgL_pairz00_2786 =
														CDR(((obj_t) BgL_varzd2modulezd2posz00_2197));
													BgL_arg1956z00_2215 = CAR(BgL_pairz00_2786);
												}
												BgL_gz00_2198 =
													BGl_findzd2globalzf2modulez20zzast_envz00
													(BgL_arg1955z00_2214, BgL_arg1956z00_2215);
											}
										else
											{	/* Module/eval.scm 307 */
												obj_t BgL_arg1957z00_2216;

												BgL_arg1957z00_2216 =
													CAR(((obj_t) BgL_varzd2modulezd2posz00_2197));
												BgL_gz00_2198 =
													BGl_findzd2globalzd2zzast_envz00(BgL_arg1957z00_2216,
													BNIL);
											}
									}
									{	/* Module/eval.scm 309 */
										bool_t BgL_test2215z00_3907;

										{	/* Module/eval.scm 309 */
											obj_t BgL_classz00_2788;

											BgL_classz00_2788 = BGl_globalz00zzast_varz00;
											if (BGL_OBJECTP(BgL_gz00_2198))
												{	/* Module/eval.scm 309 */
													BgL_objectz00_bglt BgL_arg1858z00_2790;

													BgL_arg1858z00_2790 =
														(BgL_objectz00_bglt) (BgL_gz00_2198);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Module/eval.scm 309 */
															long BgL_idxz00_2796;

															BgL_idxz00_2796 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2790);
															BgL_test2215z00_3907 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2796 + 2L)) == BgL_classz00_2788);
														}
													else
														{	/* Module/eval.scm 309 */
															bool_t BgL_res2089z00_2821;

															{	/* Module/eval.scm 309 */
																obj_t BgL_oclassz00_2804;

																{	/* Module/eval.scm 309 */
																	obj_t BgL_arg1866z00_2812;
																	long BgL_arg1867z00_2813;

																	BgL_arg1866z00_2812 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Module/eval.scm 309 */
																		long BgL_arg1869z00_2814;

																		BgL_arg1869z00_2814 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2790);
																		BgL_arg1867z00_2813 =
																			(BgL_arg1869z00_2814 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2804 =
																		VECTOR_REF(BgL_arg1866z00_2812,
																		BgL_arg1867z00_2813);
																}
																{	/* Module/eval.scm 309 */
																	bool_t BgL__ortest_1115z00_2805;

																	BgL__ortest_1115z00_2805 =
																		(BgL_classz00_2788 == BgL_oclassz00_2804);
																	if (BgL__ortest_1115z00_2805)
																		{	/* Module/eval.scm 309 */
																			BgL_res2089z00_2821 =
																				BgL__ortest_1115z00_2805;
																		}
																	else
																		{	/* Module/eval.scm 309 */
																			long BgL_odepthz00_2806;

																			{	/* Module/eval.scm 309 */
																				obj_t BgL_arg1855z00_2807;

																				BgL_arg1855z00_2807 =
																					(BgL_oclassz00_2804);
																				BgL_odepthz00_2806 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_2807);
																			}
																			if ((2L < BgL_odepthz00_2806))
																				{	/* Module/eval.scm 309 */
																					obj_t BgL_arg1853z00_2809;

																					{	/* Module/eval.scm 309 */
																						obj_t BgL_arg1854z00_2810;

																						BgL_arg1854z00_2810 =
																							(BgL_oclassz00_2804);
																						BgL_arg1853z00_2809 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_2810, 2L);
																					}
																					BgL_res2089z00_2821 =
																						(BgL_arg1853z00_2809 ==
																						BgL_classz00_2788);
																				}
																			else
																				{	/* Module/eval.scm 309 */
																					BgL_res2089z00_2821 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2215z00_3907 = BgL_res2089z00_2821;
														}
												}
											else
												{	/* Module/eval.scm 309 */
													BgL_test2215z00_3907 = ((bool_t) 0);
												}
										}
										if (BgL_test2215z00_3907)
											{	/* Module/eval.scm 309 */
												if (
													(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_gz00_2198)))->
														BgL_evaluablezf3zf3))
													{	/* Module/eval.scm 326 */
														obj_t BgL_arg1939z00_2201;
														obj_t BgL_arg1940z00_2202;

														BgL_arg1939z00_2201 =
															CDR(((obj_t) BgL_evalzd2exportedzd2_2193));
														BgL_arg1940z00_2202 =
															MAKE_YOUNG_PAIR(BgL_gz00_2198, BgL_resz00_2194);
														{
															obj_t BgL_resz00_3937;
															obj_t BgL_evalzd2exportedzd2_3936;

															BgL_evalzd2exportedzd2_3936 = BgL_arg1939z00_2201;
															BgL_resz00_3937 = BgL_arg1940z00_2202;
															BgL_resz00_2194 = BgL_resz00_3937;
															BgL_evalzd2exportedzd2_2193 =
																BgL_evalzd2exportedzd2_3936;
															goto BgL_zc3z04anonymousza31935ze3z87_2195;
														}
													}
												else
													{	/* Module/eval.scm 317 */
														{	/* Module/eval.scm 319 */
															obj_t BgL_arg1942z00_2203;
															obj_t BgL_arg1943z00_2204;

															{	/* Module/eval.scm 319 */
																obj_t BgL_arg1945z00_2206;

																{	/* Module/eval.scm 319 */
																	obj_t BgL_pairz00_2829;

																	{	/* Module/eval.scm 319 */
																		obj_t BgL_pairz00_2828;

																		BgL_pairz00_2828 =
																			CDR(
																			((obj_t) BgL_varzd2modulezd2posz00_2197));
																		BgL_pairz00_2829 = CDR(BgL_pairz00_2828);
																	}
																	BgL_arg1945z00_2206 = CAR(BgL_pairz00_2829);
																}
																BgL_arg1942z00_2203 =
																	BGl_findzd2locationzd2zztools_locationz00
																	(BgL_arg1945z00_2206);
															}
															BgL_arg1943z00_2204 =
																CAR(((obj_t) BgL_varzd2modulezd2posz00_2197));
															{	/* Module/eval.scm 318 */
																obj_t BgL_list1944z00_2205;

																BgL_list1944z00_2205 =
																	MAKE_YOUNG_PAIR(BNIL, BNIL);
																BGl_userzd2errorzf2locationz20zztools_errorz00
																	(BgL_arg1942z00_2203,
																	BGl_string2104z00zzmodule_evalz00,
																	BGl_string2105z00zzmodule_evalz00,
																	BgL_arg1943z00_2204, BgL_list1944z00_2205);
															}
														}
														{	/* Module/eval.scm 324 */
															obj_t BgL_arg1946z00_2207;

															BgL_arg1946z00_2207 =
																CDR(((obj_t) BgL_evalzd2exportedzd2_2193));
															{
																obj_t BgL_evalzd2exportedzd2_3949;

																BgL_evalzd2exportedzd2_3949 =
																	BgL_arg1946z00_2207;
																BgL_evalzd2exportedzd2_2193 =
																	BgL_evalzd2exportedzd2_3949;
																goto BgL_zc3z04anonymousza31935ze3z87_2195;
															}
														}
													}
											}
										else
											{	/* Module/eval.scm 309 */
												{	/* Module/eval.scm 311 */
													obj_t BgL_arg1947z00_2208;
													obj_t BgL_arg1948z00_2209;

													{	/* Module/eval.scm 311 */
														obj_t BgL_arg1950z00_2211;

														{	/* Module/eval.scm 311 */
															obj_t BgL_pairz00_2837;

															{	/* Module/eval.scm 311 */
																obj_t BgL_pairz00_2836;

																BgL_pairz00_2836 =
																	CDR(((obj_t) BgL_varzd2modulezd2posz00_2197));
																BgL_pairz00_2837 = CDR(BgL_pairz00_2836);
															}
															BgL_arg1950z00_2211 = CAR(BgL_pairz00_2837);
														}
														BgL_arg1947z00_2208 =
															BGl_findzd2locationzd2zztools_locationz00
															(BgL_arg1950z00_2211);
													}
													BgL_arg1948z00_2209 =
														CAR(((obj_t) BgL_varzd2modulezd2posz00_2197));
													{	/* Module/eval.scm 310 */
														obj_t BgL_list1949z00_2210;

														BgL_list1949z00_2210 = MAKE_YOUNG_PAIR(BNIL, BNIL);
														BGl_userzd2errorzf2locationz20zztools_errorz00
															(BgL_arg1947z00_2208,
															BGl_string2104z00zzmodule_evalz00,
															BGl_string2106z00zzmodule_evalz00,
															BgL_arg1948z00_2209, BgL_list1949z00_2210);
													}
												}
												{	/* Module/eval.scm 316 */
													obj_t BgL_arg1953z00_2212;

													BgL_arg1953z00_2212 =
														CDR(((obj_t) BgL_evalzd2exportedzd2_2193));
													{
														obj_t BgL_evalzd2exportedzd2_3961;

														BgL_evalzd2exportedzd2_3961 = BgL_arg1953z00_2212;
														BgL_evalzd2exportedzd2_2193 =
															BgL_evalzd2exportedzd2_3961;
														goto BgL_zc3z04anonymousza31935ze3z87_2195;
													}
												}
											}
									}
								}
							}
					}
				}
			}
		}

	}



/* &<@anonymous:1925> */
	obj_t BGl_z62zc3z04anonymousza31925ze3ze5zzmodule_evalz00(obj_t
		BgL_envz00_3025, obj_t BgL_gz00_3028)
	{
		{	/* Module/eval.scm 294 */
			{	/* Module/eval.scm 295 */
				obj_t BgL_globalsz00_3026;
				obj_t BgL_scopezd2lstzd2_3027;

				BgL_globalsz00_3026 = PROCEDURE_REF(BgL_envz00_3025, (int) (0L));
				BgL_scopezd2lstzd2_3027 =
					((obj_t) PROCEDURE_REF(BgL_envz00_3025, (int) (1L)));
				{	/* Module/eval.scm 295 */
					bool_t BgL_test2221z00_3967;

					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_gz00_3028)))->BgL_importz00),
								BgL_scopezd2lstzd2_3027)))
						{	/* Module/eval.scm 295 */
							if (
								(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_gz00_3028)))->
									BgL_evaluablezf3zf3))
								{	/* Module/eval.scm 297 */
									obj_t BgL__ortest_1113z00_3130;

									BgL__ortest_1113z00_3130 =
										BGl_za2libzd2modeza2zd2zzengine_paramz00;
									if (CBOOL(BgL__ortest_1113z00_3130))
										{	/* Module/eval.scm 297 */
											BgL_test2221z00_3967 = CBOOL(BgL__ortest_1113z00_3130);
										}
									else
										{	/* Module/eval.scm 297 */
											if (CBOOL(
													(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_gz00_3028)))->
														BgL_libraryz00)))
												{	/* Module/eval.scm 297 */
													BgL_test2221z00_3967 = ((bool_t) 0);
												}
											else
												{	/* Module/eval.scm 297 */
													BgL_test2221z00_3967 = ((bool_t) 1);
												}
										}
								}
							else
								{	/* Module/eval.scm 296 */
									BgL_test2221z00_3967 = ((bool_t) 0);
								}
						}
					else
						{	/* Module/eval.scm 295 */
							BgL_test2221z00_3967 = ((bool_t) 0);
						}
					if (BgL_test2221z00_3967)
						{	/* Module/eval.scm 298 */
							obj_t BgL_auxz00_3131;

							BgL_auxz00_3131 =
								MAKE_YOUNG_PAIR(BgL_gz00_3028,
								BGL_UNSAFE_CELL_REF(BgL_globalsz00_3026));
							return BGL_UNSAFE_CELL_SET(BgL_globalsz00_3026, BgL_auxz00_3131);
						}
					else
						{	/* Module/eval.scm 295 */
							return BFALSE;
						}
				}
			}
		}

	}



/* get-eval-srfi-libraries */
	obj_t BGl_getzd2evalzd2srfizd2librarieszd2zzmodule_evalz00(void)
	{
		{	/* Module/eval.scm 337 */
			{	/* Module/eval.scm 338 */
				obj_t BgL_l1264z00_2219;

				BgL_l1264z00_2219 = BGl_za2evalzd2librariesza2zd2zzmodule_evalz00;
				if (NULLP(BgL_l1264z00_2219))
					{	/* Module/eval.scm 338 */
						return BNIL;
					}
				else
					{	/* Module/eval.scm 338 */
						obj_t BgL_head1266z00_2221;

						BgL_head1266z00_2221 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1264z00_2223;
							obj_t BgL_tail1267z00_2224;

							BgL_l1264z00_2223 = BgL_l1264z00_2219;
							BgL_tail1267z00_2224 = BgL_head1266z00_2221;
						BgL_zc3z04anonymousza31960ze3z87_2225:
							if (NULLP(BgL_l1264z00_2223))
								{	/* Module/eval.scm 338 */
									return CDR(BgL_head1266z00_2221);
								}
							else
								{	/* Module/eval.scm 338 */
									obj_t BgL_newtail1268z00_2227;

									{	/* Module/eval.scm 338 */
										obj_t BgL_arg1963z00_2229;

										{	/* Module/eval.scm 338 */
											obj_t BgL_lz00_2230;

											BgL_lz00_2230 = CAR(((obj_t) BgL_l1264z00_2223));
											{	/* Module/eval.scm 340 */
												obj_t BgL_arg1965z00_2231;

												{	/* Module/eval.scm 340 */
													obj_t BgL_arg1966z00_2232;

													{	/* Module/eval.scm 340 */
														obj_t BgL_arg1967z00_2233;

														{	/* Module/eval.scm 340 */
															obj_t BgL_arg1968z00_2234;

															{	/* Module/eval.scm 340 */
																obj_t BgL_arg1969z00_2235;

																BgL_arg1969z00_2235 =
																	MAKE_YOUNG_PAIR(BgL_lz00_2230, BNIL);
																BgL_arg1968z00_2234 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(18)), BgL_arg1969z00_2235);
															}
															BgL_arg1967z00_2233 =
																MAKE_YOUNG_PAIR(BgL_arg1968z00_2234, BNIL);
														}
														BgL_arg1966z00_2232 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(35)), BgL_arg1967z00_2233);
													}
													BgL_arg1965z00_2231 =
														MAKE_YOUNG_PAIR(BgL_arg1966z00_2232, BNIL);
												}
												BgL_arg1963z00_2229 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(15)), BgL_arg1965z00_2231);
											}
										}
										BgL_newtail1268z00_2227 =
											MAKE_YOUNG_PAIR(BgL_arg1963z00_2229, BNIL);
									}
									SET_CDR(BgL_tail1267z00_2224, BgL_newtail1268z00_2227);
									{	/* Module/eval.scm 338 */
										obj_t BgL_arg1962z00_2228;

										BgL_arg1962z00_2228 = CDR(((obj_t) BgL_l1264z00_2223));
										{
											obj_t BgL_tail1267z00_4009;
											obj_t BgL_l1264z00_4008;

											BgL_l1264z00_4008 = BgL_arg1962z00_2228;
											BgL_tail1267z00_4009 = BgL_newtail1268z00_2227;
											BgL_tail1267z00_2224 = BgL_tail1267z00_4009;
											BgL_l1264z00_2223 = BgL_l1264z00_4008;
											goto BgL_zc3z04anonymousza31960ze3z87_2225;
										}
									}
								}
						}
					}
			}
		}

	}



/* get-evaluated-class-macros */
	obj_t BGl_getzd2evaluatedzd2classzd2macroszd2zzmodule_evalz00(void)
	{
		{	/* Module/eval.scm 346 */
			{	/* Module/eval.scm 347 */
				obj_t BgL_l1269z00_2237;

				BgL_l1269z00_2237 = BGl_za2evalzd2classesza2zd2zzmodule_evalz00;
				if (NULLP(BgL_l1269z00_2237))
					{	/* Module/eval.scm 347 */
						return BNIL;
					}
				else
					{	/* Module/eval.scm 347 */
						obj_t BgL_head1271z00_2239;

						BgL_head1271z00_2239 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1269z00_2241;
							obj_t BgL_tail1272z00_2242;

							BgL_l1269z00_2241 = BgL_l1269z00_2237;
							BgL_tail1272z00_2242 = BgL_head1271z00_2239;
						BgL_zc3z04anonymousza31971ze3z87_2243:
							if (NULLP(BgL_l1269z00_2241))
								{	/* Module/eval.scm 347 */
									return CDR(BgL_head1271z00_2239);
								}
							else
								{	/* Module/eval.scm 347 */
									obj_t BgL_newtail1273z00_2245;

									{	/* Module/eval.scm 347 */
										obj_t BgL_arg1974z00_2247;

										{	/* Module/eval.scm 347 */
											obj_t BgL_sz00_2248;

											BgL_sz00_2248 = CAR(((obj_t) BgL_l1269z00_2241));
											{	/* Module/eval.scm 348 */
												BgL_typez00_bglt BgL_tz00_2249;

												{	/* Module/eval.scm 348 */
													obj_t BgL_arg2000z00_2274;
													obj_t BgL_arg2001z00_2275;

													{	/* Module/eval.scm 348 */
														obj_t BgL_pairz00_2849;

														BgL_pairz00_2849 = CDR(((obj_t) BgL_sz00_2248));
														BgL_arg2000z00_2274 = CAR(BgL_pairz00_2849);
													}
													BgL_arg2001z00_2275 =
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_sz00_2248);
													BgL_tz00_2249 =
														BGl_findzd2typezf2locationz20zztype_envz00
														(BgL_arg2000z00_2274, BgL_arg2001z00_2275);
												}
												{	/* Module/eval.scm 350 */
													BgL_globalz00_bglt BgL_holderz00_2252;

													{
														BgL_tclassz00_bglt BgL_auxz00_4023;

														{
															obj_t BgL_auxz00_4024;

															{	/* Module/eval.scm 351 */
																BgL_objectz00_bglt BgL_tmpz00_4025;

																BgL_tmpz00_4025 =
																	((BgL_objectz00_bglt)
																	((BgL_typez00_bglt) BgL_tz00_2249));
																BgL_auxz00_4024 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4025);
															}
															BgL_auxz00_4023 =
																((BgL_tclassz00_bglt) BgL_auxz00_4024);
														}
														BgL_holderz00_2252 =
															(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_4023))->
															BgL_holderz00);
													}
													{	/* Module/eval.scm 351 */
														obj_t BgL_holderez00_2253;

														{	/* Module/eval.scm 352 */
															obj_t BgL_arg1991z00_2269;

															{	/* Module/eval.scm 352 */
																obj_t BgL_arg1994z00_2270;
																obj_t BgL_arg1995z00_2271;

																BgL_arg1994z00_2270 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_holderz00_2252)))->BgL_idz00);
																BgL_arg1995z00_2271 =
																	MAKE_YOUNG_PAIR((((BgL_globalz00_bglt)
																			COBJECT(BgL_holderz00_2252))->
																		BgL_modulez00), BNIL);
																BgL_arg1991z00_2269 =
																	MAKE_YOUNG_PAIR(BgL_arg1994z00_2270,
																	BgL_arg1995z00_2271);
															}
															BgL_holderez00_2253 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(5)), BgL_arg1991z00_2269);
														}
														{	/* Module/eval.scm 352 */

															{	/* Module/eval.scm 354 */
																obj_t BgL_arg1975z00_2254;

																{	/* Module/eval.scm 354 */
																	obj_t BgL_arg1976z00_2255;
																	obj_t BgL_arg1978z00_2256;

																	{	/* Module/eval.scm 354 */
																		bool_t BgL_test2230z00_4039;

																		{
																			BgL_tclassz00_bglt BgL_auxz00_4040;

																			{
																				obj_t BgL_auxz00_4041;

																				{	/* Module/eval.scm 354 */
																					BgL_objectz00_bglt BgL_tmpz00_4042;

																					BgL_tmpz00_4042 =
																						((BgL_objectz00_bglt)
																						((BgL_typez00_bglt) BgL_tz00_2249));
																					BgL_auxz00_4041 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_4042);
																				}
																				BgL_auxz00_4040 =
																					((BgL_tclassz00_bglt)
																					BgL_auxz00_4041);
																			}
																			BgL_test2230z00_4039 =
																				(((BgL_tclassz00_bglt)
																					COBJECT(BgL_auxz00_4040))->
																				BgL_abstractzf3zf3);
																		}
																		if (BgL_test2230z00_4039)
																			{	/* Module/eval.scm 354 */
																				BgL_arg1976z00_2255 = BUNSPEC;
																			}
																		else
																			{	/* Module/eval.scm 357 */
																				obj_t BgL_arg1980z00_2258;

																				{	/* Module/eval.scm 357 */
																					obj_t BgL_arg1981z00_2259;
																					obj_t BgL_arg1982z00_2260;

																					{	/* Module/eval.scm 357 */
																						obj_t BgL_arg1983z00_2261;

																						BgL_arg1983z00_2261 =
																							MAKE_YOUNG_PAIR
																							(BgL_holderez00_2253, BNIL);
																						BgL_arg1981z00_2259 =
																							MAKE_YOUNG_PAIR(((obj_t)
																								CNST_TABLE_REF(36)),
																							BgL_arg1983z00_2261);
																					}
																					{	/* Module/eval.scm 358 */
																						obj_t BgL_arg1984z00_2262;

																						{	/* Module/eval.scm 358 */
																							obj_t BgL_arg1985z00_2263;

																							BgL_arg1985z00_2263 =
																								MAKE_YOUNG_PAIR
																								(BgL_holderez00_2253, BNIL);
																							BgL_arg1984z00_2262 =
																								MAKE_YOUNG_PAIR(((obj_t)
																									CNST_TABLE_REF(37)),
																								BgL_arg1985z00_2263);
																						}
																						BgL_arg1982z00_2260 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1984z00_2262, BNIL);
																					}
																					BgL_arg1980z00_2258 =
																						MAKE_YOUNG_PAIR(BgL_arg1981z00_2259,
																						BgL_arg1982z00_2260);
																				}
																				BgL_arg1976z00_2255 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(15)),
																					BgL_arg1980z00_2258);
																			}
																	}
																	{	/* Module/eval.scm 359 */
																		obj_t BgL_arg1986z00_2264;
																		obj_t BgL_arg1987z00_2265;

																		{	/* Module/eval.scm 359 */
																			obj_t BgL_arg1988z00_2266;

																			BgL_arg1988z00_2266 =
																				MAKE_YOUNG_PAIR(BgL_holderez00_2253,
																				BNIL);
																			BgL_arg1986z00_2264 =
																				MAKE_YOUNG_PAIR(((obj_t)
																					CNST_TABLE_REF(38)),
																				BgL_arg1988z00_2266);
																		}
																		{	/* Module/eval.scm 360 */
																			obj_t BgL_arg1989z00_2267;

																			{	/* Module/eval.scm 360 */
																				obj_t BgL_arg1990z00_2268;

																				BgL_arg1990z00_2268 =
																					MAKE_YOUNG_PAIR(BNIL, BNIL);
																				BgL_arg1989z00_2267 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(18)),
																					BgL_arg1990z00_2268);
																			}
																			BgL_arg1987z00_2265 =
																				MAKE_YOUNG_PAIR(BgL_arg1989z00_2267,
																				BNIL);
																		}
																		BgL_arg1978z00_2256 =
																			MAKE_YOUNG_PAIR(BgL_arg1986z00_2264,
																			BgL_arg1987z00_2265);
																	}
																	BgL_arg1975z00_2254 =
																		MAKE_YOUNG_PAIR(BgL_arg1976z00_2255,
																		BgL_arg1978z00_2256);
																}
																BgL_arg1974z00_2247 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(15)), BgL_arg1975z00_2254);
															}
														}
													}
												}
											}
										}
										BgL_newtail1273z00_2245 =
											MAKE_YOUNG_PAIR(BgL_arg1974z00_2247, BNIL);
									}
									SET_CDR(BgL_tail1272z00_2242, BgL_newtail1273z00_2245);
									{	/* Module/eval.scm 347 */
										obj_t BgL_arg1973z00_2246;

										BgL_arg1973z00_2246 = CDR(((obj_t) BgL_l1269z00_2241));
										{
											obj_t BgL_tail1272z00_4080;
											obj_t BgL_l1269z00_4079;

											BgL_l1269z00_4079 = BgL_arg1973z00_2246;
											BgL_tail1272z00_4080 = BgL_newtail1273z00_2245;
											BgL_tail1272z00_2242 = BgL_tail1272z00_4080;
											BgL_l1269z00_2241 = BgL_l1269z00_4079;
											goto BgL_zc3z04anonymousza31971ze3z87_2243;
										}
									}
								}
						}
					}
			}
		}

	}



/* get-evaluated-class-holders */
	obj_t BGl_getzd2evaluatedzd2classzd2holderszd2zzmodule_evalz00(void)
	{
		{	/* Module/eval.scm 366 */
			{	/* Module/eval.scm 367 */
				obj_t BgL_l1274z00_2277;

				BgL_l1274z00_2277 = BGl_za2evalzd2classesza2zd2zzmodule_evalz00;
				if (NULLP(BgL_l1274z00_2277))
					{	/* Module/eval.scm 367 */
						return BNIL;
					}
				else
					{	/* Module/eval.scm 367 */
						obj_t BgL_head1276z00_2279;

						BgL_head1276z00_2279 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1274z00_2281;
							obj_t BgL_tail1277z00_2282;

							BgL_l1274z00_2281 = BgL_l1274z00_2277;
							BgL_tail1277z00_2282 = BgL_head1276z00_2279;
						BgL_zc3z04anonymousza32003ze3z87_2283:
							if (NULLP(BgL_l1274z00_2281))
								{	/* Module/eval.scm 367 */
									return CDR(BgL_head1276z00_2279);
								}
							else
								{	/* Module/eval.scm 367 */
									obj_t BgL_newtail1278z00_2285;

									{	/* Module/eval.scm 367 */
										BgL_globalz00_bglt BgL_arg2006z00_2287;

										{	/* Module/eval.scm 367 */
											obj_t BgL_sz00_2288;

											BgL_sz00_2288 = CAR(((obj_t) BgL_l1274z00_2281));
											{	/* Module/eval.scm 368 */
												BgL_typez00_bglt BgL_tz00_2289;

												{	/* Module/eval.scm 368 */
													obj_t BgL_arg2007z00_2290;
													obj_t BgL_arg2008z00_2291;

													{	/* Module/eval.scm 368 */
														obj_t BgL_pairz00_2868;

														BgL_pairz00_2868 = CDR(((obj_t) BgL_sz00_2288));
														BgL_arg2007z00_2290 = CAR(BgL_pairz00_2868);
													}
													BgL_arg2008z00_2291 =
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_sz00_2288);
													BgL_tz00_2289 =
														BGl_findzd2typezf2locationz20zztype_envz00
														(BgL_arg2007z00_2290, BgL_arg2008z00_2291);
												}
												{
													BgL_tclassz00_bglt BgL_auxz00_4094;

													{
														obj_t BgL_auxz00_4095;

														{	/* Module/eval.scm 369 */
															BgL_objectz00_bglt BgL_tmpz00_4096;

															BgL_tmpz00_4096 =
																((BgL_objectz00_bglt)
																((BgL_typez00_bglt) BgL_tz00_2289));
															BgL_auxz00_4095 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_4096);
														}
														BgL_auxz00_4094 =
															((BgL_tclassz00_bglt) BgL_auxz00_4095);
													}
													BgL_arg2006z00_2287 =
														(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_4094))->
														BgL_holderz00);
												}
											}
										}
										BgL_newtail1278z00_2285 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg2006z00_2287), BNIL);
									}
									SET_CDR(BgL_tail1277z00_2282, BgL_newtail1278z00_2285);
									{	/* Module/eval.scm 367 */
										obj_t BgL_arg2005z00_2286;

										BgL_arg2005z00_2286 = CDR(((obj_t) BgL_l1274z00_2281));
										{
											obj_t BgL_tail1277z00_4108;
											obj_t BgL_l1274z00_4107;

											BgL_l1274z00_4107 = BgL_arg2005z00_2286;
											BgL_tail1277z00_4108 = BgL_newtail1278z00_2285;
											BgL_tail1277z00_2282 = BgL_tail1277z00_4108;
											BgL_l1274z00_2281 = BgL_l1274z00_4107;
											goto BgL_zc3z04anonymousza32003ze3z87_2283;
										}
									}
								}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_evalz00(void)
	{
		{	/* Module/eval.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_evalz00(void)
	{
		{	/* Module/eval.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_evalz00(void)
	{
		{	/* Module/eval.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_evalz00(void)
	{
		{	/* Module/eval.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2107z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2107z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2107z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2107z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(184800657L,
				BSTRING_TO_STRING(BGl_string2107z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2107z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2107z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2107z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string2107z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2107z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2107z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2107z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string2107z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2107z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(374700232L,
				BSTRING_TO_STRING(BGl_string2107z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string2107z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string2107z00zzmodule_evalz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2107z00zzmodule_evalz00));
		}

	}

#ifdef __cplusplus
}
#endif
