/*===========================================================================*/
/*   (Module/library.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Module/library.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_MODULE_LIBRARY_TYPE_DEFINITIONS
#define BGL_MODULE_LIBRARY_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;


#endif													// BGL_MODULE_LIBRARY_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_libraryz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_toplevelzd2initzd2zzmodule_libraryz00(void);
	static obj_t BGl_z62withzd2libraryzd2modulez12z70zzmodule_libraryz00(obj_t,
		obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzmodule_libraryz00(void);
	static obj_t BGl_za2neededzd2modulesza2zd2zzmodule_libraryz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_withzd2libraryzd2modulez12z12zzmodule_libraryz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzmodule_libraryz00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31137ze3ze5zzmodule_libraryz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_getzd2importedzd2modulesz00zzmodule_impusez00(void);
	static obj_t BGl_methodzd2initzd2zzmodule_libraryz00(void);
	static obj_t BGl_za2withzd2libraryzd2modulesza2z00zzmodule_libraryz00 =
		BUNSPEC;
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_libraryzd2finaliza7erz75zzmodule_libraryz00(void);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_libraryz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbdb_settingz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_needzd2libraryzd2modulez12z12zzmodule_libraryz00(obj_t);
	extern obj_t BGl_za2jvmzd2debugza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_cnstzd2initzd2zzmodule_libraryz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_libraryz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_libraryz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzmodule_libraryz00(void);
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern obj_t BGl_za2jvmzd2debugzd2moduleza2z00zzbdb_settingz00;
	static obj_t BGl_za2keyza2z00zzmodule_libraryz00 = BUNSPEC;
	static obj_t BGl_z62libraryzd2finaliza7erz17zzmodule_libraryz00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_za2bdbzd2moduleza2zd2zzbdb_settingz00;
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	static obj_t BGl_za2withzd2keyza2zd2zzmodule_libraryz00 = BUNSPEC;
	extern obj_t BGl_cvarz00zzast_varz00;
	static obj_t __cnst[11];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_libraryzd2finaliza7erzd2envza7zzmodule_libraryz00,
		BgL_bgl_za762libraryza7d2fin1310z00,
		BGl_z62libraryzd2finaliza7erz17zzmodule_libraryz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_withzd2libraryzd2modulez12zd2envzc0zzmodule_libraryz00,
		BgL_bgl_za762withza7d2librar1311z00,
		BGl_z62withzd2libraryzd2modulez12z70zzmodule_libraryz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1302z00zzmodule_libraryz00,
		BgL_bgl_string1302za700za7za7m1312za7, "bgl_init_module_debug_library(\"",
		31);
	      DEFINE_STRING(BGl_string1303z00zzmodule_libraryz00,
		BgL_bgl_string1303za700za7za7m1313za7, "\")", 2);
	      DEFINE_STRING(BGl_string1304z00zzmodule_libraryz00,
		BgL_bgl_string1304za700za7za7m1314za7, "module_library", 14);
	      DEFINE_STRING(BGl_string1305z00zzmodule_libraryz00,
		BgL_bgl_string1305za700za7za7m1315za7,
		"@ unit library-modules begin pragma::void module (#unspecified) jvm bdb foreign with-key ",
		89);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1301z00zzmodule_libraryz00,
		BgL_bgl_za762za7c3za704anonymo1316za7,
		BGl_z62zc3z04anonymousza31137ze3ze5zzmodule_libraryz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzmodule_libraryz00));
		     ADD_ROOT((void *) (&BGl_za2neededzd2modulesza2zd2zzmodule_libraryz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2withzd2libraryzd2modulesza2z00zzmodule_libraryz00));
		     ADD_ROOT((void *) (&BGl_za2keyza2z00zzmodule_libraryz00));
		     ADD_ROOT((void *) (&BGl_za2withzd2keyza2zd2zzmodule_libraryz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzmodule_libraryz00(long
		BgL_checksumz00_967, char *BgL_fromz00_968)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_libraryz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_libraryz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzmodule_libraryz00();
					BGl_libraryzd2moduleszd2initz00zzmodule_libraryz00();
					BGl_cnstzd2initzd2zzmodule_libraryz00();
					BGl_importedzd2moduleszd2initz00zzmodule_libraryz00();
					return BGl_toplevelzd2initzd2zzmodule_libraryz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_libraryz00(void)
	{
		{	/* Module/library.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"module_library");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "module_library");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"module_library");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"module_library");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "module_library");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"module_library");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"module_library");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"module_library");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"module_library");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "module_library");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "module_library");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_libraryz00(void)
	{
		{	/* Module/library.scm 15 */
			{	/* Module/library.scm 15 */
				obj_t BgL_cportz00_923;

				{	/* Module/library.scm 15 */
					obj_t BgL_stringz00_930;

					BgL_stringz00_930 = BGl_string1305z00zzmodule_libraryz00;
					{	/* Module/library.scm 15 */
						obj_t BgL_startz00_931;

						BgL_startz00_931 = BINT(0L);
						{	/* Module/library.scm 15 */
							obj_t BgL_endz00_932;

							BgL_endz00_932 = BINT(STRING_LENGTH(((obj_t) BgL_stringz00_930)));
							{	/* Module/library.scm 15 */

								BgL_cportz00_923 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_930, BgL_startz00_931, BgL_endz00_932);
				}}}}
				{
					long BgL_iz00_924;

					BgL_iz00_924 = 10L;
				BgL_loopz00_925:
					if ((BgL_iz00_924 == (-1L)))
						{	/* Module/library.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/library.scm 15 */
							{	/* Module/library.scm 15 */
								obj_t BgL_arg1309z00_926;

								{	/* Module/library.scm 15 */

									{	/* Module/library.scm 15 */
										obj_t BgL_locationz00_928;

										BgL_locationz00_928 = BBOOL(((bool_t) 0));
										{	/* Module/library.scm 15 */

											BgL_arg1309z00_926 =
												BGl_readz00zz__readerz00(BgL_cportz00_923,
												BgL_locationz00_928);
										}
									}
								}
								{	/* Module/library.scm 15 */
									int BgL_tmpz00_997;

									BgL_tmpz00_997 = (int) (BgL_iz00_924);
									CNST_TABLE_SET(BgL_tmpz00_997, BgL_arg1309z00_926);
							}}
							{	/* Module/library.scm 15 */
								int BgL_auxz00_929;

								BgL_auxz00_929 = (int) ((BgL_iz00_924 - 1L));
								{
									long BgL_iz00_1002;

									BgL_iz00_1002 = (long) (BgL_auxz00_929);
									BgL_iz00_924 = BgL_iz00_1002;
									goto BgL_loopz00_925;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzmodule_libraryz00(void)
	{
		{	/* Module/library.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_libraryz00(void)
	{
		{	/* Module/library.scm 15 */
			BGl_za2neededzd2modulesza2zd2zzmodule_libraryz00 = BNIL;
			BGl_za2keyza2z00zzmodule_libraryz00 = BUNSPEC;
			BGl_za2withzd2keyza2zd2zzmodule_libraryz00 =
				BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(0)));
			return (BGl_za2withzd2libraryzd2modulesza2z00zzmodule_libraryz00 =
				BNIL, BUNSPEC);
		}

	}



/* library-finalizer */
	BGL_EXPORTED_DEF obj_t BGl_libraryzd2finaliza7erz75zzmodule_libraryz00(void)
	{
		{	/* Module/library.scm 31 */
			{	/* Module/library.scm 33 */

				{	/* Module/library.scm 33 */

					BGl_za2keyza2z00zzmodule_libraryz00 =
						BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
			}}
			{	/* Module/library.scm 35 */
				obj_t BgL_g1094z00_595;

				BgL_g1094z00_595 = BGl_getzd2importedzd2modulesz00zzmodule_impusez00();
				{
					obj_t BgL_l1092z00_597;

					BgL_l1092z00_597 = BgL_g1094z00_595;
				BgL_zc3z04anonymousza31130ze3z87_598:
					if (PAIRP(BgL_l1092z00_597))
						{	/* Module/library.scm 36 */
							{	/* Module/library.scm 35 */
								obj_t BgL_modulez00_600;

								BgL_modulez00_600 = CAR(BgL_l1092z00_597);
								BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_modulez00_600,
									BGl_za2keyza2z00zzmodule_libraryz00, BTRUE);
							}
							{
								obj_t BgL_l1092z00_1014;

								BgL_l1092z00_1014 = CDR(BgL_l1092z00_597);
								BgL_l1092z00_597 = BgL_l1092z00_1014;
								goto BgL_zc3z04anonymousza31130ze3z87_598;
							}
						}
					else
						{	/* Module/library.scm 36 */
							((bool_t) 1);
						}
				}
			}
			BGl_putpropz12z12zz__r4_symbols_6_4z00(
				((obj_t)
					CNST_TABLE_REF(1)), BGl_za2keyza2z00zzmodule_libraryz00, BTRUE);
			BGl_putpropz12z12zz__r4_symbols_6_4z00
				(BGl_za2moduleza2z00zzmodule_modulez00,
				BGl_za2keyza2z00zzmodule_libraryz00, BTRUE);
			BGl_forzd2eachzd2globalz12z12zzast_envz00
				(BGl_proc1301z00zzmodule_libraryz00, BNIL);
			{	/* Module/library.scm 50 */
				bool_t BgL_test1320z00_1021;

				if (((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) > 0L))
					{	/* Module/library.scm 51 */
						obj_t BgL_arg1195z00_642;

						{	/* Module/library.scm 51 */
							obj_t BgL_arg1207z00_643;

							BgL_arg1207z00_643 = BGl_thezd2backendzd2zzbackend_backendz00();
							BgL_arg1195z00_642 =
								(((BgL_backendz00_bglt) COBJECT(
										((BgL_backendz00_bglt) BgL_arg1207z00_643)))->
								BgL_debugzd2supportzd2);
						}
						BgL_test1320z00_1021 =
							CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) CNST_TABLE_REF(2)), BgL_arg1195z00_642));
					}
				else
					{	/* Module/library.scm 50 */
						BgL_test1320z00_1021 = ((bool_t) 0);
					}
				if (BgL_test1320z00_1021)
					{
						obj_t BgL_l1095z00_635;

						BgL_l1095z00_635 = BGl_za2bdbzd2moduleza2zd2zzbdb_settingz00;
					BgL_zc3z04anonymousza31185ze3z87_636:
						if (PAIRP(BgL_l1095z00_635))
							{	/* Module/library.scm 52 */
								BGl_needzd2libraryzd2modulez12z12zzmodule_libraryz00(CAR
									(BgL_l1095z00_635));
								{
									obj_t BgL_l1095z00_1036;

									BgL_l1095z00_1036 = CDR(BgL_l1095z00_635);
									BgL_l1095z00_635 = BgL_l1095z00_1036;
									goto BgL_zc3z04anonymousza31185ze3z87_636;
								}
							}
						else
							{	/* Module/library.scm 52 */
								((bool_t) 1);
							}
					}
				else
					{	/* Module/library.scm 50 */
						((bool_t) 0);
					}
			}
			{	/* Module/library.scm 53 */
				bool_t BgL_test1323z00_1038;

				if (CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
					{	/* Module/library.scm 53 */
						if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
							{	/* Module/library.scm 54 */
								BgL_test1323z00_1038 = ((bool_t) 0);
							}
						else
							{	/* Module/library.scm 55 */
								obj_t BgL_arg1236z00_654;

								{	/* Module/library.scm 55 */
									obj_t BgL_arg1237z00_655;

									BgL_arg1237z00_655 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									BgL_arg1236z00_654 =
										(((BgL_backendz00_bglt) COBJECT(
												((BgL_backendz00_bglt) BgL_arg1237z00_655)))->
										BgL_debugzd2supportzd2);
								}
								BgL_test1323z00_1038 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										((obj_t) CNST_TABLE_REF(3)), BgL_arg1236z00_654));
							}
					}
				else
					{	/* Module/library.scm 53 */
						BgL_test1323z00_1038 = ((bool_t) 0);
					}
				if (BgL_test1323z00_1038)
					{
						obj_t BgL_l1097z00_648;

						BgL_l1097z00_648 =
							BGl_za2jvmzd2debugzd2moduleza2z00zzbdb_settingz00;
					BgL_zc3z04anonymousza31214ze3z87_649:
						if (PAIRP(BgL_l1097z00_648))
							{	/* Module/library.scm 56 */
								BGl_needzd2libraryzd2modulez12z12zzmodule_libraryz00(CAR
									(BgL_l1097z00_648));
								{
									obj_t BgL_l1097z00_1054;

									BgL_l1097z00_1054 = CDR(BgL_l1097z00_648);
									BgL_l1097z00_648 = BgL_l1097z00_1054;
									goto BgL_zc3z04anonymousza31214ze3z87_649;
								}
							}
						else
							{	/* Module/library.scm 56 */
								((bool_t) 1);
							}
					}
				else
					{	/* Module/library.scm 53 */
						((bool_t) 0);
					}
			}
			{
				obj_t BgL_l1099z00_657;

				BgL_l1099z00_657 =
					BGl_za2withzd2libraryzd2modulesza2z00zzmodule_libraryz00;
			BgL_zc3z04anonymousza31238ze3z87_658:
				if (PAIRP(BgL_l1099z00_657))
					{	/* Module/library.scm 59 */
						BGl_needzd2libraryzd2modulez12z12zzmodule_libraryz00(CAR
							(BgL_l1099z00_657));
						{
							obj_t BgL_l1099z00_1060;

							BgL_l1099z00_1060 = CDR(BgL_l1099z00_657);
							BgL_l1099z00_657 = BgL_l1099z00_1060;
							goto BgL_zc3z04anonymousza31238ze3z87_658;
						}
					}
				else
					{	/* Module/library.scm 59 */
						((bool_t) 1);
					}
			}
			{	/* Module/library.scm 61 */
				obj_t BgL_modulesz00_663;

				BgL_modulesz00_663 = BGl_za2neededzd2modulesza2zd2zzmodule_libraryz00;
				if (NULLP(BgL_modulesz00_663))
					{	/* Module/library.scm 62 */
						return BNIL;
					}
				else
					{	/* Module/library.scm 64 */
						obj_t BgL_g1063z00_665;

						BgL_g1063z00_665 = ((obj_t) CNST_TABLE_REF(4));
						{
							obj_t BgL_modulesz00_667;
							obj_t BgL_initzd2callza2z70_668;

							BgL_modulesz00_667 = BgL_modulesz00_663;
							BgL_initzd2callza2z70_668 = BgL_g1063z00_665;
						BgL_zc3z04anonymousza31243ze3z87_669:
							if (NULLP(BgL_modulesz00_667))
								{	/* Module/library.scm 67 */
									obj_t BgL_bodyz00_671;

									{	/* Module/library.scm 67 */
										bool_t BgL_test1330z00_1068;

										if (
											((long) CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00)
												> 0L))
											{	/* Module/library.scm 70 */
												obj_t BgL_arg1260z00_683;

												{	/* Module/library.scm 70 */
													obj_t BgL_arg1262z00_684;

													BgL_arg1262z00_684 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_arg1260z00_683 =
														(((BgL_backendz00_bglt) COBJECT(
																((BgL_backendz00_bglt) BgL_arg1262z00_684)))->
														BgL_debugzd2supportzd2);
												}
												BgL_test1330z00_1068 =
													CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
														((obj_t) CNST_TABLE_REF(5)), BgL_arg1260z00_683));
											}
										else
											{	/* Module/library.scm 67 */
												BgL_test1330z00_1068 = ((bool_t) 0);
											}
										if (BgL_test1330z00_1068)
											{	/* Module/library.scm 75 */
												obj_t BgL_arg1252z00_676;

												{	/* Module/library.scm 75 */
													obj_t BgL_arg1253z00_677;

													{	/* Module/library.scm 75 */
														obj_t BgL_arg1254z00_678;

														{	/* Module/library.scm 75 */
															obj_t BgL_arg1255z00_679;

															{	/* Module/library.scm 75 */
																obj_t BgL_arg1256z00_680;

																{	/* Module/library.scm 75 */
																	obj_t BgL_arg1258z00_681;

																	{	/* Module/library.scm 75 */
																		obj_t BgL_symbolz00_835;

																		BgL_symbolz00_835 =
																			BGl_za2moduleza2z00zzmodule_modulez00;
																		{	/* Module/library.scm 75 */
																			obj_t BgL_arg1486z00_836;

																			BgL_arg1486z00_836 =
																				SYMBOL_TO_STRING(BgL_symbolz00_835);
																			BgL_arg1258z00_681 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1486z00_836);
																		}
																	}
																	BgL_arg1256z00_680 =
																		string_append_3
																		(BGl_string1302z00zzmodule_libraryz00,
																		BgL_arg1258z00_681,
																		BGl_string1303z00zzmodule_libraryz00);
																}
																BgL_arg1255z00_679 =
																	MAKE_YOUNG_PAIR(BgL_arg1256z00_680, BNIL);
															}
															BgL_arg1254z00_678 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(6)), BgL_arg1255z00_679);
														}
														BgL_arg1253z00_677 =
															MAKE_YOUNG_PAIR(BgL_arg1254z00_678,
															BgL_initzd2callza2z70_668);
													}
													BgL_arg1252z00_676 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(7)), BgL_arg1253z00_677);
												}
												BgL_bodyz00_671 =
													MAKE_YOUNG_PAIR(BgL_arg1252z00_676, BNIL);
											}
										else
											{	/* Module/library.scm 67 */
												BgL_bodyz00_671 = BgL_initzd2callza2z70_668;
											}
									}
									{	/* Module/library.scm 79 */
										obj_t BgL_idz00_837;

										BgL_idz00_837 = ((obj_t) CNST_TABLE_REF(8));
										{	/* Module/library.scm 79 */
											obj_t BgL_newz00_838;

											BgL_newz00_838 =
												create_struct(((obj_t) CNST_TABLE_REF(9)), (int) (5L));
											{	/* Module/library.scm 79 */
												int BgL_tmpz00_1097;

												BgL_tmpz00_1097 = (int) (4L);
												STRUCT_SET(BgL_newz00_838, BgL_tmpz00_1097, BFALSE);
											}
											{	/* Module/library.scm 79 */
												int BgL_tmpz00_1100;

												BgL_tmpz00_1100 = (int) (3L);
												STRUCT_SET(BgL_newz00_838, BgL_tmpz00_1100, BTRUE);
											}
											{	/* Module/library.scm 79 */
												int BgL_tmpz00_1103;

												BgL_tmpz00_1103 = (int) (2L);
												STRUCT_SET(BgL_newz00_838, BgL_tmpz00_1103,
													BgL_bodyz00_671);
											}
											{	/* Module/library.scm 79 */
												obj_t BgL_auxz00_1108;
												int BgL_tmpz00_1106;

												BgL_auxz00_1108 = BINT(2L);
												BgL_tmpz00_1106 = (int) (1L);
												STRUCT_SET(BgL_newz00_838, BgL_tmpz00_1106,
													BgL_auxz00_1108);
											}
											{	/* Module/library.scm 79 */
												int BgL_tmpz00_1111;

												BgL_tmpz00_1111 = (int) (0L);
												STRUCT_SET(BgL_newz00_838, BgL_tmpz00_1111,
													BgL_idz00_837);
											}
											return BgL_newz00_838;
										}
									}
								}
							else
								{	/* Module/library.scm 80 */
									obj_t BgL_idz00_685;

									BgL_idz00_685 = CAR(((obj_t) BgL_modulesz00_667));
									{	/* Module/library.scm 80 */
										obj_t BgL_initzd2funzd2idz00_686;

										BgL_initzd2funzd2idz00_686 =
											BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
											(BgL_idz00_685);
										{	/* Module/library.scm 81 */

											{	/* Module/library.scm 82 */
												obj_t BgL_arg1266z00_687;
												obj_t BgL_arg1267z00_688;

												BgL_arg1266z00_687 = CDR(((obj_t) BgL_modulesz00_667));
												{	/* Module/library.scm 83 */
													obj_t BgL_arg1268z00_689;

													{	/* Module/library.scm 83 */
														obj_t BgL_arg1271z00_690;
														obj_t BgL_arg1272z00_691;

														{	/* Module/library.scm 83 */
															obj_t BgL_arg1273z00_692;

															{	/* Module/library.scm 83 */
																obj_t BgL_arg1274z00_693;

																BgL_arg1274z00_693 =
																	MAKE_YOUNG_PAIR(BgL_idz00_685, BNIL);
																BgL_arg1273z00_692 =
																	MAKE_YOUNG_PAIR(BgL_initzd2funzd2idz00_686,
																	BgL_arg1274z00_693);
															}
															BgL_arg1271z00_690 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(10)), BgL_arg1273z00_692);
														}
														{	/* Module/library.scm 87 */
															obj_t BgL_arg1275z00_694;

															{	/* Module/library.scm 87 */
																obj_t BgL_arg1276z00_695;

																{	/* Module/library.scm 87 */
																	obj_t BgL_symbolz00_846;

																	BgL_symbolz00_846 =
																		BGl_za2moduleza2z00zzmodule_modulez00;
																	{	/* Module/library.scm 87 */
																		obj_t BgL_arg1486z00_847;

																		BgL_arg1486z00_847 =
																			SYMBOL_TO_STRING(BgL_symbolz00_846);
																		BgL_arg1276z00_695 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1486z00_847);
																	}
																}
																BgL_arg1275z00_694 =
																	MAKE_YOUNG_PAIR(BgL_arg1276z00_695, BNIL);
															}
															BgL_arg1272z00_691 =
																MAKE_YOUNG_PAIR(BINT(0L), BgL_arg1275z00_694);
														}
														BgL_arg1268z00_689 =
															MAKE_YOUNG_PAIR(BgL_arg1271z00_690,
															BgL_arg1272z00_691);
													}
													BgL_arg1267z00_688 =
														MAKE_YOUNG_PAIR(BgL_arg1268z00_689,
														BgL_initzd2callza2z70_668);
												}
												{
													obj_t BgL_initzd2callza2z70_1132;
													obj_t BgL_modulesz00_1131;

													BgL_modulesz00_1131 = BgL_arg1266z00_687;
													BgL_initzd2callza2z70_1132 = BgL_arg1267z00_688;
													BgL_initzd2callza2z70_668 =
														BgL_initzd2callza2z70_1132;
													BgL_modulesz00_667 = BgL_modulesz00_1131;
													goto BgL_zc3z04anonymousza31243ze3z87_669;
												}
											}
										}
									}
								}
						}
					}
			}
		}

	}



/* &library-finalizer */
	obj_t BGl_z62libraryzd2finaliza7erz17zzmodule_libraryz00(obj_t BgL_envz00_917)
	{
		{	/* Module/library.scm 31 */
			return BGl_libraryzd2finaliza7erz75zzmodule_libraryz00();
		}

	}



/* &<@anonymous:1137> */
	obj_t BGl_z62zc3z04anonymousza31137ze3ze5zzmodule_libraryz00(obj_t
		BgL_envz00_918, obj_t BgL_globalz00_919)
	{
		{	/* Module/library.scm 42 */
			{	/* Module/library.scm 45 */
				bool_t BgL_test1332z00_1134;

				if (
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_globalz00_919))))->
							BgL_occurrencez00) > 0L))
					{	/* Module/library.scm 45 */
						if (CBOOL(
								(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_globalz00_919)))->
									BgL_libraryz00)))
							{	/* Module/library.scm 47 */
								bool_t BgL_test1335z00_1144;

								{	/* Module/library.scm 47 */
									bool_t BgL_test1336z00_1145;

									{	/* Module/library.scm 47 */
										BgL_valuez00_bglt BgL_arg1174z00_934;

										BgL_arg1174z00_934 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_globalz00_919))))->
											BgL_valuez00);
										{	/* Module/library.scm 47 */
											obj_t BgL_classz00_935;

											BgL_classz00_935 = BGl_cfunz00zzast_varz00;
											{	/* Module/library.scm 47 */
												BgL_objectz00_bglt BgL_arg1858z00_936;

												{	/* Module/library.scm 47 */
													obj_t BgL_tmpz00_1149;

													BgL_tmpz00_1149 =
														((obj_t) ((BgL_objectz00_bglt) BgL_arg1174z00_934));
													BgL_arg1858z00_936 =
														(BgL_objectz00_bglt) (BgL_tmpz00_1149);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Module/library.scm 47 */
														long BgL_idxz00_937;

														BgL_idxz00_937 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_936);
														BgL_test1336z00_1145 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_937 + 3L)) == BgL_classz00_935);
													}
												else
													{	/* Module/library.scm 47 */
														bool_t BgL_res1297z00_940;

														{	/* Module/library.scm 47 */
															obj_t BgL_oclassz00_941;

															{	/* Module/library.scm 47 */
																obj_t BgL_arg1866z00_942;
																long BgL_arg1867z00_943;

																BgL_arg1866z00_942 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Module/library.scm 47 */
																	long BgL_arg1869z00_944;

																	BgL_arg1869z00_944 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_936);
																	BgL_arg1867z00_943 =
																		(BgL_arg1869z00_944 - OBJECT_TYPE);
																}
																BgL_oclassz00_941 =
																	VECTOR_REF(BgL_arg1866z00_942,
																	BgL_arg1867z00_943);
															}
															{	/* Module/library.scm 47 */
																bool_t BgL__ortest_1115z00_945;

																BgL__ortest_1115z00_945 =
																	(BgL_classz00_935 == BgL_oclassz00_941);
																if (BgL__ortest_1115z00_945)
																	{	/* Module/library.scm 47 */
																		BgL_res1297z00_940 =
																			BgL__ortest_1115z00_945;
																	}
																else
																	{	/* Module/library.scm 47 */
																		long BgL_odepthz00_946;

																		{	/* Module/library.scm 47 */
																			obj_t BgL_arg1855z00_947;

																			BgL_arg1855z00_947 = (BgL_oclassz00_941);
																			BgL_odepthz00_946 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_947);
																		}
																		if ((3L < BgL_odepthz00_946))
																			{	/* Module/library.scm 47 */
																				obj_t BgL_arg1853z00_948;

																				{	/* Module/library.scm 47 */
																					obj_t BgL_arg1854z00_949;

																					BgL_arg1854z00_949 =
																						(BgL_oclassz00_941);
																					BgL_arg1853z00_948 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_949, 3L);
																				}
																				BgL_res1297z00_940 =
																					(BgL_arg1853z00_948 ==
																					BgL_classz00_935);
																			}
																		else
																			{	/* Module/library.scm 47 */
																				BgL_res1297z00_940 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test1336z00_1145 = BgL_res1297z00_940;
													}
											}
										}
									}
									if (BgL_test1336z00_1145)
										{	/* Module/library.scm 47 */
											BgL_test1335z00_1144 = ((bool_t) 1);
										}
									else
										{	/* Module/library.scm 47 */
											BgL_valuez00_bglt BgL_arg1173z00_950;

											BgL_arg1173z00_950 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_globalz00_919))))->
												BgL_valuez00);
											{	/* Module/library.scm 47 */
												obj_t BgL_classz00_951;

												BgL_classz00_951 = BGl_cvarz00zzast_varz00;
												{	/* Module/library.scm 47 */
													BgL_objectz00_bglt BgL_arg1858z00_952;

													{	/* Module/library.scm 47 */
														obj_t BgL_tmpz00_1175;

														BgL_tmpz00_1175 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg1173z00_950));
														BgL_arg1858z00_952 =
															(BgL_objectz00_bglt) (BgL_tmpz00_1175);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Module/library.scm 47 */
															long BgL_idxz00_953;

															BgL_idxz00_953 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_952);
															BgL_test1335z00_1144 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_953 + 2L)) == BgL_classz00_951);
														}
													else
														{	/* Module/library.scm 47 */
															bool_t BgL_res1298z00_956;

															{	/* Module/library.scm 47 */
																obj_t BgL_oclassz00_957;

																{	/* Module/library.scm 47 */
																	obj_t BgL_arg1866z00_958;
																	long BgL_arg1867z00_959;

																	BgL_arg1866z00_958 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Module/library.scm 47 */
																		long BgL_arg1869z00_960;

																		BgL_arg1869z00_960 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_952);
																		BgL_arg1867z00_959 =
																			(BgL_arg1869z00_960 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_957 =
																		VECTOR_REF(BgL_arg1866z00_958,
																		BgL_arg1867z00_959);
																}
																{	/* Module/library.scm 47 */
																	bool_t BgL__ortest_1115z00_961;

																	BgL__ortest_1115z00_961 =
																		(BgL_classz00_951 == BgL_oclassz00_957);
																	if (BgL__ortest_1115z00_961)
																		{	/* Module/library.scm 47 */
																			BgL_res1298z00_956 =
																				BgL__ortest_1115z00_961;
																		}
																	else
																		{	/* Module/library.scm 47 */
																			long BgL_odepthz00_962;

																			{	/* Module/library.scm 47 */
																				obj_t BgL_arg1855z00_963;

																				BgL_arg1855z00_963 =
																					(BgL_oclassz00_957);
																				BgL_odepthz00_962 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_963);
																			}
																			if ((2L < BgL_odepthz00_962))
																				{	/* Module/library.scm 47 */
																					obj_t BgL_arg1853z00_964;

																					{	/* Module/library.scm 47 */
																						obj_t BgL_arg1854z00_965;

																						BgL_arg1854z00_965 =
																							(BgL_oclassz00_957);
																						BgL_arg1853z00_964 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_965, 2L);
																					}
																					BgL_res1298z00_956 =
																						(BgL_arg1853z00_964 ==
																						BgL_classz00_951);
																				}
																			else
																				{	/* Module/library.scm 47 */
																					BgL_res1298z00_956 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test1335z00_1144 = BgL_res1298z00_956;
														}
												}
											}
										}
								}
								if (BgL_test1335z00_1144)
									{	/* Module/library.scm 47 */
										BgL_test1332z00_1134 = ((bool_t) 0);
									}
								else
									{	/* Module/library.scm 47 */
										BgL_test1332z00_1134 = ((bool_t) 1);
									}
							}
						else
							{	/* Module/library.scm 45 */
								BgL_test1332z00_1134 = ((bool_t) 0);
							}
					}
				else
					{	/* Module/library.scm 45 */
						BgL_test1332z00_1134 = ((bool_t) 0);
					}
				if (BgL_test1332z00_1134)
					{	/* Module/library.scm 48 */
						obj_t BgL_arg1172z00_966;

						BgL_arg1172z00_966 =
							(((BgL_globalz00_bglt) COBJECT(
									((BgL_globalz00_bglt) BgL_globalz00_919)))->BgL_modulez00);
						return
							BGl_needzd2libraryzd2modulez12z12zzmodule_libraryz00
							(BgL_arg1172z00_966);
					}
				else
					{	/* Module/library.scm 45 */
						return BFALSE;
					}
			}
		}

	}



/* need-library-module! */
	obj_t BGl_needzd2libraryzd2modulez12z12zzmodule_libraryz00(obj_t
		BgL_modulez00_25)
	{
		{	/* Module/library.scm 103 */
			if (CBOOL(BGl_getpropz00zz__r4_symbols_6_4z00(BgL_modulez00_25,
						BGl_za2keyza2z00zzmodule_libraryz00)))
				{	/* Module/library.scm 104 */
					return BFALSE;
				}
			else
				{	/* Module/library.scm 104 */
					BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_modulez00_25,
						BGl_za2keyza2z00zzmodule_libraryz00, BTRUE);
					return (BGl_za2neededzd2modulesza2zd2zzmodule_libraryz00 =
						MAKE_YOUNG_PAIR(BgL_modulez00_25,
							BGl_za2neededzd2modulesza2zd2zzmodule_libraryz00), BUNSPEC);
				}
		}

	}



/* with-library-module! */
	BGL_EXPORTED_DEF obj_t
		BGl_withzd2libraryzd2modulez12z12zzmodule_libraryz00(obj_t BgL_modulez00_26)
	{
		{	/* Module/library.scm 122 */
			if (CBOOL(BGl_getpropz00zz__r4_symbols_6_4z00(BgL_modulez00_26,
						BGl_za2withzd2keyza2zd2zzmodule_libraryz00)))
				{	/* Module/library.scm 123 */
					return BFALSE;
				}
			else
				{	/* Module/library.scm 123 */
					BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_modulez00_26,
						BGl_za2withzd2keyza2zd2zzmodule_libraryz00, BTRUE);
					return (BGl_za2withzd2libraryzd2modulesza2z00zzmodule_libraryz00 =
						MAKE_YOUNG_PAIR(BgL_modulez00_26,
							BGl_za2withzd2libraryzd2modulesza2z00zzmodule_libraryz00),
						BUNSPEC);
				}
		}

	}



/* &with-library-module! */
	obj_t BGl_z62withzd2libraryzd2modulez12z70zzmodule_libraryz00(obj_t
		BgL_envz00_920, obj_t BgL_modulez00_921)
	{
		{	/* Module/library.scm 122 */
			return
				BGl_withzd2libraryzd2modulez12z12zzmodule_libraryz00(BgL_modulez00_921);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_libraryz00(void)
	{
		{	/* Module/library.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_libraryz00(void)
	{
		{	/* Module/library.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_libraryz00(void)
	{
		{	/* Module/library.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_libraryz00(void)
	{
		{	/* Module/library.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1304z00zzmodule_libraryz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1304z00zzmodule_libraryz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1304z00zzmodule_libraryz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1304z00zzmodule_libraryz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1304z00zzmodule_libraryz00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(478324304L,
				BSTRING_TO_STRING(BGl_string1304z00zzmodule_libraryz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1304z00zzmodule_libraryz00));
			return
				BGl_modulezd2initializa7ationz75zzbdb_settingz00(444161932L,
				BSTRING_TO_STRING(BGl_string1304z00zzmodule_libraryz00));
		}

	}

#ifdef __cplusplus
}
#endif
