/*===========================================================================*/
/*   (Object/nil.scm)                                                        */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Object/nil.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_OBJECT_NIL_TYPE_DEFINITIONS
#define BGL_OBJECT_NIL_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


#endif													// BGL_OBJECT_NIL_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_za2symbolza2z00zztype_cachez00;
	static obj_t BGl_fillzd2nilzd2zzobject_nilz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_typezd2nilzd2valuez00zzobject_nilz00(obj_t,
		obj_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzobject_nilz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	extern obj_t BGl_za2bignumza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_z62genzd2plainzd2classzd2nilzb0zzobject_nilz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzobject_nilz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	static obj_t BGl_objectzd2initzd2zzobject_nilz00(void);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	extern obj_t BGl_za2stringza2z00zztype_cachez00;
	extern obj_t BGl_za2bstringza2z00zztype_cachez00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_nilz00(void);
	extern obj_t BGl_jarrayz00zzforeign_jtypez00;
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2plainzd2classzd2nilzd2zzobject_nilz00(BgL_typez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62genzd2widezd2classzd2nilzb0zzobject_nilz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_jclassz00zzobject_classz00;
	extern obj_t BGl_za2belongza2z00zztype_cachez00;
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzobject_nilz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_slotzd2getzd2nilz00zzobject_nilz00(obj_t);
	extern obj_t BGl_za2elongza2z00zztype_cachez00;
	static obj_t BGl_externzd2typezd2nilz00zzobject_nilz00(obj_t, obj_t);
	extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_bigloozd2primitivezd2typezd2nilzd2zzobject_nilz00(obj_t,
		obj_t);
	extern obj_t BGl_za2bllongza2z00zztype_cachez00;
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_nilz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_nilz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_nilz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzobject_nilz00(void);
	extern obj_t BGl_za2llongza2z00zztype_cachez00;
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2classzd2nilz00zzobject_nilz00(BgL_typez00_bglt, obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_za2keywordza2z00zztype_cachez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2widezd2classzd2nilzd2zzobject_nilz00(BgL_typez00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	static obj_t BGl_z62typezd2nilzd2valuez62zzobject_nilz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62importzd2classzd2nilz62zzobject_nilz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	static obj_t __cnst[110];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2plainzd2classzd2nilzd2envz00zzobject_nilz00,
		BgL_bgl_za762genza7d2plainza7d1852za7,
		BGl_z62genzd2plainzd2classzd2nilzb0zzobject_nilz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2widezd2classzd2nilzd2envz00zzobject_nilz00,
		BgL_bgl_za762genza7d2wideza7d21853za7,
		BGl_z62genzd2widezd2classzd2nilzb0zzobject_nilz00, 0L, BUNSPEC, 3);
	      DEFINE_REAL(BGl_real1844z00zzobject_nilz00,
		BgL_bgl_real1844za700za7za7obj1854za7, 0.0);
	      DEFINE_STRING(BGl_string1845z00zzobject_nilz00,
		BgL_bgl_string1845za700za7za7o1855za7, "", 0);
	      DEFINE_STRING(BGl_string1846z00zzobject_nilz00,
		BgL_bgl_string1846za700za7za7o1856za7, "Illegal slot type `~a'", 22);
	      DEFINE_STRING(BGl_string1847z00zzobject_nilz00,
		BgL_bgl_string1847za700za7za7o1857za7, "0L", 2);
	      DEFINE_STRING(BGl_string1848z00zzobject_nilz00,
		BgL_bgl_string1848za700za7za7o1858za7, "object_nil", 10);
	      DEFINE_STRING(BGl_string1849z00zzobject_nilz00,
		BgL_bgl_string1849za700za7za7o1859za7,
		"free-pragma string char double float byte long int cast-null (make-f64vector 0) f64vector (make-f32vector 0) f32vector (make-u64vector 0) u64vector (make-s64vector 0) s64vector (make-u32vector 0) u32vector (make-s32vector 0) s32vector (make-u16vector 0) u16vector (make-s16vector 0) s16vector (make-u8vector 0) u8vector (make-s8vector 0) s8vector (condition-variable-nil) condvar (mutex-nil) mutex (utf8-string->ucs2-string \"\") ucs2string (char->ucs2 #\\_) bucs2 (make-datagram-server-socket) datagram-socket (make-server-socket) socket (opaque-nil) opaque (custom-nil) custom (process-nil) process procedure make-struct struct vector keyword symbol bstring epair pair pair-nil nil bchar breal bbool bool elong llong bint cell unspec (current-date) date (string->mmap \"\") mmap binary-port error-port (current-output-port) output-port (current-input-port) input-port cons (quote #()) :_ (quote _) (econs #f #f #f) (cons #f #f) (quote ()) #z0 (string->elong \"0\") (string->llong \"0\") (make-cell #unspecified) class-nil "
		"make- list->tvector quote object-widening-set! object-class-num-set! class-num @ ? - unsafe if let set! isa? define fill- ! %allocate- obj %the- -nil ",
		1165);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2classzd2nilzd2envzd2zzobject_nilz00,
		BgL_bgl_za762importza7d2clas1860z00,
		BGl_z62importzd2classzd2nilz62zzobject_nilz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2nilzd2valuezd2envzd2zzobject_nilz00,
		BgL_bgl_za762typeza7d2nilza7d21861za7,
		BGl_z62typezd2nilzd2valuez62zzobject_nilz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzobject_nilz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_nilz00(long
		BgL_checksumz00_1917, char *BgL_fromz00_1918)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_nilz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_nilz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzobject_nilz00();
					BGl_libraryzd2moduleszd2initz00zzobject_nilz00();
					BGl_cnstzd2initzd2zzobject_nilz00();
					BGl_importedzd2moduleszd2initz00zzobject_nilz00();
					return BGl_methodzd2initzd2zzobject_nilz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_nilz00(void)
	{
		{	/* Object/nil.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"object_nil");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "object_nil");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"object_nil");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_nilz00(void)
	{
		{	/* Object/nil.scm 15 */
			{	/* Object/nil.scm 15 */
				obj_t BgL_cportz00_1906;

				{	/* Object/nil.scm 15 */
					obj_t BgL_stringz00_1913;

					BgL_stringz00_1913 = BGl_string1849z00zzobject_nilz00;
					{	/* Object/nil.scm 15 */
						obj_t BgL_startz00_1914;

						BgL_startz00_1914 = BINT(0L);
						{	/* Object/nil.scm 15 */
							obj_t BgL_endz00_1915;

							BgL_endz00_1915 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1913)));
							{	/* Object/nil.scm 15 */

								BgL_cportz00_1906 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1913, BgL_startz00_1914, BgL_endz00_1915);
				}}}}
				{
					long BgL_iz00_1907;

					BgL_iz00_1907 = 109L;
				BgL_loopz00_1908:
					if ((BgL_iz00_1907 == (-1L)))
						{	/* Object/nil.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/nil.scm 15 */
							{	/* Object/nil.scm 15 */
								obj_t BgL_arg1851z00_1909;

								{	/* Object/nil.scm 15 */

									{	/* Object/nil.scm 15 */
										obj_t BgL_locationz00_1911;

										BgL_locationz00_1911 = BBOOL(((bool_t) 0));
										{	/* Object/nil.scm 15 */

											BgL_arg1851z00_1909 =
												BGl_readz00zz__readerz00(BgL_cportz00_1906,
												BgL_locationz00_1911);
										}
									}
								}
								{	/* Object/nil.scm 15 */
									int BgL_tmpz00_1947;

									BgL_tmpz00_1947 = (int) (BgL_iz00_1907);
									CNST_TABLE_SET(BgL_tmpz00_1947, BgL_arg1851z00_1909);
							}}
							{	/* Object/nil.scm 15 */
								int BgL_auxz00_1912;

								BgL_auxz00_1912 = (int) ((BgL_iz00_1907 - 1L));
								{
									long BgL_iz00_1952;

									BgL_iz00_1952 = (long) (BgL_auxz00_1912);
									BgL_iz00_1907 = BgL_iz00_1952;
									goto BgL_loopz00_1908;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzobject_nilz00(void)
	{
		{	/* Object/nil.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* import-class-nil */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2classzd2nilz00zzobject_nilz00(BgL_typez00_bglt BgL_classz00_3,
		obj_t BgL_srczd2defzd2_4, obj_t BgL_modulez00_5)
	{
		{	/* Object/nil.scm 44 */
			{	/* Object/nil.scm 45 */
				obj_t BgL_idz00_953;

				BgL_idz00_953 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_classz00_3)))->BgL_idz00);
				{	/* Object/nil.scm 45 */
					obj_t BgL_idzd2nilzd2_954;

					{	/* Object/nil.scm 46 */
						obj_t BgL_arg1156z00_958;

						{	/* Object/nil.scm 46 */
							obj_t BgL_arg1157z00_959;
							obj_t BgL_arg1158z00_960;

							{	/* Object/nil.scm 46 */
								obj_t BgL_arg1486z00_1349;

								BgL_arg1486z00_1349 = SYMBOL_TO_STRING(BgL_idz00_953);
								BgL_arg1157z00_959 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1486z00_1349);
							}
							{	/* Object/nil.scm 46 */
								obj_t BgL_symbolz00_1350;

								BgL_symbolz00_1350 = ((obj_t) CNST_TABLE_REF(0));
								{	/* Object/nil.scm 46 */
									obj_t BgL_arg1486z00_1351;

									BgL_arg1486z00_1351 = SYMBOL_TO_STRING(BgL_symbolz00_1350);
									BgL_arg1158z00_960 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1486z00_1351);
								}
							}
							BgL_arg1156z00_958 =
								string_append(BgL_arg1157z00_959, BgL_arg1158z00_960);
						}
						BgL_idzd2nilzd2_954 = bstring_to_symbol(BgL_arg1156z00_958);
					}
					{	/* Object/nil.scm 46 */
						obj_t BgL_tidzd2nilzd2_955;

						BgL_tidzd2nilzd2_955 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_idzd2nilzd2_954,
							BgL_idz00_953);
						{	/* Object/nil.scm 47 */

							{	/* Object/nil.scm 48 */
								obj_t BgL_arg1153z00_956;

								BgL_arg1153z00_956 =
									MAKE_YOUNG_PAIR(BgL_tidzd2nilzd2_955, BNIL);
								return
									BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_5,
									BgL_arg1153z00_956, BFALSE, BNIL);
							}
						}
					}
				}
			}
		}

	}



/* &import-class-nil */
	obj_t BGl_z62importzd2classzd2nilz62zzobject_nilz00(obj_t BgL_envz00_1891,
		obj_t BgL_classz00_1892, obj_t BgL_srczd2defzd2_1893,
		obj_t BgL_modulez00_1894)
	{
		{	/* Object/nil.scm 44 */
			return
				BGl_importzd2classzd2nilz00zzobject_nilz00(
				((BgL_typez00_bglt) BgL_classz00_1892), BgL_srczd2defzd2_1893,
				BgL_modulez00_1894);
		}

	}



/* gen-plain-class-nil */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2plainzd2classzd2nilzd2zzobject_nilz00(BgL_typez00_bglt
		BgL_classz00_6, obj_t BgL_srczd2defzd2_7, obj_t BgL_importz00_8)
	{
		{	/* Object/nil.scm 55 */
			{	/* Object/nil.scm 57 */
				obj_t BgL_idz00_962;

				BgL_idz00_962 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_classz00_6)))->BgL_idz00);
				{	/* Object/nil.scm 57 */
					obj_t BgL_idzd2nilzd2_963;

					{	/* Object/nil.scm 58 */
						obj_t BgL_arg1276z00_1019;

						{	/* Object/nil.scm 58 */
							obj_t BgL_arg1277z00_1020;
							obj_t BgL_arg1279z00_1021;

							{	/* Object/nil.scm 58 */
								obj_t BgL_arg1486z00_1355;

								BgL_arg1486z00_1355 = SYMBOL_TO_STRING(BgL_idz00_962);
								BgL_arg1277z00_1020 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1486z00_1355);
							}
							{	/* Object/nil.scm 58 */
								obj_t BgL_symbolz00_1356;

								BgL_symbolz00_1356 = ((obj_t) CNST_TABLE_REF(0));
								{	/* Object/nil.scm 58 */
									obj_t BgL_arg1486z00_1357;

									BgL_arg1486z00_1357 = SYMBOL_TO_STRING(BgL_symbolz00_1356);
									BgL_arg1279z00_1021 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1486z00_1357);
								}
							}
							BgL_arg1276z00_1019 =
								string_append(BgL_arg1277z00_1020, BgL_arg1279z00_1021);
						}
						BgL_idzd2nilzd2_963 = bstring_to_symbol(BgL_arg1276z00_1019);
					}
					{	/* Object/nil.scm 58 */
						obj_t BgL_tidzd2nilzd2_964;

						BgL_tidzd2nilzd2_964 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_idzd2nilzd2_963,
							BgL_idz00_962);
						{	/* Object/nil.scm 59 */
							obj_t BgL_thezd2idzd2nilz00_965;

							{	/* Object/nil.scm 60 */
								obj_t BgL_arg1273z00_1016;

								{	/* Object/nil.scm 60 */
									obj_t BgL_arg1274z00_1017;
									obj_t BgL_arg1275z00_1018;

									{	/* Object/nil.scm 60 */
										obj_t BgL_symbolz00_1359;

										BgL_symbolz00_1359 = ((obj_t) CNST_TABLE_REF(1));
										{	/* Object/nil.scm 60 */
											obj_t BgL_arg1486z00_1360;

											BgL_arg1486z00_1360 =
												SYMBOL_TO_STRING(BgL_symbolz00_1359);
											BgL_arg1274z00_1017 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1486z00_1360);
										}
									}
									{	/* Object/nil.scm 60 */
										obj_t BgL_arg1486z00_1362;

										BgL_arg1486z00_1362 = SYMBOL_TO_STRING(BgL_idzd2nilzd2_963);
										BgL_arg1275z00_1018 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1486z00_1362);
									}
									BgL_arg1273z00_1016 =
										string_append(BgL_arg1274z00_1017, BgL_arg1275z00_1018);
								}
								BgL_thezd2idzd2nilz00_965 =
									bstring_to_symbol(BgL_arg1273z00_1016);
							}
							{	/* Object/nil.scm 60 */
								obj_t BgL_thezd2tidzd2nilz00_966;

								BgL_thezd2tidzd2nilz00_966 =
									BGl_makezd2typedzd2identz00zzast_identz00
									(BgL_thezd2idzd2nilz00_965, ((obj_t) CNST_TABLE_REF(2)));
								{	/* Object/nil.scm 61 */
									obj_t BgL_allocz00_967;

									{	/* Object/nil.scm 62 */
										obj_t BgL_arg1268z00_1013;

										{	/* Object/nil.scm 62 */
											obj_t BgL_arg1271z00_1014;
											obj_t BgL_arg1272z00_1015;

											{	/* Object/nil.scm 62 */
												obj_t BgL_symbolz00_1364;

												BgL_symbolz00_1364 = ((obj_t) CNST_TABLE_REF(3));
												{	/* Object/nil.scm 62 */
													obj_t BgL_arg1486z00_1365;

													BgL_arg1486z00_1365 =
														SYMBOL_TO_STRING(BgL_symbolz00_1364);
													BgL_arg1271z00_1014 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1486z00_1365);
												}
											}
											{	/* Object/nil.scm 62 */
												obj_t BgL_arg1486z00_1367;

												BgL_arg1486z00_1367 = SYMBOL_TO_STRING(BgL_idz00_962);
												BgL_arg1272z00_1015 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1486z00_1367);
											}
											BgL_arg1268z00_1013 =
												string_append(BgL_arg1271z00_1014, BgL_arg1272z00_1015);
										}
										BgL_allocz00_967 = bstring_to_symbol(BgL_arg1268z00_1013);
									}
									{	/* Object/nil.scm 62 */
										obj_t BgL_fillz00_968;

										{	/* Object/nil.scm 63 */
											obj_t BgL_list1263z00_1010;

											{	/* Object/nil.scm 63 */
												obj_t BgL_arg1266z00_1011;

												{	/* Object/nil.scm 63 */
													obj_t BgL_arg1267z00_1012;

													BgL_arg1267z00_1012 =
														MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(4)), BNIL);
													BgL_arg1266z00_1011 =
														MAKE_YOUNG_PAIR(BgL_idz00_962, BgL_arg1267z00_1012);
												}
												BgL_list1263z00_1010 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(5)), BgL_arg1266z00_1011);
											}
											BgL_fillz00_968 =
												BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
												(BgL_list1263z00_1010);
										}
										{	/* Object/nil.scm 63 */
											obj_t BgL_tmpz00_969;

											{	/* Object/nil.scm 64 */

												{	/* Object/nil.scm 64 */

													BgL_tmpz00_969 =
														BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
												}
											}
											{	/* Object/nil.scm 64 */
												obj_t BgL_tmptz00_970;

												BgL_tmptz00_970 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_tmpz00_969, BgL_idz00_962);
												{	/* Object/nil.scm 65 */

													{	/* Object/nil.scm 66 */
														obj_t BgL_arg1159z00_971;

														{	/* Object/nil.scm 66 */
															obj_t BgL_arg1161z00_972;

															{	/* Object/nil.scm 66 */
																obj_t BgL_arg1172z00_973;

																BgL_arg1172z00_973 =
																	MAKE_YOUNG_PAIR(BgL_tidzd2nilzd2_964, BNIL);
																BgL_arg1161z00_972 =
																	MAKE_YOUNG_PAIR(BgL_arg1172z00_973, BNIL);
															}
															BgL_arg1159z00_971 =
																MAKE_YOUNG_PAIR(BgL_importz00_8,
																BgL_arg1161z00_972);
														}
														BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
															(BgL_arg1159z00_971);
													}
													{	/* Object/nil.scm 68 */
														obj_t BgL_arg1173z00_974;
														obj_t BgL_arg1174z00_975;

														{	/* Object/nil.scm 68 */
															obj_t BgL_arg1178z00_978;

															{	/* Object/nil.scm 68 */
																obj_t BgL_arg1179z00_979;

																BgL_arg1179z00_979 =
																	MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
																BgL_arg1178z00_978 =
																	MAKE_YOUNG_PAIR(BgL_thezd2tidzd2nilz00_966,
																	BgL_arg1179z00_979);
															}
															BgL_arg1173z00_974 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(6)), BgL_arg1178z00_978);
														}
														{	/* Object/nil.scm 69 */
															obj_t BgL_arg1183z00_980;

															{	/* Object/nil.scm 69 */
																obj_t BgL_arg1184z00_981;

																{	/* Object/nil.scm 69 */
																	obj_t BgL_arg1187z00_982;
																	obj_t BgL_arg1192z00_983;

																	BgL_arg1187z00_982 =
																		MAKE_YOUNG_PAIR(BgL_tidzd2nilzd2_964, BNIL);
																	{	/* Object/nil.scm 71 */
																		obj_t BgL_arg1195z00_984;

																		{	/* Object/nil.scm 71 */
																			obj_t BgL_arg1207z00_985;

																			{	/* Object/nil.scm 71 */
																				obj_t BgL_arg1212z00_987;

																				{	/* Object/nil.scm 71 */
																					obj_t BgL_arg1226z00_988;
																					obj_t BgL_arg1235z00_989;

																					{	/* Object/nil.scm 71 */
																						obj_t BgL_arg1236z00_990;

																						{	/* Object/nil.scm 71 */
																							obj_t BgL_arg1237z00_991;

																							BgL_arg1237z00_991 =
																								MAKE_YOUNG_PAIR(BgL_idz00_962,
																								BNIL);
																							BgL_arg1236z00_990 =
																								MAKE_YOUNG_PAIR
																								(BgL_thezd2idzd2nilz00_965,
																								BgL_arg1237z00_991);
																						}
																						BgL_arg1226z00_988 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(7)),
																							BgL_arg1236z00_990);
																					}
																					{	/* Object/nil.scm 73 */
																						obj_t BgL_arg1240z00_992;

																						{	/* Object/nil.scm 73 */
																							obj_t BgL_arg1241z00_993;

																							{	/* Object/nil.scm 73 */
																								obj_t BgL_arg1242z00_994;

																								{	/* Object/nil.scm 73 */
																									obj_t BgL_arg1244z00_995;
																									obj_t BgL_arg1245z00_996;

																									{	/* Object/nil.scm 73 */
																										obj_t BgL_arg1246z00_997;

																										{	/* Object/nil.scm 73 */
																											obj_t BgL_arg1247z00_998;

																											{	/* Object/nil.scm 73 */
																												obj_t
																													BgL_arg1249z00_999;
																												BgL_arg1249z00_999 =
																													MAKE_YOUNG_PAIR
																													(BgL_allocz00_967,
																													BNIL);
																												BgL_arg1247z00_998 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1249z00_999,
																													BNIL);
																											}
																											BgL_arg1246z00_997 =
																												MAKE_YOUNG_PAIR
																												(BgL_tmptz00_970,
																												BgL_arg1247z00_998);
																										}
																										BgL_arg1244z00_995 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1246z00_997,
																											BNIL);
																									}
																									{	/* Object/nil.scm 74 */
																										obj_t BgL_arg1250z00_1000;
																										obj_t BgL_arg1252z00_1001;

																										{	/* Object/nil.scm 74 */
																											obj_t BgL_arg1253z00_1002;

																											{	/* Object/nil.scm 74 */
																												obj_t
																													BgL_arg1254z00_1003;
																												BgL_arg1254z00_1003 =
																													MAKE_YOUNG_PAIR
																													(BgL_tmpz00_969,
																													BNIL);
																												BgL_arg1253z00_1002 =
																													MAKE_YOUNG_PAIR
																													(BgL_thezd2idzd2nilz00_965,
																													BgL_arg1254z00_1003);
																											}
																											BgL_arg1250z00_1000 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													CNST_TABLE_REF(8)),
																												BgL_arg1253z00_1002);
																										}
																										{	/* Object/nil.scm 75 */
																											obj_t BgL_arg1255z00_1004;
																											obj_t BgL_arg1256z00_1005;

																											{	/* Object/nil.scm 75 */
																												obj_t
																													BgL_arg1258z00_1006;
																												{	/* Object/nil.scm 75 */
																													obj_t
																														BgL_arg1260z00_1007;
																													{	/* Object/nil.scm 75 */
																														obj_t
																															BgL_arg1262z00_1008;
																														{
																															BgL_tclassz00_bglt
																																BgL_auxz00_2034;
																															{
																																obj_t
																																	BgL_auxz00_2035;
																																{	/* Object/nil.scm 75 */
																																	BgL_objectz00_bglt
																																		BgL_tmpz00_2036;
																																	BgL_tmpz00_2036
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		BgL_classz00_6);
																																	BgL_auxz00_2035
																																		=
																																		BGL_OBJECT_WIDENING
																																		(BgL_tmpz00_2036);
																																}
																																BgL_auxz00_2034
																																	=
																																	(
																																	(BgL_tclassz00_bglt)
																																	BgL_auxz00_2035);
																															}
																															BgL_arg1262z00_1008
																																=
																																(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2034))->BgL_slotsz00);
																														}
																														BgL_arg1260z00_1007
																															=
																															BGl_fillzd2nilzd2zzobject_nilz00
																															(BgL_arg1262z00_1008);
																													}
																													BgL_arg1258z00_1006 =
																														MAKE_YOUNG_PAIR
																														(BgL_tmpz00_969,
																														BgL_arg1260z00_1007);
																												}
																												BgL_arg1255z00_1004 =
																													MAKE_YOUNG_PAIR
																													(BgL_fillz00_968,
																													BgL_arg1258z00_1006);
																											}
																											BgL_arg1256z00_1005 =
																												MAKE_YOUNG_PAIR
																												(BgL_tmpz00_969, BNIL);
																											BgL_arg1252z00_1001 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1255z00_1004,
																												BgL_arg1256z00_1005);
																										}
																										BgL_arg1245z00_996 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1250z00_1000,
																											BgL_arg1252z00_1001);
																									}
																									BgL_arg1242z00_994 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1244z00_995,
																										BgL_arg1245z00_996);
																								}
																								BgL_arg1241z00_993 =
																									MAKE_YOUNG_PAIR(
																									((obj_t)
																										CNST_TABLE_REF(9)),
																									BgL_arg1242z00_994);
																							}
																							BgL_arg1240z00_992 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1241z00_993, BNIL);
																						}
																						BgL_arg1235z00_989 =
																							MAKE_YOUNG_PAIR
																							(BgL_thezd2idzd2nilz00_965,
																							BgL_arg1240z00_992);
																					}
																					BgL_arg1212z00_987 =
																						MAKE_YOUNG_PAIR(BgL_arg1226z00_988,
																						BgL_arg1235z00_989);
																				}
																				BgL_arg1207z00_985 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(10)),
																					BgL_arg1212z00_987);
																			}
																			{	/* Object/nil.scm 70 */
																				obj_t BgL_list1208z00_986;

																				BgL_list1208z00_986 =
																					MAKE_YOUNG_PAIR(BgL_arg1207z00_985,
																					BNIL);
																				BgL_arg1195z00_984 =
																					BGl_makezd2privatezd2sexpz00zzast_privatez00
																					(((obj_t) CNST_TABLE_REF(11)),
																					BgL_idz00_962, BgL_list1208z00_986);
																			}
																		}
																		BgL_arg1192z00_983 =
																			MAKE_YOUNG_PAIR(BgL_arg1195z00_984, BNIL);
																	}
																	BgL_arg1184z00_981 =
																		MAKE_YOUNG_PAIR(BgL_arg1187z00_982,
																		BgL_arg1192z00_983);
																}
																BgL_arg1183z00_980 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(6)), BgL_arg1184z00_981);
															}
															BgL_arg1174z00_975 =
																BGl_epairifyz00zztools_miscz00
																(BgL_arg1183z00_980, BgL_srczd2defzd2_7);
														}
														{	/* Object/nil.scm 67 */
															obj_t BgL_list1175z00_976;

															{	/* Object/nil.scm 67 */
																obj_t BgL_arg1177z00_977;

																BgL_arg1177z00_977 =
																	MAKE_YOUNG_PAIR(BgL_arg1174z00_975, BNIL);
																BgL_list1175z00_976 =
																	MAKE_YOUNG_PAIR(BgL_arg1173z00_974,
																	BgL_arg1177z00_977);
															}
															return BgL_list1175z00_976;
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &gen-plain-class-nil */
	obj_t BGl_z62genzd2plainzd2classzd2nilzb0zzobject_nilz00(obj_t
		BgL_envz00_1895, obj_t BgL_classz00_1896, obj_t BgL_srczd2defzd2_1897,
		obj_t BgL_importz00_1898)
	{
		{	/* Object/nil.scm 55 */
			return
				BGl_genzd2plainzd2classzd2nilzd2zzobject_nilz00(
				((BgL_typez00_bglt) BgL_classz00_1896), BgL_srczd2defzd2_1897,
				BgL_importz00_1898);
		}

	}



/* gen-wide-class-nil */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2widezd2classzd2nilzd2zzobject_nilz00(BgL_typez00_bglt
		BgL_classz00_9, obj_t BgL_srczd2defzd2_10, obj_t BgL_importz00_11)
	{
		{	/* Object/nil.scm 84 */
			{	/* Object/nil.scm 86 */
				obj_t BgL_idz00_1023;

				BgL_idz00_1023 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_classz00_9)))->BgL_idz00);
				{	/* Object/nil.scm 86 */
					obj_t BgL_superzd2idzd2_1024;

					{	/* Object/nil.scm 87 */
						obj_t BgL_arg1417z00_1113;

						{
							BgL_tclassz00_bglt BgL_auxz00_2073;

							{
								obj_t BgL_auxz00_2074;

								{	/* Object/nil.scm 87 */
									BgL_objectz00_bglt BgL_tmpz00_2075;

									BgL_tmpz00_2075 = ((BgL_objectz00_bglt) BgL_classz00_9);
									BgL_auxz00_2074 = BGL_OBJECT_WIDENING(BgL_tmpz00_2075);
								}
								BgL_auxz00_2073 = ((BgL_tclassz00_bglt) BgL_auxz00_2074);
							}
							BgL_arg1417z00_1113 =
								(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2073))->
								BgL_itszd2superzd2);
						}
						BgL_superzd2idzd2_1024 =
							(((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt)
										((BgL_typez00_bglt) BgL_arg1417z00_1113))))->BgL_idz00);
					}
					{	/* Object/nil.scm 87 */
						obj_t BgL_superzd2slotszd2_1025;

						{	/* Object/nil.scm 88 */
							obj_t BgL_arg1416z00_1112;

							{
								BgL_tclassz00_bglt BgL_auxz00_2083;

								{
									obj_t BgL_auxz00_2084;

									{	/* Object/nil.scm 88 */
										BgL_objectz00_bglt BgL_tmpz00_2085;

										BgL_tmpz00_2085 = ((BgL_objectz00_bglt) BgL_classz00_9);
										BgL_auxz00_2084 = BGL_OBJECT_WIDENING(BgL_tmpz00_2085);
									}
									BgL_auxz00_2083 = ((BgL_tclassz00_bglt) BgL_auxz00_2084);
								}
								BgL_arg1416z00_1112 =
									(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2083))->
									BgL_itszd2superzd2);
							}
							{
								BgL_tclassz00_bglt BgL_auxz00_2090;

								{
									obj_t BgL_auxz00_2091;

									{	/* Object/nil.scm 88 */
										BgL_objectz00_bglt BgL_tmpz00_2092;

										BgL_tmpz00_2092 =
											((BgL_objectz00_bglt)
											((BgL_typez00_bglt) BgL_arg1416z00_1112));
										BgL_auxz00_2091 = BGL_OBJECT_WIDENING(BgL_tmpz00_2092);
									}
									BgL_auxz00_2090 = ((BgL_tclassz00_bglt) BgL_auxz00_2091);
								}
								BgL_superzd2slotszd2_1025 =
									(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2090))->
									BgL_slotsz00);
							}
						}
						{	/* Object/nil.scm 88 */
							obj_t BgL_idzd2nilzd2_1026;

							{	/* Object/nil.scm 89 */
								obj_t BgL_arg1406z00_1109;

								{	/* Object/nil.scm 89 */
									obj_t BgL_arg1414z00_1110;
									obj_t BgL_arg1415z00_1111;

									{	/* Object/nil.scm 89 */
										obj_t BgL_arg1486z00_1378;

										BgL_arg1486z00_1378 = SYMBOL_TO_STRING(BgL_idz00_1023);
										BgL_arg1414z00_1110 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1486z00_1378);
									}
									{	/* Object/nil.scm 89 */
										obj_t BgL_symbolz00_1379;

										BgL_symbolz00_1379 = ((obj_t) CNST_TABLE_REF(0));
										{	/* Object/nil.scm 89 */
											obj_t BgL_arg1486z00_1380;

											BgL_arg1486z00_1380 =
												SYMBOL_TO_STRING(BgL_symbolz00_1379);
											BgL_arg1415z00_1111 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1486z00_1380);
										}
									}
									BgL_arg1406z00_1109 =
										string_append(BgL_arg1414z00_1110, BgL_arg1415z00_1111);
								}
								BgL_idzd2nilzd2_1026 = bstring_to_symbol(BgL_arg1406z00_1109);
							}
							{	/* Object/nil.scm 89 */
								obj_t BgL_tidzd2nilzd2_1027;

								BgL_tidzd2nilzd2_1027 =
									BGl_makezd2typedzd2identz00zzast_identz00
									(BgL_idzd2nilzd2_1026, BgL_idz00_1023);
								{	/* Object/nil.scm 90 */
									obj_t BgL_thezd2idzd2nilz00_1028;

									{	/* Object/nil.scm 91 */
										obj_t BgL_arg1401z00_1106;

										{	/* Object/nil.scm 91 */
											obj_t BgL_arg1402z00_1107;
											obj_t BgL_arg1403z00_1108;

											{	/* Object/nil.scm 91 */
												obj_t BgL_symbolz00_1382;

												BgL_symbolz00_1382 = ((obj_t) CNST_TABLE_REF(1));
												{	/* Object/nil.scm 91 */
													obj_t BgL_arg1486z00_1383;

													BgL_arg1486z00_1383 =
														SYMBOL_TO_STRING(BgL_symbolz00_1382);
													BgL_arg1402z00_1107 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1486z00_1383);
												}
											}
											{	/* Object/nil.scm 91 */
												obj_t BgL_arg1486z00_1385;

												BgL_arg1486z00_1385 =
													SYMBOL_TO_STRING(BgL_idzd2nilzd2_1026);
												BgL_arg1403z00_1108 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1486z00_1385);
											}
											BgL_arg1401z00_1106 =
												string_append(BgL_arg1402z00_1107, BgL_arg1403z00_1108);
										}
										BgL_thezd2idzd2nilz00_1028 =
											bstring_to_symbol(BgL_arg1401z00_1106);
									}
									{	/* Object/nil.scm 91 */
										obj_t BgL_thezd2tidzd2nilz00_1029;

										BgL_thezd2tidzd2nilz00_1029 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_thezd2idzd2nilz00_1028, ((obj_t) CNST_TABLE_REF(2)));
										{	/* Object/nil.scm 92 */
											obj_t BgL_wideningz00_1030;

											{	/* Object/nil.scm 93 */
												obj_t BgL_arg1390z00_1102;

												{
													BgL_tclassz00_bglt BgL_auxz00_2118;

													{
														obj_t BgL_auxz00_2119;

														{	/* Object/nil.scm 93 */
															BgL_objectz00_bglt BgL_tmpz00_2120;

															BgL_tmpz00_2120 =
																((BgL_objectz00_bglt) BgL_classz00_9);
															BgL_auxz00_2119 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2120);
														}
														BgL_auxz00_2118 =
															((BgL_tclassz00_bglt) BgL_auxz00_2119);
													}
													BgL_arg1390z00_1102 =
														(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2118))->
														BgL_wideningz00);
												}
												{	/* Object/nil.scm 93 */
													obj_t BgL_list1391z00_1103;

													{	/* Object/nil.scm 93 */
														obj_t BgL_arg1392z00_1104;

														{	/* Object/nil.scm 93 */
															obj_t BgL_arg1400z00_1105;

															BgL_arg1400z00_1105 =
																MAKE_YOUNG_PAIR(BgL_idz00_1023, BNIL);
															BgL_arg1392z00_1104 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(12)), BgL_arg1400z00_1105);
														}
														BgL_list1391z00_1103 =
															MAKE_YOUNG_PAIR(BgL_arg1390z00_1102,
															BgL_arg1392z00_1104);
													}
													BgL_wideningz00_1030 =
														BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
														(BgL_list1391z00_1103);
												}
											}
											{	/* Object/nil.scm 93 */
												obj_t BgL_superzd2alloczd2_1031;

												{	/* Object/nil.scm 94 */
													obj_t BgL_arg1385z00_1099;

													{	/* Object/nil.scm 94 */
														obj_t BgL_arg1386z00_1100;
														obj_t BgL_arg1388z00_1101;

														{	/* Object/nil.scm 94 */
															obj_t BgL_symbolz00_1389;

															BgL_symbolz00_1389 = ((obj_t) CNST_TABLE_REF(3));
															{	/* Object/nil.scm 94 */
																obj_t BgL_arg1486z00_1390;

																BgL_arg1486z00_1390 =
																	SYMBOL_TO_STRING(BgL_symbolz00_1389);
																BgL_arg1386z00_1100 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1486z00_1390);
															}
														}
														{	/* Object/nil.scm 94 */
															obj_t BgL_arg1486z00_1392;

															BgL_arg1486z00_1392 =
																SYMBOL_TO_STRING(BgL_superzd2idzd2_1024);
															BgL_arg1388z00_1101 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1486z00_1392);
														}
														BgL_arg1385z00_1099 =
															string_append(BgL_arg1386z00_1100,
															BgL_arg1388z00_1101);
													}
													BgL_superzd2alloczd2_1031 =
														bstring_to_symbol(BgL_arg1385z00_1099);
												}
												{	/* Object/nil.scm 94 */
													obj_t BgL_superzd2fillzd2_1032;

													{	/* Object/nil.scm 95 */
														obj_t BgL_list1380z00_1096;

														{	/* Object/nil.scm 95 */
															obj_t BgL_arg1382z00_1097;

															{	/* Object/nil.scm 95 */
																obj_t BgL_arg1383z00_1098;

																BgL_arg1383z00_1098 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) CNST_TABLE_REF(4)), BNIL);
																BgL_arg1382z00_1097 =
																	MAKE_YOUNG_PAIR(BgL_superzd2idzd2_1024,
																	BgL_arg1383z00_1098);
															}
															BgL_list1380z00_1096 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(5)), BgL_arg1382z00_1097);
														}
														BgL_superzd2fillzd2_1032 =
															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
															(BgL_list1380z00_1096);
													}
													{	/* Object/nil.scm 95 */
														obj_t BgL_idzf3zf3_1033;

														{	/* Object/nil.scm 96 */
															obj_t BgL_arg1371z00_1093;

															{	/* Object/nil.scm 96 */
																obj_t BgL_arg1376z00_1094;
																obj_t BgL_arg1379z00_1095;

																{	/* Object/nil.scm 96 */
																	obj_t BgL_arg1486z00_1395;

																	BgL_arg1486z00_1395 =
																		SYMBOL_TO_STRING(BgL_idz00_1023);
																	BgL_arg1376z00_1094 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1486z00_1395);
																}
																{	/* Object/nil.scm 96 */
																	obj_t BgL_symbolz00_1396;

																	BgL_symbolz00_1396 =
																		((obj_t) CNST_TABLE_REF(13));
																	{	/* Object/nil.scm 96 */
																		obj_t BgL_arg1486z00_1397;

																		BgL_arg1486z00_1397 =
																			SYMBOL_TO_STRING(BgL_symbolz00_1396);
																		BgL_arg1379z00_1095 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1486z00_1397);
																	}
																}
																BgL_arg1371z00_1093 =
																	string_append(BgL_arg1376z00_1094,
																	BgL_arg1379z00_1095);
															}
															BgL_idzf3zf3_1033 =
																bstring_to_symbol(BgL_arg1371z00_1093);
														}
														{	/* Object/nil.scm 96 */
															obj_t BgL_tmpz00_1034;

															{	/* Object/nil.scm 97 */

																{	/* Object/nil.scm 97 */

																	BgL_tmpz00_1034 =
																		BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
																}
															}
															{	/* Object/nil.scm 97 */
																obj_t BgL_tmptz00_1035;

																BgL_tmptz00_1035 =
																	BGl_makezd2typedzd2identz00zzast_identz00
																	(BgL_tmpz00_1034, BgL_idz00_1023);
																{	/* Object/nil.scm 98 */

																	{	/* Object/nil.scm 99 */
																		obj_t BgL_arg1280z00_1036;

																		{	/* Object/nil.scm 99 */
																			obj_t BgL_arg1281z00_1037;

																			{	/* Object/nil.scm 99 */
																				obj_t BgL_arg1282z00_1038;

																				BgL_arg1282z00_1038 =
																					MAKE_YOUNG_PAIR(BgL_tidzd2nilzd2_1027,
																					BNIL);
																				BgL_arg1281z00_1037 =
																					MAKE_YOUNG_PAIR(BgL_arg1282z00_1038,
																					BNIL);
																			}
																			BgL_arg1280z00_1036 =
																				MAKE_YOUNG_PAIR(BgL_importz00_11,
																				BgL_arg1281z00_1037);
																		}
																		BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																			(BgL_arg1280z00_1036);
																	}
																	{	/* Object/nil.scm 101 */
																		obj_t BgL_arg1284z00_1039;
																		obj_t BgL_arg1285z00_1040;

																		{	/* Object/nil.scm 101 */
																			obj_t BgL_arg1288z00_1043;

																			{	/* Object/nil.scm 101 */
																				obj_t BgL_arg1289z00_1044;

																				BgL_arg1289z00_1044 =
																					MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
																				BgL_arg1288z00_1043 =
																					MAKE_YOUNG_PAIR
																					(BgL_thezd2tidzd2nilz00_1029,
																					BgL_arg1289z00_1044);
																			}
																			BgL_arg1284z00_1039 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(6)),
																				BgL_arg1288z00_1043);
																		}
																		{	/* Object/nil.scm 102 */
																			obj_t BgL_arg1291z00_1045;

																			{	/* Object/nil.scm 102 */
																				obj_t BgL_arg1292z00_1046;

																				{	/* Object/nil.scm 102 */
																					obj_t BgL_arg1293z00_1047;
																					obj_t BgL_arg1294z00_1048;

																					BgL_arg1293z00_1047 =
																						MAKE_YOUNG_PAIR
																						(BgL_tidzd2nilzd2_1027, BNIL);
																					{	/* Object/nil.scm 104 */
																						obj_t BgL_arg1295z00_1049;

																						{	/* Object/nil.scm 104 */
																							obj_t BgL_arg1296z00_1050;

																							{	/* Object/nil.scm 104 */
																								obj_t BgL_arg1298z00_1052;

																								{	/* Object/nil.scm 104 */
																									obj_t BgL_arg1299z00_1053;
																									obj_t BgL_arg1301z00_1054;

																									{	/* Object/nil.scm 104 */
																										obj_t BgL_arg1302z00_1055;

																										BgL_arg1302z00_1055 =
																											MAKE_YOUNG_PAIR
																											(BgL_thezd2idzd2nilz00_1028,
																											BNIL);
																										BgL_arg1299z00_1053 =
																											MAKE_YOUNG_PAIR
																											(BgL_idzf3zf3_1033,
																											BgL_arg1302z00_1055);
																									}
																									{	/* Object/nil.scm 107 */
																										obj_t BgL_arg1303z00_1056;

																										{	/* Object/nil.scm 107 */
																											obj_t BgL_arg1304z00_1057;

																											{	/* Object/nil.scm 107 */
																												obj_t
																													BgL_arg1305z00_1058;
																												{	/* Object/nil.scm 107 */
																													obj_t
																														BgL_arg1309z00_1059;
																													obj_t
																														BgL_arg1310z00_1060;
																													{	/* Object/nil.scm 107 */
																														obj_t
																															BgL_arg1311z00_1061;
																														{	/* Object/nil.scm 107 */
																															obj_t
																																BgL_arg1313z00_1062;
																															{	/* Object/nil.scm 107 */
																																obj_t
																																	BgL_arg1314z00_1063;
																																BgL_arg1314z00_1063
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_superzd2alloczd2_1031,
																																	BNIL);
																																BgL_arg1313z00_1062
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1314z00_1063,
																																	BNIL);
																															}
																															BgL_arg1311z00_1061
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_tmptz00_1035,
																																BgL_arg1313z00_1062);
																														}
																														BgL_arg1309z00_1059
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1311z00_1061,
																															BNIL);
																													}
																													{	/* Object/nil.scm 108 */
																														obj_t
																															BgL_arg1315z00_1064;
																														obj_t
																															BgL_arg1316z00_1065;
																														{	/* Object/nil.scm 108 */
																															obj_t
																																BgL_arg1317z00_1066;
																															{	/* Object/nil.scm 108 */
																																obj_t
																																	BgL_arg1318z00_1067;
																																BgL_arg1318z00_1067
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_tmpz00_1034,
																																	BNIL);
																																BgL_arg1317z00_1066
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_thezd2idzd2nilz00_1028,
																																	BgL_arg1318z00_1067);
																															}
																															BgL_arg1315z00_1064
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	CNST_TABLE_REF
																																	(8)),
																																BgL_arg1317z00_1066);
																														}
																														{	/* Object/nil.scm 110 */
																															obj_t
																																BgL_arg1319z00_1068;
																															obj_t
																																BgL_arg1320z00_1069;
																															{	/* Object/nil.scm 110 */
																																obj_t
																																	BgL_arg1321z00_1070;
																																BgL_arg1321z00_1070
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_tmpz00_1034,
																																	BGl_fillzd2nilzd2zzobject_nilz00
																																	(BgL_superzd2slotszd2_1025));
																																BgL_arg1319z00_1068
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_superzd2fillzd2_1032,
																																	BgL_arg1321z00_1070);
																															}
																															{	/* Object/nil.scm 114 */
																																obj_t
																																	BgL_arg1326z00_1072;
																																obj_t
																																	BgL_arg1327z00_1073;
																																{	/* Object/nil.scm 114 */
																																	obj_t
																																		BgL_arg1331z00_1074;
																																	{	/* Object/nil.scm 114 */
																																		obj_t
																																			BgL_arg1332z00_1075;
																																		{	/* Object/nil.scm 114 */
																																			obj_t
																																				BgL_arg1333z00_1076;
																																			{	/* Object/nil.scm 114 */
																																				obj_t
																																					BgL_arg1336z00_1077;
																																				{	/* Object/nil.scm 114 */
																																					obj_t
																																						BgL_arg1338z00_1078;
																																					{	/* Object/nil.scm 114 */
																																						obj_t
																																							BgL_arg1339z00_1079;
																																						{	/* Object/nil.scm 114 */
																																							obj_t
																																								BgL_arg1340z00_1080;
																																							obj_t
																																								BgL_arg1341z00_1081;
																																							{	/* Object/nil.scm 114 */
																																								BgL_globalz00_bglt
																																									BgL_arg1342z00_1082;
																																								{
																																									BgL_tclassz00_bglt
																																										BgL_auxz00_2181;
																																									{
																																										obj_t
																																											BgL_auxz00_2182;
																																										{	/* Object/nil.scm 114 */
																																											BgL_objectz00_bglt
																																												BgL_tmpz00_2183;
																																											BgL_tmpz00_2183
																																												=
																																												(
																																												(BgL_objectz00_bglt)
																																												BgL_classz00_9);
																																											BgL_auxz00_2182
																																												=
																																												BGL_OBJECT_WIDENING
																																												(BgL_tmpz00_2183);
																																										}
																																										BgL_auxz00_2181
																																											=
																																											(
																																											(BgL_tclassz00_bglt)
																																											BgL_auxz00_2182);
																																									}
																																									BgL_arg1342z00_1082
																																										=
																																										(
																																										((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2181))->BgL_holderz00);
																																								}
																																								BgL_arg1340z00_1080
																																									=
																																									(
																																									((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_arg1342z00_1082)))->BgL_idz00);
																																							}
																																							{	/* Object/nil.scm 115 */
																																								obj_t
																																									BgL_arg1355z00_1083;
																																								{	/* Object/nil.scm 115 */
																																									BgL_globalz00_bglt
																																										BgL_arg1358z00_1084;
																																									{
																																										BgL_tclassz00_bglt
																																											BgL_auxz00_2190;
																																										{
																																											obj_t
																																												BgL_auxz00_2191;
																																											{	/* Object/nil.scm 115 */
																																												BgL_objectz00_bglt
																																													BgL_tmpz00_2192;
																																												BgL_tmpz00_2192
																																													=
																																													(
																																													(BgL_objectz00_bglt)
																																													BgL_classz00_9);
																																												BgL_auxz00_2191
																																													=
																																													BGL_OBJECT_WIDENING
																																													(BgL_tmpz00_2192);
																																											}
																																											BgL_auxz00_2190
																																												=
																																												(
																																												(BgL_tclassz00_bglt)
																																												BgL_auxz00_2191);
																																										}
																																										BgL_arg1358z00_1084
																																											=
																																											(
																																											((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2190))->BgL_holderz00);
																																									}
																																									BgL_arg1355z00_1083
																																										=
																																										(
																																										((BgL_globalz00_bglt) COBJECT(BgL_arg1358z00_1084))->BgL_modulez00);
																																								}
																																								BgL_arg1341z00_1081
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg1355z00_1083,
																																									BNIL);
																																							}
																																							BgL_arg1339z00_1079
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BgL_arg1340z00_1080,
																																								BgL_arg1341z00_1081);
																																						}
																																						BgL_arg1338z00_1078
																																							=
																																							MAKE_YOUNG_PAIR
																																							(((obj_t) CNST_TABLE_REF(14)), BgL_arg1339z00_1079);
																																					}
																																					BgL_arg1336z00_1077
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg1338z00_1078,
																																						BNIL);
																																				}
																																				BgL_arg1333z00_1076
																																					=
																																					MAKE_YOUNG_PAIR
																																					(((obj_t) CNST_TABLE_REF(15)), BgL_arg1336z00_1077);
																																			}
																																			BgL_arg1332z00_1075
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1333z00_1076,
																																				BNIL);
																																		}
																																		BgL_arg1331z00_1074
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_tmpz00_1034,
																																			BgL_arg1332z00_1075);
																																	}
																																	BgL_arg1326z00_1072
																																		=
																																		MAKE_YOUNG_PAIR
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(16)),
																																		BgL_arg1331z00_1074);
																																}
																																{	/* Object/nil.scm 119 */
																																	obj_t
																																		BgL_arg1359z00_1085;
																																	obj_t
																																		BgL_arg1360z00_1086;
																																	{	/* Object/nil.scm 119 */
																																		obj_t
																																			BgL_arg1361z00_1087;
																																		{	/* Object/nil.scm 119 */
																																			obj_t
																																				BgL_arg1364z00_1088;
																																			{	/* Object/nil.scm 119 */
																																				obj_t
																																					BgL_arg1365z00_1089;
																																				{	/* Object/nil.scm 119 */
																																					obj_t
																																						BgL_arg1367z00_1090;
																																					{	/* Object/nil.scm 119 */
																																						obj_t
																																							BgL_arg1370z00_1091;
																																						{
																																							BgL_tclassz00_bglt
																																								BgL_auxz00_2212;
																																							{
																																								obj_t
																																									BgL_auxz00_2213;
																																								{	/* Object/nil.scm 119 */
																																									BgL_objectz00_bglt
																																										BgL_tmpz00_2214;
																																									BgL_tmpz00_2214
																																										=
																																										(
																																										(BgL_objectz00_bglt)
																																										BgL_classz00_9);
																																									BgL_auxz00_2213
																																										=
																																										BGL_OBJECT_WIDENING
																																										(BgL_tmpz00_2214);
																																								}
																																								BgL_auxz00_2212
																																									=
																																									(
																																									(BgL_tclassz00_bglt)
																																									BgL_auxz00_2213);
																																							}
																																							BgL_arg1370z00_1091
																																								=
																																								(
																																								((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2212))->BgL_slotsz00);
																																						}
																																						BgL_arg1367z00_1090
																																							=
																																							BGl_fillzd2nilzd2zzobject_nilz00
																																							(BgL_arg1370z00_1091);
																																					}
																																					BgL_arg1365z00_1089
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_wideningz00_1030,
																																						BgL_arg1367z00_1090);
																																				}
																																				BgL_arg1364z00_1088
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg1365z00_1089,
																																					BNIL);
																																			}
																																			BgL_arg1361z00_1087
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_tmpz00_1034,
																																				BgL_arg1364z00_1088);
																																		}
																																		BgL_arg1359z00_1085
																																			=
																																			MAKE_YOUNG_PAIR
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(17)),
																																			BgL_arg1361z00_1087);
																																	}
																																	BgL_arg1360z00_1086
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_tmpz00_1034,
																																		BNIL);
																																	BgL_arg1327z00_1073
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1359z00_1085,
																																		BgL_arg1360z00_1086);
																																}
																																BgL_arg1320z00_1069
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1326z00_1072,
																																	BgL_arg1327z00_1073);
																															}
																															BgL_arg1316z00_1065
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1319z00_1068,
																																BgL_arg1320z00_1069);
																														}
																														BgL_arg1310z00_1060
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1315z00_1064,
																															BgL_arg1316z00_1065);
																													}
																													BgL_arg1305z00_1058 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1309z00_1059,
																														BgL_arg1310z00_1060);
																												}
																												BgL_arg1304z00_1057 =
																													MAKE_YOUNG_PAIR(
																													((obj_t)
																														CNST_TABLE_REF(9)),
																													BgL_arg1305z00_1058);
																											}
																											BgL_arg1303z00_1056 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1304z00_1057,
																												BNIL);
																										}
																										BgL_arg1301z00_1054 =
																											MAKE_YOUNG_PAIR
																											(BgL_thezd2idzd2nilz00_1028,
																											BgL_arg1303z00_1056);
																									}
																									BgL_arg1298z00_1052 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1299z00_1053,
																										BgL_arg1301z00_1054);
																								}
																								BgL_arg1296z00_1050 =
																									MAKE_YOUNG_PAIR(
																									((obj_t)
																										CNST_TABLE_REF(10)),
																									BgL_arg1298z00_1052);
																							}
																							{	/* Object/nil.scm 103 */
																								obj_t BgL_list1297z00_1051;

																								BgL_list1297z00_1051 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1296z00_1050, BNIL);
																								BgL_arg1295z00_1049 =
																									BGl_makezd2privatezd2sexpz00zzast_privatez00
																									(((obj_t) CNST_TABLE_REF(11)),
																									BgL_idz00_1023,
																									BgL_list1297z00_1051);
																							}
																						}
																						BgL_arg1294z00_1048 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1295z00_1049, BNIL);
																					}
																					BgL_arg1292z00_1046 =
																						MAKE_YOUNG_PAIR(BgL_arg1293z00_1047,
																						BgL_arg1294z00_1048);
																				}
																				BgL_arg1291z00_1045 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(6)),
																					BgL_arg1292z00_1046);
																			}
																			BgL_arg1285z00_1040 =
																				BGl_epairifyz00zztools_miscz00
																				(BgL_arg1291z00_1045,
																				BgL_srczd2defzd2_10);
																		}
																		{	/* Object/nil.scm 100 */
																			obj_t BgL_list1286z00_1041;

																			{	/* Object/nil.scm 100 */
																				obj_t BgL_arg1287z00_1042;

																				BgL_arg1287z00_1042 =
																					MAKE_YOUNG_PAIR(BgL_arg1285z00_1040,
																					BNIL);
																				BgL_list1286z00_1041 =
																					MAKE_YOUNG_PAIR(BgL_arg1284z00_1039,
																					BgL_arg1287z00_1042);
																			}
																			return BgL_list1286z00_1041;
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &gen-wide-class-nil */
	obj_t BGl_z62genzd2widezd2classzd2nilzb0zzobject_nilz00(obj_t BgL_envz00_1899,
		obj_t BgL_classz00_1900, obj_t BgL_srczd2defzd2_1901,
		obj_t BgL_importz00_1902)
	{
		{	/* Object/nil.scm 84 */
			return
				BGl_genzd2widezd2classzd2nilzd2zzobject_nilz00(
				((BgL_typez00_bglt) BgL_classz00_1900), BgL_srczd2defzd2_1901,
				BgL_importz00_1902);
		}

	}



/* fill-nil */
	obj_t BGl_fillzd2nilzd2zzobject_nilz00(obj_t BgL_slotsz00_12)
	{
		{	/* Object/nil.scm 126 */
			{
				obj_t BgL_slotsz00_1116;
				obj_t BgL_initsz00_1117;

				BgL_slotsz00_1116 = BgL_slotsz00_12;
				BgL_initsz00_1117 = BNIL;
			BgL_zc3z04anonymousza31418ze3z87_1118:
				if (NULLP(BgL_slotsz00_1116))
					{	/* Object/nil.scm 129 */
						return bgl_reverse_bang(BgL_initsz00_1117);
					}
				else
					{	/* Object/nil.scm 131 */
						obj_t BgL_slotz00_1120;

						BgL_slotz00_1120 = CAR(((obj_t) BgL_slotsz00_1116));
						if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
								((BgL_slotz00_bglt) BgL_slotz00_1120)))
							{	/* Object/nil.scm 134 */
								obj_t BgL_arg1446z00_1122;

								BgL_arg1446z00_1122 = CDR(((obj_t) BgL_slotsz00_1116));
								{
									obj_t BgL_slotsz00_2265;

									BgL_slotsz00_2265 = BgL_arg1446z00_1122;
									BgL_slotsz00_1116 = BgL_slotsz00_2265;
									goto BgL_zc3z04anonymousza31418ze3z87_1118;
								}
							}
						else
							{	/* Object/nil.scm 136 */
								obj_t BgL_arg1457z00_1123;
								obj_t BgL_arg1471z00_1124;

								BgL_arg1457z00_1123 = CDR(((obj_t) BgL_slotsz00_1116));
								BgL_arg1471z00_1124 =
									MAKE_YOUNG_PAIR(BGl_slotzd2getzd2nilz00zzobject_nilz00
									(BgL_slotz00_1120), BgL_initsz00_1117);
								{
									obj_t BgL_initsz00_2271;
									obj_t BgL_slotsz00_2270;

									BgL_slotsz00_2270 = BgL_arg1457z00_1123;
									BgL_initsz00_2271 = BgL_arg1471z00_1124;
									BgL_initsz00_1117 = BgL_initsz00_2271;
									BgL_slotsz00_1116 = BgL_slotsz00_2270;
									goto BgL_zc3z04anonymousza31418ze3z87_1118;
								}
							}
					}
			}
		}

	}



/* slot-get-nil */
	obj_t BGl_slotzd2getzd2nilz00zzobject_nilz00(obj_t BgL_slotz00_13)
	{
		{	/* Object/nil.scm 142 */
			{	/* Object/nil.scm 145 */
				bool_t BgL_test1866z00_2272;

				{	/* Object/nil.scm 145 */
					obj_t BgL_arg1611z00_1162;

					BgL_arg1611z00_1162 =
						(((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_slotz00_13)))->BgL_typez00);
					{	/* Object/nil.scm 145 */
						obj_t BgL_classz00_1408;

						BgL_classz00_1408 = BGl_tclassz00zzobject_classz00;
						if (BGL_OBJECTP(BgL_arg1611z00_1162))
							{	/* Object/nil.scm 145 */
								BgL_objectz00_bglt BgL_arg1858z00_1410;

								BgL_arg1858z00_1410 =
									(BgL_objectz00_bglt) (BgL_arg1611z00_1162);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Object/nil.scm 145 */
										long BgL_idxz00_1416;

										BgL_idxz00_1416 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1410);
										BgL_test1866z00_2272 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_1416 + 2L)) == BgL_classz00_1408);
									}
								else
									{	/* Object/nil.scm 145 */
										bool_t BgL_res1832z00_1441;

										{	/* Object/nil.scm 145 */
											obj_t BgL_oclassz00_1424;

											{	/* Object/nil.scm 145 */
												obj_t BgL_arg1866z00_1432;
												long BgL_arg1867z00_1433;

												BgL_arg1866z00_1432 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Object/nil.scm 145 */
													long BgL_arg1869z00_1434;

													BgL_arg1869z00_1434 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1410);
													BgL_arg1867z00_1433 =
														(BgL_arg1869z00_1434 - OBJECT_TYPE);
												}
												BgL_oclassz00_1424 =
													VECTOR_REF(BgL_arg1866z00_1432, BgL_arg1867z00_1433);
											}
											{	/* Object/nil.scm 145 */
												bool_t BgL__ortest_1115z00_1425;

												BgL__ortest_1115z00_1425 =
													(BgL_classz00_1408 == BgL_oclassz00_1424);
												if (BgL__ortest_1115z00_1425)
													{	/* Object/nil.scm 145 */
														BgL_res1832z00_1441 = BgL__ortest_1115z00_1425;
													}
												else
													{	/* Object/nil.scm 145 */
														long BgL_odepthz00_1426;

														{	/* Object/nil.scm 145 */
															obj_t BgL_arg1855z00_1427;

															BgL_arg1855z00_1427 = (BgL_oclassz00_1424);
															BgL_odepthz00_1426 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_1427);
														}
														if ((2L < BgL_odepthz00_1426))
															{	/* Object/nil.scm 145 */
																obj_t BgL_arg1853z00_1429;

																{	/* Object/nil.scm 145 */
																	obj_t BgL_arg1854z00_1430;

																	BgL_arg1854z00_1430 = (BgL_oclassz00_1424);
																	BgL_arg1853z00_1429 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_1430,
																		2L);
																}
																BgL_res1832z00_1441 =
																	(BgL_arg1853z00_1429 == BgL_classz00_1408);
															}
														else
															{	/* Object/nil.scm 145 */
																BgL_res1832z00_1441 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1866z00_2272 = BgL_res1832z00_1441;
									}
							}
						else
							{	/* Object/nil.scm 145 */
								BgL_test1866z00_2272 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test1866z00_2272)
					{	/* Object/nil.scm 146 */
						obj_t BgL_arg1487z00_1130;

						{	/* Object/nil.scm 146 */
							obj_t BgL_arg1489z00_1131;

							{	/* Object/nil.scm 146 */
								obj_t BgL_arg1490z00_1132;
								obj_t BgL_arg1506z00_1133;

								{	/* Object/nil.scm 146 */
									obj_t BgL_arg1511z00_1134;

									BgL_arg1511z00_1134 =
										(((BgL_typez00_bglt) COBJECT(
												((BgL_typez00_bglt)
													(((BgL_slotz00_bglt) COBJECT(
																((BgL_slotz00_bglt) BgL_slotz00_13)))->
														BgL_typez00))))->BgL_idz00);
									{	/* Object/nil.scm 146 */
										obj_t BgL_arg1486z00_1444;

										BgL_arg1486z00_1444 = SYMBOL_TO_STRING(BgL_arg1511z00_1134);
										BgL_arg1490z00_1132 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1486z00_1444);
									}
								}
								{	/* Object/nil.scm 146 */
									obj_t BgL_symbolz00_1445;

									BgL_symbolz00_1445 = ((obj_t) CNST_TABLE_REF(0));
									{	/* Object/nil.scm 146 */
										obj_t BgL_arg1486z00_1446;

										BgL_arg1486z00_1446 = SYMBOL_TO_STRING(BgL_symbolz00_1445);
										BgL_arg1506z00_1133 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1486z00_1446);
									}
								}
								BgL_arg1489z00_1131 =
									string_append(BgL_arg1490z00_1132, BgL_arg1506z00_1133);
							}
							BgL_arg1487z00_1130 = bstring_to_symbol(BgL_arg1489z00_1131);
						}
						return MAKE_YOUNG_PAIR(BgL_arg1487z00_1130, BNIL);
					}
				else
					{	/* Object/nil.scm 147 */
						bool_t BgL_test1871z00_2310;

						{	/* Object/nil.scm 147 */
							obj_t BgL_arg1605z00_1161;

							BgL_arg1605z00_1161 =
								(((BgL_slotz00_bglt) COBJECT(
										((BgL_slotz00_bglt) BgL_slotz00_13)))->BgL_typez00);
							{	/* Object/nil.scm 147 */
								obj_t BgL_classz00_1448;

								BgL_classz00_1448 = BGl_tvecz00zztvector_tvectorz00;
								if (BGL_OBJECTP(BgL_arg1605z00_1161))
									{	/* Object/nil.scm 147 */
										BgL_objectz00_bglt BgL_arg1858z00_1450;

										BgL_arg1858z00_1450 =
											(BgL_objectz00_bglt) (BgL_arg1605z00_1161);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Object/nil.scm 147 */
												long BgL_idxz00_1456;

												BgL_idxz00_1456 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1450);
												BgL_test1871z00_2310 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_1456 + 2L)) == BgL_classz00_1448);
											}
										else
											{	/* Object/nil.scm 147 */
												bool_t BgL_res1833z00_1481;

												{	/* Object/nil.scm 147 */
													obj_t BgL_oclassz00_1464;

													{	/* Object/nil.scm 147 */
														obj_t BgL_arg1866z00_1472;
														long BgL_arg1867z00_1473;

														BgL_arg1866z00_1472 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Object/nil.scm 147 */
															long BgL_arg1869z00_1474;

															BgL_arg1869z00_1474 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1450);
															BgL_arg1867z00_1473 =
																(BgL_arg1869z00_1474 - OBJECT_TYPE);
														}
														BgL_oclassz00_1464 =
															VECTOR_REF(BgL_arg1866z00_1472,
															BgL_arg1867z00_1473);
													}
													{	/* Object/nil.scm 147 */
														bool_t BgL__ortest_1115z00_1465;

														BgL__ortest_1115z00_1465 =
															(BgL_classz00_1448 == BgL_oclassz00_1464);
														if (BgL__ortest_1115z00_1465)
															{	/* Object/nil.scm 147 */
																BgL_res1833z00_1481 = BgL__ortest_1115z00_1465;
															}
														else
															{	/* Object/nil.scm 147 */
																long BgL_odepthz00_1466;

																{	/* Object/nil.scm 147 */
																	obj_t BgL_arg1855z00_1467;

																	BgL_arg1855z00_1467 = (BgL_oclassz00_1464);
																	BgL_odepthz00_1466 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_1467);
																}
																if ((2L < BgL_odepthz00_1466))
																	{	/* Object/nil.scm 147 */
																		obj_t BgL_arg1853z00_1469;

																		{	/* Object/nil.scm 147 */
																			obj_t BgL_arg1854z00_1470;

																			BgL_arg1854z00_1470 =
																				(BgL_oclassz00_1464);
																			BgL_arg1853z00_1469 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_1470, 2L);
																		}
																		BgL_res1833z00_1481 =
																			(BgL_arg1853z00_1469 ==
																			BgL_classz00_1448);
																	}
																else
																	{	/* Object/nil.scm 147 */
																		BgL_res1833z00_1481 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test1871z00_2310 = BgL_res1833z00_1481;
											}
									}
								else
									{	/* Object/nil.scm 147 */
										BgL_test1871z00_2310 = ((bool_t) 0);
									}
							}
						}
						if (BgL_test1871z00_2310)
							{	/* Object/nil.scm 148 */
								obj_t BgL_arg1515z00_1138;

								{	/* Object/nil.scm 148 */
									obj_t BgL_arg1516z00_1139;
									obj_t BgL_arg1530z00_1140;

									{	/* Object/nil.scm 148 */
										obj_t BgL_arg1532z00_1141;

										{	/* Object/nil.scm 148 */
											obj_t BgL_arg1535z00_1142;

											BgL_arg1535z00_1142 =
												(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt)
															(((BgL_slotz00_bglt) COBJECT(
																		((BgL_slotz00_bglt) BgL_slotz00_13)))->
																BgL_typez00))))->BgL_idz00);
											BgL_arg1532z00_1141 =
												MAKE_YOUNG_PAIR(BgL_arg1535z00_1142, BNIL);
										}
										BgL_arg1516z00_1139 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(18)), BgL_arg1532z00_1141);
									}
									{	/* Object/nil.scm 148 */
										obj_t BgL_arg1545z00_1144;

										{	/* Object/nil.scm 148 */
											obj_t BgL_arg1553z00_1145;

											BgL_arg1553z00_1145 = MAKE_YOUNG_PAIR(BNIL, BNIL);
											BgL_arg1545z00_1144 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(18)), BgL_arg1553z00_1145);
										}
										BgL_arg1530z00_1140 =
											MAKE_YOUNG_PAIR(BgL_arg1545z00_1144, BNIL);
									}
									BgL_arg1515z00_1138 =
										MAKE_YOUNG_PAIR(BgL_arg1516z00_1139, BgL_arg1530z00_1140);
								}
								return
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(19)), BgL_arg1515z00_1138);
							}
						else
							{	/* Object/nil.scm 149 */
								bool_t BgL_test1878z00_2352;

								{	/* Object/nil.scm 149 */
									obj_t BgL_arg1597z00_1160;

									BgL_arg1597z00_1160 =
										(((BgL_slotz00_bglt) COBJECT(
												((BgL_slotz00_bglt) BgL_slotz00_13)))->BgL_typez00);
									{	/* Object/nil.scm 149 */
										obj_t BgL_classz00_1483;

										BgL_classz00_1483 = BGl_jarrayz00zzforeign_jtypez00;
										if (BGL_OBJECTP(BgL_arg1597z00_1160))
											{	/* Object/nil.scm 149 */
												BgL_objectz00_bglt BgL_arg1858z00_1485;

												BgL_arg1858z00_1485 =
													(BgL_objectz00_bglt) (BgL_arg1597z00_1160);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Object/nil.scm 149 */
														long BgL_idxz00_1491;

														BgL_idxz00_1491 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1485);
														BgL_test1878z00_2352 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_1491 + 2L)) == BgL_classz00_1483);
													}
												else
													{	/* Object/nil.scm 149 */
														bool_t BgL_res1834z00_1516;

														{	/* Object/nil.scm 149 */
															obj_t BgL_oclassz00_1499;

															{	/* Object/nil.scm 149 */
																obj_t BgL_arg1866z00_1507;
																long BgL_arg1867z00_1508;

																BgL_arg1866z00_1507 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Object/nil.scm 149 */
																	long BgL_arg1869z00_1509;

																	BgL_arg1869z00_1509 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1485);
																	BgL_arg1867z00_1508 =
																		(BgL_arg1869z00_1509 - OBJECT_TYPE);
																}
																BgL_oclassz00_1499 =
																	VECTOR_REF(BgL_arg1866z00_1507,
																	BgL_arg1867z00_1508);
															}
															{	/* Object/nil.scm 149 */
																bool_t BgL__ortest_1115z00_1500;

																BgL__ortest_1115z00_1500 =
																	(BgL_classz00_1483 == BgL_oclassz00_1499);
																if (BgL__ortest_1115z00_1500)
																	{	/* Object/nil.scm 149 */
																		BgL_res1834z00_1516 =
																			BgL__ortest_1115z00_1500;
																	}
																else
																	{	/* Object/nil.scm 149 */
																		long BgL_odepthz00_1501;

																		{	/* Object/nil.scm 149 */
																			obj_t BgL_arg1855z00_1502;

																			BgL_arg1855z00_1502 =
																				(BgL_oclassz00_1499);
																			BgL_odepthz00_1501 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_1502);
																		}
																		if ((2L < BgL_odepthz00_1501))
																			{	/* Object/nil.scm 149 */
																				obj_t BgL_arg1853z00_1504;

																				{	/* Object/nil.scm 149 */
																					obj_t BgL_arg1854z00_1505;

																					BgL_arg1854z00_1505 =
																						(BgL_oclassz00_1499);
																					BgL_arg1853z00_1504 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_1505, 2L);
																				}
																				BgL_res1834z00_1516 =
																					(BgL_arg1853z00_1504 ==
																					BgL_classz00_1483);
																			}
																		else
																			{	/* Object/nil.scm 149 */
																				BgL_res1834z00_1516 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test1878z00_2352 = BgL_res1834z00_1516;
													}
											}
										else
											{	/* Object/nil.scm 149 */
												BgL_test1878z00_2352 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test1878z00_2352)
									{	/* Object/nil.scm 150 */
										obj_t BgL_arg1558z00_1148;
										obj_t BgL_arg1560z00_1149;

										{	/* Object/nil.scm 150 */
											obj_t BgL_arg1574z00_1150;

											{	/* Object/nil.scm 150 */
												obj_t BgL_arg1577z00_1151;
												obj_t BgL_arg1578z00_1152;

												{	/* Object/nil.scm 150 */
													obj_t BgL_symbolz00_1517;

													BgL_symbolz00_1517 = ((obj_t) CNST_TABLE_REF(20));
													{	/* Object/nil.scm 150 */
														obj_t BgL_arg1486z00_1518;

														BgL_arg1486z00_1518 =
															SYMBOL_TO_STRING(BgL_symbolz00_1517);
														BgL_arg1577z00_1151 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1486z00_1518);
													}
												}
												{	/* Object/nil.scm 150 */
													obj_t BgL_arg1581z00_1153;

													BgL_arg1581z00_1153 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt)
																	(((BgL_slotz00_bglt) COBJECT(
																				((BgL_slotz00_bglt) BgL_slotz00_13)))->
																		BgL_typez00))))->BgL_idz00);
													{	/* Object/nil.scm 150 */
														obj_t BgL_arg1486z00_1521;

														BgL_arg1486z00_1521 =
															SYMBOL_TO_STRING(BgL_arg1581z00_1153);
														BgL_arg1578z00_1152 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1486z00_1521);
													}
												}
												BgL_arg1574z00_1150 =
													string_append(BgL_arg1577z00_1151,
													BgL_arg1578z00_1152);
											}
											BgL_arg1558z00_1148 =
												bstring_to_symbol(BgL_arg1574z00_1150);
										}
										BgL_arg1560z00_1149 = MAKE_YOUNG_PAIR(BINT(0L), BNIL);
										return
											MAKE_YOUNG_PAIR(BgL_arg1558z00_1148, BgL_arg1560z00_1149);
									}
								else
									{	/* Object/nil.scm 151 */
										bool_t BgL_test1883z00_2392;

										{	/* Object/nil.scm 151 */
											obj_t BgL_arg1593z00_1159;

											BgL_arg1593z00_1159 =
												(((BgL_slotz00_bglt) COBJECT(
														((BgL_slotz00_bglt) BgL_slotz00_13)))->BgL_typez00);
											BgL_test1883z00_2392 =
												BGl_bigloozd2typezf3z21zztype_typez00(
												((BgL_typez00_bglt) BgL_arg1593z00_1159));
										}
										if (BgL_test1883z00_2392)
											{	/* Object/nil.scm 152 */
												obj_t BgL_arg1590z00_1157;

												BgL_arg1590z00_1157 =
													(((BgL_slotz00_bglt) COBJECT(
															((BgL_slotz00_bglt) BgL_slotz00_13)))->
													BgL_typez00);
												return
													BGl_bigloozd2primitivezd2typezd2nilzd2zzobject_nilz00
													(BgL_arg1590z00_1157, BgL_slotz00_13);
											}
										else
											{	/* Object/nil.scm 154 */
												obj_t BgL_arg1592z00_1158;

												BgL_arg1592z00_1158 =
													(((BgL_slotz00_bglt) COBJECT(
															((BgL_slotz00_bglt) BgL_slotz00_13)))->
													BgL_typez00);
												return
													BGl_externzd2typezd2nilz00zzobject_nilz00
													(BgL_arg1592z00_1158, BgL_slotz00_13);
											}
									}
							}
					}
			}
		}

	}



/* type-nil-value */
	BGL_EXPORTED_DEF obj_t BGl_typezd2nilzd2valuez00zzobject_nilz00(obj_t
		BgL_typez00_14, obj_t BgL_slotz00_15)
	{
		{	/* Object/nil.scm 159 */
			{	/* Object/nil.scm 161 */
				bool_t BgL_test1885z00_2403;

				{	/* Object/nil.scm 161 */
					obj_t BgL_classz00_1523;

					BgL_classz00_1523 = BGl_tclassz00zzobject_classz00;
					if (BGL_OBJECTP(BgL_typez00_14))
						{	/* Object/nil.scm 161 */
							BgL_objectz00_bglt BgL_arg1858z00_1525;

							BgL_arg1858z00_1525 = (BgL_objectz00_bglt) (BgL_typez00_14);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Object/nil.scm 161 */
									long BgL_idxz00_1531;

									BgL_idxz00_1531 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1525);
									BgL_test1885z00_2403 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_1531 + 2L)) == BgL_classz00_1523);
								}
							else
								{	/* Object/nil.scm 161 */
									bool_t BgL_res1835z00_1556;

									{	/* Object/nil.scm 161 */
										obj_t BgL_oclassz00_1539;

										{	/* Object/nil.scm 161 */
											obj_t BgL_arg1866z00_1547;
											long BgL_arg1867z00_1548;

											BgL_arg1866z00_1547 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Object/nil.scm 161 */
												long BgL_arg1869z00_1549;

												BgL_arg1869z00_1549 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1525);
												BgL_arg1867z00_1548 =
													(BgL_arg1869z00_1549 - OBJECT_TYPE);
											}
											BgL_oclassz00_1539 =
												VECTOR_REF(BgL_arg1866z00_1547, BgL_arg1867z00_1548);
										}
										{	/* Object/nil.scm 161 */
											bool_t BgL__ortest_1115z00_1540;

											BgL__ortest_1115z00_1540 =
												(BgL_classz00_1523 == BgL_oclassz00_1539);
											if (BgL__ortest_1115z00_1540)
												{	/* Object/nil.scm 161 */
													BgL_res1835z00_1556 = BgL__ortest_1115z00_1540;
												}
											else
												{	/* Object/nil.scm 161 */
													long BgL_odepthz00_1541;

													{	/* Object/nil.scm 161 */
														obj_t BgL_arg1855z00_1542;

														BgL_arg1855z00_1542 = (BgL_oclassz00_1539);
														BgL_odepthz00_1541 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_1542);
													}
													if ((2L < BgL_odepthz00_1541))
														{	/* Object/nil.scm 161 */
															obj_t BgL_arg1853z00_1544;

															{	/* Object/nil.scm 161 */
																obj_t BgL_arg1854z00_1545;

																BgL_arg1854z00_1545 = (BgL_oclassz00_1539);
																BgL_arg1853z00_1544 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_1545,
																	2L);
															}
															BgL_res1835z00_1556 =
																(BgL_arg1853z00_1544 == BgL_classz00_1523);
														}
													else
														{	/* Object/nil.scm 161 */
															BgL_res1835z00_1556 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1885z00_2403 = BgL_res1835z00_1556;
								}
						}
					else
						{	/* Object/nil.scm 161 */
							BgL_test1885z00_2403 = ((bool_t) 0);
						}
				}
				if (BgL_test1885z00_2403)
					{	/* Object/nil.scm 162 */
						obj_t BgL_arg1625z00_1164;

						{	/* Object/nil.scm 162 */
							obj_t BgL_arg1626z00_1165;

							BgL_arg1626z00_1165 =
								(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_typez00_14)))->BgL_idz00);
							BgL_arg1625z00_1164 = MAKE_YOUNG_PAIR(BgL_arg1626z00_1165, BNIL);
						}
						return
							MAKE_YOUNG_PAIR(
							((obj_t) CNST_TABLE_REF(21)), BgL_arg1625z00_1164);
					}
				else
					{	/* Object/nil.scm 163 */
						bool_t BgL_test1890z00_2432;

						{	/* Object/nil.scm 163 */
							obj_t BgL_classz00_1558;

							BgL_classz00_1558 = BGl_tvecz00zztvector_tvectorz00;
							if (BGL_OBJECTP(BgL_typez00_14))
								{	/* Object/nil.scm 163 */
									BgL_objectz00_bglt BgL_arg1858z00_1560;

									BgL_arg1858z00_1560 = (BgL_objectz00_bglt) (BgL_typez00_14);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Object/nil.scm 163 */
											long BgL_idxz00_1566;

											BgL_idxz00_1566 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1560);
											BgL_test1890z00_2432 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_1566 + 2L)) == BgL_classz00_1558);
										}
									else
										{	/* Object/nil.scm 163 */
											bool_t BgL_res1836z00_1591;

											{	/* Object/nil.scm 163 */
												obj_t BgL_oclassz00_1574;

												{	/* Object/nil.scm 163 */
													obj_t BgL_arg1866z00_1582;
													long BgL_arg1867z00_1583;

													BgL_arg1866z00_1582 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Object/nil.scm 163 */
														long BgL_arg1869z00_1584;

														BgL_arg1869z00_1584 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1560);
														BgL_arg1867z00_1583 =
															(BgL_arg1869z00_1584 - OBJECT_TYPE);
													}
													BgL_oclassz00_1574 =
														VECTOR_REF(BgL_arg1866z00_1582,
														BgL_arg1867z00_1583);
												}
												{	/* Object/nil.scm 163 */
													bool_t BgL__ortest_1115z00_1575;

													BgL__ortest_1115z00_1575 =
														(BgL_classz00_1558 == BgL_oclassz00_1574);
													if (BgL__ortest_1115z00_1575)
														{	/* Object/nil.scm 163 */
															BgL_res1836z00_1591 = BgL__ortest_1115z00_1575;
														}
													else
														{	/* Object/nil.scm 163 */
															long BgL_odepthz00_1576;

															{	/* Object/nil.scm 163 */
																obj_t BgL_arg1855z00_1577;

																BgL_arg1855z00_1577 = (BgL_oclassz00_1574);
																BgL_odepthz00_1576 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_1577);
															}
															if ((2L < BgL_odepthz00_1576))
																{	/* Object/nil.scm 163 */
																	obj_t BgL_arg1853z00_1579;

																	{	/* Object/nil.scm 163 */
																		obj_t BgL_arg1854z00_1580;

																		BgL_arg1854z00_1580 = (BgL_oclassz00_1574);
																		BgL_arg1853z00_1579 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_1580, 2L);
																	}
																	BgL_res1836z00_1591 =
																		(BgL_arg1853z00_1579 == BgL_classz00_1558);
																}
															else
																{	/* Object/nil.scm 163 */
																	BgL_res1836z00_1591 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1890z00_2432 = BgL_res1836z00_1591;
										}
								}
							else
								{	/* Object/nil.scm 163 */
									BgL_test1890z00_2432 = ((bool_t) 0);
								}
						}
						if (BgL_test1890z00_2432)
							{	/* Object/nil.scm 164 */
								obj_t BgL_arg1631z00_1167;

								{	/* Object/nil.scm 164 */
									obj_t BgL_arg1632z00_1168;
									obj_t BgL_arg1633z00_1169;

									{	/* Object/nil.scm 164 */
										obj_t BgL_arg1635z00_1170;

										{	/* Object/nil.scm 164 */
											obj_t BgL_arg1638z00_1171;

											BgL_arg1638z00_1171 =
												(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt) BgL_typez00_14)))->BgL_idz00);
											BgL_arg1635z00_1170 =
												MAKE_YOUNG_PAIR(BgL_arg1638z00_1171, BNIL);
										}
										BgL_arg1632z00_1168 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(18)), BgL_arg1635z00_1170);
									}
									{	/* Object/nil.scm 164 */
										obj_t BgL_arg1642z00_1172;

										{	/* Object/nil.scm 164 */
											obj_t BgL_arg1643z00_1173;

											BgL_arg1643z00_1173 = MAKE_YOUNG_PAIR(BNIL, BNIL);
											BgL_arg1642z00_1172 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(18)), BgL_arg1643z00_1173);
										}
										BgL_arg1633z00_1169 =
											MAKE_YOUNG_PAIR(BgL_arg1642z00_1172, BNIL);
									}
									BgL_arg1631z00_1167 =
										MAKE_YOUNG_PAIR(BgL_arg1632z00_1168, BgL_arg1633z00_1169);
								}
								return
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(19)), BgL_arg1631z00_1167);
							}
						else
							{	/* Object/nil.scm 165 */
								bool_t BgL_test1895z00_2470;

								{	/* Object/nil.scm 165 */
									obj_t BgL_classz00_1593;

									BgL_classz00_1593 = BGl_jarrayz00zzforeign_jtypez00;
									if (BGL_OBJECTP(BgL_typez00_14))
										{	/* Object/nil.scm 165 */
											BgL_objectz00_bglt BgL_arg1858z00_1595;

											BgL_arg1858z00_1595 =
												(BgL_objectz00_bglt) (BgL_typez00_14);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Object/nil.scm 165 */
													long BgL_idxz00_1601;

													BgL_idxz00_1601 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1595);
													BgL_test1895z00_2470 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_1601 + 2L)) == BgL_classz00_1593);
												}
											else
												{	/* Object/nil.scm 165 */
													bool_t BgL_res1837z00_1626;

													{	/* Object/nil.scm 165 */
														obj_t BgL_oclassz00_1609;

														{	/* Object/nil.scm 165 */
															obj_t BgL_arg1866z00_1617;
															long BgL_arg1867z00_1618;

															BgL_arg1866z00_1617 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Object/nil.scm 165 */
																long BgL_arg1869z00_1619;

																BgL_arg1869z00_1619 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1595);
																BgL_arg1867z00_1618 =
																	(BgL_arg1869z00_1619 - OBJECT_TYPE);
															}
															BgL_oclassz00_1609 =
																VECTOR_REF(BgL_arg1866z00_1617,
																BgL_arg1867z00_1618);
														}
														{	/* Object/nil.scm 165 */
															bool_t BgL__ortest_1115z00_1610;

															BgL__ortest_1115z00_1610 =
																(BgL_classz00_1593 == BgL_oclassz00_1609);
															if (BgL__ortest_1115z00_1610)
																{	/* Object/nil.scm 165 */
																	BgL_res1837z00_1626 =
																		BgL__ortest_1115z00_1610;
																}
															else
																{	/* Object/nil.scm 165 */
																	long BgL_odepthz00_1611;

																	{	/* Object/nil.scm 165 */
																		obj_t BgL_arg1855z00_1612;

																		BgL_arg1855z00_1612 = (BgL_oclassz00_1609);
																		BgL_odepthz00_1611 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_1612);
																	}
																	if ((2L < BgL_odepthz00_1611))
																		{	/* Object/nil.scm 165 */
																			obj_t BgL_arg1853z00_1614;

																			{	/* Object/nil.scm 165 */
																				obj_t BgL_arg1854z00_1615;

																				BgL_arg1854z00_1615 =
																					(BgL_oclassz00_1609);
																				BgL_arg1853z00_1614 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_1615, 2L);
																			}
																			BgL_res1837z00_1626 =
																				(BgL_arg1853z00_1614 ==
																				BgL_classz00_1593);
																		}
																	else
																		{	/* Object/nil.scm 165 */
																			BgL_res1837z00_1626 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test1895z00_2470 = BgL_res1837z00_1626;
												}
										}
									else
										{	/* Object/nil.scm 165 */
											BgL_test1895z00_2470 = ((bool_t) 0);
										}
								}
								if (BgL_test1895z00_2470)
									{	/* Object/nil.scm 166 */
										obj_t BgL_arg1648z00_1175;
										obj_t BgL_arg1649z00_1176;

										{	/* Object/nil.scm 166 */
											obj_t BgL_arg1650z00_1177;

											{	/* Object/nil.scm 166 */
												obj_t BgL_arg1653z00_1178;
												obj_t BgL_arg1655z00_1179;

												{	/* Object/nil.scm 166 */
													obj_t BgL_symbolz00_1627;

													BgL_symbolz00_1627 = ((obj_t) CNST_TABLE_REF(20));
													{	/* Object/nil.scm 166 */
														obj_t BgL_arg1486z00_1628;

														BgL_arg1486z00_1628 =
															SYMBOL_TO_STRING(BgL_symbolz00_1627);
														BgL_arg1653z00_1178 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1486z00_1628);
													}
												}
												{	/* Object/nil.scm 166 */
													obj_t BgL_arg1656z00_1180;

													BgL_arg1656z00_1180 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_typez00_14)))->
														BgL_idz00);
													{	/* Object/nil.scm 166 */
														obj_t BgL_arg1486z00_1631;

														BgL_arg1486z00_1631 =
															SYMBOL_TO_STRING(BgL_arg1656z00_1180);
														BgL_arg1655z00_1179 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1486z00_1631);
													}
												}
												BgL_arg1650z00_1177 =
													string_append(BgL_arg1653z00_1178,
													BgL_arg1655z00_1179);
											}
											BgL_arg1648z00_1175 =
												bstring_to_symbol(BgL_arg1650z00_1177);
										}
										BgL_arg1649z00_1176 = MAKE_YOUNG_PAIR(BINT(0L), BNIL);
										return
											MAKE_YOUNG_PAIR(BgL_arg1648z00_1175, BgL_arg1649z00_1176);
									}
								else
									{	/* Object/nil.scm 165 */
										if (BGl_bigloozd2typezf3z21zztype_typez00(
												((BgL_typez00_bglt) BgL_typez00_14)))
											{	/* Object/nil.scm 167 */
												BGL_TAIL return
													BGl_bigloozd2primitivezd2typezd2nilzd2zzobject_nilz00
													(BgL_typez00_14, BgL_slotz00_15);
											}
										else
											{	/* Object/nil.scm 167 */
												BGL_TAIL return
													BGl_externzd2typezd2nilz00zzobject_nilz00
													(BgL_typez00_14, BgL_slotz00_15);
											}
									}
							}
					}
			}
		}

	}



/* &type-nil-value */
	obj_t BGl_z62typezd2nilzd2valuez62zzobject_nilz00(obj_t BgL_envz00_1903,
		obj_t BgL_typez00_1904, obj_t BgL_slotz00_1905)
	{
		{	/* Object/nil.scm 159 */
			return
				BGl_typezd2nilzd2valuez00zzobject_nilz00(BgL_typez00_1904,
				BgL_slotz00_1905);
		}

	}



/* bigloo-primitive-type-nil */
	obj_t BGl_bigloozd2primitivezd2typezd2nilzd2zzobject_nilz00(obj_t
		BgL_typez00_16, obj_t BgL_slotz00_17)
	{
		{	/* Object/nil.scm 175 */
			{	/* Object/nil.scm 177 */
				bool_t BgL_test1901z00_2512;

				if ((BgL_typez00_16 == BGl_za2objza2z00zztype_cachez00))
					{	/* Object/nil.scm 177 */
						BgL_test1901z00_2512 = ((bool_t) 1);
					}
				else
					{	/* Object/nil.scm 177 */
						BgL_test1901z00_2512 =
							(BgL_typez00_16 == BGl_za2unspecza2z00zztype_cachez00);
					}
				if (BgL_test1901z00_2512)
					{	/* Object/nil.scm 177 */
						return BUNSPEC;
					}
				else
					{	/* Object/nil.scm 177 */
						if ((BgL_typez00_16 == BGl_za2cellza2z00zztype_cachez00))
							{	/* Object/nil.scm 178 */
								return ((obj_t) CNST_TABLE_REF(22));
							}
						else
							{	/* Object/nil.scm 178 */
								if ((BgL_typez00_16 == BGl_za2bintza2z00zztype_cachez00))
									{	/* Object/nil.scm 179 */
										return BINT(0L);
									}
								else
									{	/* Object/nil.scm 179 */
										if ((BgL_typez00_16 == BGl_za2bllongza2z00zztype_cachez00))
											{	/* Object/nil.scm 180 */
												return ((obj_t) CNST_TABLE_REF(23));
											}
										else
											{	/* Object/nil.scm 180 */
												if (
													(BgL_typez00_16 ==
														BGl_za2belongza2z00zztype_cachez00))
													{	/* Object/nil.scm 181 */
														return ((obj_t) CNST_TABLE_REF(24));
													}
												else
													{	/* Object/nil.scm 181 */
														if (
															(BgL_typez00_16 ==
																BGl_za2bignumza2z00zztype_cachez00))
															{	/* Object/nil.scm 182 */
																return ((obj_t) CNST_TABLE_REF(25));
															}
														else
															{	/* Object/nil.scm 182 */
																if (
																	(BgL_typez00_16 ==
																		BGl_za2boolza2z00zztype_cachez00))
																	{	/* Object/nil.scm 183 */
																		return BFALSE;
																	}
																else
																	{	/* Object/nil.scm 183 */
																		if (
																			(BgL_typez00_16 ==
																				BGl_za2brealza2z00zztype_cachez00))
																			{	/* Object/nil.scm 184 */
																				return
																					BGL_REAL_CNST
																					(BGl_real1844z00zzobject_nilz00);
																			}
																		else
																			{	/* Object/nil.scm 184 */
																				if (
																					(BgL_typez00_16 ==
																						BGl_za2bcharza2z00zztype_cachez00))
																					{	/* Object/nil.scm 185 */
																						return BCHAR(((unsigned char) '_'));
																					}
																				else
																					{	/* Object/nil.scm 186 */
																						bool_t BgL_test1911z00_2542;

																						if (
																							(BgL_typez00_16 ==
																								BGl_za2bnilza2z00zztype_cachez00))
																							{	/* Object/nil.scm 186 */
																								BgL_test1911z00_2542 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Object/nil.scm 186 */
																								BgL_test1911z00_2542 =
																									(BgL_typez00_16 ==
																									BGl_za2pairzd2nilza2zd2zztype_cachez00);
																							}
																						if (BgL_test1911z00_2542)
																							{	/* Object/nil.scm 186 */
																								return
																									((obj_t) CNST_TABLE_REF(26));
																							}
																						else
																							{	/* Object/nil.scm 186 */
																								if (
																									(BgL_typez00_16 ==
																										BGl_za2pairza2z00zztype_cachez00))
																									{	/* Object/nil.scm 187 */
																										return
																											((obj_t)
																											CNST_TABLE_REF(27));
																									}
																								else
																									{	/* Object/nil.scm 187 */
																										if (
																											(BgL_typez00_16 ==
																												BGl_za2epairza2z00zztype_cachez00))
																											{	/* Object/nil.scm 188 */
																												return
																													((obj_t)
																													CNST_TABLE_REF(28));
																											}
																										else
																											{	/* Object/nil.scm 188 */
																												if (
																													(BgL_typez00_16 ==
																														BGl_za2bstringza2z00zztype_cachez00))
																													{	/* Object/nil.scm 189 */
																														return
																															BGl_string1845z00zzobject_nilz00;
																													}
																												else
																													{	/* Object/nil.scm 189 */
																														if (
																															(BgL_typez00_16 ==
																																BGl_za2symbolza2z00zztype_cachez00))
																															{	/* Object/nil.scm 190 */
																																return
																																	((obj_t)
																																	CNST_TABLE_REF
																																	(29));
																															}
																														else
																															{	/* Object/nil.scm 190 */
																																if (
																																	(BgL_typez00_16
																																		==
																																		BGl_za2keywordza2z00zztype_cachez00))
																																	{	/* Object/nil.scm 191 */
																																		return
																																			((obj_t)
																																			CNST_TABLE_REF
																																			(30));
																																	}
																																else
																																	{	/* Object/nil.scm 191 */
																																		if (
																																			(BgL_typez00_16
																																				==
																																				BGl_za2vectorza2z00zztype_cachez00))
																																			{	/* Object/nil.scm 192 */
																																				return
																																					(
																																					(obj_t)
																																					CNST_TABLE_REF
																																					(31));
																																			}
																																		else
																																			{	/* Object/nil.scm 192 */
																																				if (
																																					(BgL_typez00_16
																																						==
																																						BGl_za2procedureza2z00zztype_cachez00))
																																					{	/* Object/nil.scm 193 */
																																						return
																																							(
																																							(obj_t)
																																							CNST_TABLE_REF
																																							(32));
																																					}
																																				else
																																					{	/* Object/nil.scm 195 */
																																						obj_t
																																							BgL_casezd2valuezd2_1184;
																																						BgL_casezd2valuezd2_1184
																																							=
																																							(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) BgL_typez00_16)))->BgL_idz00);
																																						if (
																																							(BgL_casezd2valuezd2_1184
																																								==
																																								((obj_t) CNST_TABLE_REF(33))))
																																							{	/* Object/nil.scm 195 */
																																								return
																																									(
																																									(obj_t)
																																									CNST_TABLE_REF
																																									(34));
																																							}
																																						else
																																							{	/* Object/nil.scm 195 */
																																								if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(35))))
																																									{	/* Object/nil.scm 195 */
																																										return
																																											(
																																											(obj_t)
																																											CNST_TABLE_REF
																																											(36));
																																									}
																																								else
																																									{	/* Object/nil.scm 195 */
																																										if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(37))))
																																											{	/* Object/nil.scm 195 */
																																												return
																																													(
																																													(obj_t)
																																													CNST_TABLE_REF
																																													(36));
																																											}
																																										else
																																											{	/* Object/nil.scm 195 */
																																												if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(38))))
																																													{	/* Object/nil.scm 195 */
																																														return
																																															(
																																															(obj_t)
																																															CNST_TABLE_REF
																																															(36));
																																													}
																																												else
																																													{	/* Object/nil.scm 195 */
																																														if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(39))))
																																															{	/* Object/nil.scm 195 */
																																																return
																																																	(
																																																	(obj_t)
																																																	CNST_TABLE_REF
																																																	(40));
																																															}
																																														else
																																															{	/* Object/nil.scm 195 */
																																																if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(41))))
																																																	{	/* Object/nil.scm 195 */
																																																		return
																																																			(
																																																			(obj_t)
																																																			CNST_TABLE_REF
																																																			(42));
																																																	}
																																																else
																																																	{	/* Object/nil.scm 195 */
																																																		bool_t
																																																			BgL_test1926z00_2612;
																																																		{	/* Object/nil.scm 195 */
																																																			bool_t
																																																				BgL__ortest_1079z00_1245;
																																																			BgL__ortest_1079z00_1245
																																																				=
																																																				(BgL_casezd2valuezd2_1184
																																																				==
																																																				((obj_t) CNST_TABLE_REF(2)));
																																																			if (BgL__ortest_1079z00_1245)
																																																				{	/* Object/nil.scm 195 */
																																																					BgL_test1926z00_2612
																																																						=
																																																						BgL__ortest_1079z00_1245;
																																																				}
																																																			else
																																																				{	/* Object/nil.scm 195 */
																																																					BgL_test1926z00_2612
																																																						=
																																																						(BgL_casezd2valuezd2_1184
																																																						==
																																																						((obj_t) CNST_TABLE_REF(43)));
																																																				}
																																																		}
																																																		if (BgL_test1926z00_2612)
																																																			{	/* Object/nil.scm 195 */
																																																				return
																																																					BUNSPEC;
																																																			}
																																																		else
																																																			{	/* Object/nil.scm 195 */
																																																				if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(44))))
																																																					{	/* Object/nil.scm 195 */
																																																						return
																																																							(
																																																							(obj_t)
																																																							CNST_TABLE_REF
																																																							(22));
																																																					}
																																																				else
																																																					{	/* Object/nil.scm 195 */
																																																						if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(45))))
																																																							{	/* Object/nil.scm 195 */
																																																								return
																																																									BINT
																																																									(0L);
																																																							}
																																																						else
																																																							{	/* Object/nil.scm 195 */
																																																								if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(46))))
																																																									{	/* Object/nil.scm 195 */
																																																										return
																																																											(
																																																											(obj_t)
																																																											CNST_TABLE_REF
																																																											(23));
																																																									}
																																																								else
																																																									{	/* Object/nil.scm 195 */
																																																										if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(47))))
																																																											{	/* Object/nil.scm 195 */
																																																												return
																																																													(
																																																													(obj_t)
																																																													CNST_TABLE_REF
																																																													(24));
																																																											}
																																																										else
																																																											{	/* Object/nil.scm 195 */
																																																												bool_t
																																																													BgL_test1932z00_2643;
																																																												{	/* Object/nil.scm 195 */
																																																													bool_t
																																																														BgL__ortest_1080z00_1244;
																																																													BgL__ortest_1080z00_1244
																																																														=
																																																														(BgL_casezd2valuezd2_1184
																																																														==
																																																														((obj_t) CNST_TABLE_REF(48)));
																																																													if (BgL__ortest_1080z00_1244)
																																																														{	/* Object/nil.scm 195 */
																																																															BgL_test1932z00_2643
																																																																=
																																																																BgL__ortest_1080z00_1244;
																																																														}
																																																													else
																																																														{	/* Object/nil.scm 195 */
																																																															BgL_test1932z00_2643
																																																																=
																																																																(BgL_casezd2valuezd2_1184
																																																																==
																																																																((obj_t) CNST_TABLE_REF(49)));
																																																														}
																																																												}
																																																												if (BgL_test1932z00_2643)
																																																													{	/* Object/nil.scm 195 */
																																																														return
																																																															BFALSE;
																																																													}
																																																												else
																																																													{	/* Object/nil.scm 195 */
																																																														if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(50))))
																																																															{	/* Object/nil.scm 195 */
																																																																return
																																																																	BGL_REAL_CNST
																																																																	(BGl_real1844z00zzobject_nilz00);
																																																															}
																																																														else
																																																															{	/* Object/nil.scm 195 */
																																																																if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(51))))
																																																																	{	/* Object/nil.scm 195 */
																																																																		return
																																																																			BCHAR
																																																																			(
																																																																			((unsigned char) '_'));
																																																																	}
																																																																else
																																																																	{	/* Object/nil.scm 195 */
																																																																		bool_t
																																																																			BgL_test1936z00_2660;
																																																																		{	/* Object/nil.scm 195 */
																																																																			bool_t
																																																																				BgL__ortest_1081z00_1243;
																																																																			BgL__ortest_1081z00_1243
																																																																				=
																																																																				(BgL_casezd2valuezd2_1184
																																																																				==
																																																																				((obj_t) CNST_TABLE_REF(52)));
																																																																			if (BgL__ortest_1081z00_1243)
																																																																				{	/* Object/nil.scm 195 */
																																																																					BgL_test1936z00_2660
																																																																						=
																																																																						BgL__ortest_1081z00_1243;
																																																																				}
																																																																			else
																																																																				{	/* Object/nil.scm 195 */
																																																																					BgL_test1936z00_2660
																																																																						=
																																																																						(BgL_casezd2valuezd2_1184
																																																																						==
																																																																						((obj_t) CNST_TABLE_REF(53)));
																																																																				}
																																																																		}
																																																																		if (BgL_test1936z00_2660)
																																																																			{	/* Object/nil.scm 195 */
																																																																				return
																																																																					(
																																																																					(obj_t)
																																																																					CNST_TABLE_REF
																																																																					(26));
																																																																			}
																																																																		else
																																																																			{	/* Object/nil.scm 195 */
																																																																				if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(54))))
																																																																					{	/* Object/nil.scm 195 */
																																																																						return
																																																																							(
																																																																							(obj_t)
																																																																							CNST_TABLE_REF
																																																																							(27));
																																																																					}
																																																																				else
																																																																					{	/* Object/nil.scm 195 */
																																																																						if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(55))))
																																																																							{	/* Object/nil.scm 195 */
																																																																								return
																																																																									(
																																																																									(obj_t)
																																																																									CNST_TABLE_REF
																																																																									(28));
																																																																							}
																																																																						else
																																																																							{	/* Object/nil.scm 195 */
																																																																								if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(56))))
																																																																									{	/* Object/nil.scm 195 */
																																																																										return
																																																																											BGl_string1845z00zzobject_nilz00;
																																																																									}
																																																																								else
																																																																									{	/* Object/nil.scm 195 */
																																																																										if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(57))))
																																																																											{	/* Object/nil.scm 195 */
																																																																												return
																																																																													(
																																																																													(obj_t)
																																																																													CNST_TABLE_REF
																																																																													(29));
																																																																											}
																																																																										else
																																																																											{	/* Object/nil.scm 195 */
																																																																												if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(58))))
																																																																													{	/* Object/nil.scm 195 */
																																																																														return
																																																																															(
																																																																															(obj_t)
																																																																															CNST_TABLE_REF
																																																																															(30));
																																																																													}
																																																																												else
																																																																													{	/* Object/nil.scm 195 */
																																																																														if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(59))))
																																																																															{	/* Object/nil.scm 195 */
																																																																																return
																																																																																	(
																																																																																	(obj_t)
																																																																																	CNST_TABLE_REF
																																																																																	(31));
																																																																															}
																																																																														else
																																																																															{	/* Object/nil.scm 195 */
																																																																																if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(60))))
																																																																																	{	/* Object/nil.scm 217 */
																																																																																		obj_t
																																																																																			BgL_arg1685z00_1210;
																																																																																		{	/* Object/nil.scm 217 */
																																																																																			obj_t
																																																																																				BgL_arg1686z00_1211;
																																																																																			obj_t
																																																																																				BgL_arg1691z00_1212;
																																																																																			{	/* Object/nil.scm 217 */
																																																																																				obj_t
																																																																																					BgL_arg1692z00_1213;
																																																																																				{	/* Object/nil.scm 217 */
																																																																																					obj_t
																																																																																						BgL_arg1693z00_1214;
																																																																																					{	/* Object/nil.scm 217 */

																																																																																						{	/* Object/nil.scm 217 */

																																																																																							BgL_arg1693z00_1214
																																																																																								=
																																																																																								BGl_gensymz00zz__r4_symbols_6_4z00
																																																																																								(BFALSE);
																																																																																						}
																																																																																					}
																																																																																					BgL_arg1692z00_1213
																																																																																						=
																																																																																						MAKE_YOUNG_PAIR
																																																																																						(BgL_arg1693z00_1214,
																																																																																						BNIL);
																																																																																				}
																																																																																				BgL_arg1686z00_1211
																																																																																					=
																																																																																					MAKE_YOUNG_PAIR
																																																																																					(
																																																																																					((obj_t) CNST_TABLE_REF(18)), BgL_arg1692z00_1213);
																																																																																			}
																																																																																			{	/* Object/nil.scm 217 */
																																																																																				obj_t
																																																																																					BgL_arg1695z00_1216;
																																																																																				BgL_arg1695z00_1216
																																																																																					=
																																																																																					MAKE_YOUNG_PAIR
																																																																																					(BFALSE,
																																																																																					BNIL);
																																																																																				BgL_arg1691z00_1212
																																																																																					=
																																																																																					MAKE_YOUNG_PAIR
																																																																																					(BINT
																																																																																					(0L),
																																																																																					BgL_arg1695z00_1216);
																																																																																			}
																																																																																			BgL_arg1685z00_1210
																																																																																				=
																																																																																				MAKE_YOUNG_PAIR
																																																																																				(BgL_arg1686z00_1211,
																																																																																				BgL_arg1691z00_1212);
																																																																																		}
																																																																																		return
																																																																																			MAKE_YOUNG_PAIR
																																																																																			(
																																																																																			((obj_t) CNST_TABLE_REF(61)), BgL_arg1685z00_1210);
																																																																																	}
																																																																																else
																																																																																	{	/* Object/nil.scm 195 */
																																																																																		if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(62))))
																																																																																			{	/* Object/nil.scm 195 */
																																																																																				return
																																																																																					(
																																																																																					(obj_t)
																																																																																					CNST_TABLE_REF
																																																																																					(32));
																																																																																			}
																																																																																		else
																																																																																			{	/* Object/nil.scm 195 */
																																																																																				if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(63))))
																																																																																					{	/* Object/nil.scm 195 */
																																																																																						return
																																																																																							(
																																																																																							(obj_t)
																																																																																							CNST_TABLE_REF
																																																																																							(64));
																																																																																					}
																																																																																				else
																																																																																					{	/* Object/nil.scm 195 */
																																																																																						if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(65))))
																																																																																							{	/* Object/nil.scm 195 */
																																																																																								return
																																																																																									(
																																																																																									(obj_t)
																																																																																									CNST_TABLE_REF
																																																																																									(66));
																																																																																							}
																																																																																						else
																																																																																							{	/* Object/nil.scm 195 */
																																																																																								if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(67))))
																																																																																									{	/* Object/nil.scm 195 */
																																																																																										return
																																																																																											(
																																																																																											(obj_t)
																																																																																											CNST_TABLE_REF
																																																																																											(68));
																																																																																									}
																																																																																								else
																																																																																									{	/* Object/nil.scm 195 */
																																																																																										if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(69))))
																																																																																											{	/* Object/nil.scm 195 */
																																																																																												return
																																																																																													(
																																																																																													(obj_t)
																																																																																													CNST_TABLE_REF
																																																																																													(70));
																																																																																											}
																																																																																										else
																																																																																											{	/* Object/nil.scm 195 */
																																																																																												if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(71))))
																																																																																													{	/* Object/nil.scm 195 */
																																																																																														return
																																																																																															(
																																																																																															(obj_t)
																																																																																															CNST_TABLE_REF
																																																																																															(72));
																																																																																													}
																																																																																												else
																																																																																													{	/* Object/nil.scm 195 */
																																																																																														if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(73))))
																																																																																															{	/* Object/nil.scm 195 */
																																																																																																return
																																																																																																	(
																																																																																																	(obj_t)
																																																																																																	CNST_TABLE_REF
																																																																																																	(74));
																																																																																															}
																																																																																														else
																																																																																															{	/* Object/nil.scm 195 */
																																																																																																if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(75))))
																																																																																																	{	/* Object/nil.scm 195 */
																																																																																																		return
																																																																																																			(
																																																																																																			(obj_t)
																																																																																																			CNST_TABLE_REF
																																																																																																			(76));
																																																																																																	}
																																																																																																else
																																																																																																	{	/* Object/nil.scm 195 */
																																																																																																		if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(77))))
																																																																																																			{	/* Object/nil.scm 195 */
																																																																																																				return
																																																																																																					(
																																																																																																					(obj_t)
																																																																																																					CNST_TABLE_REF
																																																																																																					(78));
																																																																																																			}
																																																																																																		else
																																																																																																			{	/* Object/nil.scm 195 */
																																																																																																				if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(79))))
																																																																																																					{	/* Object/nil.scm 195 */
																																																																																																						return
																																																																																																							(
																																																																																																							(obj_t)
																																																																																																							CNST_TABLE_REF
																																																																																																							(80));
																																																																																																					}
																																																																																																				else
																																																																																																					{	/* Object/nil.scm 195 */
																																																																																																						if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(81))))
																																																																																																							{	/* Object/nil.scm 195 */
																																																																																																								return
																																																																																																									(
																																																																																																									(obj_t)
																																																																																																									CNST_TABLE_REF
																																																																																																									(82));
																																																																																																							}
																																																																																																						else
																																																																																																							{	/* Object/nil.scm 195 */
																																																																																																								if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(83))))
																																																																																																									{	/* Object/nil.scm 195 */
																																																																																																										return
																																																																																																											(
																																																																																																											(obj_t)
																																																																																																											CNST_TABLE_REF
																																																																																																											(84));
																																																																																																									}
																																																																																																								else
																																																																																																									{	/* Object/nil.scm 195 */
																																																																																																										if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(85))))
																																																																																																											{	/* Object/nil.scm 195 */
																																																																																																												return
																																																																																																													(
																																																																																																													(obj_t)
																																																																																																													CNST_TABLE_REF
																																																																																																													(86));
																																																																																																											}
																																																																																																										else
																																																																																																											{	/* Object/nil.scm 195 */
																																																																																																												if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(87))))
																																																																																																													{	/* Object/nil.scm 195 */
																																																																																																														return
																																																																																																															(
																																																																																																															(obj_t)
																																																																																																															CNST_TABLE_REF
																																																																																																															(88));
																																																																																																													}
																																																																																																												else
																																																																																																													{	/* Object/nil.scm 195 */
																																																																																																														if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(89))))
																																																																																																															{	/* Object/nil.scm 195 */
																																																																																																																return
																																																																																																																	(
																																																																																																																	(obj_t)
																																																																																																																	CNST_TABLE_REF
																																																																																																																	(90));
																																																																																																															}
																																																																																																														else
																																																																																																															{	/* Object/nil.scm 195 */
																																																																																																																if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(91))))
																																																																																																																	{	/* Object/nil.scm 195 */
																																																																																																																		return
																																																																																																																			(
																																																																																																																			(obj_t)
																																																																																																																			CNST_TABLE_REF
																																																																																																																			(92));
																																																																																																																	}
																																																																																																																else
																																																																																																																	{	/* Object/nil.scm 195 */
																																																																																																																		if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(93))))
																																																																																																																			{	/* Object/nil.scm 195 */
																																																																																																																				return
																																																																																																																					(
																																																																																																																					(obj_t)
																																																																																																																					CNST_TABLE_REF
																																																																																																																					(94));
																																																																																																																			}
																																																																																																																		else
																																																																																																																			{	/* Object/nil.scm 195 */
																																																																																																																				if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(95))))
																																																																																																																					{	/* Object/nil.scm 195 */
																																																																																																																						return
																																																																																																																							(
																																																																																																																							(obj_t)
																																																																																																																							CNST_TABLE_REF
																																																																																																																							(96));
																																																																																																																					}
																																																																																																																				else
																																																																																																																					{	/* Object/nil.scm 195 */
																																																																																																																						if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(97))))
																																																																																																																							{	/* Object/nil.scm 195 */
																																																																																																																								return
																																																																																																																									(
																																																																																																																									(obj_t)
																																																																																																																									CNST_TABLE_REF
																																																																																																																									(98));
																																																																																																																							}
																																																																																																																						else
																																																																																																																							{	/* Object/nil.scm 195 */
																																																																																																																								if ((BgL_casezd2valuezd2_1184 == ((obj_t) CNST_TABLE_REF(99))))
																																																																																																																									{	/* Object/nil.scm 195 */
																																																																																																																										return
																																																																																																																											(
																																																																																																																											(obj_t)
																																																																																																																											CNST_TABLE_REF
																																																																																																																											(100));
																																																																																																																									}
																																																																																																																								else
																																																																																																																									{	/* Object/nil.scm 238 */
																																																																																																																										obj_t
																																																																																																																											BgL_arg1716z00_1237;
																																																																																																																										obj_t
																																																																																																																											BgL_arg1717z00_1238;
																																																																																																																										obj_t
																																																																																																																											BgL_arg1720z00_1239;
																																																																																																																										BgL_arg1716z00_1237
																																																																																																																											=
																																																																																																																											(
																																																																																																																											((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) (((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt) BgL_slotz00_17)))->BgL_classzd2ownerzd2))))->BgL_idz00);
																																																																																																																										{	/* Object/nil.scm 239 */
																																																																																																																											obj_t
																																																																																																																												BgL_arg1729z00_1241;
																																																																																																																											BgL_arg1729z00_1241
																																																																																																																												=
																																																																																																																												(
																																																																																																																												((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) BgL_typez00_16)))->BgL_idz00);
																																																																																																																											{	/* Object/nil.scm 239 */
																																																																																																																												obj_t
																																																																																																																													BgL_list1730z00_1242;
																																																																																																																												BgL_list1730z00_1242
																																																																																																																													=
																																																																																																																													MAKE_YOUNG_PAIR
																																																																																																																													(BgL_arg1729z00_1241,
																																																																																																																													BNIL);
																																																																																																																												BgL_arg1717z00_1238
																																																																																																																													=
																																																																																																																													BGl_formatz00zz__r4_output_6_10_3z00
																																																																																																																													(BGl_string1846z00zzobject_nilz00,
																																																																																																																													BgL_list1730z00_1242);
																																																																																																																											}
																																																																																																																										}
																																																																																																																										BgL_arg1720z00_1239
																																																																																																																											=
																																																																																																																											(
																																																																																																																											((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt) BgL_slotz00_17)))->BgL_idz00);
																																																																																																																										return
																																																																																																																											BGl_errorz00zz__errorz00
																																																																																																																											(BgL_arg1716z00_1237,
																																																																																																																											BgL_arg1717z00_1238,
																																																																																																																											BgL_arg1720z00_1239);
																																																																																																																									}
																																																																																																																							}
																																																																																																																					}
																																																																																																																			}
																																																																																																																	}
																																																																																																															}
																																																																																																													}
																																																																																																											}
																																																																																																									}
																																																																																																							}
																																																																																																					}
																																																																																																			}
																																																																																																	}
																																																																																															}
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																	}
																																																																															}
																																																																													}
																																																																											}
																																																																									}
																																																																							}
																																																																					}
																																																																			}
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* extern-type-nil */
	obj_t BGl_externzd2typezd2nilz00zzobject_nilz00(obj_t BgL_typez00_18,
		obj_t BgL_slotz00_19)
	{
		{	/* Object/nil.scm 245 */
			{	/* Object/nil.scm 247 */
				bool_t BgL_test1965z00_2851;

				if ((BgL_typez00_18 == BGl_za2intza2z00zztype_cachez00))
					{	/* Object/nil.scm 247 */
						BgL_test1965z00_2851 = ((bool_t) 1);
					}
				else
					{	/* Object/nil.scm 247 */
						BgL_test1965z00_2851 =
							(BgL_typez00_18 == BGl_za2longza2z00zztype_cachez00);
					}
				if (BgL_test1965z00_2851)
					{	/* Object/nil.scm 247 */
						return BINT(0L);
					}
				else
					{	/* Object/nil.scm 247 */
						if ((BgL_typez00_18 == BGl_za2boolza2z00zztype_cachez00))
							{	/* Object/nil.scm 248 */
								return BFALSE;
							}
						else
							{	/* Object/nil.scm 248 */
								if ((BgL_typez00_18 == BGl_za2realza2z00zztype_cachez00))
									{	/* Object/nil.scm 249 */
										return BGL_REAL_CNST(BGl_real1844z00zzobject_nilz00);
									}
								else
									{	/* Object/nil.scm 249 */
										if ((BgL_typez00_18 == BGl_za2elongza2z00zztype_cachez00))
											{	/* Object/nil.scm 250 */
												return ((obj_t) CNST_TABLE_REF(24));
											}
										else
											{	/* Object/nil.scm 250 */
												if (
													(BgL_typez00_18 == BGl_za2llongza2z00zztype_cachez00))
													{	/* Object/nil.scm 251 */
														return ((obj_t) CNST_TABLE_REF(23));
													}
												else
													{	/* Object/nil.scm 251 */
														if (
															(BgL_typez00_18 ==
																BGl_za2charza2z00zztype_cachez00))
															{	/* Object/nil.scm 252 */
																return BCHAR(((unsigned char) '_'));
															}
														else
															{	/* Object/nil.scm 252 */
																if (
																	(BgL_typez00_18 ==
																		BGl_za2stringza2z00zztype_cachez00))
																	{	/* Object/nil.scm 253 */
																		return BGl_string1845z00zzobject_nilz00;
																	}
																else
																	{	/* Object/nil.scm 254 */
																		bool_t BgL_test1973z00_2873;

																		{	/* Object/nil.scm 254 */
																			bool_t BgL_test1974z00_2874;

																			{	/* Object/nil.scm 254 */
																				obj_t BgL_classz00_1677;

																				BgL_classz00_1677 =
																					BGl_jclassz00zzobject_classz00;
																				if (BGL_OBJECTP(BgL_typez00_18))
																					{	/* Object/nil.scm 254 */
																						BgL_objectz00_bglt
																							BgL_arg1858z00_1679;
																						BgL_arg1858z00_1679 =
																							(BgL_objectz00_bglt)
																							(BgL_typez00_18);
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* Object/nil.scm 254 */
																								long BgL_idxz00_1685;

																								BgL_idxz00_1685 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1858z00_1679);
																								BgL_test1974z00_2874 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_1685 + 2L)) ==
																									BgL_classz00_1677);
																							}
																						else
																							{	/* Object/nil.scm 254 */
																								bool_t BgL_res1838z00_1710;

																								{	/* Object/nil.scm 254 */
																									obj_t BgL_oclassz00_1693;

																									{	/* Object/nil.scm 254 */
																										obj_t BgL_arg1866z00_1701;
																										long BgL_arg1867z00_1702;

																										BgL_arg1866z00_1701 =
																											(BGl_za2classesza2z00zz__objectz00);
																										{	/* Object/nil.scm 254 */
																											long BgL_arg1869z00_1703;

																											BgL_arg1869z00_1703 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1858z00_1679);
																											BgL_arg1867z00_1702 =
																												(BgL_arg1869z00_1703 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_1693 =
																											VECTOR_REF
																											(BgL_arg1866z00_1701,
																											BgL_arg1867z00_1702);
																									}
																									{	/* Object/nil.scm 254 */
																										bool_t
																											BgL__ortest_1115z00_1694;
																										BgL__ortest_1115z00_1694 =
																											(BgL_classz00_1677 ==
																											BgL_oclassz00_1693);
																										if (BgL__ortest_1115z00_1694)
																											{	/* Object/nil.scm 254 */
																												BgL_res1838z00_1710 =
																													BgL__ortest_1115z00_1694;
																											}
																										else
																											{	/* Object/nil.scm 254 */
																												long BgL_odepthz00_1695;

																												{	/* Object/nil.scm 254 */
																													obj_t
																														BgL_arg1855z00_1696;
																													BgL_arg1855z00_1696 =
																														(BgL_oclassz00_1693);
																													BgL_odepthz00_1695 =
																														BGL_CLASS_DEPTH
																														(BgL_arg1855z00_1696);
																												}
																												if (
																													(2L <
																														BgL_odepthz00_1695))
																													{	/* Object/nil.scm 254 */
																														obj_t
																															BgL_arg1853z00_1698;
																														{	/* Object/nil.scm 254 */
																															obj_t
																																BgL_arg1854z00_1699;
																															BgL_arg1854z00_1699
																																=
																																(BgL_oclassz00_1693);
																															BgL_arg1853z00_1698
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_arg1854z00_1699,
																																2L);
																														}
																														BgL_res1838z00_1710
																															=
																															(BgL_arg1853z00_1698
																															==
																															BgL_classz00_1677);
																													}
																												else
																													{	/* Object/nil.scm 254 */
																														BgL_res1838z00_1710
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test1974z00_2874 =
																									BgL_res1838z00_1710;
																							}
																					}
																				else
																					{	/* Object/nil.scm 254 */
																						BgL_test1974z00_2874 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test1974z00_2874)
																				{	/* Object/nil.scm 254 */
																					BgL_test1973z00_2873 = ((bool_t) 1);
																				}
																			else
																				{	/* Object/nil.scm 254 */
																					obj_t BgL_classz00_1711;

																					BgL_classz00_1711 =
																						BGl_jarrayz00zzforeign_jtypez00;
																					if (BGL_OBJECTP(BgL_typez00_18))
																						{	/* Object/nil.scm 254 */
																							BgL_objectz00_bglt
																								BgL_arg1858z00_1713;
																							BgL_arg1858z00_1713 =
																								(BgL_objectz00_bglt)
																								(BgL_typez00_18);
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* Object/nil.scm 254 */
																									long BgL_idxz00_1719;

																									BgL_idxz00_1719 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1858z00_1713);
																									BgL_test1973z00_2873 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_1719 + 2L)) ==
																										BgL_classz00_1711);
																								}
																							else
																								{	/* Object/nil.scm 254 */
																									bool_t BgL_res1839z00_1744;

																									{	/* Object/nil.scm 254 */
																										obj_t BgL_oclassz00_1727;

																										{	/* Object/nil.scm 254 */
																											obj_t BgL_arg1866z00_1735;
																											long BgL_arg1867z00_1736;

																											BgL_arg1866z00_1735 =
																												(BGl_za2classesza2z00zz__objectz00);
																											{	/* Object/nil.scm 254 */
																												long
																													BgL_arg1869z00_1737;
																												BgL_arg1869z00_1737 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1858z00_1713);
																												BgL_arg1867z00_1736 =
																													(BgL_arg1869z00_1737 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_1727 =
																												VECTOR_REF
																												(BgL_arg1866z00_1735,
																												BgL_arg1867z00_1736);
																										}
																										{	/* Object/nil.scm 254 */
																											bool_t
																												BgL__ortest_1115z00_1728;
																											BgL__ortest_1115z00_1728 =
																												(BgL_classz00_1711 ==
																												BgL_oclassz00_1727);
																											if (BgL__ortest_1115z00_1728)
																												{	/* Object/nil.scm 254 */
																													BgL_res1839z00_1744 =
																														BgL__ortest_1115z00_1728;
																												}
																											else
																												{	/* Object/nil.scm 254 */
																													long
																														BgL_odepthz00_1729;
																													{	/* Object/nil.scm 254 */
																														obj_t
																															BgL_arg1855z00_1730;
																														BgL_arg1855z00_1730
																															=
																															(BgL_oclassz00_1727);
																														BgL_odepthz00_1729 =
																															BGL_CLASS_DEPTH
																															(BgL_arg1855z00_1730);
																													}
																													if (
																														(2L <
																															BgL_odepthz00_1729))
																														{	/* Object/nil.scm 254 */
																															obj_t
																																BgL_arg1853z00_1732;
																															{	/* Object/nil.scm 254 */
																																obj_t
																																	BgL_arg1854z00_1733;
																																BgL_arg1854z00_1733
																																	=
																																	(BgL_oclassz00_1727);
																																BgL_arg1853z00_1732
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_arg1854z00_1733,
																																	2L);
																															}
																															BgL_res1839z00_1744
																																=
																																(BgL_arg1853z00_1732
																																==
																																BgL_classz00_1711);
																														}
																													else
																														{	/* Object/nil.scm 254 */
																															BgL_res1839z00_1744
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test1973z00_2873 =
																										BgL_res1839z00_1744;
																								}
																						}
																					else
																						{	/* Object/nil.scm 254 */
																							BgL_test1973z00_2873 =
																								((bool_t) 0);
																						}
																				}
																		}
																		if (BgL_test1973z00_2873)
																			{	/* Object/nil.scm 255 */
																				obj_t BgL_arg1746z00_1249;

																				BgL_arg1746z00_1249 =
																					(((BgL_typez00_bglt) COBJECT(
																							((BgL_typez00_bglt)
																								BgL_typez00_18)))->BgL_idz00);
																				return
																					BGl_makezd2privatezd2sexpz00zzast_privatez00
																					(((obj_t) CNST_TABLE_REF(101)),
																					BgL_arg1746z00_1249, BNIL);
																			}
																		else
																			{	/* Object/nil.scm 257 */
																				obj_t BgL_casezd2valuezd2_1251;

																				BgL_casezd2valuezd2_1251 =
																					(((BgL_typez00_bglt) COBJECT(
																							((BgL_typez00_bglt)
																								BgL_typez00_18)))->BgL_idz00);
																				{	/* Object/nil.scm 257 */
																					bool_t BgL_test1983z00_2926;

																					{	/* Object/nil.scm 257 */
																						bool_t BgL__ortest_1082z00_1269;

																						BgL__ortest_1082z00_1269 =
																							(BgL_casezd2valuezd2_1251 ==
																							((obj_t) CNST_TABLE_REF(102)));
																						if (BgL__ortest_1082z00_1269)
																							{	/* Object/nil.scm 257 */
																								BgL_test1983z00_2926 =
																									BgL__ortest_1082z00_1269;
																							}
																						else
																							{	/* Object/nil.scm 257 */
																								bool_t BgL__ortest_1083z00_1270;

																								BgL__ortest_1083z00_1270 =
																									(BgL_casezd2valuezd2_1251 ==
																									((obj_t)
																										CNST_TABLE_REF(103)));
																								if (BgL__ortest_1083z00_1270)
																									{	/* Object/nil.scm 257 */
																										BgL_test1983z00_2926 =
																											BgL__ortest_1083z00_1270;
																									}
																								else
																									{	/* Object/nil.scm 257 */
																										BgL_test1983z00_2926 =
																											(BgL_casezd2valuezd2_1251
																											==
																											((obj_t)
																												CNST_TABLE_REF(104)));
																									}
																							}
																					}
																					if (BgL_test1983z00_2926)
																						{	/* Object/nil.scm 257 */
																							return BINT(0L);
																						}
																					else
																						{	/* Object/nil.scm 257 */
																							if (
																								(BgL_casezd2valuezd2_1251 ==
																									((obj_t) CNST_TABLE_REF(48))))
																								{	/* Object/nil.scm 257 */
																									return BFALSE;
																								}
																							else
																								{	/* Object/nil.scm 257 */
																									bool_t BgL_test1987z00_2943;

																									{	/* Object/nil.scm 257 */
																										bool_t
																											BgL__ortest_1084z00_1268;
																										BgL__ortest_1084z00_1268 =
																											(BgL_casezd2valuezd2_1251
																											==
																											((obj_t)
																												CNST_TABLE_REF(105)));
																										if (BgL__ortest_1084z00_1268)
																											{	/* Object/nil.scm 257 */
																												BgL_test1987z00_2943 =
																													BgL__ortest_1084z00_1268;
																											}
																										else
																											{	/* Object/nil.scm 257 */
																												BgL_test1987z00_2943 =
																													(BgL_casezd2valuezd2_1251
																													==
																													((obj_t)
																														CNST_TABLE_REF
																														(106)));
																											}
																									}
																									if (BgL_test1987z00_2943)
																										{	/* Object/nil.scm 257 */
																											return
																												BGL_REAL_CNST
																												(BGl_real1844z00zzobject_nilz00);
																										}
																									else
																										{	/* Object/nil.scm 257 */
																											if (
																												(BgL_casezd2valuezd2_1251
																													==
																													((obj_t)
																														CNST_TABLE_REF
																														(107))))
																												{	/* Object/nil.scm 257 */
																													return
																														BCHAR(((unsigned
																																char) '_'));
																												}
																											else
																												{	/* Object/nil.scm 257 */
																													if (
																														(BgL_casezd2valuezd2_1251
																															==
																															((obj_t)
																																CNST_TABLE_REF
																																(108))))
																														{	/* Object/nil.scm 257 */
																															return
																																BGl_string1845z00zzobject_nilz00;
																														}
																													else
																														{	/* Object/nil.scm 264 */
																															bool_t
																																BgL_test1991z00_2960;
																															{	/* Object/nil.scm 264 */
																																obj_t
																																	BgL_arg1770z00_1267;
																																BgL_arg1770z00_1267
																																	=
																																	BGl_thezd2backendzd2zzbackend_backendz00
																																	();
																																BgL_test1991z00_2960
																																	=
																																	(((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt) BgL_arg1770z00_1267)))->BgL_pragmazd2supportzd2);
																															}
																															if (BgL_test1991z00_2960)
																																{	/* Object/nil.scm 265 */
																																	obj_t
																																		BgL_arg1757z00_1262;
																																	obj_t
																																		BgL_arg1763z00_1263;
																																	{	/* Object/nil.scm 265 */
																																		obj_t
																																			BgL_arg1765z00_1264;
																																		BgL_arg1765z00_1264
																																			=
																																			(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) BgL_typez00_18)))->BgL_idz00);
																																		BgL_arg1757z00_1262
																																			=
																																			BGl_makezd2typedzd2identz00zzast_identz00
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(109)),
																																			BgL_arg1765z00_1264);
																																	}
																																	BgL_arg1763z00_1263
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_string1847z00zzobject_nilz00,
																																		BNIL);
																																	return
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1757z00_1262,
																																		BgL_arg1763z00_1263);
																																}
																															else
																																{	/* Object/nil.scm 266 */
																																	obj_t
																																		BgL_arg1768z00_1265;
																																	BgL_arg1768z00_1265
																																		=
																																		(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) BgL_typez00_18)))->BgL_idz00);
																																	return
																																		BGl_makezd2privatezd2sexpz00zzast_privatez00
																																		(((obj_t)
																																			CNST_TABLE_REF
																																			(101)),
																																		BgL_arg1768z00_1265,
																																		BNIL);
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_nilz00(void)
	{
		{	/* Object/nil.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_nilz00(void)
	{
		{	/* Object/nil.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_nilz00(void)
	{
		{	/* Object/nil.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_nilz00(void)
	{
		{	/* Object/nil.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(9470071L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(453414928L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(501518119L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(135263837L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(196511171L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(478324304L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
			return
				BGl_modulezd2initializa7ationz75zzforeign_jtypez00(287572863L,
				BSTRING_TO_STRING(BGl_string1848z00zzobject_nilz00));
		}

	}

#ifdef __cplusplus
}
#endif
