/*===========================================================================*/
/*   (Prebox/walk.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Prebox/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_PREBOX_WALK_TYPE_DEFINITIONS
#define BGL_PREBOX_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


#endif													// BGL_PREBOX_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62preboxzd2nodezd2literal1311z62zzprebox_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62preboxz121296z70zzprebox_walkz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzprebox_walkz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_initzd2preboxzd2cachez12z12zzprebox_walkz00(void);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_za2bboolza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_boxinfozd2getzd2zzprebox_walkz00(BgL_typez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzprebox_walkz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_preboxzd2walkz12zc0zzprebox_walkz00(obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzprebox_walkz00(void);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	static obj_t BGl_z62clearzd2preboxzd2cachez12z70zzprebox_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzprebox_walkz00(void);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62preboxzd2nodezd2conditio1317z62zzprebox_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_preboxzd2funz12zc0zzprebox_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_preboxz12z12zzprebox_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzprebox_walkz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2usageszd2var1305z62zzprebox_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzprebox_walkz00(void);
	static BgL_nodez00_bglt
		BGl_unboxzd2nodez12zc0zzprebox_walkz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_preboxzd2nodezd2zzprebox_walkz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_findzd2varinfozd2zzprebox_walkz00(BgL_variablez00_bglt,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62findzd2usages1302zb0zzprebox_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62findzd2usageszd2app1307z62zzprebox_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62unboxzd2nodez121318za2zzprebox_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62preboxzd2nodezd2sequence1315z62zzprebox_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62preboxzd2nodezd2app1313z62zzprebox_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62preboxz12zd2letzd2var1301z70zzprebox_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_walk1z00zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t);
	static obj_t BGl_za2boxedzd2typesza2zd2zzprebox_walkz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzprebox_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_z62preboxzd2walkz12za2zzprebox_walkz00(obj_t, obj_t);
	static obj_t BGl_findzd2usageszd2zzprebox_walkz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62initzd2preboxzd2cachez12z70zzprebox_walkz00(obj_t);
	static BgL_nodez00_bglt BGl_z62unboxzd2nodez12za2zzprebox_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_findzd2boxingszd2zzprebox_walkz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62preboxzd2nodezb0zzprebox_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_cnstzd2initzd2zzprebox_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzprebox_walkz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzprebox_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzprebox_walkz00(void);
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	extern BgL_nodez00_bglt BGl_walk1z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62preboxzd2exprzb0zzprebox_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62unboxzd2nodez12zd2app1321z70zzprebox_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_z62zc3z04anonymousza31719ze3ze5zzprebox_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62preboxz12z70zzprebox_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	static obj_t BGl_z62preboxzd2node1308zb0zzprebox_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62findzd2usageszb0zzprebox_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	static obj_t __cnst[13];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_clearzd2preboxzd2cachez12zd2envzc0zzprebox_walkz00,
		BgL_bgl_za762clearza7d2prebo2004z00,
		BGl_z62clearzd2preboxzd2cachez12z70zzprebox_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_GENERIC(BGl_findzd2usageszd2envz00zzprebox_walkz00,
		BgL_bgl_za762findza7d2usages2005z00,
		BGl_z62findzd2usageszb0zzprebox_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_unboxzd2nodez12zd2envz12zzprebox_walkz00,
		BgL_bgl_za762unboxza7d2nodeza72006za7,
		BGl_z62unboxzd2nodez12za2zzprebox_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initzd2preboxzd2cachez12zd2envzc0zzprebox_walkz00,
		BgL_bgl_za762initza7d2prebox2007z00,
		BGl_z62initzd2preboxzd2cachez12z70zzprebox_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_GENERIC(BGl_preboxz12zd2envzc0zzprebox_walkz00,
		BgL_bgl_za762preboxza712za770za72008z00,
		BGl_z62preboxz12z70zzprebox_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1972z00zzprebox_walkz00,
		BgL_bgl_string1972za700za7za7p2009za7, "prebox", 6);
	      DEFINE_STRING(BGl_string1973z00zzprebox_walkz00,
		BgL_bgl_string1973za700za7za7p2010za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1974z00zzprebox_walkz00,
		BgL_bgl_string1974za700za7za7p2011za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1975z00zzprebox_walkz00,
		BgL_bgl_string1975za700za7za7p2012za7, " error", 6);
	      DEFINE_STRING(BGl_string1976z00zzprebox_walkz00,
		BgL_bgl_string1976za700za7za7p2013za7, "s", 1);
	      DEFINE_STRING(BGl_string1977z00zzprebox_walkz00,
		BgL_bgl_string1977za700za7za7p2014za7, "", 0);
	      DEFINE_STRING(BGl_string1978z00zzprebox_walkz00,
		BgL_bgl_string1978za700za7za7p2015za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1979z00zzprebox_walkz00,
		BgL_bgl_string1979za700za7za7p2016za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1981z00zzprebox_walkz00,
		BgL_bgl_string1981za700za7za7p2017za7, "prebox!1296", 11);
	      DEFINE_STRING(BGl_string1983z00zzprebox_walkz00,
		BgL_bgl_string1983za700za7za7p2018za7, "find-usages1302", 15);
	      DEFINE_STRING(BGl_string1985z00zzprebox_walkz00,
		BgL_bgl_string1985za700za7za7p2019za7, "prebox-node1308", 15);
	      DEFINE_STRING(BGl_string1987z00zzprebox_walkz00,
		BgL_bgl_string1987za700za7za7p2020za7, "unbox-node!1318", 15);
	      DEFINE_STRING(BGl_string1989z00zzprebox_walkz00,
		BgL_bgl_string1989za700za7za7p2021za7, "prebox!::node", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1980z00zzprebox_walkz00,
		BgL_bgl_za762preboxza71212962022z00,
		BGl_z62preboxz121296z70zzprebox_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1982z00zzprebox_walkz00,
		BgL_bgl_za762findza7d2usages2023z00,
		BGl_z62findzd2usages1302zb0zzprebox_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1984z00zzprebox_walkz00,
		BgL_bgl_za762preboxza7d2node2024z00,
		BGl_z62preboxzd2node1308zb0zzprebox_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1991z00zzprebox_walkz00,
		BgL_bgl_string1991za700za7za7p2025za7, "find-usages", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1986z00zzprebox_walkz00,
		BgL_bgl_za762unboxza7d2nodeza72026za7,
		BGl_z62unboxzd2nodez121318za2zzprebox_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1994z00zzprebox_walkz00,
		BgL_bgl_string1994za700za7za7p2027za7, "prebox-node", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1988z00zzprebox_walkz00,
		BgL_bgl_za762preboxza712za7d2l2028za7,
		BGl_z62preboxz12zd2letzd2var1301z70zzprebox_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1999z00zzprebox_walkz00,
		BgL_bgl_string1999za700za7za7p2029za7, "unbox-node!::node", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1990z00zzprebox_walkz00,
		BgL_bgl_za762findza7d2usages2030z00,
		BGl_z62findzd2usageszd2var1305z62zzprebox_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1992z00zzprebox_walkz00,
		BgL_bgl_za762findza7d2usages2031z00,
		BGl_z62findzd2usageszd2app1307z62zzprebox_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1993z00zzprebox_walkz00,
		BgL_bgl_za762preboxza7d2node2032z00,
		BGl_z62preboxzd2nodezd2literal1311z62zzprebox_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1995z00zzprebox_walkz00,
		BgL_bgl_za762preboxza7d2node2033z00,
		BGl_z62preboxzd2nodezd2app1313z62zzprebox_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1996z00zzprebox_walkz00,
		BgL_bgl_za762preboxza7d2node2034z00,
		BGl_z62preboxzd2nodezd2sequence1315z62zzprebox_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1997z00zzprebox_walkz00,
		BgL_bgl_za762preboxza7d2node2035z00,
		BGl_z62preboxzd2nodezd2conditio1317z62zzprebox_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1998z00zzprebox_walkz00,
		BgL_bgl_za762unboxza7d2nodeza72036za7,
		BGl_z62unboxzd2nodez12zd2app1321z70zzprebox_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_preboxzd2nodezd2envz00zzprebox_walkz00,
		BgL_bgl_za762preboxza7d2node2037z00,
		BGl_z62preboxzd2nodezb0zzprebox_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_preboxzd2walkz12zd2envz12zzprebox_walkz00,
		BgL_bgl_za762preboxza7d2walk2038z00,
		BGl_z62preboxzd2walkz12za2zzprebox_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2001z00zzprebox_walkz00,
		BgL_bgl_string2001za700za7za7p2039za7, "prebox_walk", 11);
	      DEFINE_STRING(BGl_string2002z00zzprebox_walkz00,
		BgL_bgl_string2002za700za7za7p2040za7,
		"varinfo read $char->bchar $bchar->char $long->bint $bint->long boxinfo $bool->bbool $bbool->bool foreign (clear-prebox-cache!) pass-started (init-prebox-cache!) ",
		161);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2000z00zzprebox_walkz00,
		BgL_bgl_za762za7c3za704anonymo2041za7,
		BGl_z62zc3z04anonymousza31719ze3ze5zzprebox_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_preboxzd2exprzd2envz00zzprebox_walkz00,
		BgL_bgl_za762preboxza7d2expr2042z00,
		BGl_z62preboxzd2exprzb0zzprebox_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzprebox_walkz00));
		     ADD_ROOT((void *) (&BGl_za2boxedzd2typesza2zd2zzprebox_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzprebox_walkz00(long
		BgL_checksumz00_2717, char *BgL_fromz00_2718)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzprebox_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzprebox_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzprebox_walkz00();
					BGl_libraryzd2moduleszd2initz00zzprebox_walkz00();
					BGl_cnstzd2initzd2zzprebox_walkz00();
					BGl_importedzd2moduleszd2initz00zzprebox_walkz00();
					BGl_genericzd2initzd2zzprebox_walkz00();
					BGl_methodzd2initzd2zzprebox_walkz00();
					return BGl_toplevelzd2initzd2zzprebox_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzprebox_walkz00(void)
	{
		{	/* Prebox/walk.scm 36 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"prebox_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "prebox_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"prebox_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"prebox_walk");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"prebox_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "prebox_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "prebox_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "prebox_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "prebox_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "prebox_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "prebox_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"prebox_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "prebox_walk");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "prebox_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "prebox_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzprebox_walkz00(void)
	{
		{	/* Prebox/walk.scm 36 */
			{	/* Prebox/walk.scm 36 */
				obj_t BgL_cportz00_2600;

				{	/* Prebox/walk.scm 36 */
					obj_t BgL_stringz00_2607;

					BgL_stringz00_2607 = BGl_string2002z00zzprebox_walkz00;
					{	/* Prebox/walk.scm 36 */
						obj_t BgL_startz00_2608;

						BgL_startz00_2608 = BINT(0L);
						{	/* Prebox/walk.scm 36 */
							obj_t BgL_endz00_2609;

							BgL_endz00_2609 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2607)));
							{	/* Prebox/walk.scm 36 */

								BgL_cportz00_2600 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2607, BgL_startz00_2608, BgL_endz00_2609);
				}}}}
				{
					long BgL_iz00_2601;

					BgL_iz00_2601 = 12L;
				BgL_loopz00_2602:
					if ((BgL_iz00_2601 == (-1L)))
						{	/* Prebox/walk.scm 36 */
							return BUNSPEC;
						}
					else
						{	/* Prebox/walk.scm 36 */
							{	/* Prebox/walk.scm 36 */
								obj_t BgL_arg2003z00_2603;

								{	/* Prebox/walk.scm 36 */

									{	/* Prebox/walk.scm 36 */
										obj_t BgL_locationz00_2605;

										BgL_locationz00_2605 = BBOOL(((bool_t) 0));
										{	/* Prebox/walk.scm 36 */

											BgL_arg2003z00_2603 =
												BGl_readz00zz__readerz00(BgL_cportz00_2600,
												BgL_locationz00_2605);
										}
									}
								}
								{	/* Prebox/walk.scm 36 */
									int BgL_tmpz00_2753;

									BgL_tmpz00_2753 = (int) (BgL_iz00_2601);
									CNST_TABLE_SET(BgL_tmpz00_2753, BgL_arg2003z00_2603);
							}}
							{	/* Prebox/walk.scm 36 */
								int BgL_auxz00_2606;

								BgL_auxz00_2606 = (int) ((BgL_iz00_2601 - 1L));
								{
									long BgL_iz00_2758;

									BgL_iz00_2758 = (long) (BgL_auxz00_2606);
									BgL_iz00_2601 = BgL_iz00_2758;
									goto BgL_loopz00_2602;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzprebox_walkz00(void)
	{
		{	/* Prebox/walk.scm 36 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzprebox_walkz00(void)
	{
		{	/* Prebox/walk.scm 36 */
			BGl_za2boxedzd2typesza2zd2zzprebox_walkz00 = BNIL;
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzprebox_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1533;

					BgL_headz00_1533 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1534;
						obj_t BgL_tailz00_1535;

						BgL_prevz00_1534 = BgL_headz00_1533;
						BgL_tailz00_1535 = BgL_l1z00_1;
					BgL_loopz00_1536:
						if (PAIRP(BgL_tailz00_1535))
							{
								obj_t BgL_newzd2prevzd2_1538;

								BgL_newzd2prevzd2_1538 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1535), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1534, BgL_newzd2prevzd2_1538);
								{
									obj_t BgL_tailz00_2770;
									obj_t BgL_prevz00_2769;

									BgL_prevz00_2769 = BgL_newzd2prevzd2_1538;
									BgL_tailz00_2770 = CDR(BgL_tailz00_1535);
									BgL_tailz00_1535 = BgL_tailz00_2770;
									BgL_prevz00_1534 = BgL_prevz00_2769;
									goto BgL_loopz00_1536;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1533);
					}
				}
		}

	}



/* prebox-walk! */
	BGL_EXPORTED_DEF obj_t BGl_preboxzd2walkz12zc0zzprebox_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Prebox/walk.scm 60 */
			{	/* Prebox/walk.scm 61 */
				obj_t BgL_list1342z00_1553;

				{	/* Prebox/walk.scm 61 */
					obj_t BgL_arg1355z00_1554;

					{	/* Prebox/walk.scm 61 */
						obj_t BgL_arg1358z00_1555;

						BgL_arg1358z00_1555 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1355z00_1554 =
							MAKE_YOUNG_PAIR(BGl_string1972z00zzprebox_walkz00,
							BgL_arg1358z00_1555);
					}
					BgL_list1342z00_1553 =
						MAKE_YOUNG_PAIR(BGl_string1973z00zzprebox_walkz00,
						BgL_arg1355z00_1554);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1342z00_1553);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1972z00zzprebox_walkz00;
			{	/* Prebox/walk.scm 61 */
				obj_t BgL_g1117z00_1556;
				obj_t BgL_g1118z00_1557;

				{	/* Prebox/walk.scm 61 */
					obj_t BgL_list1378z00_1570;

					BgL_list1378z00_1570 =
						MAKE_YOUNG_PAIR
						(BGl_initzd2preboxzd2cachez12zd2envzc0zzprebox_walkz00, BNIL);
					BgL_g1117z00_1556 = BgL_list1378z00_1570;
				}
				BgL_g1118z00_1557 = ((obj_t) CNST_TABLE_REF(0));
				{
					obj_t BgL_hooksz00_1559;
					obj_t BgL_hnamesz00_1560;

					BgL_hooksz00_1559 = BgL_g1117z00_1556;
					BgL_hnamesz00_1560 = BgL_g1118z00_1557;
				BgL_zc3z04anonymousza31359ze3z87_1561:
					if (NULLP(BgL_hooksz00_1559))
						{	/* Prebox/walk.scm 61 */
							((obj_t) CNST_TABLE_REF(1));
						}
					else
						{	/* Prebox/walk.scm 61 */
							bool_t BgL_test2048z00_2787;

							{	/* Prebox/walk.scm 61 */
								obj_t BgL_fun1377z00_1568;

								BgL_fun1377z00_1568 = CAR(((obj_t) BgL_hooksz00_1559));
								BgL_test2048z00_2787 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1377z00_1568));
							}
							if (BgL_test2048z00_2787)
								{	/* Prebox/walk.scm 61 */
									obj_t BgL_arg1370z00_1565;
									obj_t BgL_arg1371z00_1566;

									BgL_arg1370z00_1565 = CDR(((obj_t) BgL_hooksz00_1559));
									BgL_arg1371z00_1566 = CDR(((obj_t) BgL_hnamesz00_1560));
									{
										obj_t BgL_hnamesz00_2799;
										obj_t BgL_hooksz00_2798;

										BgL_hooksz00_2798 = BgL_arg1370z00_1565;
										BgL_hnamesz00_2799 = BgL_arg1371z00_1566;
										BgL_hnamesz00_1560 = BgL_hnamesz00_2799;
										BgL_hooksz00_1559 = BgL_hooksz00_2798;
										goto BgL_zc3z04anonymousza31359ze3z87_1561;
									}
								}
							else
								{	/* Prebox/walk.scm 61 */
									obj_t BgL_arg1376z00_1567;

									BgL_arg1376z00_1567 = CAR(((obj_t) BgL_hnamesz00_1560));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1972z00zzprebox_walkz00,
										BGl_string1974z00zzprebox_walkz00, BgL_arg1376z00_1567);
								}
						}
				}
			}
			{
				obj_t BgL_l1274z00_1572;

				BgL_l1274z00_1572 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31379ze3z87_1573:
				if (PAIRP(BgL_l1274z00_1572))
					{	/* Prebox/walk.scm 62 */
						BGl_preboxzd2funz12zc0zzprebox_walkz00(CAR(BgL_l1274z00_1572));
						{
							obj_t BgL_l1274z00_2807;

							BgL_l1274z00_2807 = CDR(BgL_l1274z00_1572);
							BgL_l1274z00_1572 = BgL_l1274z00_2807;
							goto BgL_zc3z04anonymousza31379ze3z87_1573;
						}
					}
				else
					{	/* Prebox/walk.scm 62 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) > 0L))
				{	/* Prebox/walk.scm 63 */
					{	/* Prebox/walk.scm 63 */
						obj_t BgL_port1276z00_1580;

						{	/* Prebox/walk.scm 63 */
							obj_t BgL_tmpz00_2812;

							BgL_tmpz00_2812 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1276z00_1580 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2812);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1276z00_1580);
						bgl_display_string(BGl_string1975z00zzprebox_walkz00,
							BgL_port1276z00_1580);
						{	/* Prebox/walk.scm 63 */
							obj_t BgL_arg1385z00_1581;

							{	/* Prebox/walk.scm 63 */
								bool_t BgL_test2051z00_2817;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Prebox/walk.scm 63 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Prebox/walk.scm 63 */
												BgL_test2051z00_2817 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> 1L);
											}
										else
											{	/* Prebox/walk.scm 63 */
												BgL_test2051z00_2817 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(1L));
											}
									}
								else
									{	/* Prebox/walk.scm 63 */
										BgL_test2051z00_2817 = ((bool_t) 0);
									}
								if (BgL_test2051z00_2817)
									{	/* Prebox/walk.scm 63 */
										BgL_arg1385z00_1581 = BGl_string1976z00zzprebox_walkz00;
									}
								else
									{	/* Prebox/walk.scm 63 */
										BgL_arg1385z00_1581 = BGl_string1977z00zzprebox_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1385z00_1581, BgL_port1276z00_1580);
						}
						bgl_display_string(BGl_string1978z00zzprebox_walkz00,
							BgL_port1276z00_1580);
						bgl_display_char(((unsigned char) 10), BgL_port1276z00_1580);
					}
					{	/* Prebox/walk.scm 63 */
						obj_t BgL_list1392z00_1585;

						BgL_list1392z00_1585 = MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
						BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1392z00_1585);
					}
				}
			else
				{	/* Prebox/walk.scm 63 */
					obj_t BgL_g1119z00_1586;
					obj_t BgL_g1120z00_1587;

					{	/* Prebox/walk.scm 63 */
						obj_t BgL_list1404z00_1600;

						BgL_list1404z00_1600 =
							MAKE_YOUNG_PAIR
							(BGl_clearzd2preboxzd2cachez12zd2envzc0zzprebox_walkz00, BNIL);
						BgL_g1119z00_1586 = BgL_list1404z00_1600;
					}
					BgL_g1120z00_1587 = ((obj_t) CNST_TABLE_REF(2));
					{
						obj_t BgL_hooksz00_1589;
						obj_t BgL_hnamesz00_1590;

						BgL_hooksz00_1589 = BgL_g1119z00_1586;
						BgL_hnamesz00_1590 = BgL_g1120z00_1587;
					BgL_zc3z04anonymousza31393ze3z87_1591:
						if (NULLP(BgL_hooksz00_1589))
							{	/* Prebox/walk.scm 63 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Prebox/walk.scm 63 */
								bool_t BgL_test2055z00_2837;

								{	/* Prebox/walk.scm 63 */
									obj_t BgL_fun1403z00_1598;

									BgL_fun1403z00_1598 = CAR(((obj_t) BgL_hooksz00_1589));
									BgL_test2055z00_2837 =
										CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1403z00_1598));
								}
								if (BgL_test2055z00_2837)
									{	/* Prebox/walk.scm 63 */
										obj_t BgL_arg1400z00_1595;
										obj_t BgL_arg1401z00_1596;

										BgL_arg1400z00_1595 = CDR(((obj_t) BgL_hooksz00_1589));
										BgL_arg1401z00_1596 = CDR(((obj_t) BgL_hnamesz00_1590));
										{
											obj_t BgL_hnamesz00_2849;
											obj_t BgL_hooksz00_2848;

											BgL_hooksz00_2848 = BgL_arg1400z00_1595;
											BgL_hnamesz00_2849 = BgL_arg1401z00_1596;
											BgL_hnamesz00_1590 = BgL_hnamesz00_2849;
											BgL_hooksz00_1589 = BgL_hooksz00_2848;
											goto BgL_zc3z04anonymousza31393ze3z87_1591;
										}
									}
								else
									{	/* Prebox/walk.scm 63 */
										obj_t BgL_arg1402z00_1597;

										BgL_arg1402z00_1597 = CAR(((obj_t) BgL_hnamesz00_1590));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1979z00zzprebox_walkz00, BgL_arg1402z00_1597);
									}
							}
					}
				}
		}

	}



/* &prebox-walk! */
	obj_t BGl_z62preboxzd2walkz12za2zzprebox_walkz00(obj_t BgL_envz00_2531,
		obj_t BgL_globalsz00_2532)
	{
		{	/* Prebox/walk.scm 60 */
			return BGl_preboxzd2walkz12zc0zzprebox_walkz00(BgL_globalsz00_2532);
		}

	}



/* boxinfo-get */
	obj_t BGl_boxinfozd2getzd2zzprebox_walkz00(BgL_typez00_bglt BgL_tyz00_58)
	{
		{	/* Prebox/walk.scm 83 */
			{	/* Prebox/walk.scm 84 */
				obj_t BgL_cz00_1628;

				BgL_cz00_1628 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
					((obj_t) BgL_tyz00_58), BGl_za2boxedzd2typesza2zd2zzprebox_walkz00);
				if (PAIRP(BgL_cz00_1628))
					{	/* Prebox/walk.scm 85 */
						return CDR(BgL_cz00_1628);
					}
				else
					{	/* Prebox/walk.scm 85 */
						return BFALSE;
					}
			}
		}

	}



/* init-prebox-cache! */
	BGL_EXPORTED_DEF obj_t BGl_initzd2preboxzd2cachez12z12zzprebox_walkz00(void)
	{
		{	/* Prebox/walk.scm 91 */
			if (NULLP(BGl_za2boxedzd2typesza2zd2zzprebox_walkz00))
				{	/* Prebox/walk.scm 97 */
					obj_t BgL_arg1506z00_1631;
					obj_t BgL_arg1511z00_1632;
					obj_t BgL_arg1512z00_1633;

					{	/* Prebox/walk.scm 97 */
						obj_t BgL_arg1530z00_1637;

						{	/* Prebox/walk.scm 97 */
							obj_t BgL_arg1532z00_1638;
							obj_t BgL_arg1535z00_1639;

							{	/* Prebox/walk.scm 97 */
								obj_t BgL_list1536z00_1640;

								BgL_list1536z00_1640 =
									MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
								BgL_arg1532z00_1638 =
									BGl_findzd2globalzd2zzast_envz00(
									((obj_t) CNST_TABLE_REF(4)), BgL_list1536z00_1640);
							}
							{	/* Prebox/walk.scm 98 */
								obj_t BgL_list1537z00_1641;

								BgL_list1537z00_1641 =
									MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
								BgL_arg1535z00_1639 =
									BGl_findzd2globalzd2zzast_envz00(
									((obj_t) CNST_TABLE_REF(5)), BgL_list1537z00_1641);
							}
							{	/* Prebox/walk.scm 96 */
								obj_t BgL_utypez00_2224;
								obj_t BgL_btypez00_2225;

								BgL_utypez00_2224 = BGl_za2boolza2z00zztype_cachez00;
								BgL_btypez00_2225 = BGl_za2bboolza2z00zztype_cachez00;
								{	/* Prebox/walk.scm 73 */
									obj_t BgL_newz00_2226;

									BgL_newz00_2226 =
										create_struct(((obj_t) CNST_TABLE_REF(6)), (int) (4L));
									{	/* Prebox/walk.scm 73 */
										int BgL_tmpz00_2877;

										BgL_tmpz00_2877 = (int) (3L);
										STRUCT_SET(BgL_newz00_2226, BgL_tmpz00_2877,
											BgL_arg1535z00_1639);
									}
									{	/* Prebox/walk.scm 73 */
										int BgL_tmpz00_2880;

										BgL_tmpz00_2880 = (int) (2L);
										STRUCT_SET(BgL_newz00_2226, BgL_tmpz00_2880,
											BgL_arg1532z00_1638);
									}
									{	/* Prebox/walk.scm 73 */
										int BgL_tmpz00_2883;

										BgL_tmpz00_2883 = (int) (1L);
										STRUCT_SET(BgL_newz00_2226, BgL_tmpz00_2883,
											BgL_btypez00_2225);
									}
									{	/* Prebox/walk.scm 73 */
										int BgL_tmpz00_2886;

										BgL_tmpz00_2886 = (int) (0L);
										STRUCT_SET(BgL_newz00_2226, BgL_tmpz00_2886,
											BgL_utypez00_2224);
									}
									BgL_arg1530z00_1637 = BgL_newz00_2226;
						}}}
						BgL_arg1506z00_1631 =
							MAKE_YOUNG_PAIR(BGl_za2boolza2z00zztype_cachez00,
							BgL_arg1530z00_1637);
					}
					{	/* Prebox/walk.scm 101 */
						obj_t BgL_arg1543z00_1642;

						{	/* Prebox/walk.scm 101 */
							obj_t BgL_arg1545z00_1643;
							obj_t BgL_arg1553z00_1644;

							{	/* Prebox/walk.scm 101 */
								obj_t BgL_list1554z00_1645;

								BgL_list1554z00_1645 =
									MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
								BgL_arg1545z00_1643 =
									BGl_findzd2globalzd2zzast_envz00(
									((obj_t) CNST_TABLE_REF(7)), BgL_list1554z00_1645);
							}
							{	/* Prebox/walk.scm 102 */
								obj_t BgL_list1555z00_1646;

								BgL_list1555z00_1646 =
									MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
								BgL_arg1553z00_1644 =
									BGl_findzd2globalzd2zzast_envz00(
									((obj_t) CNST_TABLE_REF(8)), BgL_list1555z00_1646);
							}
							{	/* Prebox/walk.scm 100 */
								obj_t BgL_utypez00_2231;
								obj_t BgL_btypez00_2232;

								BgL_utypez00_2231 = BGl_za2longza2z00zztype_cachez00;
								BgL_btypez00_2232 = BGl_za2bintza2z00zztype_cachez00;
								{	/* Prebox/walk.scm 73 */
									obj_t BgL_newz00_2233;

									BgL_newz00_2233 =
										create_struct(((obj_t) CNST_TABLE_REF(6)), (int) (4L));
									{	/* Prebox/walk.scm 73 */
										int BgL_tmpz00_2906;

										BgL_tmpz00_2906 = (int) (3L);
										STRUCT_SET(BgL_newz00_2233, BgL_tmpz00_2906,
											BgL_arg1553z00_1644);
									}
									{	/* Prebox/walk.scm 73 */
										int BgL_tmpz00_2909;

										BgL_tmpz00_2909 = (int) (2L);
										STRUCT_SET(BgL_newz00_2233, BgL_tmpz00_2909,
											BgL_arg1545z00_1643);
									}
									{	/* Prebox/walk.scm 73 */
										int BgL_tmpz00_2912;

										BgL_tmpz00_2912 = (int) (1L);
										STRUCT_SET(BgL_newz00_2233, BgL_tmpz00_2912,
											BgL_btypez00_2232);
									}
									{	/* Prebox/walk.scm 73 */
										int BgL_tmpz00_2915;

										BgL_tmpz00_2915 = (int) (0L);
										STRUCT_SET(BgL_newz00_2233, BgL_tmpz00_2915,
											BgL_utypez00_2231);
									}
									BgL_arg1543z00_1642 = BgL_newz00_2233;
						}}}
						BgL_arg1511z00_1632 =
							MAKE_YOUNG_PAIR(BGl_za2longza2z00zztype_cachez00,
							BgL_arg1543z00_1642);
					}
					{	/* Prebox/walk.scm 105 */
						obj_t BgL_arg1558z00_1647;

						{	/* Prebox/walk.scm 105 */
							obj_t BgL_arg1560z00_1648;
							obj_t BgL_arg1574z00_1649;

							{	/* Prebox/walk.scm 105 */
								obj_t BgL_list1575z00_1650;

								BgL_list1575z00_1650 =
									MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
								BgL_arg1560z00_1648 =
									BGl_findzd2globalzd2zzast_envz00(
									((obj_t) CNST_TABLE_REF(9)), BgL_list1575z00_1650);
							}
							{	/* Prebox/walk.scm 106 */
								obj_t BgL_list1576z00_1651;

								BgL_list1576z00_1651 =
									MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
								BgL_arg1574z00_1649 =
									BGl_findzd2globalzd2zzast_envz00(
									((obj_t) CNST_TABLE_REF(10)), BgL_list1576z00_1651);
							}
							{	/* Prebox/walk.scm 104 */
								obj_t BgL_utypez00_2238;
								obj_t BgL_btypez00_2239;

								BgL_utypez00_2238 = BGl_za2charza2z00zztype_cachez00;
								BgL_btypez00_2239 = BGl_za2bcharza2z00zztype_cachez00;
								{	/* Prebox/walk.scm 73 */
									obj_t BgL_newz00_2240;

									BgL_newz00_2240 =
										create_struct(((obj_t) CNST_TABLE_REF(6)), (int) (4L));
									{	/* Prebox/walk.scm 73 */
										int BgL_tmpz00_2935;

										BgL_tmpz00_2935 = (int) (3L);
										STRUCT_SET(BgL_newz00_2240, BgL_tmpz00_2935,
											BgL_arg1574z00_1649);
									}
									{	/* Prebox/walk.scm 73 */
										int BgL_tmpz00_2938;

										BgL_tmpz00_2938 = (int) (2L);
										STRUCT_SET(BgL_newz00_2240, BgL_tmpz00_2938,
											BgL_arg1560z00_1648);
									}
									{	/* Prebox/walk.scm 73 */
										int BgL_tmpz00_2941;

										BgL_tmpz00_2941 = (int) (1L);
										STRUCT_SET(BgL_newz00_2240, BgL_tmpz00_2941,
											BgL_btypez00_2239);
									}
									{	/* Prebox/walk.scm 73 */
										int BgL_tmpz00_2944;

										BgL_tmpz00_2944 = (int) (0L);
										STRUCT_SET(BgL_newz00_2240, BgL_tmpz00_2944,
											BgL_utypez00_2238);
									}
									BgL_arg1558z00_1647 = BgL_newz00_2240;
						}}}
						BgL_arg1512z00_1633 =
							MAKE_YOUNG_PAIR(BGl_za2charza2z00zztype_cachez00,
							BgL_arg1558z00_1647);
					}
					{	/* Prebox/walk.scm 94 */
						obj_t BgL_list1513z00_1634;

						{	/* Prebox/walk.scm 94 */
							obj_t BgL_arg1515z00_1635;

							{	/* Prebox/walk.scm 94 */
								obj_t BgL_arg1516z00_1636;

								BgL_arg1516z00_1636 =
									MAKE_YOUNG_PAIR(BgL_arg1512z00_1633, BNIL);
								BgL_arg1515z00_1635 =
									MAKE_YOUNG_PAIR(BgL_arg1511z00_1632, BgL_arg1516z00_1636);
							}
							BgL_list1513z00_1634 =
								MAKE_YOUNG_PAIR(BgL_arg1506z00_1631, BgL_arg1515z00_1635);
						}
						BGl_za2boxedzd2typesza2zd2zzprebox_walkz00 = BgL_list1513z00_1634;
				}}
			else
				{	/* Prebox/walk.scm 92 */
					BFALSE;
				}
			return BUNSPEC;
		}

	}



/* &init-prebox-cache! */
	obj_t BGl_z62initzd2preboxzd2cachez12z70zzprebox_walkz00(obj_t
		BgL_envz00_2533)
	{
		{	/* Prebox/walk.scm 91 */
			return BGl_initzd2preboxzd2cachez12z12zzprebox_walkz00();
		}

	}



/* &clear-prebox-cache! */
	obj_t BGl_z62clearzd2preboxzd2cachez12z70zzprebox_walkz00(obj_t
		BgL_envz00_2534)
	{
		{	/* Prebox/walk.scm 112 */
			return (BGl_za2boxedzd2typesza2zd2zzprebox_walkz00 = BNIL, BUNSPEC);
		}

	}



/* prebox-fun! */
	obj_t BGl_preboxzd2funz12zc0zzprebox_walkz00(obj_t BgL_varz00_59)
	{
		{	/* Prebox/walk.scm 118 */
			{	/* Prebox/walk.scm 121 */
				obj_t BgL_arg1577z00_1652;

				BgL_arg1577z00_1652 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_59)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1577z00_1652);
			}
			{	/* Prebox/walk.scm 122 */
				BgL_valuez00_bglt BgL_funz00_1653;

				BgL_funz00_1653 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_59)))->BgL_valuez00);
				{	/* Prebox/walk.scm 123 */
					BgL_nodez00_bglt BgL_arg1578z00_1654;

					{	/* Prebox/walk.scm 123 */
						obj_t BgL_arg1581z00_1655;

						BgL_arg1581z00_1655 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1653)))->BgL_bodyz00);
						BgL_arg1578z00_1654 =
							BGl_preboxz12z12zzprebox_walkz00(
							((BgL_nodez00_bglt) BgL_arg1581z00_1655));
					}
					((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1653)))->BgL_bodyz00) =
						((obj_t) ((obj_t) BgL_arg1578z00_1654)), BUNSPEC);
				}
				BGl_leavezd2functionzd2zztools_errorz00();
				return BgL_varz00_59;
			}
		}

	}



/* find-boxings */
	obj_t BGl_findzd2boxingszd2zzprebox_walkz00(BgL_nodez00_bglt BgL_bodyz00_62,
		obj_t BgL_visz00_63)
	{
		{	/* Prebox/walk.scm 181 */
			BGl_findzd2usageszd2zzprebox_walkz00(BgL_bodyz00_62, BgL_visz00_63);
			{	/* Prebox/walk.scm 183 */
				obj_t BgL_hook1290z00_1656;

				BgL_hook1290z00_1656 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
				{
					obj_t BgL_l1287z00_1658;
					obj_t BgL_h1288z00_1659;

					BgL_l1287z00_1658 = BgL_visz00_63;
					BgL_h1288z00_1659 = BgL_hook1290z00_1656;
				BgL_zc3z04anonymousza31582ze3z87_1660:
					if (NULLP(BgL_l1287z00_1658))
						{	/* Prebox/walk.scm 183 */
							return CDR(BgL_hook1290z00_1656);
						}
					else
						{	/* Prebox/walk.scm 183 */
							bool_t BgL_test2059z00_2970;

							{	/* Prebox/walk.scm 184 */
								obj_t BgL_viz00_1684;

								BgL_viz00_1684 = CAR(((obj_t) BgL_l1287z00_1658));
								{	/* Prebox/walk.scm 184 */
									obj_t BgL_boxz00_1685;

									{	/* Prebox/walk.scm 73 */
										obj_t BgL_sz00_2253;

										BgL_sz00_2253 =
											STRUCT_REF(((obj_t) BgL_viz00_1684), (int) (2L));
										BgL_boxz00_1685 = STRUCT_REF(BgL_sz00_2253, (int) (3L));
									}
									{
										obj_t BgL_l1282z00_1688;

										BgL_l1282z00_1688 =
											STRUCT_REF(((obj_t) BgL_viz00_1684), (int) (3L));
									BgL_zc3z04anonymousza31612ze3z87_1689:
										if (NULLP(BgL_l1282z00_1688))
											{	/* Prebox/walk.scm 190 */
												BgL_test2059z00_2970 = ((bool_t) 1);
											}
										else
											{	/* Prebox/walk.scm 190 */
												bool_t BgL_test2061z00_2980;

												{	/* Prebox/walk.scm 186 */
													obj_t BgL_nz00_1694;

													BgL_nz00_1694 = CAR(((obj_t) BgL_l1282z00_1688));
													{	/* Prebox/walk.scm 186 */
														bool_t BgL_test2062z00_2983;

														{	/* Prebox/walk.scm 186 */
															obj_t BgL_classz00_2256;

															BgL_classz00_2256 = BGl_appz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_nz00_1694))
																{	/* Prebox/walk.scm 186 */
																	BgL_objectz00_bglt BgL_arg1858z00_2258;

																	BgL_arg1858z00_2258 =
																		(BgL_objectz00_bglt) (BgL_nz00_1694);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Prebox/walk.scm 186 */
																			long BgL_idxz00_2264;

																			BgL_idxz00_2264 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_2258);
																			BgL_test2062z00_2983 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2264 + 3L)) ==
																				BgL_classz00_2256);
																		}
																	else
																		{	/* Prebox/walk.scm 186 */
																			bool_t BgL_res1949z00_2289;

																			{	/* Prebox/walk.scm 186 */
																				obj_t BgL_oclassz00_2272;

																				{	/* Prebox/walk.scm 186 */
																					obj_t BgL_arg1866z00_2280;
																					long BgL_arg1867z00_2281;

																					BgL_arg1866z00_2280 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Prebox/walk.scm 186 */
																						long BgL_arg1869z00_2282;

																						BgL_arg1869z00_2282 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_2258);
																						BgL_arg1867z00_2281 =
																							(BgL_arg1869z00_2282 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2272 =
																						VECTOR_REF(BgL_arg1866z00_2280,
																						BgL_arg1867z00_2281);
																				}
																				{	/* Prebox/walk.scm 186 */
																					bool_t BgL__ortest_1115z00_2273;

																					BgL__ortest_1115z00_2273 =
																						(BgL_classz00_2256 ==
																						BgL_oclassz00_2272);
																					if (BgL__ortest_1115z00_2273)
																						{	/* Prebox/walk.scm 186 */
																							BgL_res1949z00_2289 =
																								BgL__ortest_1115z00_2273;
																						}
																					else
																						{	/* Prebox/walk.scm 186 */
																							long BgL_odepthz00_2274;

																							{	/* Prebox/walk.scm 186 */
																								obj_t BgL_arg1855z00_2275;

																								BgL_arg1855z00_2275 =
																									(BgL_oclassz00_2272);
																								BgL_odepthz00_2274 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_2275);
																							}
																							if ((3L < BgL_odepthz00_2274))
																								{	/* Prebox/walk.scm 186 */
																									obj_t BgL_arg1853z00_2277;

																									{	/* Prebox/walk.scm 186 */
																										obj_t BgL_arg1854z00_2278;

																										BgL_arg1854z00_2278 =
																											(BgL_oclassz00_2272);
																										BgL_arg1853z00_2277 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_2278, 3L);
																									}
																									BgL_res1949z00_2289 =
																										(BgL_arg1853z00_2277 ==
																										BgL_classz00_2256);
																								}
																							else
																								{	/* Prebox/walk.scm 186 */
																									BgL_res1949z00_2289 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2062z00_2983 =
																				BgL_res1949z00_2289;
																		}
																}
															else
																{	/* Prebox/walk.scm 186 */
																	BgL_test2062z00_2983 = ((bool_t) 0);
																}
														}
														if (BgL_test2062z00_2983)
															{	/* Prebox/walk.scm 186 */
																BgL_test2061z00_2980 =
																	(
																	((obj_t)
																		(((BgL_varz00_bglt) COBJECT(
																					(((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_nz00_1694)))->
																						BgL_funz00)))->BgL_variablez00)) ==
																	BgL_boxz00_1685);
															}
														else
															{	/* Prebox/walk.scm 186 */
																BgL_test2061z00_2980 = ((bool_t) 0);
															}
													}
												}
												if (BgL_test2061z00_2980)
													{
														obj_t BgL_l1282z00_3011;

														BgL_l1282z00_3011 =
															CDR(((obj_t) BgL_l1282z00_1688));
														BgL_l1282z00_1688 = BgL_l1282z00_3011;
														goto BgL_zc3z04anonymousza31612ze3z87_1689;
													}
												else
													{	/* Prebox/walk.scm 190 */
														BgL_test2059z00_2970 = ((bool_t) 0);
													}
											}
									}
								}
							}
							if (BgL_test2059z00_2970)
								{	/* Prebox/walk.scm 183 */
									obj_t BgL_nh1289z00_1680;

									{	/* Prebox/walk.scm 183 */
										obj_t BgL_arg1605z00_1682;

										BgL_arg1605z00_1682 = CAR(((obj_t) BgL_l1287z00_1658));
										BgL_nh1289z00_1680 =
											MAKE_YOUNG_PAIR(BgL_arg1605z00_1682, BNIL);
									}
									SET_CDR(BgL_h1288z00_1659, BgL_nh1289z00_1680);
									{	/* Prebox/walk.scm 183 */
										obj_t BgL_arg1597z00_1681;

										BgL_arg1597z00_1681 = CDR(((obj_t) BgL_l1287z00_1658));
										{
											obj_t BgL_h1288z00_3024;
											obj_t BgL_l1287z00_3023;

											BgL_l1287z00_3023 = BgL_arg1597z00_1681;
											BgL_h1288z00_3024 = BgL_nh1289z00_1680;
											BgL_h1288z00_1659 = BgL_h1288z00_3024;
											BgL_l1287z00_1658 = BgL_l1287z00_3023;
											goto BgL_zc3z04anonymousza31582ze3z87_1660;
										}
									}
								}
							else
								{	/* Prebox/walk.scm 183 */
									obj_t BgL_arg1611z00_1683;

									BgL_arg1611z00_1683 = CDR(((obj_t) BgL_l1287z00_1658));
									{
										obj_t BgL_l1287z00_3027;

										BgL_l1287z00_3027 = BgL_arg1611z00_1683;
										BgL_l1287z00_1658 = BgL_l1287z00_3027;
										goto BgL_zc3z04anonymousza31582ze3z87_1660;
									}
								}
						}
				}
			}
		}

	}



/* find-varinfo */
	obj_t BGl_findzd2varinfozd2zzprebox_walkz00(BgL_variablez00_bglt
		BgL_variablez00_70, obj_t BgL_visz00_71)
	{
		{	/* Prebox/walk.scm 229 */
			{
				obj_t BgL_list1295z00_1703;

				BgL_list1295z00_1703 = BgL_visz00_71;
			BgL_zc3z04anonymousza31632ze3z87_1704:
				if (PAIRP(BgL_list1295z00_1703))
					{	/* Prebox/walk.scm 230 */
						if (
							(STRUCT_REF(CAR(BgL_list1295z00_1703),
									(int) (0L)) == ((obj_t) BgL_variablez00_70)))
							{	/* Prebox/walk.scm 230 */
								return CAR(BgL_list1295z00_1703);
							}
						else
							{
								obj_t BgL_list1295z00_3037;

								BgL_list1295z00_3037 = CDR(BgL_list1295z00_1703);
								BgL_list1295z00_1703 = BgL_list1295z00_3037;
								goto BgL_zc3z04anonymousza31632ze3z87_1704;
							}
					}
				else
					{	/* Prebox/walk.scm 230 */
						return BFALSE;
					}
			}
		}

	}



/* &prebox-expr */
	obj_t BGl_z62preboxzd2exprzb0zzprebox_walkz00(obj_t BgL_envz00_2535,
		obj_t BgL_viz00_2536)
	{
		{	/* Prebox/walk.scm 235 */
			{	/* Prebox/walk.scm 237 */
				obj_t BgL_biz00_2611;

				BgL_biz00_2611 = STRUCT_REF(((obj_t) BgL_viz00_2536), (int) (2L));
				{	/* Prebox/walk.scm 237 */
					obj_t BgL_nodez00_2612;

					{	/* Prebox/walk.scm 238 */
						obj_t BgL_pairz00_2613;

						BgL_pairz00_2613 = STRUCT_REF(((obj_t) BgL_viz00_2536), (int) (1L));
						BgL_nodez00_2612 = CDR(BgL_pairz00_2613);
					}
					{	/* Prebox/walk.scm 238 */
						obj_t BgL_pnodez00_2614;

						BgL_pnodez00_2614 =
							BGl_preboxzd2nodezd2zzprebox_walkz00(
							((BgL_nodez00_bglt) BgL_nodez00_2612), BgL_biz00_2611);
						{	/* Prebox/walk.scm 239 */

							if ((BgL_nodez00_2612 == BgL_pnodez00_2614))
								{	/* Prebox/walk.scm 240 */
									return BFALSE;
								}
							else
								{	/* Prebox/walk.scm 240 */
									{	/* Prebox/walk.scm 78 */
										int BgL_auxz00_3052;
										obj_t BgL_tmpz00_3050;

										BgL_auxz00_3052 = (int) (4L);
										BgL_tmpz00_3050 = ((obj_t) BgL_viz00_2536);
										STRUCT_SET(BgL_tmpz00_3050, BgL_auxz00_3052,
											BgL_pnodez00_2614);
									}
									return BgL_viz00_2536;
								}
						}
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzprebox_walkz00(void)
	{
		{	/* Prebox/walk.scm 36 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzprebox_walkz00(void)
	{
		{	/* Prebox/walk.scm 36 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_preboxz12zd2envzc0zzprebox_walkz00,
				BGl_proc1980z00zzprebox_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string1981z00zzprebox_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2usageszd2envz00zzprebox_walkz00,
				BGl_proc1982z00zzprebox_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string1983z00zzprebox_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_preboxzd2nodezd2envz00zzprebox_walkz00,
				BGl_proc1984z00zzprebox_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string1985z00zzprebox_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_unboxzd2nodez12zd2envz12zzprebox_walkz00,
				BGl_proc1986z00zzprebox_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string1987z00zzprebox_walkz00);
		}

	}



/* &unbox-node!1318 */
	obj_t BGl_z62unboxzd2nodez121318za2zzprebox_walkz00(obj_t BgL_envz00_2549,
		obj_t BgL_nodez00_2550, obj_t BgL_nodesz00_2551)
	{
		{	/* Prebox/walk.scm 307 */
			{
				BgL_nodez00_bglt BgL_auxz00_3059;

				{

					BgL_auxz00_3059 =
						BGl_walk1z12z12zzast_walkz00(
						((BgL_nodez00_bglt) BgL_nodez00_2550),
						BGl_unboxzd2nodez12zd2envz12zzprebox_walkz00, BgL_nodesz00_2551);
				}
				return ((obj_t) BgL_auxz00_3059);
			}
		}

	}



/* &prebox-node1308 */
	obj_t BGl_z62preboxzd2node1308zb0zzprebox_walkz00(obj_t BgL_envz00_2552,
		obj_t BgL_nodez00_2553, obj_t BgL_biz00_2554)
	{
		{	/* Prebox/walk.scm 247 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2553));
		}

	}



/* &find-usages1302 */
	obj_t BGl_z62findzd2usages1302zb0zzprebox_walkz00(obj_t BgL_envz00_2555,
		obj_t BgL_nodez00_2556, obj_t BgL_visz00_2557)
	{
		{	/* Prebox/walk.scm 198 */
			{

				return
					BGl_walk1z00zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_2556),
					BGl_findzd2usageszd2envz00zzprebox_walkz00,
					((obj_t) BgL_visz00_2557));
			}
		}

	}



/* &prebox!1296 */
	obj_t BGl_z62preboxz121296z70zzprebox_walkz00(obj_t BgL_envz00_2558,
		obj_t BgL_nodez00_2559)
	{
		{	/* Prebox/walk.scm 130 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_2559),
					BGl_preboxz12zd2envzc0zzprebox_walkz00));
		}

	}



/* prebox! */
	BgL_nodez00_bglt BGl_preboxz12z12zzprebox_walkz00(BgL_nodez00_bglt
		BgL_nodez00_60)
	{
		{	/* Prebox/walk.scm 130 */
			{	/* Prebox/walk.scm 130 */
				obj_t BgL_method1298z00_1773;

				{	/* Prebox/walk.scm 130 */
					obj_t BgL_res1954z00_2336;

					{	/* Prebox/walk.scm 130 */
						long BgL_objzd2classzd2numz00_2307;

						BgL_objzd2classzd2numz00_2307 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_60));
						{	/* Prebox/walk.scm 130 */
							obj_t BgL_arg1862z00_2308;

							BgL_arg1862z00_2308 =
								PROCEDURE_REF(BGl_preboxz12zd2envzc0zzprebox_walkz00,
								(int) (1L));
							{	/* Prebox/walk.scm 130 */
								int BgL_offsetz00_2311;

								BgL_offsetz00_2311 = (int) (BgL_objzd2classzd2numz00_2307);
								{	/* Prebox/walk.scm 130 */
									long BgL_offsetz00_2312;

									BgL_offsetz00_2312 =
										((long) (BgL_offsetz00_2311) - OBJECT_TYPE);
									{	/* Prebox/walk.scm 130 */
										long BgL_modz00_2313;

										BgL_modz00_2313 =
											(BgL_offsetz00_2312 >> (int) ((long) ((int) (4L))));
										{	/* Prebox/walk.scm 130 */
											long BgL_restz00_2315;

											BgL_restz00_2315 =
												(BgL_offsetz00_2312 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Prebox/walk.scm 130 */

												{	/* Prebox/walk.scm 130 */
													obj_t BgL_bucketz00_2317;

													BgL_bucketz00_2317 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2308), BgL_modz00_2313);
													BgL_res1954z00_2336 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2317), BgL_restz00_2315);
					}}}}}}}}
					BgL_method1298z00_1773 = BgL_res1954z00_2336;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1298z00_1773,
						((obj_t) BgL_nodez00_60)));
			}
		}

	}



/* &prebox! */
	BgL_nodez00_bglt BGl_z62preboxz12z70zzprebox_walkz00(obj_t BgL_envz00_2547,
		obj_t BgL_nodez00_2548)
	{
		{	/* Prebox/walk.scm 130 */
			return
				BGl_preboxz12z12zzprebox_walkz00(((BgL_nodez00_bglt) BgL_nodez00_2548));
		}

	}



/* find-usages */
	obj_t BGl_findzd2usageszd2zzprebox_walkz00(BgL_nodez00_bglt BgL_nodez00_64,
		obj_t BgL_visz00_65)
	{
		{	/* Prebox/walk.scm 198 */
			{	/* Prebox/walk.scm 198 */
				obj_t BgL_method1303z00_1774;

				{	/* Prebox/walk.scm 198 */
					obj_t BgL_res1959z00_2367;

					{	/* Prebox/walk.scm 198 */
						long BgL_objzd2classzd2numz00_2338;

						BgL_objzd2classzd2numz00_2338 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_64));
						{	/* Prebox/walk.scm 198 */
							obj_t BgL_arg1862z00_2339;

							BgL_arg1862z00_2339 =
								PROCEDURE_REF(BGl_findzd2usageszd2envz00zzprebox_walkz00,
								(int) (1L));
							{	/* Prebox/walk.scm 198 */
								int BgL_offsetz00_2342;

								BgL_offsetz00_2342 = (int) (BgL_objzd2classzd2numz00_2338);
								{	/* Prebox/walk.scm 198 */
									long BgL_offsetz00_2343;

									BgL_offsetz00_2343 =
										((long) (BgL_offsetz00_2342) - OBJECT_TYPE);
									{	/* Prebox/walk.scm 198 */
										long BgL_modz00_2344;

										BgL_modz00_2344 =
											(BgL_offsetz00_2343 >> (int) ((long) ((int) (4L))));
										{	/* Prebox/walk.scm 198 */
											long BgL_restz00_2346;

											BgL_restz00_2346 =
												(BgL_offsetz00_2343 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Prebox/walk.scm 198 */

												{	/* Prebox/walk.scm 198 */
													obj_t BgL_bucketz00_2348;

													BgL_bucketz00_2348 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2339), BgL_modz00_2344);
													BgL_res1959z00_2367 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2348), BgL_restz00_2346);
					}}}}}}}}
					BgL_method1303z00_1774 = BgL_res1959z00_2367;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1303z00_1774,
					((obj_t) BgL_nodez00_64), BgL_visz00_65);
			}
		}

	}



/* &find-usages */
	obj_t BGl_z62findzd2usageszb0zzprebox_walkz00(obj_t BgL_envz00_2543,
		obj_t BgL_nodez00_2544, obj_t BgL_visz00_2545)
	{
		{	/* Prebox/walk.scm 198 */
			return
				BGl_findzd2usageszd2zzprebox_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2544), BgL_visz00_2545);
		}

	}



/* prebox-node */
	obj_t BGl_preboxzd2nodezd2zzprebox_walkz00(BgL_nodez00_bglt BgL_nodez00_73,
		obj_t BgL_biz00_74)
	{
		{	/* Prebox/walk.scm 247 */
			{	/* Prebox/walk.scm 247 */
				obj_t BgL_method1309z00_1775;

				{	/* Prebox/walk.scm 247 */
					obj_t BgL_res1964z00_2398;

					{	/* Prebox/walk.scm 247 */
						long BgL_objzd2classzd2numz00_2369;

						BgL_objzd2classzd2numz00_2369 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_73));
						{	/* Prebox/walk.scm 247 */
							obj_t BgL_arg1862z00_2370;

							BgL_arg1862z00_2370 =
								PROCEDURE_REF(BGl_preboxzd2nodezd2envz00zzprebox_walkz00,
								(int) (1L));
							{	/* Prebox/walk.scm 247 */
								int BgL_offsetz00_2373;

								BgL_offsetz00_2373 = (int) (BgL_objzd2classzd2numz00_2369);
								{	/* Prebox/walk.scm 247 */
									long BgL_offsetz00_2374;

									BgL_offsetz00_2374 =
										((long) (BgL_offsetz00_2373) - OBJECT_TYPE);
									{	/* Prebox/walk.scm 247 */
										long BgL_modz00_2375;

										BgL_modz00_2375 =
											(BgL_offsetz00_2374 >> (int) ((long) ((int) (4L))));
										{	/* Prebox/walk.scm 247 */
											long BgL_restz00_2377;

											BgL_restz00_2377 =
												(BgL_offsetz00_2374 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Prebox/walk.scm 247 */

												{	/* Prebox/walk.scm 247 */
													obj_t BgL_bucketz00_2379;

													BgL_bucketz00_2379 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2370), BgL_modz00_2375);
													BgL_res1964z00_2398 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2379), BgL_restz00_2377);
					}}}}}}}}
					BgL_method1309z00_1775 = BgL_res1964z00_2398;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1309z00_1775,
					((obj_t) BgL_nodez00_73), BgL_biz00_74);
			}
		}

	}



/* &prebox-node */
	obj_t BGl_z62preboxzd2nodezb0zzprebox_walkz00(obj_t BgL_envz00_2560,
		obj_t BgL_nodez00_2561, obj_t BgL_biz00_2562)
	{
		{	/* Prebox/walk.scm 247 */
			return
				BGl_preboxzd2nodezd2zzprebox_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2561), BgL_biz00_2562);
		}

	}



/* unbox-node! */
	BgL_nodez00_bglt BGl_unboxzd2nodez12zc0zzprebox_walkz00(BgL_nodez00_bglt
		BgL_nodez00_83, obj_t BgL_nodesz00_84)
	{
		{	/* Prebox/walk.scm 307 */
			{	/* Prebox/walk.scm 307 */
				obj_t BgL_method1319z00_1776;

				{	/* Prebox/walk.scm 307 */
					obj_t BgL_res1969z00_2429;

					{	/* Prebox/walk.scm 307 */
						long BgL_objzd2classzd2numz00_2400;

						BgL_objzd2classzd2numz00_2400 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_83));
						{	/* Prebox/walk.scm 307 */
							obj_t BgL_arg1862z00_2401;

							BgL_arg1862z00_2401 =
								PROCEDURE_REF(BGl_unboxzd2nodez12zd2envz12zzprebox_walkz00,
								(int) (1L));
							{	/* Prebox/walk.scm 307 */
								int BgL_offsetz00_2404;

								BgL_offsetz00_2404 = (int) (BgL_objzd2classzd2numz00_2400);
								{	/* Prebox/walk.scm 307 */
									long BgL_offsetz00_2405;

									BgL_offsetz00_2405 =
										((long) (BgL_offsetz00_2404) - OBJECT_TYPE);
									{	/* Prebox/walk.scm 307 */
										long BgL_modz00_2406;

										BgL_modz00_2406 =
											(BgL_offsetz00_2405 >> (int) ((long) ((int) (4L))));
										{	/* Prebox/walk.scm 307 */
											long BgL_restz00_2408;

											BgL_restz00_2408 =
												(BgL_offsetz00_2405 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Prebox/walk.scm 307 */

												{	/* Prebox/walk.scm 307 */
													obj_t BgL_bucketz00_2410;

													BgL_bucketz00_2410 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2401), BgL_modz00_2406);
													BgL_res1969z00_2429 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2410), BgL_restz00_2408);
					}}}}}}}}
					BgL_method1319z00_1776 = BgL_res1969z00_2429;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL2(BgL_method1319z00_1776,
						((obj_t) BgL_nodez00_83), BgL_nodesz00_84));
			}
		}

	}



/* &unbox-node! */
	BgL_nodez00_bglt BGl_z62unboxzd2nodez12za2zzprebox_walkz00(obj_t
		BgL_envz00_2538, obj_t BgL_nodez00_2539, obj_t BgL_nodesz00_2540)
	{
		{	/* Prebox/walk.scm 307 */
			return
				BGl_unboxzd2nodez12zc0zzprebox_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2539), BgL_nodesz00_2540);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzprebox_walkz00(void)
	{
		{	/* Prebox/walk.scm 36 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_preboxz12zd2envzc0zzprebox_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1988z00zzprebox_walkz00, BGl_string1989z00zzprebox_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2usageszd2envz00zzprebox_walkz00, BGl_varz00zzast_nodez00,
				BGl_proc1990z00zzprebox_walkz00, BGl_string1991z00zzprebox_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2usageszd2envz00zzprebox_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc1992z00zzprebox_walkz00, BGl_string1991z00zzprebox_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_preboxzd2nodezd2envz00zzprebox_walkz00,
				BGl_literalz00zzast_nodez00, BGl_proc1993z00zzprebox_walkz00,
				BGl_string1994z00zzprebox_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_preboxzd2nodezd2envz00zzprebox_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc1995z00zzprebox_walkz00, BGl_string1994z00zzprebox_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_preboxzd2nodezd2envz00zzprebox_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1996z00zzprebox_walkz00,
				BGl_string1994z00zzprebox_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_preboxzd2nodezd2envz00zzprebox_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1997z00zzprebox_walkz00,
				BGl_string1994z00zzprebox_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_unboxzd2nodez12zd2envz12zzprebox_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc1998z00zzprebox_walkz00, BGl_string1999z00zzprebox_walkz00);
		}

	}



/* &unbox-node!-app1321 */
	BgL_nodez00_bglt BGl_z62unboxzd2nodez12zd2app1321z70zzprebox_walkz00(obj_t
		BgL_envz00_2572, obj_t BgL_nodez00_2573, obj_t BgL_nodesz00_2574)
	{
		{	/* Prebox/walk.scm 313 */
			{

				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								((BgL_appz00_bglt) BgL_nodez00_2573)), BgL_nodesz00_2574)))
					{	/* Prebox/walk.scm 316 */
						obj_t BgL_vz00_2625;

						BgL_vz00_2625 =
							CAR(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2573)))->BgL_argsz00));
						{	/* Prebox/walk.scm 317 */
							BgL_nodez00_bglt BgL_duplicated1155z00_2626;
							BgL_refz00_bglt BgL_new1153z00_2627;

							{	/* Prebox/walk.scm 317 */
								obj_t BgL_pairz00_2628;

								BgL_pairz00_2628 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2573)))->BgL_argsz00);
								BgL_duplicated1155z00_2626 =
									((BgL_nodez00_bglt) CAR(BgL_pairz00_2628));
							}
							{	/* Prebox/walk.scm 317 */
								BgL_refz00_bglt BgL_new1157z00_2629;

								BgL_new1157z00_2629 =
									((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_refz00_bgl))));
								{	/* Prebox/walk.scm 317 */
									long BgL_arg1873z00_2630;

									BgL_arg1873z00_2630 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1157z00_2629),
										BgL_arg1873z00_2630);
								}
								{	/* Prebox/walk.scm 317 */
									BgL_objectz00_bglt BgL_tmpz00_3228;

									BgL_tmpz00_3228 = ((BgL_objectz00_bglt) BgL_new1157z00_2629);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3228, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1157z00_2629);
								BgL_new1153z00_2627 = BgL_new1157z00_2629;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1153z00_2627)))->BgL_locz00) =
								((obj_t) (((BgL_nodez00_bglt)
											COBJECT(BgL_duplicated1155z00_2626))->BgL_locz00)),
								BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1153z00_2627)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_vz00_2625)))->BgL_variablez00)))->
										BgL_typez00)), BUNSPEC);
							((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
												BgL_new1153z00_2627)))->BgL_variablez00) =
								((BgL_variablez00_bglt) (((BgL_varz00_bglt)
											COBJECT(((BgL_varz00_bglt) BgL_duplicated1155z00_2626)))->
										BgL_variablez00)), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1153z00_2627);
						}
					}
				else
					{	/* Prebox/walk.scm 314 */
						return
							BGl_walk1z12z12zzast_walkz00(
							((BgL_nodez00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_2573)),
							BGl_unboxzd2nodez12zd2envz12zzprebox_walkz00, BgL_nodesz00_2574);
					}
			}
		}

	}



/* &prebox-node-conditio1317 */
	obj_t BGl_z62preboxzd2nodezd2conditio1317z62zzprebox_walkz00(obj_t
		BgL_envz00_2575, obj_t BgL_nodez00_2576, obj_t BgL_biz00_2577)
	{
		{	/* Prebox/walk.scm 293 */
			{
				BgL_conditionalz00_bglt BgL_auxz00_3248;

				{	/* Prebox/walk.scm 295 */
					obj_t BgL_ntruez00_2633;
					obj_t BgL_nfalsez00_2634;

					BgL_ntruez00_2633 =
						BGl_preboxzd2nodezd2zzprebox_walkz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2576)))->BgL_truez00),
						((obj_t) BgL_biz00_2577));
					BgL_nfalsez00_2634 =
						BGl_preboxzd2nodezd2zzprebox_walkz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2576)))->BgL_falsez00),
						((obj_t) BgL_biz00_2577));
					{	/* Prebox/walk.scm 297 */
						bool_t BgL_test2071z00_3257;

						if (
							(((obj_t)
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2576)))->
										BgL_truez00)) == BgL_ntruez00_2633))
							{	/* Prebox/walk.scm 297 */
								BgL_test2071z00_3257 = ((bool_t) 1);
							}
						else
							{	/* Prebox/walk.scm 297 */
								BgL_test2071z00_3257 =
									(
									((obj_t)
										(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2576)))->
											BgL_falsez00)) == BgL_nfalsez00_2634);
							}
						if (BgL_test2071z00_3257)
							{	/* Prebox/walk.scm 297 */
								BgL_auxz00_3248 = ((BgL_conditionalz00_bglt) BgL_nodez00_2576);
							}
						else
							{	/* Prebox/walk.scm 299 */
								BgL_conditionalz00_bglt BgL_new1145z00_2635;

								{	/* Prebox/walk.scm 299 */
									BgL_conditionalz00_bglt BgL_new1151z00_2636;

									BgL_new1151z00_2636 =
										((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_conditionalz00_bgl))));
									{	/* Prebox/walk.scm 299 */
										long BgL_arg1851z00_2637;

										BgL_arg1851z00_2637 =
											BGL_CLASS_NUM(BGl_conditionalz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1151z00_2636),
											BgL_arg1851z00_2637);
									}
									{	/* Prebox/walk.scm 299 */
										BgL_objectz00_bglt BgL_tmpz00_3272;

										BgL_tmpz00_3272 =
											((BgL_objectz00_bglt) BgL_new1151z00_2636);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3272, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1151z00_2636);
									BgL_new1145z00_2635 = BgL_new1151z00_2636;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1145z00_2635)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt)
												COBJECT(((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt)
															BgL_nodez00_2576))))->BgL_locz00)), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1145z00_2635)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) STRUCT_REF(((obj_t)
													BgL_biz00_2577), (int) (1L)))), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1145z00_2635)))->BgL_sidezd2effectzd2) =
									((obj_t) (((BgL_nodezf2effectzf2_bglt)
												COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
															((BgL_conditionalz00_bglt) BgL_nodez00_2576)))))->
											BgL_sidezd2effectzd2)), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1145z00_2635)))->BgL_keyz00) =
									((obj_t) (((BgL_nodezf2effectzf2_bglt)
												COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt)
															((BgL_conditionalz00_bglt) BgL_nodez00_2576)))))->
											BgL_keyz00)), BUNSPEC);
								((((BgL_conditionalz00_bglt) COBJECT(BgL_new1145z00_2635))->
										BgL_testz00) =
									((BgL_nodez00_bglt) (((BgL_conditionalz00_bglt)
												COBJECT(((BgL_conditionalz00_bglt) ((BgL_nodez00_bglt) (
																(BgL_conditionalz00_bglt)
																BgL_nodez00_2576)))))->BgL_testz00)), BUNSPEC);
								((((BgL_conditionalz00_bglt) COBJECT(BgL_new1145z00_2635))->
										BgL_truez00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_ntruez00_2633)),
									BUNSPEC);
								((((BgL_conditionalz00_bglt) COBJECT(BgL_new1145z00_2635))->
										BgL_falsez00) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nfalsez00_2634)),
									BUNSPEC);
								BgL_auxz00_3248 = BgL_new1145z00_2635;
				}}}
				return ((obj_t) BgL_auxz00_3248);
			}
		}

	}



/* &prebox-node-sequence1315 */
	obj_t BGl_z62preboxzd2nodezd2sequence1315z62zzprebox_walkz00(obj_t
		BgL_envz00_2578, obj_t BgL_nodez00_2579, obj_t BgL_biz00_2580)
	{
		{	/* Prebox/walk.scm 280 */
			{
				BgL_sequencez00_bglt BgL_auxz00_3309;

				{	/* Prebox/walk.scm 282 */
					obj_t BgL_nz00_2640;

					BgL_nz00_2640 =
						CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
							(((BgL_sequencez00_bglt) COBJECT(
										((BgL_sequencez00_bglt) BgL_nodez00_2579)))->
								BgL_nodesz00)));
					{	/* Prebox/walk.scm 282 */
						obj_t BgL_pz00_2641;

						BgL_pz00_2641 =
							BGl_preboxzd2nodezd2zzprebox_walkz00(
							((BgL_nodez00_bglt) BgL_nz00_2640), ((obj_t) BgL_biz00_2580));
						{	/* Prebox/walk.scm 283 */

							if ((BgL_nz00_2640 == BgL_pz00_2641))
								{	/* Prebox/walk.scm 284 */
									BgL_auxz00_3309 = ((BgL_sequencez00_bglt) BgL_nodez00_2579);
								}
							else
								{	/* Prebox/walk.scm 286 */
									BgL_sequencez00_bglt BgL_new1136z00_2642;

									{	/* Prebox/walk.scm 286 */
										BgL_sequencez00_bglt BgL_new1143z00_2643;

										BgL_new1143z00_2643 =
											((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_sequencez00_bgl))));
										{	/* Prebox/walk.scm 286 */
											long BgL_arg1829z00_2644;

											BgL_arg1829z00_2644 =
												BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1143z00_2643),
												BgL_arg1829z00_2644);
										}
										{	/* Prebox/walk.scm 286 */
											BgL_objectz00_bglt BgL_tmpz00_3324;

											BgL_tmpz00_3324 =
												((BgL_objectz00_bglt) BgL_new1143z00_2643);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3324, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1143z00_2643);
										BgL_new1136z00_2642 = BgL_new1143z00_2643;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1136z00_2642)))->
											BgL_locz00) =
										((obj_t) (((BgL_nodez00_bglt)
													COBJECT(((BgL_nodez00_bglt) ((BgL_sequencez00_bglt)
																BgL_nodez00_2579))))->BgL_locz00)), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1136z00_2642)))->BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt) STRUCT_REF(((obj_t)
														BgL_biz00_2580), (int) (1L)))), BUNSPEC);
									((((BgL_nodezf2effectzf2_bglt)
												COBJECT(((BgL_nodezf2effectzf2_bglt)
														BgL_new1136z00_2642)))->BgL_sidezd2effectzd2) =
										((obj_t) (((BgL_nodezf2effectzf2_bglt)
													COBJECT(((BgL_nodezf2effectzf2_bglt) (
																(BgL_nodez00_bglt) ((BgL_sequencez00_bglt)
																	BgL_nodez00_2579)))))->BgL_sidezd2effectzd2)),
										BUNSPEC);
									((((BgL_nodezf2effectzf2_bglt)
												COBJECT(((BgL_nodezf2effectzf2_bglt)
														BgL_new1136z00_2642)))->BgL_keyz00) =
										((obj_t) (((BgL_nodezf2effectzf2_bglt)
													COBJECT(((BgL_nodezf2effectzf2_bglt) (
																(BgL_nodez00_bglt) ((BgL_sequencez00_bglt)
																	BgL_nodez00_2579)))))->BgL_keyz00)), BUNSPEC);
									{
										obj_t BgL_auxz00_3351;

										{	/* Prebox/walk.scm 288 */
											obj_t BgL_arg1818z00_2645;

											{	/* Prebox/walk.scm 288 */
												obj_t BgL_arg1821z00_2646;

												{	/* Prebox/walk.scm 288 */
													obj_t BgL_pairz00_2647;

													BgL_pairz00_2647 =
														bgl_reverse(
														(((BgL_sequencez00_bglt) COBJECT(
																	((BgL_sequencez00_bglt) BgL_nodez00_2579)))->
															BgL_nodesz00));
													BgL_arg1821z00_2646 = CDR(BgL_pairz00_2647);
												}
												BgL_arg1818z00_2645 =
													MAKE_YOUNG_PAIR(BgL_pz00_2641, BgL_arg1821z00_2646);
											}
											BgL_auxz00_3351 = bgl_reverse(BgL_arg1818z00_2645);
										}
										((((BgL_sequencez00_bglt) COBJECT(BgL_new1136z00_2642))->
												BgL_nodesz00) = ((obj_t) BgL_auxz00_3351), BUNSPEC);
									}
									((((BgL_sequencez00_bglt) COBJECT(BgL_new1136z00_2642))->
											BgL_unsafez00) =
										((bool_t) (((BgL_sequencez00_bglt)
													COBJECT(((BgL_sequencez00_bglt) ((BgL_nodez00_bglt) (
																	(BgL_sequencez00_bglt) BgL_nodez00_2579)))))->
												BgL_unsafez00)), BUNSPEC);
									((((BgL_sequencez00_bglt) COBJECT(BgL_new1136z00_2642))->
											BgL_metaz00) =
										((obj_t) (((BgL_sequencez00_bglt)
													COBJECT(((BgL_sequencez00_bglt) ((BgL_nodez00_bglt) (
																	(BgL_sequencez00_bglt) BgL_nodez00_2579)))))->
												BgL_metaz00)), BUNSPEC);
									BgL_auxz00_3309 = BgL_new1136z00_2642;
				}}}}
				return ((obj_t) BgL_auxz00_3309);
			}
		}

	}



/* &prebox-node-app1313 */
	obj_t BGl_z62preboxzd2nodezd2app1313z62zzprebox_walkz00(obj_t BgL_envz00_2581,
		obj_t BgL_nodez00_2582, obj_t BgL_biz00_2583)
	{
		{	/* Prebox/walk.scm 270 */
			if (
				(((obj_t)
						(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_nodez00_2582)))->BgL_funz00)))->
							BgL_variablez00)) == STRUCT_REF(((obj_t) BgL_biz00_2583),
						(int) (2L))))
				{	/* Prebox/walk.scm 273 */
					return
						CAR(
						(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_2582)))->BgL_argsz00));
				}
			else
				{	/* Prebox/walk.scm 273 */
					return ((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2582));
				}
		}

	}



/* &prebox-node-literal1311 */
	obj_t BGl_z62preboxzd2nodezd2literal1311z62zzprebox_walkz00(obj_t
		BgL_envz00_2584, obj_t BgL_nodez00_2585, obj_t BgL_biz00_2586)
	{
		{	/* Prebox/walk.scm 253 */
			{
				BgL_nodez00_bglt BgL_auxz00_3384;

				if (
					(((obj_t)
							(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_literalz00_bglt) BgL_nodez00_2585))))->
								BgL_typez00)) == STRUCT_REF(((obj_t) BgL_biz00_2586),
							(int) (0L))))
					{	/* Prebox/walk.scm 257 */
						BgL_appz00_bglt BgL_new1130z00_2652;

						{	/* Prebox/walk.scm 258 */
							BgL_appz00_bglt BgL_new1129z00_2653;

							BgL_new1129z00_2653 =
								((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appz00_bgl))));
							{	/* Prebox/walk.scm 258 */
								long BgL_arg1799z00_2654;

								BgL_arg1799z00_2654 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1129z00_2653),
									BgL_arg1799z00_2654);
							}
							{	/* Prebox/walk.scm 258 */
								BgL_objectz00_bglt BgL_tmpz00_3398;

								BgL_tmpz00_3398 = ((BgL_objectz00_bglt) BgL_new1129z00_2653);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3398, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1129z00_2653);
							BgL_new1130z00_2652 = BgL_new1129z00_2653;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1130z00_2652)))->BgL_locz00) =
							((obj_t) (((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_literalz00_bglt)
													BgL_nodez00_2585))))->BgL_locz00)), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1130z00_2652)))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt) STRUCT_REF(((obj_t)
											BgL_biz00_2586), (int) (1L)))), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1130z00_2652)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1130z00_2652)))->BgL_keyz00) =
							((obj_t) BINT((-1L))), BUNSPEC);
						{
							BgL_varz00_bglt BgL_auxz00_3418;

							{	/* Prebox/walk.scm 260 */
								BgL_refz00_bglt BgL_new1132z00_2655;

								{	/* Prebox/walk.scm 261 */
									BgL_refz00_bglt BgL_new1131z00_2656;

									BgL_new1131z00_2656 =
										((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_refz00_bgl))));
									{	/* Prebox/walk.scm 261 */
										long BgL_arg1797z00_2657;

										{	/* Prebox/walk.scm 261 */
											obj_t BgL_classz00_2658;

											BgL_classz00_2658 = BGl_refz00zzast_nodez00;
											BgL_arg1797z00_2657 = BGL_CLASS_NUM(BgL_classz00_2658);
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1131z00_2656),
											BgL_arg1797z00_2657);
									}
									{	/* Prebox/walk.scm 261 */
										BgL_objectz00_bglt BgL_tmpz00_3423;

										BgL_tmpz00_3423 =
											((BgL_objectz00_bglt) BgL_new1131z00_2656);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3423, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1131z00_2656);
									BgL_new1132z00_2655 = BgL_new1131z00_2656;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1132z00_2655)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt)
												COBJECT(((BgL_nodez00_bglt) ((BgL_literalz00_bglt)
															BgL_nodez00_2585))))->BgL_locz00)), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1132z00_2655)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_variablez00_bglt)
												COBJECT(((BgL_variablez00_bglt) STRUCT_REF(((obj_t)
																BgL_biz00_2586), (int) (3L)))))->BgL_typez00)),
									BUNSPEC);
								((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
													BgL_new1132z00_2655)))->BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
											STRUCT_REF(((obj_t) BgL_biz00_2586), (int) (3L)))),
									BUNSPEC);
								BgL_auxz00_3418 = ((BgL_varz00_bglt) BgL_new1132z00_2655);
							}
							((((BgL_appz00_bglt) COBJECT(BgL_new1130z00_2652))->BgL_funz00) =
								((BgL_varz00_bglt) BgL_auxz00_3418), BUNSPEC);
						}
						{
							obj_t BgL_auxz00_3447;

							{	/* Prebox/walk.scm 264 */
								obj_t BgL_list1798z00_2659;

								BgL_list1798z00_2659 =
									MAKE_YOUNG_PAIR(
									((obj_t) ((BgL_literalz00_bglt) BgL_nodez00_2585)), BNIL);
								BgL_auxz00_3447 = BgL_list1798z00_2659;
							}
							((((BgL_appz00_bglt) COBJECT(BgL_new1130z00_2652))->BgL_argsz00) =
								((obj_t) BgL_auxz00_3447), BUNSPEC);
						}
						((((BgL_appz00_bglt) COBJECT(BgL_new1130z00_2652))->
								BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
						BgL_auxz00_3384 = ((BgL_nodez00_bglt) BgL_new1130z00_2652);
					}
				else
					{	/* Prebox/walk.scm 255 */
						BgL_auxz00_3384 =
							((BgL_nodez00_bglt) ((BgL_literalz00_bglt) BgL_nodez00_2585));
					}
				return ((obj_t) BgL_auxz00_3384);
			}
		}

	}



/* &find-usages-app1307 */
	obj_t BGl_z62findzd2usageszd2app1307z62zzprebox_walkz00(obj_t BgL_envz00_2587,
		obj_t BgL_nodez00_2588, obj_t BgL_visz00_2589)
	{
		{	/* Prebox/walk.scm 213 */
			{	/* Prebox/walk.scm 214 */
				bool_t BgL_tmpz00_3457;

				{	/* Prebox/walk.scm 215 */
					obj_t BgL_g1293z00_2662;

					BgL_g1293z00_2662 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2588)))->BgL_argsz00);
					{
						obj_t BgL_l1291z00_2664;

						BgL_l1291z00_2664 = BgL_g1293z00_2662;
					BgL_zc3z04anonymousza31759ze3z87_2663:
						if (PAIRP(BgL_l1291z00_2664))
							{	/* Prebox/walk.scm 215 */
								{	/* Prebox/walk.scm 216 */
									obj_t BgL_az00_2665;

									BgL_az00_2665 = CAR(BgL_l1291z00_2664);
									{	/* Prebox/walk.scm 216 */
										bool_t BgL_test2077z00_3463;

										{	/* Prebox/walk.scm 216 */
											obj_t BgL_classz00_2666;

											BgL_classz00_2666 = BGl_varz00zzast_nodez00;
											if (BGL_OBJECTP(BgL_az00_2665))
												{	/* Prebox/walk.scm 216 */
													BgL_objectz00_bglt BgL_arg1858z00_2667;

													BgL_arg1858z00_2667 =
														(BgL_objectz00_bglt) (BgL_az00_2665);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Prebox/walk.scm 216 */
															long BgL_idxz00_2668;

															BgL_idxz00_2668 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2667);
															BgL_test2077z00_3463 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2668 + 2L)) == BgL_classz00_2666);
														}
													else
														{	/* Prebox/walk.scm 216 */
															bool_t BgL_res1970z00_2671;

															{	/* Prebox/walk.scm 216 */
																obj_t BgL_oclassz00_2672;

																{	/* Prebox/walk.scm 216 */
																	obj_t BgL_arg1866z00_2673;
																	long BgL_arg1867z00_2674;

																	BgL_arg1866z00_2673 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Prebox/walk.scm 216 */
																		long BgL_arg1869z00_2675;

																		BgL_arg1869z00_2675 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2667);
																		BgL_arg1867z00_2674 =
																			(BgL_arg1869z00_2675 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2672 =
																		VECTOR_REF(BgL_arg1866z00_2673,
																		BgL_arg1867z00_2674);
																}
																{	/* Prebox/walk.scm 216 */
																	bool_t BgL__ortest_1115z00_2676;

																	BgL__ortest_1115z00_2676 =
																		(BgL_classz00_2666 == BgL_oclassz00_2672);
																	if (BgL__ortest_1115z00_2676)
																		{	/* Prebox/walk.scm 216 */
																			BgL_res1970z00_2671 =
																				BgL__ortest_1115z00_2676;
																		}
																	else
																		{	/* Prebox/walk.scm 216 */
																			long BgL_odepthz00_2677;

																			{	/* Prebox/walk.scm 216 */
																				obj_t BgL_arg1855z00_2678;

																				BgL_arg1855z00_2678 =
																					(BgL_oclassz00_2672);
																				BgL_odepthz00_2677 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_2678);
																			}
																			if ((2L < BgL_odepthz00_2677))
																				{	/* Prebox/walk.scm 216 */
																					obj_t BgL_arg1853z00_2679;

																					{	/* Prebox/walk.scm 216 */
																						obj_t BgL_arg1854z00_2680;

																						BgL_arg1854z00_2680 =
																							(BgL_oclassz00_2672);
																						BgL_arg1853z00_2679 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_2680, 2L);
																					}
																					BgL_res1970z00_2671 =
																						(BgL_arg1853z00_2679 ==
																						BgL_classz00_2666);
																				}
																			else
																				{	/* Prebox/walk.scm 216 */
																					BgL_res1970z00_2671 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2077z00_3463 = BgL_res1970z00_2671;
														}
												}
											else
												{	/* Prebox/walk.scm 216 */
													BgL_test2077z00_3463 = ((bool_t) 0);
												}
										}
										if (BgL_test2077z00_3463)
											{	/* Prebox/walk.scm 218 */
												obj_t BgL_viz00_2681;

												BgL_viz00_2681 =
													BGl_findzd2varinfozd2zzprebox_walkz00(
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_az00_2665)))->
														BgL_variablez00), ((obj_t) BgL_visz00_2589));
												if (CBOOL(BgL_viz00_2681))
													{	/* Prebox/walk.scm 219 */
														if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
																	((obj_t)
																		((BgL_appz00_bglt) BgL_nodez00_2588)),
																	STRUCT_REF(
																		((obj_t) BgL_viz00_2681), (int) (3L)))))
															{	/* Prebox/walk.scm 220 */
																BFALSE;
															}
														else
															{	/* Prebox/walk.scm 222 */
																obj_t BgL_arg1768z00_2682;

																{	/* Prebox/walk.scm 222 */
																	obj_t BgL_arg1770z00_2683;

																	BgL_arg1770z00_2683 =
																		STRUCT_REF(
																		((obj_t) BgL_viz00_2681), (int) (3L));
																	BgL_arg1768z00_2682 =
																		MAKE_YOUNG_PAIR(
																		((obj_t)
																			((BgL_appz00_bglt) BgL_nodez00_2588)),
																		BgL_arg1770z00_2683);
																}
																{	/* Prebox/walk.scm 78 */
																	int BgL_auxz00_3508;
																	obj_t BgL_tmpz00_3506;

																	BgL_auxz00_3508 = (int) (3L);
																	BgL_tmpz00_3506 = ((obj_t) BgL_viz00_2681);
																	STRUCT_SET(BgL_tmpz00_3506, BgL_auxz00_3508,
																		BgL_arg1768z00_2682);
													}}}
												else
													{	/* Prebox/walk.scm 219 */
														BFALSE;
													}
											}
										else
											{	/* Prebox/walk.scm 216 */
												BGl_findzd2usageszd2zzprebox_walkz00(
													((BgL_nodez00_bglt) BgL_az00_2665),
													((obj_t) BgL_visz00_2589));
											}
									}
								}
								{
									obj_t BgL_l1291z00_3514;

									BgL_l1291z00_3514 = CDR(BgL_l1291z00_2664);
									BgL_l1291z00_2664 = BgL_l1291z00_3514;
									goto BgL_zc3z04anonymousza31759ze3z87_2663;
								}
							}
						else
							{	/* Prebox/walk.scm 215 */
								BgL_tmpz00_3457 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_3457);
			}
		}

	}



/* &find-usages-var1305 */
	obj_t BGl_z62findzd2usageszd2var1305z62zzprebox_walkz00(obj_t BgL_envz00_2590,
		obj_t BgL_nodez00_2591, obj_t BgL_visz00_2592)
	{
		{	/* Prebox/walk.scm 204 */
			{	/* Prebox/walk.scm 206 */
				obj_t BgL_viz00_2686;

				BgL_viz00_2686 =
					BGl_findzd2varinfozd2zzprebox_walkz00(
					(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_2591)))->BgL_variablez00),
					((obj_t) BgL_visz00_2592));
				if (CBOOL(BgL_viz00_2686))
					{	/* Prebox/walk.scm 208 */
						obj_t BgL_arg1746z00_2687;

						{	/* Prebox/walk.scm 208 */
							obj_t BgL_arg1748z00_2688;

							BgL_arg1748z00_2688 =
								STRUCT_REF(((obj_t) BgL_viz00_2686), (int) (3L));
							BgL_arg1746z00_2687 =
								MAKE_YOUNG_PAIR(
								((obj_t)
									((BgL_varz00_bglt) BgL_nodez00_2591)), BgL_arg1748z00_2688);
						}
						{	/* Prebox/walk.scm 78 */
							int BgL_auxz00_3531;
							obj_t BgL_tmpz00_3529;

							BgL_auxz00_3531 = (int) (3L);
							BgL_tmpz00_3529 = ((obj_t) BgL_viz00_2686);
							return
								STRUCT_SET(BgL_tmpz00_3529, BgL_auxz00_3531,
								BgL_arg1746z00_2687);
						}
					}
				else
					{	/* Prebox/walk.scm 207 */
						return BFALSE;
					}
			}
		}

	}



/* &prebox!-let-var1301 */
	BgL_nodez00_bglt BGl_z62preboxz12zd2letzd2var1301z70zzprebox_walkz00(obj_t
		BgL_envz00_2593, obj_t BgL_nodez00_2594)
	{
		{	/* Prebox/walk.scm 136 */
			{	/* Prebox/walk.scm 138 */
				obj_t BgL_g1279z00_2690;

				BgL_g1279z00_2690 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2594)))->BgL_bindingsz00);
				{
					obj_t BgL_l1277z00_2692;

					BgL_l1277z00_2692 = BgL_g1279z00_2690;
				BgL_zc3z04anonymousza31664ze3z87_2691:
					if (PAIRP(BgL_l1277z00_2692))
						{	/* Prebox/walk.scm 138 */
							{	/* Prebox/walk.scm 139 */
								obj_t BgL_bz00_2693;

								BgL_bz00_2693 = CAR(BgL_l1277z00_2692);
								{	/* Prebox/walk.scm 139 */
									BgL_nodez00_bglt BgL_arg1673z00_2694;

									{	/* Prebox/walk.scm 139 */
										obj_t BgL_arg1674z00_2695;

										BgL_arg1674z00_2695 = CDR(((obj_t) BgL_bz00_2693));
										BgL_arg1673z00_2694 =
											BGl_preboxz12z12zzprebox_walkz00(
											((BgL_nodez00_bglt) BgL_arg1674z00_2695));
									}
									{	/* Prebox/walk.scm 139 */
										obj_t BgL_auxz00_3545;
										obj_t BgL_tmpz00_3543;

										BgL_auxz00_3545 = ((obj_t) BgL_arg1673z00_2694);
										BgL_tmpz00_3543 = ((obj_t) BgL_bz00_2693);
										SET_CDR(BgL_tmpz00_3543, BgL_auxz00_3545);
									}
								}
							}
							{
								obj_t BgL_l1277z00_3548;

								BgL_l1277z00_3548 = CDR(BgL_l1277z00_2692);
								BgL_l1277z00_2692 = BgL_l1277z00_3548;
								goto BgL_zc3z04anonymousza31664ze3z87_2691;
							}
						}
					else
						{	/* Prebox/walk.scm 138 */
							((bool_t) 1);
						}
				}
			}
			BGl_preboxz12z12zzprebox_walkz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2594)))->BgL_bodyz00));
			{	/* Prebox/walk.scm 142 */
				obj_t BgL_visz00_2696;

				{	/* Prebox/walk.scm 142 */
					obj_t BgL_arg1717z00_2697;

					BgL_arg1717z00_2697 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2594)))->BgL_bindingsz00);
					{	/* Prebox/walk.scm 142 */
						obj_t BgL_list1718z00_2699;

						BgL_list1718z00_2699 = MAKE_YOUNG_PAIR(BgL_arg1717z00_2697, BNIL);
						BgL_visz00_2696 =
							BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
							(BGl_proc2000z00zzprebox_walkz00, BgL_list1718z00_2699);
					}
				}
				if (NULLP(BgL_visz00_2696))
					{	/* Prebox/walk.scm 149 */
						return
							((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2594));
					}
				else
					{	/* Prebox/walk.scm 151 */
						obj_t BgL_bxsz00_2700;

						BgL_bxsz00_2700 =
							BGl_findzd2boxingszd2zzprebox_walkz00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2594)))->BgL_bodyz00),
							BgL_visz00_2696);
						{	/* Prebox/walk.scm 156 */
							obj_t BgL_pxsz00_2701;

							{	/* Prebox/walk.scm 156 */
								obj_t BgL_list1704z00_2702;

								BgL_list1704z00_2702 = MAKE_YOUNG_PAIR(BgL_bxsz00_2700, BNIL);
								BgL_pxsz00_2701 =
									BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
									(BGl_preboxzd2exprzd2envz00zzprebox_walkz00,
									BgL_list1704z00_2702);
							}
							if (NULLP(BgL_pxsz00_2701))
								{	/* Prebox/walk.scm 157 */
									return
										((BgL_nodez00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2594));
								}
							else
								{	/* Prebox/walk.scm 158 */
									obj_t BgL_nodesz00_2703;

									BgL_nodesz00_2703 = BNIL;
									{
										obj_t BgL_l1280z00_2705;

										BgL_l1280z00_2705 = BgL_pxsz00_2701;
									BgL_zc3z04anonymousza31681ze3z87_2704:
										if (PAIRP(BgL_l1280z00_2705))
											{	/* Prebox/walk.scm 160 */
												{	/* Prebox/walk.scm 164 */
													obj_t BgL_pxz00_2706;

													BgL_pxz00_2706 = CAR(BgL_l1280z00_2705);
													{	/* Prebox/walk.scm 163 */
														obj_t BgL_arg1686z00_2707;
														obj_t BgL_arg1691z00_2708;

														BgL_arg1686z00_2707 =
															STRUCT_REF(((obj_t) BgL_pxz00_2706), (int) (0L));
														{	/* Prebox/walk.scm 73 */
															obj_t BgL_sz00_2709;

															BgL_sz00_2709 =
																STRUCT_REF(
																((obj_t) BgL_pxz00_2706), (int) (2L));
															BgL_arg1691z00_2708 =
																STRUCT_REF(BgL_sz00_2709, (int) (1L));
														}
														((((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			BgL_arg1686z00_2707)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BgL_arg1691z00_2708)), BUNSPEC);
													}
													{	/* Prebox/walk.scm 165 */
														obj_t BgL_arg1693z00_2710;
														obj_t BgL_arg1695z00_2711;

														BgL_arg1693z00_2710 =
															STRUCT_REF(((obj_t) BgL_pxz00_2706), (int) (1L));
														BgL_arg1695z00_2711 =
															STRUCT_REF(((obj_t) BgL_pxz00_2706), (int) (4L));
														{	/* Prebox/walk.scm 165 */
															obj_t BgL_tmpz00_3590;

															BgL_tmpz00_3590 = ((obj_t) BgL_arg1693z00_2710);
															SET_CDR(BgL_tmpz00_3590, BgL_arg1695z00_2711);
													}}
													{	/* Prebox/walk.scm 168 */
														obj_t BgL_arg1696z00_2712;

														BgL_arg1696z00_2712 =
															STRUCT_REF(((obj_t) BgL_pxz00_2706), (int) (3L));
														BgL_nodesz00_2703 =
															BGl_appendzd221011zd2zzprebox_walkz00
															(BgL_arg1696z00_2712, BgL_nodesz00_2703);
												}}
												{
													obj_t BgL_l1280z00_3597;

													BgL_l1280z00_3597 = CDR(BgL_l1280z00_2705);
													BgL_l1280z00_2705 = BgL_l1280z00_3597;
													goto BgL_zc3z04anonymousza31681ze3z87_2704;
												}
											}
										else
											{	/* Prebox/walk.scm 160 */
												((bool_t) 1);
											}
									}
									{
										BgL_nodez00_bglt BgL_auxz00_3599;

										{	/* Prebox/walk.scm 174 */
											BgL_nodez00_bglt BgL_arg1703z00_2713;

											BgL_arg1703z00_2713 =
												(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2594)))->
												BgL_bodyz00);
											BgL_auxz00_3599 =
												BGl_unboxzd2nodez12zc0zzprebox_walkz00
												(BgL_arg1703z00_2713, BgL_nodesz00_2703);
										}
										((((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2594)))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) BgL_auxz00_3599), BUNSPEC);
									}
									return
										((BgL_nodez00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2594));
								}
						}
					}
			}
		}

	}



/* &<@anonymous:1719> */
	obj_t BGl_z62zc3z04anonymousza31719ze3ze5zzprebox_walkz00(obj_t
		BgL_envz00_2595, obj_t BgL_bz00_2596)
	{
		{	/* Prebox/walk.scm 142 */
			{	/* Prebox/walk.scm 143 */
				obj_t BgL_varz00_2714;

				BgL_varz00_2714 = CAR(((obj_t) BgL_bz00_2596));
				if (
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_2714)))->BgL_accessz00) ==
						((obj_t) CNST_TABLE_REF(11))))
					{	/* Prebox/walk.scm 145 */
						obj_t BgL_biz00_2715;

						BgL_biz00_2715 =
							BGl_boxinfozd2getzd2zzprebox_walkz00(
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_varz00_2714)))->BgL_typez00));
						if (CBOOL(BgL_biz00_2715))
							{	/* Prebox/walk.scm 78 */
								obj_t BgL_newz00_2716;

								BgL_newz00_2716 =
									create_struct(((obj_t) CNST_TABLE_REF(12)), (int) (5L));
								{	/* Prebox/walk.scm 78 */
									int BgL_tmpz00_3624;

									BgL_tmpz00_3624 = (int) (4L);
									STRUCT_SET(BgL_newz00_2716, BgL_tmpz00_3624, BFALSE);
								}
								{	/* Prebox/walk.scm 78 */
									int BgL_tmpz00_3627;

									BgL_tmpz00_3627 = (int) (3L);
									STRUCT_SET(BgL_newz00_2716, BgL_tmpz00_3627, BNIL);
								}
								{	/* Prebox/walk.scm 78 */
									int BgL_tmpz00_3630;

									BgL_tmpz00_3630 = (int) (2L);
									STRUCT_SET(BgL_newz00_2716, BgL_tmpz00_3630, BgL_biz00_2715);
								}
								{	/* Prebox/walk.scm 78 */
									int BgL_tmpz00_3633;

									BgL_tmpz00_3633 = (int) (1L);
									STRUCT_SET(BgL_newz00_2716, BgL_tmpz00_3633, BgL_bz00_2596);
								}
								{	/* Prebox/walk.scm 78 */
									int BgL_tmpz00_3636;

									BgL_tmpz00_3636 = (int) (0L);
									STRUCT_SET(BgL_newz00_2716, BgL_tmpz00_3636, BgL_varz00_2714);
								}
								return BgL_newz00_2716;
							}
						else
							{	/* Prebox/walk.scm 146 */
								return BFALSE;
							}
					}
				else
					{	/* Prebox/walk.scm 144 */
						return BFALSE;
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzprebox_walkz00(void)
	{
		{	/* Prebox/walk.scm 36 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2001z00zzprebox_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2001z00zzprebox_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string2001z00zzprebox_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2001z00zzprebox_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2001z00zzprebox_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2001z00zzprebox_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2001z00zzprebox_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string2001z00zzprebox_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2001z00zzprebox_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string2001z00zzprebox_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string2001z00zzprebox_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2001z00zzprebox_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string2001z00zzprebox_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(135263837L,
				BSTRING_TO_STRING(BGl_string2001z00zzprebox_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string2001z00zzprebox_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string2001z00zzprebox_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(343174225L,
				BSTRING_TO_STRING(BGl_string2001z00zzprebox_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2001z00zzprebox_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2001z00zzprebox_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
