/*===========================================================================*/
/*   (Reduce/copy.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Reduce/copy.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_REDUCE_COPY_TYPE_DEFINITIONS
#define BGL_REDUCE_COPY_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_REDUCE_COPY_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62reducezd2copyz12za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2sync1296z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_copyz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2ref1353za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62copyablezf3zd2var1323z43zzreduce_copyz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzreduce_copyz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62copyablezf3zd2conditiona1335z43zzreduce_copyz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62copyablezf3zd2cast1329z43zzreduce_copyz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_copyz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2closure1292z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2condition1309z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzreduce_copyz00(void);
	static obj_t BGl_z62copyablezf31316z91zzreduce_copyz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2kwote1288z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_z62copyablezf3zd2fail1337z43zzreduce_copyz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2extern1303z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_copyz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2switch1313z70zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2return1347z70zzreduce_copyz00(obj_t, obj_t);
	static bool_t BGl_cellzd2typezd2lesszd2specificzf3z21zzreduce_copyz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2makezd2box1349za2zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2appzd2ly1298za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2setz121351zb0zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2fun1315za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2atom1286z70zzreduce_copyz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_reducezd2copyz12zc0zzreduce_copyz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i1343z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_z62copyablezf3z91zzreduce_copyz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_copyz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setzd2exzd2it1341z70zzreduce_copyz00(obj_t, obj_t);
	static long BGl_za2copyzd2removedza2zd2zzreduce_copyz00 = 0L;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_copyz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_copyz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_copyz00(void);
	static obj_t BGl_copyablezf3zf3zzreduce_copyz00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzreduce_copyz00(void);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2cast1305z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62copyablezf3zd2vlength1327z43zzreduce_copyz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setq1307z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t BGl_nodezd2copyza2z12z62zzreduce_copyz00(obj_t);
	static obj_t BGl_z62copyablezf3zd2instanceof1333z43zzreduce_copyz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62copyablezf3zd2atom1321z43zzreduce_copyz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2copyz121282za2zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2fail1311z70zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_nodez00_bglt);
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2var1290z70zzreduce_copyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2sequence1294z70zzreduce_copyz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2funcall1301z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62nodezd2copyz12za2zzreduce_copyz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2app1355z70zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2var1339za2zzreduce_copyz00(obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62copyablezf3zd2castzd2null1331z91zzreduce_copyz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62copyablezf3zd2sequence1325z43zzreduce_copyz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2retblock1345z70zzreduce_copyz00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1900z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711931za7,
		BGl_z62nodezd2copyz12zd2appzd2ly1298za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1901z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711932za7,
		BGl_z62nodezd2copyz12zd2funcall1301z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1902z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711933za7,
		BGl_z62nodezd2copyz12zd2extern1303z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1903z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711934za7,
		BGl_z62nodezd2copyz12zd2cast1305z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1910z00zzreduce_copyz00,
		BgL_bgl_string1910za700za7za7r1935za7, "copyable?", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1904z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711936za7,
		BGl_z62nodezd2copyz12zd2setq1307z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1905z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711937za7,
		BGl_z62nodezd2copyz12zd2condition1309z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1906z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711938za7,
		BGl_z62nodezd2copyz12zd2fail1311z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1907z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711939za7,
		BGl_z62nodezd2copyz12zd2switch1313z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1908z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711940za7,
		BGl_z62nodezd2copyz12zd2letzd2fun1315za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1909z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1941za7,
		BGl_z62copyablezf3zd2atom1321z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1911z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1942za7,
		BGl_z62copyablezf3zd2var1323z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1912z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1943za7,
		BGl_z62copyablezf3zd2sequence1325z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1913z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1944za7,
		BGl_z62copyablezf3zd2vlength1327z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1914z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1945za7,
		BGl_z62copyablezf3zd2cast1329z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1915z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1946za7,
		BGl_z62copyablezf3zd2castzd2null1331z91zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_copyablezf3zd2envz21zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za791947za7,
		BGl_z62copyablezf3z91zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1916z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1948za7,
		BGl_z62copyablezf3zd2instanceof1333z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1917z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1949za7,
		BGl_z62copyablezf3zd2conditiona1335z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1918z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3za7d1950za7,
		BGl_z62copyablezf3zd2fail1337z43zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1919z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711951za7,
		BGl_z62nodezd2copyz12zd2letzd2var1339za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1928z00zzreduce_copyz00,
		BgL_bgl_string1928za700za7za7r1952za7, "reduce_copy", 11);
	      DEFINE_STRING(BGl_string1929z00zzreduce_copyz00,
		BgL_bgl_string1929za700za7za7r1953za7, "read node-copy!1282 done ", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1920z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711954za7,
		BGl_z62nodezd2copyz12zd2setzd2exzd2it1341z70zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1921z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711955za7,
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i1343z70zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1922z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711956za7,
		BGl_z62nodezd2copyz12zd2retblock1345z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1923z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711957za7,
		BGl_z62nodezd2copyz12zd2return1347z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1924z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711958za7,
		BGl_z62nodezd2copyz12zd2makezd2box1349za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1925z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711959za7,
		BGl_z62nodezd2copyz12zd2boxzd2setz121351zb0zzreduce_copyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1926z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711960za7,
		BGl_z62nodezd2copyz12zd2boxzd2ref1353za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1927z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711961za7,
		BGl_z62nodezd2copyz12zd2app1355z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1886z00zzreduce_copyz00,
		BgL_bgl_string1886za700za7za7r1962za7, "      copy propagation       ", 29);
	      DEFINE_STRING(BGl_string1887z00zzreduce_copyz00,
		BgL_bgl_string1887za700za7za7r1963za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string1889z00zzreduce_copyz00,
		BgL_bgl_string1889za700za7za7r1964za7, "node-copy!1282", 14);
	      DEFINE_STRING(BGl_string1891z00zzreduce_copyz00,
		BgL_bgl_string1891za700za7za7r1965za7, "copyable?1316", 13);
	      DEFINE_STRING(BGl_string1892z00zzreduce_copyz00,
		BgL_bgl_string1892za700za7za7r1966za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1894z00zzreduce_copyz00,
		BgL_bgl_string1894za700za7za7r1967za7, "node-copy!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711968za7,
		BGl_z62nodezd2copyz121282za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzreduce_copyz00,
		BgL_bgl_za762copyableza7f3131969z00,
		BGl_z62copyablezf31316z91zzreduce_copyz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711970za7,
		BGl_z62nodezd2copyz12zd2atom1286z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1895z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711971za7,
		BGl_z62nodezd2copyz12zd2kwote1288z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1896z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711972za7,
		BGl_z62nodezd2copyz12zd2var1290z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1897z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711973za7,
		BGl_z62nodezd2copyz12zd2closure1292z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1898z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711974za7,
		BGl_z62nodezd2copyz12zd2sequence1294z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1899z00zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711975za7,
		BGl_z62nodezd2copyz12zd2sync1296z70zzreduce_copyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_reducezd2copyz12zd2envz12zzreduce_copyz00,
		BgL_bgl_za762reduceza7d2copy1976z00,
		BGl_z62reducezd2copyz12za2zzreduce_copyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
		BgL_bgl_za762nodeza7d2copyza711977za7,
		BGl_z62nodezd2copyz12za2zzreduce_copyz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_copyz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_copyz00(long
		BgL_checksumz00_2421, char *BgL_fromz00_2422)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_copyz00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_copyz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_copyz00();
					BGl_libraryzd2moduleszd2initz00zzreduce_copyz00();
					BGl_cnstzd2initzd2zzreduce_copyz00();
					BGl_importedzd2moduleszd2initz00zzreduce_copyz00();
					BGl_genericzd2initzd2zzreduce_copyz00();
					BGl_methodzd2initzd2zzreduce_copyz00();
					return BGl_toplevelzd2initzd2zzreduce_copyz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_copyz00(void)
	{
		{	/* Reduce/copy.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"reduce_copy");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"reduce_copy");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_copyz00(void)
	{
		{	/* Reduce/copy.scm 15 */
			{	/* Reduce/copy.scm 15 */
				obj_t BgL_cportz00_2247;

				{	/* Reduce/copy.scm 15 */
					obj_t BgL_stringz00_2254;

					BgL_stringz00_2254 = BGl_string1929z00zzreduce_copyz00;
					{	/* Reduce/copy.scm 15 */
						obj_t BgL_startz00_2255;

						BgL_startz00_2255 = BINT(0L);
						{	/* Reduce/copy.scm 15 */
							obj_t BgL_endz00_2256;

							BgL_endz00_2256 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2254)));
							{	/* Reduce/copy.scm 15 */

								BgL_cportz00_2247 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2254, BgL_startz00_2255, BgL_endz00_2256);
				}}}}
				{
					long BgL_iz00_2248;

					BgL_iz00_2248 = 2L;
				BgL_loopz00_2249:
					if ((BgL_iz00_2248 == (-1L)))
						{	/* Reduce/copy.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/copy.scm 15 */
							{	/* Reduce/copy.scm 15 */
								obj_t BgL_arg1930z00_2250;

								{	/* Reduce/copy.scm 15 */

									{	/* Reduce/copy.scm 15 */
										obj_t BgL_locationz00_2252;

										BgL_locationz00_2252 = BBOOL(((bool_t) 0));
										{	/* Reduce/copy.scm 15 */

											BgL_arg1930z00_2250 =
												BGl_readz00zz__readerz00(BgL_cportz00_2247,
												BgL_locationz00_2252);
										}
									}
								}
								{	/* Reduce/copy.scm 15 */
									int BgL_tmpz00_2452;

									BgL_tmpz00_2452 = (int) (BgL_iz00_2248);
									CNST_TABLE_SET(BgL_tmpz00_2452, BgL_arg1930z00_2250);
							}}
							{	/* Reduce/copy.scm 15 */
								int BgL_auxz00_2253;

								BgL_auxz00_2253 = (int) ((BgL_iz00_2248 - 1L));
								{
									long BgL_iz00_2457;

									BgL_iz00_2457 = (long) (BgL_auxz00_2253);
									BgL_iz00_2248 = BgL_iz00_2457;
									goto BgL_loopz00_2249;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_copyz00(void)
	{
		{	/* Reduce/copy.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_copyz00(void)
	{
		{	/* Reduce/copy.scm 15 */
			BGl_za2copyzd2removedza2zd2zzreduce_copyz00 = 0L;
			return BUNSPEC;
		}

	}



/* reduce-copy! */
	BGL_EXPORTED_DEF obj_t BGl_reducezd2copyz12zc0zzreduce_copyz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/copy.scm 35 */
			{	/* Reduce/copy.scm 36 */
				obj_t BgL_list1360z00_1406;

				BgL_list1360z00_1406 =
					MAKE_YOUNG_PAIR(BGl_string1886z00zzreduce_copyz00, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1360z00_1406);
			}
			BGl_za2copyzd2removedza2zd2zzreduce_copyz00 = 0L;
			{
				obj_t BgL_l1258z00_1408;

				BgL_l1258z00_1408 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31361ze3z87_1409:
				if (PAIRP(BgL_l1258z00_1408))
					{	/* Reduce/copy.scm 38 */
						{	/* Reduce/copy.scm 39 */
							obj_t BgL_globalz00_1411;

							BgL_globalz00_1411 = CAR(BgL_l1258z00_1408);
							{	/* Reduce/copy.scm 39 */
								BgL_valuez00_bglt BgL_funz00_1412;

								BgL_funz00_1412 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1411))))->
									BgL_valuez00);
								{	/* Reduce/copy.scm 39 */
									obj_t BgL_nodez00_1413;

									BgL_nodez00_1413 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1412)))->BgL_bodyz00);
									{	/* Reduce/copy.scm 40 */

										{	/* Reduce/copy.scm 41 */
											BgL_nodez00_bglt BgL_arg1364z00_1414;

											BgL_arg1364z00_1414 =
												BGl_nodezd2copyz12zc0zzreduce_copyz00(
												((BgL_nodez00_bglt) BgL_nodez00_1413));
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1412)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1364z00_1414)), BUNSPEC);
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1258z00_2476;

							BgL_l1258z00_2476 = CDR(BgL_l1258z00_1408);
							BgL_l1258z00_1408 = BgL_l1258z00_2476;
							goto BgL_zc3z04anonymousza31361ze3z87_1409;
						}
					}
				else
					{	/* Reduce/copy.scm 38 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/copy.scm 44 */
				obj_t BgL_list1366z00_1417;

				{	/* Reduce/copy.scm 44 */
					obj_t BgL_arg1367z00_1418;

					{	/* Reduce/copy.scm 44 */
						obj_t BgL_arg1370z00_1419;

						{	/* Reduce/copy.scm 44 */
							obj_t BgL_arg1371z00_1420;

							BgL_arg1371z00_1420 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
							BgL_arg1370z00_1419 =
								MAKE_YOUNG_PAIR(BCHAR(((unsigned char) ')')),
								BgL_arg1371z00_1420);
						}
						BgL_arg1367z00_1418 =
							MAKE_YOUNG_PAIR(BINT(BGl_za2copyzd2removedza2zd2zzreduce_copyz00),
							BgL_arg1370z00_1419);
					}
					BgL_list1366z00_1417 =
						MAKE_YOUNG_PAIR(BGl_string1887z00zzreduce_copyz00,
						BgL_arg1367z00_1418);
				}
				BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1366z00_1417);
			}
			return BgL_globalsz00_3;
		}

	}



/* &reduce-copy! */
	obj_t BGl_z62reducezd2copyz12za2zzreduce_copyz00(obj_t BgL_envz00_2125,
		obj_t BgL_globalsz00_2126)
	{
		{	/* Reduce/copy.scm 35 */
			return BGl_reducezd2copyz12zc0zzreduce_copyz00(BgL_globalsz00_2126);
		}

	}



/* cell-type-less-specific? */
	bool_t BGl_cellzd2typezd2lesszd2specificzf3z21zzreduce_copyz00(obj_t
		BgL_ty1z00_41, obj_t BgL_ty2z00_42)
	{
		{	/* Reduce/copy.scm 315 */
			{	/* Reduce/copy.scm 316 */
				bool_t BgL__ortest_1132z00_1421;

				BgL__ortest_1132z00_1421 =
					BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(
					((BgL_typez00_bglt) BgL_ty1z00_41),
					((BgL_typez00_bglt) BgL_ty2z00_42));
				if (BgL__ortest_1132z00_1421)
					{	/* Reduce/copy.scm 316 */
						return BgL__ortest_1132z00_1421;
					}
				else
					{	/* Reduce/copy.scm 316 */
						if ((BgL_ty2z00_42 == BGl_za2objza2z00zztype_cachez00))
							{	/* Reduce/copy.scm 317 */
								return (BgL_ty1z00_41 == BGl_za2cellza2z00zztype_cachez00);
							}
						else
							{	/* Reduce/copy.scm 317 */
								return ((bool_t) 0);
							}
					}
			}
		}

	}



/* node-copy*! */
	obj_t BGl_nodezd2copyza2z12z62zzreduce_copyz00(obj_t BgL_nodeza2za2_51)
	{
		{	/* Reduce/copy.scm 404 */
			{
				obj_t BgL_nodeza2za2_1424;

				BgL_nodeza2za2_1424 = BgL_nodeza2za2_51;
			BgL_zc3z04anonymousza31372ze3z87_1425:
				if (NULLP(BgL_nodeza2za2_1424))
					{	/* Reduce/copy.scm 406 */
						return ((obj_t) CNST_TABLE_REF(0));
					}
				else
					{	/* Reduce/copy.scm 406 */
						{	/* Reduce/copy.scm 409 */
							BgL_nodez00_bglt BgL_arg1376z00_1427;

							{	/* Reduce/copy.scm 409 */
								obj_t BgL_arg1379z00_1428;

								BgL_arg1379z00_1428 = CAR(((obj_t) BgL_nodeza2za2_1424));
								BgL_arg1376z00_1427 =
									BGl_nodezd2copyz12zc0zzreduce_copyz00(
									((BgL_nodez00_bglt) BgL_arg1379z00_1428));
							}
							{	/* Reduce/copy.scm 409 */
								obj_t BgL_auxz00_2505;
								obj_t BgL_tmpz00_2503;

								BgL_auxz00_2505 = ((obj_t) BgL_arg1376z00_1427);
								BgL_tmpz00_2503 = ((obj_t) BgL_nodeza2za2_1424);
								SET_CAR(BgL_tmpz00_2503, BgL_auxz00_2505);
							}
						}
						{	/* Reduce/copy.scm 410 */
							obj_t BgL_arg1380z00_1429;

							BgL_arg1380z00_1429 = CDR(((obj_t) BgL_nodeza2za2_1424));
							{
								obj_t BgL_nodeza2za2_2510;

								BgL_nodeza2za2_2510 = BgL_arg1380z00_1429;
								BgL_nodeza2za2_1424 = BgL_nodeza2za2_2510;
								goto BgL_zc3z04anonymousza31372ze3z87_1425;
							}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_copyz00(void)
	{
		{	/* Reduce/copy.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_copyz00(void)
	{
		{	/* Reduce/copy.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_proc1888z00zzreduce_copyz00, BGl_nodez00zzast_nodez00,
				BGl_string1889z00zzreduce_copyz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00,
				BGl_proc1890z00zzreduce_copyz00, BFALSE,
				BGl_string1891z00zzreduce_copyz00);
		}

	}



/* &copyable?1316 */
	obj_t BGl_z62copyablezf31316z91zzreduce_copyz00(obj_t BgL_envz00_2129,
		obj_t BgL_nodez00_2130, obj_t BgL_vz00_2131)
	{
		{	/* Reduce/copy.scm 194 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &node-copy!1282 */
	obj_t BGl_z62nodezd2copyz121282za2zzreduce_copyz00(obj_t BgL_envz00_2132,
		obj_t BgL_nodez00_2133)
	{
		{	/* Reduce/copy.scm 55 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(1)), BGl_string1892z00zzreduce_copyz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2133)));
		}

	}



/* node-copy! */
	BgL_nodez00_bglt BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		{	/* Reduce/copy.scm 55 */
			{	/* Reduce/copy.scm 55 */
				obj_t BgL_method1283z00_1440;

				{	/* Reduce/copy.scm 55 */
					obj_t BgL_res1877z00_1971;

					{	/* Reduce/copy.scm 55 */
						long BgL_objzd2classzd2numz00_1942;

						BgL_objzd2classzd2numz00_1942 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/copy.scm 55 */
							obj_t BgL_arg1862z00_1943;

							BgL_arg1862z00_1943 =
								PROCEDURE_REF(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
								(int) (1L));
							{	/* Reduce/copy.scm 55 */
								int BgL_offsetz00_1946;

								BgL_offsetz00_1946 = (int) (BgL_objzd2classzd2numz00_1942);
								{	/* Reduce/copy.scm 55 */
									long BgL_offsetz00_1947;

									BgL_offsetz00_1947 =
										((long) (BgL_offsetz00_1946) - OBJECT_TYPE);
									{	/* Reduce/copy.scm 55 */
										long BgL_modz00_1948;

										BgL_modz00_1948 =
											(BgL_offsetz00_1947 >> (int) ((long) ((int) (4L))));
										{	/* Reduce/copy.scm 55 */
											long BgL_restz00_1950;

											BgL_restz00_1950 =
												(BgL_offsetz00_1947 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Reduce/copy.scm 55 */

												{	/* Reduce/copy.scm 55 */
													obj_t BgL_bucketz00_1952;

													BgL_bucketz00_1952 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_1943), BgL_modz00_1948);
													BgL_res1877z00_1971 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1952), BgL_restz00_1950);
					}}}}}}}}
					BgL_method1283z00_1440 = BgL_res1877z00_1971;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1283z00_1440, ((obj_t) BgL_nodez00_4)));
			}
		}

	}



/* &node-copy! */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12za2zzreduce_copyz00(obj_t
		BgL_envz00_2134, obj_t BgL_nodez00_2135)
	{
		{	/* Reduce/copy.scm 55 */
			return
				BGl_nodezd2copyz12zc0zzreduce_copyz00(
				((BgL_nodez00_bglt) BgL_nodez00_2135));
		}

	}



/* copyable? */
	obj_t BGl_copyablezf3zf3zzreduce_copyz00(obj_t BgL_nodez00_20,
		obj_t BgL_vz00_21)
	{
		{	/* Reduce/copy.scm 194 */
			if (BGL_OBJECTP(BgL_nodez00_20))
				{	/* Reduce/copy.scm 194 */
					obj_t BgL_method1319z00_1442;

					{	/* Reduce/copy.scm 194 */
						obj_t BgL_res1882z00_2002;

						{	/* Reduce/copy.scm 194 */
							long BgL_objzd2classzd2numz00_1973;

							BgL_objzd2classzd2numz00_1973 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_20));
							{	/* Reduce/copy.scm 194 */
								obj_t BgL_arg1862z00_1974;

								BgL_arg1862z00_1974 =
									PROCEDURE_REF(BGl_copyablezf3zd2envz21zzreduce_copyz00,
									(int) (1L));
								{	/* Reduce/copy.scm 194 */
									int BgL_offsetz00_1977;

									BgL_offsetz00_1977 = (int) (BgL_objzd2classzd2numz00_1973);
									{	/* Reduce/copy.scm 194 */
										long BgL_offsetz00_1978;

										BgL_offsetz00_1978 =
											((long) (BgL_offsetz00_1977) - OBJECT_TYPE);
										{	/* Reduce/copy.scm 194 */
											long BgL_modz00_1979;

											BgL_modz00_1979 =
												(BgL_offsetz00_1978 >> (int) ((long) ((int) (4L))));
											{	/* Reduce/copy.scm 194 */
												long BgL_restz00_1981;

												BgL_restz00_1981 =
													(BgL_offsetz00_1978 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(1L <<
																			(int) ((long) ((int) (4L)))))) - 1L))));
												{	/* Reduce/copy.scm 194 */

													{	/* Reduce/copy.scm 194 */
														obj_t BgL_bucketz00_1983;

														BgL_bucketz00_1983 =
															VECTOR_REF(
															((obj_t) BgL_arg1862z00_1974), BgL_modz00_1979);
														BgL_res1882z00_2002 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_1983), BgL_restz00_1981);
						}}}}}}}}
						BgL_method1319z00_1442 = BgL_res1882z00_2002;
					}
					return
						BGL_PROCEDURE_CALL2(BgL_method1319z00_1442, BgL_nodez00_20,
						BgL_vz00_21);
				}
			else
				{	/* Reduce/copy.scm 194 */
					obj_t BgL_fun1385z00_1443;

					BgL_fun1385z00_1443 =
						PROCEDURE_REF(BGl_copyablezf3zd2envz21zzreduce_copyz00, (int) (0L));
					return
						BGL_PROCEDURE_CALL2(BgL_fun1385z00_1443, BgL_nodez00_20,
						BgL_vz00_21);
				}
		}

	}



/* &copyable? */
	obj_t BGl_z62copyablezf3z91zzreduce_copyz00(obj_t BgL_envz00_2136,
		obj_t BgL_nodez00_2137, obj_t BgL_vz00_2138)
	{
		{	/* Reduce/copy.scm 194 */
			return
				BGl_copyablezf3zf3zzreduce_copyz00(BgL_nodez00_2137, BgL_vz00_2138);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_copyz00(void)
	{
		{	/* Reduce/copy.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_atomz00zzast_nodez00,
				BGl_proc1893z00zzreduce_copyz00, BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1895z00zzreduce_copyz00, BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_varz00zzast_nodez00,
				BGl_proc1896z00zzreduce_copyz00, BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_closurez00zzast_nodez00, BGl_proc1897z00zzreduce_copyz00,
				BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1898z00zzreduce_copyz00,
				BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_syncz00zzast_nodez00,
				BGl_proc1899z00zzreduce_copyz00, BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1900z00zzreduce_copyz00,
				BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1901z00zzreduce_copyz00,
				BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_externz00zzast_nodez00, BGl_proc1902z00zzreduce_copyz00,
				BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_castz00zzast_nodez00,
				BGl_proc1903z00zzreduce_copyz00, BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_setqz00zzast_nodez00,
				BGl_proc1904z00zzreduce_copyz00, BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1905z00zzreduce_copyz00,
				BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_failz00zzast_nodez00,
				BGl_proc1906z00zzreduce_copyz00, BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_switchz00zzast_nodez00, BGl_proc1907z00zzreduce_copyz00,
				BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1908z00zzreduce_copyz00,
				BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_atomz00zzast_nodez00,
				BGl_proc1909z00zzreduce_copyz00, BGl_string1910z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_varz00zzast_nodez00,
				BGl_proc1911z00zzreduce_copyz00, BGl_string1910z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_sequencez00zzast_nodez00,
				BGl_proc1912z00zzreduce_copyz00, BGl_string1910z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_vlengthz00zzast_nodez00,
				BGl_proc1913z00zzreduce_copyz00, BGl_string1910z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_castz00zzast_nodez00,
				BGl_proc1914z00zzreduce_copyz00, BGl_string1910z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00,
				BGl_castzd2nullzd2zzast_nodez00, BGl_proc1915z00zzreduce_copyz00,
				BGl_string1910z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc1916z00zzreduce_copyz00,
				BGl_string1910z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1917z00zzreduce_copyz00,
				BGl_string1910z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_copyablezf3zd2envz21zzreduce_copyz00, BGl_failz00zzast_nodez00,
				BGl_proc1918z00zzreduce_copyz00, BGl_string1910z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1919z00zzreduce_copyz00,
				BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1920z00zzreduce_copyz00,
				BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1921z00zzreduce_copyz00,
				BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_retblockz00zzast_nodez00, BGl_proc1922z00zzreduce_copyz00,
				BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_returnz00zzast_nodez00, BGl_proc1923z00zzreduce_copyz00,
				BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1924z00zzreduce_copyz00,
				BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1925z00zzreduce_copyz00,
				BGl_string1894z00zzreduce_copyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1926z00zzreduce_copyz00,
				BGl_string1894z00zzreduce_copyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2copyz12zd2envz12zzreduce_copyz00, BGl_appz00zzast_nodez00,
				BGl_proc1927z00zzreduce_copyz00, BGl_string1894z00zzreduce_copyz00);
		}

	}



/* &node-copy!-app1355 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2app1355z70zzreduce_copyz00(obj_t
		BgL_envz00_2172, obj_t BgL_nodez00_2173)
	{
		{	/* Reduce/copy.scm 396 */
			BGl_nodezd2copyza2z12z62zzreduce_copyz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2173)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2173));
		}

	}



/* &node-copy!-box-ref1353 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2ref1353za2zzreduce_copyz00(obj_t
		BgL_envz00_2174, obj_t BgL_nodez00_2175)
	{
		{	/* Reduce/copy.scm 381 */
			{	/* Reduce/copy.scm 383 */
				BgL_nodez00_bglt BgL_cpz00_2261;

				{	/* Reduce/copy.scm 383 */
					BgL_varz00_bglt BgL_arg1699z00_2262;

					BgL_arg1699z00_2262 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2175)))->BgL_varz00);
					BgL_cpz00_2261 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(
						((BgL_nodez00_bglt) BgL_arg1699z00_2262));
				}
				{	/* Reduce/copy.scm 384 */
					bool_t BgL_test1985z00_2634;

					{	/* Reduce/copy.scm 384 */
						obj_t BgL_classz00_2263;

						BgL_classz00_2263 = BGl_castz00zzast_nodez00;
						{	/* Reduce/copy.scm 384 */
							BgL_objectz00_bglt BgL_arg1858z00_2264;

							{	/* Reduce/copy.scm 384 */
								obj_t BgL_tmpz00_2635;

								BgL_tmpz00_2635 =
									((obj_t) ((BgL_objectz00_bglt) BgL_cpz00_2261));
								BgL_arg1858z00_2264 = (BgL_objectz00_bglt) (BgL_tmpz00_2635);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Reduce/copy.scm 384 */
									long BgL_idxz00_2265;

									BgL_idxz00_2265 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2264);
									BgL_test1985z00_2634 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2265 + 2L)) == BgL_classz00_2263);
								}
							else
								{	/* Reduce/copy.scm 384 */
									bool_t BgL_res1885z00_2268;

									{	/* Reduce/copy.scm 384 */
										obj_t BgL_oclassz00_2269;

										{	/* Reduce/copy.scm 384 */
											obj_t BgL_arg1866z00_2270;
											long BgL_arg1867z00_2271;

											BgL_arg1866z00_2270 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Reduce/copy.scm 384 */
												long BgL_arg1869z00_2272;

												BgL_arg1869z00_2272 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2264);
												BgL_arg1867z00_2271 =
													(BgL_arg1869z00_2272 - OBJECT_TYPE);
											}
											BgL_oclassz00_2269 =
												VECTOR_REF(BgL_arg1866z00_2270, BgL_arg1867z00_2271);
										}
										{	/* Reduce/copy.scm 384 */
											bool_t BgL__ortest_1115z00_2273;

											BgL__ortest_1115z00_2273 =
												(BgL_classz00_2263 == BgL_oclassz00_2269);
											if (BgL__ortest_1115z00_2273)
												{	/* Reduce/copy.scm 384 */
													BgL_res1885z00_2268 = BgL__ortest_1115z00_2273;
												}
											else
												{	/* Reduce/copy.scm 384 */
													long BgL_odepthz00_2274;

													{	/* Reduce/copy.scm 384 */
														obj_t BgL_arg1855z00_2275;

														BgL_arg1855z00_2275 = (BgL_oclassz00_2269);
														BgL_odepthz00_2274 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2275);
													}
													if ((2L < BgL_odepthz00_2274))
														{	/* Reduce/copy.scm 384 */
															obj_t BgL_arg1853z00_2276;

															{	/* Reduce/copy.scm 384 */
																obj_t BgL_arg1854z00_2277;

																BgL_arg1854z00_2277 = (BgL_oclassz00_2269);
																BgL_arg1853z00_2276 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2277,
																	2L);
															}
															BgL_res1885z00_2268 =
																(BgL_arg1853z00_2276 == BgL_classz00_2263);
														}
													else
														{	/* Reduce/copy.scm 384 */
															BgL_res1885z00_2268 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1985z00_2634 = BgL_res1885z00_2268;
								}
						}
					}
					if (BgL_test1985z00_2634)
						{	/* Reduce/copy.scm 384 */
							((((BgL_boxzd2refzd2_bglt) COBJECT(
											((BgL_boxzd2refzd2_bglt) BgL_nodez00_2175)))->
									BgL_varz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) (((BgL_castz00_bglt)
												COBJECT(((BgL_castz00_bglt) BgL_cpz00_2261)))->
											BgL_argz00))), BUNSPEC);
							((((BgL_castz00_bglt) COBJECT(((BgL_castz00_bglt)
												BgL_cpz00_2261)))->BgL_argz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt)
											BgL_nodez00_2175))), BUNSPEC);
							return BgL_cpz00_2261;
						}
					else
						{	/* Reduce/copy.scm 384 */
							((((BgL_boxzd2refzd2_bglt) COBJECT(
											((BgL_boxzd2refzd2_bglt) BgL_nodez00_2175)))->
									BgL_varz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_cpz00_2261)),
								BUNSPEC);
							return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt)
									BgL_nodez00_2175));
						}
				}
			}
		}

	}



/* &node-copy!-box-set!1351 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2boxzd2setz121351zb0zzreduce_copyz00(obj_t
		BgL_envz00_2176, obj_t BgL_nodez00_2177)
	{
		{	/* Reduce/copy.scm 365 */
			{
				BgL_nodez00_bglt BgL_auxz00_2672;

				{	/* Reduce/copy.scm 367 */
					BgL_nodez00_bglt BgL_arg1692z00_2279;

					BgL_arg1692z00_2279 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2177)))->BgL_valuez00);
					BgL_auxz00_2672 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1692z00_2279);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2177)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2672), BUNSPEC);
			}
			{	/* Reduce/copy.scm 368 */
				BgL_nodez00_bglt BgL_cpz00_2280;

				{	/* Reduce/copy.scm 368 */
					BgL_varz00_bglt BgL_arg1695z00_2281;

					BgL_arg1695z00_2281 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2177)))->BgL_varz00);
					BgL_cpz00_2280 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(
						((BgL_nodez00_bglt) BgL_arg1695z00_2281));
				}
				{	/* Reduce/copy.scm 369 */
					bool_t BgL_test1989z00_2682;

					{	/* Reduce/copy.scm 369 */
						obj_t BgL_classz00_2282;

						BgL_classz00_2282 = BGl_castz00zzast_nodez00;
						{	/* Reduce/copy.scm 369 */
							BgL_objectz00_bglt BgL_arg1858z00_2283;

							{	/* Reduce/copy.scm 369 */
								obj_t BgL_tmpz00_2683;

								BgL_tmpz00_2683 =
									((obj_t) ((BgL_objectz00_bglt) BgL_cpz00_2280));
								BgL_arg1858z00_2283 = (BgL_objectz00_bglt) (BgL_tmpz00_2683);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Reduce/copy.scm 369 */
									long BgL_idxz00_2284;

									BgL_idxz00_2284 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2283);
									BgL_test1989z00_2682 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2284 + 2L)) == BgL_classz00_2282);
								}
							else
								{	/* Reduce/copy.scm 369 */
									bool_t BgL_res1884z00_2287;

									{	/* Reduce/copy.scm 369 */
										obj_t BgL_oclassz00_2288;

										{	/* Reduce/copy.scm 369 */
											obj_t BgL_arg1866z00_2289;
											long BgL_arg1867z00_2290;

											BgL_arg1866z00_2289 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Reduce/copy.scm 369 */
												long BgL_arg1869z00_2291;

												BgL_arg1869z00_2291 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2283);
												BgL_arg1867z00_2290 =
													(BgL_arg1869z00_2291 - OBJECT_TYPE);
											}
											BgL_oclassz00_2288 =
												VECTOR_REF(BgL_arg1866z00_2289, BgL_arg1867z00_2290);
										}
										{	/* Reduce/copy.scm 369 */
											bool_t BgL__ortest_1115z00_2292;

											BgL__ortest_1115z00_2292 =
												(BgL_classz00_2282 == BgL_oclassz00_2288);
											if (BgL__ortest_1115z00_2292)
												{	/* Reduce/copy.scm 369 */
													BgL_res1884z00_2287 = BgL__ortest_1115z00_2292;
												}
											else
												{	/* Reduce/copy.scm 369 */
													long BgL_odepthz00_2293;

													{	/* Reduce/copy.scm 369 */
														obj_t BgL_arg1855z00_2294;

														BgL_arg1855z00_2294 = (BgL_oclassz00_2288);
														BgL_odepthz00_2293 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2294);
													}
													if ((2L < BgL_odepthz00_2293))
														{	/* Reduce/copy.scm 369 */
															obj_t BgL_arg1853z00_2295;

															{	/* Reduce/copy.scm 369 */
																obj_t BgL_arg1854z00_2296;

																BgL_arg1854z00_2296 = (BgL_oclassz00_2288);
																BgL_arg1853z00_2295 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2296,
																	2L);
															}
															BgL_res1884z00_2287 =
																(BgL_arg1853z00_2295 == BgL_classz00_2282);
														}
													else
														{	/* Reduce/copy.scm 369 */
															BgL_res1884z00_2287 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1989z00_2682 = BgL_res1884z00_2287;
								}
						}
					}
					if (BgL_test1989z00_2682)
						{	/* Reduce/copy.scm 369 */
							((((BgL_boxzd2setz12zc0_bglt) COBJECT(
											((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2177)))->
									BgL_varz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) (((BgL_castz00_bglt)
												COBJECT(((BgL_castz00_bglt) BgL_cpz00_2280)))->
											BgL_argz00))), BUNSPEC);
							((((BgL_castz00_bglt) COBJECT(((BgL_castz00_bglt)
												BgL_cpz00_2280)))->BgL_argz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) (
											(BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2177))), BUNSPEC);
							return BgL_cpz00_2280;
						}
					else
						{	/* Reduce/copy.scm 369 */
							((((BgL_boxzd2setz12zc0_bglt) COBJECT(
											((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2177)))->
									BgL_varz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_cpz00_2280)),
								BUNSPEC);
							return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt)
									BgL_nodez00_2177));
						}
				}
			}
		}

	}



/* &node-copy!-make-box1349 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2makezd2box1349za2zzreduce_copyz00(obj_t
		BgL_envz00_2178, obj_t BgL_nodez00_2179)
	{
		{	/* Reduce/copy.scm 357 */
			{
				BgL_nodez00_bglt BgL_auxz00_2720;

				{	/* Reduce/copy.scm 359 */
					BgL_nodez00_bglt BgL_arg1691z00_2298;

					BgL_arg1691z00_2298 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2179)))->BgL_valuez00);
					BgL_auxz00_2720 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1691z00_2298);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2179)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2720), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2179));
		}

	}



/* &node-copy!-return1347 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2return1347z70zzreduce_copyz00(obj_t
		BgL_envz00_2180, obj_t BgL_nodez00_2181)
	{
		{	/* Reduce/copy.scm 349 */
			{
				BgL_nodez00_bglt BgL_auxz00_2728;

				{	/* Reduce/copy.scm 351 */
					BgL_nodez00_bglt BgL_arg1686z00_2300;

					BgL_arg1686z00_2300 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2181)))->BgL_valuez00);
					BgL_auxz00_2728 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1686z00_2300);
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2181)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2728), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nodez00_2181));
		}

	}



/* &node-copy!-retblock1345 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2retblock1345z70zzreduce_copyz00(obj_t
		BgL_envz00_2182, obj_t BgL_nodez00_2183)
	{
		{	/* Reduce/copy.scm 341 */
			{
				BgL_nodez00_bglt BgL_auxz00_2736;

				{	/* Reduce/copy.scm 343 */
					BgL_nodez00_bglt BgL_arg1680z00_2302;

					BgL_arg1680z00_2302 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2183)))->BgL_bodyz00);
					BgL_auxz00_2736 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1680z00_2302);
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2183)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2736), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nodez00_2183));
		}

	}



/* &node-copy!-jump-ex-i1343 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2jumpzd2exzd2i1343z70zzreduce_copyz00(obj_t
		BgL_envz00_2184, obj_t BgL_nodez00_2185)
	{
		{	/* Reduce/copy.scm 332 */
			{
				BgL_nodez00_bglt BgL_auxz00_2744;

				{	/* Reduce/copy.scm 334 */
					BgL_nodez00_bglt BgL_arg1677z00_2304;

					BgL_arg1677z00_2304 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2185)))->BgL_exitz00);
					BgL_auxz00_2744 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1677z00_2304);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2185)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2744), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2750;

				{	/* Reduce/copy.scm 335 */
					BgL_nodez00_bglt BgL_arg1679z00_2305;

					BgL_arg1679z00_2305 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2185)))->
						BgL_valuez00);
					BgL_auxz00_2750 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1679z00_2305);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2185)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2750), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2185));
		}

	}



/* &node-copy!-set-ex-it1341 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2setzd2exzd2it1341z70zzreduce_copyz00(obj_t
		BgL_envz00_2186, obj_t BgL_nodez00_2187)
	{
		{	/* Reduce/copy.scm 322 */
			{
				BgL_nodez00_bglt BgL_auxz00_2758;

				{	/* Reduce/copy.scm 324 */
					BgL_nodez00_bglt BgL_arg1673z00_2307;

					BgL_arg1673z00_2307 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2187)))->BgL_bodyz00);
					BgL_auxz00_2758 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1673z00_2307);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2187)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2758), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_2764;

				{	/* Reduce/copy.scm 325 */
					BgL_varz00_bglt BgL_arg1674z00_2308;

					BgL_arg1674z00_2308 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2187)))->BgL_varz00);
					BgL_auxz00_2764 =
						((BgL_varz00_bglt)
						BGl_nodezd2copyz12zc0zzreduce_copyz00(
							((BgL_nodez00_bglt) BgL_arg1674z00_2308)));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2187)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2764), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2772;

				{	/* Reduce/copy.scm 326 */
					BgL_nodez00_bglt BgL_arg1675z00_2309;

					BgL_arg1675z00_2309 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2187)))->
						BgL_onexitz00);
					BgL_auxz00_2772 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1675z00_2309);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2187)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2772), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2187));
		}

	}



/* &node-copy!-let-var1339 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2var1339za2zzreduce_copyz00(obj_t
		BgL_envz00_2188, obj_t BgL_nodez00_2189)
	{
		{	/* Reduce/copy.scm 262 */
			{
				obj_t BgL_obindingsz00_2312;
				obj_t BgL_nbindingsz00_2313;

				BgL_obindingsz00_2312 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2189)))->BgL_bindingsz00);
				BgL_nbindingsz00_2313 = BNIL;
			BgL_loopz00_2311:
				if (NULLP(BgL_obindingsz00_2312))
					{	/* Reduce/copy.scm 267 */
						bool_t BgL_test1994z00_2782;

						if (NULLP(BgL_nbindingsz00_2313))
							{	/* Reduce/copy.scm 267 */
								BgL_test1994z00_2782 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2189)))->
									BgL_removablezf3zf3);
							}
						else
							{	/* Reduce/copy.scm 267 */
								BgL_test1994z00_2782 = ((bool_t) 0);
							}
						if (BgL_test1994z00_2782)
							{	/* Reduce/copy.scm 267 */
								return
									BGl_nodezd2copyz12zc0zzreduce_copyz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2189)))->
										BgL_bodyz00));
							}
						else
							{	/* Reduce/copy.scm 267 */
								((((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2189)))->
										BgL_bindingsz00) =
									((obj_t) BgL_nbindingsz00_2313), BUNSPEC);
								{
									BgL_nodez00_bglt BgL_auxz00_2792;

									{	/* Reduce/copy.scm 271 */
										BgL_nodez00_bglt BgL_arg1612z00_2314;

										BgL_arg1612z00_2314 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2189)))->
											BgL_bodyz00);
										BgL_auxz00_2792 =
											BGl_nodezd2copyz12zc0zzreduce_copyz00
											(BgL_arg1612z00_2314);
									}
									((((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2189)))->
											BgL_bodyz00) =
										((BgL_nodez00_bglt) BgL_auxz00_2792), BUNSPEC);
								}
								return
									((BgL_nodez00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2189));
							}
					}
				else
					{	/* Reduce/copy.scm 273 */
						obj_t BgL_bindingz00_2315;

						BgL_bindingz00_2315 = CAR(((obj_t) BgL_obindingsz00_2312));
						{	/* Reduce/copy.scm 273 */
							obj_t BgL_varz00_2316;

							BgL_varz00_2316 = CAR(((obj_t) BgL_bindingz00_2315));
							{	/* Reduce/copy.scm 274 */
								BgL_nodez00_bglt BgL_valz00_2317;

								{	/* Reduce/copy.scm 275 */
									obj_t BgL_arg1664z00_2318;

									BgL_arg1664z00_2318 = CDR(((obj_t) BgL_bindingz00_2315));
									BgL_valz00_2317 =
										BGl_nodezd2copyz12zc0zzreduce_copyz00(
										((BgL_nodez00_bglt) BgL_arg1664z00_2318));
								}
								{	/* Reduce/copy.scm 275 */

									{	/* Reduce/copy.scm 276 */
										obj_t BgL_auxz00_2810;
										obj_t BgL_tmpz00_2808;

										BgL_auxz00_2810 = ((obj_t) BgL_valz00_2317);
										BgL_tmpz00_2808 = ((obj_t) BgL_bindingz00_2315);
										SET_CDR(BgL_tmpz00_2808, BgL_auxz00_2810);
									}
									{	/* Reduce/copy.scm 291 */
										bool_t BgL_test1996z00_2813;

										if (
											(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2189)))->
												BgL_removablezf3zf3))
											{	/* Reduce/copy.scm 291 */
												if (
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt) BgL_varz00_2316)))->
															BgL_accessz00) == ((obj_t) CNST_TABLE_REF(2))))
													{	/* Reduce/copy.scm 292 */
														if (CBOOL(BGl_copyablezf3zf3zzreduce_copyz00(
																	((obj_t) BgL_valz00_2317), BgL_varz00_2316)))
															{	/* Reduce/copy.scm 295 */
																BgL_typez00_bglt BgL_arg1657z00_2319;
																BgL_typez00_bglt BgL_arg1660z00_2320;

																BgL_arg1657z00_2319 =
																	(((BgL_nodez00_bglt)
																		COBJECT(BgL_valz00_2317))->BgL_typez00);
																BgL_arg1660z00_2320 =
																	(((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_varz00_2316)))->BgL_typez00);
																BgL_test1996z00_2813 =
																	BGl_cellzd2typezd2lesszd2specificzf3z21zzreduce_copyz00
																	(((obj_t) BgL_arg1657z00_2319),
																	((obj_t) BgL_arg1660z00_2320));
															}
														else
															{	/* Reduce/copy.scm 293 */
																BgL_test1996z00_2813 = ((bool_t) 0);
															}
													}
												else
													{	/* Reduce/copy.scm 292 */
														BgL_test1996z00_2813 = ((bool_t) 0);
													}
											}
										else
											{	/* Reduce/copy.scm 291 */
												BgL_test1996z00_2813 = ((bool_t) 0);
											}
										if (BgL_test1996z00_2813)
											{	/* Reduce/copy.scm 291 */
												BGl_za2copyzd2removedza2zd2zzreduce_copyz00 =
													(BGl_za2copyzd2removedza2zd2zzreduce_copyz00 + 1L);
												{	/* Reduce/copy.scm 303 */
													BgL_nodez00_bglt BgL_arg1635z00_2321;

													if (
														(((obj_t)
																(((BgL_nodez00_bglt) COBJECT(BgL_valz00_2317))->
																	BgL_typez00)) ==
															((obj_t) (((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_varz00_2316)))->BgL_typez00))))
														{	/* Reduce/copy.scm 303 */
															BgL_arg1635z00_2321 = BgL_valz00_2317;
														}
													else
														{	/* Reduce/copy.scm 305 */
															BgL_castz00_bglt BgL_new1131z00_2322;

															{	/* Reduce/copy.scm 306 */
																BgL_castz00_bglt BgL_new1130z00_2323;

																BgL_new1130z00_2323 =
																	((BgL_castz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_castz00_bgl))));
																{	/* Reduce/copy.scm 306 */
																	long BgL_arg1648z00_2324;

																	BgL_arg1648z00_2324 =
																		BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1130z00_2323),
																		BgL_arg1648z00_2324);
																}
																{	/* Reduce/copy.scm 306 */
																	BgL_objectz00_bglt BgL_tmpz00_2845;

																	BgL_tmpz00_2845 =
																		((BgL_objectz00_bglt) BgL_new1130z00_2323);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2845,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1130z00_2323);
																BgL_new1131z00_2322 = BgL_new1130z00_2323;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1131z00_2322)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(BgL_valz00_2317))->BgL_locz00)),
																BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1131z00_2322)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																			COBJECT(((BgL_variablez00_bglt)
																					BgL_varz00_2316)))->BgL_typez00)),
																BUNSPEC);
															((((BgL_castz00_bglt)
																		COBJECT(BgL_new1131z00_2322))->BgL_argz00) =
																((BgL_nodez00_bglt) BgL_valz00_2317), BUNSPEC);
															BgL_arg1635z00_2321 =
																((BgL_nodez00_bglt) BgL_new1131z00_2322);
														}
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt) BgL_varz00_2316)))->
															BgL_fastzd2alphazd2) =
														((obj_t) ((obj_t) BgL_arg1635z00_2321)), BUNSPEC);
												}
												{	/* Reduce/copy.scm 309 */
													obj_t BgL_arg1653z00_2325;

													BgL_arg1653z00_2325 =
														CDR(((obj_t) BgL_obindingsz00_2312));
													{
														obj_t BgL_obindingsz00_2863;

														BgL_obindingsz00_2863 = BgL_arg1653z00_2325;
														BgL_obindingsz00_2312 = BgL_obindingsz00_2863;
														goto BgL_loopz00_2311;
													}
												}
											}
										else
											{	/* Reduce/copy.scm 310 */
												obj_t BgL_arg1655z00_2326;
												obj_t BgL_arg1656z00_2327;

												BgL_arg1655z00_2326 =
													CDR(((obj_t) BgL_obindingsz00_2312));
												BgL_arg1656z00_2327 =
													MAKE_YOUNG_PAIR(BgL_bindingz00_2315,
													BgL_nbindingsz00_2313);
												{
													obj_t BgL_nbindingsz00_2868;
													obj_t BgL_obindingsz00_2867;

													BgL_obindingsz00_2867 = BgL_arg1655z00_2326;
													BgL_nbindingsz00_2868 = BgL_arg1656z00_2327;
													BgL_nbindingsz00_2313 = BgL_nbindingsz00_2868;
													BgL_obindingsz00_2312 = BgL_obindingsz00_2867;
													goto BgL_loopz00_2311;
												}
											}
									}
								}
							}
						}
					}
			}
		}

	}



/* &copyable?-fail1337 */
	obj_t BGl_z62copyablezf3zd2fail1337z43zzreduce_copyz00(obj_t BgL_envz00_2190,
		obj_t BgL_nodez00_2191, obj_t BgL_vz00_2192)
	{
		{	/* Reduce/copy.scm 255 */
			{	/* Reduce/copy.scm 257 */
				obj_t BgL__andtest_1126z00_2329;

				{	/* Reduce/copy.scm 257 */
					BgL_nodez00_bglt BgL_arg1597z00_2330;

					BgL_arg1597z00_2330 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2191)))->BgL_procz00);
					BgL__andtest_1126z00_2329 =
						BGl_copyablezf3zf3zzreduce_copyz00(
						((obj_t) BgL_arg1597z00_2330), BgL_vz00_2192);
				}
				if (CBOOL(BgL__andtest_1126z00_2329))
					{	/* Reduce/copy.scm 257 */
						obj_t BgL__andtest_1127z00_2331;

						{	/* Reduce/copy.scm 257 */
							BgL_nodez00_bglt BgL_arg1593z00_2332;

							BgL_arg1593z00_2332 =
								(((BgL_failz00_bglt) COBJECT(
										((BgL_failz00_bglt) BgL_nodez00_2191)))->BgL_msgz00);
							BgL__andtest_1127z00_2331 =
								BGl_copyablezf3zf3zzreduce_copyz00(
								((obj_t) BgL_arg1593z00_2332), BgL_vz00_2192);
						}
						if (CBOOL(BgL__andtest_1127z00_2331))
							{	/* Reduce/copy.scm 257 */
								BgL_nodez00_bglt BgL_arg1592z00_2333;

								BgL_arg1592z00_2333 =
									(((BgL_failz00_bglt) COBJECT(
											((BgL_failz00_bglt) BgL_nodez00_2191)))->BgL_objz00);
								return
									BGl_copyablezf3zf3zzreduce_copyz00(
									((obj_t) BgL_arg1592z00_2333), BgL_vz00_2192);
							}
						else
							{	/* Reduce/copy.scm 257 */
								return BFALSE;
							}
					}
				else
					{	/* Reduce/copy.scm 257 */
						return BFALSE;
					}
			}
		}

	}



/* &copyable?-conditiona1335 */
	obj_t BGl_z62copyablezf3zd2conditiona1335z43zzreduce_copyz00(obj_t
		BgL_envz00_2193, obj_t BgL_nodez00_2194, obj_t BgL_vz00_2195)
	{
		{	/* Reduce/copy.scm 247 */
			if (
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_vz00_2195)))->BgL_occurrencez00) <=
					1L))
				{	/* Reduce/copy.scm 250 */
					obj_t BgL__andtest_1123z00_2335;

					{	/* Reduce/copy.scm 250 */
						BgL_nodez00_bglt BgL_arg1588z00_2336;

						BgL_arg1588z00_2336 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2194)))->BgL_testz00);
						BgL__andtest_1123z00_2335 =
							BGl_copyablezf3zf3zzreduce_copyz00(
							((obj_t) BgL_arg1588z00_2336), BgL_vz00_2195);
					}
					if (CBOOL(BgL__andtest_1123z00_2335))
						{	/* Reduce/copy.scm 250 */
							obj_t BgL__andtest_1124z00_2337;

							{	/* Reduce/copy.scm 250 */
								BgL_nodez00_bglt BgL_arg1587z00_2338;

								BgL_arg1587z00_2338 =
									(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2194)))->
									BgL_truez00);
								BgL__andtest_1124z00_2337 =
									BGl_copyablezf3zf3zzreduce_copyz00(((obj_t)
										BgL_arg1587z00_2338), BgL_vz00_2195);
							}
							if (CBOOL(BgL__andtest_1124z00_2337))
								{	/* Reduce/copy.scm 250 */
									BgL_nodez00_bglt BgL_arg1581z00_2339;

									BgL_arg1581z00_2339 =
										(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nodez00_2194)))->
										BgL_falsez00);
									return BGl_copyablezf3zf3zzreduce_copyz00(((obj_t)
											BgL_arg1581z00_2339), BgL_vz00_2195);
								}
							else
								{	/* Reduce/copy.scm 250 */
									return BFALSE;
								}
						}
					else
						{	/* Reduce/copy.scm 250 */
							return BFALSE;
						}
				}
			else
				{	/* Reduce/copy.scm 249 */
					return BFALSE;
				}
		}

	}



/* &copyable?-instanceof1333 */
	obj_t BGl_z62copyablezf3zd2instanceof1333z43zzreduce_copyz00(obj_t
		BgL_envz00_2196, obj_t BgL_nodez00_2197, obj_t BgL_vz00_2198)
	{
		{	/* Reduce/copy.scm 240 */
			{	/* Reduce/copy.scm 241 */
				bool_t BgL_tmpz00_2907;

				{	/* Reduce/copy.scm 242 */
					obj_t BgL_g1280z00_2341;

					BgL_g1280z00_2341 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_instanceofz00_bglt) BgL_nodez00_2197))))->
						BgL_exprza2za2);
					{
						obj_t BgL_l1278z00_2343;

						BgL_l1278z00_2343 = BgL_g1280z00_2341;
					BgL_zc3z04anonymousza31575ze3z87_2342:
						if (NULLP(BgL_l1278z00_2343))
							{	/* Reduce/copy.scm 242 */
								BgL_tmpz00_2907 = ((bool_t) 1);
							}
						else
							{	/* Reduce/copy.scm 242 */
								obj_t BgL_nvz00_2344;

								{	/* Reduce/copy.scm 242 */
									obj_t BgL_nz00_2345;

									BgL_nz00_2345 = CAR(((obj_t) BgL_l1278z00_2343));
									BgL_nvz00_2344 =
										BGl_copyablezf3zf3zzreduce_copyz00(BgL_nz00_2345,
										BgL_vz00_2198);
								}
								if (CBOOL(BgL_nvz00_2344))
									{	/* Reduce/copy.scm 242 */
										obj_t BgL_arg1577z00_2346;

										BgL_arg1577z00_2346 = CDR(((obj_t) BgL_l1278z00_2343));
										{
											obj_t BgL_l1278z00_2920;

											BgL_l1278z00_2920 = BgL_arg1577z00_2346;
											BgL_l1278z00_2343 = BgL_l1278z00_2920;
											goto BgL_zc3z04anonymousza31575ze3z87_2342;
										}
									}
								else
									{	/* Reduce/copy.scm 242 */
										BgL_tmpz00_2907 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2907);
			}
		}

	}



/* &copyable?-cast-null1331 */
	obj_t BGl_z62copyablezf3zd2castzd2null1331z91zzreduce_copyz00(obj_t
		BgL_envz00_2199, obj_t BgL_nodez00_2200, obj_t BgL_vz00_2201)
	{
		{	/* Reduce/copy.scm 233 */
			{	/* Reduce/copy.scm 234 */
				bool_t BgL_tmpz00_2922;

				{	/* Reduce/copy.scm 235 */
					obj_t BgL_g1276z00_2348;

					BgL_g1276z00_2348 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_nodez00_2200))))->
						BgL_exprza2za2);
					{
						obj_t BgL_l1274z00_2350;

						BgL_l1274z00_2350 = BgL_g1276z00_2348;
					BgL_zc3z04anonymousza31561ze3z87_2349:
						if (NULLP(BgL_l1274z00_2350))
							{	/* Reduce/copy.scm 235 */
								BgL_tmpz00_2922 = ((bool_t) 1);
							}
						else
							{	/* Reduce/copy.scm 235 */
								obj_t BgL_nvz00_2351;

								{	/* Reduce/copy.scm 235 */
									obj_t BgL_nz00_2352;

									BgL_nz00_2352 = CAR(((obj_t) BgL_l1274z00_2350));
									BgL_nvz00_2351 =
										BGl_copyablezf3zf3zzreduce_copyz00(BgL_nz00_2352,
										BgL_vz00_2201);
								}
								if (CBOOL(BgL_nvz00_2351))
									{	/* Reduce/copy.scm 235 */
										obj_t BgL_arg1574z00_2353;

										BgL_arg1574z00_2353 = CDR(((obj_t) BgL_l1274z00_2350));
										{
											obj_t BgL_l1274z00_2935;

											BgL_l1274z00_2935 = BgL_arg1574z00_2353;
											BgL_l1274z00_2350 = BgL_l1274z00_2935;
											goto BgL_zc3z04anonymousza31561ze3z87_2349;
										}
									}
								else
									{	/* Reduce/copy.scm 235 */
										BgL_tmpz00_2922 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2922);
			}
		}

	}



/* &copyable?-cast1329 */
	obj_t BGl_z62copyablezf3zd2cast1329z43zzreduce_copyz00(obj_t BgL_envz00_2202,
		obj_t BgL_nodez00_2203, obj_t BgL_vz00_2204)
	{
		{	/* Reduce/copy.scm 226 */
			{	/* Reduce/copy.scm 228 */
				BgL_nodez00_bglt BgL_arg1560z00_2355;

				BgL_arg1560z00_2355 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2203)))->BgL_argz00);
				return
					BGl_copyablezf3zf3zzreduce_copyz00(
					((obj_t) BgL_arg1560z00_2355), BgL_vz00_2204);
			}
		}

	}



/* &copyable?-vlength1327 */
	obj_t BGl_z62copyablezf3zd2vlength1327z43zzreduce_copyz00(obj_t
		BgL_envz00_2205, obj_t BgL_nodez00_2206, obj_t BgL_vz00_2207)
	{
		{	/* Reduce/copy.scm 219 */
			{	/* Reduce/copy.scm 220 */
				bool_t BgL_tmpz00_2941;

				{	/* Reduce/copy.scm 221 */
					obj_t BgL_g1272z00_2357;

					BgL_g1272z00_2357 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vlengthz00_bglt) BgL_nodez00_2206))))->BgL_exprza2za2);
					{
						obj_t BgL_l1270z00_2359;

						BgL_l1270z00_2359 = BgL_g1272z00_2357;
					BgL_zc3z04anonymousza31554ze3z87_2358:
						if (NULLP(BgL_l1270z00_2359))
							{	/* Reduce/copy.scm 221 */
								BgL_tmpz00_2941 = ((bool_t) 1);
							}
						else
							{	/* Reduce/copy.scm 221 */
								obj_t BgL_nvz00_2360;

								{	/* Reduce/copy.scm 221 */
									obj_t BgL_nz00_2361;

									BgL_nz00_2361 = CAR(((obj_t) BgL_l1270z00_2359));
									BgL_nvz00_2360 =
										BGl_copyablezf3zf3zzreduce_copyz00(BgL_nz00_2361,
										BgL_vz00_2207);
								}
								if (CBOOL(BgL_nvz00_2360))
									{	/* Reduce/copy.scm 221 */
										obj_t BgL_arg1558z00_2362;

										BgL_arg1558z00_2362 = CDR(((obj_t) BgL_l1270z00_2359));
										{
											obj_t BgL_l1270z00_2954;

											BgL_l1270z00_2954 = BgL_arg1558z00_2362;
											BgL_l1270z00_2359 = BgL_l1270z00_2954;
											goto BgL_zc3z04anonymousza31554ze3z87_2358;
										}
									}
								else
									{	/* Reduce/copy.scm 221 */
										BgL_tmpz00_2941 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2941);
			}
		}

	}



/* &copyable?-sequence1325 */
	obj_t BGl_z62copyablezf3zd2sequence1325z43zzreduce_copyz00(obj_t
		BgL_envz00_2208, obj_t BgL_nodez00_2209, obj_t BgL_vz00_2210)
	{
		{	/* Reduce/copy.scm 212 */
			{	/* Reduce/copy.scm 213 */
				bool_t BgL_tmpz00_2956;

				{	/* Reduce/copy.scm 214 */
					obj_t BgL_g1268z00_2364;

					BgL_g1268z00_2364 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2209)))->BgL_nodesz00);
					{
						obj_t BgL_l1266z00_2366;

						BgL_l1266z00_2366 = BgL_g1268z00_2364;
					BgL_zc3z04anonymousza31544ze3z87_2365:
						if (NULLP(BgL_l1266z00_2366))
							{	/* Reduce/copy.scm 214 */
								BgL_tmpz00_2956 = ((bool_t) 1);
							}
						else
							{	/* Reduce/copy.scm 214 */
								obj_t BgL_nvz00_2367;

								{	/* Reduce/copy.scm 214 */
									obj_t BgL_nz00_2368;

									BgL_nz00_2368 = CAR(((obj_t) BgL_l1266z00_2366));
									BgL_nvz00_2367 =
										BGl_copyablezf3zf3zzreduce_copyz00(BgL_nz00_2368,
										BgL_vz00_2210);
								}
								if (CBOOL(BgL_nvz00_2367))
									{	/* Reduce/copy.scm 214 */
										obj_t BgL_arg1553z00_2369;

										BgL_arg1553z00_2369 = CDR(((obj_t) BgL_l1266z00_2366));
										{
											obj_t BgL_l1266z00_2968;

											BgL_l1266z00_2968 = BgL_arg1553z00_2369;
											BgL_l1266z00_2366 = BgL_l1266z00_2968;
											goto BgL_zc3z04anonymousza31544ze3z87_2365;
										}
									}
								else
									{	/* Reduce/copy.scm 214 */
										BgL_tmpz00_2956 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2956);
			}
		}

	}



/* &copyable?-var1323 */
	obj_t BGl_z62copyablezf3zd2var1323z43zzreduce_copyz00(obj_t BgL_envz00_2211,
		obj_t BgL_nodez00_2212, obj_t BgL_vz00_2213)
	{
		{	/* Reduce/copy.scm 206 */
			return
				BBOOL(
				((((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_2212)))->
									BgL_variablez00)))->BgL_accessz00) ==
					((obj_t) CNST_TABLE_REF(2))));
		}

	}



/* &copyable?-atom1321 */
	obj_t BGl_z62copyablezf3zd2atom1321z43zzreduce_copyz00(obj_t BgL_envz00_2214,
		obj_t BgL_nodez00_2215, obj_t BgL_vz00_2216)
	{
		{	/* Reduce/copy.scm 200 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &node-copy!-let-fun1315 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2letzd2fun1315za2zzreduce_copyz00(obj_t
		BgL_envz00_2217, obj_t BgL_nodez00_2218)
	{
		{	/* Reduce/copy.scm 180 */
			{	/* Reduce/copy.scm 182 */
				obj_t BgL_g1265z00_2373;

				BgL_g1265z00_2373 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2218)))->BgL_localsz00);
				{
					obj_t BgL_l1263z00_2375;

					BgL_l1263z00_2375 = BgL_g1265z00_2373;
				BgL_zc3z04anonymousza31512ze3z87_2374:
					if (PAIRP(BgL_l1263z00_2375))
						{	/* Reduce/copy.scm 182 */
							{	/* Reduce/copy.scm 183 */
								obj_t BgL_localz00_2376;

								BgL_localz00_2376 = CAR(BgL_l1263z00_2375);
								{	/* Reduce/copy.scm 183 */
									BgL_valuez00_bglt BgL_funz00_2377;

									BgL_funz00_2377 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2376))))->
										BgL_valuez00);
									{	/* Reduce/copy.scm 184 */
										BgL_nodez00_bglt BgL_arg1515z00_2378;

										{	/* Reduce/copy.scm 184 */
											obj_t BgL_arg1516z00_2379;

											BgL_arg1516z00_2379 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2377)))->
												BgL_bodyz00);
											BgL_arg1515z00_2378 =
												BGl_nodezd2copyz12zc0zzreduce_copyz00((
													(BgL_nodez00_bglt) BgL_arg1516z00_2379));
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2377)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1515z00_2378)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1263z00_2993;

								BgL_l1263z00_2993 = CDR(BgL_l1263z00_2375);
								BgL_l1263z00_2375 = BgL_l1263z00_2993;
								goto BgL_zc3z04anonymousza31512ze3z87_2374;
							}
						}
					else
						{	/* Reduce/copy.scm 182 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2995;

				{	/* Reduce/copy.scm 186 */
					BgL_nodez00_bglt BgL_arg1532z00_2380;

					BgL_arg1532z00_2380 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2218)))->BgL_bodyz00);
					BgL_auxz00_2995 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1532z00_2380);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2218)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2995), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2218));
		}

	}



/* &node-copy!-switch1313 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2switch1313z70zzreduce_copyz00(obj_t
		BgL_envz00_2219, obj_t BgL_nodez00_2220)
	{
		{	/* Reduce/copy.scm 169 */
			{
				BgL_nodez00_bglt BgL_auxz00_3003;

				{	/* Reduce/copy.scm 171 */
					BgL_nodez00_bglt BgL_arg1487z00_2382;

					BgL_arg1487z00_2382 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2220)))->BgL_testz00);
					BgL_auxz00_3003 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1487z00_2382);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2220)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3003), BUNSPEC);
			}
			{	/* Reduce/copy.scm 172 */
				obj_t BgL_g1262z00_2383;

				BgL_g1262z00_2383 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2220)))->BgL_clausesz00);
				{
					obj_t BgL_l1260z00_2385;

					BgL_l1260z00_2385 = BgL_g1262z00_2383;
				BgL_zc3z04anonymousza31488ze3z87_2384:
					if (PAIRP(BgL_l1260z00_2385))
						{	/* Reduce/copy.scm 172 */
							{	/* Reduce/copy.scm 173 */
								obj_t BgL_clausez00_2386;

								BgL_clausez00_2386 = CAR(BgL_l1260z00_2385);
								{	/* Reduce/copy.scm 173 */
									BgL_nodez00_bglt BgL_arg1490z00_2387;

									{	/* Reduce/copy.scm 173 */
										obj_t BgL_arg1506z00_2388;

										BgL_arg1506z00_2388 = CDR(((obj_t) BgL_clausez00_2386));
										BgL_arg1490z00_2387 =
											BGl_nodezd2copyz12zc0zzreduce_copyz00(
											((BgL_nodez00_bglt) BgL_arg1506z00_2388));
									}
									{	/* Reduce/copy.scm 173 */
										obj_t BgL_auxz00_3020;
										obj_t BgL_tmpz00_3018;

										BgL_auxz00_3020 = ((obj_t) BgL_arg1490z00_2387);
										BgL_tmpz00_3018 = ((obj_t) BgL_clausez00_2386);
										SET_CDR(BgL_tmpz00_3018, BgL_auxz00_3020);
									}
								}
							}
							{
								obj_t BgL_l1260z00_3023;

								BgL_l1260z00_3023 = CDR(BgL_l1260z00_2385);
								BgL_l1260z00_2385 = BgL_l1260z00_3023;
								goto BgL_zc3z04anonymousza31488ze3z87_2384;
							}
						}
					else
						{	/* Reduce/copy.scm 172 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2220));
		}

	}



/* &node-copy!-fail1311 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2fail1311z70zzreduce_copyz00(obj_t
		BgL_envz00_2221, obj_t BgL_nodez00_2222)
	{
		{	/* Reduce/copy.scm 159 */
			{
				BgL_nodez00_bglt BgL_auxz00_3027;

				{	/* Reduce/copy.scm 161 */
					BgL_nodez00_bglt BgL_arg1471z00_2390;

					BgL_arg1471z00_2390 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2222)))->BgL_procz00);
					BgL_auxz00_3027 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1471z00_2390);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2222)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3027), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3033;

				{	/* Reduce/copy.scm 162 */
					BgL_nodez00_bglt BgL_arg1480z00_2391;

					BgL_arg1480z00_2391 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2222)))->BgL_msgz00);
					BgL_auxz00_3033 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1480z00_2391);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2222)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3033), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3039;

				{	/* Reduce/copy.scm 163 */
					BgL_nodez00_bglt BgL_arg1484z00_2392;

					BgL_arg1484z00_2392 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2222)))->BgL_objz00);
					BgL_auxz00_3039 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1484z00_2392);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2222)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3039), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2222));
		}

	}



/* &node-copy!-condition1309 */
	BgL_nodez00_bglt
		BGl_z62nodezd2copyz12zd2condition1309z70zzreduce_copyz00(obj_t
		BgL_envz00_2223, obj_t BgL_nodez00_2224)
	{
		{	/* Reduce/copy.scm 149 */
			{
				BgL_nodez00_bglt BgL_auxz00_3047;

				{	/* Reduce/copy.scm 151 */
					BgL_nodez00_bglt BgL_arg1419z00_2394;

					BgL_arg1419z00_2394 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2224)))->BgL_testz00);
					BgL_auxz00_3047 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1419z00_2394);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2224)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3047), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3053;

				{	/* Reduce/copy.scm 152 */
					BgL_nodez00_bglt BgL_arg1446z00_2395;

					BgL_arg1446z00_2395 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2224)))->BgL_truez00);
					BgL_auxz00_3053 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1446z00_2395);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2224)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3053), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3059;

				{	/* Reduce/copy.scm 153 */
					BgL_nodez00_bglt BgL_arg1457z00_2396;

					BgL_arg1457z00_2396 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2224)))->BgL_falsez00);
					BgL_auxz00_3059 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1457z00_2396);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2224)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3059), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_2224));
		}

	}



/* &node-copy!-setq1307 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2setq1307z70zzreduce_copyz00(obj_t
		BgL_envz00_2225, obj_t BgL_nodez00_2226)
	{
		{	/* Reduce/copy.scm 140 */
			{
				BgL_nodez00_bglt BgL_auxz00_3067;

				{	/* Reduce/copy.scm 142 */
					BgL_nodez00_bglt BgL_arg1417z00_2398;

					BgL_arg1417z00_2398 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2226)))->BgL_valuez00);
					BgL_auxz00_3067 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1417z00_2398);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2226)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3067), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_3073;

				{	/* Reduce/copy.scm 143 */
					BgL_varz00_bglt BgL_arg1418z00_2399;

					BgL_arg1418z00_2399 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2226)))->BgL_varz00);
					BgL_auxz00_3073 =
						((BgL_varz00_bglt)
						BGl_nodezd2copyz12zc0zzreduce_copyz00(
							((BgL_nodez00_bglt) BgL_arg1418z00_2399)));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2226)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3073), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2226));
		}

	}



/* &node-copy!-cast1305 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2cast1305z70zzreduce_copyz00(obj_t
		BgL_envz00_2227, obj_t BgL_nodez00_2228)
	{
		{	/* Reduce/copy.scm 132 */
			{
				BgL_nodez00_bglt BgL_auxz00_3083;

				{	/* Reduce/copy.scm 134 */
					BgL_nodez00_bglt BgL_arg1416z00_2401;

					BgL_arg1416z00_2401 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2228)))->BgL_argz00);
					BgL_auxz00_3083 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1416z00_2401);
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2228)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3083), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2228));
		}

	}



/* &node-copy!-extern1303 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2extern1303z70zzreduce_copyz00(obj_t
		BgL_envz00_2229, obj_t BgL_nodez00_2230)
	{
		{	/* Reduce/copy.scm 124 */
			BGl_nodezd2copyza2z12z62zzreduce_copyz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2230)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2230));
		}

	}



/* &node-copy!-funcall1301 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2funcall1301z70zzreduce_copyz00(obj_t
		BgL_envz00_2231, obj_t BgL_nodez00_2232)
	{
		{	/* Reduce/copy.scm 115 */
			{
				BgL_nodez00_bglt BgL_auxz00_3096;

				{	/* Reduce/copy.scm 117 */
					BgL_nodez00_bglt BgL_arg1406z00_2404;

					BgL_arg1406z00_2404 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2232)))->BgL_funz00);
					BgL_auxz00_3096 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1406z00_2404);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2232)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3096), BUNSPEC);
			}
			BGl_nodezd2copyza2z12z62zzreduce_copyz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2232)))->BgL_argsz00));
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2232));
		}

	}



/* &node-copy!-app-ly1298 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2appzd2ly1298za2zzreduce_copyz00(obj_t
		BgL_envz00_2233, obj_t BgL_nodez00_2234)
	{
		{	/* Reduce/copy.scm 106 */
			{
				BgL_nodez00_bglt BgL_auxz00_3107;

				{	/* Reduce/copy.scm 108 */
					BgL_nodez00_bglt BgL_arg1402z00_2406;

					BgL_arg1402z00_2406 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2234)))->BgL_funz00);
					BgL_auxz00_3107 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1402z00_2406);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2234)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3107), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3113;

				{	/* Reduce/copy.scm 109 */
					BgL_nodez00_bglt BgL_arg1403z00_2407;

					BgL_arg1403z00_2407 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2234)))->BgL_argz00);
					BgL_auxz00_3113 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1403z00_2407);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2234)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3113), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2234));
		}

	}



/* &node-copy!-sync1296 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2sync1296z70zzreduce_copyz00(obj_t
		BgL_envz00_2235, obj_t BgL_nodez00_2236)
	{
		{	/* Reduce/copy.scm 96 */
			{
				BgL_nodez00_bglt BgL_auxz00_3121;

				{	/* Reduce/copy.scm 98 */
					BgL_nodez00_bglt BgL_arg1392z00_2409;

					BgL_arg1392z00_2409 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2236)))->BgL_mutexz00);
					BgL_auxz00_3121 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1392z00_2409);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2236)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3121), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3127;

				{	/* Reduce/copy.scm 99 */
					BgL_nodez00_bglt BgL_arg1400z00_2410;

					BgL_arg1400z00_2410 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2236)))->BgL_prelockz00);
					BgL_auxz00_3127 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1400z00_2410);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2236)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3127), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3133;

				{	/* Reduce/copy.scm 100 */
					BgL_nodez00_bglt BgL_arg1401z00_2411;

					BgL_arg1401z00_2411 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2236)))->BgL_bodyz00);
					BgL_auxz00_3133 =
						BGl_nodezd2copyz12zc0zzreduce_copyz00(BgL_arg1401z00_2411);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2236)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3133), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2236));
		}

	}



/* &node-copy!-sequence1294 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2sequence1294z70zzreduce_copyz00(obj_t
		BgL_envz00_2237, obj_t BgL_nodez00_2238)
	{
		{	/* Reduce/copy.scm 88 */
			BGl_nodezd2copyza2z12z62zzreduce_copyz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2238)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2238));
		}

	}



/* &node-copy!-closure1292 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2closure1292z70zzreduce_copyz00(obj_t
		BgL_envz00_2239, obj_t BgL_nodez00_2240)
	{
		{	/* Reduce/copy.scm 82 */
			return ((BgL_nodez00_bglt) ((BgL_closurez00_bglt) BgL_nodez00_2240));
		}

	}



/* &node-copy!-var1290 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2var1290z70zzreduce_copyz00(obj_t
		BgL_envz00_2241, obj_t BgL_nodez00_2242)
	{
		{	/* Reduce/copy.scm 72 */
			{	/* Reduce/copy.scm 73 */
				BgL_variablez00_bglt BgL_vz00_2415;

				BgL_vz00_2415 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_2242)))->BgL_variablez00);
				{	/* Reduce/copy.scm 74 */
					obj_t BgL_falphaz00_2416;

					BgL_falphaz00_2416 =
						(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2415))->
						BgL_fastzd2alphazd2);
					if ((BgL_falphaz00_2416 == BUNSPEC))
						{	/* Reduce/copy.scm 75 */
							return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_2242));
						}
					else
						{	/* Reduce/copy.scm 76 */
							obj_t BgL_arg1386z00_2417;
							BgL_nodez00_bglt BgL_arg1388z00_2418;

							BgL_arg1386z00_2417 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_varz00_bglt) BgL_nodez00_2242))))->BgL_locz00);
							BgL_arg1388z00_2418 =
								BGl_nodezd2copyz12zc0zzreduce_copyz00(
								((BgL_nodez00_bglt) BgL_falphaz00_2416));
							return
								BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL,
								BgL_arg1386z00_2417, BgL_arg1388z00_2418);
						}
				}
			}
		}

	}



/* &node-copy!-kwote1288 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2kwote1288z70zzreduce_copyz00(obj_t
		BgL_envz00_2243, obj_t BgL_nodez00_2244)
	{
		{	/* Reduce/copy.scm 66 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_2244));
		}

	}



/* &node-copy!-atom1286 */
	BgL_nodez00_bglt BGl_z62nodezd2copyz12zd2atom1286z70zzreduce_copyz00(obj_t
		BgL_envz00_2245, obj_t BgL_nodez00_2246)
	{
		{	/* Reduce/copy.scm 60 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_2246));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_copyz00(void)
	{
		{	/* Reduce/copy.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1928z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1928z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1928z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1928z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1928z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1928z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1928z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(49975086L,
				BSTRING_TO_STRING(BGl_string1928z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(361167184L,
				BSTRING_TO_STRING(BGl_string1928z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(460136018L,
				BSTRING_TO_STRING(BGl_string1928z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1928z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1928z00zzreduce_copyz00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(53595773L,
				BSTRING_TO_STRING(BGl_string1928z00zzreduce_copyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string1928z00zzreduce_copyz00));
		}

	}

#ifdef __cplusplus
}
#endif
