/*===========================================================================*/
/*   (SawJvm/names.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawJvm/names.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_JVM_NAMES_TYPE_DEFINITIONS
#define BGL_SAW_JVM_NAMES_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;

	typedef struct BgL_jarrayz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_jarrayz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_jvmbasicz00_bgl
	{
	}                  *BgL_jvmbasicz00_bglt;


#endif													// BGL_SAW_JVM_NAMES_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2pointedzd2tozd2byzd2setz12z12zzsaw_jvm_namesz00
		(BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2importzd2locationzd2setz12zc0zzsaw_jvm_namesz00
		(BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2jvmbasiczd2zzsaw_jvm_namesz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62jvmbasiczd2initzf3zd2setz12z83zzsaw_jvm_namesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_namesz00 = BUNSPEC;
	static obj_t BGl_z62jvmbasiczf3z91zzsaw_jvm_namesz00(obj_t, obj_t);
	static obj_t BGl_z62jvmbasiczd2parentszd2setz12z70zzsaw_jvm_namesz00(obj_t,
		obj_t, obj_t);
	extern obj_t
		BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	static obj_t BGl_z62jvmbasiczd2tvectorzd2setz12z70zzsaw_jvm_namesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jvmbasiczd2classzd2setz12z70zzsaw_jvm_namesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jvmbasiczd2namezd2setz12z70zzsaw_jvm_namesz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62jvmbasiczd2namezb0zzsaw_jvm_namesz00(obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t
		BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2aliaszd2setz12z12zzsaw_jvm_namesz00(BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62jvmbasiczd2tvectorzb0zzsaw_jvm_namesz00(obj_t, obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62jvmbasiczd2nilzb0zzsaw_jvm_namesz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_jvmbasiczf3zf3zzsaw_jvm_namesz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2locationzd2zzsaw_jvm_namesz00(BgL_typez00_bglt);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_namesz00(void);
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_namesz00(void);
	static obj_t BGl_z62jvmbasiczd2magiczf3zd2setz12z83zzsaw_jvm_namesz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2z42z90zzsaw_jvm_namesz00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62jvmbasiczd2initzf3z43zzsaw_jvm_namesz00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t
		BGl_z62jvmbasiczd2pointedzd2tozd2byzd2setz12z70zzsaw_jvm_namesz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2magiczf3zd2setz12ze1zzsaw_jvm_namesz00(BgL_typez00_bglt,
		bool_t);
	static obj_t BGl_z62jvmbasiczd2z42zf2zzsaw_jvm_namesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2initzf3zd2setz12ze1zzsaw_jvm_namesz00(BgL_typez00_bglt,
		bool_t);
	static obj_t BGl_z62jvmbasiczd2locationzd2setz12z70zzsaw_jvm_namesz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62jvmbasiczd2occurrencezb0zzsaw_jvm_namesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2classzd2setz12z12zzsaw_jvm_namesz00(BgL_typez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_namesz00(void);
	extern obj_t BGl_jarrayz00zzforeign_jtypez00;
	BGL_EXPORTED_DECL bool_t
		BGl_jvmbasiczd2magiczf3z21zzsaw_jvm_namesz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2coercezd2toz00zzsaw_jvm_namesz00(BgL_typez00_bglt);
	static obj_t BGl_z62jvmbasiczd2magiczf3z43zzsaw_jvm_namesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2pointedzd2tozd2byzd2zzsaw_jvm_namesz00(BgL_typez00_bglt);
	static obj_t BGl_getzd2jvmtypezd2zzsaw_jvm_namesz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_jvmbasiczd2initzf3z21zzsaw_jvm_namesz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2coercezd2tozd2setz12zc0zzsaw_jvm_namesz00(BgL_typez00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2namezd2zzsaw_jvm_namesz00(BgL_typez00_bglt);
	static obj_t BGl_z62jvmbasiczd2aliaszb0zzsaw_jvm_namesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_jvmbasicz00zzsaw_jvm_namesz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2parentszd2zzsaw_jvm_namesz00(BgL_typez00_bglt);
	static obj_t BGl_z62jvmbasiczd2siza7ez17zzsaw_jvm_namesz00(obj_t, obj_t);
	static obj_t
		BGl_z62saw_jvmzd2setzd2typezd2namesz12za2zzsaw_jvm_namesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31612ze3ze5zzsaw_jvm_namesz00(obj_t,
		obj_t);
	static obj_t BGl_buildzd2typezd2namez00zzsaw_jvm_namesz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2namezd2setz12z12zzsaw_jvm_namesz00(BgL_typez00_bglt, obj_t);
	extern obj_t BGl_jclassz00zzobject_classz00;
	static obj_t BGl_z62jvmbasiczd2siza7ezd2setz12zd7zzsaw_jvm_namesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jvmbasiczd2locationzb0zzsaw_jvm_namesz00(obj_t, obj_t);
	static obj_t BGl_z62jvmbasiczd2occurrencezd2setz12z70zzsaw_jvm_namesz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_jvmbasiczd2occurrencezd2zzsaw_jvm_namesz00(BgL_typez00_bglt);
	extern obj_t BGl_wclassz00zzobject_classz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t
		BGl_z62jvmbasiczd2importzd2locationzd2setz12za2zzsaw_jvm_namesz00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62makezd2jvmbasiczb0zzsaw_jvm_namesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62jvmbasiczd2importzd2locationz62zzsaw_jvm_namesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2aliaszd2zzsaw_jvm_namesz00(BgL_typez00_bglt);
	static obj_t BGl_z62nameszd2initializa7ationz17zzsaw_jvm_namesz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_namesz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_namesz00(void);
	static obj_t BGl_z62jvmbasiczd2parentszb0zzsaw_jvm_namesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2idzd2zzsaw_jvm_namesz00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_namesz00(void);
	static obj_t BGl_z62jvmbasiczd2pointedzd2tozd2byzb0zzsaw_jvm_namesz00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_namesz00(void);
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_jvmbasiczd2nilzd2zzsaw_jvm_namesz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_nameszd2initializa7ationz75zzsaw_jvm_namesz00(BgL_jvmz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda1606z62zzsaw_jvm_namesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2z42zd2setz12z50zzsaw_jvm_namesz00(BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62jvmbasiczd2z42zd2setz12z32zzsaw_jvm_namesz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda1613z62zzsaw_jvm_namesz00(obj_t, obj_t);
	static obj_t BGl_z62jvmbasiczd2classzb0zzsaw_jvm_namesz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	static bool_t BGl_resetzd2jvmstdzd2typez12z12zzsaw_jvm_namesz00(void);
	extern obj_t BGl_forzd2eachzd2typez12z12zztype_envz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2siza7ez75zzsaw_jvm_namesz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2occurrencezd2setz12z12zzsaw_jvm_namesz00(BgL_typez00_bglt,
		int);
	static obj_t BGl_z62jvmbasiczd2aliaszd2setz12z70zzsaw_jvm_namesz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2parentszd2setz12z12zzsaw_jvm_namesz00(BgL_typez00_bglt,
		obj_t);
	static obj_t
		BGl_z62jvmbasiczd2coercezd2tozd2setz12za2zzsaw_jvm_namesz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2tvectorzd2setz12z12zzsaw_jvm_namesz00(BgL_typez00_bglt,
		obj_t);
	static obj_t BGl_z62jvmbasiczd2coercezd2toz62zzsaw_jvm_namesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2tvectorzd2zzsaw_jvm_namesz00(BgL_typez00_bglt);
	static obj_t BGl_z62jvmbasiczd2idzb0zzsaw_jvm_namesz00(obj_t, obj_t);
	extern obj_t
		BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62lambda1593z62zzsaw_jvm_namesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2importzd2locationz00zzsaw_jvm_namesz00(BgL_typez00_bglt);
	extern obj_t
		BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2locationzd2setz12z12zzsaw_jvm_namesz00(BgL_typez00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2siza7ezd2setz12zb5zzsaw_jvm_namesz00(BgL_typez00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jvmbasiczd2classzd2zzsaw_jvm_namesz00(BgL_typez00_bglt);
	static obj_t __cnst[10];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmbasiczd2namezd2envz00zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2na1835z00,
		BGl_z62jvmbasiczd2namezb0zzsaw_jvm_namesz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_resetzd2globalz12zd2envz12zzbackend_cplibz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2siza7ezd2setz12zd2envz67zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2si1836z00,
		BGl_z62jvmbasiczd2siza7ezd2setz12zd7zzsaw_jvm_namesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2aliaszd2setz12zd2envzc0zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2al1837z00,
		BGl_z62jvmbasiczd2aliaszd2setz12z70zzsaw_jvm_namesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_saw_jvmzd2setzd2typezd2namesz12zd2envz12zzsaw_jvm_namesz00,
		BgL_bgl_za762saw_jvmza7d2set1838z00,
		BGl_z62saw_jvmzd2setzd2typezd2namesz12za2zzsaw_jvm_namesz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2pointedzd2tozd2byzd2setz12zd2envzc0zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2po1839z00,
		BGl_z62jvmbasiczd2pointedzd2tozd2byzd2setz12z70zzsaw_jvm_namesz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2occurrencezd2envz00zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2oc1840z00,
		BGl_z62jvmbasiczd2occurrencezb0zzsaw_jvm_namesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmbasiczd2z42zd2envz42zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2za741841za7,
		BGl_z62jvmbasiczd2z42zf2zzsaw_jvm_namesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmbasiczd2classzd2envz00zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2cl1842z00,
		BGl_z62jvmbasiczd2classzb0zzsaw_jvm_namesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2pointedzd2tozd2byzd2envz00zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2po1843z00,
		BGl_z62jvmbasiczd2pointedzd2tozd2byzb0zzsaw_jvm_namesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2jvmbasiczd2envz00zzsaw_jvm_namesz00,
		BgL_bgl_za762makeza7d2jvmbas1844z00,
		BGl_z62makezd2jvmbasiczb0zzsaw_jvm_namesz00, 0L, BUNSPEC, 15);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2initzf3zd2envzf3zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2in1845z00,
		BGl_z62jvmbasiczd2initzf3z43zzsaw_jvm_namesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2parentszd2setz12zd2envzc0zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2pa1846z00,
		BGl_z62jvmbasiczd2parentszd2setz12z70zzsaw_jvm_namesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2coercezd2tozd2setz12zd2envz12zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2co1847z00,
		BGl_z62jvmbasiczd2coercezd2tozd2setz12za2zzsaw_jvm_namesz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2tvectorzd2envz00zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2tv1848z00,
		BGl_z62jvmbasiczd2tvectorzb0zzsaw_jvm_namesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1827z00zzsaw_jvm_namesz00,
		BgL_bgl_string1827za700za7za7s1849za7, "Zector", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2namezd2setz12zd2envzc0zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2na1850z00,
		BGl_z62jvmbasiczd2namezd2setz12z70zzsaw_jvm_namesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmbasiczd2aliaszd2envz00zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2al1851z00,
		BGl_z62jvmbasiczd2aliaszb0zzsaw_jvm_namesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2initzf3zd2setz12zd2envz33zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2in1852z00,
		BGl_z62jvmbasiczd2initzf3zd2setz12z83zzsaw_jvm_namesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1832z00zzsaw_jvm_namesz00,
		BgL_bgl_string1832za700za7za7s1853za7, "saw_jvm_names", 13);
	      DEFINE_STRING(BGl_string1833z00zzsaw_jvm_namesz00,
		BgL_bgl_string1833za700za7za7s1854za7,
		"_ saw_jvm_names jvmbasic object ((obj . obj) (magic . obj) (pair-nil . obj) (void* . obj) (tvector . obj) (class . class) (class-field . obj) (output-port . output-port) (input-port . input-port) (binary-port . binary-port) (datagram-socket . datagram-socket) (regexp . regexp) (epair . extended_pair) (dynamic-env . bgldynamic) (procedure . procedure) (procedure-l . procedure)) (char char ucs2 obj obj obj) (bstring string ucs2string vector cnst* procedure-el) (boolean byte byte byte char short int int long long long long int byte byte short short int int long long) (bool char byte ubyte ucs2 ushort long uchar llong ullong elong uelong ulong int8 uint8 int16 uint16 int32 uint32 int64 uint64) (void short int float double) ",
		729);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1828z00zzsaw_jvm_namesz00,
		BgL_bgl_za762lambda1613za7621855z00, BGl_z62lambda1613z62zzsaw_jvm_namesz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1829z00zzsaw_jvm_namesz00,
		BgL_bgl_za762za7c3za704anonymo1856za7,
		BGl_z62zc3z04anonymousza31612ze3ze5zzsaw_jvm_namesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1830z00zzsaw_jvm_namesz00,
		BgL_bgl_za762lambda1606za7621857z00, BGl_z62lambda1606z62zzsaw_jvm_namesz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1831z00zzsaw_jvm_namesz00,
		BgL_bgl_za762lambda1593za7621858z00, BGl_z62lambda1593z62zzsaw_jvm_namesz00,
		0L, BUNSPEC, 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2tvectorzd2setz12zd2envzc0zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2tv1859z00,
		BGl_z62jvmbasiczd2tvectorzd2setz12z70zzsaw_jvm_namesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2importzd2locationzd2envzd2zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2im1860z00,
		BGl_z62jvmbasiczd2importzd2locationz62zzsaw_jvm_namesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmbasiczd2nilzd2envz00zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2ni1861z00,
		BGl_z62jvmbasiczd2nilzb0zzsaw_jvm_namesz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2parentszd2envz00zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2pa1862z00,
		BGl_z62jvmbasiczd2parentszb0zzsaw_jvm_namesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2siza7ezd2envza7zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2si1863z00,
		BGl_z62jvmbasiczd2siza7ez17zzsaw_jvm_namesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2occurrencezd2setz12zd2envzc0zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2oc1864z00,
		BGl_z62jvmbasiczd2occurrencezd2setz12z70zzsaw_jvm_namesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2locationzd2envz00zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2lo1865z00,
		BGl_z62jvmbasiczd2locationzb0zzsaw_jvm_namesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmbasiczd2idzd2envz00zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2id1866z00,
		BGl_z62jvmbasiczd2idzb0zzsaw_jvm_namesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2classzd2setz12zd2envzc0zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2cl1867z00,
		BGl_z62jvmbasiczd2classzd2setz12z70zzsaw_jvm_namesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nameszd2initializa7ationzd2envza7zzsaw_jvm_namesz00,
		BgL_bgl_za762namesza7d2initi1868z00,
		BGl_z62nameszd2initializa7ationz17zzsaw_jvm_namesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2locationzd2setz12zd2envzc0zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2lo1869z00,
		BGl_z62jvmbasiczd2locationzd2setz12z70zzsaw_jvm_namesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2magiczf3zd2envzf3zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2ma1870z00,
		BGl_z62jvmbasiczd2magiczf3z43zzsaw_jvm_namesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2importzd2locationzd2setz12zd2envz12zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2im1871z00,
		BGl_z62jvmbasiczd2importzd2locationzd2setz12za2zzsaw_jvm_namesz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_jvmbasiczf3zd2envz21zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7f3za791872za7,
		BGl_z62jvmbasiczf3z91zzsaw_jvm_namesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2z42zd2setz12zd2envz82zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2za741873za7,
		BGl_z62jvmbasiczd2z42zd2setz12z32zzsaw_jvm_namesz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2coercezd2tozd2envzd2zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2co1874z00,
		BGl_z62jvmbasiczd2coercezd2toz62zzsaw_jvm_namesz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmbasiczd2magiczf3zd2setz12zd2envz33zzsaw_jvm_namesz00,
		BgL_bgl_za762jvmbasicza7d2ma1875z00,
		BGl_z62jvmbasiczd2magiczf3zd2setz12z83zzsaw_jvm_namesz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_namesz00));
		     ADD_ROOT((void *) (&BGl_jvmbasicz00zzsaw_jvm_namesz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(long
		BgL_checksumz00_3240, char *BgL_fromz00_3241)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_namesz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_namesz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_namesz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_namesz00();
					BGl_cnstzd2initzd2zzsaw_jvm_namesz00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_namesz00();
					BGl_objectzd2initzd2zzsaw_jvm_namesz00();
					return BGl_methodzd2initzd2zzsaw_jvm_namesz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_namesz00(void)
	{
		{	/* SawJvm/names.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_jvm_names");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_jvm_names");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_jvm_names");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"saw_jvm_names");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"saw_jvm_names");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_jvm_names");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_jvm_names");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"saw_jvm_names");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_jvm_names");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_namesz00(void)
	{
		{	/* SawJvm/names.scm 1 */
			{	/* SawJvm/names.scm 1 */
				obj_t BgL_cportz00_3186;

				{	/* SawJvm/names.scm 1 */
					obj_t BgL_stringz00_3193;

					BgL_stringz00_3193 = BGl_string1833z00zzsaw_jvm_namesz00;
					{	/* SawJvm/names.scm 1 */
						obj_t BgL_startz00_3194;

						BgL_startz00_3194 = BINT(0L);
						{	/* SawJvm/names.scm 1 */
							obj_t BgL_endz00_3195;

							BgL_endz00_3195 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3193)));
							{	/* SawJvm/names.scm 1 */

								BgL_cportz00_3186 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3193, BgL_startz00_3194, BgL_endz00_3195);
				}}}}
				{
					long BgL_iz00_3187;

					BgL_iz00_3187 = 9L;
				BgL_loopz00_3188:
					if ((BgL_iz00_3187 == (-1L)))
						{	/* SawJvm/names.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/names.scm 1 */
							{	/* SawJvm/names.scm 1 */
								obj_t BgL_arg1834z00_3189;

								{	/* SawJvm/names.scm 1 */

									{	/* SawJvm/names.scm 1 */
										obj_t BgL_locationz00_3191;

										BgL_locationz00_3191 = BBOOL(((bool_t) 0));
										{	/* SawJvm/names.scm 1 */

											BgL_arg1834z00_3189 =
												BGl_readz00zz__readerz00(BgL_cportz00_3186,
												BgL_locationz00_3191);
										}
									}
								}
								{	/* SawJvm/names.scm 1 */
									int BgL_tmpz00_3269;

									BgL_tmpz00_3269 = (int) (BgL_iz00_3187);
									CNST_TABLE_SET(BgL_tmpz00_3269, BgL_arg1834z00_3189);
							}}
							{	/* SawJvm/names.scm 1 */
								int BgL_auxz00_3192;

								BgL_auxz00_3192 = (int) ((BgL_iz00_3187 - 1L));
								{
									long BgL_iz00_3274;

									BgL_iz00_3274 = (long) (BgL_auxz00_3192);
									BgL_iz00_3187 = BgL_iz00_3274;
									goto BgL_loopz00_3188;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_namesz00(void)
	{
		{	/* SawJvm/names.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* make-jvmbasic */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2jvmbasiczd2zzsaw_jvm_namesz00(obj_t BgL_id1126z00_3,
		obj_t BgL_name1127z00_4, obj_t BgL_siza7e1128za7_5,
		obj_t BgL_class1129z00_6, obj_t BgL_coercezd2to1130zd2_7,
		obj_t BgL_parents1131z00_8, bool_t BgL_initzf31132zf3_9,
		bool_t BgL_magiczf31133zf3_10, obj_t BgL_z421134z42_11,
		obj_t BgL_alias1135z00_12, obj_t BgL_pointedzd2tozd2by1136z00_13,
		obj_t BgL_tvector1137z00_14, obj_t BgL_location1138z00_15,
		obj_t BgL_importzd2location1139zd2_16, int BgL_occurrence1140z00_17)
	{
		{	/* SawJvm/names.sch 50 */
			{	/* SawJvm/names.sch 50 */
				BgL_typez00_bglt BgL_new1136z00_3197;

				{	/* SawJvm/names.sch 50 */
					BgL_typez00_bglt BgL_tmp1134z00_3198;
					BgL_jvmbasicz00_bglt BgL_wide1135z00_3199;

					{
						BgL_typez00_bglt BgL_auxz00_3277;

						{	/* SawJvm/names.sch 50 */
							BgL_typez00_bglt BgL_new1133z00_3200;

							BgL_new1133z00_3200 =
								((BgL_typez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_typez00_bgl))));
							{	/* SawJvm/names.sch 50 */
								long BgL_arg1480z00_3201;

								BgL_arg1480z00_3201 = BGL_CLASS_NUM(BGl_typez00zztype_typez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1133z00_3200),
									BgL_arg1480z00_3201);
							}
							{	/* SawJvm/names.sch 50 */
								BgL_objectz00_bglt BgL_tmpz00_3282;

								BgL_tmpz00_3282 = ((BgL_objectz00_bglt) BgL_new1133z00_3200);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3282, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1133z00_3200);
							BgL_auxz00_3277 = BgL_new1133z00_3200;
						}
						BgL_tmp1134z00_3198 = ((BgL_typez00_bglt) BgL_auxz00_3277);
					}
					BgL_wide1135z00_3199 =
						((BgL_jvmbasicz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jvmbasicz00_bgl))));
					{	/* SawJvm/names.sch 50 */
						obj_t BgL_auxz00_3290;
						BgL_objectz00_bglt BgL_tmpz00_3288;

						BgL_auxz00_3290 = ((obj_t) BgL_wide1135z00_3199);
						BgL_tmpz00_3288 = ((BgL_objectz00_bglt) BgL_tmp1134z00_3198);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3288, BgL_auxz00_3290);
					}
					((BgL_objectz00_bglt) BgL_tmp1134z00_3198);
					{	/* SawJvm/names.sch 50 */
						long BgL_arg1471z00_3202;

						BgL_arg1471z00_3202 =
							BGL_CLASS_NUM(BGl_jvmbasicz00zzsaw_jvm_namesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1134z00_3198), BgL_arg1471z00_3202);
					}
					BgL_new1136z00_3197 = ((BgL_typez00_bglt) BgL_tmp1134z00_3198);
				}
				((((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_new1136z00_3197)))->BgL_idz00) =
					((obj_t) BgL_id1126z00_3), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1136z00_3197)))->BgL_namez00) =
					((obj_t) BgL_name1127z00_4), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1136z00_3197)))->BgL_siza7eza7) =
					((obj_t) BgL_siza7e1128za7_5), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1136z00_3197)))->BgL_classz00) =
					((obj_t) BgL_class1129z00_6), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1136z00_3197)))->BgL_coercezd2tozd2) =
					((obj_t) BgL_coercezd2to1130zd2_7), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1136z00_3197)))->BgL_parentsz00) =
					((obj_t) BgL_parents1131z00_8), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1136z00_3197)))->BgL_initzf3zf3) =
					((bool_t) BgL_initzf31132zf3_9), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1136z00_3197)))->BgL_magiczf3zf3) =
					((bool_t) BgL_magiczf31133zf3_10), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1136z00_3197)))->BgL_nullz00) =
					((obj_t) BFALSE), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1136z00_3197)))->BgL_z42z42) =
					((obj_t) BgL_z421134z42_11), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1136z00_3197)))->BgL_aliasz00) =
					((obj_t) BgL_alias1135z00_12), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1136z00_3197)))->BgL_pointedzd2tozd2byz00) =
					((obj_t) BgL_pointedzd2tozd2by1136z00_13), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1136z00_3197)))->BgL_tvectorz00) =
					((obj_t) BgL_tvector1137z00_14), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1136z00_3197)))->BgL_locationz00) =
					((obj_t) BgL_location1138z00_15), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1136z00_3197)))->BgL_importzd2locationzd2) =
					((obj_t) BgL_importzd2location1139zd2_16), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1136z00_3197)))->BgL_occurrencez00) =
					((int) BgL_occurrence1140z00_17), BUNSPEC);
				return BgL_new1136z00_3197;
			}
		}

	}



/* &make-jvmbasic */
	BgL_typez00_bglt BGl_z62makezd2jvmbasiczb0zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3062, obj_t BgL_id1126z00_3063, obj_t BgL_name1127z00_3064,
		obj_t BgL_siza7e1128za7_3065, obj_t BgL_class1129z00_3066,
		obj_t BgL_coercezd2to1130zd2_3067, obj_t BgL_parents1131z00_3068,
		obj_t BgL_initzf31132zf3_3069, obj_t BgL_magiczf31133zf3_3070,
		obj_t BgL_z421134z42_3071, obj_t BgL_alias1135z00_3072,
		obj_t BgL_pointedzd2tozd2by1136z00_3073, obj_t BgL_tvector1137z00_3074,
		obj_t BgL_location1138z00_3075, obj_t BgL_importzd2location1139zd2_3076,
		obj_t BgL_occurrence1140z00_3077)
	{
		{	/* SawJvm/names.sch 50 */
			return
				BGl_makezd2jvmbasiczd2zzsaw_jvm_namesz00(BgL_id1126z00_3063,
				BgL_name1127z00_3064, BgL_siza7e1128za7_3065, BgL_class1129z00_3066,
				BgL_coercezd2to1130zd2_3067, BgL_parents1131z00_3068,
				CBOOL(BgL_initzf31132zf3_3069), CBOOL(BgL_magiczf31133zf3_3070),
				BgL_z421134z42_3071, BgL_alias1135z00_3072,
				BgL_pointedzd2tozd2by1136z00_3073, BgL_tvector1137z00_3074,
				BgL_location1138z00_3075, BgL_importzd2location1139zd2_3076,
				CINT(BgL_occurrence1140z00_3077));
		}

	}



/* jvmbasic? */
	BGL_EXPORTED_DEF bool_t BGl_jvmbasiczf3zf3zzsaw_jvm_namesz00(obj_t
		BgL_objz00_18)
	{
		{	/* SawJvm/names.sch 51 */
			{	/* SawJvm/names.sch 51 */
				obj_t BgL_classz00_3203;

				BgL_classz00_3203 = BGl_jvmbasicz00zzsaw_jvm_namesz00;
				if (BGL_OBJECTP(BgL_objz00_18))
					{	/* SawJvm/names.sch 51 */
						BgL_objectz00_bglt BgL_arg1858z00_3204;

						BgL_arg1858z00_3204 = (BgL_objectz00_bglt) (BgL_objz00_18);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawJvm/names.sch 51 */
								long BgL_idxz00_3205;

								BgL_idxz00_3205 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3204);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3205 + 2L)) == BgL_classz00_3203);
							}
						else
							{	/* SawJvm/names.sch 51 */
								bool_t BgL_res1815z00_3208;

								{	/* SawJvm/names.sch 51 */
									obj_t BgL_oclassz00_3209;

									{	/* SawJvm/names.sch 51 */
										obj_t BgL_arg1866z00_3210;
										long BgL_arg1867z00_3211;

										BgL_arg1866z00_3210 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawJvm/names.sch 51 */
											long BgL_arg1869z00_3212;

											BgL_arg1869z00_3212 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3204);
											BgL_arg1867z00_3211 = (BgL_arg1869z00_3212 - OBJECT_TYPE);
										}
										BgL_oclassz00_3209 =
											VECTOR_REF(BgL_arg1866z00_3210, BgL_arg1867z00_3211);
									}
									{	/* SawJvm/names.sch 51 */
										bool_t BgL__ortest_1115z00_3213;

										BgL__ortest_1115z00_3213 =
											(BgL_classz00_3203 == BgL_oclassz00_3209);
										if (BgL__ortest_1115z00_3213)
											{	/* SawJvm/names.sch 51 */
												BgL_res1815z00_3208 = BgL__ortest_1115z00_3213;
											}
										else
											{	/* SawJvm/names.sch 51 */
												long BgL_odepthz00_3214;

												{	/* SawJvm/names.sch 51 */
													obj_t BgL_arg1855z00_3215;

													BgL_arg1855z00_3215 = (BgL_oclassz00_3209);
													BgL_odepthz00_3214 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3215);
												}
												if ((2L < BgL_odepthz00_3214))
													{	/* SawJvm/names.sch 51 */
														obj_t BgL_arg1853z00_3216;

														{	/* SawJvm/names.sch 51 */
															obj_t BgL_arg1854z00_3217;

															BgL_arg1854z00_3217 = (BgL_oclassz00_3209);
															BgL_arg1853z00_3216 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3217,
																2L);
														}
														BgL_res1815z00_3208 =
															(BgL_arg1853z00_3216 == BgL_classz00_3203);
													}
												else
													{	/* SawJvm/names.sch 51 */
														BgL_res1815z00_3208 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1815z00_3208;
							}
					}
				else
					{	/* SawJvm/names.sch 51 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &jvmbasic? */
	obj_t BGl_z62jvmbasiczf3z91zzsaw_jvm_namesz00(obj_t BgL_envz00_3078,
		obj_t BgL_objz00_3079)
	{
		{	/* SawJvm/names.sch 51 */
			return BBOOL(BGl_jvmbasiczf3zf3zzsaw_jvm_namesz00(BgL_objz00_3079));
		}

	}



/* jvmbasic-nil */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_jvmbasiczd2nilzd2zzsaw_jvm_namesz00(void)
	{
		{	/* SawJvm/names.sch 52 */
			{	/* SawJvm/names.sch 52 */
				obj_t BgL_classz00_2655;

				BgL_classz00_2655 = BGl_jvmbasicz00zzsaw_jvm_namesz00;
				{	/* SawJvm/names.sch 52 */
					obj_t BgL__ortest_1117z00_2656;

					BgL__ortest_1117z00_2656 = BGL_CLASS_NIL(BgL_classz00_2655);
					if (CBOOL(BgL__ortest_1117z00_2656))
						{	/* SawJvm/names.sch 52 */
							return ((BgL_typez00_bglt) BgL__ortest_1117z00_2656);
						}
					else
						{	/* SawJvm/names.sch 52 */
							return
								((BgL_typez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2655));
						}
				}
			}
		}

	}



/* &jvmbasic-nil */
	BgL_typez00_bglt BGl_z62jvmbasiczd2nilzb0zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3080)
	{
		{	/* SawJvm/names.sch 52 */
			return BGl_jvmbasiczd2nilzd2zzsaw_jvm_namesz00();
		}

	}



/* jvmbasic-occurrence */
	BGL_EXPORTED_DEF int
		BGl_jvmbasiczd2occurrencezd2zzsaw_jvm_namesz00(BgL_typez00_bglt BgL_oz00_19)
	{
		{	/* SawJvm/names.sch 53 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_19)))->BgL_occurrencez00);
		}

	}



/* &jvmbasic-occurrence */
	obj_t BGl_z62jvmbasiczd2occurrencezb0zzsaw_jvm_namesz00(obj_t BgL_envz00_3081,
		obj_t BgL_oz00_3082)
	{
		{	/* SawJvm/names.sch 53 */
			return
				BINT(BGl_jvmbasiczd2occurrencezd2zzsaw_jvm_namesz00(
					((BgL_typez00_bglt) BgL_oz00_3082)));
		}

	}



/* jvmbasic-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2occurrencezd2setz12z12zzsaw_jvm_namesz00(BgL_typez00_bglt
		BgL_oz00_20, int BgL_vz00_21)
	{
		{	/* SawJvm/names.sch 54 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_20)))->BgL_occurrencez00) =
				((int) BgL_vz00_21), BUNSPEC);
		}

	}



/* &jvmbasic-occurrence-set! */
	obj_t BGl_z62jvmbasiczd2occurrencezd2setz12z70zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3083, obj_t BgL_oz00_3084, obj_t BgL_vz00_3085)
	{
		{	/* SawJvm/names.sch 54 */
			return
				BGl_jvmbasiczd2occurrencezd2setz12z12zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3084), CINT(BgL_vz00_3085));
		}

	}



/* jvmbasic-import-location */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2importzd2locationz00zzsaw_jvm_namesz00(BgL_typez00_bglt
		BgL_oz00_22)
	{
		{	/* SawJvm/names.sch 55 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_22)))->BgL_importzd2locationzd2);
		}

	}



/* &jvmbasic-import-location */
	obj_t BGl_z62jvmbasiczd2importzd2locationz62zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3086, obj_t BgL_oz00_3087)
	{
		{	/* SawJvm/names.sch 55 */
			return
				BGl_jvmbasiczd2importzd2locationz00zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3087));
		}

	}



/* jvmbasic-import-location-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2importzd2locationzd2setz12zc0zzsaw_jvm_namesz00
		(BgL_typez00_bglt BgL_oz00_23, obj_t BgL_vz00_24)
	{
		{	/* SawJvm/names.sch 56 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_23)))->BgL_importzd2locationzd2) =
				((obj_t) BgL_vz00_24), BUNSPEC);
		}

	}



/* &jvmbasic-import-location-set! */
	obj_t BGl_z62jvmbasiczd2importzd2locationzd2setz12za2zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3088, obj_t BgL_oz00_3089, obj_t BgL_vz00_3090)
	{
		{	/* SawJvm/names.sch 56 */
			return
				BGl_jvmbasiczd2importzd2locationzd2setz12zc0zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3089), BgL_vz00_3090);
		}

	}



/* jvmbasic-location */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2locationzd2zzsaw_jvm_namesz00(BgL_typez00_bglt BgL_oz00_25)
	{
		{	/* SawJvm/names.sch 57 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_25)))->BgL_locationz00);
		}

	}



/* &jvmbasic-location */
	obj_t BGl_z62jvmbasiczd2locationzb0zzsaw_jvm_namesz00(obj_t BgL_envz00_3091,
		obj_t BgL_oz00_3092)
	{
		{	/* SawJvm/names.sch 57 */
			return
				BGl_jvmbasiczd2locationzd2zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3092));
		}

	}



/* jvmbasic-location-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2locationzd2setz12z12zzsaw_jvm_namesz00(BgL_typez00_bglt
		BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* SawJvm/names.sch 58 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_26)))->BgL_locationz00) =
				((obj_t) BgL_vz00_27), BUNSPEC);
		}

	}



/* &jvmbasic-location-set! */
	obj_t BGl_z62jvmbasiczd2locationzd2setz12z70zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3093, obj_t BgL_oz00_3094, obj_t BgL_vz00_3095)
	{
		{	/* SawJvm/names.sch 58 */
			return
				BGl_jvmbasiczd2locationzd2setz12z12zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3094), BgL_vz00_3095);
		}

	}



/* jvmbasic-tvector */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2tvectorzd2zzsaw_jvm_namesz00(BgL_typez00_bglt BgL_oz00_28)
	{
		{	/* SawJvm/names.sch 59 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_28)))->BgL_tvectorz00);
		}

	}



/* &jvmbasic-tvector */
	obj_t BGl_z62jvmbasiczd2tvectorzb0zzsaw_jvm_namesz00(obj_t BgL_envz00_3096,
		obj_t BgL_oz00_3097)
	{
		{	/* SawJvm/names.sch 59 */
			return
				BGl_jvmbasiczd2tvectorzd2zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3097));
		}

	}



/* jvmbasic-tvector-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2tvectorzd2setz12z12zzsaw_jvm_namesz00(BgL_typez00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawJvm/names.sch 60 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_29)))->BgL_tvectorz00) =
				((obj_t) BgL_vz00_30), BUNSPEC);
		}

	}



/* &jvmbasic-tvector-set! */
	obj_t BGl_z62jvmbasiczd2tvectorzd2setz12z70zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3098, obj_t BgL_oz00_3099, obj_t BgL_vz00_3100)
	{
		{	/* SawJvm/names.sch 60 */
			return
				BGl_jvmbasiczd2tvectorzd2setz12z12zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3099), BgL_vz00_3100);
		}

	}



/* jvmbasic-pointed-to-by */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2pointedzd2tozd2byzd2zzsaw_jvm_namesz00(BgL_typez00_bglt
		BgL_oz00_31)
	{
		{	/* SawJvm/names.sch 61 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_31)))->BgL_pointedzd2tozd2byz00);
		}

	}



/* &jvmbasic-pointed-to-by */
	obj_t BGl_z62jvmbasiczd2pointedzd2tozd2byzb0zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3101, obj_t BgL_oz00_3102)
	{
		{	/* SawJvm/names.sch 61 */
			return
				BGl_jvmbasiczd2pointedzd2tozd2byzd2zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3102));
		}

	}



/* jvmbasic-pointed-to-by-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2pointedzd2tozd2byzd2setz12z12zzsaw_jvm_namesz00
		(BgL_typez00_bglt BgL_oz00_32, obj_t BgL_vz00_33)
	{
		{	/* SawJvm/names.sch 62 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_32)))->BgL_pointedzd2tozd2byz00) =
				((obj_t) BgL_vz00_33), BUNSPEC);
		}

	}



/* &jvmbasic-pointed-to-by-set! */
	obj_t BGl_z62jvmbasiczd2pointedzd2tozd2byzd2setz12z70zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3103, obj_t BgL_oz00_3104, obj_t BgL_vz00_3105)
	{
		{	/* SawJvm/names.sch 62 */
			return
				BGl_jvmbasiczd2pointedzd2tozd2byzd2setz12z12zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3104), BgL_vz00_3105);
		}

	}



/* jvmbasic-alias */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2aliaszd2zzsaw_jvm_namesz00(BgL_typez00_bglt BgL_oz00_34)
	{
		{	/* SawJvm/names.sch 63 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_34)))->BgL_aliasz00);
		}

	}



/* &jvmbasic-alias */
	obj_t BGl_z62jvmbasiczd2aliaszb0zzsaw_jvm_namesz00(obj_t BgL_envz00_3106,
		obj_t BgL_oz00_3107)
	{
		{	/* SawJvm/names.sch 63 */
			return
				BGl_jvmbasiczd2aliaszd2zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3107));
		}

	}



/* jvmbasic-alias-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2aliaszd2setz12z12zzsaw_jvm_namesz00(BgL_typez00_bglt
		BgL_oz00_35, obj_t BgL_vz00_36)
	{
		{	/* SawJvm/names.sch 64 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_35)))->BgL_aliasz00) =
				((obj_t) BgL_vz00_36), BUNSPEC);
		}

	}



/* &jvmbasic-alias-set! */
	obj_t BGl_z62jvmbasiczd2aliaszd2setz12z70zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3108, obj_t BgL_oz00_3109, obj_t BgL_vz00_3110)
	{
		{	/* SawJvm/names.sch 64 */
			return
				BGl_jvmbasiczd2aliaszd2setz12z12zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3109), BgL_vz00_3110);
		}

	}



/* jvmbasic-$ */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2z42z90zzsaw_jvm_namesz00(BgL_typez00_bglt BgL_oz00_37)
	{
		{	/* SawJvm/names.sch 65 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_37)))->BgL_z42z42);
		}

	}



/* &jvmbasic-$ */
	obj_t BGl_z62jvmbasiczd2z42zf2zzsaw_jvm_namesz00(obj_t BgL_envz00_3111,
		obj_t BgL_oz00_3112)
	{
		{	/* SawJvm/names.sch 65 */
			return
				BGl_jvmbasiczd2z42z90zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3112));
		}

	}



/* jvmbasic-$-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2z42zd2setz12z50zzsaw_jvm_namesz00(BgL_typez00_bglt
		BgL_oz00_38, obj_t BgL_vz00_39)
	{
		{	/* SawJvm/names.sch 66 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_38)))->BgL_z42z42) =
				((obj_t) BgL_vz00_39), BUNSPEC);
		}

	}



/* &jvmbasic-$-set! */
	obj_t BGl_z62jvmbasiczd2z42zd2setz12z32zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3113, obj_t BgL_oz00_3114, obj_t BgL_vz00_3115)
	{
		{	/* SawJvm/names.sch 66 */
			return
				BGl_jvmbasiczd2z42zd2setz12z50zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3114), BgL_vz00_3115);
		}

	}



/* jvmbasic-magic? */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmbasiczd2magiczf3z21zzsaw_jvm_namesz00(BgL_typez00_bglt BgL_oz00_40)
	{
		{	/* SawJvm/names.sch 67 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_40)))->BgL_magiczf3zf3);
		}

	}



/* &jvmbasic-magic? */
	obj_t BGl_z62jvmbasiczd2magiczf3z43zzsaw_jvm_namesz00(obj_t BgL_envz00_3116,
		obj_t BgL_oz00_3117)
	{
		{	/* SawJvm/names.sch 67 */
			return
				BBOOL(BGl_jvmbasiczd2magiczf3z21zzsaw_jvm_namesz00(
					((BgL_typez00_bglt) BgL_oz00_3117)));
		}

	}



/* jvmbasic-magic?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2magiczf3zd2setz12ze1zzsaw_jvm_namesz00(BgL_typez00_bglt
		BgL_oz00_41, bool_t BgL_vz00_42)
	{
		{	/* SawJvm/names.sch 68 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_41)))->BgL_magiczf3zf3) =
				((bool_t) BgL_vz00_42), BUNSPEC);
		}

	}



/* &jvmbasic-magic?-set! */
	obj_t BGl_z62jvmbasiczd2magiczf3zd2setz12z83zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3118, obj_t BgL_oz00_3119, obj_t BgL_vz00_3120)
	{
		{	/* SawJvm/names.sch 68 */
			return
				BGl_jvmbasiczd2magiczf3zd2setz12ze1zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3119), CBOOL(BgL_vz00_3120));
		}

	}



/* jvmbasic-init? */
	BGL_EXPORTED_DEF bool_t
		BGl_jvmbasiczd2initzf3z21zzsaw_jvm_namesz00(BgL_typez00_bglt BgL_oz00_43)
	{
		{	/* SawJvm/names.sch 69 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_43)))->BgL_initzf3zf3);
		}

	}



/* &jvmbasic-init? */
	obj_t BGl_z62jvmbasiczd2initzf3z43zzsaw_jvm_namesz00(obj_t BgL_envz00_3121,
		obj_t BgL_oz00_3122)
	{
		{	/* SawJvm/names.sch 69 */
			return
				BBOOL(BGl_jvmbasiczd2initzf3z21zzsaw_jvm_namesz00(
					((BgL_typez00_bglt) BgL_oz00_3122)));
		}

	}



/* jvmbasic-init?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2initzf3zd2setz12ze1zzsaw_jvm_namesz00(BgL_typez00_bglt
		BgL_oz00_44, bool_t BgL_vz00_45)
	{
		{	/* SawJvm/names.sch 70 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_44)))->BgL_initzf3zf3) =
				((bool_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &jvmbasic-init?-set! */
	obj_t BGl_z62jvmbasiczd2initzf3zd2setz12z83zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3123, obj_t BgL_oz00_3124, obj_t BgL_vz00_3125)
	{
		{	/* SawJvm/names.sch 70 */
			return
				BGl_jvmbasiczd2initzf3zd2setz12ze1zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3124), CBOOL(BgL_vz00_3125));
		}

	}



/* jvmbasic-parents */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2parentszd2zzsaw_jvm_namesz00(BgL_typez00_bglt BgL_oz00_46)
	{
		{	/* SawJvm/names.sch 71 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_46)))->BgL_parentsz00);
		}

	}



/* &jvmbasic-parents */
	obj_t BGl_z62jvmbasiczd2parentszb0zzsaw_jvm_namesz00(obj_t BgL_envz00_3126,
		obj_t BgL_oz00_3127)
	{
		{	/* SawJvm/names.sch 71 */
			return
				BGl_jvmbasiczd2parentszd2zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3127));
		}

	}



/* jvmbasic-parents-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2parentszd2setz12z12zzsaw_jvm_namesz00(BgL_typez00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* SawJvm/names.sch 72 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_47)))->BgL_parentsz00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &jvmbasic-parents-set! */
	obj_t BGl_z62jvmbasiczd2parentszd2setz12z70zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3128, obj_t BgL_oz00_3129, obj_t BgL_vz00_3130)
	{
		{	/* SawJvm/names.sch 72 */
			return
				BGl_jvmbasiczd2parentszd2setz12z12zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3129), BgL_vz00_3130);
		}

	}



/* jvmbasic-coerce-to */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2coercezd2toz00zzsaw_jvm_namesz00(BgL_typez00_bglt
		BgL_oz00_49)
	{
		{	/* SawJvm/names.sch 73 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_49)))->BgL_coercezd2tozd2);
		}

	}



/* &jvmbasic-coerce-to */
	obj_t BGl_z62jvmbasiczd2coercezd2toz62zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3131, obj_t BgL_oz00_3132)
	{
		{	/* SawJvm/names.sch 73 */
			return
				BGl_jvmbasiczd2coercezd2toz00zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3132));
		}

	}



/* jvmbasic-coerce-to-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2coercezd2tozd2setz12zc0zzsaw_jvm_namesz00(BgL_typez00_bglt
		BgL_oz00_50, obj_t BgL_vz00_51)
	{
		{	/* SawJvm/names.sch 74 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_50)))->BgL_coercezd2tozd2) =
				((obj_t) BgL_vz00_51), BUNSPEC);
		}

	}



/* &jvmbasic-coerce-to-set! */
	obj_t BGl_z62jvmbasiczd2coercezd2tozd2setz12za2zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3133, obj_t BgL_oz00_3134, obj_t BgL_vz00_3135)
	{
		{	/* SawJvm/names.sch 74 */
			return
				BGl_jvmbasiczd2coercezd2tozd2setz12zc0zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3134), BgL_vz00_3135);
		}

	}



/* jvmbasic-class */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2classzd2zzsaw_jvm_namesz00(BgL_typez00_bglt BgL_oz00_52)
	{
		{	/* SawJvm/names.sch 75 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_52)))->BgL_classz00);
		}

	}



/* &jvmbasic-class */
	obj_t BGl_z62jvmbasiczd2classzb0zzsaw_jvm_namesz00(obj_t BgL_envz00_3136,
		obj_t BgL_oz00_3137)
	{
		{	/* SawJvm/names.sch 75 */
			return
				BGl_jvmbasiczd2classzd2zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3137));
		}

	}



/* jvmbasic-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2classzd2setz12z12zzsaw_jvm_namesz00(BgL_typez00_bglt
		BgL_oz00_53, obj_t BgL_vz00_54)
	{
		{	/* SawJvm/names.sch 76 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_53)))->BgL_classz00) =
				((obj_t) BgL_vz00_54), BUNSPEC);
		}

	}



/* &jvmbasic-class-set! */
	obj_t BGl_z62jvmbasiczd2classzd2setz12z70zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3138, obj_t BgL_oz00_3139, obj_t BgL_vz00_3140)
	{
		{	/* SawJvm/names.sch 76 */
			return
				BGl_jvmbasiczd2classzd2setz12z12zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3139), BgL_vz00_3140);
		}

	}



/* jvmbasic-size */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2siza7ez75zzsaw_jvm_namesz00(BgL_typez00_bglt BgL_oz00_55)
	{
		{	/* SawJvm/names.sch 77 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_55)))->BgL_siza7eza7);
		}

	}



/* &jvmbasic-size */
	obj_t BGl_z62jvmbasiczd2siza7ez17zzsaw_jvm_namesz00(obj_t BgL_envz00_3141,
		obj_t BgL_oz00_3142)
	{
		{	/* SawJvm/names.sch 77 */
			return
				BGl_jvmbasiczd2siza7ez75zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3142));
		}

	}



/* jvmbasic-size-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2siza7ezd2setz12zb5zzsaw_jvm_namesz00(BgL_typez00_bglt
		BgL_oz00_56, obj_t BgL_vz00_57)
	{
		{	/* SawJvm/names.sch 78 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_56)))->BgL_siza7eza7) =
				((obj_t) BgL_vz00_57), BUNSPEC);
		}

	}



/* &jvmbasic-size-set! */
	obj_t BGl_z62jvmbasiczd2siza7ezd2setz12zd7zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3143, obj_t BgL_oz00_3144, obj_t BgL_vz00_3145)
	{
		{	/* SawJvm/names.sch 78 */
			return
				BGl_jvmbasiczd2siza7ezd2setz12zb5zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3144), BgL_vz00_3145);
		}

	}



/* jvmbasic-name */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2namezd2zzsaw_jvm_namesz00(BgL_typez00_bglt BgL_oz00_58)
	{
		{	/* SawJvm/names.sch 79 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_58)))->BgL_namez00);
		}

	}



/* &jvmbasic-name */
	obj_t BGl_z62jvmbasiczd2namezb0zzsaw_jvm_namesz00(obj_t BgL_envz00_3146,
		obj_t BgL_oz00_3147)
	{
		{	/* SawJvm/names.sch 79 */
			return
				BGl_jvmbasiczd2namezd2zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3147));
		}

	}



/* jvmbasic-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jvmbasiczd2namezd2setz12z12zzsaw_jvm_namesz00(BgL_typez00_bglt
		BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* SawJvm/names.sch 80 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_59)))->BgL_namez00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &jvmbasic-name-set! */
	obj_t BGl_z62jvmbasiczd2namezd2setz12z70zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3148, obj_t BgL_oz00_3149, obj_t BgL_vz00_3150)
	{
		{	/* SawJvm/names.sch 80 */
			return
				BGl_jvmbasiczd2namezd2setz12z12zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3149), BgL_vz00_3150);
		}

	}



/* jvmbasic-id */
	BGL_EXPORTED_DEF obj_t BGl_jvmbasiczd2idzd2zzsaw_jvm_namesz00(BgL_typez00_bglt
		BgL_oz00_61)
	{
		{	/* SawJvm/names.sch 81 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_61)))->BgL_idz00);
		}

	}



/* &jvmbasic-id */
	obj_t BGl_z62jvmbasiczd2idzb0zzsaw_jvm_namesz00(obj_t BgL_envz00_3151,
		obj_t BgL_oz00_3152)
	{
		{	/* SawJvm/names.sch 81 */
			return
				BGl_jvmbasiczd2idzd2zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_oz00_3152));
		}

	}



/* names-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_nameszd2initializa7ationz75zzsaw_jvm_namesz00(BgL_jvmz00_bglt
		BgL_mez00_64)
	{
		{	/* SawJvm/names.scm 22 */
			BGl_resetzd2jvmstdzd2typez12z12zzsaw_jvm_namesz00();
			BGl_forzd2eachzd2globalz12z12zzast_envz00
				(BGl_resetzd2globalz12zd2envz12zzbackend_cplibz00, BNIL);
			return
				BGl_forzd2eachzd2typez12z12zztype_envz00
				(BGl_saw_jvmzd2setzd2typezd2namesz12zd2envz12zzsaw_jvm_namesz00);
		}

	}



/* &names-initialization */
	obj_t BGl_z62nameszd2initializa7ationz17zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3153, obj_t BgL_mez00_3154)
	{
		{	/* SawJvm/names.scm 22 */
			return
				BGl_nameszd2initializa7ationz75zzsaw_jvm_namesz00(
				((BgL_jvmz00_bglt) BgL_mez00_3154));
		}

	}



/* reset-jvmstd-type! */
	bool_t BGl_resetzd2jvmstdzd2typez12z12zzsaw_jvm_namesz00(void)
	{
		{	/* SawJvm/names.scm 31 */
			{	/* SawJvm/names.scm 33 */
				obj_t BgL_g1426z00_2154;

				BgL_g1426z00_2154 = ((obj_t) CNST_TABLE_REF(0));
				{
					obj_t BgL_l1424z00_2156;

					BgL_l1424z00_2156 = BgL_g1426z00_2154;
				BgL_zc3z04anonymousza31482ze3z87_2157:
					if (PAIRP(BgL_l1424z00_2156))
						{	/* SawJvm/names.scm 34 */
							{	/* SawJvm/names.scm 33 */
								obj_t BgL_xz00_2159;

								BgL_xz00_2159 = CAR(BgL_l1424z00_2156);
								{	/* SawJvm/names.scm 33 */
									BgL_typez00_bglt BgL_arg1484z00_2160;

									{	/* SawJvm/names.scm 33 */
										BgL_typez00_bglt BgL_tmp1137z00_2161;

										BgL_tmp1137z00_2161 =
											BGl_findzd2typezd2zztype_envz00(BgL_xz00_2159);
										{	/* SawJvm/names.scm 33 */
											BgL_jvmbasicz00_bglt BgL_wide1139z00_2163;

											BgL_wide1139z00_2163 =
												((BgL_jvmbasicz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_jvmbasicz00_bgl))));
											{	/* SawJvm/names.scm 33 */
												obj_t BgL_auxz00_3502;
												BgL_objectz00_bglt BgL_tmpz00_3499;

												BgL_auxz00_3502 = ((obj_t) BgL_wide1139z00_2163);
												BgL_tmpz00_3499 =
													((BgL_objectz00_bglt)
													((BgL_typez00_bglt) BgL_tmp1137z00_2161));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3499,
													BgL_auxz00_3502);
											}
											((BgL_objectz00_bglt)
												((BgL_typez00_bglt) BgL_tmp1137z00_2161));
											{	/* SawJvm/names.scm 33 */
												long BgL_arg1487z00_2164;

												BgL_arg1487z00_2164 =
													BGL_CLASS_NUM(BGl_jvmbasicz00zzsaw_jvm_namesz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt)
														((BgL_typez00_bglt) BgL_tmp1137z00_2161)),
													BgL_arg1487z00_2164);
											}
											((BgL_typez00_bglt)
												((BgL_typez00_bglt) BgL_tmp1137z00_2161));
										}
										BgL_arg1484z00_2160 =
											((BgL_typez00_bglt)
											((BgL_typez00_bglt) BgL_tmp1137z00_2161));
									}
									((((BgL_typez00_bglt) COBJECT(BgL_arg1484z00_2160))->
											BgL_namez00) = ((obj_t) BgL_xz00_2159), BUNSPEC);
							}}
							{
								obj_t BgL_l1424z00_3516;

								BgL_l1424z00_3516 = CDR(BgL_l1424z00_2156);
								BgL_l1424z00_2156 = BgL_l1424z00_3516;
								goto BgL_zc3z04anonymousza31482ze3z87_2157;
							}
						}
					else
						{	/* SawJvm/names.scm 34 */
							((bool_t) 1);
						}
				}
			}
			{	/* SawJvm/names.scm 36 */
				obj_t BgL_g1430z00_2168;
				obj_t BgL_g1431z00_2169;

				BgL_g1430z00_2168 = ((obj_t) CNST_TABLE_REF(1));
				BgL_g1431z00_2169 = ((obj_t) CNST_TABLE_REF(2));
				{
					obj_t BgL_ll1427z00_2171;
					obj_t BgL_ll1428z00_2172;

					BgL_ll1427z00_2171 = BgL_g1430z00_2168;
					BgL_ll1428z00_2172 = BgL_g1431z00_2169;
				BgL_zc3z04anonymousza31490ze3z87_2173:
					if (NULLP(BgL_ll1427z00_2171))
						{	/* SawJvm/names.scm 37 */
							((bool_t) 1);
						}
					else
						{	/* SawJvm/names.scm 37 */
							{	/* SawJvm/names.scm 36 */
								obj_t BgL_xz00_2175;
								obj_t BgL_sz00_2176;

								BgL_xz00_2175 = CAR(((obj_t) BgL_ll1427z00_2171));
								BgL_sz00_2176 = CAR(((obj_t) BgL_ll1428z00_2172));
								{	/* SawJvm/names.scm 36 */
									BgL_typez00_bglt BgL_arg1506z00_2177;

									{	/* SawJvm/names.scm 36 */
										BgL_typez00_bglt BgL_tmp1141z00_2178;

										BgL_tmp1141z00_2178 =
											BGl_findzd2typezd2zztype_envz00(BgL_xz00_2175);
										{	/* SawJvm/names.scm 36 */
											BgL_jvmbasicz00_bglt BgL_wide1143z00_2180;

											BgL_wide1143z00_2180 =
												((BgL_jvmbasicz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_jvmbasicz00_bgl))));
											{	/* SawJvm/names.scm 36 */
												obj_t BgL_auxz00_3533;
												BgL_objectz00_bglt BgL_tmpz00_3530;

												BgL_auxz00_3533 = ((obj_t) BgL_wide1143z00_2180);
												BgL_tmpz00_3530 =
													((BgL_objectz00_bglt)
													((BgL_typez00_bglt) BgL_tmp1141z00_2178));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3530,
													BgL_auxz00_3533);
											}
											((BgL_objectz00_bglt)
												((BgL_typez00_bglt) BgL_tmp1141z00_2178));
											{	/* SawJvm/names.scm 36 */
												long BgL_arg1511z00_2181;

												BgL_arg1511z00_2181 =
													BGL_CLASS_NUM(BGl_jvmbasicz00zzsaw_jvm_namesz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt)
														((BgL_typez00_bglt) BgL_tmp1141z00_2178)),
													BgL_arg1511z00_2181);
											}
											((BgL_typez00_bglt)
												((BgL_typez00_bglt) BgL_tmp1141z00_2178));
										}
										BgL_arg1506z00_2177 =
											((BgL_typez00_bglt)
											((BgL_typez00_bglt) BgL_tmp1141z00_2178));
									}
									((((BgL_typez00_bglt) COBJECT(BgL_arg1506z00_2177))->
											BgL_namez00) = ((obj_t) BgL_sz00_2176), BUNSPEC);
							}}
							{	/* SawJvm/names.scm 37 */
								obj_t BgL_arg1512z00_2183;
								obj_t BgL_arg1513z00_2184;

								BgL_arg1512z00_2183 = CDR(((obj_t) BgL_ll1427z00_2171));
								BgL_arg1513z00_2184 = CDR(((obj_t) BgL_ll1428z00_2172));
								{
									obj_t BgL_ll1428z00_3552;
									obj_t BgL_ll1427z00_3551;

									BgL_ll1427z00_3551 = BgL_arg1512z00_2183;
									BgL_ll1428z00_3552 = BgL_arg1513z00_2184;
									BgL_ll1428z00_2172 = BgL_ll1428z00_3552;
									BgL_ll1427z00_2171 = BgL_ll1427z00_3551;
									goto BgL_zc3z04anonymousza31490ze3z87_2173;
								}
							}
						}
				}
			}
			{	/* SawJvm/names.scm 40 */
				obj_t BgL_g1435z00_2186;
				obj_t BgL_g1436z00_2187;

				BgL_g1435z00_2186 = ((obj_t) CNST_TABLE_REF(3));
				BgL_g1436z00_2187 = ((obj_t) CNST_TABLE_REF(4));
				{
					obj_t BgL_ll1432z00_2189;
					obj_t BgL_ll1433z00_2190;

					BgL_ll1432z00_2189 = BgL_g1435z00_2186;
					BgL_ll1433z00_2190 = BgL_g1436z00_2187;
				BgL_zc3z04anonymousza31514ze3z87_2191:
					if (NULLP(BgL_ll1432z00_2189))
						{	/* SawJvm/names.scm 42 */
							((bool_t) 1);
						}
					else
						{	/* SawJvm/names.scm 42 */
							{	/* SawJvm/names.scm 41 */
								obj_t BgL_vz00_2193;
								obj_t BgL_iz00_2194;

								BgL_vz00_2193 = CAR(((obj_t) BgL_ll1432z00_2189));
								BgL_iz00_2194 = CAR(((obj_t) BgL_ll1433z00_2190));
								{	/* SawJvm/names.scm 41 */
									BgL_typez00_bglt BgL_tmp1145z00_2195;

									BgL_tmp1145z00_2195 =
										BGl_findzd2typezd2zztype_envz00(BgL_vz00_2193);
									{	/* SawJvm/names.scm 41 */
										BgL_tvecz00_bglt BgL_wide1147z00_2197;

										BgL_wide1147z00_2197 =
											((BgL_tvecz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_tvecz00_bgl))));
										{	/* SawJvm/names.scm 41 */
											obj_t BgL_auxz00_3568;
											BgL_objectz00_bglt BgL_tmpz00_3565;

											BgL_auxz00_3568 = ((obj_t) BgL_wide1147z00_2197);
											BgL_tmpz00_3565 =
												((BgL_objectz00_bglt)
												((BgL_typez00_bglt) BgL_tmp1145z00_2195));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3565, BgL_auxz00_3568);
										}
										((BgL_objectz00_bglt)
											((BgL_typez00_bglt) BgL_tmp1145z00_2195));
										{	/* SawJvm/names.scm 41 */
											long BgL_arg1516z00_2198;

											BgL_arg1516z00_2198 =
												BGL_CLASS_NUM(BGl_tvecz00zztvector_tvectorz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_typez00_bglt) BgL_tmp1145z00_2195)),
												BgL_arg1516z00_2198);
										}
										((BgL_typez00_bglt)
											((BgL_typez00_bglt) BgL_tmp1145z00_2195));
									}
									{
										BgL_tvecz00_bglt BgL_auxz00_3579;

										{
											obj_t BgL_auxz00_3580;

											{	/* SawJvm/names.scm 41 */
												BgL_objectz00_bglt BgL_tmpz00_3581;

												BgL_tmpz00_3581 =
													((BgL_objectz00_bglt)
													((BgL_typez00_bglt) BgL_tmp1145z00_2195));
												BgL_auxz00_3580 = BGL_OBJECT_WIDENING(BgL_tmpz00_3581);
											}
											BgL_auxz00_3579 = ((BgL_tvecz00_bglt) BgL_auxz00_3580);
										}
										((((BgL_tvecz00_bglt) COBJECT(BgL_auxz00_3579))->
												BgL_itemzd2typezd2) =
											((BgL_typez00_bglt)
												BGl_findzd2typezd2zztype_envz00(BgL_iz00_2194)),
											BUNSPEC);
									}
									((BgL_typez00_bglt) BgL_tmp1145z00_2195);
							}}
							{	/* SawJvm/names.scm 42 */
								obj_t BgL_arg1530z00_2200;
								obj_t BgL_arg1532z00_2201;

								BgL_arg1530z00_2200 = CDR(((obj_t) BgL_ll1432z00_2189));
								BgL_arg1532z00_2201 = CDR(((obj_t) BgL_ll1433z00_2190));
								{
									obj_t BgL_ll1433z00_3594;
									obj_t BgL_ll1432z00_3593;

									BgL_ll1432z00_3593 = BgL_arg1530z00_2200;
									BgL_ll1433z00_3594 = BgL_arg1532z00_2201;
									BgL_ll1433z00_2190 = BgL_ll1433z00_3594;
									BgL_ll1432z00_2189 = BgL_ll1432z00_3593;
									goto BgL_zc3z04anonymousza31514ze3z87_2191;
								}
							}
						}
				}
			}
			{	/* SawJvm/names.scm 45 */
				obj_t BgL_g1439z00_2203;

				BgL_g1439z00_2203 = ((obj_t) CNST_TABLE_REF(5));
				{
					obj_t BgL_l1437z00_2205;

					BgL_l1437z00_2205 = BgL_g1439z00_2203;
				BgL_zc3z04anonymousza31533ze3z87_2206:
					if (PAIRP(BgL_l1437z00_2205))
						{	/* SawJvm/names.scm 46 */
							{	/* SawJvm/names.scm 45 */
								obj_t BgL_sz00_2208;

								BgL_sz00_2208 = CAR(BgL_l1437z00_2205);
								{	/* SawJvm/names.scm 45 */
									BgL_typez00_bglt BgL_arg1535z00_2209;
									obj_t BgL_arg1543z00_2210;

									{	/* SawJvm/names.scm 45 */
										obj_t BgL_arg1545z00_2211;

										BgL_arg1545z00_2211 = CAR(((obj_t) BgL_sz00_2208));
										BgL_arg1535z00_2209 =
											BGl_findzd2typezd2zztype_envz00(BgL_arg1545z00_2211);
									}
									BgL_arg1543z00_2210 = CDR(((obj_t) BgL_sz00_2208));
									((((BgL_typez00_bglt) COBJECT(BgL_arg1535z00_2209))->
											BgL_namez00) = ((obj_t) BgL_arg1543z00_2210), BUNSPEC);
								}
							}
							{
								obj_t BgL_l1437z00_3606;

								BgL_l1437z00_3606 = CDR(BgL_l1437z00_2205);
								BgL_l1437z00_2205 = BgL_l1437z00_3606;
								goto BgL_zc3z04anonymousza31533ze3z87_2206;
							}
						}
					else
						{	/* SawJvm/names.scm 46 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* &saw_jvm-set-type-names! */
	obj_t BGl_z62saw_jvmzd2setzd2typezd2namesz12za2zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3157, obj_t BgL_typez00_3158)
	{
		{	/* SawJvm/names.scm 68 */
			return
				BGl_getzd2jvmtypezd2zzsaw_jvm_namesz00(
				((BgL_typez00_bglt) BgL_typez00_3158));
		}

	}



/* get-jvmtype */
	obj_t BGl_getzd2jvmtypezd2zzsaw_jvm_namesz00(BgL_typez00_bglt BgL_typez00_66)
	{
		{	/* SawJvm/names.scm 71 */
			{	/* SawJvm/names.scm 72 */
				obj_t BgL_namez00_2214;

				BgL_namez00_2214 =
					(((BgL_typez00_bglt) COBJECT(BgL_typez00_66))->BgL_namez00);
				if (SYMBOLP(BgL_namez00_2214))
					{	/* SawJvm/names.scm 73 */
						return BgL_namez00_2214;
					}
				else
					{	/* SawJvm/names.scm 75 */
						obj_t BgL_jtypez00_2216;

						BgL_jtypez00_2216 =
							BGl_buildzd2typezd2namez00zzsaw_jvm_namesz00(BgL_typez00_66);
						((((BgL_typez00_bglt) COBJECT(BgL_typez00_66))->BgL_namez00) =
							((obj_t) BgL_jtypez00_2216), BUNSPEC);
						return BgL_jtypez00_2216;
					}
			}
		}

	}



/* build-type-name */
	obj_t BGl_buildzd2typezd2namez00zzsaw_jvm_namesz00(BgL_typez00_bglt
		BgL_typez00_67)
	{
		{	/* SawJvm/names.scm 79 */
			{	/* SawJvm/names.scm 81 */
				bool_t BgL_test1890z00_3615;

				{	/* SawJvm/names.scm 81 */
					obj_t BgL_classz00_2690;

					BgL_classz00_2690 = BGl_tclassz00zzobject_classz00;
					{	/* SawJvm/names.scm 81 */
						BgL_objectz00_bglt BgL_arg1858z00_2692;

						{	/* SawJvm/names.scm 81 */
							obj_t BgL_tmpz00_3616;

							BgL_tmpz00_3616 = ((obj_t) BgL_typez00_67);
							BgL_arg1858z00_2692 = (BgL_objectz00_bglt) (BgL_tmpz00_3616);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawJvm/names.scm 81 */
								long BgL_idxz00_2698;

								BgL_idxz00_2698 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2692);
								BgL_test1890z00_3615 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2698 + 2L)) == BgL_classz00_2690);
							}
						else
							{	/* SawJvm/names.scm 81 */
								bool_t BgL_res1816z00_2723;

								{	/* SawJvm/names.scm 81 */
									obj_t BgL_oclassz00_2706;

									{	/* SawJvm/names.scm 81 */
										obj_t BgL_arg1866z00_2714;
										long BgL_arg1867z00_2715;

										BgL_arg1866z00_2714 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawJvm/names.scm 81 */
											long BgL_arg1869z00_2716;

											BgL_arg1869z00_2716 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2692);
											BgL_arg1867z00_2715 = (BgL_arg1869z00_2716 - OBJECT_TYPE);
										}
										BgL_oclassz00_2706 =
											VECTOR_REF(BgL_arg1866z00_2714, BgL_arg1867z00_2715);
									}
									{	/* SawJvm/names.scm 81 */
										bool_t BgL__ortest_1115z00_2707;

										BgL__ortest_1115z00_2707 =
											(BgL_classz00_2690 == BgL_oclassz00_2706);
										if (BgL__ortest_1115z00_2707)
											{	/* SawJvm/names.scm 81 */
												BgL_res1816z00_2723 = BgL__ortest_1115z00_2707;
											}
										else
											{	/* SawJvm/names.scm 81 */
												long BgL_odepthz00_2708;

												{	/* SawJvm/names.scm 81 */
													obj_t BgL_arg1855z00_2709;

													BgL_arg1855z00_2709 = (BgL_oclassz00_2706);
													BgL_odepthz00_2708 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2709);
												}
												if ((2L < BgL_odepthz00_2708))
													{	/* SawJvm/names.scm 81 */
														obj_t BgL_arg1853z00_2711;

														{	/* SawJvm/names.scm 81 */
															obj_t BgL_arg1854z00_2712;

															BgL_arg1854z00_2712 = (BgL_oclassz00_2706);
															BgL_arg1853z00_2711 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2712,
																2L);
														}
														BgL_res1816z00_2723 =
															(BgL_arg1853z00_2711 == BgL_classz00_2690);
													}
												else
													{	/* SawJvm/names.scm 81 */
														BgL_res1816z00_2723 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test1890z00_3615 = BgL_res1816z00_2723;
							}
					}
				}
				if (BgL_test1890z00_3615)
					{	/* SawJvm/names.scm 81 */
						if (
							((((BgL_typez00_bglt) COBJECT(BgL_typez00_67))->BgL_idz00) ==
								((obj_t) CNST_TABLE_REF(6))))
							{	/* SawJvm/names.scm 82 */
								return ((obj_t) CNST_TABLE_REF(6));
							}
						else
							{	/* SawJvm/names.scm 82 */
								return
									BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(
									((BgL_typez00_bglt) BgL_typez00_67));
							}
					}
				else
					{	/* SawJvm/names.scm 85 */
						bool_t BgL_test1895z00_3647;

						{	/* SawJvm/names.scm 85 */
							obj_t BgL_classz00_2725;

							BgL_classz00_2725 = BGl_wclassz00zzobject_classz00;
							{	/* SawJvm/names.scm 85 */
								BgL_objectz00_bglt BgL_arg1858z00_2727;

								{	/* SawJvm/names.scm 85 */
									obj_t BgL_tmpz00_3648;

									BgL_tmpz00_3648 = ((obj_t) BgL_typez00_67);
									BgL_arg1858z00_2727 = (BgL_objectz00_bglt) (BgL_tmpz00_3648);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawJvm/names.scm 85 */
										long BgL_idxz00_2733;

										BgL_idxz00_2733 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2727);
										BgL_test1895z00_3647 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2733 + 2L)) == BgL_classz00_2725);
									}
								else
									{	/* SawJvm/names.scm 85 */
										bool_t BgL_res1817z00_2758;

										{	/* SawJvm/names.scm 85 */
											obj_t BgL_oclassz00_2741;

											{	/* SawJvm/names.scm 85 */
												obj_t BgL_arg1866z00_2749;
												long BgL_arg1867z00_2750;

												BgL_arg1866z00_2749 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawJvm/names.scm 85 */
													long BgL_arg1869z00_2751;

													BgL_arg1869z00_2751 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2727);
													BgL_arg1867z00_2750 =
														(BgL_arg1869z00_2751 - OBJECT_TYPE);
												}
												BgL_oclassz00_2741 =
													VECTOR_REF(BgL_arg1866z00_2749, BgL_arg1867z00_2750);
											}
											{	/* SawJvm/names.scm 85 */
												bool_t BgL__ortest_1115z00_2742;

												BgL__ortest_1115z00_2742 =
													(BgL_classz00_2725 == BgL_oclassz00_2741);
												if (BgL__ortest_1115z00_2742)
													{	/* SawJvm/names.scm 85 */
														BgL_res1817z00_2758 = BgL__ortest_1115z00_2742;
													}
												else
													{	/* SawJvm/names.scm 85 */
														long BgL_odepthz00_2743;

														{	/* SawJvm/names.scm 85 */
															obj_t BgL_arg1855z00_2744;

															BgL_arg1855z00_2744 = (BgL_oclassz00_2741);
															BgL_odepthz00_2743 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2744);
														}
														if ((2L < BgL_odepthz00_2743))
															{	/* SawJvm/names.scm 85 */
																obj_t BgL_arg1853z00_2746;

																{	/* SawJvm/names.scm 85 */
																	obj_t BgL_arg1854z00_2747;

																	BgL_arg1854z00_2747 = (BgL_oclassz00_2741);
																	BgL_arg1853z00_2746 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2747,
																		2L);
																}
																BgL_res1817z00_2758 =
																	(BgL_arg1853z00_2746 == BgL_classz00_2725);
															}
														else
															{	/* SawJvm/names.scm 85 */
																BgL_res1817z00_2758 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1895z00_3647 = BgL_res1817z00_2758;
									}
							}
						}
						if (BgL_test1895z00_3647)
							{	/* SawJvm/names.scm 85 */
								return
									BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(
									((BgL_typez00_bglt) BgL_typez00_67));
							}
						else
							{	/* SawJvm/names.scm 87 */
								bool_t BgL_test1899z00_3672;

								{	/* SawJvm/names.scm 87 */
									obj_t BgL_classz00_2759;

									BgL_classz00_2759 = BGl_jclassz00zzobject_classz00;
									{	/* SawJvm/names.scm 87 */
										BgL_objectz00_bglt BgL_arg1858z00_2761;

										{	/* SawJvm/names.scm 87 */
											obj_t BgL_tmpz00_3673;

											BgL_tmpz00_3673 = ((obj_t) BgL_typez00_67);
											BgL_arg1858z00_2761 =
												(BgL_objectz00_bglt) (BgL_tmpz00_3673);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* SawJvm/names.scm 87 */
												long BgL_idxz00_2767;

												BgL_idxz00_2767 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2761);
												BgL_test1899z00_3672 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2767 + 2L)) == BgL_classz00_2759);
											}
										else
											{	/* SawJvm/names.scm 87 */
												bool_t BgL_res1818z00_2792;

												{	/* SawJvm/names.scm 87 */
													obj_t BgL_oclassz00_2775;

													{	/* SawJvm/names.scm 87 */
														obj_t BgL_arg1866z00_2783;
														long BgL_arg1867z00_2784;

														BgL_arg1866z00_2783 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* SawJvm/names.scm 87 */
															long BgL_arg1869z00_2785;

															BgL_arg1869z00_2785 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2761);
															BgL_arg1867z00_2784 =
																(BgL_arg1869z00_2785 - OBJECT_TYPE);
														}
														BgL_oclassz00_2775 =
															VECTOR_REF(BgL_arg1866z00_2783,
															BgL_arg1867z00_2784);
													}
													{	/* SawJvm/names.scm 87 */
														bool_t BgL__ortest_1115z00_2776;

														BgL__ortest_1115z00_2776 =
															(BgL_classz00_2759 == BgL_oclassz00_2775);
														if (BgL__ortest_1115z00_2776)
															{	/* SawJvm/names.scm 87 */
																BgL_res1818z00_2792 = BgL__ortest_1115z00_2776;
															}
														else
															{	/* SawJvm/names.scm 87 */
																long BgL_odepthz00_2777;

																{	/* SawJvm/names.scm 87 */
																	obj_t BgL_arg1855z00_2778;

																	BgL_arg1855z00_2778 = (BgL_oclassz00_2775);
																	BgL_odepthz00_2777 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_2778);
																}
																if ((2L < BgL_odepthz00_2777))
																	{	/* SawJvm/names.scm 87 */
																		obj_t BgL_arg1853z00_2780;

																		{	/* SawJvm/names.scm 87 */
																			obj_t BgL_arg1854z00_2781;

																			BgL_arg1854z00_2781 =
																				(BgL_oclassz00_2775);
																			BgL_arg1853z00_2780 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_2781, 2L);
																		}
																		BgL_res1818z00_2792 =
																			(BgL_arg1853z00_2780 ==
																			BgL_classz00_2759);
																	}
																else
																	{	/* SawJvm/names.scm 87 */
																		BgL_res1818z00_2792 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test1899z00_3672 = BgL_res1818z00_2792;
											}
									}
								}
								if (BgL_test1899z00_3672)
									{	/* SawJvm/names.scm 87 */
										return
											BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(
											((BgL_typez00_bglt) BgL_typez00_67));
									}
								else
									{	/* SawJvm/names.scm 88 */
										bool_t BgL_test1903z00_3697;

										{	/* SawJvm/names.scm 88 */
											obj_t BgL_classz00_2793;

											BgL_classz00_2793 = BGl_tvecz00zztvector_tvectorz00;
											{	/* SawJvm/names.scm 88 */
												BgL_objectz00_bglt BgL_arg1858z00_2795;

												{	/* SawJvm/names.scm 88 */
													obj_t BgL_tmpz00_3698;

													BgL_tmpz00_3698 = ((obj_t) BgL_typez00_67);
													BgL_arg1858z00_2795 =
														(BgL_objectz00_bglt) (BgL_tmpz00_3698);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* SawJvm/names.scm 88 */
														long BgL_idxz00_2801;

														BgL_idxz00_2801 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2795);
														BgL_test1903z00_3697 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2801 + 2L)) == BgL_classz00_2793);
													}
												else
													{	/* SawJvm/names.scm 88 */
														bool_t BgL_res1819z00_2826;

														{	/* SawJvm/names.scm 88 */
															obj_t BgL_oclassz00_2809;

															{	/* SawJvm/names.scm 88 */
																obj_t BgL_arg1866z00_2817;
																long BgL_arg1867z00_2818;

																BgL_arg1866z00_2817 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* SawJvm/names.scm 88 */
																	long BgL_arg1869z00_2819;

																	BgL_arg1869z00_2819 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2795);
																	BgL_arg1867z00_2818 =
																		(BgL_arg1869z00_2819 - OBJECT_TYPE);
																}
																BgL_oclassz00_2809 =
																	VECTOR_REF(BgL_arg1866z00_2817,
																	BgL_arg1867z00_2818);
															}
															{	/* SawJvm/names.scm 88 */
																bool_t BgL__ortest_1115z00_2810;

																BgL__ortest_1115z00_2810 =
																	(BgL_classz00_2793 == BgL_oclassz00_2809);
																if (BgL__ortest_1115z00_2810)
																	{	/* SawJvm/names.scm 88 */
																		BgL_res1819z00_2826 =
																			BgL__ortest_1115z00_2810;
																	}
																else
																	{	/* SawJvm/names.scm 88 */
																		long BgL_odepthz00_2811;

																		{	/* SawJvm/names.scm 88 */
																			obj_t BgL_arg1855z00_2812;

																			BgL_arg1855z00_2812 =
																				(BgL_oclassz00_2809);
																			BgL_odepthz00_2811 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_2812);
																		}
																		if ((2L < BgL_odepthz00_2811))
																			{	/* SawJvm/names.scm 88 */
																				obj_t BgL_arg1853z00_2814;

																				{	/* SawJvm/names.scm 88 */
																					obj_t BgL_arg1854z00_2815;

																					BgL_arg1854z00_2815 =
																						(BgL_oclassz00_2809);
																					BgL_arg1853z00_2814 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_2815, 2L);
																				}
																				BgL_res1819z00_2826 =
																					(BgL_arg1853z00_2814 ==
																					BgL_classz00_2793);
																			}
																		else
																			{	/* SawJvm/names.scm 88 */
																				BgL_res1819z00_2826 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test1903z00_3697 = BgL_res1819z00_2826;
													}
											}
										}
										if (BgL_test1903z00_3697)
											{	/* SawJvm/names.scm 88 */
												{	/* SawJvm/names.scm 89 */
													BgL_typez00_bglt BgL_arg1574z00_2224;

													{
														BgL_tvecz00_bglt BgL_auxz00_3720;

														{
															obj_t BgL_auxz00_3721;

															{	/* SawJvm/names.scm 89 */
																BgL_objectz00_bglt BgL_tmpz00_3722;

																BgL_tmpz00_3722 =
																	((BgL_objectz00_bglt)
																	((BgL_typez00_bglt) BgL_typez00_67));
																BgL_auxz00_3721 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3722);
															}
															BgL_auxz00_3720 =
																((BgL_tvecz00_bglt) BgL_auxz00_3721);
														}
														BgL_arg1574z00_2224 =
															(((BgL_tvecz00_bglt) COBJECT(BgL_auxz00_3720))->
															BgL_itemzd2typezd2);
													}
													BGl_getzd2jvmtypezd2zzsaw_jvm_namesz00
														(BgL_arg1574z00_2224);
												}
												return BGl_string1827z00zzsaw_jvm_namesz00;
											}
										else
											{	/* SawJvm/names.scm 91 */
												bool_t BgL_test1907z00_3729;

												{	/* SawJvm/names.scm 91 */
													obj_t BgL_classz00_2829;

													BgL_classz00_2829 = BGl_jarrayz00zzforeign_jtypez00;
													{	/* SawJvm/names.scm 91 */
														BgL_objectz00_bglt BgL_arg1858z00_2831;

														{	/* SawJvm/names.scm 91 */
															obj_t BgL_tmpz00_3730;

															BgL_tmpz00_3730 = ((obj_t) BgL_typez00_67);
															BgL_arg1858z00_2831 =
																(BgL_objectz00_bglt) (BgL_tmpz00_3730);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawJvm/names.scm 91 */
																long BgL_idxz00_2837;

																BgL_idxz00_2837 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_2831);
																BgL_test1907z00_3729 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2837 + 2L)) ==
																	BgL_classz00_2829);
															}
														else
															{	/* SawJvm/names.scm 91 */
																bool_t BgL_res1820z00_2862;

																{	/* SawJvm/names.scm 91 */
																	obj_t BgL_oclassz00_2845;

																	{	/* SawJvm/names.scm 91 */
																		obj_t BgL_arg1866z00_2853;
																		long BgL_arg1867z00_2854;

																		BgL_arg1866z00_2853 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* SawJvm/names.scm 91 */
																			long BgL_arg1869z00_2855;

																			BgL_arg1869z00_2855 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_2831);
																			BgL_arg1867z00_2854 =
																				(BgL_arg1869z00_2855 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2845 =
																			VECTOR_REF(BgL_arg1866z00_2853,
																			BgL_arg1867z00_2854);
																	}
																	{	/* SawJvm/names.scm 91 */
																		bool_t BgL__ortest_1115z00_2846;

																		BgL__ortest_1115z00_2846 =
																			(BgL_classz00_2829 == BgL_oclassz00_2845);
																		if (BgL__ortest_1115z00_2846)
																			{	/* SawJvm/names.scm 91 */
																				BgL_res1820z00_2862 =
																					BgL__ortest_1115z00_2846;
																			}
																		else
																			{	/* SawJvm/names.scm 91 */
																				long BgL_odepthz00_2847;

																				{	/* SawJvm/names.scm 91 */
																					obj_t BgL_arg1855z00_2848;

																					BgL_arg1855z00_2848 =
																						(BgL_oclassz00_2845);
																					BgL_odepthz00_2847 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_2848);
																				}
																				if ((2L < BgL_odepthz00_2847))
																					{	/* SawJvm/names.scm 91 */
																						obj_t BgL_arg1853z00_2850;

																						{	/* SawJvm/names.scm 91 */
																							obj_t BgL_arg1854z00_2851;

																							BgL_arg1854z00_2851 =
																								(BgL_oclassz00_2845);
																							BgL_arg1853z00_2850 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_2851, 2L);
																						}
																						BgL_res1820z00_2862 =
																							(BgL_arg1853z00_2850 ==
																							BgL_classz00_2829);
																					}
																				else
																					{	/* SawJvm/names.scm 91 */
																						BgL_res1820z00_2862 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test1907z00_3729 = BgL_res1820z00_2862;
															}
													}
												}
												if (BgL_test1907z00_3729)
													{	/* SawJvm/names.scm 91 */
														{	/* SawJvm/names.scm 92 */
															BgL_typez00_bglt BgL_arg1577z00_2226;

															{
																BgL_jarrayz00_bglt BgL_auxz00_3752;

																{
																	obj_t BgL_auxz00_3753;

																	{	/* SawJvm/names.scm 92 */
																		BgL_objectz00_bglt BgL_tmpz00_3754;

																		BgL_tmpz00_3754 =
																			((BgL_objectz00_bglt)
																			((BgL_typez00_bglt) BgL_typez00_67));
																		BgL_auxz00_3753 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3754);
																	}
																	BgL_auxz00_3752 =
																		((BgL_jarrayz00_bglt) BgL_auxz00_3753);
																}
																BgL_arg1577z00_2226 =
																	(((BgL_jarrayz00_bglt)
																		COBJECT(BgL_auxz00_3752))->
																	BgL_itemzd2typezd2);
															}
															BGl_getzd2jvmtypezd2zzsaw_jvm_namesz00
																(BgL_arg1577z00_2226);
														}
														return BGl_string1827z00zzsaw_jvm_namesz00;
													}
												else
													{	/* SawJvm/names.scm 91 */
														BGL_TAIL return
															BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00
															(BgL_typez00_67);
													}
											}
									}
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_namesz00(void)
	{
		{	/* SawJvm/names.scm 1 */
			{	/* SawJvm/names.scm 17 */
				obj_t BgL_arg1590z00_2231;
				obj_t BgL_arg1592z00_2232;

				{	/* SawJvm/names.scm 17 */
					obj_t BgL_v1440z00_2269;

					BgL_v1440z00_2269 = create_vector(0L);
					BgL_arg1590z00_2231 = BgL_v1440z00_2269;
				}
				{	/* SawJvm/names.scm 17 */
					obj_t BgL_v1441z00_2270;

					BgL_v1441z00_2270 = create_vector(0L);
					BgL_arg1592z00_2232 = BgL_v1441z00_2270;
				}
				return (BGl_jvmbasicz00zzsaw_jvm_namesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(7)),
						((obj_t)
							CNST_TABLE_REF(8)), BGl_typez00zztype_typez00, 2192L,
						BGl_proc1831z00zzsaw_jvm_namesz00,
						BGl_proc1830z00zzsaw_jvm_namesz00, BFALSE,
						BGl_proc1829z00zzsaw_jvm_namesz00,
						BGl_proc1828z00zzsaw_jvm_namesz00, BgL_arg1590z00_2231,
						BgL_arg1592z00_2232), BUNSPEC);
			}
		}

	}



/* &lambda1613 */
	BgL_typez00_bglt BGl_z62lambda1613z62zzsaw_jvm_namesz00(obj_t BgL_envz00_3163,
		obj_t BgL_o1132z00_3164)
	{
		{	/* SawJvm/names.scm 17 */
			{	/* SawJvm/names.scm 17 */
				long BgL_arg1625z00_3220;

				{	/* SawJvm/names.scm 17 */
					obj_t BgL_arg1626z00_3221;

					{	/* SawJvm/names.scm 17 */
						obj_t BgL_arg1631z00_3222;

						{	/* SawJvm/names.scm 17 */
							obj_t BgL_arg1866z00_3223;
							long BgL_arg1867z00_3224;

							BgL_arg1866z00_3223 = (BGl_za2classesza2z00zz__objectz00);
							{	/* SawJvm/names.scm 17 */
								long BgL_arg1869z00_3225;

								BgL_arg1869z00_3225 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_typez00_bglt) BgL_o1132z00_3164)));
								BgL_arg1867z00_3224 = (BgL_arg1869z00_3225 - OBJECT_TYPE);
							}
							BgL_arg1631z00_3222 =
								VECTOR_REF(BgL_arg1866z00_3223, BgL_arg1867z00_3224);
						}
						BgL_arg1626z00_3221 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1631z00_3222);
					}
					{	/* SawJvm/names.scm 17 */
						obj_t BgL_tmpz00_3776;

						BgL_tmpz00_3776 = ((obj_t) BgL_arg1626z00_3221);
						BgL_arg1625z00_3220 = BGL_CLASS_NUM(BgL_tmpz00_3776);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_typez00_bglt) BgL_o1132z00_3164)), BgL_arg1625z00_3220);
			}
			{	/* SawJvm/names.scm 17 */
				BgL_objectz00_bglt BgL_tmpz00_3782;

				BgL_tmpz00_3782 =
					((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_o1132z00_3164));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3782, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_o1132z00_3164));
			return ((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_o1132z00_3164));
		}

	}



/* &<@anonymous:1612> */
	obj_t BGl_z62zc3z04anonymousza31612ze3ze5zzsaw_jvm_namesz00(obj_t
		BgL_envz00_3165, obj_t BgL_new1131z00_3166)
	{
		{	/* SawJvm/names.scm 17 */
			{
				BgL_typez00_bglt BgL_auxz00_3790;

				((((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt)
									((BgL_typez00_bglt) BgL_new1131z00_3166))))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(9))), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1131z00_3166))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1131z00_3166))))->BgL_siza7eza7) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1131z00_3166))))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1131z00_3166))))->BgL_coercezd2tozd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1131z00_3166))))->BgL_parentsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1131z00_3166))))->BgL_initzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1131z00_3166))))->BgL_magiczf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1131z00_3166))))->BgL_nullz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1131z00_3166))))->BgL_z42z42) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1131z00_3166))))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1131z00_3166))))->BgL_pointedzd2tozd2byz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1131z00_3166))))->BgL_tvectorz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1131z00_3166))))->BgL_locationz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1131z00_3166))))->BgL_importzd2locationzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1131z00_3166))))->BgL_occurrencez00) =
					((int) (int) (0L)), BUNSPEC);
				BgL_auxz00_3790 = ((BgL_typez00_bglt) BgL_new1131z00_3166);
				return ((obj_t) BgL_auxz00_3790);
			}
		}

	}



/* &lambda1606 */
	BgL_typez00_bglt BGl_z62lambda1606z62zzsaw_jvm_namesz00(obj_t BgL_envz00_3167,
		obj_t BgL_o1128z00_3168)
	{
		{	/* SawJvm/names.scm 17 */
			{	/* SawJvm/names.scm 17 */
				BgL_jvmbasicz00_bglt BgL_wide1130z00_3228;

				BgL_wide1130z00_3228 =
					((BgL_jvmbasicz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_jvmbasicz00_bgl))));
				{	/* SawJvm/names.scm 17 */
					obj_t BgL_auxz00_3849;
					BgL_objectz00_bglt BgL_tmpz00_3845;

					BgL_auxz00_3849 = ((obj_t) BgL_wide1130z00_3228);
					BgL_tmpz00_3845 =
						((BgL_objectz00_bglt)
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_o1128z00_3168)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3845, BgL_auxz00_3849);
				}
				((BgL_objectz00_bglt)
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_o1128z00_3168)));
				{	/* SawJvm/names.scm 17 */
					long BgL_arg1611z00_3229;

					BgL_arg1611z00_3229 =
						BGL_CLASS_NUM(BGl_jvmbasicz00zzsaw_jvm_namesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_typez00_bglt)
								((BgL_typez00_bglt) BgL_o1128z00_3168))), BgL_arg1611z00_3229);
				}
				return
					((BgL_typez00_bglt)
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_o1128z00_3168)));
			}
		}

	}



/* &lambda1593 */
	BgL_typez00_bglt BGl_z62lambda1593z62zzsaw_jvm_namesz00(obj_t BgL_envz00_3169,
		obj_t BgL_id1112z00_3170, obj_t BgL_name1113z00_3171,
		obj_t BgL_siza7e1114za7_3172, obj_t BgL_class1115z00_3173,
		obj_t BgL_coercezd2to1116zd2_3174, obj_t BgL_parents1117z00_3175,
		obj_t BgL_initzf31118zf3_3176, obj_t BgL_magiczf31119zf3_3177,
		obj_t BgL_null1120z00_3178, obj_t BgL_z421121z42_3179,
		obj_t BgL_alias1122z00_3180, obj_t BgL_pointedzd2tozd2by1123z00_3181,
		obj_t BgL_tvector1124z00_3182, obj_t BgL_location1125z00_3183,
		obj_t BgL_importzd2location1126zd2_3184, obj_t BgL_occurrence1127z00_3185)
	{
		{	/* SawJvm/names.scm 17 */
			{	/* SawJvm/names.scm 17 */
				bool_t BgL_initzf31118zf3_3231;
				bool_t BgL_magiczf31119zf3_3232;
				int BgL_occurrence1127z00_3233;

				BgL_initzf31118zf3_3231 = CBOOL(BgL_initzf31118zf3_3176);
				BgL_magiczf31119zf3_3232 = CBOOL(BgL_magiczf31119zf3_3177);
				BgL_occurrence1127z00_3233 = CINT(BgL_occurrence1127z00_3185);
				{	/* SawJvm/names.scm 17 */
					BgL_typez00_bglt BgL_new1152z00_3234;

					{	/* SawJvm/names.scm 17 */
						BgL_typez00_bglt BgL_tmp1150z00_3235;
						BgL_jvmbasicz00_bglt BgL_wide1151z00_3236;

						{
							BgL_typez00_bglt BgL_auxz00_3866;

							{	/* SawJvm/names.scm 17 */
								BgL_typez00_bglt BgL_new1149z00_3237;

								BgL_new1149z00_3237 =
									((BgL_typez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_typez00_bgl))));
								{	/* SawJvm/names.scm 17 */
									long BgL_arg1605z00_3238;

									BgL_arg1605z00_3238 =
										BGL_CLASS_NUM(BGl_typez00zztype_typez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1149z00_3237),
										BgL_arg1605z00_3238);
								}
								{	/* SawJvm/names.scm 17 */
									BgL_objectz00_bglt BgL_tmpz00_3871;

									BgL_tmpz00_3871 = ((BgL_objectz00_bglt) BgL_new1149z00_3237);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3871, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1149z00_3237);
								BgL_auxz00_3866 = BgL_new1149z00_3237;
							}
							BgL_tmp1150z00_3235 = ((BgL_typez00_bglt) BgL_auxz00_3866);
						}
						BgL_wide1151z00_3236 =
							((BgL_jvmbasicz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_jvmbasicz00_bgl))));
						{	/* SawJvm/names.scm 17 */
							obj_t BgL_auxz00_3879;
							BgL_objectz00_bglt BgL_tmpz00_3877;

							BgL_auxz00_3879 = ((obj_t) BgL_wide1151z00_3236);
							BgL_tmpz00_3877 = ((BgL_objectz00_bglt) BgL_tmp1150z00_3235);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3877, BgL_auxz00_3879);
						}
						((BgL_objectz00_bglt) BgL_tmp1150z00_3235);
						{	/* SawJvm/names.scm 17 */
							long BgL_arg1597z00_3239;

							BgL_arg1597z00_3239 =
								BGL_CLASS_NUM(BGl_jvmbasicz00zzsaw_jvm_namesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1150z00_3235),
								BgL_arg1597z00_3239);
						}
						BgL_new1152z00_3234 = ((BgL_typez00_bglt) BgL_tmp1150z00_3235);
					}
					((((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt) BgL_new1152z00_3234)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1112z00_3170)), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1152z00_3234)))->BgL_namez00) =
						((obj_t) BgL_name1113z00_3171), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1152z00_3234)))->BgL_siza7eza7) =
						((obj_t) BgL_siza7e1114za7_3172), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1152z00_3234)))->BgL_classz00) =
						((obj_t) BgL_class1115z00_3173), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1152z00_3234)))->BgL_coercezd2tozd2) =
						((obj_t) BgL_coercezd2to1116zd2_3174), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1152z00_3234)))->BgL_parentsz00) =
						((obj_t) BgL_parents1117z00_3175), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1152z00_3234)))->BgL_initzf3zf3) =
						((bool_t) BgL_initzf31118zf3_3231), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1152z00_3234)))->BgL_magiczf3zf3) =
						((bool_t) BgL_magiczf31119zf3_3232), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1152z00_3234)))->BgL_nullz00) =
						((obj_t) BgL_null1120z00_3178), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1152z00_3234)))->BgL_z42z42) =
						((obj_t) BgL_z421121z42_3179), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1152z00_3234)))->BgL_aliasz00) =
						((obj_t) BgL_alias1122z00_3180), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1152z00_3234)))->BgL_pointedzd2tozd2byz00) =
						((obj_t) BgL_pointedzd2tozd2by1123z00_3181), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1152z00_3234)))->BgL_tvectorz00) =
						((obj_t) BgL_tvector1124z00_3182), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1152z00_3234)))->BgL_locationz00) =
						((obj_t) BgL_location1125z00_3183), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1152z00_3234)))->BgL_importzd2locationzd2) =
						((obj_t) BgL_importzd2location1126zd2_3184), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1152z00_3234)))->BgL_occurrencez00) =
						((int) BgL_occurrence1127z00_3233), BUNSPEC);
					return BgL_new1152z00_3234;
				}
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_namesz00(void)
	{
		{	/* SawJvm/names.scm 1 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_namesz00(void)
	{
		{	/* SawJvm/names.scm 1 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_namesz00(void)
	{
		{	/* SawJvm/names.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1832z00zzsaw_jvm_namesz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1832z00zzsaw_jvm_namesz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1832z00zzsaw_jvm_namesz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1832z00zzsaw_jvm_namesz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1832z00zzsaw_jvm_namesz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string1832z00zzsaw_jvm_namesz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string1832z00zzsaw_jvm_namesz00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(501518119L,
				BSTRING_TO_STRING(BGl_string1832z00zzsaw_jvm_namesz00));
			BGl_modulezd2initializa7ationz75zzforeign_jtypez00(287572863L,
				BSTRING_TO_STRING(BGl_string1832z00zzsaw_jvm_namesz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(261574382L,
				BSTRING_TO_STRING(BGl_string1832z00zzsaw_jvm_namesz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1832z00zzsaw_jvm_namesz00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(336068337L,
				BSTRING_TO_STRING(BGl_string1832z00zzsaw_jvm_namesz00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(0L,
				BSTRING_TO_STRING(BGl_string1832z00zzsaw_jvm_namesz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_cplibz00(395792377L,
				BSTRING_TO_STRING(BGl_string1832z00zzsaw_jvm_namesz00));
		}

	}

#ifdef __cplusplus
}
#endif
