/*===========================================================================*/
/*   (Sync/node.scm)                                                         */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Sync/node.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SYNC_NODE_TYPE_DEFINITIONS
#define BGL_SYNC_NODE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;


#endif													// BGL_SYNC_NODE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_mpopz00zzsync_nodez00 = BUNSPEC;
	extern obj_t BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt);
	extern obj_t BGl_za2synczd2profilingza2zd2zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzsync_nodez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzsync_nodez00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_failsafezd2mutexzd2profilez00zzsync_nodez00 = BUNSPEC;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzsync_nodez00(void);
	static obj_t BGl_objectzd2initzd2zzsync_nodez00(void);
	static obj_t BGl_initzd2syncz12zc0zzsync_nodez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	static obj_t BGl_getexitdtopz00zzsync_nodez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_mlockz00zzsync_nodez00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zzsync_nodez00(void);
	static obj_t BGl_exitdzd2mutexzd2profilez00zzsync_nodez00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62synczd2ze3sequencez53zzsync_nodez00(obj_t,
		obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_mlockprelockz00zzsync_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsync_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsync_failsafez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_mpushz00zzsync_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_synczd2ze3sequencez31zzsync_nodez00(BgL_syncz00_bglt);
	static obj_t BGl_mulockz00zzsync_nodez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzsync_nodez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsync_nodez00(void);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzsync_nodez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsync_nodez00(void);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_occurzd2nodez12zc0zzast_occurz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	static obj_t __cnst[16];


	   
		 
		DEFINE_STRING(BGl_string1800z00zzsync_nodez00,
		BgL_bgl_string1800za700za7za7s1802za7,
		"top tmp value (@ exitd-pop-protect! __bexit) (@ exitd-push-protect! __bexit) $exitd-pop-protect! $exitd-push-protect! $failsafe-mutex-profile $exitd-mutex-profile c-saw c $mutex-unlock $mutex-lock-prelock $mutex-lock app $get-exitd-top ",
		236);
	      DEFINE_STRING(BGl_string1799z00zzsync_nodez00,
		BgL_bgl_string1799za700za7za7s1803za7, "sync_node", 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2ze3sequencezd2envze3zzsync_nodez00,
		BgL_bgl_za762syncza7d2za7e3seq1804za7,
		BGl_z62synczd2ze3sequencez53zzsync_nodez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_mpopz00zzsync_nodez00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsync_nodez00));
		     ADD_ROOT((void *) (&BGl_failsafezd2mutexzd2profilez00zzsync_nodez00));
		     ADD_ROOT((void *) (&BGl_getexitdtopz00zzsync_nodez00));
		     ADD_ROOT((void *) (&BGl_mlockz00zzsync_nodez00));
		     ADD_ROOT((void *) (&BGl_exitdzd2mutexzd2profilez00zzsync_nodez00));
		     ADD_ROOT((void *) (&BGl_mlockprelockz00zzsync_nodez00));
		     ADD_ROOT((void *) (&BGl_mpushz00zzsync_nodez00));
		     ADD_ROOT((void *) (&BGl_mulockz00zzsync_nodez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsync_nodez00(long
		BgL_checksumz00_2266, char *BgL_fromz00_2267)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsync_nodez00))
				{
					BGl_requirezd2initializa7ationz75zzsync_nodez00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsync_nodez00();
					BGl_libraryzd2moduleszd2initz00zzsync_nodez00();
					BGl_cnstzd2initzd2zzsync_nodez00();
					BGl_importedzd2moduleszd2initz00zzsync_nodez00();
					return BGl_toplevelzd2initzd2zzsync_nodez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsync_nodez00(void)
	{
		{	/* Sync/node.scm 18 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "sync_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "sync_node");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "sync_node");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "sync_node");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "sync_node");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"sync_node");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "sync_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"sync_node");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"sync_node");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "sync_node");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsync_nodez00(void)
	{
		{	/* Sync/node.scm 18 */
			{	/* Sync/node.scm 18 */
				obj_t BgL_cportz00_2255;

				{	/* Sync/node.scm 18 */
					obj_t BgL_stringz00_2262;

					BgL_stringz00_2262 = BGl_string1800z00zzsync_nodez00;
					{	/* Sync/node.scm 18 */
						obj_t BgL_startz00_2263;

						BgL_startz00_2263 = BINT(0L);
						{	/* Sync/node.scm 18 */
							obj_t BgL_endz00_2264;

							BgL_endz00_2264 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2262)));
							{	/* Sync/node.scm 18 */

								BgL_cportz00_2255 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2262, BgL_startz00_2263, BgL_endz00_2264);
				}}}}
				{
					long BgL_iz00_2256;

					BgL_iz00_2256 = 15L;
				BgL_loopz00_2257:
					if ((BgL_iz00_2256 == (-1L)))
						{	/* Sync/node.scm 18 */
							return BUNSPEC;
						}
					else
						{	/* Sync/node.scm 18 */
							{	/* Sync/node.scm 18 */
								obj_t BgL_arg1801z00_2258;

								{	/* Sync/node.scm 18 */

									{	/* Sync/node.scm 18 */
										obj_t BgL_locationz00_2260;

										BgL_locationz00_2260 = BBOOL(((bool_t) 0));
										{	/* Sync/node.scm 18 */

											BgL_arg1801z00_2258 =
												BGl_readz00zz__readerz00(BgL_cportz00_2255,
												BgL_locationz00_2260);
										}
									}
								}
								{	/* Sync/node.scm 18 */
									int BgL_tmpz00_2295;

									BgL_tmpz00_2295 = (int) (BgL_iz00_2256);
									CNST_TABLE_SET(BgL_tmpz00_2295, BgL_arg1801z00_2258);
							}}
							{	/* Sync/node.scm 18 */
								int BgL_auxz00_2261;

								BgL_auxz00_2261 = (int) ((BgL_iz00_2256 - 1L));
								{
									long BgL_iz00_2300;

									BgL_iz00_2300 = (long) (BgL_auxz00_2261);
									BgL_iz00_2256 = BgL_iz00_2300;
									goto BgL_loopz00_2257;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsync_nodez00(void)
	{
		{	/* Sync/node.scm 18 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsync_nodez00(void)
	{
		{	/* Sync/node.scm 18 */
			BGl_mlockz00zzsync_nodez00 = BFALSE;
			BGl_mlockprelockz00zzsync_nodez00 = BFALSE;
			BGl_mulockz00zzsync_nodez00 = BFALSE;
			BGl_mpushz00zzsync_nodez00 = BFALSE;
			BGl_mpopz00zzsync_nodez00 = BFALSE;
			BGl_getexitdtopz00zzsync_nodez00 = BFALSE;
			BGl_exitdzd2mutexzd2profilez00zzsync_nodez00 = BFALSE;
			return (BGl_failsafezd2mutexzd2profilez00zzsync_nodez00 =
				BFALSE, BUNSPEC);
		}

	}



/* init-sync! */
	obj_t BGl_initzd2syncz12zc0zzsync_nodez00(obj_t BgL_locz00_17)
	{
		{	/* Sync/node.scm 62 */
			if (CBOOL(BGl_mlockz00zzsync_nodez00))
				{	/* Sync/node.scm 63 */
					return BFALSE;
				}
			else
				{	/* Sync/node.scm 63 */
					BGl_getexitdtopz00zzsync_nodez00 =
						((obj_t)
						BGl_sexpzd2ze3nodez31zzast_sexpz00(
							((obj_t)
								CNST_TABLE_REF(0)), BNIL, BgL_locz00_17,
							((obj_t) CNST_TABLE_REF(1))));
					BGl_mlockz00zzsync_nodez00 =
						((obj_t)
						BGl_sexpzd2ze3nodez31zzast_sexpz00(
							((obj_t)
								CNST_TABLE_REF(2)), BNIL, BgL_locz00_17,
							((obj_t) CNST_TABLE_REF(1))));
					BGl_mlockprelockz00zzsync_nodez00 =
						((obj_t)
						BGl_sexpzd2ze3nodez31zzast_sexpz00(
							((obj_t)
								CNST_TABLE_REF(3)), BNIL, BgL_locz00_17,
							((obj_t) CNST_TABLE_REF(1))));
					BGl_mulockz00zzsync_nodez00 =
						((obj_t)
						BGl_sexpzd2ze3nodez31zzast_sexpz00(
							((obj_t)
								CNST_TABLE_REF(4)), BNIL, BgL_locz00_17,
							((obj_t) CNST_TABLE_REF(1))));
					{	/* Sync/node.scm 68 */
						obj_t BgL_casezd2valuezd2_1743;

						{	/* Sync/node.scm 68 */
							obj_t BgL_arg1289z00_1749;

							BgL_arg1289z00_1749 = BGl_thezd2backendzd2zzbackend_backendz00();
							BgL_casezd2valuezd2_1743 =
								(((BgL_backendz00_bglt) COBJECT(
										((BgL_backendz00_bglt) BgL_arg1289z00_1749)))->
								BgL_languagez00);
						}
						{	/* Sync/node.scm 68 */
							bool_t BgL_test1808z00_2332;

							{	/* Sync/node.scm 68 */
								bool_t BgL__ortest_1111z00_1748;

								BgL__ortest_1111z00_1748 =
									(BgL_casezd2valuezd2_1743 == ((obj_t) CNST_TABLE_REF(5)));
								if (BgL__ortest_1111z00_1748)
									{	/* Sync/node.scm 68 */
										BgL_test1808z00_2332 = BgL__ortest_1111z00_1748;
									}
								else
									{	/* Sync/node.scm 68 */
										BgL_test1808z00_2332 =
											(BgL_casezd2valuezd2_1743 == ((obj_t) CNST_TABLE_REF(6)));
									}
							}
							if (BgL_test1808z00_2332)
								{	/* Sync/node.scm 68 */
									if (CBOOL(BGl_za2synczd2profilingza2zd2zzengine_paramz00))
										{	/* Sync/node.scm 70 */
											BGl_exitdzd2mutexzd2profilez00zzsync_nodez00 =
												((obj_t)
												BGl_sexpzd2ze3nodez31zzast_sexpz00(
													((obj_t)
														CNST_TABLE_REF(7)), BNIL, BgL_locz00_17,
													((obj_t) CNST_TABLE_REF(1))));
											BGl_failsafezd2mutexzd2profilez00zzsync_nodez00 =
												((obj_t)
												BGl_sexpzd2ze3nodez31zzast_sexpz00(
													((obj_t)
														CNST_TABLE_REF(8)), BNIL, BgL_locz00_17,
													((obj_t) CNST_TABLE_REF(1))));
											{	/* Sync/node.scm 75 */
												BgL_variablez00_bglt BgL_arg1287z00_1746;

												{	/* Sync/node.scm 75 */
													BgL_varz00_bglt BgL_oz00_2091;

													BgL_oz00_2091 =
														((BgL_varz00_bglt)
														BGl_exitdzd2mutexzd2profilez00zzsync_nodez00);
													BgL_arg1287z00_1746 =
														(((BgL_varz00_bglt) COBJECT(BgL_oz00_2091))->
														BgL_variablez00);
												}
												BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
													(BgL_arg1287z00_1746);
											}
											{	/* Sync/node.scm 76 */
												BgL_variablez00_bglt BgL_arg1288z00_1747;

												{	/* Sync/node.scm 76 */
													BgL_varz00_bglt BgL_oz00_2092;

													BgL_oz00_2092 =
														((BgL_varz00_bglt)
														BGl_failsafezd2mutexzd2profilez00zzsync_nodez00);
													BgL_arg1288z00_1747 =
														(((BgL_varz00_bglt) COBJECT(BgL_oz00_2092))->
														BgL_variablez00);
												}
												BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
													(BgL_arg1288z00_1747);
											}
										}
									else
										{	/* Sync/node.scm 70 */
											BFALSE;
										}
									BGl_mpushz00zzsync_nodez00 =
										((obj_t)
										BGl_sexpzd2ze3nodez31zzast_sexpz00(
											((obj_t)
												CNST_TABLE_REF(9)), BNIL, BgL_locz00_17,
											((obj_t) CNST_TABLE_REF(1))));
									BGl_mpopz00zzsync_nodez00 =
										((obj_t)
										BGl_sexpzd2ze3nodez31zzast_sexpz00(
											((obj_t)
												CNST_TABLE_REF(10)), BNIL, BgL_locz00_17,
											((obj_t) CNST_TABLE_REF(1))));
								}
							else
								{	/* Sync/node.scm 68 */
									BGl_mpushz00zzsync_nodez00 =
										((obj_t)
										BGl_sexpzd2ze3nodez31zzast_sexpz00(
											((obj_t)
												CNST_TABLE_REF(11)), BNIL, BgL_locz00_17,
											((obj_t) CNST_TABLE_REF(1))));
									BGl_mpopz00zzsync_nodez00 =
										((obj_t)
										BGl_sexpzd2ze3nodez31zzast_sexpz00(
											((obj_t)
												CNST_TABLE_REF(12)), BNIL, BgL_locz00_17,
											((obj_t) CNST_TABLE_REF(1))));
								}
						}
					}
					{	/* Sync/node.scm 82 */
						BgL_variablez00_bglt BgL_arg1291z00_1750;

						{	/* Sync/node.scm 82 */
							BgL_varz00_bglt BgL_oz00_2093;

							BgL_oz00_2093 =
								((BgL_varz00_bglt) BGl_getexitdtopz00zzsync_nodez00);
							BgL_arg1291z00_1750 =
								(((BgL_varz00_bglt) COBJECT(BgL_oz00_2093))->BgL_variablez00);
						}
						BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
							(BgL_arg1291z00_1750);
					}
					{	/* Sync/node.scm 83 */
						BgL_variablez00_bglt BgL_arg1292z00_1751;

						{	/* Sync/node.scm 83 */
							BgL_varz00_bglt BgL_oz00_2094;

							BgL_oz00_2094 = ((BgL_varz00_bglt) BGl_mlockz00zzsync_nodez00);
							BgL_arg1292z00_1751 =
								(((BgL_varz00_bglt) COBJECT(BgL_oz00_2094))->BgL_variablez00);
						}
						BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
							(BgL_arg1292z00_1751);
					}
					{	/* Sync/node.scm 84 */
						BgL_variablez00_bglt BgL_arg1293z00_1752;

						{	/* Sync/node.scm 84 */
							BgL_varz00_bglt BgL_oz00_2095;

							BgL_oz00_2095 =
								((BgL_varz00_bglt) BGl_mlockprelockz00zzsync_nodez00);
							BgL_arg1293z00_1752 =
								(((BgL_varz00_bglt) COBJECT(BgL_oz00_2095))->BgL_variablez00);
						}
						BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
							(BgL_arg1293z00_1752);
					}
					{	/* Sync/node.scm 85 */
						BgL_variablez00_bglt BgL_arg1294z00_1753;

						{	/* Sync/node.scm 85 */
							BgL_varz00_bglt BgL_oz00_2096;

							BgL_oz00_2096 = ((BgL_varz00_bglt) BGl_mulockz00zzsync_nodez00);
							BgL_arg1294z00_1753 =
								(((BgL_varz00_bglt) COBJECT(BgL_oz00_2096))->BgL_variablez00);
						}
						BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
							(BgL_arg1294z00_1753);
					}
					{	/* Sync/node.scm 86 */
						BgL_variablez00_bglt BgL_arg1295z00_1754;

						{	/* Sync/node.scm 86 */
							BgL_varz00_bglt BgL_oz00_2097;

							BgL_oz00_2097 = ((BgL_varz00_bglt) BGl_mpushz00zzsync_nodez00);
							BgL_arg1295z00_1754 =
								(((BgL_varz00_bglt) COBJECT(BgL_oz00_2097))->BgL_variablez00);
						}
						BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
							(BgL_arg1295z00_1754);
					}
					{	/* Sync/node.scm 87 */
						BgL_variablez00_bglt BgL_arg1296z00_1755;

						{	/* Sync/node.scm 87 */
							BgL_varz00_bglt BgL_oz00_2098;

							BgL_oz00_2098 = ((BgL_varz00_bglt) BGl_mpopz00zzsync_nodez00);
							BgL_arg1296z00_1755 =
								(((BgL_varz00_bglt) COBJECT(BgL_oz00_2098))->BgL_variablez00);
						}
						return
							BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
							(BgL_arg1296z00_1755);
					}
				}
		}

	}



/* sync->sequence */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_synczd2ze3sequencez31zzsync_nodez00(BgL_syncz00_bglt BgL_nodez00_18)
	{
		{	/* Sync/node.scm 112 */
			{
				BgL_syncz00_bglt BgL_nodez00_1832;
				BgL_syncz00_bglt BgL_nodez00_1786;
				BgL_letzd2varzd2_bglt BgL_nodez00_1777;
				obj_t BgL_locz00_1778;
				BgL_letzd2varzd2_bglt BgL_nodez00_1768;
				obj_t BgL_locz00_1769;

				{	/* Sync/node.scm 192 */
					obj_t BgL_arg1297z00_1762;

					BgL_arg1297z00_1762 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_nodez00_18)))->BgL_locz00);
					BGl_initzd2syncz12zc0zzsync_nodez00(BgL_arg1297z00_1762);
				}
				{	/* Sync/node.scm 194 */
					BgL_nodezf2effectzf2_bglt BgL_enodez00_1763;

					if (CBOOL(BGl_failsafezd2synczf3z21zzsync_failsafez00
							(BgL_nodez00_18)))
						{
							BgL_sequencez00_bglt BgL_auxz00_2408;

							BgL_nodez00_1786 = BgL_nodez00_18;
							{	/* Sync/node.scm 131 */
								BgL_localz00_bglt BgL_tmpz00_1789;

								{	/* Sync/node.scm 131 */
									obj_t BgL_arg1386z00_1830;
									BgL_typez00_bglt BgL_arg1388z00_1831;

									BgL_arg1386z00_1830 =
										BGl_gensymz00zz__r4_symbols_6_4z00(
										((obj_t) CNST_TABLE_REF(14)));
									BgL_arg1388z00_1831 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_nodez00_1786)))->BgL_typez00);
									BgL_tmpz00_1789 =
										BGl_makezd2localzd2svarz00zzast_localz00
										(BgL_arg1386z00_1830, BgL_arg1388z00_1831);
								}
								{	/* Sync/node.scm 131 */
									BgL_nodez00_bglt BgL_lockz00_1790;

									{	/* Sync/node.scm 132 */
										bool_t BgL_test1813z00_2415;

										{	/* Sync/node.scm 132 */
											BgL_nodez00_bglt BgL_arg1385z00_1829;

											BgL_arg1385z00_1829 =
												(((BgL_syncz00_bglt) COBJECT(BgL_nodez00_1786))->
												BgL_prelockz00);
											{	/* Sync/node.scm 132 */
												obj_t BgL_classz00_2103;

												BgL_classz00_2103 = BGl_atomz00zzast_nodez00;
												{	/* Sync/node.scm 132 */
													BgL_objectz00_bglt BgL_arg1858z00_2105;

													{	/* Sync/node.scm 132 */
														obj_t BgL_tmpz00_2417;

														BgL_tmpz00_2417 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg1385z00_1829));
														BgL_arg1858z00_2105 =
															(BgL_objectz00_bglt) (BgL_tmpz00_2417);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Sync/node.scm 132 */
															long BgL_idxz00_2111;

															BgL_idxz00_2111 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2105);
															BgL_test1813z00_2415 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2111 + 2L)) == BgL_classz00_2103);
														}
													else
														{	/* Sync/node.scm 132 */
															bool_t BgL_res1791z00_2136;

															{	/* Sync/node.scm 132 */
																obj_t BgL_oclassz00_2119;

																{	/* Sync/node.scm 132 */
																	obj_t BgL_arg1866z00_2127;
																	long BgL_arg1867z00_2128;

																	BgL_arg1866z00_2127 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Sync/node.scm 132 */
																		long BgL_arg1869z00_2129;

																		BgL_arg1869z00_2129 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2105);
																		BgL_arg1867z00_2128 =
																			(BgL_arg1869z00_2129 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2119 =
																		VECTOR_REF(BgL_arg1866z00_2127,
																		BgL_arg1867z00_2128);
																}
																{	/* Sync/node.scm 132 */
																	bool_t BgL__ortest_1115z00_2120;

																	BgL__ortest_1115z00_2120 =
																		(BgL_classz00_2103 == BgL_oclassz00_2119);
																	if (BgL__ortest_1115z00_2120)
																		{	/* Sync/node.scm 132 */
																			BgL_res1791z00_2136 =
																				BgL__ortest_1115z00_2120;
																		}
																	else
																		{	/* Sync/node.scm 132 */
																			long BgL_odepthz00_2121;

																			{	/* Sync/node.scm 132 */
																				obj_t BgL_arg1855z00_2122;

																				BgL_arg1855z00_2122 =
																					(BgL_oclassz00_2119);
																				BgL_odepthz00_2121 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_2122);
																			}
																			if ((2L < BgL_odepthz00_2121))
																				{	/* Sync/node.scm 132 */
																					obj_t BgL_arg1853z00_2124;

																					{	/* Sync/node.scm 132 */
																						obj_t BgL_arg1854z00_2125;

																						BgL_arg1854z00_2125 =
																							(BgL_oclassz00_2119);
																						BgL_arg1853z00_2124 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_2125, 2L);
																					}
																					BgL_res1791z00_2136 =
																						(BgL_arg1853z00_2124 ==
																						BgL_classz00_2103);
																				}
																			else
																				{	/* Sync/node.scm 132 */
																					BgL_res1791z00_2136 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test1813z00_2415 = BgL_res1791z00_2136;
														}
												}
											}
										}
										if (BgL_test1813z00_2415)
											{	/* Sync/node.scm 133 */
												obj_t BgL_arg1364z00_1819;
												obj_t BgL_arg1365z00_1820;

												{	/* Sync/node.scm 133 */
													obj_t BgL_arg1367z00_1821;

													{	/* Sync/node.scm 133 */
														BgL_nodez00_bglt BgL_arg1370z00_1822;

														BgL_arg1370z00_1822 =
															(((BgL_syncz00_bglt) COBJECT(BgL_nodez00_1786))->
															BgL_mutexz00);
														BgL_arg1367z00_1821 =
															MAKE_YOUNG_PAIR(((obj_t) BgL_arg1370z00_1822),
															BNIL);
													}
													BgL_arg1364z00_1819 =
														MAKE_YOUNG_PAIR(BGl_mlockz00zzsync_nodez00,
														BgL_arg1367z00_1821);
												}
												BgL_arg1365z00_1820 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_nodez00_1786)))->
													BgL_locz00);
												BgL_lockz00_1790 =
													BGl_applicationzd2ze3nodez31zzast_appz00
													(BgL_arg1364z00_1819, BNIL, BgL_arg1365z00_1820,
													((obj_t) CNST_TABLE_REF(13)));
											}
										else
											{	/* Sync/node.scm 134 */
												obj_t BgL_arg1371z00_1823;
												obj_t BgL_arg1376z00_1824;

												{	/* Sync/node.scm 134 */
													obj_t BgL_arg1379z00_1825;

													{	/* Sync/node.scm 134 */
														BgL_nodez00_bglt BgL_arg1380z00_1826;
														obj_t BgL_arg1382z00_1827;

														BgL_arg1380z00_1826 =
															(((BgL_syncz00_bglt) COBJECT(BgL_nodez00_1786))->
															BgL_mutexz00);
														{	/* Sync/node.scm 134 */
															BgL_nodez00_bglt BgL_arg1383z00_1828;

															BgL_arg1383z00_1828 =
																(((BgL_syncz00_bglt)
																	COBJECT(BgL_nodez00_1786))->BgL_prelockz00);
															BgL_arg1382z00_1827 =
																MAKE_YOUNG_PAIR(((obj_t) BgL_arg1383z00_1828),
																BNIL);
														}
														BgL_arg1379z00_1825 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1380z00_1826),
															BgL_arg1382z00_1827);
													}
													BgL_arg1371z00_1823 =
														MAKE_YOUNG_PAIR(BGl_mlockprelockz00zzsync_nodez00,
														BgL_arg1379z00_1825);
												}
												BgL_arg1376z00_1824 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_nodez00_1786)))->
													BgL_locz00);
												BgL_lockz00_1790 =
													BGl_applicationzd2ze3nodez31zzast_appz00
													(BgL_arg1371z00_1823, BNIL, BgL_arg1376z00_1824,
													((obj_t) CNST_TABLE_REF(13)));
											}
									}
									{	/* Sync/node.scm 132 */
										BgL_nodez00_bglt BgL_unlockz00_1791;

										{	/* Sync/node.scm 135 */
											obj_t BgL_arg1342z00_1813;
											obj_t BgL_arg1355z00_1814;

											{	/* Sync/node.scm 135 */
												obj_t BgL_arg1358z00_1815;

												{	/* Sync/node.scm 135 */
													BgL_nodez00_bglt BgL_arg1359z00_1816;

													BgL_arg1359z00_1816 =
														(((BgL_syncz00_bglt) COBJECT(BgL_nodez00_1786))->
														BgL_mutexz00);
													BgL_arg1358z00_1815 =
														MAKE_YOUNG_PAIR(((obj_t) BgL_arg1359z00_1816),
														BNIL);
												}
												BgL_arg1342z00_1813 =
													MAKE_YOUNG_PAIR(BGl_mulockz00zzsync_nodez00,
													BgL_arg1358z00_1815);
											}
											BgL_arg1355z00_1814 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_nodez00_1786)))->
												BgL_locz00);
											BgL_unlockz00_1791 =
												BGl_applicationzd2ze3nodez31zzast_appz00
												(BgL_arg1342z00_1813, BNIL, BgL_arg1355z00_1814,
												((obj_t) CNST_TABLE_REF(13)));
										}
										{	/* Sync/node.scm 135 */
											BgL_refz00_bglt BgL_vrefz00_1792;

											{	/* Sync/node.scm 136 */
												BgL_refz00_bglt BgL_new1115z00_1810;

												{	/* Sync/node.scm 137 */
													BgL_refz00_bglt BgL_new1113z00_1811;

													BgL_new1113z00_1811 =
														((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_refz00_bgl))));
													{	/* Sync/node.scm 137 */
														long BgL_arg1341z00_1812;

														BgL_arg1341z00_1812 =
															BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1113z00_1811),
															BgL_arg1341z00_1812);
													}
													{	/* Sync/node.scm 137 */
														BgL_objectz00_bglt BgL_tmpz00_2474;

														BgL_tmpz00_2474 =
															((BgL_objectz00_bglt) BgL_new1113z00_1811);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2474, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1113z00_1811);
													BgL_new1115z00_1810 = BgL_new1113z00_1811;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1115z00_1810)))->
														BgL_locz00) =
													((obj_t) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt)
																		BgL_nodez00_1786)))->BgL_locz00)), BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1115z00_1810)))->BgL_typez00) =
													((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt)
																		BgL_nodez00_1786)))->BgL_typez00)),
													BUNSPEC);
												((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																	BgL_new1115z00_1810)))->BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															BgL_tmpz00_1789)), BUNSPEC);
												BgL_vrefz00_1792 = BgL_new1115z00_1810;
											}
											{	/* Sync/node.scm 136 */
												BgL_letzd2varzd2_bglt BgL_lbodyz00_1793;

												{	/* Sync/node.scm 140 */
													BgL_letzd2varzd2_bglt BgL_new1118z00_1799;

													{	/* Sync/node.scm 141 */
														BgL_letzd2varzd2_bglt BgL_new1116z00_1808;

														BgL_new1116z00_1808 =
															((BgL_letzd2varzd2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_letzd2varzd2_bgl))));
														{	/* Sync/node.scm 141 */
															long BgL_arg1340z00_1809;

															BgL_arg1340z00_1809 =
																BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1116z00_1808),
																BgL_arg1340z00_1809);
														}
														{	/* Sync/node.scm 141 */
															BgL_objectz00_bglt BgL_tmpz00_2493;

															BgL_tmpz00_2493 =
																((BgL_objectz00_bglt) BgL_new1116z00_1808);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2493, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1116z00_1808);
														BgL_new1118z00_1799 = BgL_new1116z00_1808;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1118z00_1799)))->
															BgL_locz00) =
														((obj_t) (((BgL_nodez00_bglt)
																	COBJECT(((BgL_nodez00_bglt)
																			BgL_nodez00_1786)))->BgL_locz00)),
														BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1118z00_1799)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																	COBJECT(((BgL_nodez00_bglt)
																			BgL_nodez00_1786)))->BgL_typez00)),
														BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1118z00_1799)))->
															BgL_sidezd2effectzd2) =
														((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																COBJECT(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1118z00_1799)))->BgL_keyz00) =
														((obj_t) BINT((-1L))), BUNSPEC);
													{
														obj_t BgL_auxz00_2510;

														{	/* Sync/node.scm 143 */
															obj_t BgL_arg1332z00_1800;

															{	/* Sync/node.scm 143 */
																BgL_nodez00_bglt BgL_arg1336z00_1802;

																BgL_arg1336z00_1802 =
																	(((BgL_syncz00_bglt)
																		COBJECT(BgL_nodez00_1786))->BgL_bodyz00);
																BgL_arg1332z00_1800 =
																	MAKE_YOUNG_PAIR(((obj_t) BgL_tmpz00_1789),
																	((obj_t) BgL_arg1336z00_1802));
															}
															{	/* Sync/node.scm 143 */
																obj_t BgL_list1333z00_1801;

																BgL_list1333z00_1801 =
																	MAKE_YOUNG_PAIR(BgL_arg1332z00_1800, BNIL);
																BgL_auxz00_2510 = BgL_list1333z00_1801;
														}}
														((((BgL_letzd2varzd2_bglt)
																	COBJECT(BgL_new1118z00_1799))->
																BgL_bindingsz00) =
															((obj_t) BgL_auxz00_2510), BUNSPEC);
													}
													{
														BgL_nodez00_bglt BgL_auxz00_2517;

														{	/* Sync/node.scm 144 */
															BgL_sequencez00_bglt BgL_new1121z00_1803;

															{	/* Sync/node.scm 145 */
																BgL_sequencez00_bglt BgL_new1120z00_1806;

																BgL_new1120z00_1806 =
																	((BgL_sequencez00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_sequencez00_bgl))));
																{	/* Sync/node.scm 145 */
																	long BgL_arg1339z00_1807;

																	{	/* Sync/node.scm 145 */
																		obj_t BgL_classz00_2146;

																		BgL_classz00_2146 =
																			BGl_sequencez00zzast_nodez00;
																		BgL_arg1339z00_1807 =
																			BGL_CLASS_NUM(BgL_classz00_2146);
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1120z00_1806),
																		BgL_arg1339z00_1807);
																}
																{	/* Sync/node.scm 145 */
																	BgL_objectz00_bglt BgL_tmpz00_2522;

																	BgL_tmpz00_2522 =
																		((BgL_objectz00_bglt) BgL_new1120z00_1806);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2522,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1120z00_1806);
																BgL_new1121z00_1803 = BgL_new1120z00_1806;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1121z00_1803)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_nodez00_1786)))->BgL_locz00)),
																BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1121z00_1803)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_nodez00_1786)))->BgL_typez00)),
																BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1121z00_1803)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		COBJECT(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1121z00_1803)))->BgL_keyz00) =
																((obj_t) BINT((-1L))), BUNSPEC);
															{
																obj_t BgL_auxz00_2539;

																{	/* Sync/node.scm 147 */
																	obj_t BgL_list1337z00_1804;

																	{	/* Sync/node.scm 147 */
																		obj_t BgL_arg1338z00_1805;

																		BgL_arg1338z00_1805 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_vrefz00_1792), BNIL);
																		BgL_list1337z00_1804 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_unlockz00_1791),
																			BgL_arg1338z00_1805);
																	}
																	BgL_auxz00_2539 = BgL_list1337z00_1804;
																}
																((((BgL_sequencez00_bglt)
																			COBJECT(BgL_new1121z00_1803))->
																		BgL_nodesz00) =
																	((obj_t) BgL_auxz00_2539), BUNSPEC);
															}
															((((BgL_sequencez00_bglt)
																		COBJECT(BgL_new1121z00_1803))->
																	BgL_unsafez00) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
															((((BgL_sequencez00_bglt)
																		COBJECT(BgL_new1121z00_1803))->
																	BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
															BgL_auxz00_2517 =
																((BgL_nodez00_bglt) BgL_new1121z00_1803);
														}
														((((BgL_letzd2varzd2_bglt)
																	COBJECT(BgL_new1118z00_1799))->BgL_bodyz00) =
															((BgL_nodez00_bglt) BgL_auxz00_2517), BUNSPEC);
													}
													((((BgL_letzd2varzd2_bglt)
																COBJECT(BgL_new1118z00_1799))->
															BgL_removablezf3zf3) =
														((bool_t) ((bool_t) 1)), BUNSPEC);
													BgL_lbodyz00_1793 = BgL_new1118z00_1799;
												}
												{	/* Sync/node.scm 140 */

													{	/* Sync/node.scm 148 */
														BgL_sequencez00_bglt BgL_new1124z00_1794;

														{	/* Sync/node.scm 149 */
															BgL_sequencez00_bglt BgL_new1123z00_1797;

															BgL_new1123z00_1797 =
																((BgL_sequencez00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_sequencez00_bgl))));
															{	/* Sync/node.scm 149 */
																long BgL_arg1331z00_1798;

																BgL_arg1331z00_1798 =
																	BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1123z00_1797),
																	BgL_arg1331z00_1798);
															}
															{	/* Sync/node.scm 149 */
																BgL_objectz00_bglt BgL_tmpz00_2554;

																BgL_tmpz00_2554 =
																	((BgL_objectz00_bglt) BgL_new1123z00_1797);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2554,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1123z00_1797);
															BgL_new1124z00_1794 = BgL_new1123z00_1797;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1124z00_1794)))->
																BgL_locz00) =
															((obj_t) (((BgL_nodez00_bglt)
																		COBJECT(((BgL_nodez00_bglt)
																				BgL_nodez00_1786)))->BgL_locz00)),
															BUNSPEC);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_new1124z00_1794)))->BgL_typez00) =
															((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																		COBJECT(((BgL_nodez00_bglt)
																				BgL_nodez00_1786)))->BgL_typez00)),
															BUNSPEC);
														((((BgL_nodezf2effectzf2_bglt)
																	COBJECT(((BgL_nodezf2effectzf2_bglt)
																			BgL_new1124z00_1794)))->
																BgL_sidezd2effectzd2) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_nodezf2effectzf2_bglt)
																	COBJECT(((BgL_nodezf2effectzf2_bglt)
																			BgL_new1124z00_1794)))->BgL_keyz00) =
															((obj_t) BINT((-1L))), BUNSPEC);
														{
															obj_t BgL_auxz00_2571;

															{	/* Sync/node.scm 151 */
																obj_t BgL_arg1326z00_1795;

																{	/* Sync/node.scm 151 */
																	obj_t BgL_arg1327z00_1796;

																	BgL_arg1327z00_1796 =
																		(((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_nodez00_1786)))->BgL_locz00);
																	BgL_nodez00_1777 = BgL_lbodyz00_1793;
																	BgL_locz00_1778 = BgL_arg1327z00_1796;
																	if (CBOOL
																		(BGl_failsafezd2mutexzd2profilez00zzsync_nodez00))
																		{	/* Sync/node.scm 124 */
																			BgL_nodez00_bglt BgL_arg1317z00_1781;

																			{	/* Sync/node.scm 124 */
																				obj_t BgL_arg1320z00_1784;

																				BgL_arg1320z00_1784 =
																					MAKE_YOUNG_PAIR
																					(BGl_failsafezd2mutexzd2profilez00zzsync_nodez00,
																					BNIL);
																				BgL_arg1317z00_1781 =
																					BGl_applicationzd2ze3nodez31zzast_appz00
																					(BgL_arg1320z00_1784, BNIL,
																					BgL_locz00_1778,
																					((obj_t) CNST_TABLE_REF(13)));
																			}
																			{	/* Sync/node.scm 124 */
																				obj_t BgL_list1318z00_1782;

																				{	/* Sync/node.scm 124 */
																					obj_t BgL_arg1319z00_1783;

																					BgL_arg1319z00_1783 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_nodez00_1777), BNIL);
																					BgL_list1318z00_1782 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_arg1317z00_1781),
																						BgL_arg1319z00_1783);
																				}
																				BgL_arg1326z00_1795 =
																					BgL_list1318z00_1782;
																			}
																		}
																	else
																		{	/* Sync/node.scm 125 */
																			obj_t BgL_list1321z00_1785;

																			BgL_list1321z00_1785 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_nodez00_1777), BNIL);
																			BgL_arg1326z00_1795 =
																				BgL_list1321z00_1785;
																		}
																}
																BgL_auxz00_2571 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_lockz00_1790),
																	BgL_arg1326z00_1795);
															}
															((((BgL_sequencez00_bglt)
																		COBJECT(BgL_new1124z00_1794))->
																	BgL_nodesz00) =
																((obj_t) BgL_auxz00_2571), BUNSPEC);
														}
														((((BgL_sequencez00_bglt)
																	COBJECT(BgL_new1124z00_1794))->
																BgL_unsafez00) =
															((bool_t) ((bool_t) 0)), BUNSPEC);
														((((BgL_sequencez00_bglt)
																	COBJECT(BgL_new1124z00_1794))->BgL_metaz00) =
															((obj_t) BNIL), BUNSPEC);
														BgL_auxz00_2408 = BgL_new1124z00_1794;
													}
												}
											}
										}
									}
								}
							}
							BgL_enodez00_1763 = ((BgL_nodezf2effectzf2_bglt) BgL_auxz00_2408);
						}
					else
						{
							BgL_letzd2varzd2_bglt BgL_auxz00_2592;

							BgL_nodez00_1832 = BgL_nodez00_18;
							{	/* Sync/node.scm 157 */
								BgL_localz00_bglt BgL_tmpz00_1835;

								{	/* Sync/node.scm 157 */
									obj_t BgL_arg1590z00_1902;
									BgL_typez00_bglt BgL_arg1592z00_1903;

									BgL_arg1590z00_1902 =
										BGl_gensymz00zz__r4_symbols_6_4z00(
										((obj_t) CNST_TABLE_REF(14)));
									BgL_arg1592z00_1903 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_nodez00_1832)))->BgL_typez00);
									BgL_tmpz00_1835 =
										BGl_makezd2localzd2svarz00zzast_localz00
										(BgL_arg1590z00_1902, BgL_arg1592z00_1903);
								}
								{	/* Sync/node.scm 157 */
									BgL_localz00_bglt BgL_topz00_1836;

									{	/* Sync/node.scm 158 */
										obj_t BgL_arg1588z00_1901;

										BgL_arg1588z00_1901 =
											BGl_gensymz00zz__r4_symbols_6_4z00(
											((obj_t) CNST_TABLE_REF(15)));
										BgL_topz00_1836 =
											BGl_makezd2localzd2svarz00zzast_localz00
											(BgL_arg1588z00_1901,
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
									}
									{	/* Sync/node.scm 158 */
										BgL_refz00_bglt BgL_toprefz00_1837;

										{	/* Sync/node.scm 159 */
											BgL_refz00_bglt BgL_new1127z00_1898;

											{	/* Sync/node.scm 160 */
												BgL_refz00_bglt BgL_new1126z00_1899;

												BgL_new1126z00_1899 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Sync/node.scm 160 */
													long BgL_arg1587z00_1900;

													BgL_arg1587z00_1900 =
														BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1126z00_1899),
														BgL_arg1587z00_1900);
												}
												{	/* Sync/node.scm 160 */
													BgL_objectz00_bglt BgL_tmpz00_2608;

													BgL_tmpz00_2608 =
														((BgL_objectz00_bglt) BgL_new1126z00_1899);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2608, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1126z00_1899);
												BgL_new1127z00_1898 = BgL_new1126z00_1899;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1127z00_1898)))->
													BgL_locz00) =
												((obj_t) (((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) BgL_nodez00_1832)))->
														BgL_locz00)), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1127z00_1898)))->BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
											((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_new1127z00_1898)))->BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_topz00_1836)), BUNSPEC);
											BgL_toprefz00_1837 = BgL_new1127z00_1898;
										}
										{	/* Sync/node.scm 159 */
											BgL_nodez00_bglt BgL_gettopz00_1838;

											{	/* Sync/node.scm 163 */
												obj_t BgL_arg1578z00_1896;
												obj_t BgL_arg1581z00_1897;

												BgL_arg1578z00_1896 =
													MAKE_YOUNG_PAIR(BGl_getexitdtopz00zzsync_nodez00,
													BNIL);
												BgL_arg1581z00_1897 =
													(((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_nodez00_1832)))->BgL_locz00);
												BgL_gettopz00_1838 =
													BGl_applicationzd2ze3nodez31zzast_appz00
													(BgL_arg1578z00_1896, BNIL, BgL_arg1581z00_1897,
													((obj_t) CNST_TABLE_REF(13)));
											}
											{	/* Sync/node.scm 163 */
												BgL_nodez00_bglt BgL_lockz00_1839;

												{	/* Sync/node.scm 164 */
													bool_t BgL_test1818z00_2628;

													{	/* Sync/node.scm 164 */
														BgL_nodez00_bglt BgL_arg1577z00_1895;

														BgL_arg1577z00_1895 =
															(((BgL_syncz00_bglt) COBJECT(BgL_nodez00_1832))->
															BgL_prelockz00);
														{	/* Sync/node.scm 164 */
															obj_t BgL_classz00_2159;

															BgL_classz00_2159 = BGl_atomz00zzast_nodez00;
															{	/* Sync/node.scm 164 */
																BgL_objectz00_bglt BgL_arg1858z00_2161;

																{	/* Sync/node.scm 164 */
																	obj_t BgL_tmpz00_2630;

																	BgL_tmpz00_2630 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg1577z00_1895));
																	BgL_arg1858z00_2161 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_2630);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Sync/node.scm 164 */
																		long BgL_idxz00_2167;

																		BgL_idxz00_2167 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_2161);
																		BgL_test1818z00_2628 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2167 + 2L)) ==
																			BgL_classz00_2159);
																	}
																else
																	{	/* Sync/node.scm 164 */
																		bool_t BgL_res1794z00_2192;

																		{	/* Sync/node.scm 164 */
																			obj_t BgL_oclassz00_2175;

																			{	/* Sync/node.scm 164 */
																				obj_t BgL_arg1866z00_2183;
																				long BgL_arg1867z00_2184;

																				BgL_arg1866z00_2183 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Sync/node.scm 164 */
																					long BgL_arg1869z00_2185;

																					BgL_arg1869z00_2185 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_2161);
																					BgL_arg1867z00_2184 =
																						(BgL_arg1869z00_2185 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2175 =
																					VECTOR_REF(BgL_arg1866z00_2183,
																					BgL_arg1867z00_2184);
																			}
																			{	/* Sync/node.scm 164 */
																				bool_t BgL__ortest_1115z00_2176;

																				BgL__ortest_1115z00_2176 =
																					(BgL_classz00_2159 ==
																					BgL_oclassz00_2175);
																				if (BgL__ortest_1115z00_2176)
																					{	/* Sync/node.scm 164 */
																						BgL_res1794z00_2192 =
																							BgL__ortest_1115z00_2176;
																					}
																				else
																					{	/* Sync/node.scm 164 */
																						long BgL_odepthz00_2177;

																						{	/* Sync/node.scm 164 */
																							obj_t BgL_arg1855z00_2178;

																							BgL_arg1855z00_2178 =
																								(BgL_oclassz00_2175);
																							BgL_odepthz00_2177 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_2178);
																						}
																						if ((2L < BgL_odepthz00_2177))
																							{	/* Sync/node.scm 164 */
																								obj_t BgL_arg1853z00_2180;

																								{	/* Sync/node.scm 164 */
																									obj_t BgL_arg1854z00_2181;

																									BgL_arg1854z00_2181 =
																										(BgL_oclassz00_2175);
																									BgL_arg1853z00_2180 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_2181, 2L);
																								}
																								BgL_res1794z00_2192 =
																									(BgL_arg1853z00_2180 ==
																									BgL_classz00_2159);
																							}
																						else
																							{	/* Sync/node.scm 164 */
																								BgL_res1794z00_2192 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test1818z00_2628 = BgL_res1794z00_2192;
																	}
															}
														}
													}
													if (BgL_test1818z00_2628)
														{	/* Sync/node.scm 165 */
															obj_t BgL_arg1530z00_1885;
															obj_t BgL_arg1532z00_1886;

															{	/* Sync/node.scm 165 */
																obj_t BgL_arg1535z00_1887;

																{	/* Sync/node.scm 165 */
																	BgL_nodez00_bglt BgL_arg1543z00_1888;

																	BgL_arg1543z00_1888 =
																		(((BgL_syncz00_bglt)
																			COBJECT(BgL_nodez00_1832))->BgL_mutexz00);
																	BgL_arg1535z00_1887 =
																		MAKE_YOUNG_PAIR(((obj_t)
																			BgL_arg1543z00_1888), BNIL);
																}
																BgL_arg1530z00_1885 =
																	MAKE_YOUNG_PAIR(BGl_mlockz00zzsync_nodez00,
																	BgL_arg1535z00_1887);
															}
															BgL_arg1532z00_1886 =
																(((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_nodez00_1832)))->
																BgL_locz00);
															BgL_lockz00_1839 =
																BGl_applicationzd2ze3nodez31zzast_appz00
																(BgL_arg1530z00_1885, BNIL, BgL_arg1532z00_1886,
																((obj_t) CNST_TABLE_REF(13)));
														}
													else
														{	/* Sync/node.scm 166 */
															obj_t BgL_arg1545z00_1889;
															obj_t BgL_arg1553z00_1890;

															{	/* Sync/node.scm 166 */
																obj_t BgL_arg1554z00_1891;

																{	/* Sync/node.scm 166 */
																	BgL_nodez00_bglt BgL_arg1558z00_1892;
																	obj_t BgL_arg1560z00_1893;

																	BgL_arg1558z00_1892 =
																		(((BgL_syncz00_bglt)
																			COBJECT(BgL_nodez00_1832))->BgL_mutexz00);
																	{	/* Sync/node.scm 166 */
																		BgL_nodez00_bglt BgL_arg1574z00_1894;

																		BgL_arg1574z00_1894 =
																			(((BgL_syncz00_bglt)
																				COBJECT(BgL_nodez00_1832))->
																			BgL_prelockz00);
																		BgL_arg1560z00_1893 =
																			MAKE_YOUNG_PAIR(((obj_t)
																				BgL_arg1574z00_1894), BNIL);
																	}
																	BgL_arg1554z00_1891 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1558z00_1892),
																		BgL_arg1560z00_1893);
																}
																BgL_arg1545z00_1889 =
																	MAKE_YOUNG_PAIR
																	(BGl_mlockprelockz00zzsync_nodez00,
																	BgL_arg1554z00_1891);
															}
															BgL_arg1553z00_1890 =
																(((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_nodez00_1832)))->
																BgL_locz00);
															BgL_lockz00_1839 =
																BGl_applicationzd2ze3nodez31zzast_appz00
																(BgL_arg1545z00_1889, BNIL, BgL_arg1553z00_1890,
																((obj_t) CNST_TABLE_REF(13)));
														}
												}
												{	/* Sync/node.scm 164 */
													BgL_nodez00_bglt BgL_pushz00_1840;

													{	/* Sync/node.scm 167 */
														obj_t BgL_arg1506z00_1878;
														obj_t BgL_arg1511z00_1879;

														{	/* Sync/node.scm 167 */
															obj_t BgL_arg1512z00_1880;

															{	/* Sync/node.scm 167 */
																obj_t BgL_arg1513z00_1881;

																{	/* Sync/node.scm 167 */
																	BgL_nodez00_bglt BgL_arg1515z00_1882;

																	BgL_arg1515z00_1882 =
																		(((BgL_syncz00_bglt)
																			COBJECT(BgL_nodez00_1832))->BgL_mutexz00);
																	BgL_arg1513z00_1881 =
																		MAKE_YOUNG_PAIR(((obj_t)
																			BgL_arg1515z00_1882), BNIL);
																}
																BgL_arg1512z00_1880 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_toprefz00_1837),
																	BgL_arg1513z00_1881);
															}
															BgL_arg1506z00_1878 =
																MAKE_YOUNG_PAIR(BGl_mpushz00zzsync_nodez00,
																BgL_arg1512z00_1880);
														}
														BgL_arg1511z00_1879 =
															(((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_nodez00_1832)))->
															BgL_locz00);
														BgL_pushz00_1840 =
															BGl_applicationzd2ze3nodez31zzast_appz00
															(BgL_arg1506z00_1878, BNIL, BgL_arg1511z00_1879,
															((obj_t) CNST_TABLE_REF(13)));
													}
													{	/* Sync/node.scm 167 */
														BgL_nodez00_bglt BgL_popz00_1841;

														{	/* Sync/node.scm 168 */
															obj_t BgL_arg1487z00_1875;
															obj_t BgL_arg1489z00_1876;

															{	/* Sync/node.scm 168 */
																obj_t BgL_arg1490z00_1877;

																BgL_arg1490z00_1877 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_toprefz00_1837), BNIL);
																BgL_arg1487z00_1875 =
																	MAKE_YOUNG_PAIR(BGl_mpopz00zzsync_nodez00,
																	BgL_arg1490z00_1877);
															}
															BgL_arg1489z00_1876 =
																(((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_nodez00_1832)))->
																BgL_locz00);
															BgL_popz00_1841 =
																BGl_applicationzd2ze3nodez31zzast_appz00
																(BgL_arg1487z00_1875, BNIL, BgL_arg1489z00_1876,
																((obj_t) CNST_TABLE_REF(13)));
														}
														{	/* Sync/node.scm 168 */
															BgL_nodez00_bglt BgL_unlockz00_1842;

															{	/* Sync/node.scm 169 */
																obj_t BgL_arg1457z00_1871;
																obj_t BgL_arg1471z00_1872;

																{	/* Sync/node.scm 169 */
																	obj_t BgL_arg1480z00_1873;

																	{	/* Sync/node.scm 169 */
																		BgL_nodez00_bglt BgL_arg1484z00_1874;

																		BgL_arg1484z00_1874 =
																			(((BgL_syncz00_bglt)
																				COBJECT(BgL_nodez00_1832))->
																			BgL_mutexz00);
																		BgL_arg1480z00_1873 =
																			MAKE_YOUNG_PAIR(((obj_t)
																				BgL_arg1484z00_1874), BNIL);
																	}
																	BgL_arg1457z00_1871 =
																		MAKE_YOUNG_PAIR(BGl_mulockz00zzsync_nodez00,
																		BgL_arg1480z00_1873);
																}
																BgL_arg1471z00_1872 =
																	(((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt) BgL_nodez00_1832)))->
																	BgL_locz00);
																BgL_unlockz00_1842 =
																	BGl_applicationzd2ze3nodez31zzast_appz00
																	(BgL_arg1457z00_1871, BNIL,
																	BgL_arg1471z00_1872,
																	((obj_t) CNST_TABLE_REF(13)));
															}
															{	/* Sync/node.scm 169 */
																BgL_refz00_bglt BgL_vrefz00_1843;

																{	/* Sync/node.scm 170 */
																	BgL_refz00_bglt BgL_new1129z00_1868;

																	{	/* Sync/node.scm 171 */
																		BgL_refz00_bglt BgL_new1128z00_1869;

																		BgL_new1128z00_1869 =
																			((BgL_refz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_refz00_bgl))));
																		{	/* Sync/node.scm 171 */
																			long BgL_arg1446z00_1870;

																			BgL_arg1446z00_1870 =
																				BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1128z00_1869),
																				BgL_arg1446z00_1870);
																		}
																		{	/* Sync/node.scm 171 */
																			BgL_objectz00_bglt BgL_tmpz00_2706;

																			BgL_tmpz00_2706 =
																				((BgL_objectz00_bglt)
																				BgL_new1128z00_1869);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2706,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1128z00_1869);
																		BgL_new1129z00_1868 = BgL_new1128z00_1869;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1129z00_1868)))->
																			BgL_locz00) =
																		((obj_t) (((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_nodez00_1832)))->BgL_locz00)),
																		BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1129z00_1868)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_nodez00_1832)))->
																				BgL_typez00)), BUNSPEC);
																	((((BgL_varz00_bglt)
																				COBJECT(((BgL_varz00_bglt)
																						BgL_new1129z00_1868)))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt)
																				BgL_tmpz00_1835)), BUNSPEC);
																	BgL_vrefz00_1843 = BgL_new1129z00_1868;
																}
																{	/* Sync/node.scm 170 */
																	BgL_letzd2varzd2_bglt BgL_lbodyz00_1844;

																	{	/* Sync/node.scm 174 */
																		BgL_letzd2varzd2_bglt BgL_new1131z00_1856;

																		{	/* Sync/node.scm 175 */
																			BgL_letzd2varzd2_bglt BgL_new1130z00_1866;

																			BgL_new1130z00_1866 =
																				((BgL_letzd2varzd2_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_letzd2varzd2_bgl))));
																			{	/* Sync/node.scm 175 */
																				long BgL_arg1419z00_1867;

																				BgL_arg1419z00_1867 =
																					BGL_CLASS_NUM
																					(BGl_letzd2varzd2zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1130z00_1866),
																					BgL_arg1419z00_1867);
																			}
																			{	/* Sync/node.scm 175 */
																				BgL_objectz00_bglt BgL_tmpz00_2725;

																				BgL_tmpz00_2725 =
																					((BgL_objectz00_bglt)
																					BgL_new1130z00_1866);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2725,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1130z00_1866);
																			BgL_new1131z00_1856 = BgL_new1130z00_1866;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1131z00_1856)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_nodez00_1832)))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1131z00_1856)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_nodez00_1832)))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1131z00_1856)))->
																				BgL_sidezd2effectzd2) =
																			((obj_t) BUNSPEC), BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1131z00_1856)))->
																				BgL_keyz00) =
																			((obj_t) BINT((-1L))), BUNSPEC);
																		{
																			obj_t BgL_auxz00_2742;

																			{	/* Sync/node.scm 177 */
																				obj_t BgL_arg1406z00_1857;

																				{	/* Sync/node.scm 177 */
																					BgL_nodez00_bglt BgL_arg1414z00_1859;

																					BgL_arg1414z00_1859 =
																						(((BgL_syncz00_bglt)
																							COBJECT(BgL_nodez00_1832))->
																						BgL_bodyz00);
																					BgL_arg1406z00_1857 =
																						MAKE_YOUNG_PAIR(((obj_t)
																							BgL_tmpz00_1835),
																						((obj_t) BgL_arg1414z00_1859));
																				}
																				{	/* Sync/node.scm 177 */
																					obj_t BgL_list1407z00_1858;

																					BgL_list1407z00_1858 =
																						MAKE_YOUNG_PAIR(BgL_arg1406z00_1857,
																						BNIL);
																					BgL_auxz00_2742 =
																						BgL_list1407z00_1858;
																			}}
																			((((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_new1131z00_1856))->
																					BgL_bindingsz00) =
																				((obj_t) BgL_auxz00_2742), BUNSPEC);
																		}
																		{
																			BgL_nodez00_bglt BgL_auxz00_2749;

																			{	/* Sync/node.scm 178 */
																				BgL_sequencez00_bglt
																					BgL_new1133z00_1860;
																				{	/* Sync/node.scm 179 */
																					BgL_sequencez00_bglt
																						BgL_new1132z00_1864;
																					BgL_new1132z00_1864 =
																						((BgL_sequencez00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_sequencez00_bgl))));
																					{	/* Sync/node.scm 179 */
																						long BgL_arg1418z00_1865;

																						{	/* Sync/node.scm 179 */
																							obj_t BgL_classz00_2202;

																							BgL_classz00_2202 =
																								BGl_sequencez00zzast_nodez00;
																							BgL_arg1418z00_1865 =
																								BGL_CLASS_NUM
																								(BgL_classz00_2202);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1132z00_1864),
																							BgL_arg1418z00_1865);
																					}
																					{	/* Sync/node.scm 179 */
																						BgL_objectz00_bglt BgL_tmpz00_2754;

																						BgL_tmpz00_2754 =
																							((BgL_objectz00_bglt)
																							BgL_new1132z00_1864);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_2754, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1132z00_1864);
																					BgL_new1133z00_1860 =
																						BgL_new1132z00_1864;
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1133z00_1860)))->
																						BgL_locz00) =
																					((obj_t) (((BgL_nodez00_bglt)
																								COBJECT(((BgL_nodez00_bglt)
																										BgL_nodez00_1832)))->
																							BgL_locz00)), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_new1133z00_1860)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) ((
																								(BgL_nodez00_bglt)
																								COBJECT(((BgL_nodez00_bglt)
																										BgL_nodez00_1832)))->
																							BgL_typez00)), BUNSPEC);
																				((((BgL_nodezf2effectzf2_bglt)
																							COBJECT((
																									(BgL_nodezf2effectzf2_bglt)
																									BgL_new1133z00_1860)))->
																						BgL_sidezd2effectzd2) =
																					((obj_t) BUNSPEC), BUNSPEC);
																				((((BgL_nodezf2effectzf2_bglt)
																							COBJECT((
																									(BgL_nodezf2effectzf2_bglt)
																									BgL_new1133z00_1860)))->
																						BgL_keyz00) =
																					((obj_t) BINT((-1L))), BUNSPEC);
																				{
																					obj_t BgL_auxz00_2771;

																					{	/* Sync/node.scm 181 */
																						obj_t BgL_list1415z00_1861;

																						{	/* Sync/node.scm 181 */
																							obj_t BgL_arg1416z00_1862;

																							{	/* Sync/node.scm 181 */
																								obj_t BgL_arg1417z00_1863;

																								BgL_arg1417z00_1863 =
																									MAKE_YOUNG_PAIR(
																									((obj_t) BgL_vrefz00_1843),
																									BNIL);
																								BgL_arg1416z00_1862 =
																									MAKE_YOUNG_PAIR(((obj_t)
																										BgL_unlockz00_1842),
																									BgL_arg1417z00_1863);
																							}
																							BgL_list1415z00_1861 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_popz00_1841),
																								BgL_arg1416z00_1862);
																						}
																						BgL_auxz00_2771 =
																							BgL_list1415z00_1861;
																					}
																					((((BgL_sequencez00_bglt)
																								COBJECT(BgL_new1133z00_1860))->
																							BgL_nodesz00) =
																						((obj_t) BgL_auxz00_2771), BUNSPEC);
																				}
																				((((BgL_sequencez00_bglt)
																							COBJECT(BgL_new1133z00_1860))->
																						BgL_unsafez00) =
																					((bool_t) ((bool_t) 0)), BUNSPEC);
																				((((BgL_sequencez00_bglt)
																							COBJECT(BgL_new1133z00_1860))->
																						BgL_metaz00) =
																					((obj_t) BNIL), BUNSPEC);
																				BgL_auxz00_2749 =
																					((BgL_nodez00_bglt)
																					BgL_new1133z00_1860);
																			}
																			((((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_new1131z00_1856))->
																					BgL_bodyz00) =
																				((BgL_nodez00_bglt) BgL_auxz00_2749),
																				BUNSPEC);
																		}
																		((((BgL_letzd2varzd2_bglt)
																					COBJECT(BgL_new1131z00_1856))->
																				BgL_removablezf3zf3) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																		BgL_lbodyz00_1844 = BgL_new1131z00_1856;
																	}
																	{	/* Sync/node.scm 174 */

																		{	/* Sync/node.scm 182 */
																			BgL_letzd2varzd2_bglt BgL_new1136z00_1845;

																			{	/* Sync/node.scm 183 */
																				BgL_letzd2varzd2_bglt
																					BgL_new1135z00_1854;
																				BgL_new1135z00_1854 =
																					((BgL_letzd2varzd2_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_letzd2varzd2_bgl))));
																				{	/* Sync/node.scm 183 */
																					long BgL_arg1403z00_1855;

																					BgL_arg1403z00_1855 =
																						BGL_CLASS_NUM
																						(BGl_letzd2varzd2zzast_nodez00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1135z00_1854),
																						BgL_arg1403z00_1855);
																				}
																				{	/* Sync/node.scm 183 */
																					BgL_objectz00_bglt BgL_tmpz00_2788;

																					BgL_tmpz00_2788 =
																						((BgL_objectz00_bglt)
																						BgL_new1135z00_1854);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_2788, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1135z00_1854);
																				BgL_new1136z00_1845 =
																					BgL_new1135z00_1854;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1136z00_1845)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_nodez00_1832)))->
																						BgL_locz00)), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_new1136z00_1845)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_nodez00_1832)))->
																						BgL_typez00)), BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						COBJECT(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1136z00_1845)))->
																					BgL_sidezd2effectzd2) =
																				((obj_t) BUNSPEC), BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						COBJECT(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1136z00_1845)))->
																					BgL_keyz00) =
																				((obj_t) BINT((-1L))), BUNSPEC);
																			{
																				obj_t BgL_auxz00_2805;

																				{	/* Sync/node.scm 185 */
																					obj_t BgL_arg1390z00_1846;

																					BgL_arg1390z00_1846 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_topz00_1836),
																						((obj_t) BgL_gettopz00_1838));
																					{	/* Sync/node.scm 185 */
																						obj_t BgL_list1391z00_1847;

																						BgL_list1391z00_1847 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1390z00_1846, BNIL);
																						BgL_auxz00_2805 =
																							BgL_list1391z00_1847;
																				}}
																				((((BgL_letzd2varzd2_bglt)
																							COBJECT(BgL_new1136z00_1845))->
																						BgL_bindingsz00) =
																					((obj_t) BgL_auxz00_2805), BUNSPEC);
																			}
																			{
																				BgL_nodez00_bglt BgL_auxz00_2811;

																				{	/* Sync/node.scm 186 */
																					BgL_sequencez00_bglt
																						BgL_new1138z00_1848;
																					{	/* Sync/node.scm 187 */
																						BgL_sequencez00_bglt
																							BgL_new1137z00_1852;
																						BgL_new1137z00_1852 =
																							((BgL_sequencez00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_sequencez00_bgl))));
																						{	/* Sync/node.scm 187 */
																							long BgL_arg1402z00_1853;

																							{	/* Sync/node.scm 187 */
																								obj_t BgL_classz00_2212;

																								BgL_classz00_2212 =
																									BGl_sequencez00zzast_nodez00;
																								BgL_arg1402z00_1853 =
																									BGL_CLASS_NUM
																									(BgL_classz00_2212);
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1137z00_1852),
																								BgL_arg1402z00_1853);
																						}
																						{	/* Sync/node.scm 187 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_2816;
																							BgL_tmpz00_2816 =
																								((BgL_objectz00_bglt)
																								BgL_new1137z00_1852);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_2816, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new1137z00_1852);
																						BgL_new1138z00_1848 =
																							BgL_new1137z00_1852;
																					}
																					((((BgL_nodez00_bglt) COBJECT(
																									((BgL_nodez00_bglt)
																										BgL_new1138z00_1848)))->
																							BgL_locz00) =
																						((obj_t) (((BgL_nodez00_bglt)
																									COBJECT(((BgL_nodez00_bglt)
																											BgL_nodez00_1832)))->
																								BgL_locz00)), BUNSPEC);
																					((((BgL_nodez00_bglt)
																								COBJECT(((BgL_nodez00_bglt)
																										BgL_new1138z00_1848)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) ((
																									(BgL_nodez00_bglt)
																									COBJECT(((BgL_nodez00_bglt)
																											BgL_nodez00_1832)))->
																								BgL_typez00)), BUNSPEC);
																					((((BgL_nodezf2effectzf2_bglt)
																								COBJECT((
																										(BgL_nodezf2effectzf2_bglt)
																										BgL_new1138z00_1848)))->
																							BgL_sidezd2effectzd2) =
																						((obj_t) BUNSPEC), BUNSPEC);
																					((((BgL_nodezf2effectzf2_bglt)
																								COBJECT((
																										(BgL_nodezf2effectzf2_bglt)
																										BgL_new1138z00_1848)))->
																							BgL_keyz00) =
																						((obj_t) BINT((-1L))), BUNSPEC);
																					{
																						obj_t BgL_auxz00_2833;

																						{	/* Sync/node.scm 189 */
																							obj_t BgL_arg1392z00_1849;

																							{	/* Sync/node.scm 189 */
																								obj_t BgL_arg1400z00_1850;

																								{	/* Sync/node.scm 189 */
																									obj_t BgL_arg1401z00_1851;

																									BgL_arg1401z00_1851 =
																										(((BgL_nodez00_bglt)
																											COBJECT((
																													(BgL_nodez00_bglt)
																													BgL_nodez00_1832)))->
																										BgL_locz00);
																									BgL_nodez00_1768 =
																										BgL_lbodyz00_1844;
																									BgL_locz00_1769 =
																										BgL_arg1401z00_1851;
																									if (CBOOL
																										(BGl_exitdzd2mutexzd2profilez00zzsync_nodez00))
																										{	/* Sync/node.scm 119 */
																											BgL_nodez00_bglt
																												BgL_arg1309z00_1772;
																											{	/* Sync/node.scm 119 */
																												obj_t
																													BgL_arg1313z00_1775;
																												BgL_arg1313z00_1775 =
																													MAKE_YOUNG_PAIR
																													(BGl_exitdzd2mutexzd2profilez00zzsync_nodez00,
																													BNIL);
																												BgL_arg1309z00_1772 =
																													BGl_applicationzd2ze3nodez31zzast_appz00
																													(BgL_arg1313z00_1775,
																													BNIL, BgL_locz00_1769,
																													((obj_t)
																														CNST_TABLE_REF
																														(13)));
																											}
																											{	/* Sync/node.scm 119 */
																												obj_t
																													BgL_list1310z00_1773;
																												{	/* Sync/node.scm 119 */
																													obj_t
																														BgL_arg1311z00_1774;
																													BgL_arg1311z00_1774 =
																														MAKE_YOUNG_PAIR((
																															(obj_t)
																															BgL_nodez00_1768),
																														BNIL);
																													BgL_list1310z00_1773 =
																														MAKE_YOUNG_PAIR((
																															(obj_t)
																															BgL_arg1309z00_1772),
																														BgL_arg1311z00_1774);
																												}
																												BgL_arg1400z00_1850 =
																													BgL_list1310z00_1773;
																											}
																										}
																									else
																										{	/* Sync/node.scm 120 */
																											obj_t
																												BgL_list1314z00_1776;
																											BgL_list1314z00_1776 =
																												MAKE_YOUNG_PAIR(((obj_t)
																													BgL_nodez00_1768),
																												BNIL);
																											BgL_arg1400z00_1850 =
																												BgL_list1314z00_1776;
																										}
																								}
																								BgL_arg1392z00_1849 =
																									MAKE_YOUNG_PAIR(
																									((obj_t) BgL_pushz00_1840),
																									BgL_arg1400z00_1850);
																							}
																							BgL_auxz00_2833 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_lockz00_1839),
																								BgL_arg1392z00_1849);
																						}
																						((((BgL_sequencez00_bglt)
																									COBJECT
																									(BgL_new1138z00_1848))->
																								BgL_nodesz00) =
																							((obj_t) BgL_auxz00_2833),
																							BUNSPEC);
																					}
																					((((BgL_sequencez00_bglt)
																								COBJECT(BgL_new1138z00_1848))->
																							BgL_unsafez00) =
																						((bool_t) ((bool_t) 0)), BUNSPEC);
																					((((BgL_sequencez00_bglt)
																								COBJECT(BgL_new1138z00_1848))->
																							BgL_metaz00) =
																						((obj_t) BNIL), BUNSPEC);
																					BgL_auxz00_2811 =
																						((BgL_nodez00_bglt)
																						BgL_new1138z00_1848);
																				}
																				((((BgL_letzd2varzd2_bglt)
																							COBJECT(BgL_new1136z00_1845))->
																						BgL_bodyz00) =
																					((BgL_nodez00_bglt) BgL_auxz00_2811),
																					BUNSPEC);
																			}
																			((((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_new1136z00_1845))->
																					BgL_removablezf3zf3) =
																				((bool_t) ((bool_t) 1)), BUNSPEC);
																			BgL_auxz00_2592 = BgL_new1136z00_1845;
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
							BgL_enodez00_1763 = ((BgL_nodezf2effectzf2_bglt) BgL_auxz00_2592);
						}
					BGl_occurzd2nodez12zc0zzast_occurz00(
						((BgL_nodez00_bglt) BgL_enodez00_1763));
					return ((BgL_nodez00_bglt) BgL_enodez00_1763);
				}
			}
		}

	}



/* &sync->sequence */
	BgL_nodez00_bglt BGl_z62synczd2ze3sequencez53zzsync_nodez00(obj_t
		BgL_envz00_2250, obj_t BgL_nodez00_2251)
	{
		{	/* Sync/node.scm 112 */
			return
				BGl_synczd2ze3sequencez31zzsync_nodez00(
				((BgL_syncz00_bglt) BgL_nodez00_2251));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsync_nodez00(void)
	{
		{	/* Sync/node.scm 18 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsync_nodez00(void)
	{
		{	/* Sync/node.scm 18 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsync_nodez00(void)
	{
		{	/* Sync/node.scm 18 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsync_nodez00(void)
	{
		{	/* Sync/node.scm 18 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(453414928L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(449859288L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(282085879L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzinline_appz00(148760855L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(460136018L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(395792377L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
			return
				BGl_modulezd2initializa7ationz75zzsync_failsafez00(377892095L,
				BSTRING_TO_STRING(BGl_string1799z00zzsync_nodez00));
		}

	}

#ifdef __cplusplus
}
#endif
