/*===========================================================================*/
/*   (Tools/shape.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Tools/shape.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_TOOLS_SHAPE_TYPE_DEFINITIONS
#define BGL_TOOLS_SHAPE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;


#endif													// BGL_TOOLS_SHAPE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zztools_shapez00 = BUNSPEC;
	extern obj_t BGl_za2accesszd2shapezf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zztools_shapez00(void);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_za2typezd2shapezf3za2z21zzengine_paramz00;
	static obj_t BGl_genericzd2initzd2zztools_shapez00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zztools_shapez00(void);
	BGL_EXPORTED_DECL obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_za2keyzd2shapezf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62shapezd2local1227zb0zztools_shapez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT obj_t make_vector(long, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2modulezd2shapezf3za2z21zzengine_paramz00;
	static obj_t BGl_z62shape1222z62zztools_shapez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztools_shapez00(void);
	static obj_t BGl_z62shapez62zztools_shapez00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_z62shapezd2global1225zb0zztools_shapez00(obj_t, obj_t);
	static obj_t BGl_z62shapezd2node1232zb0zztools_shapez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62shapezd2type1229zb0zztools_shapez00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t create_struct(obj_t, int);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zztools_shapez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zztools_shapez00(void);
	extern obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zztools_shapez00(void);
	static obj_t BGl_gczd2rootszd2initz00zztools_shapez00(void);
	extern obj_t BGl_za2namezd2shapezf3za2z21zzengine_paramz00;
	extern obj_t BGl_za2typenamezd2shapezf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	extern obj_t BGl_za2userzd2shapezf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_loopze70ze7zztools_shapez00(obj_t);
	extern obj_t BGl_nodezd2ze3sexpz31zzast_dumpz00(BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string1700z00zztools_shapez00,
		BgL_bgl_string1700za700za7za7t1718za7, "-", 1);
	      DEFINE_STRING(BGl_string1701z00zztools_shapez00,
		BgL_bgl_string1701za700za7za7t1719za7, "\"", 1);
	      DEFINE_STRING(BGl_string1702z00zztools_shapez00,
		BgL_bgl_string1702za700za7za7t1720za7, "::", 2);
	      DEFINE_STRING(BGl_string1703z00zztools_shapez00,
		BgL_bgl_string1703za700za7za7t1721za7, "", 0);
	      DEFINE_STRING(BGl_string1704z00zztools_shapez00,
		BgL_bgl_string1704za700za7za7t1722za7, "-<user>", 7);
	      DEFINE_STRING(BGl_string1705z00zztools_shapez00,
		BgL_bgl_string1705za700za7za7t1723za7, "-<no-user>", 10);
	      DEFINE_STRING(BGl_string1706z00zztools_shapez00,
		BgL_bgl_string1706za700za7za7t1724za7, "{", 1);
	      DEFINE_STRING(BGl_string1707z00zztools_shapez00,
		BgL_bgl_string1707za700za7za7t1725za7, "}", 1);
	      DEFINE_STRING(BGl_string1708z00zztools_shapez00,
		BgL_bgl_string1708za700za7za7t1726za7, "<noescape>", 10);
	      DEFINE_STRING(BGl_string1709z00zztools_shapez00,
		BgL_bgl_string1709za700za7za7t1727za7, "<escape>", 8);
	      DEFINE_STRING(BGl_string1710z00zztools_shapez00,
		BgL_bgl_string1710za700za7za7t1728za7, "<?>", 3);
	      DEFINE_STRING(BGl_string1711z00zztools_shapez00,
		BgL_bgl_string1711za700za7za7t1729za7, "~a<<~a>>", 8);
	      DEFINE_STRING(BGl_string1712z00zztools_shapez00,
		BgL_bgl_string1712za700za7za7t1730za7, "@", 1);
	      DEFINE_STRING(BGl_string1713z00zztools_shapez00,
		BgL_bgl_string1713za700za7za7t1731za7, "Can't find global anymore -- ", 29);
	      DEFINE_STRING(BGl_string1714z00zztools_shapez00,
		BgL_bgl_string1714za700za7za7t1732za7, "global-shape:", 13);
	      DEFINE_STRING(BGl_string1715z00zztools_shapez00,
		BgL_bgl_string1715za700za7za7t1733za7, "tools_shape", 11);
	      DEFINE_STRING(BGl_string1716z00zztools_shapez00,
		BgL_bgl_string1716za700za7za7t1734za7, "@ _ a-tvector ", 14);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_shapezd2envzd2zztools_shapez00,
		BgL_bgl_za762shapeza762za7za7too1735z00, BGl_z62shapez62zztools_shapez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1693z00zztools_shapez00,
		BgL_bgl_string1693za700za7za7t1736za7, "shape1222", 9);
	      DEFINE_STRING(BGl_string1694z00zztools_shapez00,
		BgL_bgl_string1694za700za7za7t1737za7, "#<class:~a>", 11);
	      DEFINE_STRING(BGl_string1696z00zztools_shapez00,
		BgL_bgl_string1696za700za7za7t1738za7, "shape", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1692z00zztools_shapez00,
		BgL_bgl_za762shape1222za762za71739za7, BGl_z62shape1222z62zztools_shapez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1695z00zztools_shapez00,
		BgL_bgl_za762shapeza7d2globa1740z00,
		BGl_z62shapezd2global1225zb0zztools_shapez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1697z00zztools_shapez00,
		BgL_bgl_za762shapeza7d2local1741z00,
		BGl_z62shapezd2local1227zb0zztools_shapez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1698z00zztools_shapez00,
		BgL_bgl_za762shapeza7d2type11742z00,
		BGl_z62shapezd2type1229zb0zztools_shapez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1699z00zztools_shapez00,
		BgL_bgl_za762shapeza7d2node11743z00,
		BGl_z62shapezd2node1232zb0zztools_shapez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zztools_shapez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long
		BgL_checksumz00_1966, char *BgL_fromz00_1967)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztools_shapez00))
				{
					BGl_requirezd2initializa7ationz75zztools_shapez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zztools_shapez00();
					BGl_libraryzd2moduleszd2initz00zztools_shapez00();
					BGl_cnstzd2initzd2zztools_shapez00();
					BGl_importedzd2moduleszd2initz00zztools_shapez00();
					BGl_genericzd2initzd2zztools_shapez00();
					BGl_methodzd2initzd2zztools_shapez00();
					return BGl_toplevelzd2initzd2zztools_shapez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztools_shapez00(void)
	{
		{	/* Tools/shape.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "tools_shape");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "tools_shape");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "tools_shape");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "tools_shape");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztools_shapez00(void)
	{
		{	/* Tools/shape.scm 16 */
			{	/* Tools/shape.scm 16 */
				obj_t BgL_cportz00_1845;

				{	/* Tools/shape.scm 16 */
					obj_t BgL_stringz00_1852;

					BgL_stringz00_1852 = BGl_string1716z00zztools_shapez00;
					{	/* Tools/shape.scm 16 */
						obj_t BgL_startz00_1853;

						BgL_startz00_1853 = BINT(0L);
						{	/* Tools/shape.scm 16 */
							obj_t BgL_endz00_1854;

							BgL_endz00_1854 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1852)));
							{	/* Tools/shape.scm 16 */

								BgL_cportz00_1845 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1852, BgL_startz00_1853, BgL_endz00_1854);
				}}}}
				{
					long BgL_iz00_1846;

					BgL_iz00_1846 = 2L;
				BgL_loopz00_1847:
					if ((BgL_iz00_1846 == (-1L)))
						{	/* Tools/shape.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Tools/shape.scm 16 */
							{	/* Tools/shape.scm 16 */
								obj_t BgL_arg1717z00_1848;

								{	/* Tools/shape.scm 16 */

									{	/* Tools/shape.scm 16 */
										obj_t BgL_locationz00_1850;

										BgL_locationz00_1850 = BBOOL(((bool_t) 0));
										{	/* Tools/shape.scm 16 */

											BgL_arg1717z00_1848 =
												BGl_readz00zz__readerz00(BgL_cportz00_1845,
												BgL_locationz00_1850);
										}
									}
								}
								{	/* Tools/shape.scm 16 */
									int BgL_tmpz00_2000;

									BgL_tmpz00_2000 = (int) (BgL_iz00_1846);
									CNST_TABLE_SET(BgL_tmpz00_2000, BgL_arg1717z00_1848);
							}}
							{	/* Tools/shape.scm 16 */
								int BgL_auxz00_1851;

								BgL_auxz00_1851 = (int) ((BgL_iz00_1846 - 1L));
								{
									long BgL_iz00_2005;

									BgL_iz00_2005 = (long) (BgL_auxz00_1851);
									BgL_iz00_1846 = BgL_iz00_2005;
									goto BgL_loopz00_1847;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zztools_shapez00(void)
	{
		{	/* Tools/shape.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztools_shapez00(void)
	{
		{	/* Tools/shape.scm 16 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztools_shapez00(void)
	{
		{	/* Tools/shape.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztools_shapez00(void)
	{
		{	/* Tools/shape.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_proc1692z00zztools_shapez00,
				BFALSE, BGl_string1693z00zztools_shapez00);
		}

	}



/* &shape1222 */
	obj_t BGl_z62shape1222z62zztools_shapez00(obj_t BgL_envz00_1828,
		obj_t BgL_expz00_1829)
	{
		{	/* Tools/shape.scm 28 */
			if (BGl_classzf3zf3zz__objectz00(BgL_expz00_1829))
				{	/* Tools/shape.scm 31 */
					obj_t BgL_arg1252z00_1856;

					BgL_arg1252z00_1856 =
						BGl_classzd2namezd2zz__objectz00(BgL_expz00_1829);
					{	/* Tools/shape.scm 31 */
						obj_t BgL_list1253z00_1857;

						BgL_list1253z00_1857 = MAKE_YOUNG_PAIR(BgL_arg1252z00_1856, BNIL);
						return
							BGl_formatz00zz__r4_output_6_10_3z00
							(BGl_string1694z00zztools_shapez00, BgL_list1253z00_1857);
					}
				}
			else
				{	/* Tools/shape.scm 30 */
					if (PAIRP(BgL_expz00_1829))
						{	/* Tools/shape.scm 32 */
							return BGl_loopze70ze7zztools_shapez00(BgL_expz00_1829);
						}
					else
						{	/* Tools/shape.scm 32 */
							if (VECTORP(BgL_expz00_1829))
								{	/* Tools/shape.scm 44 */
									obj_t BgL_resz00_1858;

									BgL_resz00_1858 =
										make_vector(VECTOR_LENGTH(BgL_expz00_1829), BNIL);
									{	/* Tools/shape.scm 45 */

										{
											long BgL_indicez00_1860;

											BgL_indicez00_1860 = 0L;
										BgL_loopz00_1859:
											if (
												(BgL_indicez00_1860 == VECTOR_LENGTH(BgL_expz00_1829)))
												{	/* Tools/shape.scm 47 */
													return BgL_resz00_1858;
												}
											else
												{	/* Tools/shape.scm 47 */
													{	/* Tools/shape.scm 52 */
														obj_t BgL_arg1279z00_1861;

														{	/* Tools/shape.scm 52 */
															obj_t BgL_arg1280z00_1862;

															BgL_arg1280z00_1862 =
																VECTOR_REF(
																((obj_t) BgL_expz00_1829), BgL_indicez00_1860);
															BgL_arg1279z00_1861 =
																BGl_shapez00zztools_shapez00
																(BgL_arg1280z00_1862);
														}
														VECTOR_SET(BgL_resz00_1858, BgL_indicez00_1860,
															BgL_arg1279z00_1861);
													}
													{
														long BgL_indicez00_2028;

														BgL_indicez00_2028 = (BgL_indicez00_1860 + 1L);
														BgL_indicez00_1860 = BgL_indicez00_2028;
														goto BgL_loopz00_1859;
													}
												}
										}
									}
								}
							else
								{	/* Tools/shape.scm 54 */
									bool_t BgL_test1752z00_2030;

									if (STRUCTP(BgL_expz00_1829))
										{	/* Tools/shape.scm 54 */
											BgL_test1752z00_2030 =
												(STRUCT_KEY(BgL_expz00_1829) ==
												((obj_t) CNST_TABLE_REF(0)));
										}
									else
										{	/* Tools/shape.scm 54 */
											BgL_test1752z00_2030 = ((bool_t) 0);
										}
									if (BgL_test1752z00_2030)
										{	/* Tools/shape.scm 55 */
											obj_t BgL_arg1284z00_1863;
											obj_t BgL_arg1285z00_1864;

											BgL_arg1284z00_1863 =
												BGl_shapez00zztools_shapez00(STRUCT_REF(BgL_expz00_1829,
													(int) (0L)));
											BgL_arg1285z00_1864 =
												BGl_shapez00zztools_shapez00(STRUCT_REF(BgL_expz00_1829,
													(int) (1L)));
											{	/* Tools/shape.scm 55 */
												obj_t BgL_newz00_1865;

												BgL_newz00_1865 =
													create_struct(
													((obj_t) CNST_TABLE_REF(0)), (int) (2L));
												{	/* Tools/shape.scm 55 */
													int BgL_tmpz00_2047;

													BgL_tmpz00_2047 = (int) (1L);
													STRUCT_SET(BgL_newz00_1865, BgL_tmpz00_2047,
														BgL_arg1285z00_1864);
												}
												{	/* Tools/shape.scm 55 */
													int BgL_tmpz00_2050;

													BgL_tmpz00_2050 = (int) (0L);
													STRUCT_SET(BgL_newz00_1865, BgL_tmpz00_2050,
														BgL_arg1284z00_1863);
												}
												return BgL_newz00_1865;
											}
										}
									else
										{	/* Tools/shape.scm 54 */
											if (STRUCTP(BgL_expz00_1829))
												{	/* Tools/shape.scm 57 */
													obj_t BgL_keyz00_1866;

													BgL_keyz00_1866 = STRUCT_KEY(BgL_expz00_1829);
													{	/* Tools/shape.scm 57 */
														int BgL_lenz00_1867;

														BgL_lenz00_1867 = STRUCT_LENGTH(BgL_expz00_1829);
														{	/* Tools/shape.scm 58 */
															obj_t BgL_resz00_1868;

															BgL_resz00_1868 =
																make_struct(BgL_keyz00_1866, BgL_lenz00_1867,
																BNIL);
															{	/* Tools/shape.scm 59 */

																{
																	long BgL_indicez00_1870;

																	BgL_indicez00_1870 = 0L;
																BgL_loopz00_1869:
																	if (
																		(BgL_indicez00_1870 ==
																			(long) (BgL_lenz00_1867)))
																		{	/* Tools/shape.scm 61 */
																			return BgL_resz00_1868;
																		}
																	else
																		{	/* Tools/shape.scm 61 */
																			{	/* Tools/shape.scm 66 */
																				obj_t BgL_arg1293z00_1871;

																				{	/* Tools/shape.scm 66 */
																					obj_t BgL_arg1294z00_1872;

																					BgL_arg1294z00_1872 =
																						STRUCT_REF(
																						((obj_t) BgL_expz00_1829),
																						(int) (BgL_indicez00_1870));
																					BgL_arg1293z00_1871 =
																						BGl_shapez00zztools_shapez00
																						(BgL_arg1294z00_1872);
																				}
																				{	/* Tools/shape.scm 64 */
																					int BgL_tmpz00_2065;

																					BgL_tmpz00_2065 =
																						(int) (BgL_indicez00_1870);
																					STRUCT_SET(BgL_resz00_1868,
																						BgL_tmpz00_2065,
																						BgL_arg1293z00_1871);
																			}}
																			{
																				long BgL_indicez00_2068;

																				BgL_indicez00_2068 =
																					(BgL_indicez00_1870 + 1L);
																				BgL_indicez00_1870 = BgL_indicez00_2068;
																				goto BgL_loopz00_1869;
																			}
																		}
																}
															}
														}
													}
												}
											else
												{	/* Tools/shape.scm 56 */
													return BgL_expz00_1829;
												}
										}
								}
						}
				}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zztools_shapez00(obj_t BgL_expz00_1391)
	{
		{	/* Tools/shape.scm 33 */
			if (NULLP(BgL_expz00_1391))
				{	/* Tools/shape.scm 35 */
					return BNIL;
				}
			else
				{	/* Tools/shape.scm 35 */
					if (PAIRP(BgL_expz00_1391))
						{	/* Tools/shape.scm 37 */
							if (EPAIRP(BgL_expz00_1391))
								{	/* Tools/shape.scm 40 */
									obj_t BgL_arg1260z00_1396;
									obj_t BgL_arg1262z00_1397;
									obj_t BgL_arg1266z00_1398;

									BgL_arg1260z00_1396 =
										BGl_shapez00zztools_shapez00(CAR(BgL_expz00_1391));
									BgL_arg1262z00_1397 =
										BGl_loopze70ze7zztools_shapez00(CDR(BgL_expz00_1391));
									BgL_arg1266z00_1398 = CER(BgL_expz00_1391);
									{	/* Tools/shape.scm 40 */
										obj_t BgL_res1683z00_1725;

										BgL_res1683z00_1725 =
											MAKE_YOUNG_EPAIR(BgL_arg1260z00_1396, BgL_arg1262z00_1397,
											BgL_arg1266z00_1398);
										return BgL_res1683z00_1725;
									}
								}
							else
								{	/* Tools/shape.scm 39 */
									return
										MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00(CAR
											(BgL_expz00_1391)),
										BGl_loopze70ze7zztools_shapez00(CDR(BgL_expz00_1391)));
								}
						}
					else
						{	/* Tools/shape.scm 37 */
							BGL_TAIL return BGl_shapez00zztools_shapez00(BgL_expz00_1391);
						}
				}
		}

	}



/* shape */
	BGL_EXPORTED_DEF obj_t BGl_shapez00zztools_shapez00(obj_t BgL_expz00_13)
	{
		{	/* Tools/shape.scm 28 */
			if (BGL_OBJECTP(BgL_expz00_13))
				{	/* Tools/shape.scm 28 */
					obj_t BgL_method1223z00_1436;

					{	/* Tools/shape.scm 28 */
						obj_t BgL_res1690z00_1787;

						{	/* Tools/shape.scm 28 */
							long BgL_objzd2classzd2numz00_1758;

							BgL_objzd2classzd2numz00_1758 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_expz00_13));
							{	/* Tools/shape.scm 28 */
								obj_t BgL_arg1862z00_1759;

								BgL_arg1862z00_1759 =
									PROCEDURE_REF(BGl_shapezd2envzd2zztools_shapez00, (int) (1L));
								{	/* Tools/shape.scm 28 */
									int BgL_offsetz00_1762;

									BgL_offsetz00_1762 = (int) (BgL_objzd2classzd2numz00_1758);
									{	/* Tools/shape.scm 28 */
										long BgL_offsetz00_1763;

										BgL_offsetz00_1763 =
											((long) (BgL_offsetz00_1762) - OBJECT_TYPE);
										{	/* Tools/shape.scm 28 */
											long BgL_modz00_1764;

											BgL_modz00_1764 =
												(BgL_offsetz00_1763 >> (int) ((long) ((int) (4L))));
											{	/* Tools/shape.scm 28 */
												long BgL_restz00_1766;

												BgL_restz00_1766 =
													(BgL_offsetz00_1763 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(1L <<
																			(int) ((long) ((int) (4L)))))) - 1L))));
												{	/* Tools/shape.scm 28 */

													{	/* Tools/shape.scm 28 */
														obj_t BgL_bucketz00_1768;

														BgL_bucketz00_1768 =
															VECTOR_REF(
															((obj_t) BgL_arg1862z00_1759), BgL_modz00_1764);
														BgL_res1690z00_1787 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_1768), BgL_restz00_1766);
						}}}}}}}}
						BgL_method1223z00_1436 = BgL_res1690z00_1787;
					}
					return BGL_PROCEDURE_CALL1(BgL_method1223z00_1436, BgL_expz00_13);
				}
			else
				{	/* Tools/shape.scm 28 */
					obj_t BgL_fun1297z00_1437;

					BgL_fun1297z00_1437 =
						PROCEDURE_REF(BGl_shapezd2envzd2zztools_shapez00, (int) (0L));
					return BGL_PROCEDURE_CALL1(BgL_fun1297z00_1437, BgL_expz00_13);
				}
		}

	}



/* &shape */
	obj_t BGl_z62shapez62zztools_shapez00(obj_t BgL_envz00_1830,
		obj_t BgL_expz00_1831)
	{
		{	/* Tools/shape.scm 28 */
			return BGl_shapez00zztools_shapez00(BgL_expz00_1831);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztools_shapez00(void)
	{
		{	/* Tools/shape.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_globalz00zzast_varz00,
				BGl_proc1695z00zztools_shapez00, BGl_string1696z00zztools_shapez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_localz00zzast_varz00,
				BGl_proc1697z00zztools_shapez00, BGl_string1696z00zztools_shapez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_typez00zztype_typez00,
				BGl_proc1698z00zztools_shapez00, BGl_string1696z00zztools_shapez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_nodez00zzast_nodez00,
				BGl_proc1699z00zztools_shapez00, BGl_string1696z00zztools_shapez00);
		}

	}



/* &shape-node1232 */
	obj_t BGl_z62shapezd2node1232zb0zztools_shapez00(obj_t BgL_envz00_1836,
		obj_t BgL_nodez00_1837)
	{
		{	/* Tools/shape.scm 168 */
			return
				BGl_nodezd2ze3sexpz31zzast_dumpz00(
				((BgL_nodez00_bglt) BgL_nodez00_1837));
		}

	}



/* &shape-type1229 */
	obj_t BGl_z62shapezd2type1229zb0zztools_shapez00(obj_t BgL_envz00_1838,
		obj_t BgL_typez00_1839)
	{
		{	/* Tools/shape.scm 150 */
			{	/* Tools/shape.scm 151 */
				BgL_typez00_bglt BgL_typez00_1874;

				BgL_typez00_1874 = ((BgL_typez00_bglt) BgL_typez00_1839);
				{	/* Tools/shape.scm 151 */
					obj_t BgL_spz00_1875;

					{	/* Tools/shape.scm 151 */
						obj_t BgL_arg1490z00_1876;

						BgL_arg1490z00_1876 =
							(((BgL_typez00_bglt) COBJECT(BgL_typez00_1874))->BgL_idz00);
						{	/* Tools/shape.scm 151 */
							obj_t BgL_arg1486z00_1877;

							BgL_arg1486z00_1877 = SYMBOL_TO_STRING(BgL_arg1490z00_1876);
							BgL_spz00_1875 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1486z00_1877);
						}
					}
					{	/* Tools/shape.scm 151 */
						obj_t BgL_sz00_1878;

						if (CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00))
							{	/* Tools/shape.scm 158 */
								obj_t BgL_arg1487z00_1879;

								{	/* Tools/shape.scm 158 */
									long BgL_arg1489z00_1880;

									BgL_arg1489z00_1880 = (long) (BgL_typez00_1874);
									BgL_arg1487z00_1879 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_arg1489z00_1880, 16L);
								}
								BgL_sz00_1878 =
									string_append_3(BgL_spz00_1875,
									BGl_string1700z00zztools_shapez00, BgL_arg1487z00_1879);
							}
						else
							{	/* Tools/shape.scm 152 */
								BgL_sz00_1878 = BgL_spz00_1875;
							}
						{	/* Tools/shape.scm 152 */

							if (CBOOL(BGl_za2typenamezd2shapezf3za2z21zzengine_paramz00))
								{	/* Tools/shape.scm 162 */
									obj_t BgL_arg1457z00_1881;

									BgL_arg1457z00_1881 =
										(((BgL_typez00_bglt) COBJECT(BgL_typez00_1874))->
										BgL_namez00);
									{	/* Tools/shape.scm 162 */
										obj_t BgL_list1458z00_1882;

										{	/* Tools/shape.scm 162 */
											obj_t BgL_arg1471z00_1883;

											{	/* Tools/shape.scm 162 */
												obj_t BgL_arg1480z00_1884;

												{	/* Tools/shape.scm 162 */
													obj_t BgL_arg1484z00_1885;

													BgL_arg1484z00_1885 =
														MAKE_YOUNG_PAIR(BGl_string1701z00zztools_shapez00,
														BNIL);
													BgL_arg1480z00_1884 =
														MAKE_YOUNG_PAIR(BgL_arg1457z00_1881,
														BgL_arg1484z00_1885);
												}
												BgL_arg1471z00_1883 =
													MAKE_YOUNG_PAIR(BGl_string1701z00zztools_shapez00,
													BgL_arg1480z00_1884);
											}
											BgL_list1458z00_1882 =
												MAKE_YOUNG_PAIR(BgL_sz00_1878, BgL_arg1471z00_1883);
										}
										return
											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
											(BgL_list1458z00_1882);
									}
								}
							else
								{	/* Tools/shape.scm 161 */
									return BgL_sz00_1878;
								}
						}
					}
				}
			}
		}

	}



/* &shape-local1227 */
	obj_t BGl_z62shapezd2local1227zb0zztools_shapez00(obj_t BgL_envz00_1840,
		obj_t BgL_varz00_1841)
	{
		{	/* Tools/shape.scm 115 */
			{	/* Tools/shape.scm 116 */
				obj_t BgL_symz00_1887;

				if (CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00))
					{	/* Tools/shape.scm 117 */
						obj_t BgL_arg1414z00_1888;
						obj_t BgL_arg1415z00_1889;

						BgL_arg1414z00_1888 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_varz00_1841))))->BgL_idz00);
						{	/* Tools/shape.scm 120 */
							obj_t BgL_arg1419z00_1890;

							{	/* Tools/shape.scm 120 */

								BgL_arg1419z00_1890 =
									BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
									(((BgL_localz00_bglt) COBJECT(
												((BgL_localz00_bglt) BgL_varz00_1841)))->BgL_keyz00),
									10L);
							}
							BgL_arg1415z00_1889 = bstring_to_symbol(BgL_arg1419z00_1890);
						}
						{	/* Tools/shape.scm 117 */
							obj_t BgL_list1416z00_1891;

							{	/* Tools/shape.scm 117 */
								obj_t BgL_arg1417z00_1892;

								{	/* Tools/shape.scm 117 */
									obj_t BgL_arg1418z00_1893;

									BgL_arg1418z00_1893 =
										MAKE_YOUNG_PAIR(BgL_arg1415z00_1889, BNIL);
									BgL_arg1417z00_1892 =
										MAKE_YOUNG_PAIR(
										((obj_t) CNST_TABLE_REF(1)), BgL_arg1418z00_1893);
								}
								BgL_list1416z00_1891 =
									MAKE_YOUNG_PAIR(BgL_arg1414z00_1888, BgL_arg1417z00_1892);
							}
							BgL_symz00_1887 =
								BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
								(BgL_list1416z00_1891);
						}
					}
				else
					{	/* Tools/shape.scm 116 */
						BgL_symz00_1887 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_varz00_1841))))->BgL_idz00);
					}
				{	/* Tools/shape.scm 116 */
					obj_t BgL_symz00_1894;

					{	/* Tools/shape.scm 122 */
						obj_t BgL_arg1486z00_1895;

						BgL_arg1486z00_1895 = SYMBOL_TO_STRING(BgL_symz00_1887);
						BgL_symz00_1894 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1486z00_1895);
					}
					{	/* Tools/shape.scm 122 */
						BgL_typez00_bglt BgL_typez00_1896;

						BgL_typez00_1896 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_varz00_1841))))->BgL_typez00);
						{	/* Tools/shape.scm 123 */
							obj_t BgL_tshapez00_1897;

							if (CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
								{	/* Tools/shape.scm 126 */
									obj_t BgL_arg1406z00_1898;

									BgL_arg1406z00_1898 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_typez00_1896));
									BgL_tshapez00_1897 =
										string_append(BGl_string1702z00zztools_shapez00,
										BgL_arg1406z00_1898);
								}
							else
								{	/* Tools/shape.scm 124 */
									BgL_tshapez00_1897 = BGl_string1703z00zztools_shapez00;
								}
							{	/* Tools/shape.scm 124 */
								obj_t BgL_ushapez00_1899;

								if (CBOOL(BGl_za2userzd2shapezf3za2z21zzengine_paramz00))
									{	/* Tools/shape.scm 127 */
										if (
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_varz00_1841))))->
												BgL_userzf3zf3))
											{	/* Tools/shape.scm 129 */
												BgL_ushapez00_1899 = BGl_string1704z00zztools_shapez00;
											}
										else
											{	/* Tools/shape.scm 129 */
												BgL_ushapez00_1899 = BGl_string1705z00zztools_shapez00;
											}
									}
								else
									{	/* Tools/shape.scm 127 */
										BgL_ushapez00_1899 = BGl_string1703z00zztools_shapez00;
									}
								{	/* Tools/shape.scm 127 */
									obj_t BgL_ashapez00_1900;

									if (CBOOL(BGl_za2accesszd2shapezf3za2z21zzengine_paramz00))
										{	/* Tools/shape.scm 136 */
											obj_t BgL_arg1402z00_1901;

											{	/* Tools/shape.scm 136 */
												obj_t BgL_arg1403z00_1902;

												BgL_arg1403z00_1902 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_1841))))->
													BgL_accessz00);
												{	/* Tools/shape.scm 136 */
													obj_t BgL_arg1486z00_1903;

													BgL_arg1486z00_1903 =
														SYMBOL_TO_STRING(((obj_t) BgL_arg1403z00_1902));
													BgL_arg1402z00_1901 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1486z00_1903);
												}
											}
											BgL_ashapez00_1900 =
												string_append_3(BGl_string1706z00zztools_shapez00,
												BgL_arg1402z00_1901, BGl_string1707z00zztools_shapez00);
										}
									else
										{	/* Tools/shape.scm 133 */
											BgL_ashapez00_1900 = BGl_string1703z00zztools_shapez00;
										}
									{	/* Tools/shape.scm 132 */
										obj_t BgL_xshapez00_1904;

										if (CBOOL(BGl_za2accesszd2shapezf3za2z21zzengine_paramz00))
											{	/* Tools/shape.scm 138 */
												if (
													((((BgL_localz00_bglt) COBJECT(
																	((BgL_localz00_bglt) BgL_varz00_1841)))->
															BgL_valzd2noescapezd2) == BTRUE))
													{	/* Tools/shape.scm 141 */
														BgL_xshapez00_1904 =
															BGl_string1708z00zztools_shapez00;
													}
												else
													{	/* Tools/shape.scm 141 */
														if (
															((((BgL_localz00_bglt) COBJECT(
																			((BgL_localz00_bglt) BgL_varz00_1841)))->
																	BgL_valzd2noescapezd2) == BFALSE))
															{	/* Tools/shape.scm 142 */
																BgL_xshapez00_1904 =
																	BGl_string1709z00zztools_shapez00;
															}
														else
															{	/* Tools/shape.scm 142 */
																BgL_xshapez00_1904 =
																	BGl_string1710z00zztools_shapez00;
															}
													}
											}
										else
											{	/* Tools/shape.scm 138 */
												BgL_xshapez00_1904 = BGl_string1703z00zztools_shapez00;
											}
										{	/* Tools/shape.scm 138 */

											{	/* Tools/shape.scm 145 */
												obj_t BgL_arg1380z00_1905;

												{	/* Tools/shape.scm 145 */
													obj_t BgL_list1381z00_1906;

													{	/* Tools/shape.scm 145 */
														obj_t BgL_arg1382z00_1907;

														{	/* Tools/shape.scm 145 */
															obj_t BgL_arg1383z00_1908;

															{	/* Tools/shape.scm 145 */
																obj_t BgL_arg1385z00_1909;

																{	/* Tools/shape.scm 145 */
																	obj_t BgL_arg1386z00_1910;

																	BgL_arg1386z00_1910 =
																		MAKE_YOUNG_PAIR(BgL_xshapez00_1904, BNIL);
																	BgL_arg1385z00_1909 =
																		MAKE_YOUNG_PAIR(BgL_ashapez00_1900,
																		BgL_arg1386z00_1910);
																}
																BgL_arg1383z00_1908 =
																	MAKE_YOUNG_PAIR(BgL_ushapez00_1899,
																	BgL_arg1385z00_1909);
															}
															BgL_arg1382z00_1907 =
																MAKE_YOUNG_PAIR(BgL_tshapez00_1897,
																BgL_arg1383z00_1908);
														}
														BgL_list1381z00_1906 =
															MAKE_YOUNG_PAIR(BgL_symz00_1894,
															BgL_arg1382z00_1907);
													}
													BgL_arg1380z00_1905 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list1381z00_1906);
												}
												return bstring_to_symbol(BgL_arg1380z00_1905);
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &shape-global1225 */
	obj_t BGl_z62shapezd2global1225zb0zztools_shapez00(obj_t BgL_envz00_1842,
		obj_t BgL_varz00_1843)
	{
		{	/* Tools/shape.scm 74 */
			{	/* Tools/shape.scm 75 */
				obj_t BgL_strzd2idzd2_1912;

				if (CBOOL(BGl_za2namezd2shapezf3za2z21zzengine_paramz00))
					{	/* Tools/shape.scm 77 */
						obj_t BgL_arg1367z00_1913;
						obj_t BgL_arg1370z00_1914;

						BgL_arg1367z00_1913 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_1843))))->BgL_idz00);
						BgL_arg1370z00_1914 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_1843))))->BgL_namez00);
						{	/* Tools/shape.scm 77 */
							obj_t BgL_list1371z00_1915;

							{	/* Tools/shape.scm 77 */
								obj_t BgL_arg1376z00_1916;

								BgL_arg1376z00_1916 =
									MAKE_YOUNG_PAIR(BgL_arg1370z00_1914, BNIL);
								BgL_list1371z00_1915 =
									MAKE_YOUNG_PAIR(BgL_arg1367z00_1913, BgL_arg1376z00_1916);
							}
							BgL_strzd2idzd2_1912 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string1711z00zztools_shapez00, BgL_list1371z00_1915);
						}
					}
				else
					{	/* Tools/shape.scm 76 */
						obj_t BgL_arg1379z00_1917;

						BgL_arg1379z00_1917 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_1843))))->BgL_idz00);
						{	/* Tools/shape.scm 76 */
							obj_t BgL_arg1486z00_1918;

							BgL_arg1486z00_1918 = SYMBOL_TO_STRING(BgL_arg1379z00_1917);
							BgL_strzd2idzd2_1912 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1486z00_1918);
						}
					}
				{	/* Tools/shape.scm 75 */
					obj_t BgL_modulez00_1919;

					{	/* Tools/shape.scm 78 */
						obj_t BgL_arg1365z00_1920;

						BgL_arg1365z00_1920 =
							(((BgL_globalz00_bglt) COBJECT(
									((BgL_globalz00_bglt) BgL_varz00_1843)))->BgL_modulez00);
						{	/* Tools/shape.scm 78 */
							obj_t BgL_arg1486z00_1921;

							BgL_arg1486z00_1921 = SYMBOL_TO_STRING(BgL_arg1365z00_1920);
							BgL_modulez00_1919 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1486z00_1921);
						}
					}
					{	/* Tools/shape.scm 78 */
						BgL_typez00_bglt BgL_typez00_1922;

						BgL_typez00_1922 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_1843))))->BgL_typez00);
						{	/* Tools/shape.scm 79 */
							obj_t BgL_tshapez00_1923;

							if (CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
								{	/* Tools/shape.scm 82 */
									obj_t BgL_arg1364z00_1924;

									BgL_arg1364z00_1924 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_typez00_1922));
									BgL_tshapez00_1923 =
										string_append(BGl_string1702z00zztools_shapez00,
										BgL_arg1364z00_1924);
								}
							else
								{	/* Tools/shape.scm 80 */
									BgL_tshapez00_1923 = BGl_string1703z00zztools_shapez00;
								}
							{	/* Tools/shape.scm 80 */
								obj_t BgL_ushapez00_1925;

								if (CBOOL(BGl_za2userzd2shapezf3za2z21zzengine_paramz00))
									{	/* Tools/shape.scm 83 */
										if (
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_varz00_1843))))->
												BgL_userzf3zf3))
											{	/* Tools/shape.scm 85 */
												BgL_ushapez00_1925 = BGl_string1704z00zztools_shapez00;
											}
										else
											{	/* Tools/shape.scm 85 */
												BgL_ushapez00_1925 = BGl_string1705z00zztools_shapez00;
											}
									}
								else
									{	/* Tools/shape.scm 83 */
										BgL_ushapez00_1925 = BGl_string1703z00zztools_shapez00;
									}
								{	/* Tools/shape.scm 83 */
									obj_t BgL_ashapez00_1926;

									if (CBOOL(BGl_za2accesszd2shapezf3za2z21zzengine_paramz00))
										{	/* Tools/shape.scm 93 */
											obj_t BgL_arg1360z00_1927;

											{	/* Tools/shape.scm 93 */
												obj_t BgL_arg1361z00_1928;

												BgL_arg1361z00_1928 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_varz00_1843))))->
													BgL_accessz00);
												{	/* Tools/shape.scm 93 */
													obj_t BgL_arg1486z00_1929;

													BgL_arg1486z00_1929 =
														SYMBOL_TO_STRING(((obj_t) BgL_arg1361z00_1928));
													BgL_arg1360z00_1927 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1486z00_1929);
												}
											}
											BgL_ashapez00_1926 =
												string_append_3(BGl_string1706z00zztools_shapez00,
												BgL_arg1360z00_1927, BGl_string1707z00zztools_shapez00);
										}
									else
										{	/* Tools/shape.scm 89 */
											BgL_ashapez00_1926 = BGl_string1703z00zztools_shapez00;
										}
									{	/* Tools/shape.scm 88 */

										if (CBOOL(BGl_za2modulezd2shapezf3za2z21zzengine_paramz00))
											{	/* Tools/shape.scm 97 */
												obj_t BgL_arg1298z00_1930;

												{	/* Tools/shape.scm 97 */
													obj_t BgL_list1299z00_1931;

													{	/* Tools/shape.scm 97 */
														obj_t BgL_arg1301z00_1932;

														{	/* Tools/shape.scm 97 */
															obj_t BgL_arg1302z00_1933;

															{	/* Tools/shape.scm 97 */
																obj_t BgL_arg1303z00_1934;

																{	/* Tools/shape.scm 97 */
																	obj_t BgL_arg1304z00_1935;

																	{	/* Tools/shape.scm 97 */
																		obj_t BgL_arg1305z00_1936;

																		BgL_arg1305z00_1936 =
																			MAKE_YOUNG_PAIR(BgL_ashapez00_1926, BNIL);
																		BgL_arg1304z00_1935 =
																			MAKE_YOUNG_PAIR(BgL_ushapez00_1925,
																			BgL_arg1305z00_1936);
																	}
																	BgL_arg1303z00_1934 =
																		MAKE_YOUNG_PAIR(BgL_tshapez00_1923,
																		BgL_arg1304z00_1935);
																}
																BgL_arg1302z00_1933 =
																	MAKE_YOUNG_PAIR(BgL_modulez00_1919,
																	BgL_arg1303z00_1934);
															}
															BgL_arg1301z00_1932 =
																MAKE_YOUNG_PAIR
																(BGl_string1712z00zztools_shapez00,
																BgL_arg1302z00_1933);
														}
														BgL_list1299z00_1931 =
															MAKE_YOUNG_PAIR(BgL_strzd2idzd2_1912,
															BgL_arg1301z00_1932);
													}
													BgL_arg1298z00_1930 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list1299z00_1931);
												}
												return bstring_to_symbol(BgL_arg1298z00_1930);
											}
										else
											{

												{	/* Tools/shape.scm 99 */
													obj_t BgL_aux1103z00_1946;

													{	/* Tools/shape.scm 99 */
														obj_t BgL_arg1336z00_1947;
														obj_t BgL_arg1338z00_1948;

														BgL_arg1336z00_1947 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_varz00_1843))))->
															BgL_idz00);
														BgL_arg1338z00_1948 =
															(((BgL_globalz00_bglt)
																COBJECT(((BgL_globalz00_bglt)
																		BgL_varz00_1843)))->BgL_modulez00);
														BgL_aux1103z00_1946 =
															BGl_globalzd2bucketzd2positionz00zzast_envz00
															(BgL_arg1336z00_1947, BgL_arg1338z00_1948);
													}
													if (INTEGERP(BgL_aux1103z00_1946))
														{	/* Tools/shape.scm 99 */
															switch ((long) CINT(BgL_aux1103z00_1946))
																{
																case (-1L):

																	{	/* Tools/shape.scm 103 */
																		obj_t BgL_arg1309z00_1949;

																		{	/* Tools/shape.scm 103 */
																			obj_t BgL_arg1314z00_1950;

																			{	/* Tools/shape.scm 103 */
																				obj_t BgL_arg1315z00_1951;
																				obj_t BgL_arg1316z00_1952;

																				BgL_arg1315z00_1951 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_varz00_1843))))->
																					BgL_idz00);
																				BgL_arg1316z00_1952 =
																					MAKE_YOUNG_PAIR((((BgL_globalz00_bglt)
																							COBJECT(((BgL_globalz00_bglt)
																									BgL_varz00_1843)))->
																						BgL_modulez00), BNIL);
																				BgL_arg1314z00_1950 =
																					MAKE_YOUNG_PAIR(BgL_arg1315z00_1951,
																					BgL_arg1316z00_1952);
																			}
																			BgL_arg1309z00_1949 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(2)),
																				BgL_arg1314z00_1950);
																		}
																		{	/* Tools/shape.scm 101 */
																			obj_t BgL_list1310z00_1953;

																			{	/* Tools/shape.scm 101 */
																				obj_t BgL_arg1311z00_1954;

																				{	/* Tools/shape.scm 101 */
																					obj_t BgL_arg1313z00_1955;

																					BgL_arg1313z00_1955 =
																						MAKE_YOUNG_PAIR(BgL_arg1309z00_1949,
																						BNIL);
																					BgL_arg1311z00_1954 =
																						MAKE_YOUNG_PAIR
																						(BGl_string1713z00zztools_shapez00,
																						BgL_arg1313z00_1955);
																				}
																				BgL_list1310z00_1953 =
																					MAKE_YOUNG_PAIR
																					(BGl_string1714z00zztools_shapez00,
																					BgL_arg1311z00_1954);
																			}
																			BGl_warningz00zz__errorz00
																				(BgL_list1310z00_1953);
																		}
																	}
																	{	/* Tools/shape.scm 104 */
																		obj_t BgL_arg1318z00_1956;

																		{	/* Tools/shape.scm 104 */
																			obj_t BgL_list1319z00_1957;

																			{	/* Tools/shape.scm 104 */
																				obj_t BgL_arg1320z00_1958;

																				{	/* Tools/shape.scm 104 */
																					obj_t BgL_arg1321z00_1959;

																					{	/* Tools/shape.scm 104 */
																						obj_t BgL_arg1322z00_1960;

																						BgL_arg1322z00_1960 =
																							MAKE_YOUNG_PAIR
																							(BgL_ashapez00_1926, BNIL);
																						BgL_arg1321z00_1959 =
																							MAKE_YOUNG_PAIR
																							(BgL_ushapez00_1925,
																							BgL_arg1322z00_1960);
																					}
																					BgL_arg1320z00_1958 =
																						MAKE_YOUNG_PAIR(BgL_tshapez00_1923,
																						BgL_arg1321z00_1959);
																				}
																				BgL_list1319z00_1957 =
																					MAKE_YOUNG_PAIR(BgL_strzd2idzd2_1912,
																					BgL_arg1320z00_1958);
																			}
																			BgL_arg1318z00_1956 =
																				BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																				(BgL_list1319z00_1957);
																		}
																		return
																			bstring_to_symbol(BgL_arg1318z00_1956);
																	}
																	break;
																case 0L:

																	{	/* Tools/shape.scm 106 */
																		obj_t BgL_arg1326z00_1961;

																		{	/* Tools/shape.scm 106 */
																			obj_t BgL_list1327z00_1962;

																			{	/* Tools/shape.scm 106 */
																				obj_t BgL_arg1331z00_1963;

																				{	/* Tools/shape.scm 106 */
																					obj_t BgL_arg1332z00_1964;

																					{	/* Tools/shape.scm 106 */
																						obj_t BgL_arg1333z00_1965;

																						BgL_arg1333z00_1965 =
																							MAKE_YOUNG_PAIR
																							(BgL_ashapez00_1926, BNIL);
																						BgL_arg1332z00_1964 =
																							MAKE_YOUNG_PAIR
																							(BgL_ushapez00_1925,
																							BgL_arg1333z00_1965);
																					}
																					BgL_arg1331z00_1963 =
																						MAKE_YOUNG_PAIR(BgL_tshapez00_1923,
																						BgL_arg1332z00_1964);
																				}
																				BgL_list1327z00_1962 =
																					MAKE_YOUNG_PAIR(BgL_strzd2idzd2_1912,
																					BgL_arg1331z00_1963);
																			}
																			BgL_arg1326z00_1961 =
																				BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																				(BgL_list1327z00_1962);
																		}
																		return
																			bstring_to_symbol(BgL_arg1326z00_1961);
																	}
																	break;
																default:
																BgL_case_else1102z00_1937:
																	{	/* Tools/shape.scm 108 */
																		obj_t BgL_symz00_1938;

																		{	/* Tools/shape.scm 109 */
																			obj_t BgL_arg1342z00_1939;

																			{	/* Tools/shape.scm 109 */
																				obj_t BgL_list1343z00_1940;

																				{	/* Tools/shape.scm 109 */
																					obj_t BgL_arg1355z00_1941;

																					{	/* Tools/shape.scm 109 */
																						obj_t BgL_arg1358z00_1942;

																						{	/* Tools/shape.scm 109 */
																							obj_t BgL_arg1359z00_1943;

																							BgL_arg1359z00_1943 =
																								MAKE_YOUNG_PAIR
																								(BgL_ashapez00_1926, BNIL);
																							BgL_arg1358z00_1942 =
																								MAKE_YOUNG_PAIR
																								(BgL_ushapez00_1925,
																								BgL_arg1359z00_1943);
																						}
																						BgL_arg1355z00_1941 =
																							MAKE_YOUNG_PAIR
																							(BgL_tshapez00_1923,
																							BgL_arg1358z00_1942);
																					}
																					BgL_list1343z00_1940 =
																						MAKE_YOUNG_PAIR
																						(BgL_strzd2idzd2_1912,
																						BgL_arg1355z00_1941);
																				}
																				BgL_arg1342z00_1939 =
																					BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																					(BgL_list1343z00_1940);
																			}
																			BgL_symz00_1938 =
																				bstring_to_symbol(BgL_arg1342z00_1939);
																		}
																		{	/* Tools/shape.scm 110 */
																			obj_t BgL_arg1339z00_1944;

																			{	/* Tools/shape.scm 110 */
																				obj_t BgL_arg1340z00_1945;

																				BgL_arg1340z00_1945 =
																					MAKE_YOUNG_PAIR(bstring_to_symbol
																					(BgL_modulez00_1919), BNIL);
																				BgL_arg1339z00_1944 =
																					MAKE_YOUNG_PAIR(BgL_symz00_1938,
																					BgL_arg1340z00_1945);
																			}
																			return
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(2)),
																				BgL_arg1339z00_1944);
																		}
																	}
																}
														}
													else
														{	/* Tools/shape.scm 99 */
															goto BgL_case_else1102z00_1937;
														}
												}
											}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztools_shapez00(void)
	{
		{	/* Tools/shape.scm 16 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1715z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1715z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1715z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string1715z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1715z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1715z00zztools_shapez00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1715z00zztools_shapez00));
		}

	}

#ifdef __cplusplus
}
#endif
