/*===========================================================================*/
/*   (Trace/isloop.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Trace/isloop.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_TRACE_ISLOOP_TYPE_DEFINITIONS
#define BGL_TRACE_ISLOOP_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


#endif													// BGL_TRACE_ISLOOP_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_tailzf3zf3zztrace_isloopz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static obj_t BGl_z62tailzf3zd2funcall1276z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztrace_isloopz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t
		BGl_isloopzf3zf3zztrace_isloopz00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62tailzf3zd2letzd2var1284z91zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zztrace_isloopz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62tailzf3z91zztrace_isloopz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zztrace_isloopz00(void);
	static obj_t BGl_objectzd2initzd2zztrace_isloopz00(void);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62tailzf31262z91zztrace_isloopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zztrace_isloopz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62tailzf3zd2conditional1280z43zztrace_isloopz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62tailzf3zd2setq1278z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailzf3zd2var1270z43zztrace_isloopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62isloopzf3z91zztrace_isloopz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zztrace_isloopz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62tailzf3zd2kwote1268z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailzf3zd2sequence1272z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_libraryzd2moduleszd2initz00zztrace_isloopz00(void);
	static obj_t BGl_z62tailzf3zd2letzd2fun1282z91zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailzf3zd2app1274z43zztrace_isloopz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zztrace_isloopz00(void);
	static obj_t BGl_gczd2rootszd2initz00zztrace_isloopz00(void);
	static obj_t BGl_z62tailzf3zd2switch1286z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailzf3zd2extern1288z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62tailzf3zd2literal1266z43zztrace_isloopz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_tailzf3zd2envz21zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za791za7za7t1782za7,
		BGl_z62tailzf3z91zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1767z00zztrace_isloopz00,
		BgL_bgl_string1767za700za7za7t1783za7, "tail?1262", 9);
	      DEFINE_STRING(BGl_string1769z00zztrace_isloopz00,
		BgL_bgl_string1769za700za7za7t1784za7, "tail?", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1766z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f31262za791785za7,
		BGl_z62tailzf31262z91zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1768z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2lit1786za7,
		BGl_z62tailzf3zd2literal1266z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1770z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2kwo1787za7,
		BGl_z62tailzf3zd2kwote1268z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1771z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2var1788za7,
		BGl_z62tailzf3zd2var1270z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1772z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2seq1789za7,
		BGl_z62tailzf3zd2sequence1272z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1773z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2app1790za7,
		BGl_z62tailzf3zd2app1274z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1774z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2fun1791za7,
		BGl_z62tailzf3zd2funcall1276z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1781z00zztrace_isloopz00,
		BgL_bgl_string1781za700za7za7t1792za7, "trace_isloop", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1775z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2set1793za7,
		BGl_z62tailzf3zd2setq1278z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1776z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2con1794za7,
		BGl_z62tailzf3zd2conditional1280z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1777z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2let1795za7,
		BGl_z62tailzf3zd2letzd2fun1282z91zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1778z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2let1796za7,
		BGl_z62tailzf3zd2letzd2var1284z91zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1779z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2swi1797za7,
		BGl_z62tailzf3zd2switch1286z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1780z00zztrace_isloopz00,
		BgL_bgl_za762tailza7f3za7d2ext1798za7,
		BGl_z62tailzf3zd2extern1288z43zztrace_isloopz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isloopzf3zd2envz21zztrace_isloopz00,
		BgL_bgl_za762isloopza7f3za791za71799z00,
		BGl_z62isloopzf3z91zztrace_isloopz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zztrace_isloopz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztrace_isloopz00(long
		BgL_checksumz00_2249, char *BgL_fromz00_2250)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztrace_isloopz00))
				{
					BGl_requirezd2initializa7ationz75zztrace_isloopz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zztrace_isloopz00();
					BGl_libraryzd2moduleszd2initz00zztrace_isloopz00();
					BGl_importedzd2moduleszd2initz00zztrace_isloopz00();
					BGl_genericzd2initzd2zztrace_isloopz00();
					BGl_methodzd2initzd2zztrace_isloopz00();
					return BGl_toplevelzd2initzd2zztrace_isloopz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztrace_isloopz00(void)
	{
		{	/* Trace/isloop.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "trace_isloop");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "trace_isloop");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"trace_isloop");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "trace_isloop");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"trace_isloop");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"trace_isloop");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "trace_isloop");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "trace_isloop");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zztrace_isloopz00(void)
	{
		{	/* Trace/isloop.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztrace_isloopz00(void)
	{
		{	/* Trace/isloop.scm 15 */
			return BUNSPEC;
		}

	}



/* isloop? */
	BGL_EXPORTED_DEF bool_t
		BGl_isloopzf3zf3zztrace_isloopz00(BgL_letzd2funzd2_bglt BgL_nodez00_17)
	{
		{	/* Trace/isloop.scm 38 */
			{	/* Trace/isloop.scm 40 */
				bool_t BgL_test1801z00_2269;

				{	/* Trace/isloop.scm 40 */
					bool_t BgL_test1802z00_2270;

					{	/* Trace/isloop.scm 40 */
						obj_t BgL_tmpz00_2271;

						BgL_tmpz00_2271 =
							(((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
							BgL_localsz00);
						BgL_test1802z00_2270 = PAIRP(BgL_tmpz00_2271);
					}
					if (BgL_test1802z00_2270)
						{	/* Trace/isloop.scm 40 */
							BgL_test1801z00_2269 =
								NULLP(CDR(
									(((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
										BgL_localsz00)));
						}
					else
						{	/* Trace/isloop.scm 40 */
							BgL_test1801z00_2269 = ((bool_t) 0);
						}
				}
				if (BgL_test1801z00_2269)
					{	/* Trace/isloop.scm 41 */
						bool_t BgL_test1803z00_2277;

						{	/* Trace/isloop.scm 41 */
							BgL_nodez00_bglt BgL_arg1340z00_1555;

							BgL_arg1340z00_1555 =
								(((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
								BgL_bodyz00);
							{	/* Trace/isloop.scm 41 */
								obj_t BgL_classz00_1958;

								BgL_classz00_1958 = BGl_appz00zzast_nodez00;
								{	/* Trace/isloop.scm 41 */
									BgL_objectz00_bglt BgL_arg1858z00_1960;

									{	/* Trace/isloop.scm 41 */
										obj_t BgL_tmpz00_2279;

										BgL_tmpz00_2279 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1340z00_1555));
										BgL_arg1858z00_1960 =
											(BgL_objectz00_bglt) (BgL_tmpz00_2279);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Trace/isloop.scm 41 */
											long BgL_idxz00_1966;

											BgL_idxz00_1966 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1960);
											BgL_test1803z00_2277 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_1966 + 3L)) == BgL_classz00_1958);
										}
									else
										{	/* Trace/isloop.scm 41 */
											bool_t BgL_res1759z00_1991;

											{	/* Trace/isloop.scm 41 */
												obj_t BgL_oclassz00_1974;

												{	/* Trace/isloop.scm 41 */
													obj_t BgL_arg1866z00_1982;
													long BgL_arg1867z00_1983;

													BgL_arg1866z00_1982 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Trace/isloop.scm 41 */
														long BgL_arg1869z00_1984;

														BgL_arg1869z00_1984 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1960);
														BgL_arg1867z00_1983 =
															(BgL_arg1869z00_1984 - OBJECT_TYPE);
													}
													BgL_oclassz00_1974 =
														VECTOR_REF(BgL_arg1866z00_1982,
														BgL_arg1867z00_1983);
												}
												{	/* Trace/isloop.scm 41 */
													bool_t BgL__ortest_1115z00_1975;

													BgL__ortest_1115z00_1975 =
														(BgL_classz00_1958 == BgL_oclassz00_1974);
													if (BgL__ortest_1115z00_1975)
														{	/* Trace/isloop.scm 41 */
															BgL_res1759z00_1991 = BgL__ortest_1115z00_1975;
														}
													else
														{	/* Trace/isloop.scm 41 */
															long BgL_odepthz00_1976;

															{	/* Trace/isloop.scm 41 */
																obj_t BgL_arg1855z00_1977;

																BgL_arg1855z00_1977 = (BgL_oclassz00_1974);
																BgL_odepthz00_1976 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_1977);
															}
															if ((3L < BgL_odepthz00_1976))
																{	/* Trace/isloop.scm 41 */
																	obj_t BgL_arg1853z00_1979;

																	{	/* Trace/isloop.scm 41 */
																		obj_t BgL_arg1854z00_1980;

																		BgL_arg1854z00_1980 = (BgL_oclassz00_1974);
																		BgL_arg1853z00_1979 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_1980, 3L);
																	}
																	BgL_res1759z00_1991 =
																		(BgL_arg1853z00_1979 == BgL_classz00_1958);
																}
															else
																{	/* Trace/isloop.scm 41 */
																	BgL_res1759z00_1991 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1803z00_2277 = BgL_res1759z00_1991;
										}
								}
							}
						}
						if (BgL_test1803z00_2277)
							{	/* Trace/isloop.scm 42 */
								bool_t BgL_test1808z00_2302;

								{	/* Trace/isloop.scm 42 */
									BgL_nodez00_bglt BgL_arg1336z00_1552;
									obj_t BgL_arg1338z00_1553;

									BgL_arg1336z00_1552 =
										(((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
										BgL_bodyz00);
									BgL_arg1338z00_1553 =
										CAR((((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
											BgL_localsz00));
									BgL_test1808z00_2302 =
										CBOOL(BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1336z00_1552,
											((BgL_variablez00_bglt) BgL_arg1338z00_1553), BTRUE));
								}
								if (BgL_test1808z00_2302)
									{	/* Trace/isloop.scm 43 */
										BgL_valuez00_bglt BgL_funz00_1545;

										{
											BgL_variablez00_bglt BgL_auxz00_2309;

											{
												BgL_localz00_bglt BgL_auxz00_2310;

												{	/* Trace/isloop.scm 43 */
													obj_t BgL_pairz00_1993;

													BgL_pairz00_1993 =
														(((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
														BgL_localsz00);
													BgL_auxz00_2310 =
														((BgL_localz00_bglt) CAR(BgL_pairz00_1993));
												}
												BgL_auxz00_2309 =
													((BgL_variablez00_bglt) BgL_auxz00_2310);
											}
											BgL_funz00_1545 =
												(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_2309))->
												BgL_valuez00);
										}
										{	/* Trace/isloop.scm 45 */
											obj_t BgL_arg1326z00_1547;
											obj_t BgL_arg1327z00_1548;

											BgL_arg1326z00_1547 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_1545)))->
												BgL_bodyz00);
											BgL_arg1327z00_1548 =
												CAR((((BgL_letzd2funzd2_bglt) COBJECT(BgL_nodez00_17))->
													BgL_localsz00));
											return
												CBOOL(BGl_tailzf3zf3zztrace_isloopz00((
														(BgL_nodez00_bglt) BgL_arg1326z00_1547),
													((BgL_variablez00_bglt) BgL_arg1327z00_1548), BTRUE));
										}
									}
								else
									{	/* Trace/isloop.scm 42 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Trace/isloop.scm 41 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Trace/isloop.scm 40 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &isloop? */
	obj_t BGl_z62isloopzf3z91zztrace_isloopz00(obj_t BgL_envz00_2087,
		obj_t BgL_nodez00_2088)
	{
		{	/* Trace/isloop.scm 38 */
			return
				BBOOL(BGl_isloopzf3zf3zztrace_isloopz00(
					((BgL_letzd2funzd2_bglt) BgL_nodez00_2088)));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztrace_isloopz00(void)
	{
		{	/* Trace/isloop.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztrace_isloopz00(void)
	{
		{	/* Trace/isloop.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00,
				BGl_proc1766z00zztrace_isloopz00, BGl_nodez00zzast_nodez00,
				BGl_string1767z00zztrace_isloopz00);
		}

	}



/* &tail?1262 */
	obj_t BGl_z62tailzf31262z91zztrace_isloopz00(obj_t BgL_envz00_2090,
		obj_t BgL_nodez00_2091, obj_t BgL_funz00_2092, obj_t BgL_tailpz00_2093)
	{
		{	/* Trace/isloop.scm 50 */
			return BBOOL(((bool_t) 0));
		}

	}



/* tail? */
	obj_t BGl_tailzf3zf3zztrace_isloopz00(BgL_nodez00_bglt BgL_nodez00_18,
		BgL_variablez00_bglt BgL_funz00_19, obj_t BgL_tailpz00_20)
	{
		{	/* Trace/isloop.scm 50 */
			{	/* Trace/isloop.scm 50 */
				obj_t BgL_method1264z00_1566;

				{	/* Trace/isloop.scm 50 */
					obj_t BgL_res1764z00_2026;

					{	/* Trace/isloop.scm 50 */
						long BgL_objzd2classzd2numz00_1997;

						BgL_objzd2classzd2numz00_1997 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_18));
						{	/* Trace/isloop.scm 50 */
							obj_t BgL_arg1862z00_1998;

							BgL_arg1862z00_1998 =
								PROCEDURE_REF(BGl_tailzf3zd2envz21zztrace_isloopz00,
								(int) (1L));
							{	/* Trace/isloop.scm 50 */
								int BgL_offsetz00_2001;

								BgL_offsetz00_2001 = (int) (BgL_objzd2classzd2numz00_1997);
								{	/* Trace/isloop.scm 50 */
									long BgL_offsetz00_2002;

									BgL_offsetz00_2002 =
										((long) (BgL_offsetz00_2001) - OBJECT_TYPE);
									{	/* Trace/isloop.scm 50 */
										long BgL_modz00_2003;

										BgL_modz00_2003 =
											(BgL_offsetz00_2002 >> (int) ((long) ((int) (4L))));
										{	/* Trace/isloop.scm 50 */
											long BgL_restz00_2005;

											BgL_restz00_2005 =
												(BgL_offsetz00_2002 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Trace/isloop.scm 50 */

												{	/* Trace/isloop.scm 50 */
													obj_t BgL_bucketz00_2007;

													BgL_bucketz00_2007 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_1998), BgL_modz00_2003);
													BgL_res1764z00_2026 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2007), BgL_restz00_2005);
					}}}}}}}}
					BgL_method1264z00_1566 = BgL_res1764z00_2026;
				}
				return
					BGL_PROCEDURE_CALL3(BgL_method1264z00_1566,
					((obj_t) BgL_nodez00_18), ((obj_t) BgL_funz00_19), BgL_tailpz00_20);
			}
		}

	}



/* &tail? */
	obj_t BGl_z62tailzf3z91zztrace_isloopz00(obj_t BgL_envz00_2094,
		obj_t BgL_nodez00_2095, obj_t BgL_funz00_2096, obj_t BgL_tailpz00_2097)
	{
		{	/* Trace/isloop.scm 50 */
			return
				BGl_tailzf3zf3zztrace_isloopz00(
				((BgL_nodez00_bglt) BgL_nodez00_2095),
				((BgL_variablez00_bglt) BgL_funz00_2096), BgL_tailpz00_2097);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztrace_isloopz00(void)
	{
		{	/* Trace/isloop.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_literalz00zzast_nodez00,
				BGl_proc1768z00zztrace_isloopz00, BGl_string1769z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1770z00zztrace_isloopz00, BGl_string1769z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_varz00zzast_nodez00,
				BGl_proc1771z00zztrace_isloopz00, BGl_string1769z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_sequencez00zzast_nodez00,
				BGl_proc1772z00zztrace_isloopz00, BGl_string1769z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_appz00zzast_nodez00,
				BGl_proc1773z00zztrace_isloopz00, BGl_string1769z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_funcallz00zzast_nodez00,
				BGl_proc1774z00zztrace_isloopz00, BGl_string1769z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_setqz00zzast_nodez00,
				BGl_proc1775z00zztrace_isloopz00, BGl_string1769z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc1776z00zztrace_isloopz00, BGl_string1769z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc1777z00zztrace_isloopz00, BGl_string1769z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1778z00zztrace_isloopz00, BGl_string1769z00zztrace_isloopz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_switchz00zzast_nodez00,
				BGl_proc1779z00zztrace_isloopz00, BGl_string1769z00zztrace_isloopz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailzf3zd2envz21zztrace_isloopz00, BGl_externz00zzast_nodez00,
				BGl_proc1780z00zztrace_isloopz00, BGl_string1769z00zztrace_isloopz00);
		}

	}



/* &tail?-extern1288 */
	obj_t BGl_z62tailzf3zd2extern1288z43zztrace_isloopz00(obj_t BgL_envz00_2110,
		obj_t BgL_nodez00_2111, obj_t BgL_funz00_2112, obj_t BgL_tailpz00_2113)
	{
		{	/* Trace/isloop.scm 150 */
			{	/* Trace/isloop.scm 151 */
				bool_t BgL_tmpz00_2377;

				{	/* Trace/isloop.scm 152 */
					obj_t BgL_g1260z00_2162;

					BgL_g1260z00_2162 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2111)))->BgL_exprza2za2);
					{
						obj_t BgL_l1258z00_2164;

						BgL_l1258z00_2164 = BgL_g1260z00_2162;
					BgL_zc3z04anonymousza31579ze3z87_2163:
						if (NULLP(BgL_l1258z00_2164))
							{	/* Trace/isloop.scm 152 */
								BgL_tmpz00_2377 = ((bool_t) 1);
							}
						else
							{	/* Trace/isloop.scm 152 */
								obj_t BgL_nvz00_2165;

								{	/* Trace/isloop.scm 152 */
									obj_t BgL_ez00_2166;

									BgL_ez00_2166 = CAR(((obj_t) BgL_l1258z00_2164));
									BgL_nvz00_2165 =
										BGl_tailzf3zf3zztrace_isloopz00(
										((BgL_nodez00_bglt) BgL_ez00_2166),
										((BgL_variablez00_bglt) BgL_funz00_2112), BFALSE);
								}
								if (CBOOL(BgL_nvz00_2165))
									{	/* Trace/isloop.scm 152 */
										obj_t BgL_arg1581z00_2167;

										BgL_arg1581z00_2167 = CDR(((obj_t) BgL_l1258z00_2164));
										{
											obj_t BgL_l1258z00_2391;

											BgL_l1258z00_2391 = BgL_arg1581z00_2167;
											BgL_l1258z00_2164 = BgL_l1258z00_2391;
											goto BgL_zc3z04anonymousza31579ze3z87_2163;
										}
									}
								else
									{	/* Trace/isloop.scm 152 */
										BgL_tmpz00_2377 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2377);
			}
		}

	}



/* &tail?-switch1286 */
	obj_t BGl_z62tailzf3zd2switch1286z43zztrace_isloopz00(obj_t BgL_envz00_2114,
		obj_t BgL_nodez00_2115, obj_t BgL_funz00_2116, obj_t BgL_tailpz00_2117)
	{
		{	/* Trace/isloop.scm 142 */
			{	/* Trace/isloop.scm 143 */
				bool_t BgL_tmpz00_2393;

				{	/* Trace/isloop.scm 144 */
					bool_t BgL_test1812z00_2394;

					{	/* Trace/isloop.scm 144 */
						BgL_nodez00_bglt BgL_arg1578z00_2169;

						BgL_arg1578z00_2169 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2115)))->BgL_testz00);
						BgL_test1812z00_2394 =
							CBOOL(BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1578z00_2169,
								((BgL_variablez00_bglt) BgL_funz00_2116), BFALSE));
					}
					if (BgL_test1812z00_2394)
						{	/* Trace/isloop.scm 145 */
							obj_t BgL_g1256z00_2170;

							BgL_g1256z00_2170 =
								(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_2115)))->BgL_clausesz00);
							{
								obj_t BgL_l1254z00_2172;

								BgL_l1254z00_2172 = BgL_g1256z00_2170;
							BgL_zc3z04anonymousza31560ze3z87_2171:
								if (NULLP(BgL_l1254z00_2172))
									{	/* Trace/isloop.scm 145 */
										BgL_tmpz00_2393 = ((bool_t) 1);
									}
								else
									{	/* Trace/isloop.scm 145 */
										obj_t BgL_nvz00_2173;

										{	/* Trace/isloop.scm 145 */
											obj_t BgL_cz00_2174;

											BgL_cz00_2174 = CAR(((obj_t) BgL_l1254z00_2172));
											{	/* Trace/isloop.scm 145 */
												obj_t BgL_arg1577z00_2175;

												BgL_arg1577z00_2175 = CDR(((obj_t) BgL_cz00_2174));
												BgL_nvz00_2173 =
													BGl_tailzf3zf3zztrace_isloopz00(
													((BgL_nodez00_bglt) BgL_arg1577z00_2175),
													((BgL_variablez00_bglt) BgL_funz00_2116),
													BgL_tailpz00_2117);
											}
										}
										if (CBOOL(BgL_nvz00_2173))
											{	/* Trace/isloop.scm 145 */
												obj_t BgL_arg1574z00_2176;

												BgL_arg1574z00_2176 = CDR(((obj_t) BgL_l1254z00_2172));
												{
													obj_t BgL_l1254z00_2415;

													BgL_l1254z00_2415 = BgL_arg1574z00_2176;
													BgL_l1254z00_2172 = BgL_l1254z00_2415;
													goto BgL_zc3z04anonymousza31560ze3z87_2171;
												}
											}
										else
											{	/* Trace/isloop.scm 145 */
												BgL_tmpz00_2393 = ((bool_t) 0);
											}
									}
							}
						}
					else
						{	/* Trace/isloop.scm 144 */
							BgL_tmpz00_2393 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2393);
			}
		}

	}



/* &tail?-let-var1284 */
	obj_t BGl_z62tailzf3zd2letzd2var1284z91zztrace_isloopz00(obj_t
		BgL_envz00_2118, obj_t BgL_nodez00_2119, obj_t BgL_funz00_2120,
		obj_t BgL_tailpz00_2121)
	{
		{	/* Trace/isloop.scm 134 */
			{	/* Trace/isloop.scm 136 */
				bool_t BgL_test1815z00_2417;

				{	/* Trace/isloop.scm 136 */
					obj_t BgL_g1252z00_2178;

					BgL_g1252z00_2178 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2119)))->BgL_bindingsz00);
					{
						obj_t BgL_l1250z00_2180;

						BgL_l1250z00_2180 = BgL_g1252z00_2178;
					BgL_zc3z04anonymousza31546ze3z87_2179:
						if (NULLP(BgL_l1250z00_2180))
							{	/* Trace/isloop.scm 136 */
								BgL_test1815z00_2417 = ((bool_t) 1);
							}
						else
							{	/* Trace/isloop.scm 136 */
								obj_t BgL_nvz00_2181;

								{	/* Trace/isloop.scm 136 */
									obj_t BgL_bz00_2182;

									BgL_bz00_2182 = CAR(((obj_t) BgL_l1250z00_2180));
									{	/* Trace/isloop.scm 136 */
										obj_t BgL_arg1554z00_2183;

										BgL_arg1554z00_2183 = CDR(((obj_t) BgL_bz00_2182));
										BgL_nvz00_2181 =
											BGl_tailzf3zf3zztrace_isloopz00(
											((BgL_nodez00_bglt) BgL_arg1554z00_2183),
											((BgL_variablez00_bglt) BgL_funz00_2120), BFALSE);
									}
								}
								if (CBOOL(BgL_nvz00_2181))
									{	/* Trace/isloop.scm 136 */
										obj_t BgL_arg1553z00_2184;

										BgL_arg1553z00_2184 = CDR(((obj_t) BgL_l1250z00_2180));
										{
											obj_t BgL_l1250z00_2433;

											BgL_l1250z00_2433 = BgL_arg1553z00_2184;
											BgL_l1250z00_2180 = BgL_l1250z00_2433;
											goto BgL_zc3z04anonymousza31546ze3z87_2179;
										}
									}
								else
									{	/* Trace/isloop.scm 136 */
										BgL_test1815z00_2417 = ((bool_t) 0);
									}
							}
					}
				}
				if (BgL_test1815z00_2417)
					{	/* Trace/isloop.scm 137 */
						BgL_nodez00_bglt BgL_arg1545z00_2185;

						BgL_arg1545z00_2185 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2119)))->BgL_bodyz00);
						return
							BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1545z00_2185,
							((BgL_variablez00_bglt) BgL_funz00_2120), BgL_tailpz00_2121);
					}
				else
					{	/* Trace/isloop.scm 136 */
						return BFALSE;
					}
			}
		}

	}



/* &tail?-let-fun1282 */
	obj_t BGl_z62tailzf3zd2letzd2fun1282z91zztrace_isloopz00(obj_t
		BgL_envz00_2122, obj_t BgL_nodez00_2123, obj_t BgL_funz00_2124,
		obj_t BgL_tailpz00_2125)
	{
		{	/* Trace/isloop.scm 120 */
			{	/* Trace/isloop.scm 121 */
				bool_t BgL_tmpz00_2438;

				{	/* Trace/isloop.scm 122 */
					bool_t BgL_test1818z00_2439;

					{	/* Trace/isloop.scm 122 */
						BgL_nodez00_bglt BgL_arg1530z00_2187;

						BgL_arg1530z00_2187 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2123)))->BgL_bodyz00);
						BgL_test1818z00_2439 =
							CBOOL(BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1530z00_2187,
								((BgL_variablez00_bglt) BgL_funz00_2124), BgL_tailpz00_2125));
					}
					if (BgL_test1818z00_2439)
						{	/* Trace/isloop.scm 122 */
							if (BGl_isloopzf3zf3zztrace_isloopz00(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2123)))
								{	/* Trace/isloop.scm 124 */
									BgL_sfunz00_bglt BgL_i1117z00_2188;

									{
										BgL_valuez00_bglt BgL_auxz00_2448;

										{
											BgL_variablez00_bglt BgL_auxz00_2449;

											{
												BgL_localz00_bglt BgL_auxz00_2450;

												{	/* Trace/isloop.scm 124 */
													obj_t BgL_pairz00_2189;

													BgL_pairz00_2189 =
														(((BgL_letzd2funzd2_bglt) COBJECT(
																((BgL_letzd2funzd2_bglt) BgL_nodez00_2123)))->
														BgL_localsz00);
													BgL_auxz00_2450 =
														((BgL_localz00_bglt) CAR(BgL_pairz00_2189));
												}
												BgL_auxz00_2449 =
													((BgL_variablez00_bglt) BgL_auxz00_2450);
											}
											BgL_auxz00_2448 =
												(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_2449))->
												BgL_valuez00);
										}
										BgL_i1117z00_2188 = ((BgL_sfunz00_bglt) BgL_auxz00_2448);
									}
									{	/* Trace/isloop.scm 125 */
										bool_t BgL_test1820z00_2458;

										{	/* Trace/isloop.scm 125 */
											obj_t BgL_arg1513z00_2190;

											BgL_arg1513z00_2190 =
												(((BgL_sfunz00_bglt) COBJECT(BgL_i1117z00_2188))->
												BgL_bodyz00);
											BgL_test1820z00_2458 =
												CBOOL(BGl_tailzf3zf3zztrace_isloopz00((
														(BgL_nodez00_bglt) BgL_arg1513z00_2190),
													((BgL_variablez00_bglt) BgL_funz00_2124),
													BgL_tailpz00_2125));
										}
										if (BgL_test1820z00_2458)
											{	/* Trace/isloop.scm 126 */
												obj_t BgL_g1248z00_2191;

												BgL_g1248z00_2191 =
													(((BgL_letzd2funzd2_bglt) COBJECT(
															((BgL_letzd2funzd2_bglt) BgL_nodez00_2123)))->
													BgL_localsz00);
												{
													obj_t BgL_l1246z00_2193;

													BgL_l1246z00_2193 = BgL_g1248z00_2191;
												BgL_zc3z04anonymousza31508ze3z87_2192:
													if (NULLP(BgL_l1246z00_2193))
														{	/* Trace/isloop.scm 126 */
															BgL_tmpz00_2438 = ((bool_t) 1);
														}
													else
														{	/* Trace/isloop.scm 127 */
															obj_t BgL_nvz00_2194;

															{	/* Trace/isloop.scm 127 */
																obj_t BgL_lz00_2195;

																BgL_lz00_2195 =
																	CAR(((obj_t) BgL_l1246z00_2193));
																{	/* Trace/isloop.scm 127 */
																	BgL_sfunz00_bglt BgL_i1118z00_2196;

																	BgL_i1118z00_2196 =
																		((BgL_sfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_lz00_2195))))->BgL_valuez00));
																	{	/* Trace/isloop.scm 128 */
																		obj_t BgL_arg1512z00_2197;

																		BgL_arg1512z00_2197 =
																			(((BgL_sfunz00_bglt)
																				COBJECT(BgL_i1118z00_2196))->
																			BgL_bodyz00);
																		BgL_nvz00_2194 =
																			BGl_tailzf3zf3zztrace_isloopz00((
																				(BgL_nodez00_bglt) BgL_arg1512z00_2197),
																			((BgL_variablez00_bglt) BgL_funz00_2124),
																			BFALSE);
																	}
																}
															}
															if (CBOOL(BgL_nvz00_2194))
																{	/* Trace/isloop.scm 126 */
																	obj_t BgL_arg1511z00_2198;

																	BgL_arg1511z00_2198 =
																		CDR(((obj_t) BgL_l1246z00_2193));
																	{
																		obj_t BgL_l1246z00_2482;

																		BgL_l1246z00_2482 = BgL_arg1511z00_2198;
																		BgL_l1246z00_2193 = BgL_l1246z00_2482;
																		goto BgL_zc3z04anonymousza31508ze3z87_2192;
																	}
																}
															else
																{	/* Trace/isloop.scm 126 */
																	BgL_tmpz00_2438 = ((bool_t) 0);
																}
														}
												}
											}
										else
											{	/* Trace/isloop.scm 125 */
												BgL_tmpz00_2438 = ((bool_t) 0);
											}
									}
								}
							else
								{	/* Trace/isloop.scm 123 */
									BgL_tmpz00_2438 = ((bool_t) 0);
								}
						}
					else
						{	/* Trace/isloop.scm 122 */
							BgL_tmpz00_2438 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2438);
			}
		}

	}



/* &tail?-conditional1280 */
	obj_t BGl_z62tailzf3zd2conditional1280z43zztrace_isloopz00(obj_t
		BgL_envz00_2126, obj_t BgL_nodez00_2127, obj_t BgL_funz00_2128,
		obj_t BgL_tailpz00_2129)
	{
		{	/* Trace/isloop.scm 112 */
			{	/* Trace/isloop.scm 114 */
				bool_t BgL_test1824z00_2484;

				{	/* Trace/isloop.scm 114 */
					BgL_nodez00_bglt BgL_arg1489z00_2200;

					BgL_arg1489z00_2200 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2127)))->BgL_testz00);
					BgL_test1824z00_2484 =
						CBOOL(BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1489z00_2200,
							((BgL_variablez00_bglt) BgL_funz00_2128), BFALSE));
				}
				if (BgL_test1824z00_2484)
					{	/* Trace/isloop.scm 115 */
						obj_t BgL__andtest_1115z00_2201;

						{	/* Trace/isloop.scm 115 */
							BgL_nodez00_bglt BgL_arg1487z00_2202;

							BgL_arg1487z00_2202 =
								(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2127)))->
								BgL_truez00);
							BgL__andtest_1115z00_2201 =
								BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1487z00_2202,
								((BgL_variablez00_bglt) BgL_funz00_2128), BgL_tailpz00_2129);
						}
						if (CBOOL(BgL__andtest_1115z00_2201))
							{	/* Trace/isloop.scm 115 */
								BgL_nodez00_bglt BgL_arg1484z00_2203;

								BgL_arg1484z00_2203 =
									(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2127)))->
									BgL_falsez00);
								return BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1484z00_2203,
									((BgL_variablez00_bglt) BgL_funz00_2128), BgL_tailpz00_2129);
							}
						else
							{	/* Trace/isloop.scm 115 */
								return BFALSE;
							}
					}
				else
					{	/* Trace/isloop.scm 114 */
						return BFALSE;
					}
			}
		}

	}



/* &tail?-setq1278 */
	obj_t BGl_z62tailzf3zd2setq1278z43zztrace_isloopz00(obj_t BgL_envz00_2130,
		obj_t BgL_nodez00_2131, obj_t BgL_funz00_2132, obj_t BgL_tailpz00_2133)
	{
		{	/* Trace/isloop.scm 105 */
			{	/* Trace/isloop.scm 107 */
				BgL_nodez00_bglt BgL_arg1471z00_2205;

				BgL_arg1471z00_2205 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2131)))->BgL_valuez00);
				return
					BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1471z00_2205,
					((BgL_variablez00_bglt) BgL_funz00_2132), BFALSE);
			}
		}

	}



/* &tail?-funcall1276 */
	obj_t BGl_z62tailzf3zd2funcall1276z43zztrace_isloopz00(obj_t BgL_envz00_2134,
		obj_t BgL_nodez00_2135, obj_t BgL_funz00_2136, obj_t BgL_tailpz00_2137)
	{
		{	/* Trace/isloop.scm 97 */
			{	/* Trace/isloop.scm 99 */
				bool_t BgL_test1826z00_2504;

				{	/* Trace/isloop.scm 99 */
					obj_t BgL_g1244z00_2207;

					BgL_g1244z00_2207 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2135)))->BgL_argsz00);
					{
						obj_t BgL_l1242z00_2209;

						BgL_l1242z00_2209 = BgL_g1244z00_2207;
					BgL_zc3z04anonymousza31447ze3z87_2208:
						if (NULLP(BgL_l1242z00_2209))
							{	/* Trace/isloop.scm 99 */
								BgL_test1826z00_2504 = ((bool_t) 1);
							}
						else
							{	/* Trace/isloop.scm 99 */
								obj_t BgL_nvz00_2210;

								{	/* Trace/isloop.scm 99 */
									obj_t BgL_argz00_2211;

									BgL_argz00_2211 = CAR(((obj_t) BgL_l1242z00_2209));
									BgL_nvz00_2210 =
										BGl_tailzf3zf3zztrace_isloopz00(
										((BgL_nodez00_bglt) BgL_argz00_2211),
										((BgL_variablez00_bglt) BgL_funz00_2136), BFALSE);
								}
								if (CBOOL(BgL_nvz00_2210))
									{	/* Trace/isloop.scm 99 */
										obj_t BgL_arg1457z00_2212;

										BgL_arg1457z00_2212 = CDR(((obj_t) BgL_l1242z00_2209));
										{
											obj_t BgL_l1242z00_2518;

											BgL_l1242z00_2518 = BgL_arg1457z00_2212;
											BgL_l1242z00_2209 = BgL_l1242z00_2518;
											goto BgL_zc3z04anonymousza31447ze3z87_2208;
										}
									}
								else
									{	/* Trace/isloop.scm 99 */
										BgL_test1826z00_2504 = ((bool_t) 0);
									}
							}
					}
				}
				if (BgL_test1826z00_2504)
					{	/* Trace/isloop.scm 100 */
						BgL_nodez00_bglt BgL_arg1446z00_2213;

						BgL_arg1446z00_2213 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2135)))->BgL_funz00);
						return
							BGl_tailzf3zf3zztrace_isloopz00(BgL_arg1446z00_2213,
							((BgL_variablez00_bglt) BgL_funz00_2136), BFALSE);
					}
				else
					{	/* Trace/isloop.scm 99 */
						return BFALSE;
					}
			}
		}

	}



/* &tail?-app1274 */
	obj_t BGl_z62tailzf3zd2app1274z43zztrace_isloopz00(obj_t BgL_envz00_2138,
		obj_t BgL_nodez00_2139, obj_t BgL_funz00_2140, obj_t BgL_tailpz00_2141)
	{
		{	/* Trace/isloop.scm 86 */
			{	/* Trace/isloop.scm 88 */
				bool_t BgL_test1829z00_2523;

				{	/* Trace/isloop.scm 88 */
					obj_t BgL_g1240z00_2215;

					BgL_g1240z00_2215 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2139)))->BgL_argsz00);
					{
						obj_t BgL_l1238z00_2217;

						BgL_l1238z00_2217 = BgL_g1240z00_2215;
					BgL_zc3z04anonymousza31403ze3z87_2216:
						if (NULLP(BgL_l1238z00_2217))
							{	/* Trace/isloop.scm 88 */
								BgL_test1829z00_2523 = ((bool_t) 1);
							}
						else
							{	/* Trace/isloop.scm 88 */
								obj_t BgL_nvz00_2218;

								{	/* Trace/isloop.scm 88 */
									obj_t BgL_argz00_2219;

									BgL_argz00_2219 = CAR(((obj_t) BgL_l1238z00_2217));
									BgL_nvz00_2218 =
										BGl_tailzf3zf3zztrace_isloopz00(
										((BgL_nodez00_bglt) BgL_argz00_2219),
										((BgL_variablez00_bglt) BgL_funz00_2140), BFALSE);
								}
								if (CBOOL(BgL_nvz00_2218))
									{	/* Trace/isloop.scm 88 */
										obj_t BgL_arg1406z00_2220;

										BgL_arg1406z00_2220 = CDR(((obj_t) BgL_l1238z00_2217));
										{
											obj_t BgL_l1238z00_2537;

											BgL_l1238z00_2537 = BgL_arg1406z00_2220;
											BgL_l1238z00_2217 = BgL_l1238z00_2537;
											goto BgL_zc3z04anonymousza31403ze3z87_2216;
										}
									}
								else
									{	/* Trace/isloop.scm 88 */
										BgL_test1829z00_2523 = ((bool_t) 0);
									}
							}
					}
				}
				if (BgL_test1829z00_2523)
					{	/* Trace/isloop.scm 89 */
						bool_t BgL_test1832z00_2538;

						{	/* Trace/isloop.scm 89 */
							BgL_varz00_bglt BgL_arg1402z00_2221;

							BgL_arg1402z00_2221 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2139)))->BgL_funz00);
							{	/* Trace/isloop.scm 89 */
								obj_t BgL_classz00_2222;

								BgL_classz00_2222 = BGl_varz00zzast_nodez00;
								{	/* Trace/isloop.scm 89 */
									BgL_objectz00_bglt BgL_arg1858z00_2223;

									{	/* Trace/isloop.scm 89 */
										obj_t BgL_tmpz00_2541;

										BgL_tmpz00_2541 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1402z00_2221));
										BgL_arg1858z00_2223 =
											(BgL_objectz00_bglt) (BgL_tmpz00_2541);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Trace/isloop.scm 89 */
											long BgL_idxz00_2224;

											BgL_idxz00_2224 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2223);
											BgL_test1832z00_2538 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2224 + 2L)) == BgL_classz00_2222);
										}
									else
										{	/* Trace/isloop.scm 89 */
											bool_t BgL_res1765z00_2227;

											{	/* Trace/isloop.scm 89 */
												obj_t BgL_oclassz00_2228;

												{	/* Trace/isloop.scm 89 */
													obj_t BgL_arg1866z00_2229;
													long BgL_arg1867z00_2230;

													BgL_arg1866z00_2229 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Trace/isloop.scm 89 */
														long BgL_arg1869z00_2231;

														BgL_arg1869z00_2231 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2223);
														BgL_arg1867z00_2230 =
															(BgL_arg1869z00_2231 - OBJECT_TYPE);
													}
													BgL_oclassz00_2228 =
														VECTOR_REF(BgL_arg1866z00_2229,
														BgL_arg1867z00_2230);
												}
												{	/* Trace/isloop.scm 89 */
													bool_t BgL__ortest_1115z00_2232;

													BgL__ortest_1115z00_2232 =
														(BgL_classz00_2222 == BgL_oclassz00_2228);
													if (BgL__ortest_1115z00_2232)
														{	/* Trace/isloop.scm 89 */
															BgL_res1765z00_2227 = BgL__ortest_1115z00_2232;
														}
													else
														{	/* Trace/isloop.scm 89 */
															long BgL_odepthz00_2233;

															{	/* Trace/isloop.scm 89 */
																obj_t BgL_arg1855z00_2234;

																BgL_arg1855z00_2234 = (BgL_oclassz00_2228);
																BgL_odepthz00_2233 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2234);
															}
															if ((2L < BgL_odepthz00_2233))
																{	/* Trace/isloop.scm 89 */
																	obj_t BgL_arg1853z00_2235;

																	{	/* Trace/isloop.scm 89 */
																		obj_t BgL_arg1854z00_2236;

																		BgL_arg1854z00_2236 = (BgL_oclassz00_2228);
																		BgL_arg1853z00_2235 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2236, 2L);
																	}
																	BgL_res1765z00_2227 =
																		(BgL_arg1853z00_2235 == BgL_classz00_2222);
																}
															else
																{	/* Trace/isloop.scm 89 */
																	BgL_res1765z00_2227 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1832z00_2538 = BgL_res1765z00_2227;
										}
								}
							}
						}
						if (BgL_test1832z00_2538)
							{	/* Trace/isloop.scm 91 */
								bool_t BgL__ortest_1111z00_2237;

								if (
									(((obj_t)
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_2139)))->
												BgL_funz00)) == BgL_funz00_2140))
									{	/* Trace/isloop.scm 91 */
										BgL__ortest_1111z00_2237 = ((bool_t) 0);
									}
								else
									{	/* Trace/isloop.scm 91 */
										BgL__ortest_1111z00_2237 = ((bool_t) 1);
									}
								if (BgL__ortest_1111z00_2237)
									{	/* Trace/isloop.scm 91 */
										return BBOOL(BgL__ortest_1111z00_2237);
									}
								else
									{	/* Trace/isloop.scm 91 */
										return BgL_tailpz00_2141;
									}
							}
						else
							{	/* Trace/isloop.scm 92 */
								BgL_varz00_bglt BgL_arg1401z00_2238;

								BgL_arg1401z00_2238 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2139)))->BgL_funz00);
								return
									BGl_tailzf3zf3zztrace_isloopz00(
									((BgL_nodez00_bglt) BgL_arg1401z00_2238),
									((BgL_variablez00_bglt) BgL_funz00_2140), BFALSE);
							}
					}
				else
					{	/* Trace/isloop.scm 88 */
						return BFALSE;
					}
			}
		}

	}



/* &tail?-sequence1272 */
	obj_t BGl_z62tailzf3zd2sequence1272z43zztrace_isloopz00(obj_t BgL_envz00_2142,
		obj_t BgL_nodez00_2143, obj_t BgL_funz00_2144, obj_t BgL_tailpz00_2145)
	{
		{	/* Trace/isloop.scm 75 */
			{
				obj_t BgL_nodesz00_2241;

				BgL_nodesz00_2241 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2143)))->BgL_nodesz00);
			BgL_loopz00_2240:
				if (NULLP(BgL_nodesz00_2241))
					{	/* Trace/isloop.scm 79 */
						return BTRUE;
					}
				else
					{	/* Trace/isloop.scm 79 */
						if (NULLP(CDR(((obj_t) BgL_nodesz00_2241))))
							{	/* Trace/isloop.scm 80 */
								obj_t BgL_arg1376z00_2242;

								BgL_arg1376z00_2242 = CAR(((obj_t) BgL_nodesz00_2241));
								return
									BGl_tailzf3zf3zztrace_isloopz00(
									((BgL_nodez00_bglt) BgL_arg1376z00_2242),
									((BgL_variablez00_bglt) BgL_funz00_2144), BTRUE);
							}
						else
							{	/* Trace/isloop.scm 81 */
								obj_t BgL__andtest_1108z00_2243;

								{	/* Trace/isloop.scm 81 */
									obj_t BgL_arg1380z00_2244;

									BgL_arg1380z00_2244 = CAR(((obj_t) BgL_nodesz00_2241));
									BgL__andtest_1108z00_2243 =
										BGl_tailzf3zf3zztrace_isloopz00(
										((BgL_nodez00_bglt) BgL_arg1380z00_2244),
										((BgL_variablez00_bglt) BgL_funz00_2144), BFALSE);
								}
								if (CBOOL(BgL__andtest_1108z00_2243))
									{	/* Trace/isloop.scm 81 */
										obj_t BgL_arg1379z00_2245;

										BgL_arg1379z00_2245 = CDR(((obj_t) BgL_nodesz00_2241));
										{
											obj_t BgL_nodesz00_2596;

											BgL_nodesz00_2596 = BgL_arg1379z00_2245;
											BgL_nodesz00_2241 = BgL_nodesz00_2596;
											goto BgL_loopz00_2240;
										}
									}
								else
									{	/* Trace/isloop.scm 81 */
										return BFALSE;
									}
							}
					}
			}
		}

	}



/* &tail?-var1270 */
	obj_t BGl_z62tailzf3zd2var1270z43zztrace_isloopz00(obj_t BgL_envz00_2146,
		obj_t BgL_nodez00_2147, obj_t BgL_funz00_2148, obj_t BgL_tailpz00_2149)
	{
		{	/* Trace/isloop.scm 68 */
			{	/* Trace/isloop.scm 70 */
				bool_t BgL_tmpz00_2599;

				if (
					(((obj_t)
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2147)))->BgL_variablez00)) ==
						BgL_funz00_2148))
					{	/* Trace/isloop.scm 70 */
						BgL_tmpz00_2599 = ((bool_t) 0);
					}
				else
					{	/* Trace/isloop.scm 70 */
						BgL_tmpz00_2599 = ((bool_t) 1);
					}
				return BBOOL(BgL_tmpz00_2599);
			}
		}

	}



/* &tail?-kwote1268 */
	obj_t BGl_z62tailzf3zd2kwote1268z43zztrace_isloopz00(obj_t BgL_envz00_2150,
		obj_t BgL_nodez00_2151, obj_t BgL_funz00_2152, obj_t BgL_tailpz00_2153)
	{
		{	/* Trace/isloop.scm 62 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &tail?-literal1266 */
	obj_t BGl_z62tailzf3zd2literal1266z43zztrace_isloopz00(obj_t BgL_envz00_2154,
		obj_t BgL_nodez00_2155, obj_t BgL_funz00_2156, obj_t BgL_tailpz00_2157)
	{
		{	/* Trace/isloop.scm 56 */
			return BBOOL(((bool_t) 1));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztrace_isloopz00(void)
	{
		{	/* Trace/isloop.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1781z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1781z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1781z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(469204197L,
				BSTRING_TO_STRING(BGl_string1781z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string1781z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1781z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1781z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(9470071L,
				BSTRING_TO_STRING(BGl_string1781z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1781z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1781z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1781z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1781z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1781z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1781z00zztrace_isloopz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1781z00zztrace_isloopz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1781z00zztrace_isloopz00));
		}

	}

#ifdef __cplusplus
}
#endif
