/*===========================================================================*/
/*   (Unsafe/kmp.scm)                                                        */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Unsafe/kmp.scm -indent -o objs/obj_u/Unsafe/kmp.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___KMP_TYPE_DEFINITIONS
#define BGL___KMP_TYPE_DEFINITIONS
#endif													// BGL___KMP_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62kmpzd2mmapzb0zz__kmpz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__kmpz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__kmpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62kmpzd2tablezb0zz__kmpz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__kmpz00(void);
	static obj_t BGl_genericzd2initzd2zz__kmpz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zz__kmpz00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__kmpz00(void);
	static obj_t BGl_objectzd2initzd2zz__kmpz00(void);
	BGL_EXPORTED_DECL obj_t BGl_kmpzd2tablezd2zz__kmpz00(obj_t);
	BGL_EXPORTED_DECL long BGl_kmpzd2stringzd2zz__kmpz00(obj_t, obj_t, long);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL long BGl_kmpzd2mmapzd2zz__kmpz00(obj_t, obj_t, long);
	extern obj_t make_vector(long, obj_t);
	static obj_t BGl_z62kmpzd2stringzb0zz__kmpz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__kmpz00(void);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol1707z00zz__kmpz00 = BUNSPEC;
	static obj_t BGl_symbol1709z00zz__kmpz00 = BUNSPEC;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1702z00zz__kmpz00,
		BgL_bgl_string1702za700za7za7_1719za7, "/tmp/bigloo/runtime/Unsafe/kmp.scm",
		34);
	      DEFINE_STRING(BGl_string1703z00zz__kmpz00,
		BgL_bgl_string1703za700za7za7_1720za7, "&kmp-table", 10);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kmpzd2stringzd2envz00zz__kmpz00,
		BgL_bgl_za762kmpza7d2stringza71721za7, BGl_z62kmpzd2stringzb0zz__kmpz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1704z00zz__kmpz00,
		BgL_bgl_string1704za700za7za7_1722za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1705z00zz__kmpz00,
		BgL_bgl_string1705za700za7za7_1723za7, "kmp-mmap", 8);
	      DEFINE_STRING(BGl_string1706z00zz__kmpz00,
		BgL_bgl_string1706za700za7za7_1724za7, "Illegal kmp-table", 17);
	      DEFINE_STRING(BGl_string1708z00zz__kmpz00,
		BgL_bgl_string1708za700za7za7_1725za7, "string", 6);
	      DEFINE_STRING(BGl_string1710z00zz__kmpz00,
		BgL_bgl_string1710za700za7za7_1726za7, "vector", 6);
	      DEFINE_STRING(BGl_string1711z00zz__kmpz00,
		BgL_bgl_string1711za700za7za7_1727za7, "&kmp-mmap", 9);
	      DEFINE_STRING(BGl_string1712z00zz__kmpz00,
		BgL_bgl_string1712za700za7za7_1728za7, "pair", 4);
	      DEFINE_STRING(BGl_string1713z00zz__kmpz00,
		BgL_bgl_string1713za700za7za7_1729za7, "mmap", 4);
	      DEFINE_STRING(BGl_string1714z00zz__kmpz00,
		BgL_bgl_string1714za700za7za7_1730za7, "belong", 6);
	      DEFINE_STRING(BGl_string1715z00zz__kmpz00,
		BgL_bgl_string1715za700za7za7_1731za7, "kmp-string", 10);
	      DEFINE_STRING(BGl_string1716z00zz__kmpz00,
		BgL_bgl_string1716za700za7za7_1732za7, "&kmp-string", 11);
	      DEFINE_STRING(BGl_string1717z00zz__kmpz00,
		BgL_bgl_string1717za700za7za7_1733za7, "bint", 4);
	      DEFINE_STRING(BGl_string1718z00zz__kmpz00,
		BgL_bgl_string1718za700za7za7_1734za7, "__kmp", 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kmpzd2mmapzd2envz00zz__kmpz00,
		BgL_bgl_za762kmpza7d2mmapza7b01735za7, BGl_z62kmpzd2mmapzb0zz__kmpz00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kmpzd2tablezd2envz00zz__kmpz00,
		BgL_bgl_za762kmpza7d2tableza7b1736za7, BGl_z62kmpzd2tablezb0zz__kmpz00, 0L,
		BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__kmpz00));
		     ADD_ROOT((void *) (&BGl_symbol1707z00zz__kmpz00));
		     ADD_ROOT((void *) (&BGl_symbol1709z00zz__kmpz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__kmpz00(long
		BgL_checksumz00_1996, char *BgL_fromz00_1997)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__kmpz00))
				{
					BGl_requirezd2initializa7ationz75zz__kmpz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__kmpz00();
					BGl_cnstzd2initzd2zz__kmpz00();
					BGl_importedzd2moduleszd2initz00zz__kmpz00();
					return BGl_methodzd2initzd2zz__kmpz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__kmpz00(void)
	{
		{	/* Unsafe/kmp.scm 15 */
			BGl_symbol1707z00zz__kmpz00 =
				bstring_to_symbol(BGl_string1708z00zz__kmpz00);
			return (BGl_symbol1709z00zz__kmpz00 =
				bstring_to_symbol(BGl_string1710z00zz__kmpz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__kmpz00(void)
	{
		{	/* Unsafe/kmp.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* kmp-table */
	BGL_EXPORTED_DEF obj_t BGl_kmpzd2tablezd2zz__kmpz00(obj_t BgL_pz00_3)
	{
		{	/* Unsafe/kmp.scm 52 */
			{	/* Unsafe/kmp.scm 53 */
				long BgL_lpz00_1136;

				BgL_lpz00_1136 = STRING_LENGTH(BgL_pz00_3);
				{	/* Unsafe/kmp.scm 53 */
					obj_t BgL_tz00_1137;

					BgL_tz00_1137 = make_vector((BgL_lpz00_1136 + 2L), BINT(0L));
					{	/* Unsafe/kmp.scm 54 */
						long BgL_iz00_1138;

						BgL_iz00_1138 = 0L;
						{	/* Unsafe/kmp.scm 55 */
							obj_t BgL_jz00_1139;

							BgL_jz00_1139 = BINT((-1L));
							{	/* Unsafe/kmp.scm 56 */
								unsigned char BgL_cz00_1140;

								BgL_cz00_1140 = ((unsigned char) '\000');
								{	/* Unsafe/kmp.scm 57 */

									VECTOR_SET(BgL_tz00_1137, 0L, BgL_jz00_1139);
									{

									BgL_zc3z04anonymousza31174ze3z87_1142:
										if ((BgL_iz00_1138 < BgL_lpz00_1136))
											{	/* Unsafe/kmp.scm 60 */
												{	/* Unsafe/kmp.scm 62 */
													bool_t BgL_test1739z00_2016;

													{	/* Unsafe/kmp.scm 62 */
														unsigned char BgL_char2z00_1686;

														BgL_char2z00_1686 = BgL_cz00_1140;
														BgL_test1739z00_2016 =
															(STRING_REF(BgL_pz00_3,
																BgL_iz00_1138) == BgL_char2z00_1686);
													}
													if (BgL_test1739z00_2016)
														{	/* Unsafe/kmp.scm 62 */
															{	/* Unsafe/kmp.scm 63 */
																long BgL_arg1179z00_1146;
																long BgL_arg1183z00_1147;

																BgL_arg1179z00_1146 = (BgL_iz00_1138 + 1L);
																BgL_arg1183z00_1147 =
																	((long) CINT(BgL_jz00_1139) + 1L);
																VECTOR_SET(BgL_tz00_1137, BgL_arg1179z00_1146,
																	BINT(BgL_arg1183z00_1147));
															}
															BgL_jz00_1139 = ADDFX(BgL_jz00_1139, BINT(1L));
															BgL_iz00_1138 = (BgL_iz00_1138 + 1L);
														}
													else
														{	/* Unsafe/kmp.scm 62 */
															if (((long) CINT(BgL_jz00_1139) > 0L))
																{	/* Unsafe/kmp.scm 66 */
																	BgL_jz00_1139 =
																		VECTOR_REF(BgL_tz00_1137,
																		(long) CINT(BgL_jz00_1139));
																}
															else
																{	/* Unsafe/kmp.scm 66 */
																	VECTOR_SET(BgL_tz00_1137,
																		(BgL_iz00_1138 + 1L), BINT(0L));
																	BgL_iz00_1138 = (BgL_iz00_1138 + 1L);
																	BgL_jz00_1139 = BINT(0L);
																}
														}
												}
												BgL_cz00_1140 =
													STRING_REF(BgL_pz00_3, (long) CINT(BgL_jz00_1139));
												goto BgL_zc3z04anonymousza31174ze3z87_1142;
											}
										else
											{	/* Unsafe/kmp.scm 60 */
												((bool_t) 0);
											}
									}
									return MAKE_YOUNG_PAIR(BgL_tz00_1137, BgL_pz00_3);
								}
							}
						}
					}
				}
			}
		}

	}



/* &kmp-table */
	obj_t BGl_z62kmpzd2tablezb0zz__kmpz00(obj_t BgL_envz00_1971,
		obj_t BgL_pz00_1972)
	{
		{	/* Unsafe/kmp.scm 52 */
			{	/* Unsafe/kmp.scm 53 */
				obj_t BgL_auxz00_2040;

				if (STRINGP(BgL_pz00_1972))
					{	/* Unsafe/kmp.scm 53 */
						BgL_auxz00_2040 = BgL_pz00_1972;
					}
				else
					{
						obj_t BgL_auxz00_2043;

						BgL_auxz00_2043 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1702z00zz__kmpz00,
							BINT(1837L), BGl_string1703z00zz__kmpz00,
							BGl_string1704z00zz__kmpz00, BgL_pz00_1972);
						FAILURE(BgL_auxz00_2043, BFALSE, BFALSE);
					}
				return BGl_kmpzd2tablezd2zz__kmpz00(BgL_auxz00_2040);
			}
		}

	}



/* kmp-mmap */
	BGL_EXPORTED_DEF long BGl_kmpzd2mmapzd2zz__kmpz00(obj_t BgL_tpz00_4,
		obj_t BgL_mmz00_5, long BgL_mz00_6)
	{
		{	/* Unsafe/kmp.scm 79 */
			{	/* Unsafe/kmp.scm 81 */
				bool_t BgL_test1742z00_2048;

				{	/* Unsafe/kmp.scm 81 */
					obj_t BgL_tmpz00_2049;

					BgL_tmpz00_2049 = CAR(BgL_tpz00_4);
					BgL_test1742z00_2048 = VECTORP(BgL_tmpz00_2049);
				}
				if (BgL_test1742z00_2048)
					{	/* Unsafe/kmp.scm 83 */
						bool_t BgL_test1743z00_2052;

						{	/* Unsafe/kmp.scm 83 */
							obj_t BgL_tmpz00_2053;

							BgL_tmpz00_2053 = CDR(BgL_tpz00_4);
							BgL_test1743z00_2052 = STRINGP(BgL_tmpz00_2053);
						}
						if (BgL_test1743z00_2052)
							{	/* Unsafe/kmp.scm 85 */
								bool_t BgL_test1744z00_2056;

								{	/* Unsafe/kmp.scm 85 */
									long BgL_arg1267z00_1189;
									long BgL_arg1268z00_1190;

									{	/* Unsafe/kmp.scm 85 */
										obj_t BgL_arg1271z00_1191;

										BgL_arg1271z00_1191 = CAR(BgL_tpz00_4);
										BgL_arg1267z00_1189 =
											VECTOR_LENGTH(((obj_t) BgL_arg1271z00_1191));
									}
									BgL_arg1268z00_1190 = (2L + STRING_LENGTH(CDR(BgL_tpz00_4)));
									BgL_test1744z00_2056 =
										(BgL_arg1267z00_1189 == BgL_arg1268z00_1190);
								}
								if (BgL_test1744z00_2056)
									{	/* Unsafe/kmp.scm 88 */
										obj_t BgL_tz00_1163;

										BgL_tz00_1163 = CAR(BgL_tpz00_4);
										{	/* Unsafe/kmp.scm 88 */
											obj_t BgL_pz00_1164;

											BgL_pz00_1164 = CDR(BgL_tpz00_4);
											{	/* Unsafe/kmp.scm 89 */
												long BgL_lsz00_1165;

												BgL_lsz00_1165 = BGL_MMAP_LENGTH(BgL_mmz00_5);
												{	/* Unsafe/kmp.scm 90 */
													long BgL_lpz00_1166;

													{	/* Unsafe/kmp.scm 91 */
														long BgL_arg1266z00_1188;

														BgL_arg1266z00_1188 =
															STRING_LENGTH(((obj_t) BgL_pz00_1164));
														BgL_lpz00_1166 = (long) (BgL_arg1266z00_1188);
													}
													{	/* Unsafe/kmp.scm 91 */

														{
															long BgL_iz00_1168;

															BgL_iz00_1168 = ((long) 0);
														BgL_zc3z04anonymousza31242ze3z87_1169:
															if ((BgL_iz00_1168 == BgL_lpz00_1166))
																{	/* Unsafe/kmp.scm 94 */
																	return BgL_mz00_6;
																}
															else
																{	/* Unsafe/kmp.scm 94 */
																	if (
																		((BgL_iz00_1168 + BgL_mz00_6) >=
																			BgL_lsz00_1165))
																		{	/* Unsafe/kmp.scm 96 */
																			return ((long) -1);
																		}
																	else
																		{	/* Unsafe/kmp.scm 99 */
																			long BgL_fiz00_1173;

																			BgL_fiz00_1173 = (long) (BgL_iz00_1168);
																			{	/* Unsafe/kmp.scm 100 */
																				bool_t BgL_test1747z00_2076;

																				{	/* Unsafe/kmp.scm 100 */
																					unsigned char BgL_arg1256z00_1183;
																					unsigned char BgL_arg1258z00_1184;

																					{	/* Unsafe/kmp.scm 100 */
																						long BgL_arg1260z00_1185;

																						BgL_arg1260z00_1185 =
																							(BgL_iz00_1168 + BgL_mz00_6);
																						{	/* Unsafe/kmp.scm 100 */
																							unsigned char BgL_res1687z00_1733;

																							{	/* Unsafe/kmp.scm 100 */
																								unsigned char BgL_cz00_1727;

																								BgL_cz00_1727 =
																									BGL_MMAP_REF(BgL_mmz00_5,
																									BgL_arg1260z00_1185);
																								{	/* Unsafe/kmp.scm 100 */
																									long BgL_arg1682z00_1728;

																									BgL_arg1682z00_1728 =
																										(BgL_arg1260z00_1185 +
																										((long) 1));
																									BGL_MMAP_RP_SET(BgL_mmz00_5,
																										BgL_arg1682z00_1728);
																									BUNSPEC;
																									BgL_arg1682z00_1728;
																								}
																								BgL_res1687z00_1733 =
																									BgL_cz00_1727;
																							}
																							BgL_arg1256z00_1183 =
																								BgL_res1687z00_1733;
																					}}
																					BgL_arg1258z00_1184 =
																						STRING_REF(
																						((obj_t) BgL_pz00_1164),
																						BgL_fiz00_1173);
																					BgL_test1747z00_2076 =
																						(BgL_arg1256z00_1183 ==
																						BgL_arg1258z00_1184);
																				}
																				if (BgL_test1747z00_2076)
																					{
																						long BgL_iz00_2084;

																						BgL_iz00_2084 =
																							(BgL_iz00_1168 + ((long) 1));
																						BgL_iz00_1168 = BgL_iz00_2084;
																						goto
																							BgL_zc3z04anonymousza31242ze3z87_1169;
																					}
																				else
																					{	/* Unsafe/kmp.scm 102 */
																						long BgL_tiz00_1179;

																						{	/* Unsafe/kmp.scm 102 */
																							obj_t BgL_arg1255z00_1182;

																							BgL_arg1255z00_1182 =
																								VECTOR_REF(
																								((obj_t) BgL_tz00_1163),
																								BgL_fiz00_1173);
																							{	/* Unsafe/kmp.scm 102 */
																								long BgL_tmpz00_2088;

																								BgL_tmpz00_2088 =
																									(long)
																									CINT(BgL_arg1255z00_1182);
																								BgL_tiz00_1179 =
																									(long) (BgL_tmpz00_2088);
																						}}
																						{	/* Unsafe/kmp.scm 103 */
																							long BgL_za71za7_1746;

																							BgL_za71za7_1746 = BgL_mz00_6;
																							{	/* Unsafe/kmp.scm 103 */
																								long BgL_tmpz00_2091;

																								{	/* Unsafe/kmp.scm 103 */
																									long BgL_res1688z00_1745;

																									{	/* Unsafe/kmp.scm 103 */
																										long BgL_tmpz00_2092;

																										BgL_tmpz00_2092 =
																											(BgL_iz00_1168 -
																											BgL_tiz00_1179);
																										BgL_res1688z00_1745 =
																											(long) (BgL_tmpz00_2092);
																									}
																									BgL_tmpz00_2091 =
																										BgL_res1688z00_1745;
																								}
																								BgL_mz00_6 =
																									(BgL_za71za7_1746 +
																									BgL_tmpz00_2091);
																						}}
																						if ((BgL_iz00_1168 > ((long) 0)))
																							{
																								long BgL_iz00_2098;

																								BgL_iz00_2098 = BgL_tiz00_1179;
																								BgL_iz00_1168 = BgL_iz00_2098;
																								goto
																									BgL_zc3z04anonymousza31242ze3z87_1169;
																							}
																						else
																							{

																								goto
																									BgL_zc3z04anonymousza31242ze3z87_1169;
																							}
																					}
																			}
																		}
																}
														}
													}
												}
											}
										}
									}
								else
									{	/* Unsafe/kmp.scm 86 */
										obj_t BgL_tmpz00_2099;

										BgL_tmpz00_2099 =
											BGl_errorz00zz__errorz00(BGl_string1705z00zz__kmpz00,
											BGl_string1706z00zz__kmpz00, BgL_tpz00_4);
										return BELONG_TO_LONG(BgL_tmpz00_2099);
									}
							}
						else
							{	/* Unsafe/kmp.scm 84 */
								obj_t BgL_arg1274z00_1194;

								BgL_arg1274z00_1194 = CDR(BgL_tpz00_4);
								{	/* Unsafe/kmp.scm 84 */
									obj_t BgL_tmpz00_2103;

									BgL_tmpz00_2103 =
										BGl_bigloozd2typezd2errorz00zz__errorz00
										(BGl_string1705z00zz__kmpz00, BGl_symbol1707z00zz__kmpz00,
										BgL_arg1274z00_1194);
									return BELONG_TO_LONG(BgL_tmpz00_2103);
								}
							}
					}
				else
					{	/* Unsafe/kmp.scm 82 */
						obj_t BgL_arg1276z00_1196;

						BgL_arg1276z00_1196 = CAR(BgL_tpz00_4);
						{	/* Unsafe/kmp.scm 82 */
							obj_t BgL_tmpz00_2107;

							BgL_tmpz00_2107 =
								BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_string1705z00zz__kmpz00, BGl_symbol1709z00zz__kmpz00,
								BgL_arg1276z00_1196);
							return BELONG_TO_LONG(BgL_tmpz00_2107);
						}
					}
			}
		}

	}



/* &kmp-mmap */
	obj_t BGl_z62kmpzd2mmapzb0zz__kmpz00(obj_t BgL_envz00_1973,
		obj_t BgL_tpz00_1974, obj_t BgL_mmz00_1975, obj_t BgL_mz00_1976)
	{
		{	/* Unsafe/kmp.scm 79 */
			{	/* Unsafe/kmp.scm 81 */
				long BgL_tmpz00_2110;

				{	/* Unsafe/kmp.scm 81 */
					long BgL_auxz00_2125;
					obj_t BgL_auxz00_2118;
					obj_t BgL_auxz00_2111;

					{	/* Unsafe/kmp.scm 81 */
						obj_t BgL_tmpz00_2126;

						if (ELONGP(BgL_mz00_1976))
							{	/* Unsafe/kmp.scm 81 */
								BgL_tmpz00_2126 = BgL_mz00_1976;
							}
						else
							{
								obj_t BgL_auxz00_2129;

								BgL_auxz00_2129 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1702z00zz__kmpz00,
									BINT(2586L), BGl_string1711z00zz__kmpz00,
									BGl_string1714z00zz__kmpz00, BgL_mz00_1976);
								FAILURE(BgL_auxz00_2129, BFALSE, BFALSE);
							}
						BgL_auxz00_2125 = BELONG_TO_LONG(BgL_tmpz00_2126);
					}
					if (BGL_MMAPP(BgL_mmz00_1975))
						{	/* Unsafe/kmp.scm 81 */
							BgL_auxz00_2118 = BgL_mmz00_1975;
						}
					else
						{
							obj_t BgL_auxz00_2121;

							BgL_auxz00_2121 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1702z00zz__kmpz00,
								BINT(2586L), BGl_string1711z00zz__kmpz00,
								BGl_string1713z00zz__kmpz00, BgL_mmz00_1975);
							FAILURE(BgL_auxz00_2121, BFALSE, BFALSE);
						}
					if (PAIRP(BgL_tpz00_1974))
						{	/* Unsafe/kmp.scm 81 */
							BgL_auxz00_2111 = BgL_tpz00_1974;
						}
					else
						{
							obj_t BgL_auxz00_2114;

							BgL_auxz00_2114 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1702z00zz__kmpz00,
								BINT(2586L), BGl_string1711z00zz__kmpz00,
								BGl_string1712z00zz__kmpz00, BgL_tpz00_1974);
							FAILURE(BgL_auxz00_2114, BFALSE, BFALSE);
						}
					BgL_tmpz00_2110 =
						BGl_kmpzd2mmapzd2zz__kmpz00(BgL_auxz00_2111, BgL_auxz00_2118,
						BgL_auxz00_2125);
				}
				return make_belong(BgL_tmpz00_2110);
			}
		}

	}



/* kmp-string */
	BGL_EXPORTED_DEF long BGl_kmpzd2stringzd2zz__kmpz00(obj_t BgL_tpz00_7,
		obj_t BgL_strz00_8, long BgL_mz00_9)
	{
		{	/* Unsafe/kmp.scm 111 */
			{	/* Unsafe/kmp.scm 113 */
				bool_t BgL_test1752z00_2136;

				{	/* Unsafe/kmp.scm 113 */
					obj_t BgL_tmpz00_2137;

					BgL_tmpz00_2137 = CAR(BgL_tpz00_7);
					BgL_test1752z00_2136 = VECTORP(BgL_tmpz00_2137);
				}
				if (BgL_test1752z00_2136)
					{	/* Unsafe/kmp.scm 115 */
						bool_t BgL_test1753z00_2140;

						{	/* Unsafe/kmp.scm 115 */
							obj_t BgL_tmpz00_2141;

							BgL_tmpz00_2141 = CDR(BgL_tpz00_7);
							BgL_test1753z00_2140 = STRINGP(BgL_tmpz00_2141);
						}
						if (BgL_test1753z00_2140)
							{	/* Unsafe/kmp.scm 117 */
								bool_t BgL_test1754z00_2144;

								{	/* Unsafe/kmp.scm 117 */
									long BgL_arg1307z00_1231;
									long BgL_arg1309z00_1232;

									{	/* Unsafe/kmp.scm 117 */
										obj_t BgL_arg1310z00_1233;

										BgL_arg1310z00_1233 = CAR(BgL_tpz00_7);
										BgL_arg1307z00_1231 =
											VECTOR_LENGTH(((obj_t) BgL_arg1310z00_1233));
									}
									BgL_arg1309z00_1232 = (2L + STRING_LENGTH(CDR(BgL_tpz00_7)));
									BgL_test1754z00_2144 =
										(BgL_arg1307z00_1231 == BgL_arg1309z00_1232);
								}
								if (BgL_test1754z00_2144)
									{	/* Unsafe/kmp.scm 120 */
										obj_t BgL_tz00_1208;

										BgL_tz00_1208 = CAR(BgL_tpz00_7);
										{	/* Unsafe/kmp.scm 120 */
											obj_t BgL_pz00_1209;

											BgL_pz00_1209 = CDR(BgL_tpz00_7);
											{	/* Unsafe/kmp.scm 121 */
												long BgL_lsz00_1210;

												BgL_lsz00_1210 = STRING_LENGTH(BgL_strz00_8);
												{	/* Unsafe/kmp.scm 122 */
													long BgL_lpz00_1211;

													BgL_lpz00_1211 =
														STRING_LENGTH(((obj_t) BgL_pz00_1209));
													{	/* Unsafe/kmp.scm 123 */

														{
															obj_t BgL_iz00_1213;

															BgL_iz00_1213 = BINT(0L);
														BgL_zc3z04anonymousza31291ze3z87_1214:
															if (
																((long) CINT(BgL_iz00_1213) == BgL_lpz00_1211))
																{	/* Unsafe/kmp.scm 126 */
																	return BgL_mz00_9;
																}
															else
																{	/* Unsafe/kmp.scm 126 */
																	if (
																		(((long) CINT(BgL_iz00_1213) +
																				BgL_mz00_9) >= BgL_lsz00_1210))
																		{	/* Unsafe/kmp.scm 128 */
																			return (-1L);
																		}
																	else
																		{	/* Unsafe/kmp.scm 131 */
																			bool_t BgL_test1757z00_2164;

																			{	/* Unsafe/kmp.scm 131 */
																				unsigned char BgL_arg1302z00_1226;

																				BgL_arg1302z00_1226 =
																					STRING_REF(BgL_strz00_8,
																					((long) CINT(BgL_iz00_1213) +
																						BgL_mz00_9));
																				BgL_test1757z00_2164 =
																					(BgL_arg1302z00_1226 ==
																					STRING_REF(((obj_t) BgL_pz00_1209),
																						(long) CINT(BgL_iz00_1213)));
																			}
																			if (BgL_test1757z00_2164)
																				{	/* Unsafe/kmp.scm 132 */
																					long BgL_arg1299z00_1222;

																					BgL_arg1299z00_1222 =
																						((long) CINT(BgL_iz00_1213) + 1L);
																					{
																						obj_t BgL_iz00_2174;

																						BgL_iz00_2174 =
																							BINT(BgL_arg1299z00_1222);
																						BgL_iz00_1213 = BgL_iz00_2174;
																						goto
																							BgL_zc3z04anonymousza31291ze3z87_1214;
																					}
																				}
																			else
																				{	/* Unsafe/kmp.scm 133 */
																					obj_t BgL_tiz00_1223;

																					{	/* Unsafe/kmp.scm 133 */
																						long BgL_kz00_1781;

																						BgL_kz00_1781 =
																							(long) CINT(BgL_iz00_1213);
																						BgL_tiz00_1223 =
																							VECTOR_REF(
																							((obj_t) BgL_tz00_1208),
																							BgL_kz00_1781);
																					}
																					BgL_mz00_9 =
																						(BgL_mz00_9 +
																						((long) CINT(BgL_iz00_1213) -
																							(long) CINT(BgL_tiz00_1223)));
																					if (((long) CINT(BgL_iz00_1213) > 0L))
																						{
																							obj_t BgL_iz00_2186;

																							BgL_iz00_2186 = BgL_tiz00_1223;
																							BgL_iz00_1213 = BgL_iz00_2186;
																							goto
																								BgL_zc3z04anonymousza31291ze3z87_1214;
																						}
																					else
																						{

																							goto
																								BgL_zc3z04anonymousza31291ze3z87_1214;
																						}
																				}
																		}
																}
														}
													}
												}
											}
										}
									}
								else
									{	/* Unsafe/kmp.scm 117 */
										return
											(long)
											CINT(BGl_errorz00zz__errorz00(BGl_string1715z00zz__kmpz00,
												BGl_string1706z00zz__kmpz00, BgL_tpz00_7));
							}}
						else
							{	/* Unsafe/kmp.scm 116 */
								obj_t BgL_arg1314z00_1236;

								BgL_arg1314z00_1236 = CDR(BgL_tpz00_7);
								return
									(long)
									CINT(BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_string1715z00zz__kmpz00, BGl_symbol1707z00zz__kmpz00,
										BgL_arg1314z00_1236));
					}}
				else
					{	/* Unsafe/kmp.scm 114 */
						obj_t BgL_arg1316z00_1238;

						BgL_arg1316z00_1238 = CAR(BgL_tpz00_7);
						return
							(long)
							CINT(BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_string1715z00zz__kmpz00, BGl_symbol1709z00zz__kmpz00,
								BgL_arg1316z00_1238));
		}}}

	}



/* &kmp-string */
	obj_t BGl_z62kmpzd2stringzb0zz__kmpz00(obj_t BgL_envz00_1977,
		obj_t BgL_tpz00_1978, obj_t BgL_strz00_1979, obj_t BgL_mz00_1980)
	{
		{	/* Unsafe/kmp.scm 111 */
			{	/* Unsafe/kmp.scm 113 */
				long BgL_tmpz00_2196;

				{	/* Unsafe/kmp.scm 113 */
					long BgL_auxz00_2211;
					obj_t BgL_auxz00_2204;
					obj_t BgL_auxz00_2197;

					{	/* Unsafe/kmp.scm 113 */
						obj_t BgL_tmpz00_2212;

						if (INTEGERP(BgL_mz00_1980))
							{	/* Unsafe/kmp.scm 113 */
								BgL_tmpz00_2212 = BgL_mz00_1980;
							}
						else
							{
								obj_t BgL_auxz00_2215;

								BgL_auxz00_2215 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1702z00zz__kmpz00,
									BINT(3680L), BGl_string1716z00zz__kmpz00,
									BGl_string1717z00zz__kmpz00, BgL_mz00_1980);
								FAILURE(BgL_auxz00_2215, BFALSE, BFALSE);
							}
						BgL_auxz00_2211 = (long) CINT(BgL_tmpz00_2212);
					}
					if (STRINGP(BgL_strz00_1979))
						{	/* Unsafe/kmp.scm 113 */
							BgL_auxz00_2204 = BgL_strz00_1979;
						}
					else
						{
							obj_t BgL_auxz00_2207;

							BgL_auxz00_2207 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1702z00zz__kmpz00,
								BINT(3680L), BGl_string1716z00zz__kmpz00,
								BGl_string1704z00zz__kmpz00, BgL_strz00_1979);
							FAILURE(BgL_auxz00_2207, BFALSE, BFALSE);
						}
					if (PAIRP(BgL_tpz00_1978))
						{	/* Unsafe/kmp.scm 113 */
							BgL_auxz00_2197 = BgL_tpz00_1978;
						}
					else
						{
							obj_t BgL_auxz00_2200;

							BgL_auxz00_2200 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1702z00zz__kmpz00,
								BINT(3680L), BGl_string1716z00zz__kmpz00,
								BGl_string1712z00zz__kmpz00, BgL_tpz00_1978);
							FAILURE(BgL_auxz00_2200, BFALSE, BFALSE);
						}
					BgL_tmpz00_2196 =
						BGl_kmpzd2stringzd2zz__kmpz00(BgL_auxz00_2197, BgL_auxz00_2204,
						BgL_auxz00_2211);
				}
				return BINT(BgL_tmpz00_2196);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__kmpz00(void)
	{
		{	/* Unsafe/kmp.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__kmpz00(void)
	{
		{	/* Unsafe/kmp.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__kmpz00(void)
	{
		{	/* Unsafe/kmp.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__kmpz00(void)
	{
		{	/* Unsafe/kmp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1718z00zz__kmpz00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string1718z00zz__kmpz00));
		}

	}

#ifdef __cplusplus
}
#endif
