/*===========================================================================*/
/*   (Unsafe/sha1.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Unsafe/sha1.scm -indent -o objs/obj_u/Unsafe/sha1.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___SHA1_TYPE_DEFINITIONS
#define BGL___SHA1_TYPE_DEFINITIONS
#endif													// BGL___SHA1_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static uint32_t BGl_fz00zz__sha1z00(int, uint32_t, uint32_t, uint32_t);
	static obj_t BGl_z62sha1sumzd2filezb0zz__sha1z00(obj_t, obj_t);
	static obj_t BGl_z62sha1sumzd2stringzb0zz__sha1z00(obj_t, obj_t);
	static obj_t BGl_sha1z00zz__sha1z00(long, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__sha1z00 = BUNSPEC;
	static obj_t BGl_z62sha1sumzd2portzb0zz__sha1z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2filezd2zz__sha1z00(obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sha1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sha1sumzd2mmapzb0zz__sha1z00(obj_t, obj_t);
	extern obj_t BGl_openzd2mmapzd2zz__mmapz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2portzd2zz__sha1z00(obj_t);
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__sha1z00(void);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2mmapzd2zz__sha1z00(obj_t);
	extern obj_t BGl_ceilingz00zz__r4_numbers_6_5z00(obj_t);
	extern bool_t rgc_buffer_eof_p(obj_t);
	static obj_t BGl_genericzd2initzd2zz__sha1z00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zz__sha1z00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__sha1z00(void);
	static obj_t BGl_z62zc3z04anonymousza31472ze3ze5zz__sha1z00(obj_t);
	static obj_t BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zz__sha1z00(void);
	extern obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t, obj_t, obj_t);
	extern long bgl_rgc_blit_string(obj_t, char *, long, long);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2stringzd2zz__sha1z00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31473ze3ze5zz__sha1z00(obj_t);
	extern obj_t BGl_makezd2u32vectorzd2zz__srfi4z00(long, uint32_t);
	extern obj_t bgl_reverse_bang(obj_t);
	extern obj_t make_vector(long, obj_t);
	static obj_t BGl_methodzd2initzd2zz__sha1z00(void);
	extern obj_t blit_string(obj_t, long, obj_t, long, long);
	static obj_t BGl_u32zd2fillz12zc0zz__sha1z00(obj_t, long, uint32_t);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumz00zz__sha1z00(obj_t);
	extern obj_t make_string(long, unsigned char);
	static obj_t BGl_z62sha1sumz62zz__sha1z00(obj_t, obj_t);
	extern obj_t bgl_close_input_port(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_Kz00zz__sha1z00 = BUNSPEC;
	extern obj_t BGl_stringzd2fillz12zc0zz__r4_strings_6_7z00(obj_t,
		unsigned char);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1885z00zz__sha1z00,
		BgL_bgl_string1885za700za7za7_1897za7,
		"/tmp/bigloo/runtime/Unsafe/sha1.scm", 35);
	      DEFINE_STRING(BGl_string1886z00zz__sha1z00,
		BgL_bgl_string1886za700za7za7_1898za7, "&sha1sum-string", 15);
	      DEFINE_STRING(BGl_string1887z00zz__sha1z00,
		BgL_bgl_string1887za700za7za7_1899za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1888z00zz__sha1z00,
		BgL_bgl_string1888za700za7za7_1900za7, "&sha1sum-mmap", 13);
	      DEFINE_STRING(BGl_string1889z00zz__sha1z00,
		BgL_bgl_string1889za700za7za7_1901za7, "mmap", 4);
	      DEFINE_STRING(BGl_string1890z00zz__sha1z00,
		BgL_bgl_string1890za700za7za7_1902za7, "&sha1sum-port", 13);
	      DEFINE_STRING(BGl_string1891z00zz__sha1z00,
		BgL_bgl_string1891za700za7za7_1903za7, "input-port", 10);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2portzd2envz00zz__sha1z00,
		BgL_bgl_za762sha1sumza7d2por1904z00, BGl_z62sha1sumzd2portzb0zz__sha1z00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1892z00zz__sha1z00,
		BgL_bgl_string1892za700za7za7_1905za7, "&sha1sum-file", 13);
	      DEFINE_STRING(BGl_string1893z00zz__sha1z00,
		BgL_bgl_string1893za700za7za7_1906za7, "sha1sum", 7);
	      DEFINE_STRING(BGl_string1894z00zz__sha1z00,
		BgL_bgl_string1894za700za7za7_1907za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string1895z00zz__sha1z00,
		BgL_bgl_string1895za700za7za7_1908za7, "&hmac-sha1sum-string", 20);
	      DEFINE_STRING(BGl_string1896z00zz__sha1z00,
		BgL_bgl_string1896za700za7za7_1909za7, "__sha1", 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2envzd2zz__sha1z00,
		BgL_bgl_za762sha1sumza762za7za7_1910z00, BGl_z62sha1sumz62zz__sha1z00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2mmapzd2envz00zz__sha1z00,
		BgL_bgl_za762sha1sumza7d2mma1911z00, BGl_z62sha1sumzd2mmapzb0zz__sha1z00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_hmaczd2sha1sumzd2stringzd2envzd2zz__sha1z00,
		BgL_bgl_za762hmacza7d2sha1su1912z00,
		BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2filezd2envz00zz__sha1z00,
		BgL_bgl_za762sha1sumza7d2fil1913z00, BGl_z62sha1sumzd2filezb0zz__sha1z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2stringzd2envz00zz__sha1z00,
		BgL_bgl_za762sha1sumza7d2str1914z00, BGl_z62sha1sumzd2stringzb0zz__sha1z00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__sha1z00));
		     ADD_ROOT((void *) (&BGl_Kz00zz__sha1z00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sha1z00(long
		BgL_checksumz00_2946, char *BgL_fromz00_2947)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__sha1z00))
				{
					BGl_requirezd2initializa7ationz75zz__sha1z00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__sha1z00();
					BGl_importedzd2moduleszd2initz00zz__sha1z00();
					return BGl_toplevelzd2initzd2zz__sha1z00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__sha1z00(void)
	{
		{	/* Unsafe/sha1.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__sha1z00(void)
	{
		{	/* Unsafe/sha1.scm 17 */
			{	/* Unsafe/sha1.scm 129 */
				obj_t BgL_vz00_1307;

				{	/* Llib/srfi4.scm 451 */

					BgL_vz00_1307 =
						BGl_makezd2u32vectorzd2zz__srfi4z00(4L, (uint32_t) (0));
				}
				{	/* Unsafe/sha1.scm 130 */
					uint32_t BgL_arg1235z00_1308;

					{	/* Unsafe/sha1.scm 130 */
						uint32_t BgL_arg1236z00_1309;
						uint32_t BgL_arg1237z00_1310;

						{	/* Unsafe/sha1.scm 130 */
							uint32_t BgL_arg1240z00_1311;

							BgL_arg1240z00_1311 = (uint32_t) (23170L);
							BgL_arg1236z00_1309 = (BgL_arg1240z00_1311 << (int) (16L));
						}
						BgL_arg1237z00_1310 = (uint32_t) (31129L);
						BgL_arg1235z00_1308 = (BgL_arg1236z00_1309 | BgL_arg1237z00_1310);
					}
					BGL_U32VSET(BgL_vz00_1307, 0L, BgL_arg1235z00_1308);
					BUNSPEC;
				}
				{	/* Unsafe/sha1.scm 131 */
					uint32_t BgL_arg1241z00_1312;

					{	/* Unsafe/sha1.scm 131 */
						uint32_t BgL_arg1242z00_1313;
						uint32_t BgL_arg1244z00_1314;

						{	/* Unsafe/sha1.scm 131 */
							uint32_t BgL_arg1245z00_1315;

							BgL_arg1245z00_1315 = (uint32_t) (28377L);
							BgL_arg1242z00_1313 = (BgL_arg1245z00_1315 << (int) (16L));
						}
						BgL_arg1244z00_1314 = (uint32_t) (60321L);
						BgL_arg1241z00_1312 = (BgL_arg1242z00_1313 | BgL_arg1244z00_1314);
					}
					BGL_U32VSET(BgL_vz00_1307, 1L, BgL_arg1241z00_1312);
					BUNSPEC;
				}
				{	/* Unsafe/sha1.scm 132 */
					uint32_t BgL_arg1246z00_1316;

					{	/* Unsafe/sha1.scm 132 */
						uint32_t BgL_arg1247z00_1317;
						uint32_t BgL_arg1249z00_1318;

						{	/* Unsafe/sha1.scm 132 */
							uint32_t BgL_arg1250z00_1319;

							BgL_arg1250z00_1319 = (uint32_t) (36635L);
							BgL_arg1247z00_1317 = (BgL_arg1250z00_1319 << (int) (16L));
						}
						BgL_arg1249z00_1318 = (uint32_t) (48348L);
						BgL_arg1246z00_1316 = (BgL_arg1247z00_1317 | BgL_arg1249z00_1318);
					}
					BGL_U32VSET(BgL_vz00_1307, 2L, BgL_arg1246z00_1316);
					BUNSPEC;
				}
				{	/* Unsafe/sha1.scm 133 */
					uint32_t BgL_arg1252z00_1320;

					{	/* Unsafe/sha1.scm 133 */
						uint32_t BgL_arg1253z00_1321;
						uint32_t BgL_arg1254z00_1322;

						{	/* Unsafe/sha1.scm 133 */
							uint32_t BgL_arg1255z00_1323;

							BgL_arg1255z00_1323 = (uint32_t) (51810L);
							BgL_arg1253z00_1321 = (BgL_arg1255z00_1323 << (int) (16L));
						}
						BgL_arg1254z00_1322 = (uint32_t) (49622L);
						BgL_arg1252z00_1320 = (BgL_arg1253z00_1321 | BgL_arg1254z00_1322);
					}
					BGL_U32VSET(BgL_vz00_1307, 3L, BgL_arg1252z00_1320);
					BUNSPEC;
				}
				return (BGl_Kz00zz__sha1z00 = BgL_vz00_1307, BUNSPEC);
			}
		}

	}



/* u32-fill! */
	obj_t BGl_u32zd2fillz12zc0zz__sha1z00(obj_t BgL_strz00_5,
		long BgL_offsetz00_6, uint32_t BgL_wz00_7)
	{
		{	/* Unsafe/sha1.scm 105 */
			{	/* Unsafe/sha1.scm 106 */
				obj_t BgL_s1z00_1338;

				{	/* Unsafe/sha1.scm 106 */
					long BgL_arg1279z00_1349;

					{	/* Unsafe/sha1.scm 106 */
						uint32_t BgL_tmpz00_2980;

						BgL_tmpz00_2980 = (BgL_wz00_7 >> (int) (16L));
						BgL_arg1279z00_1349 = (long) (BgL_tmpz00_2980);
					}
					BgL_s1z00_1338 =
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
						(BgL_arg1279z00_1349, 16L);
				}
				{	/* Unsafe/sha1.scm 106 */
					long BgL_l1z00_1339;

					BgL_l1z00_1339 = STRING_LENGTH(BgL_s1z00_1338);
					{	/* Unsafe/sha1.scm 107 */
						obj_t BgL_s2z00_1340;

						{	/* Unsafe/sha1.scm 108 */
							long BgL_arg1276z00_1347;

							{	/* Unsafe/sha1.scm 108 */
								uint32_t BgL_tmpz00_2986;

								BgL_tmpz00_2986 = (BgL_wz00_7 & (uint32_t) (65535));
								BgL_arg1276z00_1347 = (long) (BgL_tmpz00_2986);
							}
							BgL_s2z00_1340 =
								BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
								(BgL_arg1276z00_1347, 16L);
						}
						{	/* Unsafe/sha1.scm 108 */
							long BgL_l2z00_1341;

							BgL_l2z00_1341 = STRING_LENGTH(BgL_s2z00_1340);
							{	/* Unsafe/sha1.scm 109 */

								blit_string(BgL_s1z00_1338, 0L, BgL_strz00_5,
									(BgL_offsetz00_6 + (4L - BgL_l1z00_1339)), BgL_l1z00_1339);
								return
									blit_string(BgL_s2z00_1340, 0L, BgL_strz00_5,
									(BgL_offsetz00_6 +
										(4L + (4L - BgL_l2z00_1341))), BgL_l2z00_1341);
							}
						}
					}
				}
			}
		}

	}



/* f */
	uint32_t BGl_fz00zz__sha1z00(int BgL_sz00_20, uint32_t BgL_xz00_21,
		uint32_t BgL_yz00_22, uint32_t BgL_za7za7_23)
	{
		{	/* Unsafe/sha1.scm 165 */
			{

				switch ((long) (BgL_sz00_20))
					{
					case 0L:

						return
							((BgL_xz00_21 & BgL_yz00_22) ^ (~(BgL_xz00_21) & BgL_za7za7_23));
						break;
					case 1L:
					case 3L:

						return (BgL_xz00_21 ^ (BgL_yz00_22 ^ BgL_za7za7_23));
						break;
					default:
						return
							(
							((BgL_xz00_21 & BgL_yz00_22) ^
								(BgL_xz00_21 & BgL_za7za7_23)) ^ (BgL_yz00_22 & BgL_za7za7_23));
					}
			}
		}

	}



/* sha1 */
	obj_t BGl_sha1z00zz__sha1z00(long BgL_lenz00_24, obj_t BgL_mz00_25)
	{
		{	/* Unsafe/sha1.scm 178 */
			{	/* Unsafe/sha1.scm 180 */
				obj_t BgL_wz00_1373;

				BgL_wz00_1373 =
					BGl_makezd2u32vectorzd2zz__srfi4z00(80L, (uint32_t) (0L));
				{	/* Unsafe/sha1.scm 184 */
					obj_t BgL_vecz00_1375;

					{	/* Unsafe/sha1.scm 184 */
						long BgL_arg1300z00_1378;

						BgL_arg1300z00_1378 = (VECTOR_LENGTH(BgL_mz00_25) - 1L);
						BgL_vecz00_1375 = VECTOR_REF(BgL_mz00_25, BgL_arg1300z00_1378);
					}
					{	/* Unsafe/sha1.scm 185 */
						long BgL_v15z00_1377;

						BgL_v15z00_1377 = (BgL_lenz00_24 * 8L);
						{	/* Unsafe/sha1.scm 186 */

							{	/* Unsafe/sha1.scm 187 */
								uint32_t BgL_tmpz00_3017;

								BgL_tmpz00_3017 = (uint32_t) (0L);
								BGL_U32VSET(BgL_vecz00_1375, 14L, BgL_tmpz00_3017);
							} BUNSPEC;
							{	/* Unsafe/sha1.scm 188 */
								uint32_t BgL_tmpz00_3020;

								BgL_tmpz00_3020 = (uint32_t) (BgL_v15z00_1377);
								BGL_U32VSET(BgL_vecz00_1375, 15L, BgL_tmpz00_3020);
							} BUNSPEC;
				}}}
				{	/* Unsafe/sha1.scm 191 */
					uint32_t BgL_h0z00_1379;

					{	/* Unsafe/sha1.scm 191 */
						uint32_t BgL_arg1375z00_1480;
						uint32_t BgL_arg1376z00_1481;

						{	/* Unsafe/sha1.scm 191 */
							uint32_t BgL_arg1378z00_1482;

							BgL_arg1378z00_1482 = (uint32_t) (26437L);
							BgL_arg1375z00_1480 = (BgL_arg1378z00_1482 << (int) (16L));
						}
						BgL_arg1376z00_1481 = (uint32_t) (8961L);
						BgL_h0z00_1379 = (BgL_arg1375z00_1480 | BgL_arg1376z00_1481);
					}
					{	/* Unsafe/sha1.scm 191 */
						uint32_t BgL_h1z00_1380;

						{	/* Unsafe/sha1.scm 192 */
							uint32_t BgL_arg1372z00_1477;
							uint32_t BgL_arg1373z00_1478;

							{	/* Unsafe/sha1.scm 192 */
								uint32_t BgL_arg1374z00_1479;

								BgL_arg1374z00_1479 = (uint32_t) (61389L);
								BgL_arg1372z00_1477 = (BgL_arg1374z00_1479 << (int) (16L));
							}
							BgL_arg1373z00_1478 = (uint32_t) (43913L);
							BgL_h1z00_1380 = (BgL_arg1372z00_1477 | BgL_arg1373z00_1478);
						}
						{	/* Unsafe/sha1.scm 192 */
							uint32_t BgL_h2z00_1381;

							{	/* Unsafe/sha1.scm 193 */
								uint32_t BgL_arg1369z00_1474;
								uint32_t BgL_arg1370z00_1475;

								{	/* Unsafe/sha1.scm 193 */
									uint32_t BgL_arg1371z00_1476;

									BgL_arg1371z00_1476 = (uint32_t) (39098L);
									BgL_arg1369z00_1474 = (BgL_arg1371z00_1476 << (int) (16L));
								}
								BgL_arg1370z00_1475 = (uint32_t) (56574L);
								BgL_h2z00_1381 = (BgL_arg1369z00_1474 | BgL_arg1370z00_1475);
							}
							{	/* Unsafe/sha1.scm 193 */
								uint32_t BgL_h3z00_1382;

								{	/* Unsafe/sha1.scm 194 */
									uint32_t BgL_arg1364z00_1471;
									uint32_t BgL_arg1365z00_1472;

									{	/* Unsafe/sha1.scm 194 */
										uint32_t BgL_arg1367z00_1473;

										BgL_arg1367z00_1473 = (uint32_t) (4146L);
										BgL_arg1364z00_1471 = (BgL_arg1367z00_1473 << (int) (16L));
									}
									BgL_arg1365z00_1472 = (uint32_t) (21622L);
									BgL_h3z00_1382 = (BgL_arg1364z00_1471 | BgL_arg1365z00_1472);
								}
								{	/* Unsafe/sha1.scm 194 */
									uint32_t BgL_h4z00_1383;

									{	/* Unsafe/sha1.scm 195 */
										uint32_t BgL_arg1361z00_1468;
										uint32_t BgL_arg1362z00_1469;

										{	/* Unsafe/sha1.scm 195 */
											uint32_t BgL_arg1363z00_1470;

											BgL_arg1363z00_1470 = (uint32_t) (50130L);
											BgL_arg1361z00_1468 =
												(BgL_arg1363z00_1470 << (int) (16L));
										}
										BgL_arg1362z00_1469 = (uint32_t) (57840L);
										BgL_h4z00_1383 =
											(BgL_arg1361z00_1468 | BgL_arg1362z00_1469);
									}
									{	/* Unsafe/sha1.scm 195 */

										{
											long BgL_iz00_1386;

											BgL_iz00_1386 = 0L;
										BgL_zc3z04anonymousza31301ze3z87_1387:
											if ((BgL_iz00_1386 < VECTOR_LENGTH(BgL_mz00_25)))
												{	/* Unsafe/sha1.scm 198 */
													{
														long BgL_tz00_2251;

														BgL_tz00_2251 = 0L;
													BgL_for1057z00_2250:
														if ((BgL_tz00_2251 < 16L))
															{	/* Unsafe/sha1.scm 201 */
																{	/* Unsafe/sha1.scm 202 */
																	uint32_t BgL_arg1305z00_2255;

																	{	/* Unsafe/sha1.scm 202 */
																		int BgL_iz00_2257;
																		int BgL_jz00_2258;

																		BgL_iz00_2257 = (int) (BgL_iz00_1386);
																		BgL_jz00_2258 = (int) (BgL_tz00_2251);
																		{	/* Unsafe/sha1.scm 160 */
																			long BgL_auxz00_3058;
																			obj_t BgL_tmpz00_3055;

																			BgL_auxz00_3058 = (long) (BgL_jz00_2258);
																			BgL_tmpz00_3055 =
																				VECTOR_REF(BgL_mz00_25,
																				(long) (BgL_iz00_2257));
																			BgL_arg1305z00_2255 =
																				BGL_U32VREF(BgL_tmpz00_3055,
																				BgL_auxz00_3058);
																	}}
																	BGL_U32VSET(BgL_wz00_1373, BgL_tz00_2251,
																		BgL_arg1305z00_2255);
																	BUNSPEC;
																}
																{
																	long BgL_tz00_3062;

																	BgL_tz00_3062 = (BgL_tz00_2251 + 1L);
																	BgL_tz00_2251 = BgL_tz00_3062;
																	goto BgL_for1057z00_2250;
																}
															}
														else
															{	/* Unsafe/sha1.scm 201 */
																((bool_t) 0);
															}
													}
													{
														long BgL_tz00_1399;

														BgL_tz00_1399 = 16L;
													BgL_zc3z04anonymousza31308ze3z87_1400:
														if ((BgL_tz00_1399 < 80L))
															{	/* Unsafe/sha1.scm 203 */
																{	/* Unsafe/sha1.scm 204 */
																	uint32_t BgL_w0z00_1402;

																	{	/* Unsafe/sha1.scm 204 */
																		long BgL_tmpz00_3066;

																		BgL_tmpz00_3066 = (BgL_tz00_1399 - 3L);
																		BgL_w0z00_1402 =
																			BGL_U32VREF(BgL_wz00_1373,
																			BgL_tmpz00_3066);
																	}
																	{	/* Unsafe/sha1.scm 204 */
																		uint32_t BgL_w1z00_1403;

																		{	/* Unsafe/sha1.scm 205 */
																			long BgL_tmpz00_3069;

																			BgL_tmpz00_3069 = (BgL_tz00_1399 - 8L);
																			BgL_w1z00_1403 =
																				BGL_U32VREF(BgL_wz00_1373,
																				BgL_tmpz00_3069);
																		}
																		{	/* Unsafe/sha1.scm 205 */
																			uint32_t BgL_w2z00_1404;

																			{	/* Unsafe/sha1.scm 206 */
																				long BgL_tmpz00_3072;

																				BgL_tmpz00_3072 = (BgL_tz00_1399 - 14L);
																				BgL_w2z00_1404 =
																					BGL_U32VREF(BgL_wz00_1373,
																					BgL_tmpz00_3072);
																			}
																			{	/* Unsafe/sha1.scm 206 */
																				uint32_t BgL_w3z00_1405;

																				{	/* Unsafe/sha1.scm 207 */
																					long BgL_tmpz00_3075;

																					BgL_tmpz00_3075 =
																						(BgL_tz00_1399 - 16L);
																					BgL_w3z00_1405 =
																						BGL_U32VREF(BgL_wz00_1373,
																						BgL_tmpz00_3075);
																				}
																				{	/* Unsafe/sha1.scm 207 */
																					uint32_t BgL_vz00_1406;

																					BgL_vz00_1406 =
																						(BgL_w0z00_1402 ^
																						(BgL_w1z00_1403 ^
																							(BgL_w2z00_1404 ^
																								BgL_w3z00_1405)));
																					{	/* Unsafe/sha1.scm 208 */

																						{	/* Unsafe/sha1.scm 209 */
																							uint32_t BgL_arg1310z00_1407;

																							BgL_arg1310z00_1407 =
																								(
																								(BgL_vz00_1406 <<
																									(int) (1L)) |
																								(BgL_vz00_1406 >>
																									(int) ((32L - 1L))));
																							BGL_U32VSET(BgL_wz00_1373,
																								BgL_tz00_1399,
																								BgL_arg1310z00_1407);
																							BUNSPEC;
																}}}}}}}
																{
																	long BgL_tz00_3088;

																	BgL_tz00_3088 = (BgL_tz00_1399 + 1L);
																	BgL_tz00_1399 = BgL_tz00_3088;
																	goto BgL_zc3z04anonymousza31308ze3z87_1400;
																}
															}
														else
															{	/* Unsafe/sha1.scm 203 */
																((bool_t) 0);
															}
													}
													{	/* Unsafe/sha1.scm 213 */
														uint32_t BgL_az00_1416;
														uint32_t BgL_bz00_1417;
														uint32_t BgL_cz00_1418;
														uint32_t BgL_dz00_1419;
														uint32_t BgL_ez00_1420;

														BgL_az00_1416 = BgL_h0z00_1379;
														BgL_bz00_1417 = BgL_h1z00_1380;
														BgL_cz00_1418 = BgL_h2z00_1381;
														BgL_dz00_1419 = BgL_h3z00_1382;
														BgL_ez00_1420 = BgL_h4z00_1383;
														{
															long BgL_tz00_1423;

															BgL_tz00_1423 = 0L;
														BgL_zc3z04anonymousza31319ze3z87_1424:
															if ((BgL_tz00_1423 < 80L))
																{	/* Unsafe/sha1.scm 220 */
																	{	/* Unsafe/sha1.scm 221 */
																		long BgL_sz00_1426;

																		BgL_sz00_1426 = (BgL_tz00_1423 / 20L);
																		{	/* Unsafe/sha1.scm 221 */
																			uint32_t BgL_a5z00_1427;

																			{	/* Unsafe/sha1.scm 222 */
																				uint32_t BgL_xz00_2289;

																				BgL_xz00_2289 = BgL_az00_1416;
																				BgL_a5z00_1427 =
																					(
																					(BgL_xz00_2289 <<
																						(int) (5L)) |
																					(BgL_xz00_2289 >>
																						(int) ((32L - 5L))));
																			}
																			{	/* Unsafe/sha1.scm 222 */
																				uint32_t BgL_fz00_1428;

																				BgL_fz00_1428 =
																					BGl_fz00zz__sha1z00(
																					(int) (BgL_sz00_1426), BgL_bz00_1417,
																					BgL_cz00_1418, BgL_dz00_1419);
																				{	/* Unsafe/sha1.scm 223 */
																					uint32_t BgL_kz00_1429;

																					BgL_kz00_1429 =
																						BGL_U32VREF(BGl_Kz00zz__sha1z00,
																						BgL_sz00_1426);
																					{	/* Unsafe/sha1.scm 224 */
																						uint32_t BgL_wz00_1430;

																						BgL_wz00_1430 =
																							BGL_U32VREF(BgL_wz00_1373,
																							BgL_tz00_1423);
																						{	/* Unsafe/sha1.scm 225 */
																							uint32_t BgL_yz00_1431;

																							BgL_yz00_1431 =
																								(BgL_a5z00_1427 +
																								(BgL_fz00_1428 +
																									(BgL_ez00_1420 +
																										(BgL_kz00_1429 +
																											BgL_wz00_1430))));
																							{	/* Unsafe/sha1.scm 226 */

																								BgL_ez00_1420 = BgL_dz00_1419;
																								BgL_dz00_1419 = BgL_cz00_1418;
																								{	/* Unsafe/sha1.scm 229 */
																									uint32_t BgL_xz00_2306;

																									BgL_xz00_2306 = BgL_bz00_1417;
																									BgL_cz00_1418 =
																										(
																										(BgL_xz00_2306 <<
																											(int) (30L)) |
																										(BgL_xz00_2306 >>
																											(int) ((32L - 30L))));
																								}
																								BgL_bz00_1417 = BgL_az00_1416;
																								{	/* Unsafe/sha1.scm 231 */
																									uint32_t BgL_arg1321z00_1432;

																									{	/* Unsafe/sha1.scm 231 */
																										uint32_t
																											BgL_arg1322z00_1433;
																										uint32_t
																											BgL_arg1326z00_1434;
																										{	/* Unsafe/sha1.scm 231 */
																											uint32_t
																												BgL_arg1327z00_1435;
																											BgL_arg1327z00_1435 =
																												(uint32_t) (65535L);
																											BgL_arg1322z00_1433 =
																												(BgL_arg1327z00_1435 <<
																												(int) (16L));
																										}
																										BgL_arg1326z00_1434 =
																											(uint32_t) (65535L);
																										BgL_arg1321z00_1432 =
																											(BgL_arg1322z00_1433 |
																											BgL_arg1326z00_1434);
																									}
																									BgL_az00_1416 =
																										(BgL_yz00_1431 &
																										BgL_arg1321z00_1432);
																	}}}}}}}}
																	{
																		long BgL_tz00_3119;

																		BgL_tz00_3119 = (BgL_tz00_1423 + 1L);
																		BgL_tz00_1423 = BgL_tz00_3119;
																		goto BgL_zc3z04anonymousza31319ze3z87_1424;
																	}
																}
															else
																{	/* Unsafe/sha1.scm 220 */
																	((bool_t) 0);
																}
														}
														{	/* Unsafe/sha1.scm 233 */
															uint32_t BgL_arg1333z00_1441;
															uint32_t BgL_arg1334z00_1442;

															BgL_arg1333z00_1441 =
																(BgL_h0z00_1379 + BgL_az00_1416);
															{	/* Unsafe/sha1.scm 233 */
																uint32_t BgL_arg1335z00_1443;
																uint32_t BgL_arg1336z00_1444;

																{	/* Unsafe/sha1.scm 233 */
																	uint32_t BgL_arg1337z00_1445;

																	BgL_arg1337z00_1445 = (uint32_t) (65535L);
																	BgL_arg1335z00_1443 =
																		(BgL_arg1337z00_1445 << (int) (16L));
																}
																BgL_arg1336z00_1444 = (uint32_t) (65535L);
																BgL_arg1334z00_1442 =
																	(BgL_arg1335z00_1443 | BgL_arg1336z00_1444);
															}
															BgL_h0z00_1379 =
																(BgL_arg1333z00_1441 & BgL_arg1334z00_1442);
														}
														{	/* Unsafe/sha1.scm 234 */
															uint32_t BgL_arg1338z00_1446;
															uint32_t BgL_arg1339z00_1447;

															BgL_arg1338z00_1446 =
																(BgL_h1z00_1380 + BgL_bz00_1417);
															{	/* Unsafe/sha1.scm 234 */
																uint32_t BgL_arg1340z00_1448;
																uint32_t BgL_arg1341z00_1449;

																{	/* Unsafe/sha1.scm 234 */
																	uint32_t BgL_arg1342z00_1450;

																	BgL_arg1342z00_1450 = (uint32_t) (65535L);
																	BgL_arg1340z00_1448 =
																		(BgL_arg1342z00_1450 << (int) (16L));
																}
																BgL_arg1341z00_1449 = (uint32_t) (65535L);
																BgL_arg1339z00_1447 =
																	(BgL_arg1340z00_1448 | BgL_arg1341z00_1449);
															}
															BgL_h1z00_1380 =
																(BgL_arg1338z00_1446 & BgL_arg1339z00_1447);
														}
														{	/* Unsafe/sha1.scm 235 */
															uint32_t BgL_arg1344z00_1451;
															uint32_t BgL_arg1345z00_1452;

															BgL_arg1344z00_1451 =
																(BgL_h2z00_1381 + BgL_cz00_1418);
															{	/* Unsafe/sha1.scm 235 */
																uint32_t BgL_arg1347z00_1453;
																uint32_t BgL_arg1348z00_1454;

																{	/* Unsafe/sha1.scm 235 */
																	uint32_t BgL_arg1349z00_1455;

																	BgL_arg1349z00_1455 = (uint32_t) (65535L);
																	BgL_arg1347z00_1453 =
																		(BgL_arg1349z00_1455 << (int) (16L));
																}
																BgL_arg1348z00_1454 = (uint32_t) (65535L);
																BgL_arg1345z00_1452 =
																	(BgL_arg1347z00_1453 | BgL_arg1348z00_1454);
															}
															BgL_h2z00_1381 =
																(BgL_arg1344z00_1451 & BgL_arg1345z00_1452);
														}
														{	/* Unsafe/sha1.scm 236 */
															uint32_t BgL_arg1350z00_1456;
															uint32_t BgL_arg1351z00_1457;

															BgL_arg1350z00_1456 =
																(BgL_h3z00_1382 + BgL_dz00_1419);
															{	/* Unsafe/sha1.scm 236 */
																uint32_t BgL_arg1352z00_1458;
																uint32_t BgL_arg1353z00_1459;

																{	/* Unsafe/sha1.scm 236 */
																	uint32_t BgL_arg1354z00_1460;

																	BgL_arg1354z00_1460 = (uint32_t) (65535L);
																	BgL_arg1352z00_1458 =
																		(BgL_arg1354z00_1460 << (int) (16L));
																}
																BgL_arg1353z00_1459 = (uint32_t) (65535L);
																BgL_arg1351z00_1457 =
																	(BgL_arg1352z00_1458 | BgL_arg1353z00_1459);
															}
															BgL_h3z00_1382 =
																(BgL_arg1350z00_1456 & BgL_arg1351z00_1457);
														}
														{	/* Unsafe/sha1.scm 237 */
															uint32_t BgL_arg1355z00_1461;
															uint32_t BgL_arg1356z00_1462;

															BgL_arg1355z00_1461 =
																(BgL_h4z00_1383 + BgL_ez00_1420);
															{	/* Unsafe/sha1.scm 237 */
																uint32_t BgL_arg1357z00_1463;
																uint32_t BgL_arg1358z00_1464;

																{	/* Unsafe/sha1.scm 237 */
																	uint32_t BgL_arg1359z00_1465;

																	BgL_arg1359z00_1465 = (uint32_t) (65535L);
																	BgL_arg1357z00_1463 =
																		(BgL_arg1359z00_1465 << (int) (16L));
																}
																BgL_arg1358z00_1464 = (uint32_t) (65535L);
																BgL_arg1356z00_1462 =
																	(BgL_arg1357z00_1463 | BgL_arg1358z00_1464);
															}
															BgL_h4z00_1383 =
																(BgL_arg1355z00_1461 & BgL_arg1356z00_1462);
													}}
													{
														long BgL_iz00_3156;

														BgL_iz00_3156 = (BgL_iz00_1386 + 1L);
														BgL_iz00_1386 = BgL_iz00_3156;
														goto BgL_zc3z04anonymousza31301ze3z87_1387;
													}
												}
											else
												{	/* Unsafe/sha1.scm 198 */
													((bool_t) 0);
												}
										}
										{	/* Unsafe/sha1.scm 239 */
											uint32_t BgL_w0z00_2357;
											uint32_t BgL_w1z00_2358;
											uint32_t BgL_w2z00_2359;
											uint32_t BgL_w3z00_2360;
											uint32_t BgL_w4z00_2361;

											BgL_w0z00_2357 = BgL_h0z00_1379;
											BgL_w1z00_2358 = BgL_h1z00_1380;
											BgL_w2z00_2359 = BgL_h2z00_1381;
											BgL_w3z00_2360 = BgL_h3z00_1382;
											BgL_w4z00_2361 = BgL_h4z00_1383;
											{	/* Unsafe/sha1.scm 117 */
												obj_t BgL_rz00_2362;

												BgL_rz00_2362 = make_string(40L, ((unsigned char) '0'));
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2362, 0L,
													BgL_w0z00_2357);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2362, 8L,
													BgL_w1z00_2358);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2362, 16L,
													BgL_w2z00_2359);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2362, 24L,
													BgL_w3z00_2360);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2362, 32L,
													BgL_w4z00_2361);
												return BgL_rz00_2362;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* sha1sum-string */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2stringzd2zz__sha1z00(obj_t BgL_strz00_28)
	{
		{	/* Unsafe/sha1.scm 253 */
			{	/* Unsafe/sha1.scm 256 */
				long BgL_lenz00_1486;

				BgL_lenz00_1486 = STRING_LENGTH(BgL_strz00_28);
				{	/* Unsafe/sha1.scm 256 */
					long BgL_lz00_1487;

					{	/* Unsafe/sha1.scm 257 */
						long BgL_tmpz00_3165;

						{	/* Unsafe/sha1.scm 257 */
							obj_t BgL_tmpz00_3166;

							{	/* Unsafe/sha1.scm 245 */
								obj_t BgL_rz00_2369;

								BgL_rz00_2369 =
									BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(
										(BgL_lenz00_1486 + 1L)), BINT(4L));
								if (INTEGERP(BgL_rz00_2369))
									{	/* Unsafe/sha1.scm 246 */
										BgL_tmpz00_3166 = BgL_rz00_2369;
									}
								else
									{	/* Unsafe/sha1.scm 246 */
										BgL_tmpz00_3166 =
											BINT(
											(long) (REAL_TO_DOUBLE(BGl_ceilingz00zz__r4_numbers_6_5z00
													(BgL_rz00_2369))));
							}}
							BgL_tmpz00_3165 = (long) CINT(BgL_tmpz00_3166);
						}
						BgL_lz00_1487 = (BgL_tmpz00_3165 + 2L);
					}
					{	/* Unsafe/sha1.scm 257 */
						long BgL_nz00_1488;

						{	/* Unsafe/sha1.scm 245 */
							obj_t BgL_rz00_2375;

							BgL_rz00_2375 =
								BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(BgL_lz00_1487),
								BINT(16L));
							if (INTEGERP(BgL_rz00_2375))
								{	/* Unsafe/sha1.scm 246 */
									BgL_nz00_1488 = (long) CINT(BgL_rz00_2375);
								}
							else
								{	/* Unsafe/sha1.scm 246 */
									BgL_nz00_1488 =
										(long) (REAL_TO_DOUBLE(BGl_ceilingz00zz__r4_numbers_6_5z00
											(BgL_rz00_2375)));
						}}
						{	/* Unsafe/sha1.scm 258 */
							obj_t BgL_mz00_1489;

							BgL_mz00_1489 = make_vector(BgL_nz00_1488, BUNSPEC);
							{	/* Unsafe/sha1.scm 259 */

								{
									long BgL_iz00_1492;

									BgL_iz00_1492 = 0L;
								BgL_zc3z04anonymousza31381ze3z87_1493:
									if ((BgL_iz00_1492 < BgL_nz00_1488))
										{	/* Unsafe/sha1.scm 261 */
											{	/* Unsafe/sha1.scm 262 */
												obj_t BgL_vecz00_1495;

												{	/* Llib/srfi4.scm 451 */

													BgL_vecz00_1495 =
														BGl_makezd2u32vectorzd2zz__srfi4z00(16L,
														(uint32_t) (0));
												}
												{
													long BgL_jz00_1498;

													BgL_jz00_1498 = 0L;
												BgL_zc3z04anonymousza31383ze3z87_1499:
													if ((BgL_jz00_1498 < 16L))
														{	/* Unsafe/sha1.scm 263 */
															{	/* Unsafe/sha1.scm 264 */
																int BgL_nz00_1501;

																BgL_nz00_1501 =
																	(int) (
																	((BgL_iz00_1492 * 64L) +
																		(BgL_jz00_1498 * 4L)));
																{	/* Unsafe/sha1.scm 264 */
																	uint32_t BgL_v0z00_1502;

																	{	/* Unsafe/sha1.scm 140 */
																		long BgL_lenz00_2391;

																		BgL_lenz00_2391 =
																			STRING_LENGTH(BgL_strz00_28);
																		if (
																			((long) (BgL_nz00_1501) <
																				BgL_lenz00_2391))
																			{	/* Unsafe/sha1.scm 142 */
																				long BgL_tmpz00_3202;

																				BgL_tmpz00_3202 =
																					(STRING_REF(BgL_strz00_28,
																						(long) (BgL_nz00_1501)));
																				BgL_v0z00_1502 =
																					(uint32_t) (BgL_tmpz00_3202);
																			}
																		else
																			{	/* Unsafe/sha1.scm 142 */
																				if (
																					((long) (BgL_nz00_1501) ==
																						BgL_lenz00_2391))
																					{	/* Unsafe/sha1.scm 143 */
																						BgL_v0z00_1502 = (uint32_t) (128);
																					}
																				else
																					{	/* Unsafe/sha1.scm 143 */
																						BgL_v0z00_1502 = (uint32_t) (0);
																					}
																			}
																	}
																	{	/* Unsafe/sha1.scm 265 */
																		uint32_t BgL_v1z00_1503;

																		{	/* Unsafe/sha1.scm 266 */
																			long BgL_arg1397z00_1518;

																			BgL_arg1397z00_1518 =
																				((long) (BgL_nz00_1501) + 1L);
																			{	/* Unsafe/sha1.scm 266 */
																				int BgL_iz00_2407;

																				BgL_iz00_2407 =
																					(int) (BgL_arg1397z00_1518);
																				{	/* Unsafe/sha1.scm 140 */
																					long BgL_lenz00_2408;

																					BgL_lenz00_2408 =
																						STRING_LENGTH(BgL_strz00_28);
																					if (
																						((long) (BgL_iz00_2407) <
																							BgL_lenz00_2408))
																						{	/* Unsafe/sha1.scm 142 */
																							long BgL_tmpz00_3217;

																							BgL_tmpz00_3217 =
																								(STRING_REF(BgL_strz00_28,
																									(long) (BgL_iz00_2407)));
																							BgL_v1z00_1503 =
																								(uint32_t) (BgL_tmpz00_3217);
																						}
																					else
																						{	/* Unsafe/sha1.scm 142 */
																							if (
																								((long) (BgL_iz00_2407) ==
																									BgL_lenz00_2408))
																								{	/* Unsafe/sha1.scm 143 */
																									BgL_v1z00_1503 =
																										(uint32_t) (128);
																								}
																							else
																								{	/* Unsafe/sha1.scm 143 */
																									BgL_v1z00_1503 =
																										(uint32_t) (0);
																								}
																						}
																				}
																			}
																		}
																		{	/* Unsafe/sha1.scm 266 */
																			uint32_t BgL_v2z00_1504;

																			{	/* Unsafe/sha1.scm 267 */
																				long BgL_arg1396z00_1517;

																				BgL_arg1396z00_1517 =
																					((long) (BgL_nz00_1501) + 2L);
																				{	/* Unsafe/sha1.scm 267 */
																					int BgL_iz00_2424;

																					BgL_iz00_2424 =
																						(int) (BgL_arg1396z00_1517);
																					{	/* Unsafe/sha1.scm 140 */
																						long BgL_lenz00_2425;

																						BgL_lenz00_2425 =
																							STRING_LENGTH(BgL_strz00_28);
																						if (
																							((long) (BgL_iz00_2424) <
																								BgL_lenz00_2425))
																							{	/* Unsafe/sha1.scm 142 */
																								long BgL_tmpz00_3232;

																								BgL_tmpz00_3232 =
																									(STRING_REF(BgL_strz00_28,
																										(long) (BgL_iz00_2424)));
																								BgL_v2z00_1504 =
																									(uint32_t) (BgL_tmpz00_3232);
																							}
																						else
																							{	/* Unsafe/sha1.scm 142 */
																								if (
																									((long) (BgL_iz00_2424) ==
																										BgL_lenz00_2425))
																									{	/* Unsafe/sha1.scm 143 */
																										BgL_v2z00_1504 =
																											(uint32_t) (128);
																									}
																								else
																									{	/* Unsafe/sha1.scm 143 */
																										BgL_v2z00_1504 =
																											(uint32_t) (0);
																									}
																							}
																					}
																				}
																			}
																			{	/* Unsafe/sha1.scm 267 */
																				uint32_t BgL_v3z00_1505;

																				{	/* Unsafe/sha1.scm 268 */
																					long BgL_arg1395z00_1516;

																					BgL_arg1395z00_1516 =
																						((long) (BgL_nz00_1501) + 3L);
																					{	/* Unsafe/sha1.scm 268 */
																						int BgL_iz00_2441;

																						BgL_iz00_2441 =
																							(int) (BgL_arg1395z00_1516);
																						{	/* Unsafe/sha1.scm 140 */
																							long BgL_lenz00_2442;

																							BgL_lenz00_2442 =
																								STRING_LENGTH(BgL_strz00_28);
																							if (
																								((long) (BgL_iz00_2441) <
																									BgL_lenz00_2442))
																								{	/* Unsafe/sha1.scm 142 */
																									long BgL_tmpz00_3247;

																									BgL_tmpz00_3247 =
																										(STRING_REF(BgL_strz00_28,
																											(long) (BgL_iz00_2441)));
																									BgL_v3z00_1505 =
																										(uint32_t)
																										(BgL_tmpz00_3247);
																								}
																							else
																								{	/* Unsafe/sha1.scm 142 */
																									if (
																										((long) (BgL_iz00_2441) ==
																											BgL_lenz00_2442))
																										{	/* Unsafe/sha1.scm 143 */
																											BgL_v3z00_1505 =
																												(uint32_t) (128);
																										}
																									else
																										{	/* Unsafe/sha1.scm 143 */
																											BgL_v3z00_1505 =
																												(uint32_t) (0);
																										}
																								}
																						}
																					}
																				}
																				{	/* Unsafe/sha1.scm 268 */
																					uint32_t BgL_vz00_1506;

																					{	/* Unsafe/sha1.scm 269 */
																						uint32_t BgL_arg1385z00_1507;
																						uint32_t BgL_arg1386z00_1508;

																						{	/* Unsafe/sha1.scm 269 */
																							uint32_t BgL_arg1387z00_1509;

																							{	/* Unsafe/sha1.scm 269 */
																								long BgL_arg1388z00_1510;

																								{	/* Unsafe/sha1.scm 269 */
																									uint32_t BgL_tmpz00_3255;

																									BgL_tmpz00_3255 =
																										(
																										(BgL_v0z00_1502 <<
																											(int) (8L)) |
																										BgL_v1z00_1503);
																									BgL_arg1388z00_1510 =
																										(long) (BgL_tmpz00_3255);
																								}
																								BgL_arg1387z00_1509 =
																									(uint32_t)
																									(BgL_arg1388z00_1510);
																							}
																							BgL_arg1385z00_1507 =
																								(BgL_arg1387z00_1509 <<
																								(int) (16L));
																						}
																						{	/* Unsafe/sha1.scm 269 */
																							long BgL_arg1392z00_1513;

																							{	/* Unsafe/sha1.scm 269 */
																								uint32_t BgL_tmpz00_3263;

																								BgL_tmpz00_3263 =
																									(
																									(BgL_v2z00_1504 <<
																										(int) (8L)) |
																									BgL_v3z00_1505);
																								BgL_arg1392z00_1513 =
																									(long) (BgL_tmpz00_3263);
																							}
																							BgL_arg1386z00_1508 =
																								(uint32_t)
																								(BgL_arg1392z00_1513);
																						}
																						BgL_vz00_1506 =
																							(BgL_arg1385z00_1507 |
																							BgL_arg1386z00_1508);
																					}
																					{	/* Unsafe/sha1.scm 269 */

																						BGL_U32VSET(BgL_vecz00_1495,
																							BgL_jz00_1498, BgL_vz00_1506);
																						BUNSPEC;
															}}}}}}}
															VECTOR_SET(BgL_mz00_1489, BgL_iz00_1492,
																BgL_vecz00_1495);
															{
																long BgL_jz00_3272;

																BgL_jz00_3272 = (BgL_jz00_1498 + 1L);
																BgL_jz00_1498 = BgL_jz00_3272;
																goto BgL_zc3z04anonymousza31383ze3z87_1499;
															}
														}
													else
														{	/* Unsafe/sha1.scm 263 */
															((bool_t) 0);
														}
												}
											}
											{
												long BgL_iz00_3274;

												BgL_iz00_3274 = (BgL_iz00_1492 + 1L);
												BgL_iz00_1492 = BgL_iz00_3274;
												goto BgL_zc3z04anonymousza31381ze3z87_1493;
											}
										}
									else
										{	/* Unsafe/sha1.scm 261 */
											((bool_t) 0);
										}
								}
								return BGl_sha1z00zz__sha1z00(BgL_lenz00_1486, BgL_mz00_1489);
							}
						}
					}
				}
			}
		}

	}



/* &sha1sum-string */
	obj_t BGl_z62sha1sumzd2stringzb0zz__sha1z00(obj_t BgL_envz00_2913,
		obj_t BgL_strz00_2914)
	{
		{	/* Unsafe/sha1.scm 253 */
			{	/* Unsafe/sha1.scm 256 */
				obj_t BgL_auxz00_3277;

				if (STRINGP(BgL_strz00_2914))
					{	/* Unsafe/sha1.scm 256 */
						BgL_auxz00_3277 = BgL_strz00_2914;
					}
				else
					{
						obj_t BgL_auxz00_3280;

						BgL_auxz00_3280 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1885z00zz__sha1z00,
							BINT(10118L), BGl_string1886z00zz__sha1z00,
							BGl_string1887z00zz__sha1z00, BgL_strz00_2914);
						FAILURE(BgL_auxz00_3280, BFALSE, BFALSE);
					}
				return BGl_sha1sumzd2stringzd2zz__sha1z00(BgL_auxz00_3277);
			}
		}

	}



/* sha1sum-mmap */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2mmapzd2zz__sha1z00(obj_t BgL_strz00_29)
	{
		{	/* Unsafe/sha1.scm 278 */
			{	/* Unsafe/sha1.scm 281 */
				long BgL_lenz00_1530;

				{	/* Unsafe/sha1.scm 281 */
					long BgL_tmpz00_3285;

					BgL_tmpz00_3285 = BGL_MMAP_LENGTH(BgL_strz00_29);
					BgL_lenz00_1530 = (long) (BgL_tmpz00_3285);
				}
				{	/* Unsafe/sha1.scm 281 */
					long BgL_lz00_1531;

					{	/* Unsafe/sha1.scm 282 */
						long BgL_tmpz00_3288;

						{	/* Unsafe/sha1.scm 282 */
							obj_t BgL_tmpz00_3289;

							{	/* Unsafe/sha1.scm 245 */
								obj_t BgL_rz00_2475;

								BgL_rz00_2475 =
									BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(
										(BgL_lenz00_1530 + 1L)), BINT(4L));
								if (INTEGERP(BgL_rz00_2475))
									{	/* Unsafe/sha1.scm 246 */
										BgL_tmpz00_3289 = BgL_rz00_2475;
									}
								else
									{	/* Unsafe/sha1.scm 246 */
										BgL_tmpz00_3289 =
											BINT(
											(long) (REAL_TO_DOUBLE(BGl_ceilingz00zz__r4_numbers_6_5z00
													(BgL_rz00_2475))));
							}}
							BgL_tmpz00_3288 = (long) CINT(BgL_tmpz00_3289);
						}
						BgL_lz00_1531 = (BgL_tmpz00_3288 + 2L);
					}
					{	/* Unsafe/sha1.scm 282 */
						long BgL_nz00_1532;

						{	/* Unsafe/sha1.scm 245 */
							obj_t BgL_rz00_2481;

							BgL_rz00_2481 =
								BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(BgL_lz00_1531),
								BINT(16L));
							if (INTEGERP(BgL_rz00_2481))
								{	/* Unsafe/sha1.scm 246 */
									BgL_nz00_1532 = (long) CINT(BgL_rz00_2481);
								}
							else
								{	/* Unsafe/sha1.scm 246 */
									BgL_nz00_1532 =
										(long) (REAL_TO_DOUBLE(BGl_ceilingz00zz__r4_numbers_6_5z00
											(BgL_rz00_2481)));
						}}
						{	/* Unsafe/sha1.scm 283 */
							obj_t BgL_mz00_1533;

							BgL_mz00_1533 = make_vector(BgL_nz00_1532, BUNSPEC);
							{	/* Unsafe/sha1.scm 284 */

								{
									long BgL_iz00_1536;

									BgL_iz00_1536 = 0L;
								BgL_zc3z04anonymousza31405ze3z87_1537:
									if ((BgL_iz00_1536 < BgL_nz00_1532))
										{	/* Unsafe/sha1.scm 286 */
											{	/* Unsafe/sha1.scm 287 */
												obj_t BgL_vecz00_1539;

												{	/* Llib/srfi4.scm 451 */

													BgL_vecz00_1539 =
														BGl_makezd2u32vectorzd2zz__srfi4z00(16L,
														(uint32_t) (0));
												}
												{
													long BgL_jz00_1542;

													BgL_jz00_1542 = 0L;
												BgL_zc3z04anonymousza31407ze3z87_1543:
													if ((BgL_jz00_1542 < 16L))
														{	/* Unsafe/sha1.scm 288 */
															{	/* Unsafe/sha1.scm 289 */
																long BgL_nz00_1545;

																{	/* Unsafe/sha1.scm 289 */
																	long BgL_tmpz00_3317;

																	BgL_tmpz00_3317 =
																		(
																		(BgL_iz00_1536 * 64L) +
																		(BgL_jz00_1542 * 4L));
																	BgL_nz00_1545 = (long) (BgL_tmpz00_3317);
																}
																{	/* Unsafe/sha1.scm 289 */
																	uint32_t BgL_v0z00_1546;

																	{	/* Unsafe/sha1.scm 150 */
																		long BgL_lenz00_2497;

																		BgL_lenz00_2497 =
																			BGL_MMAP_LENGTH(BgL_strz00_29);
																		{	/* Unsafe/sha1.scm 152 */
																			bool_t BgL_test1937z00_3323;

																			{	/* Unsafe/sha1.scm 152 */
																				long BgL_n1z00_2503;
																				long BgL_n2z00_2504;

																				BgL_n1z00_2503 = (long) (BgL_nz00_1545);
																				BgL_n2z00_2504 =
																					(long) (BgL_lenz00_2497);
																				BgL_test1937z00_3323 =
																					(BgL_n1z00_2503 < BgL_n2z00_2504);
																			}
																			if (BgL_test1937z00_3323)
																				{	/* Unsafe/sha1.scm 152 */
																					long BgL_arg1287z00_2499;

																					{	/* Unsafe/sha1.scm 152 */
																						unsigned char BgL_arg1288z00_2500;

																						{	/* Unsafe/sha1.scm 152 */
																							unsigned char BgL_res1867z00_2513;

																							{	/* Unsafe/sha1.scm 152 */
																								unsigned char BgL_cz00_2507;

																								BgL_cz00_2507 =
																									BGL_MMAP_REF(BgL_strz00_29,
																									BgL_nz00_1545);
																								{	/* Unsafe/sha1.scm 152 */
																									long BgL_arg1503z00_2508;

																									BgL_arg1503z00_2508 =
																										(BgL_nz00_1545 +
																										((long) 1));
																									BGL_MMAP_RP_SET(BgL_strz00_29,
																										BgL_arg1503z00_2508);
																									BUNSPEC;
																									BgL_arg1503z00_2508;
																								}
																								BgL_res1867z00_2513 =
																									BgL_cz00_2507;
																							}
																							BgL_arg1288z00_2500 =
																								BgL_res1867z00_2513;
																						}
																						BgL_arg1287z00_2499 =
																							(BgL_arg1288z00_2500);
																					}
																					BgL_v0z00_1546 =
																						(uint32_t) (BgL_arg1287z00_2499);
																				}
																			else
																				{	/* Unsafe/sha1.scm 153 */
																					bool_t BgL_test1938z00_3332;

																					{	/* Unsafe/sha1.scm 153 */
																						long BgL_n1z00_2516;
																						long BgL_n2z00_2517;

																						BgL_n1z00_2516 =
																							(long) (BgL_nz00_1545);
																						BgL_n2z00_2517 =
																							(long) (BgL_lenz00_2497);
																						BgL_test1938z00_3332 =
																							(BgL_n1z00_2516 ==
																							BgL_n2z00_2517);
																					}
																					if (BgL_test1938z00_3332)
																						{	/* Unsafe/sha1.scm 153 */
																							BgL_v0z00_1546 = (uint32_t) (128);
																						}
																					else
																						{	/* Unsafe/sha1.scm 153 */
																							BgL_v0z00_1546 = (uint32_t) (0);
																						}
																				}
																		}
																	}
																	{	/* Unsafe/sha1.scm 290 */
																		uint32_t BgL_v1z00_1547;

																		{	/* Unsafe/sha1.scm 291 */
																			long BgL_arg1423z00_1562;

																			{	/* Unsafe/sha1.scm 291 */
																				long BgL_za71za7_2518;

																				BgL_za71za7_2518 =
																					(long) (BgL_nz00_1545);
																				BgL_arg1423z00_1562 =
																					(BgL_za71za7_2518 + 1L);
																			}
																			{	/* Unsafe/sha1.scm 291 */
																				long BgL_iz00_2520;

																				BgL_iz00_2520 =
																					(long) (BgL_arg1423z00_1562);
																				{	/* Unsafe/sha1.scm 150 */
																					long BgL_lenz00_2521;

																					BgL_lenz00_2521 =
																						BGL_MMAP_LENGTH(BgL_strz00_29);
																					{	/* Unsafe/sha1.scm 152 */
																						bool_t BgL_test1939z00_3340;

																						{	/* Unsafe/sha1.scm 152 */
																							long BgL_n1z00_2527;
																							long BgL_n2z00_2528;

																							BgL_n1z00_2527 =
																								(long) (BgL_iz00_2520);
																							BgL_n2z00_2528 =
																								(long) (BgL_lenz00_2521);
																							BgL_test1939z00_3340 =
																								(BgL_n1z00_2527 <
																								BgL_n2z00_2528);
																						}
																						if (BgL_test1939z00_3340)
																							{	/* Unsafe/sha1.scm 152 */
																								long BgL_arg1287z00_2523;

																								{	/* Unsafe/sha1.scm 152 */
																									unsigned char
																										BgL_arg1288z00_2524;
																									{	/* Unsafe/sha1.scm 152 */
																										unsigned char
																											BgL_res1868z00_2537;
																										{	/* Unsafe/sha1.scm 152 */
																											unsigned char
																												BgL_cz00_2531;
																											BgL_cz00_2531 =
																												BGL_MMAP_REF
																												(BgL_strz00_29,
																												BgL_iz00_2520);
																											{	/* Unsafe/sha1.scm 152 */
																												long
																													BgL_arg1503z00_2532;
																												BgL_arg1503z00_2532 =
																													(BgL_iz00_2520 +
																													((long) 1));
																												BGL_MMAP_RP_SET
																													(BgL_strz00_29,
																													BgL_arg1503z00_2532);
																												BUNSPEC;
																												BgL_arg1503z00_2532;
																											}
																											BgL_res1868z00_2537 =
																												BgL_cz00_2531;
																										}
																										BgL_arg1288z00_2524 =
																											BgL_res1868z00_2537;
																									}
																									BgL_arg1287z00_2523 =
																										(BgL_arg1288z00_2524);
																								}
																								BgL_v1z00_1547 =
																									(uint32_t)
																									(BgL_arg1287z00_2523);
																							}
																						else
																							{	/* Unsafe/sha1.scm 153 */
																								bool_t BgL_test1940z00_3349;

																								{	/* Unsafe/sha1.scm 153 */
																									long BgL_n1z00_2540;
																									long BgL_n2z00_2541;

																									BgL_n1z00_2540 =
																										(long) (BgL_iz00_2520);
																									BgL_n2z00_2541 =
																										(long) (BgL_lenz00_2521);
																									BgL_test1940z00_3349 =
																										(BgL_n1z00_2540 ==
																										BgL_n2z00_2541);
																								}
																								if (BgL_test1940z00_3349)
																									{	/* Unsafe/sha1.scm 153 */
																										BgL_v1z00_1547 =
																											(uint32_t) (128);
																									}
																								else
																									{	/* Unsafe/sha1.scm 153 */
																										BgL_v1z00_1547 =
																											(uint32_t) (0);
																									}
																							}
																					}
																				}
																			}
																		}
																		{	/* Unsafe/sha1.scm 291 */
																			uint32_t BgL_v2z00_1548;

																			{	/* Unsafe/sha1.scm 292 */
																				long BgL_arg1422z00_1561;

																				{	/* Unsafe/sha1.scm 292 */
																					long BgL_za71za7_2542;

																					BgL_za71za7_2542 =
																						(long) (BgL_nz00_1545);
																					BgL_arg1422z00_1561 =
																						(BgL_za71za7_2542 + 2L);
																				}
																				{	/* Unsafe/sha1.scm 292 */
																					long BgL_iz00_2544;

																					BgL_iz00_2544 =
																						(long) (BgL_arg1422z00_1561);
																					{	/* Unsafe/sha1.scm 150 */
																						long BgL_lenz00_2545;

																						BgL_lenz00_2545 =
																							BGL_MMAP_LENGTH(BgL_strz00_29);
																						{	/* Unsafe/sha1.scm 152 */
																							bool_t BgL_test1941z00_3357;

																							{	/* Unsafe/sha1.scm 152 */
																								long BgL_n1z00_2551;
																								long BgL_n2z00_2552;

																								BgL_n1z00_2551 =
																									(long) (BgL_iz00_2544);
																								BgL_n2z00_2552 =
																									(long) (BgL_lenz00_2545);
																								BgL_test1941z00_3357 =
																									(BgL_n1z00_2551 <
																									BgL_n2z00_2552);
																							}
																							if (BgL_test1941z00_3357)
																								{	/* Unsafe/sha1.scm 152 */
																									long BgL_arg1287z00_2547;

																									{	/* Unsafe/sha1.scm 152 */
																										unsigned char
																											BgL_arg1288z00_2548;
																										{	/* Unsafe/sha1.scm 152 */
																											unsigned char
																												BgL_res1869z00_2561;
																											{	/* Unsafe/sha1.scm 152 */
																												unsigned char
																													BgL_cz00_2555;
																												BgL_cz00_2555 =
																													BGL_MMAP_REF
																													(BgL_strz00_29,
																													BgL_iz00_2544);
																												{	/* Unsafe/sha1.scm 152 */
																													long
																														BgL_arg1503z00_2556;
																													BgL_arg1503z00_2556 =
																														(BgL_iz00_2544 +
																														((long) 1));
																													BGL_MMAP_RP_SET
																														(BgL_strz00_29,
																														BgL_arg1503z00_2556);
																													BUNSPEC;
																													BgL_arg1503z00_2556;
																												}
																												BgL_res1869z00_2561 =
																													BgL_cz00_2555;
																											}
																											BgL_arg1288z00_2548 =
																												BgL_res1869z00_2561;
																										}
																										BgL_arg1287z00_2547 =
																											(BgL_arg1288z00_2548);
																									}
																									BgL_v2z00_1548 =
																										(uint32_t)
																										(BgL_arg1287z00_2547);
																								}
																							else
																								{	/* Unsafe/sha1.scm 153 */
																									bool_t BgL_test1942z00_3366;

																									{	/* Unsafe/sha1.scm 153 */
																										long BgL_n1z00_2564;
																										long BgL_n2z00_2565;

																										BgL_n1z00_2564 =
																											(long) (BgL_iz00_2544);
																										BgL_n2z00_2565 =
																											(long) (BgL_lenz00_2545);
																										BgL_test1942z00_3366 =
																											(BgL_n1z00_2564 ==
																											BgL_n2z00_2565);
																									}
																									if (BgL_test1942z00_3366)
																										{	/* Unsafe/sha1.scm 153 */
																											BgL_v2z00_1548 =
																												(uint32_t) (128);
																										}
																									else
																										{	/* Unsafe/sha1.scm 153 */
																											BgL_v2z00_1548 =
																												(uint32_t) (0);
																										}
																								}
																						}
																					}
																				}
																			}
																			{	/* Unsafe/sha1.scm 292 */
																				uint32_t BgL_v3z00_1549;

																				{	/* Unsafe/sha1.scm 293 */
																					long BgL_arg1421z00_1560;

																					{	/* Unsafe/sha1.scm 293 */
																						long BgL_za71za7_2566;

																						BgL_za71za7_2566 =
																							(long) (BgL_nz00_1545);
																						BgL_arg1421z00_1560 =
																							(BgL_za71za7_2566 + 3L);
																					}
																					{	/* Unsafe/sha1.scm 293 */
																						long BgL_iz00_2568;

																						BgL_iz00_2568 =
																							(long) (BgL_arg1421z00_1560);
																						{	/* Unsafe/sha1.scm 150 */
																							long BgL_lenz00_2569;

																							BgL_lenz00_2569 =
																								BGL_MMAP_LENGTH(BgL_strz00_29);
																							{	/* Unsafe/sha1.scm 152 */
																								bool_t BgL_test1943z00_3374;

																								{	/* Unsafe/sha1.scm 152 */
																									long BgL_n1z00_2575;
																									long BgL_n2z00_2576;

																									BgL_n1z00_2575 =
																										(long) (BgL_iz00_2568);
																									BgL_n2z00_2576 =
																										(long) (BgL_lenz00_2569);
																									BgL_test1943z00_3374 =
																										(BgL_n1z00_2575 <
																										BgL_n2z00_2576);
																								}
																								if (BgL_test1943z00_3374)
																									{	/* Unsafe/sha1.scm 152 */
																										long BgL_arg1287z00_2571;

																										{	/* Unsafe/sha1.scm 152 */
																											unsigned char
																												BgL_arg1288z00_2572;
																											{	/* Unsafe/sha1.scm 152 */
																												unsigned char
																													BgL_res1870z00_2585;
																												{	/* Unsafe/sha1.scm 152 */
																													unsigned char
																														BgL_cz00_2579;
																													BgL_cz00_2579 =
																														BGL_MMAP_REF
																														(BgL_strz00_29,
																														BgL_iz00_2568);
																													{	/* Unsafe/sha1.scm 152 */
																														long
																															BgL_arg1503z00_2580;
																														BgL_arg1503z00_2580
																															=
																															(BgL_iz00_2568 +
																															((long) 1));
																														BGL_MMAP_RP_SET
																															(BgL_strz00_29,
																															BgL_arg1503z00_2580);
																														BUNSPEC;
																														BgL_arg1503z00_2580;
																													}
																													BgL_res1870z00_2585 =
																														BgL_cz00_2579;
																												}
																												BgL_arg1288z00_2572 =
																													BgL_res1870z00_2585;
																											}
																											BgL_arg1287z00_2571 =
																												(BgL_arg1288z00_2572);
																										}
																										BgL_v3z00_1549 =
																											(uint32_t)
																											(BgL_arg1287z00_2571);
																									}
																								else
																									{	/* Unsafe/sha1.scm 153 */
																										bool_t BgL_test1944z00_3383;

																										{	/* Unsafe/sha1.scm 153 */
																											long BgL_n1z00_2588;
																											long BgL_n2z00_2589;

																											BgL_n1z00_2588 =
																												(long) (BgL_iz00_2568);
																											BgL_n2z00_2589 =
																												(long)
																												(BgL_lenz00_2569);
																											BgL_test1944z00_3383 =
																												(BgL_n1z00_2588 ==
																												BgL_n2z00_2589);
																										}
																										if (BgL_test1944z00_3383)
																											{	/* Unsafe/sha1.scm 153 */
																												BgL_v3z00_1549 =
																													(uint32_t) (128);
																											}
																										else
																											{	/* Unsafe/sha1.scm 153 */
																												BgL_v3z00_1549 =
																													(uint32_t) (0);
																											}
																									}
																							}
																						}
																					}
																				}
																				{	/* Unsafe/sha1.scm 293 */
																					uint32_t BgL_vz00_1550;

																					{	/* Unsafe/sha1.scm 294 */
																						uint32_t BgL_arg1410z00_1551;
																						uint32_t BgL_arg1411z00_1552;

																						{	/* Unsafe/sha1.scm 294 */
																							uint32_t BgL_arg1414z00_1553;

																							{	/* Unsafe/sha1.scm 294 */
																								long BgL_arg1415z00_1554;

																								{	/* Unsafe/sha1.scm 294 */
																									uint32_t BgL_tmpz00_3387;

																									BgL_tmpz00_3387 =
																										(
																										(BgL_v0z00_1546 <<
																											(int) (8L)) |
																										BgL_v1z00_1547);
																									BgL_arg1415z00_1554 =
																										(long) (BgL_tmpz00_3387);
																								}
																								BgL_arg1414z00_1553 =
																									(uint32_t)
																									(BgL_arg1415z00_1554);
																							}
																							BgL_arg1410z00_1551 =
																								(BgL_arg1414z00_1553 <<
																								(int) (16L));
																						}
																						{	/* Unsafe/sha1.scm 294 */
																							long BgL_arg1418z00_1557;

																							{	/* Unsafe/sha1.scm 294 */
																								uint32_t BgL_tmpz00_3395;

																								BgL_tmpz00_3395 =
																									(
																									(BgL_v2z00_1548 <<
																										(int) (8L)) |
																									BgL_v3z00_1549);
																								BgL_arg1418z00_1557 =
																									(long) (BgL_tmpz00_3395);
																							}
																							BgL_arg1411z00_1552 =
																								(uint32_t)
																								(BgL_arg1418z00_1557);
																						}
																						BgL_vz00_1550 =
																							(BgL_arg1410z00_1551 |
																							BgL_arg1411z00_1552);
																					}
																					{	/* Unsafe/sha1.scm 294 */

																						BGL_U32VSET(BgL_vecz00_1539,
																							BgL_jz00_1542, BgL_vz00_1550);
																						BUNSPEC;
															}}}}}}}
															VECTOR_SET(BgL_mz00_1533, BgL_iz00_1536,
																BgL_vecz00_1539);
															{
																long BgL_jz00_3404;

																BgL_jz00_3404 = (BgL_jz00_1542 + 1L);
																BgL_jz00_1542 = BgL_jz00_3404;
																goto BgL_zc3z04anonymousza31407ze3z87_1543;
															}
														}
													else
														{	/* Unsafe/sha1.scm 288 */
															((bool_t) 0);
														}
												}
											}
											{
												long BgL_iz00_3406;

												BgL_iz00_3406 = (BgL_iz00_1536 + 1L);
												BgL_iz00_1536 = BgL_iz00_3406;
												goto BgL_zc3z04anonymousza31405ze3z87_1537;
											}
										}
									else
										{	/* Unsafe/sha1.scm 286 */
											((bool_t) 0);
										}
								}
								return BGl_sha1z00zz__sha1z00(BgL_lenz00_1530, BgL_mz00_1533);
							}
						}
					}
				}
			}
		}

	}



/* &sha1sum-mmap */
	obj_t BGl_z62sha1sumzd2mmapzb0zz__sha1z00(obj_t BgL_envz00_2915,
		obj_t BgL_strz00_2916)
	{
		{	/* Unsafe/sha1.scm 278 */
			{	/* Unsafe/sha1.scm 281 */
				obj_t BgL_auxz00_3409;

				if (BGL_MMAPP(BgL_strz00_2916))
					{	/* Unsafe/sha1.scm 281 */
						BgL_auxz00_3409 = BgL_strz00_2916;
					}
				else
					{
						obj_t BgL_auxz00_3412;

						BgL_auxz00_3412 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1885z00zz__sha1z00,
							BINT(11050L), BGl_string1888z00zz__sha1z00,
							BGl_string1889z00zz__sha1z00, BgL_strz00_2916);
						FAILURE(BgL_auxz00_3412, BFALSE, BFALSE);
					}
				return BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_auxz00_3409);
			}
		}

	}



/* sha1sum-port */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2portzd2zz__sha1z00(obj_t BgL_ipz00_30)
	{
		{	/* Unsafe/sha1.scm 303 */
			{	/* Unsafe/sha1.scm 306 */
				obj_t BgL_bufz00_1574;

				{	/* Ieee/string.scm 172 */

					BgL_bufz00_1574 = make_string(64L, ((unsigned char) ' '));
				}
				{
					long BgL_lenz00_1577;
					obj_t BgL_lz00_1578;
					long BgL_nlz00_1579;

					BgL_lenz00_1577 = 0L;
					BgL_lz00_1578 = BNIL;
					BgL_nlz00_1579 = 0L;
				BgL_zc3z04anonymousza31433ze3z87_1580:
					BGl_stringzd2fillz12zc0zz__r4_strings_6_7z00(BgL_bufz00_1574,
						((unsigned char) '\000'));
					{	/* Unsafe/sha1.scm 312 */
						obj_t BgL_cz00_1581;

						{	/* Unsafe/sha1.scm 312 */
							long BgL_nz00_2609;

							BgL_nz00_2609 =
								bgl_rgc_blit_string(BgL_ipz00_30,
								BSTRING_TO_STRING(BgL_bufz00_1574), 0L, 64L);
							{	/* Unsafe/sha1.scm 312 */
								bool_t BgL_test1946z00_3421;

								if ((BgL_nz00_2609 == 0L))
									{	/* Unsafe/sha1.scm 312 */
										BgL_test1946z00_3421 = rgc_buffer_eof_p(BgL_ipz00_30);
									}
								else
									{	/* Unsafe/sha1.scm 312 */
										BgL_test1946z00_3421 = ((bool_t) 0);
									}
								if (BgL_test1946z00_3421)
									{	/* Unsafe/sha1.scm 312 */
										BgL_cz00_1581 = BEOF;
									}
								else
									{	/* Unsafe/sha1.scm 312 */
										BgL_cz00_1581 = BINT(BgL_nz00_2609);
									}
							}
						}
						{	/* Unsafe/sha1.scm 312 */
							obj_t BgL_lz00_1582;

							if (EOF_OBJECTP(BgL_cz00_1581))
								{	/* Unsafe/sha1.scm 313 */
									BgL_lz00_1582 = BINT(0L);
								}
							else
								{	/* Unsafe/sha1.scm 313 */
									BgL_lz00_1582 = BgL_cz00_1581;
								}
							{	/* Unsafe/sha1.scm 313 */
								long BgL_nlenz00_1583;

								BgL_nlenz00_1583 =
									((long) CINT(BgL_lz00_1582) + BgL_lenz00_1577);
								{	/* Unsafe/sha1.scm 314 */
									obj_t BgL_vecz00_1584;

									BgL_vecz00_1584 =
										BGl_makezd2u32vectorzd2zz__srfi4z00(16L, (uint32_t) (0L));
									{	/* Unsafe/sha1.scm 315 */

										if (((long) CINT(BgL_lz00_1582) < 64L))
											{	/* Unsafe/sha1.scm 316 */
												long BgL_tmpz00_3436;

												BgL_tmpz00_3436 = (long) CINT(BgL_lz00_1582);
												STRING_SET(BgL_bufz00_1574, BgL_tmpz00_3436,
													((unsigned char) 128));
											}
										else
											{	/* Unsafe/sha1.scm 316 */
												BFALSE;
											}
										{
											long BgL_jz00_1588;

											BgL_jz00_1588 = 0L;
										BgL_zc3z04anonymousza31435ze3z87_1589:
											if ((BgL_jz00_1588 < 16L))
												{	/* Unsafe/sha1.scm 317 */
													{	/* Unsafe/sha1.scm 318 */
														int BgL_nz00_1591;

														BgL_nz00_1591 = (int) ((BgL_jz00_1588 * 4L));
														{	/* Unsafe/sha1.scm 318 */
															uint32_t BgL_v0z00_1592;

															{	/* Unsafe/sha1.scm 319 */
																long BgL_tmpz00_3443;

																BgL_tmpz00_3443 =
																	(STRING_REF(BgL_bufz00_1574,
																		(long) (BgL_nz00_1591)));
																BgL_v0z00_1592 = (uint32_t) (BgL_tmpz00_3443);
															}
															{	/* Unsafe/sha1.scm 319 */
																uint32_t BgL_v1z00_1593;

																{	/* Unsafe/sha1.scm 320 */
																	long BgL_tmpz00_3448;

																	BgL_tmpz00_3448 =
																		(STRING_REF(BgL_bufz00_1574,
																			((long) (BgL_nz00_1591) + 1L)));
																	BgL_v1z00_1593 = (uint32_t) (BgL_tmpz00_3448);
																}
																{	/* Unsafe/sha1.scm 320 */
																	uint32_t BgL_v2z00_1594;

																	{	/* Unsafe/sha1.scm 321 */
																		long BgL_tmpz00_3454;

																		BgL_tmpz00_3454 =
																			(STRING_REF(BgL_bufz00_1574,
																				((long) (BgL_nz00_1591) + 2L)));
																		BgL_v2z00_1594 =
																			(uint32_t) (BgL_tmpz00_3454);
																	}
																	{	/* Unsafe/sha1.scm 321 */
																		uint32_t BgL_v3z00_1595;

																		{	/* Unsafe/sha1.scm 322 */
																			long BgL_tmpz00_3460;

																			BgL_tmpz00_3460 =
																				(STRING_REF(BgL_bufz00_1574,
																					((long) (BgL_nz00_1591) + 3L)));
																			BgL_v3z00_1595 =
																				(uint32_t) (BgL_tmpz00_3460);
																		}
																		{	/* Unsafe/sha1.scm 322 */
																			uint32_t BgL_vz00_1596;

																			{	/* Unsafe/sha1.scm 323 */
																				uint32_t BgL_arg1437z00_1597;
																				uint32_t BgL_arg1438z00_1598;

																				{	/* Unsafe/sha1.scm 323 */
																					uint32_t BgL_arg1439z00_1599;

																					{	/* Unsafe/sha1.scm 323 */
																						long BgL_arg1440z00_1600;

																						{	/* Unsafe/sha1.scm 323 */
																							uint32_t BgL_tmpz00_3466;

																							BgL_tmpz00_3466 =
																								(
																								(BgL_v0z00_1592 <<
																									(int) (8L)) | BgL_v1z00_1593);
																							BgL_arg1440z00_1600 =
																								(long) (BgL_tmpz00_3466);
																						}
																						BgL_arg1439z00_1599 =
																							(uint32_t) (BgL_arg1440z00_1600);
																					}
																					BgL_arg1437z00_1597 =
																						(BgL_arg1439z00_1599 <<
																						(int) (16L));
																				}
																				{	/* Unsafe/sha1.scm 323 */
																					long BgL_arg1444z00_1603;

																					{	/* Unsafe/sha1.scm 323 */
																						uint32_t BgL_tmpz00_3474;

																						BgL_tmpz00_3474 =
																							(
																							(BgL_v2z00_1594 <<
																								(int) (8L)) | BgL_v3z00_1595);
																						BgL_arg1444z00_1603 =
																							(long) (BgL_tmpz00_3474);
																					}
																					BgL_arg1438z00_1598 =
																						(uint32_t) (BgL_arg1444z00_1603);
																				}
																				BgL_vz00_1596 =
																					(BgL_arg1437z00_1597 |
																					BgL_arg1438z00_1598);
																			}
																			{	/* Unsafe/sha1.scm 323 */

																				BGL_U32VSET(BgL_vecz00_1584,
																					BgL_jz00_1588, BgL_vz00_1596);
																				BUNSPEC;
													}}}}}}}
													{
														long BgL_jz00_3482;

														BgL_jz00_3482 = (BgL_jz00_1588 + 1L);
														BgL_jz00_1588 = BgL_jz00_3482;
														goto BgL_zc3z04anonymousza31435ze3z87_1589;
													}
												}
											else
												{	/* Unsafe/sha1.scm 317 */
													((bool_t) 0);
												}
										}
										if (((long) CINT(BgL_lz00_1582) < 64L))
											{	/* Unsafe/sha1.scm 327 */
												long BgL_flz00_1616;

												{	/* Unsafe/sha1.scm 327 */
													long BgL_tmpz00_3487;

													{	/* Unsafe/sha1.scm 327 */
														obj_t BgL_tmpz00_3488;

														{	/* Unsafe/sha1.scm 245 */
															obj_t BgL_rz00_2653;

															BgL_rz00_2653 =
																BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(
																	(BgL_nlenz00_1583 + 1L)), BINT(4L));
															if (INTEGERP(BgL_rz00_2653))
																{	/* Unsafe/sha1.scm 246 */
																	BgL_tmpz00_3488 = BgL_rz00_2653;
																}
															else
																{	/* Unsafe/sha1.scm 246 */
																	BgL_tmpz00_3488 =
																		BINT(
																		(long) (REAL_TO_DOUBLE
																			(BGl_ceilingz00zz__r4_numbers_6_5z00
																				(BgL_rz00_2653))));
														}}
														BgL_tmpz00_3487 = (long) CINT(BgL_tmpz00_3488);
													}
													BgL_flz00_1616 = (BgL_tmpz00_3487 + 2L);
												}
												{	/* Unsafe/sha1.scm 327 */
													long BgL_nz00_1617;

													{	/* Unsafe/sha1.scm 245 */
														obj_t BgL_rz00_2659;

														BgL_rz00_2659 =
															BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT
															(BgL_flz00_1616), BINT(16L));
														if (INTEGERP(BgL_rz00_2659))
															{	/* Unsafe/sha1.scm 246 */
																BgL_nz00_1617 = (long) CINT(BgL_rz00_2659);
															}
														else
															{	/* Unsafe/sha1.scm 246 */
																BgL_nz00_1617 =
																	(long) (REAL_TO_DOUBLE
																	(BGl_ceilingz00zz__r4_numbers_6_5z00
																		(BgL_rz00_2659)));
													}}
													{	/* Unsafe/sha1.scm 328 */
														obj_t BgL_mz00_1618;

														{	/* Unsafe/sha1.scm 331 */
															obj_t BgL_arg1459z00_1619;

															{	/* Unsafe/sha1.scm 331 */
																obj_t BgL_arg1460z00_1620;

																if ((BgL_nz00_1617 > (1L + BgL_nlz00_1579)))
																	{	/* Unsafe/sha1.scm 332 */
																		obj_t BgL_arg1463z00_1623;
																		obj_t BgL_arg1464z00_1624;

																		BgL_arg1463z00_1623 =
																			BGl_makezd2u32vectorzd2zz__srfi4z00(16L,
																			(uint32_t) (0));
																		BgL_arg1464z00_1624 =
																			MAKE_YOUNG_PAIR(BgL_vecz00_1584,
																			BgL_lz00_1578);
																		BgL_arg1460z00_1620 =
																			MAKE_YOUNG_PAIR(BgL_arg1463z00_1623,
																			BgL_arg1464z00_1624);
																	}
																else
																	{	/* Unsafe/sha1.scm 331 */
																		BgL_arg1460z00_1620 =
																			MAKE_YOUNG_PAIR(BgL_vecz00_1584,
																			BgL_lz00_1578);
																	}
																BgL_arg1459z00_1619 =
																	bgl_reverse_bang(BgL_arg1460z00_1620);
															}
															BgL_mz00_1618 =
																BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
																(BgL_arg1459z00_1619);
														}
														{	/* Unsafe/sha1.scm 329 */

															return
																BGl_sha1z00zz__sha1z00(BgL_nlenz00_1583,
																BgL_mz00_1618);
														}
													}
												}
											}
										else
											{	/* Unsafe/sha1.scm 335 */
												obj_t BgL_arg1468z00_1628;
												long BgL_arg1469z00_1629;

												BgL_arg1468z00_1628 =
													MAKE_YOUNG_PAIR(BgL_vecz00_1584, BgL_lz00_1578);
												BgL_arg1469z00_1629 = (BgL_nlz00_1579 + 1L);
												{
													long BgL_nlz00_3524;
													obj_t BgL_lz00_3523;
													long BgL_lenz00_3522;

													BgL_lenz00_3522 = BgL_nlenz00_1583;
													BgL_lz00_3523 = BgL_arg1468z00_1628;
													BgL_nlz00_3524 = BgL_arg1469z00_1629;
													BgL_nlz00_1579 = BgL_nlz00_3524;
													BgL_lz00_1578 = BgL_lz00_3523;
													BgL_lenz00_1577 = BgL_lenz00_3522;
													goto BgL_zc3z04anonymousza31433ze3z87_1580;
												}
											}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &sha1sum-port */
	obj_t BGl_z62sha1sumzd2portzb0zz__sha1z00(obj_t BgL_envz00_2917,
		obj_t BgL_ipz00_2918)
	{
		{	/* Unsafe/sha1.scm 303 */
			{	/* Unsafe/sha1.scm 306 */
				obj_t BgL_auxz00_3525;

				if (INPUT_PORTP(BgL_ipz00_2918))
					{	/* Unsafe/sha1.scm 306 */
						BgL_auxz00_3525 = BgL_ipz00_2918;
					}
				else
					{
						obj_t BgL_auxz00_3528;

						BgL_auxz00_3528 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1885z00zz__sha1z00,
							BINT(11985L), BGl_string1890z00zz__sha1z00,
							BGl_string1891z00zz__sha1z00, BgL_ipz00_2918);
						FAILURE(BgL_auxz00_3528, BFALSE, BFALSE);
					}
				return BGl_sha1sumzd2portzd2zz__sha1z00(BgL_auxz00_3525);
			}
		}

	}



/* sha1sum-file */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2filezd2zz__sha1z00(obj_t BgL_fnamez00_31)
	{
		{	/* Unsafe/sha1.scm 340 */
			{	/* Unsafe/sha1.scm 341 */
				obj_t BgL_mmz00_1634;

				BgL_mmz00_1634 =
					BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_31, BTRUE, BFALSE);
				if (BGL_MMAPP(BgL_mmz00_1634))
					{	/* Unsafe/sha1.scm 343 */
						obj_t BgL_exitd1074z00_1636;

						BgL_exitd1074z00_1636 = BGL_EXITD_TOP_AS_OBJ();
						{	/* Unsafe/sha1.scm 345 */
							obj_t BgL_zc3z04anonymousza31472ze3z87_2919;

							BgL_zc3z04anonymousza31472ze3z87_2919 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza31472ze3ze5zz__sha1z00, (int) (0L),
								(int) (1L));
							PROCEDURE_SET(BgL_zc3z04anonymousza31472ze3z87_2919, (int) (0L),
								BgL_mmz00_1634);
							{	/* Unsafe/sha1.scm 343 */
								obj_t BgL_arg1858z00_2669;

								{	/* Unsafe/sha1.scm 343 */
									obj_t BgL_arg1859z00_2670;

									BgL_arg1859z00_2670 =
										BGL_EXITD_PROTECT(BgL_exitd1074z00_1636);
									BgL_arg1858z00_2669 =
										MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31472ze3z87_2919,
										BgL_arg1859z00_2670);
								}
								BGL_EXITD_PROTECT_SET(BgL_exitd1074z00_1636,
									BgL_arg1858z00_2669);
								BUNSPEC;
							}
							{	/* Unsafe/sha1.scm 344 */
								obj_t BgL_tmp1076z00_1638;

								BgL_tmp1076z00_1638 =
									BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_mmz00_1634);
								{	/* Unsafe/sha1.scm 343 */
									bool_t BgL_test1957z00_3546;

									{	/* Unsafe/sha1.scm 343 */
										obj_t BgL_arg1857z00_2672;

										BgL_arg1857z00_2672 =
											BGL_EXITD_PROTECT(BgL_exitd1074z00_1636);
										BgL_test1957z00_3546 = PAIRP(BgL_arg1857z00_2672);
									}
									if (BgL_test1957z00_3546)
										{	/* Unsafe/sha1.scm 343 */
											obj_t BgL_arg1855z00_2673;

											{	/* Unsafe/sha1.scm 343 */
												obj_t BgL_arg1856z00_2674;

												BgL_arg1856z00_2674 =
													BGL_EXITD_PROTECT(BgL_exitd1074z00_1636);
												BgL_arg1855z00_2673 =
													CDR(((obj_t) BgL_arg1856z00_2674));
											}
											BGL_EXITD_PROTECT_SET(BgL_exitd1074z00_1636,
												BgL_arg1855z00_2673);
											BUNSPEC;
										}
									else
										{	/* Unsafe/sha1.scm 343 */
											BFALSE;
										}
								}
								bgl_close_mmap(BgL_mmz00_1634);
								return BgL_tmp1076z00_1638;
							}
						}
					}
				else
					{	/* Unsafe/sha1.scm 346 */
						obj_t BgL_pz00_1641;

						{	/* Ieee/port.scm 466 */

							BgL_pz00_1641 =
								BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
								(BgL_fnamez00_31, BTRUE, BINT(5000000L));
						}
						{	/* Unsafe/sha1.scm 347 */
							obj_t BgL_exitd1078z00_1642;

							BgL_exitd1078z00_1642 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Unsafe/sha1.scm 349 */
								obj_t BgL_zc3z04anonymousza31473ze3z87_2920;

								BgL_zc3z04anonymousza31473ze3z87_2920 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31473ze3ze5zz__sha1z00, (int) (0L),
									(int) (1L));
								PROCEDURE_SET(BgL_zc3z04anonymousza31473ze3z87_2920, (int) (0L),
									BgL_pz00_1641);
								{	/* Unsafe/sha1.scm 347 */
									obj_t BgL_arg1858z00_2678;

									{	/* Unsafe/sha1.scm 347 */
										obj_t BgL_arg1859z00_2679;

										BgL_arg1859z00_2679 =
											BGL_EXITD_PROTECT(BgL_exitd1078z00_1642);
										BgL_arg1858z00_2678 =
											MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31473ze3z87_2920,
											BgL_arg1859z00_2679);
									}
									BGL_EXITD_PROTECT_SET(BgL_exitd1078z00_1642,
										BgL_arg1858z00_2678);
									BUNSPEC;
								}
								{	/* Unsafe/sha1.scm 348 */
									obj_t BgL_tmp1080z00_1644;

									BgL_tmp1080z00_1644 =
										BGl_sha1sumzd2portzd2zz__sha1z00(BgL_pz00_1641);
									{	/* Unsafe/sha1.scm 347 */
										bool_t BgL_test1958z00_3566;

										{	/* Unsafe/sha1.scm 347 */
											obj_t BgL_arg1857z00_2681;

											BgL_arg1857z00_2681 =
												BGL_EXITD_PROTECT(BgL_exitd1078z00_1642);
											BgL_test1958z00_3566 = PAIRP(BgL_arg1857z00_2681);
										}
										if (BgL_test1958z00_3566)
											{	/* Unsafe/sha1.scm 347 */
												obj_t BgL_arg1855z00_2682;

												{	/* Unsafe/sha1.scm 347 */
													obj_t BgL_arg1856z00_2683;

													BgL_arg1856z00_2683 =
														BGL_EXITD_PROTECT(BgL_exitd1078z00_1642);
													BgL_arg1855z00_2682 =
														CDR(((obj_t) BgL_arg1856z00_2683));
												}
												BGL_EXITD_PROTECT_SET(BgL_exitd1078z00_1642,
													BgL_arg1855z00_2682);
												BUNSPEC;
											}
										else
											{	/* Unsafe/sha1.scm 347 */
												BFALSE;
											}
									}
									bgl_close_input_port(((obj_t) BgL_pz00_1641));
									return BgL_tmp1080z00_1644;
								}
							}
						}
					}
			}
		}

	}



/* &sha1sum-file */
	obj_t BGl_z62sha1sumzd2filezb0zz__sha1z00(obj_t BgL_envz00_2921,
		obj_t BgL_fnamez00_2922)
	{
		{	/* Unsafe/sha1.scm 340 */
			{	/* Unsafe/sha1.scm 341 */
				obj_t BgL_auxz00_3575;

				if (STRINGP(BgL_fnamez00_2922))
					{	/* Unsafe/sha1.scm 341 */
						BgL_auxz00_3575 = BgL_fnamez00_2922;
					}
				else
					{
						obj_t BgL_auxz00_3578;

						BgL_auxz00_3578 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1885z00zz__sha1z00,
							BINT(13262L), BGl_string1892z00zz__sha1z00,
							BGl_string1887z00zz__sha1z00, BgL_fnamez00_2922);
						FAILURE(BgL_auxz00_3578, BFALSE, BFALSE);
					}
				return BGl_sha1sumzd2filezd2zz__sha1z00(BgL_auxz00_3575);
			}
		}

	}



/* &<@anonymous:1472> */
	obj_t BGl_z62zc3z04anonymousza31472ze3ze5zz__sha1z00(obj_t BgL_envz00_2923)
	{
		{	/* Unsafe/sha1.scm 343 */
			{	/* Unsafe/sha1.scm 345 */
				obj_t BgL_mmz00_2924;

				BgL_mmz00_2924 = ((obj_t) PROCEDURE_REF(BgL_envz00_2923, (int) (0L)));
				return bgl_close_mmap(BgL_mmz00_2924);
			}
		}

	}



/* &<@anonymous:1473> */
	obj_t BGl_z62zc3z04anonymousza31473ze3ze5zz__sha1z00(obj_t BgL_envz00_2925)
	{
		{	/* Unsafe/sha1.scm 347 */
			{	/* Unsafe/sha1.scm 349 */
				obj_t BgL_pz00_2926;

				BgL_pz00_2926 = PROCEDURE_REF(BgL_envz00_2925, (int) (0L));
				return bgl_close_input_port(((obj_t) BgL_pz00_2926));
			}
		}

	}



/* sha1sum */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumz00zz__sha1z00(obj_t BgL_objz00_32)
	{
		{	/* Unsafe/sha1.scm 354 */
			if (BGL_MMAPP(BgL_objz00_32))
				{	/* Unsafe/sha1.scm 356 */
					return BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_objz00_32);
				}
			else
				{	/* Unsafe/sha1.scm 356 */
					if (STRINGP(BgL_objz00_32))
						{	/* Unsafe/sha1.scm 358 */
							return BGl_sha1sumzd2stringzd2zz__sha1z00(BgL_objz00_32);
						}
					else
						{	/* Unsafe/sha1.scm 358 */
							if (INPUT_PORTP(BgL_objz00_32))
								{	/* Unsafe/sha1.scm 360 */
									return BGl_sha1sumzd2portzd2zz__sha1z00(BgL_objz00_32);
								}
							else
								{	/* Unsafe/sha1.scm 360 */
									return
										BGl_errorz00zz__errorz00(BGl_string1893z00zz__sha1z00,
										BGl_string1894z00zz__sha1z00, BgL_objz00_32);
								}
						}
				}
		}

	}



/* &sha1sum */
	obj_t BGl_z62sha1sumz62zz__sha1z00(obj_t BgL_envz00_2927,
		obj_t BgL_objz00_2928)
	{
		{	/* Unsafe/sha1.scm 354 */
			return BGl_sha1sumz00zz__sha1z00(BgL_objz00_2928);
		}

	}



/* hmac-sha1sum-string */
	BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(obj_t
		BgL_keyz00_33, obj_t BgL_messagez00_34)
	{
		{	/* Unsafe/sha1.scm 368 */
			return
				BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_33, BgL_messagez00_34,
				BGl_sha1sumzd2stringzd2envz00zz__sha1z00);
		}

	}



/* &hmac-sha1sum-string */
	obj_t BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00(obj_t BgL_envz00_2929,
		obj_t BgL_keyz00_2930, obj_t BgL_messagez00_2931)
	{
		{	/* Unsafe/sha1.scm 368 */
			{	/* Unsafe/sha1.scm 369 */
				obj_t BgL_auxz00_3610;
				obj_t BgL_auxz00_3603;

				if (STRINGP(BgL_messagez00_2931))
					{	/* Unsafe/sha1.scm 369 */
						BgL_auxz00_3610 = BgL_messagez00_2931;
					}
				else
					{
						obj_t BgL_auxz00_3613;

						BgL_auxz00_3613 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1885z00zz__sha1z00,
							BINT(14229L), BGl_string1895z00zz__sha1z00,
							BGl_string1887z00zz__sha1z00, BgL_messagez00_2931);
						FAILURE(BgL_auxz00_3613, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_keyz00_2930))
					{	/* Unsafe/sha1.scm 369 */
						BgL_auxz00_3603 = BgL_keyz00_2930;
					}
				else
					{
						obj_t BgL_auxz00_3606;

						BgL_auxz00_3606 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1885z00zz__sha1z00,
							BINT(14229L), BGl_string1895z00zz__sha1z00,
							BGl_string1887z00zz__sha1z00, BgL_keyz00_2930);
						FAILURE(BgL_auxz00_3606, BFALSE, BFALSE);
					}
				return
					BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(BgL_auxz00_3603,
					BgL_auxz00_3610);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__sha1z00(void)
	{
		{	/* Unsafe/sha1.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__sha1z00(void)
	{
		{	/* Unsafe/sha1.scm 17 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__sha1z00(void)
	{
		{	/* Unsafe/sha1.scm 17 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__sha1z00(void)
	{
		{	/* Unsafe/sha1.scm 17 */
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string1896z00zz__sha1z00));
			return
				BGl_modulezd2initializa7ationz75zz__hmacz00(285132844L,
				BSTRING_TO_STRING(BGl_string1896z00zz__sha1z00));
		}

	}

#ifdef __cplusplus
}
#endif
