/*===========================================================================*/
/*   (Llib/avahi.scm)                                                        */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -srfi avahi -copt -D_REENTRANT -I/usr/lib64/pkgconfig/../../include/dbus-1.0 -I/usr/lib64/pkgconfig/../../lib64/dbus-1.0/include -copt -fPIC -copt -IClib Llib/avahi.scm -o objs/avahi.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <avahi-client/client.h>
#include <avahi-client/lookup.h>
#include <avahi-client/publish.h>
#include <avahi-common/simple-watch.h>
#include <avahi-common/thread-watch.h>
#include <avahi-common/error.h>
#include <avahi-common/alternative.h>
#include <bavahi.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___AVAHI_AVAHI_TYPE_DEFINITIONS
#define BGL___AVAHI_AVAHI_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_z62avahizd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
   int BgL_errnoz00;
} *BgL_z62avahizd2errorzb0_bglt;

typedef struct BgL_z62avahizd2collisionzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
   int BgL_errnoz00;
} *BgL_z62avahizd2collisionzd2errorz62_bglt;

typedef struct BgL_avahizd2objectzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_avahizd2objectzd2_bglt;

typedef struct BgL_avahizd2pollzd2_bgl {
   header_t header;
   obj_t widening;
   int BgL_z42ctypez42;
   obj_t BgL_z52procsz52;
} *BgL_avahizd2pollzd2_bglt;

typedef struct BgL_avahizd2simplezd2pollz00_bgl {
   header_t header;
   obj_t widening;
   int BgL_z42ctypez42;
   obj_t BgL_z52procsz52;
   AvahiSimplePoll * BgL_z42builtinz42;
} *BgL_avahizd2simplezd2pollz00_bglt;

typedef struct BgL_avahizd2threadedzd2pollz00_bgl {
   header_t header;
   obj_t widening;
   int BgL_z42ctypez42;
   obj_t BgL_z52procsz52;
   AvahiThreadedPoll * BgL_z42builtinz42;
} *BgL_avahizd2threadedzd2pollz00_bglt;

typedef struct BgL_avahizd2clientzd2_bgl {
   header_t header;
   obj_t widening;
   AvahiClient * BgL_z42builtinz42;
   struct BgL_avahizd2pollzd2_bgl * BgL_pollz00;
   obj_t BgL_flagsz00;
   obj_t BgL_procz00;
   obj_t BgL_z52groupsz52;
   obj_t BgL_z52browsersz52;
   obj_t BgL_resolversz00;
} *BgL_avahizd2clientzd2_bglt;

typedef struct BgL_avahizd2entryzd2groupz00_bgl {
   header_t header;
   obj_t widening;
   AvahiEntryGroup * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
} *BgL_avahizd2entryzd2groupz00_bglt;

typedef struct BgL_avahizd2servicezd2browserz00_bgl {
   header_t header;
   obj_t widening;
   AvahiServiceBrowser * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   obj_t BgL_typez00;
   obj_t BgL_domainz00;
   AvahiIfIndex BgL_interfacez00;
   obj_t BgL_protocolz00;
} *BgL_avahizd2servicezd2browserz00_bglt;

typedef struct BgL_avahizd2servicezd2typezd2browserzd2_bgl {
   header_t header;
   obj_t widening;
   AvahiServiceTypeBrowser * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   obj_t BgL_domainz00;
} *BgL_avahizd2servicezd2typezd2browserzd2_bglt;

typedef struct BgL_avahizd2domainzd2browserz00_bgl {
   header_t header;
   obj_t widening;
   AvahiDomainBrowser * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   obj_t BgL_btypez00;
   obj_t BgL_domainz00;
} *BgL_avahizd2domainzd2browserz00_bglt;

typedef struct BgL_avahizd2servicezd2resolverz00_bgl {
   header_t header;
   obj_t widening;
   AvahiServiceResolver * BgL_z42builtinz42;
   struct BgL_avahizd2clientzd2_bgl * BgL_clientz00;
   obj_t BgL_procz00;
   AvahiIfIndex BgL_interfacez00;
   obj_t BgL_protocolz00;
   obj_t BgL_namez00;
   obj_t BgL_typez00;
   obj_t BgL_domainz00;
} *BgL_avahizd2servicezd2resolverz00_bglt;


#endif // BGL___AVAHI_AVAHI_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62objectzd2displayzd2avahi1260z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62objectzd2displayzd2avahi1262z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2servicezd2browserzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
extern AvahiStringList * bgl_avahi_list_to_string_list(obj_t);
static obj_t BGl_z62zc3z04anonymousza32010ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31862ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31927ze3ze5zz__avahi_avahiz00(obj_t);
static BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1933z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2lockz12za2zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1936z62zz__avahi_avahiz00(obj_t);
static BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1856z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1859z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32011ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__avahi_avahiz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62lambda1943z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1944z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1867z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1868z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32020ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2servicezd2resolverzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2resolverz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00(void);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31945ze3ze5zz__avahi_avahiz00(obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda1951z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda1954z62zz__avahi_avahiz00(obj_t);
static BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1875z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1877z62zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza32021ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32005ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31938ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1961z62zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_resolver_event_to_symbol(AvahiResolverEvent);
static obj_t BGl_z62lambda1962z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2objectzd2_bglt BGl_z62lambda1884z62zz__avahi_avahiz00(obj_t);
static BgL_avahizd2pollzd2_bglt BGl_z62lambda1967z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1968z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_avahizd2pollzd2timeoutz00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt, long, obj_t);
static obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32006ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__avahi_avahiz00(void);
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_avahizd2objectzd2zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_avahizd2pollzd2closez00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2lockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31963ze3ze5zz__avahi_avahiz00(obj_t);
static BgL_avahizd2pollzd2_bglt BGl_z62lambda1891z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda1973z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1974z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT void * BGl_z42pthreadzd2nilz90zz__pth_threadz00(void);
static obj_t BGl_z62lambda1979z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32015ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2quitzb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_lookup_result_flags_to_symbol(AvahiLookupResultFlags);
static obj_t BGl_z62zc3z04anonymousza31956ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1980z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62lambda1985z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__avahi_avahiz00(void);
static obj_t BGl_z62lambda1986z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_error(char *, char *, obj_t, int);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2closezd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
static obj_t BGl_z62zc3z04anonymousza32040ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32016ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2ifzd2indexzd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__avahi_avahiz00(void);
static obj_t BGl_z62lambda1992z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1993z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2simplezd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62lambda1999z62zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_pthreadz00zz__pth_threadz00;
BGL_EXPORTED_DECL obj_t bgl_avahi_browser_event_to_symbol(AvahiBrowserEvent);
static obj_t BGl_z62zc3z04anonymousza32025ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62avahizd2initzd2avahizd2thr1268zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31893ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31869ze3ze5zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2pollzd2quitz00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt);
static obj_t BGl_z62avahizd2entryzd2groupzd2commitzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2pollzd2quitz62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32026ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_avahizd2clientzd2closez00zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31975ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31886ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_protocol_to_symbol(AvahiProtocol);
BGL_EXPORTED_DECL obj_t bgl_avahi_lookup_flags_to_symbol(AvahiLookupFlags);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2unlockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31879ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_client_state_to_symbol(AvahiClientState);
BGL_EXPORTED_DECL obj_t BGl_avahizd2initzd2zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza32214ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32125ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2pollzd2unlockz12z70zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2pollzd2closez62zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt, long, obj_t);
static obj_t BGl_methodzd2initzd2zz__avahi_avahiz00(void);
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00 = BUNSPEC;
BGL_EXPORTED_DECL AvahiProtocol bgl_avahi_symbol_to_protocol(obj_t);
static obj_t BGl_z62zc3z04anonymousza32231ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32207ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32118ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2lookupzd2flagszd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31994ze3ze5zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2clientzd2statezd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32046ze3ze5zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2initzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31987ze3ze5zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2alternativezd2servicezd2namezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2simplezd2pollzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32306ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32055ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
extern void bgl_avahi_invoke_callbacks(void);
BGL_EXPORTED_DEF obj_t BGl_z62avahizd2errorzb0zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62lambda2000z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32161ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32064ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2pollzd2lockz12z12zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
BGL_IMPORT bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31611ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32073ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32154ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2browserzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_entry_group_state_to_symbol(AvahiEntryGroupState);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
static obj_t BGl_z62avahizd2entryzd2groupzd2statezd2ze3symbolz81zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2entryzd2groupzd2emptyzf3z43zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2loopzb0zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2101z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2102z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32090ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2servicezd2resolverzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2106z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2107z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32147ze3ze5zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_lock(void);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2113z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32172ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2116z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2error2351zb0zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2cli1270zb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2commitzd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
static obj_t BGl_z62avahizd2threadedzd2pollzd2unlockz12za2zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2lookupzd2resultzd2flagszd2ze3symbolz81zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2resolverzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62z52avahizd2signalze2zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2sim1266zb0zz__avahi_avahiz00(obj_t, obj_t);
static BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2202z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2123z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2124z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2205z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32238ze3ze5zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2pollzd2loopz00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2129z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2pollzd2loopz62zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__avahi_avahiz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2alternativezd2servicezd2namezd2zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2domainzd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2domainzd2browserz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static obj_t BGl_z62avahizd2initzd2avahizd2ser1275zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2130z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2ser1277zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2212z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2213z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2protocolzd2ze3symbolz81zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static obj_t BGl_z62lambda2134z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2135z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2218z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2219z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2139z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2simplezd2pollzd2quitzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2init1263zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2ent1272zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2initzd2avahizd2ser1281zb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt);
static obj_t BGl_z62lambda2140z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2alternativezd2hostzd2namezd2zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2223z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2224z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32256ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2145z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2146z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2229z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2domainzd2browserzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62avahizd2pollzd2lockz12z70zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2230z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2symbolzd2ze3protocolz81zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_avahizd2symbolzd2ze3domainzd2browserzd2typeze3zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt, long, obj_t);
static obj_t BGl_z62lambda2152z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2153z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2236z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32249ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31358ze3ze5zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_threadzd2startz12zc0zz__threadz00(BgL_threadz00_bglt, obj_t);
static obj_t BGl_z62lambda2237z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2159z62zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__avahi_avahiz00(void);
static obj_t BGl_z62avahizd2entryzd2groupzd2resetz12za2zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__avahi_avahiz00(void);
BGL_EXPORTED_DECL obj_t BGl_avahizd2clientzd2errorzd2messagezd2zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt);
static obj_t BGl_z62avahizd2threadedzd2pollzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2pollzd2timeoutz62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2entryzd2groupzd2closezb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62z52avahizd2unlockz12zf0zz__avahi_avahiz00(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__avahi_avahiz00(void);
static obj_t BGl_z62lambda2160z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2244z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2085z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
static BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2247z62zz__avahi_avahiz00(obj_t);
static BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2167z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2088z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62avahizd2initzd2avahizd2dom1279zb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31902ze3ze5zz__avahi_avahiz00(obj_t);
static BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2170z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2254z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32097ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2255z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2095z62zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda2096z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2177z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2178z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2servicezd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2browserz00_bglt);
static obj_t BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt);
static obj_t BGl_z62avahizd2entryzd2groupzd2addzd2servicez12z70zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2clientzd2errorzd2messagezb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2pollzd2unlockz12z12zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2260z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2261z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static BgL_avahizd2clientzd2_bglt BGl_z62lambda2183z62zz__avahi_avahiz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_avahizd2clientzd2zz__avahi_avahiz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32179ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2184z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2265z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2266z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2188z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2189z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62zc3z04anonymousza31920ze3ze5zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2270z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2271z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32293ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32196ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62lambda2194z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2275z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2195z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2276z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_avahizd2entryzd2groupzd2emptyzf3z21zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_avahizd2threadedzd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt);
static obj_t BGl_z62lambda2280z62zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62lambda2281z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2285z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2286z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52avahizd2threadzd2initz12z22zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62avahizd2clientzd2closez62zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2291z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda2292z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt, int);
BGL_EXPORTED_DECL obj_t bgl_avahi_unlock(void);
BGL_EXPORTED_DECL obj_t bgl_avahi_if_index_to_symbol(AvahiIfIndex);
static obj_t BGl_z62avahizd2alternativezd2hostzd2namezb0zz__avahi_avahiz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_deletez12z12zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2simplezd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt);
static obj_t BGl_z62lambda1900z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1901z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62avahizd2threadedzd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2addzd2servicez12z12zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt, obj_t);
static obj_t BGl_z62lambda1907z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1908z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_avahi_signal(void);
static obj_t BGl_z62avahizd2simplezd2pollzd2loopzb0zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31909ze3ze5zz__avahi_avahiz00(obj_t);
static BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1915z62zz__avahi_avahiz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32298ze3ze5zz__avahi_avahiz00(obj_t);
BGL_IMPORT obj_t BGl_threadz00zz__threadz00;
static BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1918z62zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32001ze3ze5zz__avahi_avahiz00(obj_t);
static obj_t BGl_z62z52avahizd2lockz12zf0zz__avahi_avahiz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_avahizd2entryzd2groupzd2resetz12zc0zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt);
static obj_t BGl_z62lambda1925z62zz__avahi_avahiz00(obj_t, obj_t);
static obj_t BGl_z62lambda1926z62zz__avahi_avahiz00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 101 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2lookupzd2resultzd2flagszd2ze3symbolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2looku2690z00, BGl_z62avahizd2lookupzd2resultzd2flagszd2ze3symbolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2signalzd2envz52zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2si2691za7, BGl_z62z52avahizd2signalze2zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2loopzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2692z00, BGl_z62avahizd2threadedzd2pollzd2loopzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2pollzd2loopzd2envzd2zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2pollza72693za7, BGl_z62avahizd2pollzd2loopz62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2resolverzd2eventzd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2resol2694z00, BGl_z62avahizd2resolverzd2eventzd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2servicezd2browserzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2servi2695z00, BGl_z62avahizd2servicezd2browserzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2pollzd2closezd2envzd2zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2pollza72696za7, BGl_z62avahizd2pollzd2closez62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2lockz12zd2envz40zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2lo2697za7, BGl_z62z52avahizd2lockz12zf0zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2errorzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2error2698z00, BGl_z62avahizd2error2351zb0zz__avahi_avahiz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2servicezd2resolverzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2servi2699z00, BGl_z62avahizd2servicezd2resolverzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2500z00zz__avahi_avahiz00, BgL_bgl_string2500za700za7za7_2700za7, "&avahi-protocol->symbol", 23 );
DEFINE_STRING( BGl_string2501z00zz__avahi_avahiz00, BgL_bgl_string2501za700za7za7_2701za7, "avahi-symbol->protocol", 22 );
DEFINE_STRING( BGl_string2502z00zz__avahi_avahiz00, BgL_bgl_string2502za700za7za7_2702za7, "&avahi-symbol->protocol", 23 );
DEFINE_STRING( BGl_string2503z00zz__avahi_avahiz00, BgL_bgl_string2503za700za7za7_2703za7, "symbol", 6 );
DEFINE_STRING( BGl_string2504z00zz__avahi_avahiz00, BgL_bgl_string2504za700za7za7_2704za7, "avahi-lookup-flags->symbol", 26 );
DEFINE_STRING( BGl_string2505z00zz__avahi_avahiz00, BgL_bgl_string2505za700za7za7_2705za7, "Unknown lookup-flag", 19 );
DEFINE_STRING( BGl_string2506z00zz__avahi_avahiz00, BgL_bgl_string2506za700za7za7_2706za7, "&avahi-lookup-flags->symbol", 27 );
DEFINE_STRING( BGl_string2507z00zz__avahi_avahiz00, BgL_bgl_string2507za700za7za7_2707za7, "avahi-lookup-result-flags->symbol", 33 );
DEFINE_STRING( BGl_string2508z00zz__avahi_avahiz00, BgL_bgl_string2508za700za7za7_2708za7, "Unknown lookup-result-flag", 26 );
DEFINE_STRING( BGl_string2509z00zz__avahi_avahiz00, BgL_bgl_string2509za700za7za7_2709za7, "&avahi-lookup-result-flags->symbol", 34 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2pollzd2timeoutzd2envzd2zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2pollza72710za7, BGl_z62avahizd2pollzd2timeoutz62zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2510z00zz__avahi_avahiz00, BgL_bgl_string2510za700za7za7_2711za7, "avahi-symbol->domain-browser-type", 33 );
DEFINE_STRING( BGl_string2511z00zz__avahi_avahiz00, BgL_bgl_string2511za700za7za7_2712za7, "Unknown btype", 13 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2ifzd2indexzd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2ifza7d22713za7, BGl_z62avahizd2ifzd2indexzd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2438z00zz__avahi_avahiz00, BgL_bgl_string2438za700za7za7_2714za7, "Llib/avahi.scm", 14 );
DEFINE_STRING( BGl_string2439z00zz__avahi_avahiz00, BgL_bgl_string2439za700za7za7_2715za7, "/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/api/avahi/src/Llib/avahi.scm", 80 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2clientzd2closezd2envzd2zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2clien2716z00, BGl_z62avahizd2clientzd2closez62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2512z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2717za7, BGl_z62zc3z04anonymousza31869ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2513z00zz__avahi_avahiz00, BgL_bgl_za762lambda1868za7622718z00, BGl_z62lambda1868z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2514z00zz__avahi_avahiz00, BgL_bgl_za762lambda1867za7622719z00, BGl_z62lambda1867z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2515z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2720za7, BGl_z62zc3z04anonymousza31862ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2440z00zz__avahi_avahiz00, BgL_bgl_string2440za700za7za7_2721za7, "&avahi-error2351", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2516z00zz__avahi_avahiz00, BgL_bgl_za762lambda1859za7622722z00, BGl_z62lambda1859z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2441z00zz__avahi_avahiz00, BgL_bgl_string2441za700za7za7_2723za7, "bstring", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2517z00zz__avahi_avahiz00, BgL_bgl_za762lambda1856za7622724z00, BGl_z62lambda1856z62zz__avahi_avahiz00, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string2442z00zz__avahi_avahiz00, BgL_bgl_string2442za700za7za7_2725za7, "bint", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2518z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2726za7, BGl_z62zc3z04anonymousza31879ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2443z00zz__avahi_avahiz00, BgL_bgl_string2443za700za7za7_2727za7, "avahi", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2519z00zz__avahi_avahiz00, BgL_bgl_za762lambda1877za7622728z00, BGl_z62lambda1877z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2444z00zz__avahi_avahiz00, BgL_bgl_string2444za700za7za7_2729za7, "&avahi-poll-close", 17 );
DEFINE_STRING( BGl_string2445z00zz__avahi_avahiz00, BgL_bgl_string2445za700za7za7_2730za7, "avahi-poll", 10 );
DEFINE_STRING( BGl_string2446z00zz__avahi_avahiz00, BgL_bgl_string2446za700za7za7_2731za7, "&avahi-poll-loop", 16 );
DEFINE_STRING( BGl_string2447z00zz__avahi_avahiz00, BgL_bgl_string2447za700za7za7_2732za7, "&avahi-poll-quit", 16 );
DEFINE_STRING( BGl_string2448z00zz__avahi_avahiz00, BgL_bgl_string2448za700za7za7_2733za7, "&avahi-poll-timeout", 19 );
DEFINE_STRING( BGl_string2449z00zz__avahi_avahiz00, BgL_bgl_string2449za700za7za7_2734za7, "procedure", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2600z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2735za7, BGl_z62zc3z04anonymousza32147ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2601z00zz__avahi_avahiz00, BgL_bgl_za762lambda2146za7622736z00, BGl_z62lambda2146z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2520z00zz__avahi_avahiz00, BgL_bgl_za762lambda1875za7622737z00, BGl_z62lambda1875z62zz__avahi_avahiz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2602z00zz__avahi_avahiz00, BgL_bgl_za762lambda2145za7622738z00, BGl_z62lambda2145z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2521z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2739za7, BGl_z62zc3z04anonymousza31886ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2603z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2740za7, BGl_z62zc3z04anonymousza32154ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2522z00zz__avahi_avahiz00, BgL_bgl_za762lambda1884za7622741z00, BGl_z62lambda1884z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2604z00zz__avahi_avahiz00, BgL_bgl_za762lambda2153za7622742z00, BGl_z62lambda2153z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2523z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2743za7, BGl_z62zc3z04anonymousza31902ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2605z00zz__avahi_avahiz00, BgL_bgl_za762lambda2152za7622744z00, BGl_z62lambda2152z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2524z00zz__avahi_avahiz00, BgL_bgl_za762lambda1901za7622745z00, BGl_z62lambda1901z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2606z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2746za7, BGl_z62zc3z04anonymousza32161ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2525z00zz__avahi_avahiz00, BgL_bgl_za762lambda1900za7622747z00, BGl_z62lambda1900z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2450z00zz__avahi_avahiz00, BgL_bgl_string2450za700za7za7_2748za7, "&avahi-poll-lock!", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2607z00zz__avahi_avahiz00, BgL_bgl_za762lambda2160za7622749z00, BGl_z62lambda2160z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2526z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2750za7, BGl_z62zc3z04anonymousza31909ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2451z00zz__avahi_avahiz00, BgL_bgl_string2451za700za7za7_2751za7, "&avahi-poll-unlock!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2608z00zz__avahi_avahiz00, BgL_bgl_za762lambda2159za7622752z00, BGl_z62lambda2159z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2527z00zz__avahi_avahiz00, BgL_bgl_za762lambda1908za7622753z00, BGl_z62lambda1908z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2452z00zz__avahi_avahiz00, BgL_bgl_string2452za700za7za7_2754za7, "&avahi-simple-poll-close", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2609z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2755za7, BGl_z62zc3z04anonymousza32118ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2528z00zz__avahi_avahiz00, BgL_bgl_za762lambda1907za7622756z00, BGl_z62lambda1907z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2453z00zz__avahi_avahiz00, BgL_bgl_string2453za700za7za7_2757za7, "avahi-simple-poll", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2529z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2758za7, BGl_z62zc3z04anonymousza31893ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2454z00zz__avahi_avahiz00, BgL_bgl_string2454za700za7za7_2759za7, "&avahi-simple-poll-loop", 23 );
DEFINE_STRING( BGl_string2455z00zz__avahi_avahiz00, BgL_bgl_string2455za700za7za7_2760za7, "avahi-simple-poll-timeout", 25 );
DEFINE_STRING( BGl_string2456z00zz__avahi_avahiz00, BgL_bgl_string2456za700za7za7_2761za7, "Illegal callback", 16 );
DEFINE_STRING( BGl_string2457z00zz__avahi_avahiz00, BgL_bgl_string2457za700za7za7_2762za7, "&avahi-simple-poll-timeout", 26 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string2458z00zz__avahi_avahiz00, BgL_bgl_string2458za700za7za7_2763za7, "&avahi-simple-poll-quit", 23 );
DEFINE_STRING( BGl_string2459z00zz__avahi_avahiz00, BgL_bgl_string2459za700za7za7_2764za7, "&avahi-threaded-poll-close", 26 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2timeoutzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2765z00, BGl_z62avahizd2simplezd2pollzd2timeoutzb0zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2610z00zz__avahi_avahiz00, BgL_bgl_za762lambda2116za7622766z00, BGl_z62lambda2116z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2611z00zz__avahi_avahiz00, BgL_bgl_za762lambda2113za7622767z00, BGl_z62lambda2113z62zz__avahi_avahiz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2530z00zz__avahi_avahiz00, BgL_bgl_za762lambda1891za7622768z00, BGl_z62lambda1891z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2612z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2769za7, BGl_z62zc3z04anonymousza32179ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2531z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2770za7, BGl_z62zc3z04anonymousza31927ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2613z00zz__avahi_avahiz00, BgL_bgl_za762lambda2178za7622771z00, BGl_z62lambda2178z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2532z00zz__avahi_avahiz00, BgL_bgl_za762lambda1926za7622772z00, BGl_z62lambda1926z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2614z00zz__avahi_avahiz00, BgL_bgl_za762lambda2177za7622773z00, BGl_z62lambda2177z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2533z00zz__avahi_avahiz00, BgL_bgl_za762lambda1925za7622774z00, BGl_z62lambda1925z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2615z00zz__avahi_avahiz00, BgL_bgl_za762lambda2184za7622775z00, BGl_z62lambda2184z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2534z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2776za7, BGl_z62zc3z04anonymousza31920ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2616z00zz__avahi_avahiz00, BgL_bgl_za762lambda2183za7622777z00, BGl_z62lambda2183z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2535z00zz__avahi_avahiz00, BgL_bgl_za762lambda1918za7622778z00, BGl_z62lambda1918z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2460z00zz__avahi_avahiz00, BgL_bgl_string2460za700za7za7_2779za7, "avahi-threaded-poll", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2617z00zz__avahi_avahiz00, BgL_bgl_za762lambda2189za7622780z00, BGl_z62lambda2189z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2536z00zz__avahi_avahiz00, BgL_bgl_za762lambda1915za7622781z00, BGl_z62lambda1915z62zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2461z00zz__avahi_avahiz00, BgL_bgl_string2461za700za7za7_2782za7, "&avahi-threaded-poll-loop", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2618z00zz__avahi_avahiz00, BgL_bgl_za762lambda2188za7622783z00, BGl_z62lambda2188z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2537z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2784za7, BGl_z62zc3z04anonymousza31945ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2462z00zz__avahi_avahiz00, BgL_bgl_string2462za700za7za7_2785za7, "&avahi-threaded-poll-lock!", 26 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2619z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2786za7, BGl_z62zc3z04anonymousza32196ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2538z00zz__avahi_avahiz00, BgL_bgl_za762lambda1944za7622787z00, BGl_z62lambda1944z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2463z00zz__avahi_avahiz00, BgL_bgl_string2463za700za7za7_2788za7, "&avahi-threaded-poll-unlock!", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2539z00zz__avahi_avahiz00, BgL_bgl_za762lambda1943za7622789z00, BGl_z62lambda1943z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2464z00zz__avahi_avahiz00, BgL_bgl_string2464za700za7za7_2790za7, "avahi-threaded-poll-timeout", 27 );
DEFINE_STRING( BGl_string2465z00zz__avahi_avahiz00, BgL_bgl_string2465za700za7za7_2791za7, "&avahi-threaded-poll-timeout", 28 );
DEFINE_STRING( BGl_string2466z00zz__avahi_avahiz00, BgL_bgl_string2466za700za7za7_2792za7, "&avahi-threaded-poll-quit", 25 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2resetz12zd2envz12zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2793z00, BGl_z62avahizd2entryzd2groupzd2resetz12za2zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2467z00zz__avahi_avahiz00, BgL_bgl_string2467za700za7za7_2794za7, "&avahi-client-close", 19 );
DEFINE_STRING( BGl_string2468z00zz__avahi_avahiz00, BgL_bgl_string2468za700za7za7_2795za7, "avahi-client", 12 );
DEFINE_STRING( BGl_string2469z00zz__avahi_avahiz00, BgL_bgl_string2469za700za7za7_2796za7, "&avahi-client-error-message", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2620z00zz__avahi_avahiz00, BgL_bgl_za762lambda2195za7622797z00, BGl_z62lambda2195z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2621z00zz__avahi_avahiz00, BgL_bgl_za762lambda2194za7622798z00, BGl_z62lambda2194z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2540z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2799za7, BGl_z62zc3z04anonymousza31938ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2622z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2800za7, BGl_z62zc3z04anonymousza32172ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2541z00zz__avahi_avahiz00, BgL_bgl_za762lambda1936za7622801z00, BGl_z62lambda1936z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2623z00zz__avahi_avahiz00, BgL_bgl_za762lambda2170za7622802z00, BGl_z62lambda2170z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2542z00zz__avahi_avahiz00, BgL_bgl_za762lambda1933za7622803z00, BGl_z62lambda1933z62zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2624z00zz__avahi_avahiz00, BgL_bgl_za762lambda2167za7622804z00, BGl_z62lambda2167z62zz__avahi_avahiz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2543z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2805za7, BGl_z62zc3z04anonymousza31963ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2625z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2806za7, BGl_z62zc3z04anonymousza32214ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2544z00zz__avahi_avahiz00, BgL_bgl_za762lambda1962za7622807z00, BGl_z62lambda1962z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2626z00zz__avahi_avahiz00, BgL_bgl_za762lambda2213za7622808z00, BGl_z62lambda2213z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2545z00zz__avahi_avahiz00, BgL_bgl_za762lambda1961za7622809z00, BGl_z62lambda1961z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2470z00zz__avahi_avahiz00, BgL_bgl_string2470za700za7za7_2810za7, "avahi-client-state->symbol", 26 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2alternativezd2hostzd2namezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2alter2811z00, BGl_z62avahizd2alternativezd2hostzd2namezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2627z00zz__avahi_avahiz00, BgL_bgl_za762lambda2212za7622812z00, BGl_z62lambda2212z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2546z00zz__avahi_avahiz00, BgL_bgl_za762lambda1968za7622813z00, BGl_z62lambda1968z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2471z00zz__avahi_avahiz00, BgL_bgl_string2471za700za7za7_2814za7, "Unknown state", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2628z00zz__avahi_avahiz00, BgL_bgl_za762lambda2219za7622815z00, BGl_z62lambda2219z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2547z00zz__avahi_avahiz00, BgL_bgl_za762lambda1967za7622816z00, BGl_z62lambda1967z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2472z00zz__avahi_avahiz00, BgL_bgl_string2472za700za7za7_2817za7, "&avahi-client-state->symbol", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2629z00zz__avahi_avahiz00, BgL_bgl_za762lambda2218za7622818z00, BGl_z62lambda2218z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2548z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2819za7, BGl_z62zc3z04anonymousza31975ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2473z00zz__avahi_avahiz00, BgL_bgl_string2473za700za7za7_2820za7, "&avahi-entry-group-close", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2549z00zz__avahi_avahiz00, BgL_bgl_za762lambda1974za7622821z00, BGl_z62lambda1974z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2474z00zz__avahi_avahiz00, BgL_bgl_string2474za700za7za7_2822za7, "avahi-entry-group", 17 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2lockz12zd2envz12zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2823z00, BGl_z62avahizd2threadedzd2pollzd2lockz12za2zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2475z00zz__avahi_avahiz00, BgL_bgl_string2475za700za7za7_2824za7, "&avahi-entry-group-empty?", 25 );
DEFINE_STRING( BGl_string2476z00zz__avahi_avahiz00, BgL_bgl_string2476za700za7za7_2825za7, "&avahi-entry-group-commit", 25 );
DEFINE_STRING( BGl_string2477z00zz__avahi_avahiz00, BgL_bgl_string2477za700za7za7_2826za7, "&avahi-entry-group-reset!", 25 );
DEFINE_STRING( BGl_string2478z00zz__avahi_avahiz00, BgL_bgl_string2478za700za7za7_2827za7, "avahi-entry-group-add-service", 29 );
DEFINE_STRING( BGl_string2479z00zz__avahi_avahiz00, BgL_bgl_string2479za700za7za7_2828za7, "&avahi-entry-group-add-service!", 31 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2630z00zz__avahi_avahiz00, BgL_bgl_za762lambda2224za7622829z00, BGl_z62lambda2224z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2protocolzd2ze3symbolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2proto2830z00, BGl_z62avahizd2protocolzd2ze3symbolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2631z00zz__avahi_avahiz00, BgL_bgl_za762lambda2223za7622831z00, BGl_z62lambda2223z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2550z00zz__avahi_avahiz00, BgL_bgl_za762lambda1973za7622832z00, BGl_z62lambda1973z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2632z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2833za7, BGl_z62zc3z04anonymousza32231ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2551z00zz__avahi_avahiz00, BgL_bgl_za762lambda1980za7622834z00, BGl_z62lambda1980z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2633z00zz__avahi_avahiz00, BgL_bgl_za762lambda2230za7622835z00, BGl_z62lambda2230z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2552z00zz__avahi_avahiz00, BgL_bgl_za762lambda1979za7622836z00, BGl_z62lambda1979z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2634z00zz__avahi_avahiz00, BgL_bgl_za762lambda2229za7622837z00, BGl_z62lambda2229z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2553z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2838za7, BGl_z62zc3z04anonymousza31987ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2635z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2839za7, BGl_z62zc3z04anonymousza32238ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2554z00zz__avahi_avahiz00, BgL_bgl_za762lambda1986za7622840z00, BGl_z62lambda1986z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2636z00zz__avahi_avahiz00, BgL_bgl_za762lambda2237za7622841z00, BGl_z62lambda2237z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2555z00zz__avahi_avahiz00, BgL_bgl_za762lambda1985za7622842z00, BGl_z62lambda1985z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2480z00zz__avahi_avahiz00, BgL_bgl_string2480za700za7za7_2843za7, "avahi-entry-group-state->symbol", 31 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2637z00zz__avahi_avahiz00, BgL_bgl_za762lambda2236za7622844z00, BGl_z62lambda2236z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2556z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2845za7, BGl_z62zc3z04anonymousza31994ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2481z00zz__avahi_avahiz00, BgL_bgl_string2481za700za7za7_2846za7, "&avahi-entry-group-state->symbol", 32 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2638z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2847za7, BGl_z62zc3z04anonymousza32207ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2557z00zz__avahi_avahiz00, BgL_bgl_za762lambda1993za7622848z00, BGl_z62lambda1993z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2482z00zz__avahi_avahiz00, BgL_bgl_string2482za700za7za7_2849za7, "&avahi-alternative-host-name", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2639z00zz__avahi_avahiz00, BgL_bgl_za762lambda2205za7622850z00, BGl_z62lambda2205z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2558z00zz__avahi_avahiz00, BgL_bgl_za762lambda1992za7622851z00, BGl_z62lambda1992z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2483z00zz__avahi_avahiz00, BgL_bgl_string2483za700za7za7_2852za7, "&avahi-alternative-service-name", 31 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2559z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2853za7, BGl_z62zc3z04anonymousza32001ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2484z00zz__avahi_avahiz00, BgL_bgl_string2484za700za7za7_2854za7, "&avahi-service-browser-close", 28 );
DEFINE_STRING( BGl_string2485z00zz__avahi_avahiz00, BgL_bgl_string2485za700za7za7_2855za7, "avahi-service-browser", 21 );
DEFINE_STRING( BGl_string2486z00zz__avahi_avahiz00, BgL_bgl_string2486za700za7za7_2856za7, "&avahi-domain-browser-close", 27 );
DEFINE_STRING( BGl_string2487z00zz__avahi_avahiz00, BgL_bgl_string2487za700za7za7_2857za7, "avahi-domain-browser", 20 );
DEFINE_STRING( BGl_string2488z00zz__avahi_avahiz00, BgL_bgl_string2488za700za7za7_2858za7, "&avahi-service-resolver-close", 29 );
DEFINE_STRING( BGl_string2489z00zz__avahi_avahiz00, BgL_bgl_string2489za700za7za7_2859za7, "avahi-service-resolver", 22 );
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2emptyzf3zd2envzf3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2860z00, BGl_z62avahizd2entryzd2groupzd2emptyzf3z43zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2clientzd2errorzd2messagezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2clien2861z00, BGl_z62avahizd2clientzd2errorzd2messagezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2640z00zz__avahi_avahiz00, BgL_bgl_za762lambda2202za7622862z00, BGl_z62lambda2202z62zz__avahi_avahiz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2641z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2863za7, BGl_z62zc3z04anonymousza32256ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2560z00zz__avahi_avahiz00, BgL_bgl_za762lambda2000za7622864z00, BGl_z62lambda2000z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2642z00zz__avahi_avahiz00, BgL_bgl_za762lambda2255za7622865z00, BGl_z62lambda2255z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2561z00zz__avahi_avahiz00, BgL_bgl_za762lambda1999za7622866z00, BGl_z62lambda1999z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2643z00zz__avahi_avahiz00, BgL_bgl_za762lambda2254za7622867z00, BGl_z62lambda2254z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2562z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2868za7, BGl_z62zc3z04anonymousza32006ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2644z00zz__avahi_avahiz00, BgL_bgl_za762lambda2261za7622869z00, BGl_z62lambda2261z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2563z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2870za7, BGl_z62zc3z04anonymousza32005ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2645z00zz__avahi_avahiz00, BgL_bgl_za762lambda2260za7622871z00, BGl_z62lambda2260z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2564z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2872za7, BGl_z62zc3z04anonymousza32011ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2646z00zz__avahi_avahiz00, BgL_bgl_za762lambda2266za7622873z00, BGl_z62lambda2266z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2565z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2874za7, BGl_z62zc3z04anonymousza32010ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2490z00zz__avahi_avahiz00, BgL_bgl_string2490za700za7za7_2875za7, "avahi-browser-event->symbol", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2647z00zz__avahi_avahiz00, BgL_bgl_za762lambda2265za7622876z00, BGl_z62lambda2265z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2566z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2877za7, BGl_z62zc3z04anonymousza32016ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2491z00zz__avahi_avahiz00, BgL_bgl_string2491za700za7za7_2878za7, "Unknown event", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2648z00zz__avahi_avahiz00, BgL_bgl_za762lambda2271za7622879z00, BGl_z62lambda2271z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2567z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2880za7, BGl_z62zc3z04anonymousza32015ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2492z00zz__avahi_avahiz00, BgL_bgl_string2492za700za7za7_2881za7, "&avahi-browser-event->symbol", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2649z00zz__avahi_avahiz00, BgL_bgl_za762lambda2270za7622882z00, BGl_z62lambda2270z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2568z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2883za7, BGl_z62zc3z04anonymousza32021ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2493z00zz__avahi_avahiz00, BgL_bgl_string2493za700za7za7_2884za7, "avahi-resolver-event->symbol", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2569z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2885za7, BGl_z62zc3z04anonymousza32020ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2494z00zz__avahi_avahiz00, BgL_bgl_string2494za700za7za7_2886za7, "&avahi-resolver-event->symbol", 29 );
DEFINE_STRING( BGl_string2495z00zz__avahi_avahiz00, BgL_bgl_string2495za700za7za7_2887za7, "avahi-if-index->symbol", 22 );
DEFINE_STRING( BGl_string2496z00zz__avahi_avahiz00, BgL_bgl_string2496za700za7za7_2888za7, "Unknown index", 13 );
DEFINE_STRING( BGl_string2497z00zz__avahi_avahiz00, BgL_bgl_string2497za700za7za7_2889za7, "&avahi-if-index->symbol", 23 );
DEFINE_STRING( BGl_string2498z00zz__avahi_avahiz00, BgL_bgl_string2498za700za7za7_2890za7, "avahi-protocol->symbol", 22 );
DEFINE_STRING( BGl_string2499z00zz__avahi_avahiz00, BgL_bgl_string2499za700za7za7_2891za7, "Unknown protocol", 16 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2symbolzd2ze3protocolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2symbo2892z00, BGl_z62avahizd2symbolzd2ze3protocolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2browserzd2eventzd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2brows2893z00, BGl_z62avahizd2browserzd2eventzd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2650z00zz__avahi_avahiz00, BgL_bgl_za762lambda2276za7622894z00, BGl_z62lambda2276z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2651z00zz__avahi_avahiz00, BgL_bgl_za762lambda2275za7622895z00, BGl_z62lambda2275z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2570z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2896za7, BGl_z62zc3z04anonymousza32026ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2652z00zz__avahi_avahiz00, BgL_bgl_za762lambda2281za7622897z00, BGl_z62lambda2281z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2571z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2898za7, BGl_z62zc3z04anonymousza32025ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2653z00zz__avahi_avahiz00, BgL_bgl_za762lambda2280za7622899z00, BGl_z62lambda2280z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2572z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2900za7, BGl_z62zc3z04anonymousza32030ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2654z00zz__avahi_avahiz00, BgL_bgl_za762lambda2286za7622901z00, BGl_z62lambda2286z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2573z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2902za7, BGl_z62zc3z04anonymousza32040ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2655z00zz__avahi_avahiz00, BgL_bgl_za762lambda2285za7622903z00, BGl_z62lambda2285z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2574z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2904za7, BGl_z62zc3z04anonymousza32046ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2662z00zz__avahi_avahiz00, BgL_bgl_string2662za700za7za7_2905za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2656z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2906za7, BGl_z62zc3z04anonymousza32293ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2575z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2907za7, BGl_z62zc3z04anonymousza32055ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2663z00zz__avahi_avahiz00, BgL_bgl_string2663za700za7za7_2908za7, "nil", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2657z00zz__avahi_avahiz00, BgL_bgl_za762lambda2292za7622909z00, BGl_z62lambda2292z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2576z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2910za7, BGl_z62zc3z04anonymousza32064ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2658z00zz__avahi_avahiz00, BgL_bgl_za762lambda2291za7622911z00, BGl_z62lambda2291z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2577z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2912za7, BGl_z62zc3z04anonymousza32073ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2665z00zz__avahi_avahiz00, BgL_bgl_string2665za700za7za7_2913za7, "avahi-init1263", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2659z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2914za7, BGl_z62zc3z04anonymousza32249ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2578z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2915za7, BGl_z62zc3z04anonymousza31956ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2666z00zz__avahi_avahiz00, BgL_bgl_string2666za700za7za7_2916za7, "&avahi-init", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2579z00zz__avahi_avahiz00, BgL_bgl_za762lambda1954za7622917z00, BGl_z62lambda1954z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2667z00zz__avahi_avahiz00, BgL_bgl_string2667za700za7za7_2918za7, "avahi-object", 12 );
DEFINE_STRING( BGl_string2669z00zz__avahi_avahiz00, BgL_bgl_string2669za700za7za7_2919za7, "object-display", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2660z00zz__avahi_avahiz00, BgL_bgl_za762lambda2247za7622920z00, BGl_z62lambda2247z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2661z00zz__avahi_avahiz00, BgL_bgl_za762lambda2244za7622921z00, BGl_z62lambda2244z62zz__avahi_avahiz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2580z00zz__avahi_avahiz00, BgL_bgl_za762lambda1951za7622922z00, BGl_z62lambda1951z62zz__avahi_avahiz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2581z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2923za7, BGl_z62zc3z04anonymousza32097ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2582z00zz__avahi_avahiz00, BgL_bgl_za762lambda2096za7622924z00, BGl_z62lambda2096z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2664z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2init12925z00, BGl_z62avahizd2init1263zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2583z00zz__avahi_avahiz00, BgL_bgl_za762lambda2095za7622926z00, BGl_z62lambda2095z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2584z00zz__avahi_avahiz00, BgL_bgl_za762lambda2102za7622927z00, BGl_z62lambda2102z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2672z00zz__avahi_avahiz00, BgL_bgl_string2672za700za7za7_2928za7, "avahi-init", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2585z00zz__avahi_avahiz00, BgL_bgl_za762lambda2101za7622929z00, BGl_z62lambda2101z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2586z00zz__avahi_avahiz00, BgL_bgl_za762lambda2107za7622930z00, BGl_z62lambda2107z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2668z00zz__avahi_avahiz00, BgL_bgl_za762objectza7d2disp2931z00, va_generic_entry, BGl_z62objectzd2displayzd2avahi1260z62zz__avahi_avahiz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2587z00zz__avahi_avahiz00, BgL_bgl_za762lambda2106za7622932z00, BGl_z62lambda2106z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2588z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2933za7, BGl_z62zc3z04anonymousza32090ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2589z00zz__avahi_avahiz00, BgL_bgl_za762lambda2088za7622934z00, BGl_z62lambda2088z62zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2670z00zz__avahi_avahiz00, BgL_bgl_za762objectza7d2disp2935z00, va_generic_entry, BGl_z62objectzd2displayzd2avahi1262z62zz__avahi_avahiz00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2671z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72936za7, BGl_z62avahizd2initzd2avahizd2sim1266zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2590z00zz__avahi_avahiz00, BgL_bgl_za762lambda2085za7622937z00, BGl_z62lambda2085z62zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2591z00zz__avahi_avahiz00, BgL_bgl_za762za7c3za704anonymo2938za7, BGl_z62zc3z04anonymousza32125ze3ze5zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2timeoutzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2939z00, BGl_z62avahizd2threadedzd2pollzd2timeoutzb0zz__avahi_avahiz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2673z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72940za7, BGl_z62avahizd2initzd2avahizd2thr1268zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2592z00zz__avahi_avahiz00, BgL_bgl_za762lambda2124za7622941z00, BGl_z62lambda2124z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2680z00zz__avahi_avahiz00, BgL_bgl_string2680za700za7za7_2942za7, "avahi-service-type-browser", 26 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2674z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72943za7, BGl_z62avahizd2initzd2avahizd2cli1270zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2593z00zz__avahi_avahiz00, BgL_bgl_za762lambda2123za7622944z00, BGl_z62lambda2123z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2681z00zz__avahi_avahiz00, BgL_bgl_string2681za700za7za7_2945za7, "avahi-client-init", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2675z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72946za7, BGl_z62avahizd2initzd2avahizd2ent1272zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2594z00zz__avahi_avahiz00, BgL_bgl_za762lambda2130za7622947z00, BGl_z62lambda2130z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2682z00zz__avahi_avahiz00, BgL_bgl_string2682za700za7za7_2948za7, "#<", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2676z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72949za7, BGl_z62avahizd2initzd2avahizd2ser1275zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2595z00zz__avahi_avahiz00, BgL_bgl_za762lambda2129za7622950z00, BGl_z62lambda2129z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2683z00zz__avahi_avahiz00, BgL_bgl_string2683za700za7za7_2951za7, ">", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2677z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72952za7, BGl_z62avahizd2initzd2avahizd2ser1277zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2596z00zz__avahi_avahiz00, BgL_bgl_za762lambda2135za7622953z00, BGl_z62lambda2135z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2684z00zz__avahi_avahiz00, BgL_bgl_string2684za700za7za7_2954za7, "#<avahi-client(", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2678z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72955za7, BGl_z62avahizd2initzd2avahizd2dom1279zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2597z00zz__avahi_avahiz00, BgL_bgl_za762lambda2134za7622956z00, BGl_z62lambda2134z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2685z00zz__avahi_avahiz00, BgL_bgl_string2685za700za7za7_2957za7, "):", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2679z00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72958za7, BGl_z62avahizd2initzd2avahizd2ser1281zb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2598z00zz__avahi_avahiz00, BgL_bgl_za762lambda2140za7622959z00, BGl_z62lambda2140z62zz__avahi_avahiz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2686z00zz__avahi_avahiz00, BgL_bgl_string2686za700za7za7_2960za7, ".", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2599z00zz__avahi_avahiz00, BgL_bgl_za762lambda2139za7622961z00, BGl_z62lambda2139z62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2687z00zz__avahi_avahiz00, BgL_bgl_string2687za700za7za7_2962za7, "none nil avahi-domain-browser-browse _ avahi-service-resolver name $avahi-service-resolver avahi-domain-browser $avahi-domain-browser avahi-service-type-browser $avahi-service-type-browser avahi-service-browser protocol $avahi-if-index interface domain type $avahi-service-browser avahi-entry-group client $avahi-entry-group avahi-client state hostname-fqdn domainname hostname bstring version resolvers %browsers %groups procedure proc symbol flags poll $avahi-client avahi-threaded-poll $avahi-threaded-poll avahi-simple-poll $avahi-simple-poll $builtin avahi-poll pair-nil %procs $ctype avahi-object &avahi-collision-error __avahi_avahi &avahi-error int errno (quote avahi-domain-browser-max) (quote avahi-domain-browser-browse-legacy) (quote avahi-domain-browser-register-default) (quote avahi-domain-browser-register) (quote avahi-domain-browser-browse-default) (quote avahi-domain-browser-browse) btype eq? avahi-lookup-result-default avahi-lookup-result-static avahi-lookup-result-our-own avahi-lookup-result-local av"
"ahi-lookup-result-multicast avahi-lookup-result-wide-area avahi-lookup-result-cached avahi-lookup-default avahi-lookup-no-address avahi-lookup-no-txt avahi-proto-unspec avahi-proto-inet6 avahi-proto-inet avahi-if-unspec avahi-resolver-failure avahi-resolver-found avahi-browser-failure avahi-browser-all-for-now avahi-browser-cache-exhausted avahi-browser-remove avahi-browser-new avahi-entry-group-failure avahi-entry-group-collision avahi-entry-group-established avahi-entry-group-registering avahi-entry-group-uncommited (:subtype :port :host :domain :type :name) :subtype :port :host :domain :type :name avahi-client-connecting avahi-client-failure avahi-client-collision avahi-client-running avahi-client-registering condition-variable mutex avahi ", 1777 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2commitzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2963z00, BGl_z62avahizd2entryzd2groupzd2commitzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2964z00, BGl_z62avahizd2threadedzd2pollzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2initza72965za7, BGl_z62avahizd2initzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2statezd2ze3symbolzd2envz31zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2966z00, BGl_z62avahizd2entryzd2groupzd2statezd2ze3symbolz81zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2pollzd2unlockz12zd2envzc0zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2pollza72967za7, BGl_z62avahizd2pollzd2unlockz12z70zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2lookupzd2flagszd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2looku2968z00, BGl_z62avahizd2lookupzd2flagszd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2threadzd2initz12zd2envz92zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2th2969za7, BGl_z62z52avahizd2threadzd2initz12z22zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2alternativezd2servicezd2namezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2alter2970z00, BGl_z62avahizd2alternativezd2servicezd2namezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2971z00, BGl_z62avahizd2simplezd2pollzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2quitzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2972z00, BGl_z62avahizd2simplezd2pollzd2quitzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2addzd2servicez12zd2envzc0zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2973z00, va_generic_entry, BGl_z62avahizd2entryzd2groupzd2addzd2servicez12z70zz__avahi_avahiz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2clientzd2statezd2ze3symbolzd2envze3zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2clien2974z00, BGl_z62avahizd2clientzd2statezd2ze3symbolz53zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2entryzd2groupzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2entry2975z00, BGl_z62avahizd2entryzd2groupzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2domainzd2browserzd2closezd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2domai2976z00, BGl_z62avahizd2domainzd2browserzd2closezb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2quitzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2977z00, BGl_z62avahizd2threadedzd2pollzd2quitzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2pollzd2quitzd2envzd2zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2pollza72978za7, BGl_z62avahizd2pollzd2quitz62zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52avahizd2unlockz12zd2envz40zz__avahi_avahiz00, BgL_bgl_za762za752avahiza7d2un2979za7, BGl_z62z52avahizd2unlockz12zf0zz__avahi_avahiz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2threadedzd2pollzd2unlockz12zd2envz12zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2threa2980z00, BGl_z62avahizd2threadedzd2pollzd2unlockz12za2zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2pollzd2lockz12zd2envzc0zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2pollza72981za7, BGl_z62avahizd2pollzd2lockz12z70zz__avahi_avahiz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_avahizd2simplezd2pollzd2loopzd2envz00zz__avahi_avahiz00, BgL_bgl_za762avahiza7d2simpl2982z00, BGl_z62avahizd2simplezd2pollzd2loopzb0zz__avahi_avahiz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2pollzd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2objectzd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_z62avahizd2errorzb0zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00) );
ADD_ROOT( (void *)(&BGl_avahizd2clientzd2zz__avahi_avahiz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__avahi_avahiz00(long BgL_checksumz00_3316, char * BgL_fromz00_3317)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__avahi_avahiz00))
{ 
BGl_requirezd2initializa7ationz75zz__avahi_avahiz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__avahi_avahiz00(); 
BGl_libraryzd2moduleszd2initz00zz__avahi_avahiz00(); 
BGl_cnstzd2initzd2zz__avahi_avahiz00(); 
BGl_objectzd2initzd2zz__avahi_avahiz00(); 
BGl_genericzd2initzd2zz__avahi_avahiz00(); 
BGl_methodzd2initzd2zz__avahi_avahiz00(); 
return 
BGl_toplevelzd2initzd2zz__avahi_avahiz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__dssslz00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__bitz00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__avahi_avahi"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__avahi_avahi"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
{ /* Llib/avahi.scm 15 */
 obj_t BgL_cportz00_2912;
{ /* Llib/avahi.scm 15 */
 obj_t BgL_stringz00_2919;
BgL_stringz00_2919 = BGl_string2687z00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 15 */
 obj_t BgL_startz00_2920;
BgL_startz00_2920 = 
BINT(0L); 
{ /* Llib/avahi.scm 15 */
 obj_t BgL_endz00_2921;
BgL_endz00_2921 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2919))); 
{ /* Llib/avahi.scm 15 */

BgL_cportz00_2912 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2919, BgL_startz00_2920, BgL_endz00_2921); } } } } 
{ 
 long BgL_iz00_2913;
BgL_iz00_2913 = 100L; 
BgL_loopz00_2914:
if(
(BgL_iz00_2913==(-1L)))
{ /* Llib/avahi.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 15 */
{ /* Llib/avahi.scm 15 */
 obj_t BgL_arg2688z00_2915;
{ /* Llib/avahi.scm 15 */

{ /* Llib/avahi.scm 15 */
 obj_t BgL_locationz00_2917;
BgL_locationz00_2917 = 
BBOOL(((bool_t)0)); 
{ /* Llib/avahi.scm 15 */

BgL_arg2688z00_2915 = 
BGl_readz00zz__readerz00(BgL_cportz00_2912, BgL_locationz00_2917); } } } 
{ /* Llib/avahi.scm 15 */
 int BgL_tmpz00_3354;
BgL_tmpz00_3354 = 
(int)(BgL_iz00_2913); 
CNST_TABLE_SET(BgL_tmpz00_3354, BgL_arg2688z00_2915); } } 
{ /* Llib/avahi.scm 15 */
 int BgL_auxz00_2918;
BgL_auxz00_2918 = 
(int)(
(BgL_iz00_2913-1L)); 
{ 
 long BgL_iz00_3359;
BgL_iz00_3359 = 
(long)(BgL_auxz00_2918); 
BgL_iz00_2913 = BgL_iz00_3359; 
goto BgL_loopz00_2914;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(0L, 
BSTRING_TO_STRING(BGl_string2438z00zz__avahi_avahiz00)); 
{ /* Llib/avahi.scm 227 */
 obj_t BgL_namez00_1305;
BgL_namez00_1305 = 
((obj_t)
CNST_TABLE_REF(0)); 
BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00 = 
bgl_make_mutex(BgL_namez00_1305); } 
{ /* Llib/avahi.scm 228 */
 obj_t BgL_namez00_1306;
BgL_namez00_1306 = 
((obj_t)
CNST_TABLE_REF(0)); 
BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00 = 
bgl_make_condvar(BgL_namez00_1306); } 
BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00 = BUNSPEC; 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = BNIL; 
{ /* Llib/avahi.scm 271 */

{ /* Llib/avahi.scm 271 */
 obj_t BgL_namez00_68;
BgL_namez00_68 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
((obj_t)
CNST_TABLE_REF(1))); 
{ /* Llib/avahi.scm 271 */

BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00 = 
bgl_make_mutex(BgL_namez00_68); } } } 
return BUNSPEC;} 

}



/* avahi-error */
BGL_EXPORTED_DEF obj_t bgl_avahi_error(char * BgL_procz00_7, char * BgL_msgz00_8, obj_t BgL_objz00_9, int BgL_errnoz00_10)
{
{ /* Llib/avahi.scm 238 */
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1337z00_78;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_79;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_82;
BgL_new1142z00_82 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1355z00_83;
BgL_arg1355z00_83 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_82), BgL_arg1355z00_83); } 
BgL_new1143z00_79 = BgL_new1142z00_82; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_79)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_79)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3382;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1353z00_80;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1354z00_81;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_1310;
BgL_classz00_1310 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1354z00_81 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1310); } 
BgL_arg1353z00_80 = 
VECTOR_REF(BgL_arg1354z00_81,2L); } 
BgL_auxz00_3382 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1353z00_80); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_79)))->BgL_stackz00)=((obj_t)BgL_auxz00_3382),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_79)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_7)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_79)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_8)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_79)))->BgL_objz00)=((obj_t)BgL_objz00_9),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_79))->BgL_errnoz00)=((int)BgL_errnoz00_10),BUNSPEC); 
BgL_arg1337z00_78 = BgL_new1143z00_79; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1337z00_78));} } 

}



/* &avahi-error2351 */
obj_t BGl_z62avahizd2error2351zb0zz__avahi_avahiz00(obj_t BgL_envz00_2120, obj_t BgL_procz00_2121, obj_t BgL_msgz00_2122, obj_t BgL_objz00_2123, obj_t BgL_errnoz00_2124)
{
{ /* Llib/avahi.scm 238 */
{ /* Llib/avahi.scm 240 */
 int BgL_auxz00_3417; char * BgL_auxz00_3408; char * BgL_auxz00_3399;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_tmpz00_3418;
if(
INTEGERP(BgL_errnoz00_2124))
{ /* Llib/avahi.scm 240 */
BgL_tmpz00_3418 = BgL_errnoz00_2124
; }  else 
{ 
 obj_t BgL_auxz00_3421;
BgL_auxz00_3421 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(9837L), BGl_string2440z00zz__avahi_avahiz00, BGl_string2442z00zz__avahi_avahiz00, BgL_errnoz00_2124); 
FAILURE(BgL_auxz00_3421,BFALSE,BFALSE);} 
BgL_auxz00_3417 = 
CINT(BgL_tmpz00_3418); } 
{ /* Llib/avahi.scm 240 */
 obj_t BgL_tmpz00_3409;
if(
STRINGP(BgL_msgz00_2122))
{ /* Llib/avahi.scm 240 */
BgL_tmpz00_3409 = BgL_msgz00_2122
; }  else 
{ 
 obj_t BgL_auxz00_3412;
BgL_auxz00_3412 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(9837L), BGl_string2440z00zz__avahi_avahiz00, BGl_string2441z00zz__avahi_avahiz00, BgL_msgz00_2122); 
FAILURE(BgL_auxz00_3412,BFALSE,BFALSE);} 
BgL_auxz00_3408 = 
BSTRING_TO_STRING(BgL_tmpz00_3409); } 
{ /* Llib/avahi.scm 240 */
 obj_t BgL_tmpz00_3400;
if(
STRINGP(BgL_procz00_2121))
{ /* Llib/avahi.scm 240 */
BgL_tmpz00_3400 = BgL_procz00_2121
; }  else 
{ 
 obj_t BgL_auxz00_3403;
BgL_auxz00_3403 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(9837L), BGl_string2440z00zz__avahi_avahiz00, BGl_string2441z00zz__avahi_avahiz00, BgL_procz00_2121); 
FAILURE(BgL_auxz00_3403,BFALSE,BFALSE);} 
BgL_auxz00_3399 = 
BSTRING_TO_STRING(BgL_tmpz00_3400); } 
return 
bgl_avahi_error(BgL_auxz00_3399, BgL_auxz00_3408, BgL_objz00_2123, BgL_auxz00_3417);} } 

}



/* %avahi-lock! */
BGL_EXPORTED_DEF obj_t bgl_avahi_lock(void)
{
{ /* Llib/avahi.scm 249 */
{ /* Llib/avahi.scm 250 */
 obj_t BgL_g1184z00_1312;
BgL_g1184z00_1312 = BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 250 */

{ /* Llib/avahi.scm 250 */
 int BgL_arg1725z00_1317;
BgL_arg1725z00_1317 = 
BGL_MUTEX_LOCK(BgL_g1184z00_1312); 
return 
BBOOL(
(
(long)(BgL_arg1725z00_1317)==0L));} } } } 

}



/* &%avahi-lock! */
obj_t BGl_z62z52avahizd2lockz12zf0zz__avahi_avahiz00(obj_t BgL_envz00_2125)
{
{ /* Llib/avahi.scm 249 */
return 
bgl_avahi_lock();} 

}



/* %avahi-unlock! */
BGL_EXPORTED_DEF obj_t bgl_avahi_unlock(void)
{
{ /* Llib/avahi.scm 255 */
{ /* Llib/avahi.scm 256 */
 obj_t BgL_mz00_1322;
BgL_mz00_1322 = BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 256 */
 int BgL_arg1723z00_1323;
BgL_arg1723z00_1323 = 
BGL_MUTEX_UNLOCK(BgL_mz00_1322); 
return 
BBOOL(
(
(long)(BgL_arg1723z00_1323)==0L));} } } 

}



/* &%avahi-unlock! */
obj_t BGl_z62z52avahizd2unlockz12zf0zz__avahi_avahiz00(obj_t BgL_envz00_2126)
{
{ /* Llib/avahi.scm 255 */
return 
bgl_avahi_unlock();} 

}



/* %avahi-signal */
BGL_EXPORTED_DEF obj_t bgl_avahi_signal(void)
{
{ /* Llib/avahi.scm 261 */
{ /* Llib/avahi.scm 262 */
 obj_t BgL_cz00_1325;
BgL_cz00_1325 = BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00; 
return 
BBOOL(
BGL_CONDVAR_SIGNAL(BgL_cz00_1325));} } 

}



/* &%avahi-signal */
obj_t BGl_z62z52avahizd2signalze2zz__avahi_avahiz00(obj_t BgL_envz00_2127)
{
{ /* Llib/avahi.scm 261 */
return 
bgl_avahi_signal();} 

}



/* avahi-gc-unmark! */
obj_t BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt BgL_oz00_12)
{
{ /* Llib/avahi.scm 283 */
{ /* Llib/avahi.scm 284 */
 obj_t BgL_top2989z00_3441;
BgL_top2989z00_3441 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top2989z00_3441, BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BUNSPEC; 
{ /* Llib/avahi.scm 284 */
 obj_t BgL_tmp2988z00_3440;
{ /* Llib/avahi.scm 285 */
 obj_t BgL_g1962z00_87;
BgL_g1962z00_87 = BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 285 */

BgL_tmp2988z00_3440 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
BGl_deletez12z12zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_12), BgL_g1962z00_87, BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00), BUNSPEC) ; } } 
BGL_EXITD_POP_PROTECT(BgL_top2989z00_3441); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
return BgL_tmp2988z00_3440;} } } 

}



/* %avahi-thread-init! */
BGL_EXPORTED_DEF obj_t BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 290 */
{ /* Llib/avahi.scm 291 */
 bool_t BgL_test2990z00_3449;
{ /* Llib/avahi.scm 291 */
 obj_t BgL_objz00_1326; obj_t BgL_classz00_1327;
BgL_objz00_1326 = BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00; 
BgL_classz00_1327 = BGl_threadz00zz__threadz00; 
if(
BGL_OBJECTP(BgL_objz00_1326))
{ /* Llib/avahi.scm 291 */
 BgL_objectz00_bglt BgL_arg1827z00_1329;
BgL_arg1827z00_1329 = 
(BgL_objectz00_bglt)(BgL_objz00_1326); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 291 */
 long BgL_idxz00_1335;
BgL_idxz00_1335 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1329); 
BgL_test2990z00_3449 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1335+1L))==BgL_classz00_1327); }  else 
{ /* Llib/avahi.scm 291 */
 bool_t BgL_res2339z00_1360;
{ /* Llib/avahi.scm 291 */
 obj_t BgL_oclassz00_1343;
{ /* Llib/avahi.scm 291 */
 obj_t BgL_arg1834z00_1351; long BgL_arg1835z00_1352;
BgL_arg1834z00_1351 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/avahi.scm 291 */
 long BgL_arg1836z00_1353;
BgL_arg1836z00_1353 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1329); 
BgL_arg1835z00_1352 = 
(BgL_arg1836z00_1353-OBJECT_TYPE); } 
BgL_oclassz00_1343 = 
VECTOR_REF(BgL_arg1834z00_1351,BgL_arg1835z00_1352); } 
{ /* Llib/avahi.scm 291 */
 bool_t BgL__ortest_1114z00_1344;
BgL__ortest_1114z00_1344 = 
(BgL_classz00_1327==BgL_oclassz00_1343); 
if(BgL__ortest_1114z00_1344)
{ /* Llib/avahi.scm 291 */
BgL_res2339z00_1360 = BgL__ortest_1114z00_1344; }  else 
{ /* Llib/avahi.scm 291 */
 long BgL_odepthz00_1345;
{ /* Llib/avahi.scm 291 */
 obj_t BgL_arg1824z00_1346;
BgL_arg1824z00_1346 = 
(BgL_oclassz00_1343); 
BgL_odepthz00_1345 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1346); } 
if(
(1L<BgL_odepthz00_1345))
{ /* Llib/avahi.scm 291 */
 obj_t BgL_arg1822z00_1348;
{ /* Llib/avahi.scm 291 */
 obj_t BgL_arg1823z00_1349;
BgL_arg1823z00_1349 = 
(BgL_oclassz00_1343); 
BgL_arg1822z00_1348 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1349, 1L); } 
BgL_res2339z00_1360 = 
(BgL_arg1822z00_1348==BgL_classz00_1327); }  else 
{ /* Llib/avahi.scm 291 */
BgL_res2339z00_1360 = ((bool_t)0); } } } } 
BgL_test2990z00_3449 = BgL_res2339z00_1360; } }  else 
{ /* Llib/avahi.scm 291 */
BgL_test2990z00_3449 = ((bool_t)0)
; } } 
if(BgL_test2990z00_3449)
{ /* Llib/avahi.scm 291 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 293 */
 obj_t BgL_lkz00_90; obj_t BgL_cvz00_91;
{ /* Llib/avahi.scm 293 */

{ /* Llib/avahi.scm 293 */
 obj_t BgL_namez00_107;
BgL_namez00_107 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
((obj_t)
CNST_TABLE_REF(1))); 
{ /* Llib/avahi.scm 293 */

BgL_lkz00_90 = 
bgl_make_mutex(BgL_namez00_107); } } } 
{ /* Llib/avahi.scm 294 */

{ /* Llib/avahi.scm 294 */
 obj_t BgL_namez00_108;
BgL_namez00_108 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
((obj_t)
CNST_TABLE_REF(2))); 
{ /* Llib/avahi.scm 294 */

BgL_cvz00_91 = 
bgl_make_condvar(BgL_namez00_108); } } } 
{ /* Llib/avahi.scm 296 */
 BgL_pthreadz00_bglt BgL_new1145z00_92;
{ /* Llib/avahi.scm 297 */
 BgL_pthreadz00_bglt BgL_new1144z00_101;
BgL_new1144z00_101 = 
((BgL_pthreadz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pthreadz00_bgl) ))); 
{ /* Llib/avahi.scm 297 */
 long BgL_arg1361z00_102;
BgL_arg1361z00_102 = 
BGL_CLASS_NUM(BGl_pthreadz00zz__pth_threadz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1144z00_101), BgL_arg1361z00_102); } 
BgL_new1145z00_92 = BgL_new1144z00_101; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1145z00_92)))->BgL_namez00)=((obj_t)BGl_string2443z00zz__avahi_avahiz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3486;
{ /* Llib/avahi.scm 298 */
 obj_t BgL_zc3z04anonymousza31358ze3z87_2131;
BgL_zc3z04anonymousza31358ze3z87_2131 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31358ze3ze5zz__avahi_avahiz00, 
(int)(0L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31358ze3z87_2131, 
(int)(0L), BgL_lkz00_90); 
PROCEDURE_SET(BgL_zc3z04anonymousza31358ze3z87_2131, 
(int)(1L), BgL_cvz00_91); 
BgL_auxz00_3486 = BgL_zc3z04anonymousza31358ze3z87_2131; } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1145z00_92))->BgL_bodyz00)=((obj_t)BgL_auxz00_3486),BUNSPEC); } 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1145z00_92))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1145z00_92))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1145z00_92))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(BgL_new1145z00_92))->BgL_z42builtinz42)=((void *)
BGl_z42pthreadzd2nilz90zz__pth_threadz00()),BUNSPEC); 
{ /* Llib/avahi.scm 296 */
 obj_t BgL_fun1360z00_100;
BgL_fun1360z00_100 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pthreadz00zz__pth_threadz00); 
BGL_PROCEDURE_CALL1(BgL_fun1360z00_100, 
((obj_t)BgL_new1145z00_92)); } 
BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00 = 
((obj_t)BgL_new1145z00_92); } 
{ /* Llib/avahi.scm 307 */
 obj_t BgL_top2996z00_3508;
BgL_top2996z00_3508 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_lkz00_90); 
BGL_EXITD_PUSH_PROTECT(BgL_top2996z00_3508, BgL_lkz00_90); BUNSPEC; 
{ /* Llib/avahi.scm 307 */
 obj_t BgL_tmp2995z00_3507;
BGl_threadzd2startz12zc0zz__threadz00(
((BgL_threadz00_bglt)BGl_za2avahizd2threadza2zd2zz__avahi_avahiz00), BNIL); 
{ /* Llib/avahi.scm 309 */

BgL_tmp2995z00_3507 = 
BBOOL(
BGL_CONDVAR_WAIT(BgL_cvz00_91, BgL_lkz00_90)); } 
BGL_EXITD_POP_PROTECT(BgL_top2996z00_3508); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_lkz00_90); 
return BgL_tmp2995z00_3507;} } } } } 

}



/* &%avahi-thread-init! */
obj_t BGl_z62z52avahizd2threadzd2initz12z22zz__avahi_avahiz00(obj_t BgL_envz00_2132)
{
{ /* Llib/avahi.scm 290 */
return 
BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00();} 

}



/* &<@anonymous:1358> */
obj_t BGl_z62zc3z04anonymousza31358ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2133)
{
{ /* Llib/avahi.scm 298 */
{ /* Llib/avahi.scm 299 */
 obj_t BgL_lkz00_2134; obj_t BgL_cvz00_2135;
BgL_lkz00_2134 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2133, 
(int)(0L))); 
BgL_cvz00_2135 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2133, 
(int)(1L))); 
BGL_MUTEX_LOCK(BgL_lkz00_2134); 
{ /* Llib/avahi.scm 299 */
 bool_t BgL_tmp2997z00_3525;
BgL_tmp2997z00_3525 = 
BGL_CONDVAR_SIGNAL(BgL_cvz00_2135); 
BGL_MUTEX_UNLOCK(BgL_lkz00_2134); BgL_tmp2997z00_3525; } 
{ 

BgL_loopz00_2923:
BGL_MUTEX_LOCK(BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 302 */
 bool_t BgL_tmp2998z00_3529;
{ /* Llib/avahi.scm 304 */
 obj_t BgL_g1174z00_2924; obj_t BgL_g1175z00_2925;
BgL_g1174z00_2924 = BGl_za2avahizd2condvza2zd2zz__avahi_avahiz00; 
BgL_g1175z00_2925 = BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 303 */

BgL_tmp2998z00_3529 = 
BGL_CONDVAR_WAIT(BgL_g1174z00_2924, BgL_g1175z00_2925); } } 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2mutexza2zd2zz__avahi_avahiz00); BgL_tmp2998z00_3529; } 
bgl_avahi_invoke_callbacks(); BUNSPEC; 
goto BgL_loopz00_2923;} } } 

}



/* avahi-poll-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2closez00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt BgL_oz00_14)
{
{ /* Llib/avahi.scm 320 */
{ /* Llib/avahi.scm 321 */
 bool_t BgL_test2999z00_3534;
{ /* Llib/avahi.scm 321 */
 obj_t BgL_classz00_1376;
BgL_classz00_1376 = BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 321 */
 BgL_objectz00_bglt BgL_arg1827z00_1378;
{ /* Llib/avahi.scm 321 */
 obj_t BgL_tmpz00_3535;
BgL_tmpz00_3535 = 
((obj_t)BgL_oz00_14); 
BgL_arg1827z00_1378 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3535); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 321 */
 long BgL_idxz00_1384;
BgL_idxz00_1384 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1378); 
BgL_test2999z00_3534 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1384+3L))==BgL_classz00_1376); }  else 
{ /* Llib/avahi.scm 321 */
 bool_t BgL_res2340z00_1409;
{ /* Llib/avahi.scm 321 */
 obj_t BgL_oclassz00_1392;
{ /* Llib/avahi.scm 321 */
 obj_t BgL_arg1834z00_1400; long BgL_arg1835z00_1401;
BgL_arg1834z00_1400 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/avahi.scm 321 */
 long BgL_arg1836z00_1402;
BgL_arg1836z00_1402 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1378); 
BgL_arg1835z00_1401 = 
(BgL_arg1836z00_1402-OBJECT_TYPE); } 
BgL_oclassz00_1392 = 
VECTOR_REF(BgL_arg1834z00_1400,BgL_arg1835z00_1401); } 
{ /* Llib/avahi.scm 321 */
 bool_t BgL__ortest_1114z00_1393;
BgL__ortest_1114z00_1393 = 
(BgL_classz00_1376==BgL_oclassz00_1392); 
if(BgL__ortest_1114z00_1393)
{ /* Llib/avahi.scm 321 */
BgL_res2340z00_1409 = BgL__ortest_1114z00_1393; }  else 
{ /* Llib/avahi.scm 321 */
 long BgL_odepthz00_1394;
{ /* Llib/avahi.scm 321 */
 obj_t BgL_arg1824z00_1395;
BgL_arg1824z00_1395 = 
(BgL_oclassz00_1392); 
BgL_odepthz00_1394 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1395); } 
if(
(3L<BgL_odepthz00_1394))
{ /* Llib/avahi.scm 321 */
 obj_t BgL_arg1822z00_1397;
{ /* Llib/avahi.scm 321 */
 obj_t BgL_arg1823z00_1398;
BgL_arg1823z00_1398 = 
(BgL_oclassz00_1392); 
BgL_arg1822z00_1397 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1398, 3L); } 
BgL_res2340z00_1409 = 
(BgL_arg1822z00_1397==BgL_classz00_1376); }  else 
{ /* Llib/avahi.scm 321 */
BgL_res2340z00_1409 = ((bool_t)0); } } } } 
BgL_test2999z00_3534 = BgL_res2340z00_1409; } } } 
if(BgL_test2999z00_3534)
{ /* Llib/avahi.scm 321 */
{ /* Llib/avahi.scm 377 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_tmpz00_3557;
BgL_tmpz00_3557 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_14); 
bgl_avahi_simple_poll_close(BgL_tmpz00_3557); } BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_14))); 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 321 */
{ /* Llib/avahi.scm 423 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_tmpz00_3563;
BgL_tmpz00_3563 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_14); 
bgl_avahi_threaded_poll_close(BgL_tmpz00_3563); } BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_14))); 
return BUNSPEC;} } } 

}



/* &avahi-poll-close */
obj_t BGl_z62avahizd2pollzd2closez62zz__avahi_avahiz00(obj_t BgL_envz00_2136, obj_t BgL_oz00_2137)
{
{ /* Llib/avahi.scm 320 */
{ /* Llib/avahi.scm 321 */
 BgL_avahizd2pollzd2_bglt BgL_auxz00_3569;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2137, BGl_avahizd2pollzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 321 */
BgL_auxz00_3569 = 
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2137)
; }  else 
{ 
 obj_t BgL_auxz00_3573;
BgL_auxz00_3573 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(13362L), BGl_string2444z00zz__avahi_avahiz00, BGl_string2445z00zz__avahi_avahiz00, BgL_oz00_2137); 
FAILURE(BgL_auxz00_3573,BFALSE,BFALSE);} 
return 
BGl_avahizd2pollzd2closez00zz__avahi_avahiz00(BgL_auxz00_3569);} } 

}



/* avahi-poll-loop */
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2loopz00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt BgL_oz00_15)
{
{ /* Llib/avahi.scm 328 */
{ /* Llib/avahi.scm 329 */
 bool_t BgL_test3004z00_3578;
{ /* Llib/avahi.scm 329 */
 obj_t BgL_classz00_1413;
BgL_classz00_1413 = BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 329 */
 BgL_objectz00_bglt BgL_arg1827z00_1415;
{ /* Llib/avahi.scm 329 */
 obj_t BgL_tmpz00_3579;
BgL_tmpz00_3579 = 
((obj_t)BgL_oz00_15); 
BgL_arg1827z00_1415 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3579); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 329 */
 long BgL_idxz00_1421;
BgL_idxz00_1421 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1415); 
BgL_test3004z00_3578 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1421+3L))==BgL_classz00_1413); }  else 
{ /* Llib/avahi.scm 329 */
 bool_t BgL_res2341z00_1446;
{ /* Llib/avahi.scm 329 */
 obj_t BgL_oclassz00_1429;
{ /* Llib/avahi.scm 329 */
 obj_t BgL_arg1834z00_1437; long BgL_arg1835z00_1438;
BgL_arg1834z00_1437 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/avahi.scm 329 */
 long BgL_arg1836z00_1439;
BgL_arg1836z00_1439 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1415); 
BgL_arg1835z00_1438 = 
(BgL_arg1836z00_1439-OBJECT_TYPE); } 
BgL_oclassz00_1429 = 
VECTOR_REF(BgL_arg1834z00_1437,BgL_arg1835z00_1438); } 
{ /* Llib/avahi.scm 329 */
 bool_t BgL__ortest_1114z00_1430;
BgL__ortest_1114z00_1430 = 
(BgL_classz00_1413==BgL_oclassz00_1429); 
if(BgL__ortest_1114z00_1430)
{ /* Llib/avahi.scm 329 */
BgL_res2341z00_1446 = BgL__ortest_1114z00_1430; }  else 
{ /* Llib/avahi.scm 329 */
 long BgL_odepthz00_1431;
{ /* Llib/avahi.scm 329 */
 obj_t BgL_arg1824z00_1432;
BgL_arg1824z00_1432 = 
(BgL_oclassz00_1429); 
BgL_odepthz00_1431 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1432); } 
if(
(3L<BgL_odepthz00_1431))
{ /* Llib/avahi.scm 329 */
 obj_t BgL_arg1822z00_1434;
{ /* Llib/avahi.scm 329 */
 obj_t BgL_arg1823z00_1435;
BgL_arg1823z00_1435 = 
(BgL_oclassz00_1429); 
BgL_arg1822z00_1434 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1435, 3L); } 
BgL_res2341z00_1446 = 
(BgL_arg1822z00_1434==BgL_classz00_1413); }  else 
{ /* Llib/avahi.scm 329 */
BgL_res2341z00_1446 = ((bool_t)0); } } } } 
BgL_test3004z00_3578 = BgL_res2341z00_1446; } } } 
if(BgL_test3004z00_3578)
{ /* Llib/avahi.scm 329 */
{ /* Llib/avahi.scm 386 */
 AvahiSimplePoll * BgL_arg1370z00_1449;
BgL_arg1370z00_1449 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_15)))->BgL_z42builtinz42); 
avahi_simple_poll_loop(BgL_arg1370z00_1449); BUNSPEC; } 
return 
((obj_t)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_15));}  else 
{ /* Llib/avahi.scm 329 */
{ /* Llib/avahi.scm 432 */
 AvahiThreadedPoll * BgL_arg1377z00_1452;
BgL_arg1377z00_1452 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_15)))->BgL_z42builtinz42); 
avahi_threaded_poll_start(BgL_arg1377z00_1452); BUNSPEC; } 
return 
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_15));} } } 

}



/* &avahi-poll-loop */
obj_t BGl_z62avahizd2pollzd2loopz62zz__avahi_avahiz00(obj_t BgL_envz00_2138, obj_t BgL_oz00_2139)
{
{ /* Llib/avahi.scm 328 */
{ /* Llib/avahi.scm 329 */
 BgL_avahizd2pollzd2_bglt BgL_auxz00_3611;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2139, BGl_avahizd2pollzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 329 */
BgL_auxz00_3611 = 
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2139)
; }  else 
{ 
 obj_t BgL_auxz00_3615;
BgL_auxz00_3615 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(13740L), BGl_string2446z00zz__avahi_avahiz00, BGl_string2445z00zz__avahi_avahiz00, BgL_oz00_2139); 
FAILURE(BgL_auxz00_3615,BFALSE,BFALSE);} 
return 
BGl_avahizd2pollzd2loopz00zz__avahi_avahiz00(BgL_auxz00_3611);} } 

}



/* avahi-poll-quit */
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2quitz00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt BgL_oz00_16)
{
{ /* Llib/avahi.scm 336 */
{ /* Llib/avahi.scm 337 */
 bool_t BgL_test3009z00_3620;
{ /* Llib/avahi.scm 337 */
 obj_t BgL_classz00_1454;
BgL_classz00_1454 = BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 337 */
 BgL_objectz00_bglt BgL_arg1827z00_1456;
{ /* Llib/avahi.scm 337 */
 obj_t BgL_tmpz00_3621;
BgL_tmpz00_3621 = 
((obj_t)BgL_oz00_16); 
BgL_arg1827z00_1456 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3621); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 337 */
 long BgL_idxz00_1462;
BgL_idxz00_1462 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1456); 
BgL_test3009z00_3620 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1462+3L))==BgL_classz00_1454); }  else 
{ /* Llib/avahi.scm 337 */
 bool_t BgL_res2342z00_1487;
{ /* Llib/avahi.scm 337 */
 obj_t BgL_oclassz00_1470;
{ /* Llib/avahi.scm 337 */
 obj_t BgL_arg1834z00_1478; long BgL_arg1835z00_1479;
BgL_arg1834z00_1478 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/avahi.scm 337 */
 long BgL_arg1836z00_1480;
BgL_arg1836z00_1480 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1456); 
BgL_arg1835z00_1479 = 
(BgL_arg1836z00_1480-OBJECT_TYPE); } 
BgL_oclassz00_1470 = 
VECTOR_REF(BgL_arg1834z00_1478,BgL_arg1835z00_1479); } 
{ /* Llib/avahi.scm 337 */
 bool_t BgL__ortest_1114z00_1471;
BgL__ortest_1114z00_1471 = 
(BgL_classz00_1454==BgL_oclassz00_1470); 
if(BgL__ortest_1114z00_1471)
{ /* Llib/avahi.scm 337 */
BgL_res2342z00_1487 = BgL__ortest_1114z00_1471; }  else 
{ /* Llib/avahi.scm 337 */
 long BgL_odepthz00_1472;
{ /* Llib/avahi.scm 337 */
 obj_t BgL_arg1824z00_1473;
BgL_arg1824z00_1473 = 
(BgL_oclassz00_1470); 
BgL_odepthz00_1472 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1473); } 
if(
(3L<BgL_odepthz00_1472))
{ /* Llib/avahi.scm 337 */
 obj_t BgL_arg1822z00_1475;
{ /* Llib/avahi.scm 337 */
 obj_t BgL_arg1823z00_1476;
BgL_arg1823z00_1476 = 
(BgL_oclassz00_1470); 
BgL_arg1822z00_1475 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1476, 3L); } 
BgL_res2342z00_1487 = 
(BgL_arg1822z00_1475==BgL_classz00_1454); }  else 
{ /* Llib/avahi.scm 337 */
BgL_res2342z00_1487 = ((bool_t)0); } } } } 
BgL_test3009z00_3620 = BgL_res2342z00_1487; } } } 
if(BgL_test3009z00_3620)
{ /* Llib/avahi.scm 337 */
{ /* Llib/avahi.scm 405 */
 AvahiSimplePoll * BgL_arg1376z00_1490;
BgL_arg1376z00_1490 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_16)))->BgL_z42builtinz42); 
avahi_simple_poll_quit(BgL_arg1376z00_1490); BUNSPEC; } 
return 
((obj_t)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_16));}  else 
{ /* Llib/avahi.scm 337 */
{ /* Llib/avahi.scm 467 */
 AvahiThreadedPoll * BgL_arg1386z00_1493;
BgL_arg1386z00_1493 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_16)))->BgL_z42builtinz42); 
avahi_threaded_poll_stop(BgL_arg1386z00_1493); BUNSPEC; } 
return 
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_16));} } } 

}



/* &avahi-poll-quit */
obj_t BGl_z62avahizd2pollzd2quitz62zz__avahi_avahiz00(obj_t BgL_envz00_2140, obj_t BgL_oz00_2141)
{
{ /* Llib/avahi.scm 336 */
{ /* Llib/avahi.scm 337 */
 BgL_avahizd2pollzd2_bglt BgL_auxz00_3653;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2141, BGl_avahizd2pollzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 337 */
BgL_auxz00_3653 = 
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2141)
; }  else 
{ 
 obj_t BgL_auxz00_3657;
BgL_auxz00_3657 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(14116L), BGl_string2447z00zz__avahi_avahiz00, BGl_string2445z00zz__avahi_avahiz00, BgL_oz00_2141); 
FAILURE(BgL_auxz00_3657,BFALSE,BFALSE);} 
return 
BGl_avahizd2pollzd2quitz00zz__avahi_avahiz00(BgL_auxz00_3653);} } 

}



/* avahi-poll-timeout */
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2timeoutz00zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt BgL_oz00_17, long BgL_tz00_18, obj_t BgL_procz00_19)
{
{ /* Llib/avahi.scm 344 */
{ /* Llib/avahi.scm 345 */
 bool_t BgL_test3014z00_3662;
{ /* Llib/avahi.scm 345 */
 obj_t BgL_classz00_1495;
BgL_classz00_1495 = BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 345 */
 BgL_objectz00_bglt BgL_arg1827z00_1497;
{ /* Llib/avahi.scm 345 */
 obj_t BgL_tmpz00_3663;
BgL_tmpz00_3663 = 
((obj_t)BgL_oz00_17); 
BgL_arg1827z00_1497 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3663); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 345 */
 long BgL_idxz00_1503;
BgL_idxz00_1503 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1497); 
BgL_test3014z00_3662 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1503+3L))==BgL_classz00_1495); }  else 
{ /* Llib/avahi.scm 345 */
 bool_t BgL_res2343z00_1528;
{ /* Llib/avahi.scm 345 */
 obj_t BgL_oclassz00_1511;
{ /* Llib/avahi.scm 345 */
 obj_t BgL_arg1834z00_1519; long BgL_arg1835z00_1520;
BgL_arg1834z00_1519 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/avahi.scm 345 */
 long BgL_arg1836z00_1521;
BgL_arg1836z00_1521 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1497); 
BgL_arg1835z00_1520 = 
(BgL_arg1836z00_1521-OBJECT_TYPE); } 
BgL_oclassz00_1511 = 
VECTOR_REF(BgL_arg1834z00_1519,BgL_arg1835z00_1520); } 
{ /* Llib/avahi.scm 345 */
 bool_t BgL__ortest_1114z00_1512;
BgL__ortest_1114z00_1512 = 
(BgL_classz00_1495==BgL_oclassz00_1511); 
if(BgL__ortest_1114z00_1512)
{ /* Llib/avahi.scm 345 */
BgL_res2343z00_1528 = BgL__ortest_1114z00_1512; }  else 
{ /* Llib/avahi.scm 345 */
 long BgL_odepthz00_1513;
{ /* Llib/avahi.scm 345 */
 obj_t BgL_arg1824z00_1514;
BgL_arg1824z00_1514 = 
(BgL_oclassz00_1511); 
BgL_odepthz00_1513 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1514); } 
if(
(3L<BgL_odepthz00_1513))
{ /* Llib/avahi.scm 345 */
 obj_t BgL_arg1822z00_1516;
{ /* Llib/avahi.scm 345 */
 obj_t BgL_arg1823z00_1517;
BgL_arg1823z00_1517 = 
(BgL_oclassz00_1511); 
BgL_arg1822z00_1516 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1517, 3L); } 
BgL_res2343z00_1528 = 
(BgL_arg1822z00_1516==BgL_classz00_1495); }  else 
{ /* Llib/avahi.scm 345 */
BgL_res2343z00_1528 = ((bool_t)0); } } } } 
BgL_test3014z00_3662 = BgL_res2343z00_1528; } } } 
if(BgL_test3014z00_3662)
{ /* Llib/avahi.scm 345 */
return 
BGl_avahizd2simplezd2pollzd2timeoutzd2zz__avahi_avahiz00(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_17), BgL_tz00_18, BgL_procz00_19);}  else 
{ /* Llib/avahi.scm 345 */
return 
BGl_avahizd2threadedzd2pollzd2timeoutzd2zz__avahi_avahiz00(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_17), BgL_tz00_18, BgL_procz00_19);} } } 

}



/* &avahi-poll-timeout */
obj_t BGl_z62avahizd2pollzd2timeoutz62zz__avahi_avahiz00(obj_t BgL_envz00_2142, obj_t BgL_oz00_2143, obj_t BgL_tz00_2144, obj_t BgL_procz00_2145)
{
{ /* Llib/avahi.scm 344 */
{ /* Llib/avahi.scm 345 */
 obj_t BgL_auxz00_3706; long BgL_auxz00_3697; BgL_avahizd2pollzd2_bglt BgL_auxz00_3689;
if(
PROCEDUREP(BgL_procz00_2145))
{ /* Llib/avahi.scm 345 */
BgL_auxz00_3706 = BgL_procz00_2145
; }  else 
{ 
 obj_t BgL_auxz00_3709;
BgL_auxz00_3709 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(14519L), BGl_string2448z00zz__avahi_avahiz00, BGl_string2449z00zz__avahi_avahiz00, BgL_procz00_2145); 
FAILURE(BgL_auxz00_3709,BFALSE,BFALSE);} 
{ /* Llib/avahi.scm 345 */
 obj_t BgL_tmpz00_3698;
if(
INTEGERP(BgL_tz00_2144))
{ /* Llib/avahi.scm 345 */
BgL_tmpz00_3698 = BgL_tz00_2144
; }  else 
{ 
 obj_t BgL_auxz00_3701;
BgL_auxz00_3701 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(14519L), BGl_string2448z00zz__avahi_avahiz00, BGl_string2442z00zz__avahi_avahiz00, BgL_tz00_2144); 
FAILURE(BgL_auxz00_3701,BFALSE,BFALSE);} 
BgL_auxz00_3697 = 
(long)CINT(BgL_tmpz00_3698); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2143, BGl_avahizd2pollzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 345 */
BgL_auxz00_3689 = 
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2143)
; }  else 
{ 
 obj_t BgL_auxz00_3693;
BgL_auxz00_3693 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(14519L), BGl_string2448z00zz__avahi_avahiz00, BGl_string2445z00zz__avahi_avahiz00, BgL_oz00_2143); 
FAILURE(BgL_auxz00_3693,BFALSE,BFALSE);} 
return 
BGl_avahizd2pollzd2timeoutz00zz__avahi_avahiz00(BgL_auxz00_3689, BgL_auxz00_3697, BgL_auxz00_3706);} } 

}



/* avahi-poll-lock! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2lockz12z12zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt BgL_oz00_20)
{
{ /* Llib/avahi.scm 352 */
{ /* Llib/avahi.scm 353 */
 bool_t BgL_test3021z00_3714;
{ /* Llib/avahi.scm 353 */
 obj_t BgL_classz00_1530;
BgL_classz00_1530 = BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 353 */
 BgL_objectz00_bglt BgL_arg1827z00_1532;
{ /* Llib/avahi.scm 353 */
 obj_t BgL_tmpz00_3715;
BgL_tmpz00_3715 = 
((obj_t)BgL_oz00_20); 
BgL_arg1827z00_1532 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3715); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 353 */
 long BgL_idxz00_1538;
BgL_idxz00_1538 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1532); 
BgL_test3021z00_3714 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1538+3L))==BgL_classz00_1530); }  else 
{ /* Llib/avahi.scm 353 */
 bool_t BgL_res2344z00_1563;
{ /* Llib/avahi.scm 353 */
 obj_t BgL_oclassz00_1546;
{ /* Llib/avahi.scm 353 */
 obj_t BgL_arg1834z00_1554; long BgL_arg1835z00_1555;
BgL_arg1834z00_1554 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/avahi.scm 353 */
 long BgL_arg1836z00_1556;
BgL_arg1836z00_1556 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1532); 
BgL_arg1835z00_1555 = 
(BgL_arg1836z00_1556-OBJECT_TYPE); } 
BgL_oclassz00_1546 = 
VECTOR_REF(BgL_arg1834z00_1554,BgL_arg1835z00_1555); } 
{ /* Llib/avahi.scm 353 */
 bool_t BgL__ortest_1114z00_1547;
BgL__ortest_1114z00_1547 = 
(BgL_classz00_1530==BgL_oclassz00_1546); 
if(BgL__ortest_1114z00_1547)
{ /* Llib/avahi.scm 353 */
BgL_res2344z00_1563 = BgL__ortest_1114z00_1547; }  else 
{ /* Llib/avahi.scm 353 */
 long BgL_odepthz00_1548;
{ /* Llib/avahi.scm 353 */
 obj_t BgL_arg1824z00_1549;
BgL_arg1824z00_1549 = 
(BgL_oclassz00_1546); 
BgL_odepthz00_1548 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1549); } 
if(
(3L<BgL_odepthz00_1548))
{ /* Llib/avahi.scm 353 */
 obj_t BgL_arg1822z00_1551;
{ /* Llib/avahi.scm 353 */
 obj_t BgL_arg1823z00_1552;
BgL_arg1823z00_1552 = 
(BgL_oclassz00_1546); 
BgL_arg1822z00_1551 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1552, 3L); } 
BgL_res2344z00_1563 = 
(BgL_arg1822z00_1551==BgL_classz00_1530); }  else 
{ /* Llib/avahi.scm 353 */
BgL_res2344z00_1563 = ((bool_t)0); } } } } 
BgL_test3021z00_3714 = BgL_res2344z00_1563; } } } 
if(BgL_test3021z00_3714)
{ /* Llib/avahi.scm 353 */
{ /* Llib/avahi.scm 440 */
 AvahiThreadedPoll * BgL_arg1381z00_1566;
BgL_arg1381z00_1566 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_20)))->BgL_z42builtinz42); 
avahi_threaded_poll_lock(BgL_arg1381z00_1566); BUNSPEC; } 
return 
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_20));}  else 
{ /* Llib/avahi.scm 353 */
return BFALSE;} } } 

}



/* &avahi-poll-lock! */
obj_t BGl_z62avahizd2pollzd2lockz12z70zz__avahi_avahiz00(obj_t BgL_envz00_2146, obj_t BgL_oz00_2147)
{
{ /* Llib/avahi.scm 352 */
{ /* Llib/avahi.scm 353 */
 BgL_avahizd2pollzd2_bglt BgL_auxz00_3742;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2147, BGl_avahizd2pollzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 353 */
BgL_auxz00_3742 = 
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2147)
; }  else 
{ 
 obj_t BgL_auxz00_3746;
BgL_auxz00_3746 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(14916L), BGl_string2450z00zz__avahi_avahiz00, BGl_string2445z00zz__avahi_avahiz00, BgL_oz00_2147); 
FAILURE(BgL_auxz00_3746,BFALSE,BFALSE);} 
return 
BGl_avahizd2pollzd2lockz12z12zz__avahi_avahiz00(BgL_auxz00_3742);} } 

}



/* avahi-poll-unlock! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2pollzd2unlockz12z12zz__avahi_avahiz00(BgL_avahizd2pollzd2_bglt BgL_oz00_21)
{
{ /* Llib/avahi.scm 359 */
{ /* Llib/avahi.scm 360 */
 bool_t BgL_test3026z00_3751;
{ /* Llib/avahi.scm 360 */
 obj_t BgL_classz00_1568;
BgL_classz00_1568 = BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 360 */
 BgL_objectz00_bglt BgL_arg1827z00_1570;
{ /* Llib/avahi.scm 360 */
 obj_t BgL_tmpz00_3752;
BgL_tmpz00_3752 = 
((obj_t)BgL_oz00_21); 
BgL_arg1827z00_1570 = 
(BgL_objectz00_bglt)(BgL_tmpz00_3752); } 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 360 */
 long BgL_idxz00_1576;
BgL_idxz00_1576 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1570); 
BgL_test3026z00_3751 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1576+3L))==BgL_classz00_1568); }  else 
{ /* Llib/avahi.scm 360 */
 bool_t BgL_res2345z00_1601;
{ /* Llib/avahi.scm 360 */
 obj_t BgL_oclassz00_1584;
{ /* Llib/avahi.scm 360 */
 obj_t BgL_arg1834z00_1592; long BgL_arg1835z00_1593;
BgL_arg1834z00_1592 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/avahi.scm 360 */
 long BgL_arg1836z00_1594;
BgL_arg1836z00_1594 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1570); 
BgL_arg1835z00_1593 = 
(BgL_arg1836z00_1594-OBJECT_TYPE); } 
BgL_oclassz00_1584 = 
VECTOR_REF(BgL_arg1834z00_1592,BgL_arg1835z00_1593); } 
{ /* Llib/avahi.scm 360 */
 bool_t BgL__ortest_1114z00_1585;
BgL__ortest_1114z00_1585 = 
(BgL_classz00_1568==BgL_oclassz00_1584); 
if(BgL__ortest_1114z00_1585)
{ /* Llib/avahi.scm 360 */
BgL_res2345z00_1601 = BgL__ortest_1114z00_1585; }  else 
{ /* Llib/avahi.scm 360 */
 long BgL_odepthz00_1586;
{ /* Llib/avahi.scm 360 */
 obj_t BgL_arg1824z00_1587;
BgL_arg1824z00_1587 = 
(BgL_oclassz00_1584); 
BgL_odepthz00_1586 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1587); } 
if(
(3L<BgL_odepthz00_1586))
{ /* Llib/avahi.scm 360 */
 obj_t BgL_arg1822z00_1589;
{ /* Llib/avahi.scm 360 */
 obj_t BgL_arg1823z00_1590;
BgL_arg1823z00_1590 = 
(BgL_oclassz00_1584); 
BgL_arg1822z00_1589 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1590, 3L); } 
BgL_res2345z00_1601 = 
(BgL_arg1822z00_1589==BgL_classz00_1568); }  else 
{ /* Llib/avahi.scm 360 */
BgL_res2345z00_1601 = ((bool_t)0); } } } } 
BgL_test3026z00_3751 = BgL_res2345z00_1601; } } } 
if(BgL_test3026z00_3751)
{ /* Llib/avahi.scm 360 */
{ /* Llib/avahi.scm 448 */
 AvahiThreadedPoll * BgL_arg1382z00_1604;
BgL_arg1382z00_1604 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_21)))->BgL_z42builtinz42); 
avahi_threaded_poll_unlock(BgL_arg1382z00_1604); BUNSPEC; } 
return 
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_21));}  else 
{ /* Llib/avahi.scm 360 */
return BFALSE;} } } 

}



/* &avahi-poll-unlock! */
obj_t BGl_z62avahizd2pollzd2unlockz12z70zz__avahi_avahiz00(obj_t BgL_envz00_2148, obj_t BgL_oz00_2149)
{
{ /* Llib/avahi.scm 359 */
{ /* Llib/avahi.scm 360 */
 BgL_avahizd2pollzd2_bglt BgL_auxz00_3779;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2149, BGl_avahizd2pollzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 360 */
BgL_auxz00_3779 = 
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2149)
; }  else 
{ 
 obj_t BgL_auxz00_3783;
BgL_auxz00_3783 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(15265L), BGl_string2451z00zz__avahi_avahiz00, BGl_string2445z00zz__avahi_avahiz00, BgL_oz00_2149); 
FAILURE(BgL_auxz00_3783,BFALSE,BFALSE);} 
return 
BGl_avahizd2pollzd2unlockz12z12zz__avahi_avahiz00(BgL_auxz00_3779);} } 

}



/* avahi-simple-poll-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_23)
{
{ /* Llib/avahi.scm 376 */
bgl_avahi_simple_poll_close(BgL_oz00_23); BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_23)); 
return BUNSPEC;} 

}



/* &avahi-simple-poll-close */
obj_t BGl_z62avahizd2simplezd2pollzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_2150, obj_t BgL_oz00_2151)
{
{ /* Llib/avahi.scm 376 */
{ /* Llib/avahi.scm 377 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3791;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2151, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 377 */
BgL_auxz00_3791 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2151)
; }  else 
{ 
 obj_t BgL_auxz00_3795;
BgL_auxz00_3795 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(16062L), BGl_string2452z00zz__avahi_avahiz00, BGl_string2453z00zz__avahi_avahiz00, BgL_oz00_2151); 
FAILURE(BgL_auxz00_3795,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2closezd2zz__avahi_avahiz00(BgL_auxz00_3791);} } 

}



/* avahi-simple-poll-loop */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_24)
{
{ /* Llib/avahi.scm 384 */
{ /* Llib/avahi.scm 386 */
 AvahiSimplePoll * BgL_arg1370z00_1606;
BgL_arg1370z00_1606 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_oz00_24))->BgL_z42builtinz42); 
avahi_simple_poll_loop(BgL_arg1370z00_1606); BUNSPEC; } 
return 
((obj_t)BgL_oz00_24);} 

}



/* &avahi-simple-poll-loop */
obj_t BGl_z62avahizd2simplezd2pollzd2loopzb0zz__avahi_avahiz00(obj_t BgL_envz00_2152, obj_t BgL_oz00_2153)
{
{ /* Llib/avahi.scm 384 */
{ /* Llib/avahi.scm 385 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3803;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2153, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 385 */
BgL_auxz00_3803 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2153)
; }  else 
{ 
 obj_t BgL_auxz00_3807;
BgL_auxz00_3807 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(16385L), BGl_string2454z00zz__avahi_avahiz00, BGl_string2453z00zz__avahi_avahiz00, BgL_oz00_2153); 
FAILURE(BgL_auxz00_3807,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2loopzd2zz__avahi_avahiz00(BgL_auxz00_3803);} } 

}



/* avahi-simple-poll-timeout */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_25, long BgL_tz00_26, obj_t BgL_procz00_27)
{
{ /* Llib/avahi.scm 392 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_procz00_27, 
(int)(0L)))
{ /* Llib/avahi.scm 393 */
{ 
 obj_t BgL_auxz00_3815;
{ /* Llib/avahi.scm 395 */
 obj_t BgL_arg1373z00_118;
BgL_arg1373z00_118 = 
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_25)))->BgL_z52procsz52); 
BgL_auxz00_3815 = 
MAKE_YOUNG_PAIR(BgL_procz00_27, BgL_arg1373z00_118); } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_25)))->BgL_z52procsz52)=((obj_t)BgL_auxz00_3815),BUNSPEC); } 
{ /* Llib/avahi.scm 396 */
 AvahiSimplePoll * BgL_arg1374z00_119;
BgL_arg1374z00_119 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_oz00_25))->BgL_z42builtinz42); 
{ /* Llib/avahi.scm 396 */
 long BgL_tmpz00_3822;
BgL_tmpz00_3822 = 
(long)(BgL_tz00_26); 
bgl_avahi_simple_poll_timeout(BgL_arg1374z00_119, BgL_tmpz00_3822, BgL_procz00_27, BgL_oz00_25); } 
return BUNSPEC;} }  else 
{ /* Llib/avahi.scm 397 */
 char * BgL_procz00_1607; char * BgL_msgz00_1608;
BgL_procz00_1607 = 
BSTRING_TO_STRING(BGl_string2455z00zz__avahi_avahiz00); 
BgL_msgz00_1608 = 
BSTRING_TO_STRING(BGl_string2456z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1337z00_1610;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_1611;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_1612;
BgL_new1142z00_1612 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1355z00_1613;
BgL_arg1355z00_1613 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_1612), BgL_arg1355z00_1613); } 
BgL_new1143z00_1611 = BgL_new1142z00_1612; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1611)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1611)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3835;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1353z00_1617;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1354z00_1618;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_1619;
BgL_classz00_1619 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1354z00_1618 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1619); } 
BgL_arg1353z00_1617 = 
VECTOR_REF(BgL_arg1354z00_1618,2L); } 
BgL_auxz00_3835 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1353z00_1617); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1611)))->BgL_stackz00)=((obj_t)BgL_auxz00_3835),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1611)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_1607)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1611)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_1608)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1611)))->BgL_objz00)=((obj_t)BgL_procz00_27),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_1611))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1337z00_1610 = BgL_new1143z00_1611; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1337z00_1610));} } } 

}



/* &avahi-simple-poll-timeout */
obj_t BGl_z62avahizd2simplezd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t BgL_envz00_2154, obj_t BgL_oz00_2155, obj_t BgL_tz00_2156, obj_t BgL_procz00_2157)
{
{ /* Llib/avahi.scm 392 */
{ /* Llib/avahi.scm 393 */
 obj_t BgL_auxz00_3869; long BgL_auxz00_3860; BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3852;
if(
PROCEDUREP(BgL_procz00_2157))
{ /* Llib/avahi.scm 393 */
BgL_auxz00_3869 = BgL_procz00_2157
; }  else 
{ 
 obj_t BgL_auxz00_3872;
BgL_auxz00_3872 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(16788L), BGl_string2457z00zz__avahi_avahiz00, BGl_string2449z00zz__avahi_avahiz00, BgL_procz00_2157); 
FAILURE(BgL_auxz00_3872,BFALSE,BFALSE);} 
{ /* Llib/avahi.scm 393 */
 obj_t BgL_tmpz00_3861;
if(
INTEGERP(BgL_tz00_2156))
{ /* Llib/avahi.scm 393 */
BgL_tmpz00_3861 = BgL_tz00_2156
; }  else 
{ 
 obj_t BgL_auxz00_3864;
BgL_auxz00_3864 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(16788L), BGl_string2457z00zz__avahi_avahiz00, BGl_string2442z00zz__avahi_avahiz00, BgL_tz00_2156); 
FAILURE(BgL_auxz00_3864,BFALSE,BFALSE);} 
BgL_auxz00_3860 = 
(long)CINT(BgL_tmpz00_3861); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2155, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 393 */
BgL_auxz00_3852 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2155)
; }  else 
{ 
 obj_t BgL_auxz00_3856;
BgL_auxz00_3856 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(16788L), BGl_string2457z00zz__avahi_avahiz00, BGl_string2453z00zz__avahi_avahiz00, BgL_oz00_2155); 
FAILURE(BgL_auxz00_3856,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_auxz00_3852, BgL_auxz00_3860, BgL_auxz00_3869);} } 

}



/* avahi-simple-poll-quit */
BGL_EXPORTED_DEF obj_t BGl_avahizd2simplezd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2simplezd2pollz00_bglt BgL_oz00_28)
{
{ /* Llib/avahi.scm 403 */
{ /* Llib/avahi.scm 405 */
 AvahiSimplePoll * BgL_arg1376z00_1622;
BgL_arg1376z00_1622 = 
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_oz00_28))->BgL_z42builtinz42); 
avahi_simple_poll_quit(BgL_arg1376z00_1622); BUNSPEC; } 
return 
((obj_t)BgL_oz00_28);} 

}



/* &avahi-simple-poll-quit */
obj_t BGl_z62avahizd2simplezd2pollzd2quitzb0zz__avahi_avahiz00(obj_t BgL_envz00_2158, obj_t BgL_oz00_2159)
{
{ /* Llib/avahi.scm 403 */
{ /* Llib/avahi.scm 404 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_3880;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2159, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 404 */
BgL_auxz00_3880 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2159)
; }  else 
{ 
 obj_t BgL_auxz00_3884;
BgL_auxz00_3884 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(17350L), BGl_string2458z00zz__avahi_avahiz00, BGl_string2453z00zz__avahi_avahiz00, BgL_oz00_2159); 
FAILURE(BgL_auxz00_3884,BFALSE,BFALSE);} 
return 
BGl_avahizd2simplezd2pollzd2quitzd2zz__avahi_avahiz00(BgL_auxz00_3880);} } 

}



/* avahi-threaded-poll-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2closezd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_30)
{
{ /* Llib/avahi.scm 422 */
bgl_avahi_threaded_poll_close(BgL_oz00_30); BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_30)); 
return BUNSPEC;} 

}



/* &avahi-threaded-poll-close */
obj_t BGl_z62avahizd2threadedzd2pollzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_2160, obj_t BgL_oz00_2161)
{
{ /* Llib/avahi.scm 422 */
{ /* Llib/avahi.scm 423 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3892;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2161, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 423 */
BgL_auxz00_3892 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2161)
; }  else 
{ 
 obj_t BgL_auxz00_3896;
BgL_auxz00_3896 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(18198L), BGl_string2459z00zz__avahi_avahiz00, BGl_string2460z00zz__avahi_avahiz00, BgL_oz00_2161); 
FAILURE(BgL_auxz00_3896,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2closezd2zz__avahi_avahiz00(BgL_auxz00_3892);} } 

}



/* avahi-threaded-poll-loop */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2loopzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_31)
{
{ /* Llib/avahi.scm 430 */
{ /* Llib/avahi.scm 432 */
 AvahiThreadedPoll * BgL_arg1377z00_1624;
BgL_arg1377z00_1624 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_31))->BgL_z42builtinz42); 
avahi_threaded_poll_start(BgL_arg1377z00_1624); BUNSPEC; } 
return 
((obj_t)BgL_oz00_31);} 

}



/* &avahi-threaded-poll-loop */
obj_t BGl_z62avahizd2threadedzd2pollzd2loopzb0zz__avahi_avahiz00(obj_t BgL_envz00_2162, obj_t BgL_oz00_2163)
{
{ /* Llib/avahi.scm 430 */
{ /* Llib/avahi.scm 431 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3904;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2163, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 431 */
BgL_auxz00_3904 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2163)
; }  else 
{ 
 obj_t BgL_auxz00_3908;
BgL_auxz00_3908 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(18525L), BGl_string2461z00zz__avahi_avahiz00, BGl_string2460z00zz__avahi_avahiz00, BgL_oz00_2163); 
FAILURE(BgL_auxz00_3908,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2loopzd2zz__avahi_avahiz00(BgL_auxz00_3904);} } 

}



/* avahi-threaded-poll-lock! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2lockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_32)
{
{ /* Llib/avahi.scm 438 */
{ /* Llib/avahi.scm 440 */
 AvahiThreadedPoll * BgL_arg1381z00_1626;
BgL_arg1381z00_1626 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_32))->BgL_z42builtinz42); 
avahi_threaded_poll_lock(BgL_arg1381z00_1626); BUNSPEC; } 
return 
((obj_t)BgL_oz00_32);} 

}



/* &avahi-threaded-poll-lock! */
obj_t BGl_z62avahizd2threadedzd2pollzd2lockz12za2zz__avahi_avahiz00(obj_t BgL_envz00_2164, obj_t BgL_oz00_2165)
{
{ /* Llib/avahi.scm 438 */
{ /* Llib/avahi.scm 439 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3916;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2165, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 439 */
BgL_auxz00_3916 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2165)
; }  else 
{ 
 obj_t BgL_auxz00_3920;
BgL_auxz00_3920 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(18910L), BGl_string2462z00zz__avahi_avahiz00, BGl_string2460z00zz__avahi_avahiz00, BgL_oz00_2165); 
FAILURE(BgL_auxz00_3920,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2lockz12zc0zz__avahi_avahiz00(BgL_auxz00_3916);} } 

}



/* avahi-threaded-poll-unlock! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2unlockz12zc0zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_33)
{
{ /* Llib/avahi.scm 446 */
{ /* Llib/avahi.scm 448 */
 AvahiThreadedPoll * BgL_arg1382z00_1628;
BgL_arg1382z00_1628 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_33))->BgL_z42builtinz42); 
avahi_threaded_poll_unlock(BgL_arg1382z00_1628); BUNSPEC; } 
return 
((obj_t)BgL_oz00_33);} 

}



/* &avahi-threaded-poll-unlock! */
obj_t BGl_z62avahizd2threadedzd2pollzd2unlockz12za2zz__avahi_avahiz00(obj_t BgL_envz00_2166, obj_t BgL_oz00_2167)
{
{ /* Llib/avahi.scm 446 */
{ /* Llib/avahi.scm 447 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3928;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2167, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 447 */
BgL_auxz00_3928 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2167)
; }  else 
{ 
 obj_t BgL_auxz00_3932;
BgL_auxz00_3932 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(19297L), BGl_string2463z00zz__avahi_avahiz00, BGl_string2460z00zz__avahi_avahiz00, BgL_oz00_2167); 
FAILURE(BgL_auxz00_3932,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2unlockz12zc0zz__avahi_avahiz00(BgL_auxz00_3928);} } 

}



/* avahi-threaded-poll-timeout */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_34, long BgL_tz00_35, obj_t BgL_procz00_36)
{
{ /* Llib/avahi.scm 454 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_procz00_36, 
(int)(0L)))
{ /* Llib/avahi.scm 455 */
{ 
 obj_t BgL_auxz00_3940;
{ /* Llib/avahi.scm 457 */
 obj_t BgL_arg1384z00_129;
BgL_arg1384z00_129 = 
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_34)))->BgL_z52procsz52); 
BgL_auxz00_3940 = 
MAKE_YOUNG_PAIR(BgL_procz00_36, BgL_arg1384z00_129); } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_34)))->BgL_z52procsz52)=((obj_t)BgL_auxz00_3940),BUNSPEC); } 
{ /* Llib/avahi.scm 458 */
 AvahiThreadedPoll * BgL_arg1385z00_130;
BgL_arg1385z00_130 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_34))->BgL_z42builtinz42); 
{ /* Llib/avahi.scm 458 */
 long BgL_tmpz00_3947;
BgL_tmpz00_3947 = 
(long)(BgL_tz00_35); 
bgl_avahi_threaded_poll_timeout(BgL_arg1385z00_130, BgL_tmpz00_3947, BgL_procz00_36, BgL_oz00_34); } 
return BUNSPEC;} }  else 
{ /* Llib/avahi.scm 459 */
 char * BgL_procz00_1629; char * BgL_msgz00_1630;
BgL_procz00_1629 = 
BSTRING_TO_STRING(BGl_string2464z00zz__avahi_avahiz00); 
BgL_msgz00_1630 = 
BSTRING_TO_STRING(BGl_string2456z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1337z00_1632;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_1633;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_1634;
BgL_new1142z00_1634 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1355z00_1635;
BgL_arg1355z00_1635 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_1634), BgL_arg1355z00_1635); } 
BgL_new1143z00_1633 = BgL_new1142z00_1634; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1633)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1633)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_3960;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1353z00_1639;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1354z00_1640;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_1641;
BgL_classz00_1641 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1354z00_1640 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1641); } 
BgL_arg1353z00_1639 = 
VECTOR_REF(BgL_arg1354z00_1640,2L); } 
BgL_auxz00_3960 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1353z00_1639); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1633)))->BgL_stackz00)=((obj_t)BgL_auxz00_3960),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1633)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_1629)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1633)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_1630)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1633)))->BgL_objz00)=((obj_t)BgL_procz00_36),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_1633))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1337z00_1632 = BgL_new1143z00_1633; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1337z00_1632));} } } 

}



/* &avahi-threaded-poll-timeout */
obj_t BGl_z62avahizd2threadedzd2pollzd2timeoutzb0zz__avahi_avahiz00(obj_t BgL_envz00_2168, obj_t BgL_oz00_2169, obj_t BgL_tz00_2170, obj_t BgL_procz00_2171)
{
{ /* Llib/avahi.scm 454 */
{ /* Llib/avahi.scm 455 */
 obj_t BgL_auxz00_3994; long BgL_auxz00_3985; BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_3977;
if(
PROCEDUREP(BgL_procz00_2171))
{ /* Llib/avahi.scm 455 */
BgL_auxz00_3994 = BgL_procz00_2171
; }  else 
{ 
 obj_t BgL_auxz00_3997;
BgL_auxz00_3997 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(19710L), BGl_string2465z00zz__avahi_avahiz00, BGl_string2449z00zz__avahi_avahiz00, BgL_procz00_2171); 
FAILURE(BgL_auxz00_3997,BFALSE,BFALSE);} 
{ /* Llib/avahi.scm 455 */
 obj_t BgL_tmpz00_3986;
if(
INTEGERP(BgL_tz00_2170))
{ /* Llib/avahi.scm 455 */
BgL_tmpz00_3986 = BgL_tz00_2170
; }  else 
{ 
 obj_t BgL_auxz00_3989;
BgL_auxz00_3989 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(19710L), BGl_string2465z00zz__avahi_avahiz00, BGl_string2442z00zz__avahi_avahiz00, BgL_tz00_2170); 
FAILURE(BgL_auxz00_3989,BFALSE,BFALSE);} 
BgL_auxz00_3985 = 
(long)CINT(BgL_tmpz00_3986); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2169, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 455 */
BgL_auxz00_3977 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2169)
; }  else 
{ 
 obj_t BgL_auxz00_3981;
BgL_auxz00_3981 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(19710L), BGl_string2465z00zz__avahi_avahiz00, BGl_string2460z00zz__avahi_avahiz00, BgL_oz00_2169); 
FAILURE(BgL_auxz00_3981,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2timeoutzd2zz__avahi_avahiz00(BgL_auxz00_3977, BgL_auxz00_3985, BgL_auxz00_3994);} } 

}



/* avahi-threaded-poll-quit */
BGL_EXPORTED_DEF obj_t BGl_avahizd2threadedzd2pollzd2quitzd2zz__avahi_avahiz00(BgL_avahizd2threadedzd2pollz00_bglt BgL_oz00_37)
{
{ /* Llib/avahi.scm 465 */
{ /* Llib/avahi.scm 467 */
 AvahiThreadedPoll * BgL_arg1386z00_1644;
BgL_arg1386z00_1644 = 
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_oz00_37))->BgL_z42builtinz42); 
avahi_threaded_poll_stop(BgL_arg1386z00_1644); BUNSPEC; } 
return 
((obj_t)BgL_oz00_37);} 

}



/* &avahi-threaded-poll-quit */
obj_t BGl_z62avahizd2threadedzd2pollzd2quitzb0zz__avahi_avahiz00(obj_t BgL_envz00_2172, obj_t BgL_oz00_2173)
{
{ /* Llib/avahi.scm 465 */
{ /* Llib/avahi.scm 466 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_4005;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2173, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 466 */
BgL_auxz00_4005 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2173)
; }  else 
{ 
 obj_t BgL_auxz00_4009;
BgL_auxz00_4009 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(20282L), BGl_string2466z00zz__avahi_avahiz00, BGl_string2460z00zz__avahi_avahiz00, BgL_oz00_2173); 
FAILURE(BgL_auxz00_4009,BFALSE,BFALSE);} 
return 
BGl_avahizd2threadedzd2pollzd2quitzd2zz__avahi_avahiz00(BgL_auxz00_4005);} } 

}



/* avahi-client-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2clientzd2closez00zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt BgL_oz00_39)
{
{ /* Llib/avahi.scm 485 */
bgl_avahi_client_close(BgL_oz00_39); BUNSPEC; 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_39))->BgL_z52groupsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_39))->BgL_z52browsersz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_39))->BgL_resolversz00)=((obj_t)BNIL),BUNSPEC); 
return 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_39));} 

}



/* &avahi-client-close */
obj_t BGl_z62avahizd2clientzd2closez62zz__avahi_avahiz00(obj_t BgL_envz00_2174, obj_t BgL_oz00_2175)
{
{ /* Llib/avahi.scm 485 */
{ /* Llib/avahi.scm 486 */
 BgL_avahizd2clientzd2_bglt BgL_auxz00_4020;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2175, BGl_avahizd2clientzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 486 */
BgL_auxz00_4020 = 
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2175)
; }  else 
{ 
 obj_t BgL_auxz00_4024;
BgL_auxz00_4024 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(21183L), BGl_string2467z00zz__avahi_avahiz00, BGl_string2468z00zz__avahi_avahiz00, BgL_oz00_2175); 
FAILURE(BgL_auxz00_4024,BFALSE,BFALSE);} 
return 
BGl_avahizd2clientzd2closez00zz__avahi_avahiz00(BgL_auxz00_4020);} } 

}



/* avahi-client-error-message */
BGL_EXPORTED_DEF obj_t BGl_avahizd2clientzd2errorzd2messagezd2zz__avahi_avahiz00(BgL_avahizd2clientzd2_bglt BgL_oz00_40)
{
{ /* Llib/avahi.scm 496 */
{ /* Llib/avahi.scm 498 */
 int BgL_arg1396z00_1646;
{ /* Llib/avahi.scm 498 */
 AvahiClient * BgL_tmpz00_4029;
BgL_tmpz00_4029 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_oz00_40))->BgL_z42builtinz42); 
BgL_arg1396z00_1646 = 
avahi_client_errno(BgL_tmpz00_4029); } 
return 
string_to_bstring(
(char *)avahi_strerror(BgL_arg1396z00_1646));} } 

}



/* &avahi-client-error-message */
obj_t BGl_z62avahizd2clientzd2errorzd2messagezb0zz__avahi_avahiz00(obj_t BgL_envz00_2176, obj_t BgL_oz00_2177)
{
{ /* Llib/avahi.scm 496 */
{ /* Llib/avahi.scm 497 */
 BgL_avahizd2clientzd2_bglt BgL_auxz00_4034;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2177, BGl_avahizd2clientzd2zz__avahi_avahiz00))
{ /* Llib/avahi.scm 497 */
BgL_auxz00_4034 = 
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2177)
; }  else 
{ 
 obj_t BgL_auxz00_4038;
BgL_auxz00_4038 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(21631L), BGl_string2469z00zz__avahi_avahiz00, BGl_string2468z00zz__avahi_avahiz00, BgL_oz00_2177); 
FAILURE(BgL_auxz00_4038,BFALSE,BFALSE);} 
return 
BGl_avahizd2clientzd2errorzd2messagezd2zz__avahi_avahiz00(BgL_auxz00_4034);} } 

}



/* avahi-client-state->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_client_state_to_symbol(AvahiClientState BgL_statez00_41)
{
{ /* Llib/avahi.scm 503 */
if(
(BgL_statez00_41==AVAHI_CLIENT_S_REGISTERING))
{ /* Llib/avahi.scm 505 */
return 
((obj_t)
CNST_TABLE_REF(3));}  else 
{ /* Llib/avahi.scm 505 */
if(
(BgL_statez00_41==AVAHI_CLIENT_S_RUNNING))
{ /* Llib/avahi.scm 507 */
return 
((obj_t)
CNST_TABLE_REF(4));}  else 
{ /* Llib/avahi.scm 507 */
if(
(BgL_statez00_41==AVAHI_CLIENT_S_COLLISION))
{ /* Llib/avahi.scm 509 */
return 
((obj_t)
CNST_TABLE_REF(5));}  else 
{ /* Llib/avahi.scm 509 */
if(
(BgL_statez00_41==AVAHI_CLIENT_FAILURE))
{ /* Llib/avahi.scm 511 */
return 
((obj_t)
CNST_TABLE_REF(6));}  else 
{ /* Llib/avahi.scm 511 */
if(
(BgL_statez00_41==AVAHI_CLIENT_CONNECTING))
{ /* Llib/avahi.scm 513 */
return 
((obj_t)
CNST_TABLE_REF(7));}  else 
{ /* Llib/avahi.scm 516 */
 char * BgL_procz00_1658; char * BgL_msgz00_1659;
BgL_procz00_1658 = 
BSTRING_TO_STRING(BGl_string2470z00zz__avahi_avahiz00); 
BgL_msgz00_1659 = 
BSTRING_TO_STRING(BGl_string2471z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1337z00_1661;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_1662;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_1663;
BgL_new1142z00_1663 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1355z00_1664;
BgL_arg1355z00_1664 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_1663), BgL_arg1355z00_1664); } 
BgL_new1143z00_1662 = BgL_new1142z00_1663; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1662)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1662)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4073;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1353z00_1668;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1354z00_1669;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_1670;
BgL_classz00_1670 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1354z00_1669 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1670); } 
BgL_arg1353z00_1668 = 
VECTOR_REF(BgL_arg1354z00_1669,2L); } 
BgL_auxz00_4073 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1353z00_1668); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_1662)))->BgL_stackz00)=((obj_t)BgL_auxz00_4073),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1662)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_1658)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1662)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_1659)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_1662)))->BgL_objz00)=((obj_t)
BINT(BgL_statez00_41)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_1662))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1337z00_1661 = BgL_new1143z00_1662; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1337z00_1661));} } } } } } } 

}



/* &avahi-client-state->symbol */
obj_t BGl_z62avahizd2clientzd2statezd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_2178, obj_t BgL_statez00_2179)
{
{ /* Llib/avahi.scm 503 */
{ /* Llib/avahi.scm 505 */
 AvahiClientState BgL_auxz00_4091;
{ /* Llib/avahi.scm 505 */
 obj_t BgL_tmpz00_4092;
if(
INTEGERP(BgL_statez00_2179))
{ /* Llib/avahi.scm 505 */
BgL_tmpz00_4092 = BgL_statez00_2179
; }  else 
{ 
 obj_t BgL_auxz00_4095;
BgL_auxz00_4095 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(22030L), BGl_string2472z00zz__avahi_avahiz00, BGl_string2442z00zz__avahi_avahiz00, BgL_statez00_2179); 
FAILURE(BgL_auxz00_4095,BFALSE,BFALSE);} 
BgL_auxz00_4091 = 
(long)CINT(BgL_tmpz00_4092); } 
return 
bgl_avahi_client_state_to_symbol(BgL_auxz00_4091);} } 

}



/* avahi-entry-group-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2closezd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_43)
{
{ /* Llib/avahi.scm 535 */
bgl_avahi_entry_group_close(BgL_oz00_43); BUNSPEC; 
{ /* Llib/avahi.scm 538 */
 BgL_avahizd2clientzd2_bglt BgL_i1162z00_143;
BgL_i1162z00_143 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_43))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_4103;
{ /* Llib/avahi.scm 539 */
 obj_t BgL_arg1406z00_144;
BgL_arg1406z00_144 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1162z00_143))->BgL_z52groupsz52); 
BgL_auxz00_4103 = 
bgl_remq_bang(
((obj_t)BgL_oz00_43), BgL_arg1406z00_144); } 
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1162z00_143))->BgL_z52groupsz52)=((obj_t)BgL_auxz00_4103),BUNSPEC);} } } 

}



/* &avahi-entry-group-close */
obj_t BGl_z62avahizd2entryzd2groupzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_2180, obj_t BgL_oz00_2181)
{
{ /* Llib/avahi.scm 535 */
{ /* Llib/avahi.scm 536 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_4108;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2181, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 536 */
BgL_auxz00_4108 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2181)
; }  else 
{ 
 obj_t BgL_auxz00_4112;
BgL_auxz00_4112 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(23442L), BGl_string2473z00zz__avahi_avahiz00, BGl_string2474z00zz__avahi_avahiz00, BgL_oz00_2181); 
FAILURE(BgL_auxz00_4112,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2closezd2zz__avahi_avahiz00(BgL_auxz00_4108);} } 

}



/* avahi-entry-group-empty? */
BGL_EXPORTED_DEF bool_t BGl_avahizd2entryzd2groupzd2emptyzf3z21zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_44)
{
{ /* Llib/avahi.scm 544 */
{ /* Llib/avahi.scm 546 */
 AvahiEntryGroup * BgL_arg1409z00_1673;
BgL_arg1409z00_1673 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_44))->BgL_z42builtinz42); 
avahi_entry_group_is_empty(BgL_arg1409z00_1673); 
return ((bool_t)1);} } 

}



/* &avahi-entry-group-empty? */
obj_t BGl_z62avahizd2entryzd2groupzd2emptyzf3z43zz__avahi_avahiz00(obj_t BgL_envz00_2182, obj_t BgL_oz00_2183)
{
{ /* Llib/avahi.scm 544 */
{ /* Llib/avahi.scm 545 */
 bool_t BgL_tmpz00_4119;
{ /* Llib/avahi.scm 545 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_4120;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2183, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 545 */
BgL_auxz00_4120 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2183)
; }  else 
{ 
 obj_t BgL_auxz00_4124;
BgL_auxz00_4124 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(23869L), BGl_string2475z00zz__avahi_avahiz00, BGl_string2474z00zz__avahi_avahiz00, BgL_oz00_2183); 
FAILURE(BgL_auxz00_4124,BFALSE,BFALSE);} 
BgL_tmpz00_4119 = 
BGl_avahizd2entryzd2groupzd2emptyzf3z21zz__avahi_avahiz00(BgL_auxz00_4120); } 
return 
BBOOL(BgL_tmpz00_4119);} } 

}



/* avahi-entry-group-commit */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2commitzd2zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_45)
{
{ /* Llib/avahi.scm 551 */
{ /* Llib/avahi.scm 553 */
 int BgL_nz00_148;
{ /* Llib/avahi.scm 553 */
 AvahiEntryGroup * BgL_tmpz00_4130;
BgL_tmpz00_4130 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_45))->BgL_z42builtinz42); 
BgL_nz00_148 = 
avahi_entry_group_commit(BgL_tmpz00_4130); } 
if(
(
(long)(BgL_nz00_148)>=0L))
{ /* Llib/avahi.scm 554 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 555 */
 char * BgL_arg1445z00_150;
BgL_arg1445z00_150 = 
(char *)avahi_strerror(BgL_nz00_148); 
return 
bgl_avahi_error(
BSTRING_TO_STRING(BGl_string2474z00zz__avahi_avahiz00), BgL_arg1445z00_150, 
((obj_t)BgL_oz00_45), BgL_nz00_148);} } } 

}



/* &avahi-entry-group-commit */
obj_t BGl_z62avahizd2entryzd2groupzd2commitzb0zz__avahi_avahiz00(obj_t BgL_envz00_2184, obj_t BgL_oz00_2185)
{
{ /* Llib/avahi.scm 551 */
{ /* Llib/avahi.scm 552 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_4140;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2185, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 552 */
BgL_auxz00_4140 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2185)
; }  else 
{ 
 obj_t BgL_auxz00_4144;
BgL_auxz00_4144 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(24241L), BGl_string2476z00zz__avahi_avahiz00, BGl_string2474z00zz__avahi_avahiz00, BgL_oz00_2185); 
FAILURE(BgL_auxz00_4144,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2commitzd2zz__avahi_avahiz00(BgL_auxz00_4140);} } 

}



/* avahi-entry-group-reset! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2resetz12zc0zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_46)
{
{ /* Llib/avahi.scm 560 */
{ /* Llib/avahi.scm 562 */
 BgL_avahizd2clientzd2_bglt BgL_i1166z00_153;
BgL_i1166z00_153 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_46))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_4150;
{ /* Llib/avahi.scm 563 */
 obj_t BgL_arg1482z00_154;
BgL_arg1482z00_154 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1166z00_153))->BgL_z52groupsz52); 
BgL_auxz00_4150 = 
bgl_remq_bang(
((obj_t)BgL_oz00_46), BgL_arg1482z00_154); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1166z00_153))->BgL_z52groupsz52)=((obj_t)BgL_auxz00_4150),BUNSPEC); } } 
{ /* Llib/avahi.scm 564 */
 int BgL_nz00_155;
{ /* Llib/avahi.scm 564 */
 AvahiEntryGroup * BgL_tmpz00_4155;
BgL_tmpz00_4155 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_46))->BgL_z42builtinz42); 
BgL_nz00_155 = 
avahi_entry_group_reset(BgL_tmpz00_4155); } 
if(
(
(long)(BgL_nz00_155)>=0L))
{ /* Llib/avahi.scm 565 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 566 */
 char * BgL_arg1570z00_157;
BgL_arg1570z00_157 = 
(char *)avahi_strerror(BgL_nz00_155); 
return 
bgl_avahi_error(
BSTRING_TO_STRING(BGl_string2474z00zz__avahi_avahiz00), BgL_arg1570z00_157, 
((obj_t)BgL_oz00_46), BgL_nz00_155);} } } 

}



/* &avahi-entry-group-reset! */
obj_t BGl_z62avahizd2entryzd2groupzd2resetz12za2zz__avahi_avahiz00(obj_t BgL_envz00_2186, obj_t BgL_oz00_2187)
{
{ /* Llib/avahi.scm 560 */
{ /* Llib/avahi.scm 561 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_4165;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2187, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 561 */
BgL_auxz00_4165 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2187)
; }  else 
{ 
 obj_t BgL_auxz00_4169;
BgL_auxz00_4169 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(24710L), BGl_string2477z00zz__avahi_avahiz00, BGl_string2474z00zz__avahi_avahiz00, BgL_oz00_2187); 
FAILURE(BgL_auxz00_4169,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2resetz12zc0zz__avahi_avahiz00(BgL_auxz00_4165);} } 

}



/* avahi-entry-group-add-service! */
BGL_EXPORTED_DEF obj_t BGl_avahizd2entryzd2groupzd2addzd2servicez12z12zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_47, obj_t BgL_namez00_48)
{
{ /* Llib/avahi.scm 571 */
{ /* Llib/avahi.scm 195 */
 obj_t BgL_namez00_160;
BgL_namez00_160 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_48, 
((obj_t)
CNST_TABLE_REF(8)), BFALSE); 
{ /* Llib/avahi.scm 195 */
 obj_t BgL_typez00_161;
BgL_typez00_161 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_48, 
((obj_t)
CNST_TABLE_REF(9)), BFALSE); 
{ /* Llib/avahi.scm 195 */
 obj_t BgL_domainz00_162;
BgL_domainz00_162 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_48, 
((obj_t)
CNST_TABLE_REF(10)), BFALSE); 
{ /* Llib/avahi.scm 195 */
 obj_t BgL_hostz00_163;
BgL_hostz00_163 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_48, 
((obj_t)
CNST_TABLE_REF(11)), BFALSE); 
{ /* Llib/avahi.scm 195 */
 obj_t BgL_portz00_164;
BgL_portz00_164 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_48, 
((obj_t)
CNST_TABLE_REF(12)), BFALSE); 
{ /* Llib/avahi.scm 195 */
 obj_t BgL_subtypez00_165;
BgL_subtypez00_165 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_namez00_48, 
((obj_t)
CNST_TABLE_REF(13)), BFALSE); 
{ /* Llib/avahi.scm 195 */
 obj_t BgL_txtz00_166;
BgL_txtz00_166 = 
BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(BgL_namez00_48, 
((obj_t)
CNST_TABLE_REF(14))); 
if(
CBOOL(BgL_subtypez00_165))
{ /* Llib/avahi.scm 595 */
 int BgL_arg1578z00_169;
{ /* Llib/avahi.scm 595 */
 AvahiEntryGroup * BgL_arg1582z00_170; obj_t BgL_arg1583z00_171;
BgL_arg1582z00_170 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_47))->BgL_z42builtinz42); 
if(
CBOOL(BgL_domainz00_162))
{ /* Llib/avahi.scm 601 */
BgL_arg1583z00_171 = BgL_domainz00_162; }  else 
{ /* Llib/avahi.scm 601 */
BgL_arg1583z00_171 = 
string_to_bstring(
((char *)0L)); } 
{ /* Llib/avahi.scm 595 */
 char * BgL_auxz00_4208; char * BgL_auxz00_4206; char * BgL_auxz00_4204; char * BgL_tmpz00_4202;
BgL_auxz00_4208 = 
BSTRING_TO_STRING(BgL_subtypez00_165); 
BgL_auxz00_4206 = 
BSTRING_TO_STRING(BgL_arg1583z00_171); 
BgL_auxz00_4204 = 
BSTRING_TO_STRING(BgL_typez00_161); 
BgL_tmpz00_4202 = 
BSTRING_TO_STRING(BgL_namez00_160); 
BgL_arg1578z00_169 = 
avahi_entry_group_add_service_subtype(BgL_arg1582z00_170, AVAHI_IF_UNSPEC, AVAHI_PROTO_UNSPEC, 0L, BgL_tmpz00_4202, BgL_auxz00_4204, BgL_auxz00_4206, BgL_auxz00_4208); } } 
return 
BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_oz00_47, BgL_arg1578z00_169);}  else 
{ /* Llib/avahi.scm 592 */
if(
PAIRP(BgL_txtz00_166))
{ /* Llib/avahi.scm 605 */
 AvahiStringList * BgL_lz00_174;
BgL_lz00_174 = 
bgl_avahi_list_to_string_list(BgL_txtz00_166); 
{ /* Llib/avahi.scm 606 */
 obj_t BgL_exitd1175z00_175;
BgL_exitd1175z00_175 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ 
 obj_t BgL_zc3z04anonymousza31611ze3z87_2188;
BgL_zc3z04anonymousza31611ze3z87_2188 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31611ze3ze5zz__avahi_avahiz00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31611ze3z87_2188, 
(int)(0L), 
void_star_to_obj(BgL_lz00_174)); 
{ /* Llib/avahi.scm 606 */
 obj_t BgL_arg1846z00_1689;
{ /* Llib/avahi.scm 606 */
 obj_t BgL_arg1847z00_1690;
BgL_arg1847z00_1690 = 
BGL_EXITD_PROTECT(BgL_exitd1175z00_175); 
BgL_arg1846z00_1689 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31611ze3z87_2188, BgL_arg1847z00_1690); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1175z00_175, BgL_arg1846z00_1689); BUNSPEC; } 
{ /* Llib/avahi.scm 608 */
 obj_t BgL_tmp1177z00_177;
{ /* Llib/avahi.scm 608 */
 int BgL_arg1596z00_178;
{ /* Llib/avahi.scm 608 */
 AvahiEntryGroup * BgL_arg1597z00_179; obj_t BgL_arg1603z00_180; obj_t BgL_arg1610z00_181;
BgL_arg1597z00_179 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_47))->BgL_z42builtinz42); 
if(
CBOOL(BgL_domainz00_162))
{ /* Llib/avahi.scm 614 */
BgL_arg1603z00_180 = BgL_domainz00_162; }  else 
{ /* Llib/avahi.scm 614 */
BgL_arg1603z00_180 = 
string_to_bstring(
((char *)0L)); } 
if(
CBOOL(BgL_hostz00_163))
{ /* Llib/avahi.scm 615 */
BgL_arg1610z00_181 = BgL_hostz00_163; }  else 
{ /* Llib/avahi.scm 615 */
BgL_arg1610z00_181 = 
string_to_bstring(
((char *)0L)); } 
{ /* Llib/avahi.scm 608 */
 int BgL_auxz00_4242; char * BgL_auxz00_4240; char * BgL_auxz00_4238; char * BgL_auxz00_4236; char * BgL_tmpz00_4234;
BgL_auxz00_4242 = 
CINT(BgL_portz00_164); 
BgL_auxz00_4240 = 
BSTRING_TO_STRING(BgL_arg1610z00_181); 
BgL_auxz00_4238 = 
BSTRING_TO_STRING(BgL_arg1603z00_180); 
BgL_auxz00_4236 = 
BSTRING_TO_STRING(BgL_typez00_161); 
BgL_tmpz00_4234 = 
BSTRING_TO_STRING(BgL_namez00_160); 
BgL_arg1596z00_178 = 
avahi_entry_group_add_service_strlst(BgL_arg1597z00_179, AVAHI_IF_UNSPEC, AVAHI_PROTO_UNSPEC, 0L, BgL_tmpz00_4234, BgL_auxz00_4236, BgL_auxz00_4238, BgL_auxz00_4240, BgL_auxz00_4242, BgL_lz00_174); } } 
BgL_tmp1177z00_177 = 
BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_oz00_47, BgL_arg1596z00_178); } 
{ /* Llib/avahi.scm 606 */
 bool_t BgL_test3066z00_4246;
{ /* Llib/avahi.scm 606 */
 obj_t BgL_arg1845z00_1692;
BgL_arg1845z00_1692 = 
BGL_EXITD_PROTECT(BgL_exitd1175z00_175); 
BgL_test3066z00_4246 = 
PAIRP(BgL_arg1845z00_1692); } 
if(BgL_test3066z00_4246)
{ /* Llib/avahi.scm 606 */
 obj_t BgL_arg1843z00_1693;
{ /* Llib/avahi.scm 606 */
 obj_t BgL_arg1844z00_1694;
BgL_arg1844z00_1694 = 
BGL_EXITD_PROTECT(BgL_exitd1175z00_175); 
BgL_arg1843z00_1693 = 
CDR(
((obj_t)BgL_arg1844z00_1694)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1175z00_175, BgL_arg1843z00_1693); BUNSPEC; }  else 
{ /* Llib/avahi.scm 606 */BFALSE; } } 
avahi_string_list_free(BgL_lz00_174); BUNSPEC; 
return BgL_tmp1177z00_177;} } } }  else 
{ /* Llib/avahi.scm 621 */
 int BgL_arg1616z00_186;
{ /* Llib/avahi.scm 621 */
 AvahiEntryGroup * BgL_arg1617z00_187; obj_t BgL_arg1618z00_188; obj_t BgL_arg1619z00_189;
BgL_arg1617z00_187 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_oz00_47))->BgL_z42builtinz42); 
if(
CBOOL(BgL_domainz00_162))
{ /* Llib/avahi.scm 627 */
BgL_arg1618z00_188 = BgL_domainz00_162; }  else 
{ /* Llib/avahi.scm 627 */
BgL_arg1618z00_188 = 
string_to_bstring(
((char *)0L)); } 
if(
CBOOL(BgL_hostz00_163))
{ /* Llib/avahi.scm 628 */
BgL_arg1619z00_189 = BgL_hostz00_163; }  else 
{ /* Llib/avahi.scm 628 */
BgL_arg1619z00_189 = 
string_to_bstring(
((char *)0L)); } 
{ /* Llib/avahi.scm 621 */
 int BgL_auxz00_4271; char * BgL_auxz00_4269; char * BgL_auxz00_4267; char * BgL_auxz00_4265; char * BgL_tmpz00_4263;
BgL_auxz00_4271 = 
CINT(BgL_portz00_164); 
BgL_auxz00_4269 = 
BSTRING_TO_STRING(BgL_arg1619z00_189); 
BgL_auxz00_4267 = 
BSTRING_TO_STRING(BgL_arg1618z00_188); 
BgL_auxz00_4265 = 
BSTRING_TO_STRING(BgL_typez00_161); 
BgL_tmpz00_4263 = 
BSTRING_TO_STRING(BgL_namez00_160); 
BgL_arg1616z00_186 = 
BGL_AVAHI_ENTRY_GROUP_ADD_SERVICE(BgL_arg1617z00_187, AVAHI_IF_UNSPEC, AVAHI_PROTO_UNSPEC, 0L, BgL_tmpz00_4263, BgL_auxz00_4265, BgL_auxz00_4267, BgL_auxz00_4269, BgL_auxz00_4271); } } 
return 
BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_oz00_47, BgL_arg1616z00_186);} } } } } } } } } } 

}



/* check-error~0 */
obj_t BGl_checkzd2errorze70z35zz__avahi_avahiz00(BgL_avahizd2entryzd2groupz00_bglt BgL_oz00_2774, int BgL_nz00_192)
{
{ /* Llib/avahi.scm 588 */
if(
(
(long)(BgL_nz00_192)<0L))
{ /* Llib/avahi.scm 578 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1632z00_195;
if(
(
(long)(BgL_nz00_192)==
(long)(AVAHI_ERR_COLLISION)))
{ /* Llib/avahi.scm 579 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1170z00_197;
{ /* Llib/avahi.scm 579 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1169z00_200;
BgL_new1169z00_200 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2collisionzd2errorz62_bgl) ))); 
{ /* Llib/avahi.scm 579 */
 long BgL_arg1652z00_201;
BgL_arg1652z00_201 = 
BGL_CLASS_NUM(BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1169z00_200), BgL_arg1652z00_201); } 
BgL_new1170z00_197 = BgL_new1169z00_200; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1170z00_197)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1170z00_197)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4290;
{ /* Llib/avahi.scm 579 */
 obj_t BgL_arg1635z00_198;
{ /* Llib/avahi.scm 579 */
 obj_t BgL_arg1651z00_199;
{ /* Llib/avahi.scm 579 */
 obj_t BgL_classz00_1682;
BgL_classz00_1682 = BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00; 
BgL_arg1651z00_199 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1682); } 
BgL_arg1635z00_198 = 
VECTOR_REF(BgL_arg1651z00_199,2L); } 
BgL_auxz00_4290 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1635z00_198); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1170z00_197)))->BgL_stackz00)=((obj_t)BgL_auxz00_4290),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1170z00_197)))->BgL_procz00)=((obj_t)BGl_string2478z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1170z00_197)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)avahi_strerror(BgL_nz00_192))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1170z00_197)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_2774)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_new1170z00_197)))->BgL_errnoz00)=((int)BgL_nz00_192),BUNSPEC); 
BgL_arg1632z00_195 = 
((BgL_z62avahizd2errorzb0_bglt)BgL_new1170z00_197); }  else 
{ /* Llib/avahi.scm 584 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1172z00_202;
{ /* Llib/avahi.scm 584 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1171z00_205;
BgL_new1171z00_205 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 584 */
 long BgL_arg1667z00_206;
BgL_arg1667z00_206 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1171z00_205), BgL_arg1667z00_206); } 
BgL_new1172z00_202 = BgL_new1171z00_205; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1172z00_202)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1172z00_202)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4316;
{ /* Llib/avahi.scm 584 */
 obj_t BgL_arg1653z00_203;
{ /* Llib/avahi.scm 584 */
 obj_t BgL_arg1654z00_204;
{ /* Llib/avahi.scm 584 */
 obj_t BgL_classz00_1687;
BgL_classz00_1687 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1654z00_204 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1687); } 
BgL_arg1653z00_203 = 
VECTOR_REF(BgL_arg1654z00_204,2L); } 
BgL_auxz00_4316 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1653z00_203); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1172z00_202)))->BgL_stackz00)=((obj_t)BgL_auxz00_4316),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1172z00_202)))->BgL_procz00)=((obj_t)BGl_string2478z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1172z00_202)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)avahi_strerror(BgL_nz00_192))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1172z00_202)))->BgL_objz00)=((obj_t)
((obj_t)BgL_oz00_2774)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1172z00_202))->BgL_errnoz00)=((int)BgL_nz00_192),BUNSPEC); 
BgL_arg1632z00_195 = BgL_new1172z00_202; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1632z00_195));}  else 
{ /* Llib/avahi.scm 576 */
return BFALSE;} } 

}



/* &avahi-entry-group-add-service! */
obj_t BGl_z62avahizd2entryzd2groupzd2addzd2servicez12z70zz__avahi_avahiz00(obj_t BgL_envz00_2189, obj_t BgL_oz00_2190, obj_t BgL_namez00_2191)
{
{ /* Llib/avahi.scm 571 */
{ /* Llib/avahi.scm 195 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_4334;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2190, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 195 */
BgL_auxz00_4334 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2190)
; }  else 
{ 
 obj_t BgL_auxz00_4338;
BgL_auxz00_4338 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(7719L), BGl_string2479z00zz__avahi_avahiz00, BGl_string2474z00zz__avahi_avahiz00, BgL_oz00_2190); 
FAILURE(BgL_auxz00_4338,BFALSE,BFALSE);} 
return 
BGl_avahizd2entryzd2groupzd2addzd2servicez12z12zz__avahi_avahiz00(BgL_auxz00_4334, BgL_namez00_2191);} } 

}



/* &<@anonymous:1611> */
obj_t BGl_z62zc3z04anonymousza31611ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2192)
{
{ /* Llib/avahi.scm 606 */
{ 
 AvahiStringList * BgL_lz00_2193;
BgL_lz00_2193 = 
FOREIGN_TO_COBJ(
PROCEDURE_REF(BgL_envz00_2192, 
(int)(0L))); 
avahi_string_list_free(BgL_lz00_2193); 
return BUNSPEC;} } 

}



/* avahi-entry-group-state->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_entry_group_state_to_symbol(AvahiEntryGroupState BgL_statez00_49)
{
{ /* Llib/avahi.scm 634 */
if(
(BgL_statez00_49==AVAHI_ENTRY_GROUP_UNCOMMITED))
{ /* Llib/avahi.scm 636 */
return 
((obj_t)
CNST_TABLE_REF(15));}  else 
{ /* Llib/avahi.scm 636 */
if(
(BgL_statez00_49==AVAHI_ENTRY_GROUP_REGISTERING))
{ /* Llib/avahi.scm 638 */
return 
((obj_t)
CNST_TABLE_REF(16));}  else 
{ /* Llib/avahi.scm 638 */
if(
(BgL_statez00_49==AVAHI_ENTRY_GROUP_ESTABLISHED))
{ /* Llib/avahi.scm 640 */
return 
((obj_t)
CNST_TABLE_REF(17));}  else 
{ /* Llib/avahi.scm 640 */
if(
(BgL_statez00_49==AVAHI_ENTRY_GROUP_COLLISION))
{ /* Llib/avahi.scm 642 */
return 
((obj_t)
CNST_TABLE_REF(18));}  else 
{ /* Llib/avahi.scm 642 */
if(
(BgL_statez00_49==AVAHI_ENTRY_GROUP_FAILURE))
{ /* Llib/avahi.scm 644 */
return 
((obj_t)
CNST_TABLE_REF(19));}  else 
{ /* Llib/avahi.scm 648 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1691z00_213;
{ /* Llib/avahi.scm 648 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1184z00_214;
{ /* Llib/avahi.scm 648 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1183z00_217;
BgL_new1183z00_217 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 648 */
 long BgL_arg1705z00_218;
BgL_arg1705z00_218 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1183z00_217), BgL_arg1705z00_218); } 
BgL_new1184z00_214 = BgL_new1183z00_217; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1184z00_214)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1184z00_214)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4375;
{ /* Llib/avahi.scm 648 */
 obj_t BgL_arg1692z00_215;
{ /* Llib/avahi.scm 648 */
 obj_t BgL_arg1698z00_216;
{ /* Llib/avahi.scm 648 */
 obj_t BgL_classz00_1709;
BgL_classz00_1709 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1698z00_216 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1709); } 
BgL_arg1692z00_215 = 
VECTOR_REF(BgL_arg1698z00_216,2L); } 
BgL_auxz00_4375 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1692z00_215); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1184z00_214)))->BgL_stackz00)=((obj_t)BgL_auxz00_4375),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1184z00_214)))->BgL_procz00)=((obj_t)BGl_string2480z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1184z00_214)))->BgL_msgz00)=((obj_t)BGl_string2471z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1184z00_214)))->BgL_objz00)=((obj_t)
BINT(BgL_statez00_49)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1184z00_214))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1691z00_213 = BgL_new1184z00_214; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1691z00_213));} } } } } } 

}



/* &avahi-entry-group-state->symbol */
obj_t BGl_z62avahizd2entryzd2groupzd2statezd2ze3symbolz81zz__avahi_avahiz00(obj_t BgL_envz00_2194, obj_t BgL_statez00_2195)
{
{ /* Llib/avahi.scm 634 */
{ /* Llib/avahi.scm 636 */
 AvahiEntryGroupState BgL_auxz00_4391;
{ /* Llib/avahi.scm 636 */
 obj_t BgL_tmpz00_4392;
if(
INTEGERP(BgL_statez00_2195))
{ /* Llib/avahi.scm 636 */
BgL_tmpz00_4392 = BgL_statez00_2195
; }  else 
{ 
 obj_t BgL_auxz00_4395;
BgL_auxz00_4395 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(26973L), BGl_string2481z00zz__avahi_avahiz00, BGl_string2442z00zz__avahi_avahiz00, BgL_statez00_2195); 
FAILURE(BgL_auxz00_4395,BFALSE,BFALSE);} 
BgL_auxz00_4391 = 
(long)CINT(BgL_tmpz00_4392); } 
return 
bgl_avahi_entry_group_state_to_symbol(BgL_auxz00_4391);} } 

}



/* avahi-alternative-host-name */
BGL_EXPORTED_DEF obj_t BGl_avahizd2alternativezd2hostzd2namezd2zz__avahi_avahiz00(obj_t BgL_namez00_50)
{
{ /* Llib/avahi.scm 657 */
{ /* Llib/avahi.scm 658 */
 char * BgL_tmpz00_4401;
{ /* Llib/avahi.scm 658 */
 char * BgL_tmpz00_4402;
BgL_tmpz00_4402 = 
BSTRING_TO_STRING(BgL_namez00_50); 
BgL_tmpz00_4401 = 
avahi_alternative_host_name(BgL_tmpz00_4402); } 
return 
string_to_bstring(BgL_tmpz00_4401);} } 

}



/* &avahi-alternative-host-name */
obj_t BGl_z62avahizd2alternativezd2hostzd2namezb0zz__avahi_avahiz00(obj_t BgL_envz00_2196, obj_t BgL_namez00_2197)
{
{ /* Llib/avahi.scm 657 */
{ /* Llib/avahi.scm 658 */
 obj_t BgL_auxz00_4406;
if(
STRINGP(BgL_namez00_2197))
{ /* Llib/avahi.scm 658 */
BgL_auxz00_4406 = BgL_namez00_2197
; }  else 
{ 
 obj_t BgL_auxz00_4409;
BgL_auxz00_4409 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(27891L), BGl_string2482z00zz__avahi_avahiz00, BGl_string2441z00zz__avahi_avahiz00, BgL_namez00_2197); 
FAILURE(BgL_auxz00_4409,BFALSE,BFALSE);} 
return 
BGl_avahizd2alternativezd2hostzd2namezd2zz__avahi_avahiz00(BgL_auxz00_4406);} } 

}



/* avahi-alternative-service-name */
BGL_EXPORTED_DEF obj_t BGl_avahizd2alternativezd2servicezd2namezd2zz__avahi_avahiz00(obj_t BgL_namez00_51)
{
{ /* Llib/avahi.scm 663 */
{ /* Llib/avahi.scm 664 */
 char * BgL_tmpz00_4414;
{ /* Llib/avahi.scm 664 */
 char * BgL_tmpz00_4415;
BgL_tmpz00_4415 = 
BSTRING_TO_STRING(BgL_namez00_51); 
BgL_tmpz00_4414 = 
avahi_alternative_service_name(BgL_tmpz00_4415); } 
return 
string_to_bstring(BgL_tmpz00_4414);} } 

}



/* &avahi-alternative-service-name */
obj_t BGl_z62avahizd2alternativezd2servicezd2namezb0zz__avahi_avahiz00(obj_t BgL_envz00_2198, obj_t BgL_namez00_2199)
{
{ /* Llib/avahi.scm 663 */
{ /* Llib/avahi.scm 664 */
 obj_t BgL_auxz00_4419;
if(
STRINGP(BgL_namez00_2199))
{ /* Llib/avahi.scm 664 */
BgL_auxz00_4419 = BgL_namez00_2199
; }  else 
{ 
 obj_t BgL_auxz00_4422;
BgL_auxz00_4422 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(28200L), BGl_string2483z00zz__avahi_avahiz00, BGl_string2441z00zz__avahi_avahiz00, BgL_namez00_2199); 
FAILURE(BgL_auxz00_4422,BFALSE,BFALSE);} 
return 
BGl_avahizd2alternativezd2servicezd2namezd2zz__avahi_avahiz00(BgL_auxz00_4419);} } 

}



/* avahi-service-browser-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2browserz00_bglt BgL_oz00_53)
{
{ /* Llib/avahi.scm 682 */
bgl_avahi_service_browser_close(BgL_oz00_53); BUNSPEC; 
{ /* Llib/avahi.scm 685 */
 BgL_avahizd2clientzd2_bglt BgL_i1188z00_220;
BgL_i1188z00_220 = 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_oz00_53))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_4429;
{ /* Llib/avahi.scm 686 */
 obj_t BgL_arg1707z00_221;
BgL_arg1707z00_221 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1188z00_220))->BgL_z52browsersz52); 
BgL_auxz00_4429 = 
bgl_remq_bang(
((obj_t)BgL_oz00_53), BgL_arg1707z00_221); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1188z00_220))->BgL_z52browsersz52)=((obj_t)BgL_auxz00_4429),BUNSPEC); } } 
return BUNSPEC;} 

}



/* &avahi-service-browser-close */
obj_t BGl_z62avahizd2servicezd2browserzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_2200, obj_t BgL_oz00_2201)
{
{ /* Llib/avahi.scm 682 */
{ /* Llib/avahi.scm 683 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_auxz00_4434;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2201, BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 683 */
BgL_auxz00_4434 = 
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2201)
; }  else 
{ 
 obj_t BgL_auxz00_4438;
BgL_auxz00_4438 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(29172L), BGl_string2484z00zz__avahi_avahiz00, BGl_string2485z00zz__avahi_avahiz00, BgL_oz00_2201); 
FAILURE(BgL_auxz00_4438,BFALSE,BFALSE);} 
return 
BGl_avahizd2servicezd2browserzd2closezd2zz__avahi_avahiz00(BgL_auxz00_4434);} } 

}



/* avahi-domain-browser-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2domainzd2browserzd2closezd2zz__avahi_avahiz00(BgL_avahizd2domainzd2browserz00_bglt BgL_oz00_57)
{
{ /* Llib/avahi.scm 724 */
bgl_avahi_domain_browser_close(BgL_oz00_57); BUNSPEC; 
BGl_avahizd2gczd2unmarkz12z12zz__avahi_avahiz00(
((BgL_avahizd2objectzd2_bglt)BgL_oz00_57)); 
return BUNSPEC;} 

}



/* &avahi-domain-browser-close */
obj_t BGl_z62avahizd2domainzd2browserzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_2202, obj_t BgL_oz00_2203)
{
{ /* Llib/avahi.scm 724 */
{ /* Llib/avahi.scm 725 */
 BgL_avahizd2domainzd2browserz00_bglt BgL_auxz00_4446;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2203, BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 725 */
BgL_auxz00_4446 = 
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2203)
; }  else 
{ 
 obj_t BgL_auxz00_4450;
BgL_auxz00_4450 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(31174L), BGl_string2486z00zz__avahi_avahiz00, BGl_string2487z00zz__avahi_avahiz00, BgL_oz00_2203); 
FAILURE(BgL_auxz00_4450,BFALSE,BFALSE);} 
return 
BGl_avahizd2domainzd2browserzd2closezd2zz__avahi_avahiz00(BgL_auxz00_4446);} } 

}



/* avahi-service-resolver-close */
BGL_EXPORTED_DEF obj_t BGl_avahizd2servicezd2resolverzd2closezd2zz__avahi_avahiz00(BgL_avahizd2servicezd2resolverz00_bglt BgL_oz00_59)
{
{ /* Llib/avahi.scm 745 */
bgl_avahi_service_resolver_close(BgL_oz00_59); BUNSPEC; 
{ /* Llib/avahi.scm 748 */
 BgL_avahizd2clientzd2_bglt BgL_i1194z00_223;
BgL_i1194z00_223 = 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_oz00_59))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_4457;
{ /* Llib/avahi.scm 749 */
 obj_t BgL_arg1708z00_224;
BgL_arg1708z00_224 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1194z00_223))->BgL_resolversz00); 
BgL_auxz00_4457 = 
bgl_remq_bang(
((obj_t)BgL_oz00_59), BgL_arg1708z00_224); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1194z00_223))->BgL_resolversz00)=((obj_t)BgL_auxz00_4457),BUNSPEC); } } 
return BUNSPEC;} 

}



/* &avahi-service-resolver-close */
obj_t BGl_z62avahizd2servicezd2resolverzd2closezb0zz__avahi_avahiz00(obj_t BgL_envz00_2204, obj_t BgL_oz00_2205)
{
{ /* Llib/avahi.scm 745 */
{ /* Llib/avahi.scm 746 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_auxz00_4462;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_2205, BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00))
{ /* Llib/avahi.scm 746 */
BgL_auxz00_4462 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2205)
; }  else 
{ 
 obj_t BgL_auxz00_4466;
BgL_auxz00_4466 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(32160L), BGl_string2488z00zz__avahi_avahiz00, BGl_string2489z00zz__avahi_avahiz00, BgL_oz00_2205); 
FAILURE(BgL_auxz00_4466,BFALSE,BFALSE);} 
return 
BGl_avahizd2servicezd2resolverzd2closezd2zz__avahi_avahiz00(BgL_auxz00_4462);} } 

}



/* avahi-browser-event->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_browser_event_to_symbol(AvahiBrowserEvent BgL_eventz00_60)
{
{ /* Llib/avahi.scm 755 */
if(
(BgL_eventz00_60==AVAHI_BROWSER_NEW))
{ /* Llib/avahi.scm 757 */
return 
((obj_t)
CNST_TABLE_REF(20));}  else 
{ /* Llib/avahi.scm 757 */
if(
(BgL_eventz00_60==AVAHI_BROWSER_REMOVE))
{ /* Llib/avahi.scm 759 */
return 
((obj_t)
CNST_TABLE_REF(21));}  else 
{ /* Llib/avahi.scm 759 */
if(
(BgL_eventz00_60==AVAHI_BROWSER_CACHE_EXHAUSTED))
{ /* Llib/avahi.scm 761 */
return 
((obj_t)
CNST_TABLE_REF(22));}  else 
{ /* Llib/avahi.scm 761 */
if(
(BgL_eventz00_60==AVAHI_BROWSER_ALL_FOR_NOW))
{ /* Llib/avahi.scm 763 */
return 
((obj_t)
CNST_TABLE_REF(23));}  else 
{ /* Llib/avahi.scm 763 */
if(
(BgL_eventz00_60==AVAHI_BROWSER_FAILURE))
{ /* Llib/avahi.scm 765 */
return 
((obj_t)
CNST_TABLE_REF(24));}  else 
{ /* Llib/avahi.scm 769 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1716z00_230;
{ /* Llib/avahi.scm 769 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1196z00_231;
{ /* Llib/avahi.scm 769 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1195z00_234;
BgL_new1195z00_234 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 769 */
 long BgL_arg1731z00_235;
BgL_arg1731z00_235 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1195z00_234), BgL_arg1731z00_235); } 
BgL_new1196z00_231 = BgL_new1195z00_234; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1196z00_231)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1196z00_231)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4499;
{ /* Llib/avahi.scm 769 */
 obj_t BgL_arg1722z00_232;
{ /* Llib/avahi.scm 769 */
 obj_t BgL_arg1724z00_233;
{ /* Llib/avahi.scm 769 */
 obj_t BgL_classz00_1724;
BgL_classz00_1724 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1724z00_233 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1724); } 
BgL_arg1722z00_232 = 
VECTOR_REF(BgL_arg1724z00_233,2L); } 
BgL_auxz00_4499 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1722z00_232); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1196z00_231)))->BgL_stackz00)=((obj_t)BgL_auxz00_4499),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1196z00_231)))->BgL_procz00)=((obj_t)BGl_string2490z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1196z00_231)))->BgL_msgz00)=((obj_t)BGl_string2491z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1196z00_231)))->BgL_objz00)=((obj_t)
BINT(BgL_eventz00_60)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1196z00_231))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1716z00_230 = BgL_new1196z00_231; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1716z00_230));} } } } } } 

}



/* &avahi-browser-event->symbol */
obj_t BGl_z62avahizd2browserzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_2206, obj_t BgL_eventz00_2207)
{
{ /* Llib/avahi.scm 755 */
{ /* Llib/avahi.scm 757 */
 AvahiBrowserEvent BgL_auxz00_4515;
{ /* Llib/avahi.scm 757 */
 obj_t BgL_tmpz00_4516;
if(
INTEGERP(BgL_eventz00_2207))
{ /* Llib/avahi.scm 757 */
BgL_tmpz00_4516 = BgL_eventz00_2207
; }  else 
{ 
 obj_t BgL_auxz00_4519;
BgL_auxz00_4519 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(32630L), BGl_string2492z00zz__avahi_avahiz00, BGl_string2442z00zz__avahi_avahiz00, BgL_eventz00_2207); 
FAILURE(BgL_auxz00_4519,BFALSE,BFALSE);} 
BgL_auxz00_4515 = 
(long)CINT(BgL_tmpz00_4516); } 
return 
bgl_avahi_browser_event_to_symbol(BgL_auxz00_4515);} } 

}



/* avahi-resolver-event->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_resolver_event_to_symbol(AvahiResolverEvent BgL_eventz00_61)
{
{ /* Llib/avahi.scm 778 */
if(
(BgL_eventz00_61==AVAHI_RESOLVER_FOUND))
{ /* Llib/avahi.scm 780 */
return 
((obj_t)
CNST_TABLE_REF(25));}  else 
{ /* Llib/avahi.scm 780 */
if(
(BgL_eventz00_61==AVAHI_RESOLVER_FAILURE))
{ /* Llib/avahi.scm 782 */
return 
((obj_t)
CNST_TABLE_REF(26));}  else 
{ /* Llib/avahi.scm 786 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1737z00_238;
{ /* Llib/avahi.scm 786 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1198z00_239;
{ /* Llib/avahi.scm 786 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1197z00_242;
BgL_new1197z00_242 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 786 */
 long BgL_arg1741z00_243;
BgL_arg1741z00_243 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1197z00_242), BgL_arg1741z00_243); } 
BgL_new1198z00_239 = BgL_new1197z00_242; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1198z00_239)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1198z00_239)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4541;
{ /* Llib/avahi.scm 786 */
 obj_t BgL_arg1738z00_240;
{ /* Llib/avahi.scm 786 */
 obj_t BgL_arg1740z00_241;
{ /* Llib/avahi.scm 786 */
 obj_t BgL_classz00_1733;
BgL_classz00_1733 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1740z00_241 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1733); } 
BgL_arg1738z00_240 = 
VECTOR_REF(BgL_arg1740z00_241,2L); } 
BgL_auxz00_4541 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1738z00_240); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1198z00_239)))->BgL_stackz00)=((obj_t)BgL_auxz00_4541),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1198z00_239)))->BgL_procz00)=((obj_t)BGl_string2493z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1198z00_239)))->BgL_msgz00)=((obj_t)BGl_string2491z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1198z00_239)))->BgL_objz00)=((obj_t)
BINT(BgL_eventz00_61)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1198z00_239))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1737z00_238 = BgL_new1198z00_239; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1737z00_238));} } } 

}



/* &avahi-resolver-event->symbol */
obj_t BGl_z62avahizd2resolverzd2eventzd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_2208, obj_t BgL_eventz00_2209)
{
{ /* Llib/avahi.scm 778 */
{ /* Llib/avahi.scm 780 */
 AvahiResolverEvent BgL_auxz00_4557;
{ /* Llib/avahi.scm 780 */
 obj_t BgL_tmpz00_4558;
if(
INTEGERP(BgL_eventz00_2209))
{ /* Llib/avahi.scm 780 */
BgL_tmpz00_4558 = BgL_eventz00_2209
; }  else 
{ 
 obj_t BgL_auxz00_4561;
BgL_auxz00_4561 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(33499L), BGl_string2494z00zz__avahi_avahiz00, BGl_string2442z00zz__avahi_avahiz00, BgL_eventz00_2209); 
FAILURE(BgL_auxz00_4561,BFALSE,BFALSE);} 
BgL_auxz00_4557 = 
(long)CINT(BgL_tmpz00_4558); } 
return 
bgl_avahi_resolver_event_to_symbol(BgL_auxz00_4557);} } 

}



/* avahi-if-index->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_if_index_to_symbol(AvahiIfIndex BgL_indexz00_62)
{
{ /* Llib/avahi.scm 795 */
if(
(BgL_indexz00_62==AVAHI_IF_UNSPEC))
{ /* Llib/avahi.scm 797 */
return 
((obj_t)
CNST_TABLE_REF(27));}  else 
{ /* Llib/avahi.scm 800 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1743z00_245;
{ /* Llib/avahi.scm 800 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1200z00_246;
{ /* Llib/avahi.scm 800 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1199z00_249;
BgL_new1199z00_249 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 800 */
 long BgL_arg1755z00_250;
BgL_arg1755z00_250 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1199z00_249), BgL_arg1755z00_250); } 
BgL_new1200z00_246 = BgL_new1199z00_249; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1200z00_246)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1200z00_246)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4579;
{ /* Llib/avahi.scm 800 */
 obj_t BgL_arg1744z00_247;
{ /* Llib/avahi.scm 800 */
 obj_t BgL_arg1746z00_248;
{ /* Llib/avahi.scm 800 */
 obj_t BgL_classz00_1740;
BgL_classz00_1740 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1746z00_248 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1740); } 
BgL_arg1744z00_247 = 
VECTOR_REF(BgL_arg1746z00_248,2L); } 
BgL_auxz00_4579 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1744z00_247); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1200z00_246)))->BgL_stackz00)=((obj_t)BgL_auxz00_4579),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1200z00_246)))->BgL_procz00)=((obj_t)BGl_string2495z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1200z00_246)))->BgL_msgz00)=((obj_t)BGl_string2496z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1200z00_246)))->BgL_objz00)=((obj_t)
BINT(BgL_indexz00_62)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1200z00_246))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1743z00_245 = BgL_new1200z00_246; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1743z00_245));} } 

}



/* &avahi-if-index->symbol */
obj_t BGl_z62avahizd2ifzd2indexzd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_2210, obj_t BgL_indexz00_2211)
{
{ /* Llib/avahi.scm 795 */
{ /* Llib/avahi.scm 797 */
 AvahiIfIndex BgL_auxz00_4595;
{ /* Llib/avahi.scm 797 */
 obj_t BgL_tmpz00_4596;
if(
INTEGERP(BgL_indexz00_2211))
{ /* Llib/avahi.scm 797 */
BgL_tmpz00_4596 = BgL_indexz00_2211
; }  else 
{ 
 obj_t BgL_auxz00_4599;
BgL_auxz00_4599 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(34124L), BGl_string2497z00zz__avahi_avahiz00, BGl_string2442z00zz__avahi_avahiz00, BgL_indexz00_2211); 
FAILURE(BgL_auxz00_4599,BFALSE,BFALSE);} 
BgL_auxz00_4595 = 
(long)CINT(BgL_tmpz00_4596); } 
return 
bgl_avahi_if_index_to_symbol(BgL_auxz00_4595);} } 

}



/* avahi-protocol->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_protocol_to_symbol(AvahiProtocol BgL_protoz00_63)
{
{ /* Llib/avahi.scm 809 */
if(
(BgL_protoz00_63==AVAHI_PROTO_INET))
{ /* Llib/avahi.scm 811 */
return 
((obj_t)
CNST_TABLE_REF(28));}  else 
{ /* Llib/avahi.scm 811 */
if(
(BgL_protoz00_63==AVAHI_PROTO_INET6))
{ /* Llib/avahi.scm 813 */
return 
((obj_t)
CNST_TABLE_REF(29));}  else 
{ /* Llib/avahi.scm 813 */
if(
(BgL_protoz00_63==AVAHI_PROTO_UNSPEC))
{ /* Llib/avahi.scm 815 */
return 
((obj_t)
CNST_TABLE_REF(30));}  else 
{ /* Llib/avahi.scm 819 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1760z00_254;
{ /* Llib/avahi.scm 819 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1202z00_255;
{ /* Llib/avahi.scm 819 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1201z00_258;
BgL_new1201z00_258 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 819 */
 long BgL_arg1763z00_259;
BgL_arg1763z00_259 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1201z00_258), BgL_arg1763z00_259); } 
BgL_new1202z00_255 = BgL_new1201z00_258; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1202z00_255)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1202z00_255)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4625;
{ /* Llib/avahi.scm 819 */
 obj_t BgL_arg1761z00_256;
{ /* Llib/avahi.scm 819 */
 obj_t BgL_arg1762z00_257;
{ /* Llib/avahi.scm 819 */
 obj_t BgL_classz00_1751;
BgL_classz00_1751 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1762z00_257 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1751); } 
BgL_arg1761z00_256 = 
VECTOR_REF(BgL_arg1762z00_257,2L); } 
BgL_auxz00_4625 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1761z00_256); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1202z00_255)))->BgL_stackz00)=((obj_t)BgL_auxz00_4625),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1202z00_255)))->BgL_procz00)=((obj_t)BGl_string2498z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1202z00_255)))->BgL_msgz00)=((obj_t)BGl_string2499z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1202z00_255)))->BgL_objz00)=((obj_t)
BINT(BgL_protoz00_63)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1202z00_255))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1760z00_254 = BgL_new1202z00_255; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1760z00_254));} } } } 

}



/* &avahi-protocol->symbol */
obj_t BGl_z62avahizd2protocolzd2ze3symbolz81zz__avahi_avahiz00(obj_t BgL_envz00_2212, obj_t BgL_protoz00_2213)
{
{ /* Llib/avahi.scm 809 */
{ /* Llib/avahi.scm 811 */
 AvahiProtocol BgL_auxz00_4641;
{ /* Llib/avahi.scm 811 */
 obj_t BgL_tmpz00_4642;
if(
INTEGERP(BgL_protoz00_2213))
{ /* Llib/avahi.scm 811 */
BgL_tmpz00_4642 = BgL_protoz00_2213
; }  else 
{ 
 obj_t BgL_auxz00_4645;
BgL_auxz00_4645 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(34651L), BGl_string2500z00zz__avahi_avahiz00, BGl_string2442z00zz__avahi_avahiz00, BgL_protoz00_2213); 
FAILURE(BgL_auxz00_4645,BFALSE,BFALSE);} 
BgL_auxz00_4641 = 
(long)CINT(BgL_tmpz00_4642); } 
return 
bgl_avahi_protocol_to_symbol(BgL_auxz00_4641);} } 

}



/* avahi-symbol->protocol */
BGL_EXPORTED_DEF AvahiProtocol bgl_avahi_symbol_to_protocol(obj_t BgL_protoz00_64)
{
{ /* Llib/avahi.scm 828 */
if(
(BgL_protoz00_64==
((obj_t)
CNST_TABLE_REF(28))))
{ /* Llib/avahi.scm 829 */
return AVAHI_PROTO_INET;}  else 
{ /* Llib/avahi.scm 829 */
if(
(BgL_protoz00_64==
((obj_t)
CNST_TABLE_REF(29))))
{ /* Llib/avahi.scm 829 */
return AVAHI_PROTO_INET6;}  else 
{ /* Llib/avahi.scm 829 */
if(
(BgL_protoz00_64==
((obj_t)
CNST_TABLE_REF(30))))
{ /* Llib/avahi.scm 829 */
return AVAHI_PROTO_UNSPEC;}  else 
{ /* Llib/avahi.scm 838 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1769z00_264;
{ /* Llib/avahi.scm 838 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1204z00_265;
{ /* Llib/avahi.scm 838 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1203z00_268;
BgL_new1203z00_268 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 838 */
 long BgL_arg1773z00_269;
BgL_arg1773z00_269 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1203z00_268), BgL_arg1773z00_269); } 
BgL_new1204z00_265 = BgL_new1203z00_268; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1204z00_265)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1204z00_265)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4671;
{ /* Llib/avahi.scm 838 */
 obj_t BgL_arg1771z00_266;
{ /* Llib/avahi.scm 838 */
 obj_t BgL_arg1772z00_267;
{ /* Llib/avahi.scm 838 */
 obj_t BgL_classz00_1759;
BgL_classz00_1759 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1772z00_267 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1759); } 
BgL_arg1771z00_266 = 
VECTOR_REF(BgL_arg1772z00_267,2L); } 
BgL_auxz00_4671 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1771z00_266); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1204z00_265)))->BgL_stackz00)=((obj_t)BgL_auxz00_4671),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1204z00_265)))->BgL_procz00)=((obj_t)BGl_string2501z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1204z00_265)))->BgL_msgz00)=((obj_t)BGl_string2499z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1204z00_265)))->BgL_objz00)=((obj_t)BgL_protoz00_64),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1204z00_265))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1769z00_264 = BgL_new1204z00_265; } 
return 
(long)CINT(
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1769z00_264)));} } } } 

}



/* &avahi-symbol->protocol */
obj_t BGl_z62avahizd2symbolzd2ze3protocolz81zz__avahi_avahiz00(obj_t BgL_envz00_2214, obj_t BgL_protoz00_2215)
{
{ /* Llib/avahi.scm 828 */
{ /* Llib/avahi.scm 829 */
 long BgL_tmpz00_4687;
{ /* Llib/avahi.scm 829 */
 obj_t BgL_auxz00_4688;
if(
SYMBOLP(BgL_protoz00_2215))
{ /* Llib/avahi.scm 829 */
BgL_auxz00_4688 = BgL_protoz00_2215
; }  else 
{ 
 obj_t BgL_auxz00_4691;
BgL_auxz00_4691 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(35301L), BGl_string2502z00zz__avahi_avahiz00, BGl_string2503z00zz__avahi_avahiz00, BgL_protoz00_2215); 
FAILURE(BgL_auxz00_4691,BFALSE,BFALSE);} 
BgL_tmpz00_4687 = 
bgl_avahi_symbol_to_protocol(BgL_auxz00_4688); } 
return 
BINT(BgL_tmpz00_4687);} } 

}



/* avahi-lookup-flags->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_lookup_flags_to_symbol(AvahiLookupFlags BgL_flagz00_65)
{
{ /* Llib/avahi.scm 847 */
if(
(BgL_flagz00_65==AVAHI_LOOKUP_NO_TXT))
{ /* Llib/avahi.scm 849 */
return 
((obj_t)
CNST_TABLE_REF(31));}  else 
{ /* Llib/avahi.scm 849 */
if(
(BgL_flagz00_65==AVAHI_LOOKUP_NO_ADDRESS))
{ /* Llib/avahi.scm 851 */
return 
((obj_t)
CNST_TABLE_REF(32));}  else 
{ /* Llib/avahi.scm 851 */
if(
(BgL_flagz00_65==0L))
{ /* Llib/avahi.scm 853 */
return 
((obj_t)
CNST_TABLE_REF(33));}  else 
{ /* Llib/avahi.scm 857 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1777z00_273;
{ /* Llib/avahi.scm 857 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1206z00_274;
{ /* Llib/avahi.scm 857 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1205z00_277;
BgL_new1205z00_277 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 857 */
 long BgL_arg1785z00_278;
BgL_arg1785z00_278 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1205z00_277), BgL_arg1785z00_278); } 
BgL_new1206z00_274 = BgL_new1205z00_277; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1206z00_274)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1206z00_274)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4717;
{ /* Llib/avahi.scm 857 */
 obj_t BgL_arg1778z00_275;
{ /* Llib/avahi.scm 857 */
 obj_t BgL_arg1784z00_276;
{ /* Llib/avahi.scm 857 */
 obj_t BgL_classz00_1769;
BgL_classz00_1769 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1784z00_276 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1769); } 
BgL_arg1778z00_275 = 
VECTOR_REF(BgL_arg1784z00_276,2L); } 
BgL_auxz00_4717 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1778z00_275); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1206z00_274)))->BgL_stackz00)=((obj_t)BgL_auxz00_4717),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1206z00_274)))->BgL_procz00)=((obj_t)BGl_string2504z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1206z00_274)))->BgL_msgz00)=((obj_t)BGl_string2505z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1206z00_274)))->BgL_objz00)=((obj_t)
BINT(BgL_flagz00_65)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1206z00_274))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1777z00_273 = BgL_new1206z00_274; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1777z00_273));} } } } 

}



/* &avahi-lookup-flags->symbol */
obj_t BGl_z62avahizd2lookupzd2flagszd2ze3symbolz53zz__avahi_avahiz00(obj_t BgL_envz00_2216, obj_t BgL_flagz00_2217)
{
{ /* Llib/avahi.scm 847 */
{ /* Llib/avahi.scm 849 */
 AvahiLookupFlags BgL_auxz00_4733;
{ /* Llib/avahi.scm 849 */
 obj_t BgL_tmpz00_4734;
if(
INTEGERP(BgL_flagz00_2217))
{ /* Llib/avahi.scm 849 */
BgL_tmpz00_4734 = BgL_flagz00_2217
; }  else 
{ 
 obj_t BgL_auxz00_4737;
BgL_auxz00_4737 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(35964L), BGl_string2506z00zz__avahi_avahiz00, BGl_string2442z00zz__avahi_avahiz00, BgL_flagz00_2217); 
FAILURE(BgL_auxz00_4737,BFALSE,BFALSE);} 
BgL_auxz00_4733 = 
(long)CINT(BgL_tmpz00_4734); } 
return 
bgl_avahi_lookup_flags_to_symbol(BgL_auxz00_4733);} } 

}



/* avahi-lookup-result-flags->symbol */
BGL_EXPORTED_DEF obj_t bgl_avahi_lookup_result_flags_to_symbol(AvahiLookupResultFlags BgL_flagz00_66)
{
{ /* Llib/avahi.scm 866 */
if(
(BgL_flagz00_66==AVAHI_LOOKUP_RESULT_CACHED))
{ /* Llib/avahi.scm 868 */
return 
((obj_t)
CNST_TABLE_REF(34));}  else 
{ /* Llib/avahi.scm 868 */
if(
(BgL_flagz00_66==AVAHI_LOOKUP_RESULT_WIDE_AREA))
{ /* Llib/avahi.scm 870 */
return 
((obj_t)
CNST_TABLE_REF(35));}  else 
{ /* Llib/avahi.scm 870 */
if(
(BgL_flagz00_66==AVAHI_LOOKUP_RESULT_MULTICAST))
{ /* Llib/avahi.scm 872 */
return 
((obj_t)
CNST_TABLE_REF(36));}  else 
{ /* Llib/avahi.scm 872 */
if(
(BgL_flagz00_66==AVAHI_LOOKUP_RESULT_LOCAL))
{ /* Llib/avahi.scm 874 */
return 
((obj_t)
CNST_TABLE_REF(37));}  else 
{ /* Llib/avahi.scm 874 */
if(
(BgL_flagz00_66==AVAHI_LOOKUP_RESULT_OUR_OWN))
{ /* Llib/avahi.scm 876 */
return 
((obj_t)
CNST_TABLE_REF(38));}  else 
{ /* Llib/avahi.scm 876 */
if(
(BgL_flagz00_66==AVAHI_LOOKUP_RESULT_STATIC))
{ /* Llib/avahi.scm 878 */
return 
((obj_t)
CNST_TABLE_REF(39));}  else 
{ /* Llib/avahi.scm 878 */
if(
(BgL_flagz00_66==0L))
{ /* Llib/avahi.scm 880 */
return 
((obj_t)
CNST_TABLE_REF(40));}  else 
{ /* Llib/avahi.scm 884 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1795z00_286;
{ /* Llib/avahi.scm 884 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1208z00_287;
{ /* Llib/avahi.scm 884 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1207z00_290;
BgL_new1207z00_290 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 884 */
 long BgL_arg1818z00_291;
BgL_arg1818z00_291 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1207z00_290), BgL_arg1818z00_291); } 
BgL_new1208z00_287 = BgL_new1207z00_290; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1208z00_287)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1208z00_287)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4779;
{ /* Llib/avahi.scm 884 */
 obj_t BgL_arg1796z00_288;
{ /* Llib/avahi.scm 884 */
 obj_t BgL_arg1799z00_289;
{ /* Llib/avahi.scm 884 */
 obj_t BgL_classz00_1787;
BgL_classz00_1787 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1799z00_289 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1787); } 
BgL_arg1796z00_288 = 
VECTOR_REF(BgL_arg1799z00_289,2L); } 
BgL_auxz00_4779 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1796z00_288); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1208z00_287)))->BgL_stackz00)=((obj_t)BgL_auxz00_4779),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1208z00_287)))->BgL_procz00)=((obj_t)BGl_string2507z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1208z00_287)))->BgL_msgz00)=((obj_t)BGl_string2508z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1208z00_287)))->BgL_objz00)=((obj_t)
BINT(BgL_flagz00_66)),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1208z00_287))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1795z00_286 = BgL_new1208z00_287; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1795z00_286));} } } } } } } } 

}



/* &avahi-lookup-result-flags->symbol */
obj_t BGl_z62avahizd2lookupzd2resultzd2flagszd2ze3symbolz81zz__avahi_avahiz00(obj_t BgL_envz00_2218, obj_t BgL_flagz00_2219)
{
{ /* Llib/avahi.scm 866 */
{ /* Llib/avahi.scm 868 */
 AvahiLookupResultFlags BgL_auxz00_4795;
{ /* Llib/avahi.scm 868 */
 obj_t BgL_tmpz00_4796;
if(
INTEGERP(BgL_flagz00_2219))
{ /* Llib/avahi.scm 868 */
BgL_tmpz00_4796 = BgL_flagz00_2219
; }  else 
{ 
 obj_t BgL_auxz00_4799;
BgL_auxz00_4799 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(36661L), BGl_string2509z00zz__avahi_avahiz00, BGl_string2442z00zz__avahi_avahiz00, BgL_flagz00_2219); 
FAILURE(BgL_auxz00_4799,BFALSE,BFALSE);} 
BgL_auxz00_4795 = 
(long)CINT(BgL_tmpz00_4796); } 
return 
bgl_avahi_lookup_result_flags_to_symbol(BgL_auxz00_4795);} } 

}



/* avahi-symbol->domain-browser-type */
obj_t BGl_avahizd2symbolzd2ze3domainzd2browserzd2typeze3zz__avahi_avahiz00(obj_t BgL_btypez00_67)
{
{ /* Llib/avahi.scm 893 */
{ /* Llib/avahi.scm 894 */
 bool_t BgL_test3114z00_4805;
if(
(BgL_btypez00_67==
((obj_t)
CNST_TABLE_REF(41))))
{ /* Llib/avahi.scm 894 */
BgL_test3114z00_4805 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
if(
(BgL_btypez00_67==
((obj_t)
CNST_TABLE_REF(42))))
{ /* Llib/avahi.scm 894 */
BgL_test3114z00_4805 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
BgL_test3114z00_4805 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_67, 
((obj_t)
CNST_TABLE_REF(43)))
; } } 
if(BgL_test3114z00_4805)
{ /* Llib/avahi.scm 894 */
return 
BINT(AVAHI_DOMAIN_BROWSER_BROWSE);}  else 
{ /* Llib/avahi.scm 894 */
 bool_t BgL_test3117z00_4818;
if(
(BgL_btypez00_67==
((obj_t)
CNST_TABLE_REF(41))))
{ /* Llib/avahi.scm 894 */
BgL_test3117z00_4818 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
if(
(BgL_btypez00_67==
((obj_t)
CNST_TABLE_REF(42))))
{ /* Llib/avahi.scm 894 */
BgL_test3117z00_4818 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
BgL_test3117z00_4818 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_67, 
((obj_t)
CNST_TABLE_REF(44)))
; } } 
if(BgL_test3117z00_4818)
{ /* Llib/avahi.scm 894 */
return 
BINT(AVAHI_DOMAIN_BROWSER_BROWSE_DEFAULT);}  else 
{ /* Llib/avahi.scm 894 */
 bool_t BgL_test3120z00_4831;
if(
(BgL_btypez00_67==
((obj_t)
CNST_TABLE_REF(41))))
{ /* Llib/avahi.scm 894 */
BgL_test3120z00_4831 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
if(
(BgL_btypez00_67==
((obj_t)
CNST_TABLE_REF(42))))
{ /* Llib/avahi.scm 894 */
BgL_test3120z00_4831 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
BgL_test3120z00_4831 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_67, 
((obj_t)
CNST_TABLE_REF(45)))
; } } 
if(BgL_test3120z00_4831)
{ /* Llib/avahi.scm 894 */
return 
BINT(AVAHI_DOMAIN_BROWSER_REGISTER);}  else 
{ /* Llib/avahi.scm 894 */
 bool_t BgL_test3123z00_4844;
if(
(BgL_btypez00_67==
((obj_t)
CNST_TABLE_REF(41))))
{ /* Llib/avahi.scm 894 */
BgL_test3123z00_4844 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
if(
(BgL_btypez00_67==
((obj_t)
CNST_TABLE_REF(42))))
{ /* Llib/avahi.scm 894 */
BgL_test3123z00_4844 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
BgL_test3123z00_4844 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_67, 
((obj_t)
CNST_TABLE_REF(46)))
; } } 
if(BgL_test3123z00_4844)
{ /* Llib/avahi.scm 894 */
return 
BINT(AVAHI_DOMAIN_BROWSER_REGISTER_DEFAULT);}  else 
{ /* Llib/avahi.scm 894 */
 bool_t BgL_test3126z00_4857;
if(
(BgL_btypez00_67==
((obj_t)
CNST_TABLE_REF(41))))
{ /* Llib/avahi.scm 894 */
BgL_test3126z00_4857 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
if(
(BgL_btypez00_67==
((obj_t)
CNST_TABLE_REF(42))))
{ /* Llib/avahi.scm 894 */
BgL_test3126z00_4857 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
BgL_test3126z00_4857 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_67, 
((obj_t)
CNST_TABLE_REF(47)))
; } } 
if(BgL_test3126z00_4857)
{ /* Llib/avahi.scm 894 */
return 
BINT(AVAHI_DOMAIN_BROWSER_BROWSE_LEGACY);}  else 
{ /* Llib/avahi.scm 894 */
 bool_t BgL_test3129z00_4870;
if(
(BgL_btypez00_67==
((obj_t)
CNST_TABLE_REF(41))))
{ /* Llib/avahi.scm 894 */
BgL_test3129z00_4870 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
if(
(BgL_btypez00_67==
((obj_t)
CNST_TABLE_REF(42))))
{ /* Llib/avahi.scm 894 */
BgL_test3129z00_4870 = ((bool_t)1)
; }  else 
{ /* Llib/avahi.scm 894 */
BgL_test3129z00_4870 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_btypez00_67, 
((obj_t)
CNST_TABLE_REF(48)))
; } } 
if(BgL_test3129z00_4870)
{ /* Llib/avahi.scm 894 */
return 
BINT(AVAHI_DOMAIN_BROWSER_MAX);}  else 
{ /* Llib/avahi.scm 909 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1842z00_311;
{ /* Llib/avahi.scm 909 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1210z00_312;
{ /* Llib/avahi.scm 909 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1209z00_315;
BgL_new1209z00_315 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 909 */
 long BgL_arg1850z00_316;
BgL_arg1850z00_316 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1209z00_315), BgL_arg1850z00_316); } 
BgL_new1210z00_312 = BgL_new1209z00_315; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1210z00_312)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1210z00_312)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4891;
{ /* Llib/avahi.scm 909 */
 obj_t BgL_arg1848z00_313;
{ /* Llib/avahi.scm 909 */
 obj_t BgL_arg1849z00_314;
{ /* Llib/avahi.scm 909 */
 obj_t BgL_classz00_1804;
BgL_classz00_1804 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1849z00_314 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1804); } 
BgL_arg1848z00_313 = 
VECTOR_REF(BgL_arg1849z00_314,2L); } 
BgL_auxz00_4891 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1848z00_313); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1210z00_312)))->BgL_stackz00)=((obj_t)BgL_auxz00_4891),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1210z00_312)))->BgL_procz00)=((obj_t)BGl_string2510z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1210z00_312)))->BgL_msgz00)=((obj_t)BGl_string2511z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1210z00_312)))->BgL_objz00)=((obj_t)BgL_btypez00_67),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1210z00_312))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1842z00_311 = BgL_new1210z00_312; } 
BGL_TAIL return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1842z00_311));} } } } } } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
{ /* Llib/avahi.scm 50 */
 obj_t BgL_arg1854z00_332; obj_t BgL_arg1855z00_333;
{ /* Llib/avahi.scm 50 */
 obj_t BgL_v1235z00_350;
BgL_v1235z00_350 = 
create_vector(1L); 
{ /* Llib/avahi.scm 50 */
 obj_t BgL_arg1863z00_351;
BgL_arg1863z00_351 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(49)), BGl_proc2514z00zz__avahi_avahiz00, BGl_proc2513z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2512z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(50))); 
VECTOR_SET(BgL_v1235z00_350,0L,BgL_arg1863z00_351); } 
BgL_arg1854z00_332 = BgL_v1235z00_350; } 
{ /* Llib/avahi.scm 50 */
 obj_t BgL_v1236z00_364;
BgL_v1236z00_364 = 
create_vector(0L); 
BgL_arg1855z00_333 = BgL_v1236z00_364; } 
BGl_z62avahizd2errorzb0zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(51)), 
((obj_t)
CNST_TABLE_REF(52)), BGl_z62errorz62zz__objectz00, 37908L, BGl_proc2517z00zz__avahi_avahiz00, BGl_proc2516z00zz__avahi_avahiz00, BFALSE, BGl_proc2515z00zz__avahi_avahiz00, BFALSE, BgL_arg1854z00_332, BgL_arg1855z00_333); } 
{ /* Llib/avahi.scm 52 */
 obj_t BgL_arg1873z00_371; obj_t BgL_arg1874z00_372;
{ /* Llib/avahi.scm 52 */
 obj_t BgL_v1237z00_389;
BgL_v1237z00_389 = 
create_vector(0L); 
BgL_arg1873z00_371 = BgL_v1237z00_389; } 
{ /* Llib/avahi.scm 52 */
 obj_t BgL_v1238z00_390;
BgL_v1238z00_390 = 
create_vector(0L); 
BgL_arg1874z00_372 = BgL_v1238z00_390; } 
BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(53)), 
((obj_t)
CNST_TABLE_REF(52)), BGl_z62avahizd2errorzb0zz__avahi_avahiz00, 15882L, BGl_proc2520z00zz__avahi_avahiz00, BGl_proc2519z00zz__avahi_avahiz00, BFALSE, BGl_proc2518z00zz__avahi_avahiz00, BFALSE, BgL_arg1873z00_371, BgL_arg1874z00_372); } 
{ /* Llib/avahi.scm 54 */
 obj_t BgL_arg1882z00_396; obj_t BgL_arg1883z00_397;
{ /* Llib/avahi.scm 54 */
 obj_t BgL_v1239z00_403;
BgL_v1239z00_403 = 
create_vector(0L); 
BgL_arg1882z00_396 = BgL_v1239z00_403; } 
{ /* Llib/avahi.scm 54 */
 obj_t BgL_v1240z00_404;
BgL_v1240z00_404 = 
create_vector(0L); 
BgL_arg1883z00_397 = BgL_v1240z00_404; } 
BGl_avahizd2objectzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(54)), 
((obj_t)
CNST_TABLE_REF(52)), BGl_objectz00zz__objectz00, 39383L, BFALSE, BGl_proc2522z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2521z00zz__avahi_avahiz00, BFALSE, BgL_arg1882z00_396, BgL_arg1883z00_397); } 
{ /* Llib/avahi.scm 57 */
 obj_t BgL_arg1889z00_409; obj_t BgL_arg1890z00_410;
{ /* Llib/avahi.scm 57 */
 obj_t BgL_v1241z00_416;
BgL_v1241z00_416 = 
create_vector(2L); 
{ /* Llib/avahi.scm 57 */
 obj_t BgL_arg1894z00_417;
BgL_arg1894z00_417 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(55)), BGl_proc2525z00zz__avahi_avahiz00, BGl_proc2524z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2523z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(50))); 
VECTOR_SET(BgL_v1241z00_416,0L,BgL_arg1894z00_417); } 
{ /* Llib/avahi.scm 57 */
 obj_t BgL_arg1903z00_430;
BgL_arg1903z00_430 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(56)), BGl_proc2528z00zz__avahi_avahiz00, BGl_proc2527z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2526z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(57))); 
VECTOR_SET(BgL_v1241z00_416,1L,BgL_arg1903z00_430); } 
BgL_arg1889z00_409 = BgL_v1241z00_416; } 
{ /* Llib/avahi.scm 57 */
 obj_t BgL_v1242z00_443;
BgL_v1242z00_443 = 
create_vector(0L); 
BgL_arg1890z00_410 = BgL_v1242z00_443; } 
BGl_avahizd2pollzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(58)), 
((obj_t)
CNST_TABLE_REF(52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, 43719L, BFALSE, BGl_proc2530z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2529z00zz__avahi_avahiz00, BFALSE, BgL_arg1889z00_409, BgL_arg1890z00_410); } 
{ /* Llib/avahi.scm 61 */
 obj_t BgL_arg1913z00_449; obj_t BgL_arg1914z00_450;
{ /* Llib/avahi.scm 61 */
 obj_t BgL_v1243z00_464;
BgL_v1243z00_464 = 
create_vector(1L); 
{ /* Llib/avahi.scm 61 */
 obj_t BgL_arg1921z00_465;
BgL_arg1921z00_465 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(59)), BGl_proc2533z00zz__avahi_avahiz00, BGl_proc2532z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2531z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(60))); 
VECTOR_SET(BgL_v1243z00_464,0L,BgL_arg1921z00_465); } 
BgL_arg1913z00_449 = BgL_v1243z00_464; } 
{ /* Llib/avahi.scm 61 */
 obj_t BgL_v1244z00_478;
BgL_v1244z00_478 = 
create_vector(0L); 
BgL_arg1914z00_450 = BgL_v1244z00_478; } 
BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(61)), 
((obj_t)
CNST_TABLE_REF(52)), BGl_avahizd2pollzd2zz__avahi_avahiz00, 59689L, BGl_proc2536z00zz__avahi_avahiz00, BGl_proc2535z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2534z00zz__avahi_avahiz00, BFALSE, BgL_arg1913z00_449, BgL_arg1914z00_450); } 
{ /* Llib/avahi.scm 64 */
 obj_t BgL_arg1931z00_485; obj_t BgL_arg1932z00_486;
{ /* Llib/avahi.scm 64 */
 obj_t BgL_v1245z00_500;
BgL_v1245z00_500 = 
create_vector(1L); 
{ /* Llib/avahi.scm 64 */
 obj_t BgL_arg1939z00_501;
BgL_arg1939z00_501 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(59)), BGl_proc2539z00zz__avahi_avahiz00, BGl_proc2538z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2537z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(62))); 
VECTOR_SET(BgL_v1245z00_500,0L,BgL_arg1939z00_501); } 
BgL_arg1931z00_485 = BgL_v1245z00_500; } 
{ /* Llib/avahi.scm 64 */
 obj_t BgL_v1246z00_514;
BgL_v1246z00_514 = 
create_vector(0L); 
BgL_arg1932z00_486 = BgL_v1246z00_514; } 
BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(63)), 
((obj_t)
CNST_TABLE_REF(52)), BGl_avahizd2pollzd2zz__avahi_avahiz00, 39682L, BGl_proc2542z00zz__avahi_avahiz00, BGl_proc2541z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2540z00zz__avahi_avahiz00, BFALSE, BgL_arg1931z00_485, BgL_arg1932z00_486); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1949z00_521; obj_t BgL_arg1950z00_522;
{ /* Llib/avahi.scm 67 */
 obj_t BgL_v1247z00_540;
BgL_v1247z00_540 = 
create_vector(12L); 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1957z00_541;
BgL_arg1957z00_541 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(59)), BGl_proc2545z00zz__avahi_avahiz00, BGl_proc2544z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2543z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(64))); 
VECTOR_SET(BgL_v1247z00_540,0L,BgL_arg1957z00_541); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1964z00_554;
BgL_arg1964z00_554 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(65)), BGl_proc2547z00zz__avahi_avahiz00, BGl_proc2546z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2pollzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1247z00_540,1L,BgL_arg1964z00_554); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1969z00_564;
BgL_arg1969z00_564 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(66)), BGl_proc2550z00zz__avahi_avahiz00, BGl_proc2549z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2548z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(67))); 
VECTOR_SET(BgL_v1247z00_540,2L,BgL_arg1969z00_564); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1976z00_577;
BgL_arg1976z00_577 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(68)), BGl_proc2552z00zz__avahi_avahiz00, BGl_proc2551z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(69))); 
VECTOR_SET(BgL_v1247z00_540,3L,BgL_arg1976z00_577); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1981z00_587;
BgL_arg1981z00_587 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(70)), BGl_proc2555z00zz__avahi_avahiz00, BGl_proc2554z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2553z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(57))); 
VECTOR_SET(BgL_v1247z00_540,4L,BgL_arg1981z00_587); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1988z00_600;
BgL_arg1988z00_600 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(71)), BGl_proc2558z00zz__avahi_avahiz00, BGl_proc2557z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2556z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(57))); 
VECTOR_SET(BgL_v1247z00_540,5L,BgL_arg1988z00_600); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg1995z00_613;
BgL_arg1995z00_613 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(72)), BGl_proc2561z00zz__avahi_avahiz00, BGl_proc2560z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2559z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(57))); 
VECTOR_SET(BgL_v1247z00_540,6L,BgL_arg1995z00_613); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg2002z00_626;
BgL_arg2002z00_626 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(73)), BGl_proc2563z00zz__avahi_avahiz00, BGl_proc2562z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(74))); 
VECTOR_SET(BgL_v1247z00_540,7L,BgL_arg2002z00_626); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg2007z00_636;
BgL_arg2007z00_636 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(75)), BGl_proc2565z00zz__avahi_avahiz00, BGl_proc2564z00zz__avahi_avahiz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(74))); 
VECTOR_SET(BgL_v1247z00_540,8L,BgL_arg2007z00_636); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg2012z00_646;
BgL_arg2012z00_646 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(76)), BGl_proc2567z00zz__avahi_avahiz00, BGl_proc2566z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(74))); 
VECTOR_SET(BgL_v1247z00_540,9L,BgL_arg2012z00_646); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg2017z00_656;
BgL_arg2017z00_656 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(77)), BGl_proc2569z00zz__avahi_avahiz00, BGl_proc2568z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(74))); 
VECTOR_SET(BgL_v1247z00_540,10L,BgL_arg2017z00_656); } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_arg2022z00_666;
BgL_arg2022z00_666 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(78)), BGl_proc2571z00zz__avahi_avahiz00, BGl_proc2570z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(67))); 
VECTOR_SET(BgL_v1247z00_540,11L,BgL_arg2022z00_666); } 
BgL_arg1949z00_521 = BgL_v1247z00_540; } 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_v1248z00_676;
BgL_v1248z00_676 = 
create_vector(5L); 
{ /* Llib/avahi.scm 78 */
 obj_t BgL_arg2027z00_677;
{ /* Llib/avahi.scm 78 */
 obj_t BgL_arg2028z00_678;
BgL_arg2028z00_678 = 
MAKE_YOUNG_PAIR(BGl_proc2572z00zz__avahi_avahiz00, BFALSE); 
BgL_arg2027z00_677 = 
MAKE_YOUNG_PAIR(
BINT(0L), BgL_arg2028z00_678); } 
VECTOR_SET(BgL_v1248z00_676,0L,BgL_arg2027z00_677); } 
{ /* Llib/avahi.scm 83 */
 obj_t BgL_arg2036z00_691;
{ /* Llib/avahi.scm 83 */
 obj_t BgL_arg2037z00_692;
BgL_arg2037z00_692 = 
MAKE_YOUNG_PAIR(BGl_proc2573z00zz__avahi_avahiz00, BGl_proc2574z00zz__avahi_avahiz00); 
BgL_arg2036z00_691 = 
MAKE_YOUNG_PAIR(
BINT(1L), BgL_arg2037z00_692); } 
VECTOR_SET(BgL_v1248z00_676,1L,BgL_arg2036z00_691); } 
{ /* Llib/avahi.scm 92 */
 obj_t BgL_arg2052z00_719;
{ /* Llib/avahi.scm 92 */
 obj_t BgL_arg2053z00_720;
BgL_arg2053z00_720 = 
MAKE_YOUNG_PAIR(BGl_proc2575z00zz__avahi_avahiz00, BFALSE); 
BgL_arg2052z00_719 = 
MAKE_YOUNG_PAIR(
BINT(2L), BgL_arg2053z00_720); } 
VECTOR_SET(BgL_v1248z00_676,2L,BgL_arg2052z00_719); } 
{ /* Llib/avahi.scm 98 */
 obj_t BgL_arg2061z00_733;
{ /* Llib/avahi.scm 98 */
 obj_t BgL_arg2062z00_734;
BgL_arg2062z00_734 = 
MAKE_YOUNG_PAIR(BGl_proc2576z00zz__avahi_avahiz00, BFALSE); 
BgL_arg2061z00_733 = 
MAKE_YOUNG_PAIR(
BINT(3L), BgL_arg2062z00_734); } 
VECTOR_SET(BgL_v1248z00_676,3L,BgL_arg2061z00_733); } 
{ /* Llib/avahi.scm 104 */
 obj_t BgL_arg2070z00_747;
{ /* Llib/avahi.scm 104 */
 obj_t BgL_arg2071z00_748;
BgL_arg2071z00_748 = 
MAKE_YOUNG_PAIR(BGl_proc2577z00zz__avahi_avahiz00, BFALSE); 
BgL_arg2070z00_747 = 
MAKE_YOUNG_PAIR(
BINT(4L), BgL_arg2071z00_748); } 
VECTOR_SET(BgL_v1248z00_676,4L,BgL_arg2070z00_747); } 
BgL_arg1950z00_522 = BgL_v1248z00_676; } 
BGl_avahizd2clientzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(79)), 
((obj_t)
CNST_TABLE_REF(52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, 28649L, BGl_proc2580z00zz__avahi_avahiz00, BGl_proc2579z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2578z00zz__avahi_avahiz00, BFALSE, BgL_arg1949z00_521, BgL_arg1950z00_522); } 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_arg2083z00_768; obj_t BgL_arg2084z00_769;
{ /* Llib/avahi.scm 110 */
 obj_t BgL_v1249z00_783;
BgL_v1249z00_783 = 
create_vector(3L); 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_arg2091z00_784;
BgL_arg2091z00_784 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(59)), BGl_proc2583z00zz__avahi_avahiz00, BGl_proc2582z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2581z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(80))); 
VECTOR_SET(BgL_v1249z00_783,0L,BgL_arg2091z00_784); } 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_arg2098z00_797;
BgL_arg2098z00_797 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(81)), BGl_proc2585z00zz__avahi_avahiz00, BGl_proc2584z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1249z00_783,1L,BgL_arg2098z00_797); } 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_arg2103z00_807;
BgL_arg2103z00_807 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(68)), BGl_proc2587z00zz__avahi_avahiz00, BGl_proc2586z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(69))); 
VECTOR_SET(BgL_v1249z00_783,2L,BgL_arg2103z00_807); } 
BgL_arg2083z00_768 = BgL_v1249z00_783; } 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_v1250z00_817;
BgL_v1250z00_817 = 
create_vector(0L); 
BgL_arg2084z00_769 = BgL_v1250z00_817; } 
BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(82)), 
((obj_t)
CNST_TABLE_REF(52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, 3478L, BGl_proc2590z00zz__avahi_avahiz00, BGl_proc2589z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2588z00zz__avahi_avahiz00, BFALSE, BgL_arg2083z00_768, BgL_arg2084z00_769); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2111z00_824; obj_t BgL_arg2112z00_825;
{ /* Llib/avahi.scm 115 */
 obj_t BgL_v1251z00_843;
BgL_v1251z00_843 = 
create_vector(7L); 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2119z00_844;
BgL_arg2119z00_844 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(59)), BGl_proc2593z00zz__avahi_avahiz00, BGl_proc2592z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2591z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(83))); 
VECTOR_SET(BgL_v1251z00_843,0L,BgL_arg2119z00_844); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2126z00_857;
BgL_arg2126z00_857 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(81)), BGl_proc2595z00zz__avahi_avahiz00, BGl_proc2594z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1251z00_843,1L,BgL_arg2126z00_857); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2131z00_867;
BgL_arg2131z00_867 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(68)), BGl_proc2597z00zz__avahi_avahiz00, BGl_proc2596z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(69))); 
VECTOR_SET(BgL_v1251z00_843,2L,BgL_arg2131z00_867); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2136z00_877;
BgL_arg2136z00_877 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(84)), BGl_proc2599z00zz__avahi_avahiz00, BGl_proc2598z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(74))); 
VECTOR_SET(BgL_v1251z00_843,3L,BgL_arg2136z00_877); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2141z00_887;
BgL_arg2141z00_887 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(85)), BGl_proc2602z00zz__avahi_avahiz00, BGl_proc2601z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2600z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(74))); 
VECTOR_SET(BgL_v1251z00_843,4L,BgL_arg2141z00_887); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2148z00_900;
BgL_arg2148z00_900 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(86)), BGl_proc2605z00zz__avahi_avahiz00, BGl_proc2604z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2603z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(87))); 
VECTOR_SET(BgL_v1251z00_843,5L,BgL_arg2148z00_900); } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_arg2155z00_913;
BgL_arg2155z00_913 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(88)), BGl_proc2608z00zz__avahi_avahiz00, BGl_proc2607z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2606z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(67))); 
VECTOR_SET(BgL_v1251z00_843,6L,BgL_arg2155z00_913); } 
BgL_arg2111z00_824 = BgL_v1251z00_843; } 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_v1252z00_926;
BgL_v1252z00_926 = 
create_vector(0L); 
BgL_arg2112z00_825 = BgL_v1252z00_926; } 
BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(89)), 
((obj_t)
CNST_TABLE_REF(52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, 32084L, BGl_proc2611z00zz__avahi_avahiz00, BGl_proc2610z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2609z00zz__avahi_avahiz00, BFALSE, BgL_arg2111z00_824, BgL_arg2112z00_825); } 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_arg2165z00_933; obj_t BgL_arg2166z00_934;
{ /* Llib/avahi.scm 124 */
 obj_t BgL_v1253z00_949;
BgL_v1253z00_949 = 
create_vector(4L); 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_arg2173z00_950;
BgL_arg2173z00_950 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(59)), BGl_proc2614z00zz__avahi_avahiz00, BGl_proc2613z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2612z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(90))); 
VECTOR_SET(BgL_v1253z00_949,0L,BgL_arg2173z00_950); } 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_arg2180z00_963;
BgL_arg2180z00_963 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(81)), BGl_proc2616z00zz__avahi_avahiz00, BGl_proc2615z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1253z00_949,1L,BgL_arg2180z00_963); } 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_arg2185z00_973;
BgL_arg2185z00_973 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(68)), BGl_proc2618z00zz__avahi_avahiz00, BGl_proc2617z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(69))); 
VECTOR_SET(BgL_v1253z00_949,2L,BgL_arg2185z00_973); } 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_arg2190z00_983;
BgL_arg2190z00_983 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(85)), BGl_proc2621z00zz__avahi_avahiz00, BGl_proc2620z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2619z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(74))); 
VECTOR_SET(BgL_v1253z00_949,3L,BgL_arg2190z00_983); } 
BgL_arg2165z00_933 = BgL_v1253z00_949; } 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_v1254z00_996;
BgL_v1254z00_996 = 
create_vector(0L); 
BgL_arg2166z00_934 = BgL_v1254z00_996; } 
BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(91)), 
((obj_t)
CNST_TABLE_REF(52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, 22928L, BGl_proc2624z00zz__avahi_avahiz00, BGl_proc2623z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2622z00zz__avahi_avahiz00, BFALSE, BgL_arg2165z00_933, BgL_arg2166z00_934); } 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_arg2200z00_1003; obj_t BgL_arg2201z00_1004;
{ /* Llib/avahi.scm 130 */
 obj_t BgL_v1255z00_1020;
BgL_v1255z00_1020 = 
create_vector(5L); 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_arg2208z00_1021;
BgL_arg2208z00_1021 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(59)), BGl_proc2627z00zz__avahi_avahiz00, BGl_proc2626z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2625z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(92))); 
VECTOR_SET(BgL_v1255z00_1020,0L,BgL_arg2208z00_1021); } 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_arg2215z00_1034;
BgL_arg2215z00_1034 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(81)), BGl_proc2629z00zz__avahi_avahiz00, BGl_proc2628z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1255z00_1020,1L,BgL_arg2215z00_1034); } 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_arg2220z00_1044;
BgL_arg2220z00_1044 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(68)), BGl_proc2631z00zz__avahi_avahiz00, BGl_proc2630z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(69))); 
VECTOR_SET(BgL_v1255z00_1020,2L,BgL_arg2220z00_1044); } 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_arg2225z00_1054;
BgL_arg2225z00_1054 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(42)), BGl_proc2634z00zz__avahi_avahiz00, BGl_proc2633z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2632z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(67))); 
VECTOR_SET(BgL_v1255z00_1020,3L,BgL_arg2225z00_1054); } 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_arg2232z00_1067;
BgL_arg2232z00_1067 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(85)), BGl_proc2637z00zz__avahi_avahiz00, BGl_proc2636z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2635z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(74))); 
VECTOR_SET(BgL_v1255z00_1020,4L,BgL_arg2232z00_1067); } 
BgL_arg2200z00_1003 = BgL_v1255z00_1020; } 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_v1256z00_1080;
BgL_v1256z00_1080 = 
create_vector(0L); 
BgL_arg2201z00_1004 = BgL_v1256z00_1080; } 
BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(93)), 
((obj_t)
CNST_TABLE_REF(52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, 49790L, BGl_proc2640z00zz__avahi_avahiz00, BGl_proc2639z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2638z00zz__avahi_avahiz00, BFALSE, BgL_arg2200z00_1003, BgL_arg2201z00_1004); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2242z00_1087; obj_t BgL_arg2243z00_1088;
{ /* Llib/avahi.scm 137 */
 obj_t BgL_v1257z00_1107;
BgL_v1257z00_1107 = 
create_vector(8L); 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2250z00_1108;
BgL_arg2250z00_1108 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(59)), BGl_proc2643z00zz__avahi_avahiz00, BGl_proc2642z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2641z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(94))); 
VECTOR_SET(BgL_v1257z00_1107,0L,BgL_arg2250z00_1108); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2257z00_1121;
BgL_arg2257z00_1121 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(81)), BGl_proc2645z00zz__avahi_avahiz00, BGl_proc2644z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_avahizd2clientzd2zz__avahi_avahiz00); 
VECTOR_SET(BgL_v1257z00_1107,1L,BgL_arg2257z00_1121); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2262z00_1131;
BgL_arg2262z00_1131 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(68)), BGl_proc2647z00zz__avahi_avahiz00, BGl_proc2646z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(69))); 
VECTOR_SET(BgL_v1257z00_1107,2L,BgL_arg2262z00_1131); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2267z00_1141;
BgL_arg2267z00_1141 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(86)), BGl_proc2649z00zz__avahi_avahiz00, BGl_proc2648z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(87))); 
VECTOR_SET(BgL_v1257z00_1107,3L,BgL_arg2267z00_1141); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2272z00_1151;
BgL_arg2272z00_1151 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(88)), BGl_proc2651z00zz__avahi_avahiz00, BGl_proc2650z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(67))); 
VECTOR_SET(BgL_v1257z00_1107,4L,BgL_arg2272z00_1151); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2277z00_1161;
BgL_arg2277z00_1161 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(95)), BGl_proc2653z00zz__avahi_avahiz00, BGl_proc2652z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(74))); 
VECTOR_SET(BgL_v1257z00_1107,5L,BgL_arg2277z00_1161); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2282z00_1171;
BgL_arg2282z00_1171 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(84)), BGl_proc2655z00zz__avahi_avahiz00, BGl_proc2654z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(74))); 
VECTOR_SET(BgL_v1257z00_1107,6L,BgL_arg2282z00_1171); } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_arg2287z00_1181;
BgL_arg2287z00_1181 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(85)), BGl_proc2658z00zz__avahi_avahiz00, BGl_proc2657z00zz__avahi_avahiz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2656z00zz__avahi_avahiz00, 
((obj_t)
CNST_TABLE_REF(74))); 
VECTOR_SET(BgL_v1257z00_1107,7L,BgL_arg2287z00_1181); } 
BgL_arg2242z00_1087 = BgL_v1257z00_1107; } 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_v1258z00_1194;
BgL_v1258z00_1194 = 
create_vector(0L); 
BgL_arg2243z00_1088 = BgL_v1258z00_1194; } 
return ( 
BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(96)), 
((obj_t)
CNST_TABLE_REF(52)), BGl_avahizd2objectzd2zz__avahi_avahiz00, 20996L, BGl_proc2661z00zz__avahi_avahiz00, BGl_proc2660z00zz__avahi_avahiz00, BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2659z00zz__avahi_avahiz00, BFALSE, BgL_arg2242z00_1087, BgL_arg2243z00_1088), BUNSPEC) ;} } 

}



/* &<@anonymous:2249> */
obj_t BGl_z62zc3z04anonymousza32249ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2373, obj_t BgL_new1140z00_2374)
{
{ /* Llib/avahi.scm 137 */
{ 
 BgL_avahizd2servicezd2resolverz00_bglt BgL_auxz00_5262;
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2374)))->BgL_z42builtinz42)=((AvahiServiceResolver *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_5266;
{ /* Llib/avahi.scm 137 */
 obj_t BgL_classz00_2927;
BgL_classz00_2927 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 137 */
 obj_t BgL__ortest_1116z00_2928;
BgL__ortest_1116z00_2928 = 
BGL_CLASS_NIL(BgL_classz00_2927); 
if(
CBOOL(BgL__ortest_1116z00_2928))
{ /* Llib/avahi.scm 137 */
BgL_auxz00_5266 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1116z00_2928)
; }  else 
{ /* Llib/avahi.scm 137 */
BgL_auxz00_5266 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2927))
; } } } 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2374)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_5266),BUNSPEC); } 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2374)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2374)))->BgL_interfacez00)=((AvahiIfIndex)
0L),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2374)))->BgL_protocolz00)=((obj_t)
((obj_t)
CNST_TABLE_REF(97))),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2374)))->BgL_namez00)=((obj_t)BGl_string2662z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2374)))->BgL_typez00)=((obj_t)BGl_string2662z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2374)))->BgL_domainz00)=((obj_t)BGl_string2662z00zz__avahi_avahiz00),BUNSPEC); 
BgL_auxz00_5262 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_new1140z00_2374); 
return 
((obj_t)BgL_auxz00_5262);} } 

}



/* &lambda2247 */
BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2247z62zz__avahi_avahiz00(obj_t BgL_envz00_2375)
{
{ /* Llib/avahi.scm 137 */
{ /* Llib/avahi.scm 137 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_new1139z00_2929;
BgL_new1139z00_2929 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2resolverz00_bgl) ))); 
{ /* Llib/avahi.scm 137 */
 long BgL_arg2248z00_2930;
BgL_arg2248z00_2930 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1139z00_2929), BgL_arg2248z00_2930); } 
return BgL_new1139z00_2929;} } 

}



/* &lambda2244 */
BgL_avahizd2servicezd2resolverz00_bglt BGl_z62lambda2244z62zz__avahi_avahiz00(obj_t BgL_envz00_2376, obj_t BgL_z42builtin1131z42_2377, obj_t BgL_client1132z00_2378, obj_t BgL_proc1133z00_2379, obj_t BgL_interface1134z00_2380, obj_t BgL_protocol1135z00_2381, obj_t BgL_name1136z00_2382, obj_t BgL_type1137z00_2383, obj_t BgL_domain1138z00_2384)
{
{ /* Llib/avahi.scm 137 */
{ /* Llib/avahi.scm 137 */
 AvahiServiceResolver * BgL_z42builtin1131z42_2931; AvahiIfIndex BgL_interface1134z00_2934;
BgL_z42builtin1131z42_2931 = 
FOREIGN_TO_COBJ(BgL_z42builtin1131z42_2377); 
BgL_interface1134z00_2934 = 
(long)CINT(BgL_interface1134z00_2380); 
{ /* Llib/avahi.scm 137 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_new1230z00_2939;
{ /* Llib/avahi.scm 137 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_new1229z00_2940;
BgL_new1229z00_2940 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2resolverz00_bgl) ))); 
{ /* Llib/avahi.scm 137 */
 long BgL_arg2246z00_2941;
BgL_arg2246z00_2941 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1229z00_2940), BgL_arg2246z00_2941); } 
BgL_new1230z00_2939 = BgL_new1229z00_2940; } 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2939))->BgL_z42builtinz42)=((AvahiServiceResolver *)BgL_z42builtin1131z42_2931),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2939))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1132z00_2378)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2939))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1133z00_2379)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2939))->BgL_interfacez00)=((AvahiIfIndex)BgL_interface1134z00_2934),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2939))->BgL_protocolz00)=((obj_t)
((obj_t)BgL_protocol1135z00_2381)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2939))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1136z00_2382)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2939))->BgL_typez00)=((obj_t)
((obj_t)BgL_type1137z00_2383)),BUNSPEC); 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(BgL_new1230z00_2939))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1138z00_2384)),BUNSPEC); 
{ /* Llib/avahi.scm 137 */
 obj_t BgL_fun2245z00_2942;
BgL_fun2245z00_2942 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00); 
BGL_PROCEDURE_CALL1(BgL_fun2245z00_2942, 
((obj_t)BgL_new1230z00_2939)); } 
return BgL_new1230z00_2939;} } } 

}



/* &<@anonymous:2293> */
obj_t BGl_z62zc3z04anonymousza32293ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2385)
{
{ /* Llib/avahi.scm 137 */
return BGl_string2662z00zz__avahi_avahiz00;} 

}



/* &lambda2292 */
obj_t BGl_z62lambda2292z62zz__avahi_avahiz00(obj_t BgL_envz00_2386, obj_t BgL_oz00_2387, obj_t BgL_vz00_2388)
{
{ /* Llib/avahi.scm 137 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2387)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2388)),BUNSPEC);} 

}



/* &lambda2291 */
obj_t BGl_z62lambda2291z62zz__avahi_avahiz00(obj_t BgL_envz00_2389, obj_t BgL_oz00_2390)
{
{ /* Llib/avahi.scm 137 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2390)))->BgL_domainz00);} 

}



/* &lambda2286 */
obj_t BGl_z62lambda2286z62zz__avahi_avahiz00(obj_t BgL_envz00_2391, obj_t BgL_oz00_2392, obj_t BgL_vz00_2393)
{
{ /* Llib/avahi.scm 137 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2392)))->BgL_typez00)=((obj_t)
((obj_t)BgL_vz00_2393)),BUNSPEC);} 

}



/* &lambda2285 */
obj_t BGl_z62lambda2285z62zz__avahi_avahiz00(obj_t BgL_envz00_2394, obj_t BgL_oz00_2395)
{
{ /* Llib/avahi.scm 137 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2395)))->BgL_typez00);} 

}



/* &lambda2281 */
obj_t BGl_z62lambda2281z62zz__avahi_avahiz00(obj_t BgL_envz00_2396, obj_t BgL_oz00_2397, obj_t BgL_vz00_2398)
{
{ /* Llib/avahi.scm 137 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2397)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_2398)),BUNSPEC);} 

}



/* &lambda2280 */
obj_t BGl_z62lambda2280z62zz__avahi_avahiz00(obj_t BgL_envz00_2399, obj_t BgL_oz00_2400)
{
{ /* Llib/avahi.scm 137 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2400)))->BgL_namez00);} 

}



/* &lambda2276 */
obj_t BGl_z62lambda2276z62zz__avahi_avahiz00(obj_t BgL_envz00_2401, obj_t BgL_oz00_2402, obj_t BgL_vz00_2403)
{
{ /* Llib/avahi.scm 137 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2402)))->BgL_protocolz00)=((obj_t)
((obj_t)BgL_vz00_2403)),BUNSPEC);} 

}



/* &lambda2275 */
obj_t BGl_z62lambda2275z62zz__avahi_avahiz00(obj_t BgL_envz00_2404, obj_t BgL_oz00_2405)
{
{ /* Llib/avahi.scm 137 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2405)))->BgL_protocolz00);} 

}



/* &lambda2271 */
obj_t BGl_z62lambda2271z62zz__avahi_avahiz00(obj_t BgL_envz00_2406, obj_t BgL_oz00_2407, obj_t BgL_vz00_2408)
{
{ /* Llib/avahi.scm 137 */
{ /* Llib/avahi.scm 137 */
 AvahiIfIndex BgL_vz00_2956;
BgL_vz00_2956 = 
(long)CINT(BgL_vz00_2408); 
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2407)))->BgL_interfacez00)=((AvahiIfIndex)BgL_vz00_2956),BUNSPEC);} } 

}



/* &lambda2270 */
obj_t BGl_z62lambda2270z62zz__avahi_avahiz00(obj_t BgL_envz00_2409, obj_t BgL_oz00_2410)
{
{ /* Llib/avahi.scm 137 */
return 
BINT(
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2410)))->BgL_interfacez00));} 

}



/* &lambda2266 */
obj_t BGl_z62lambda2266z62zz__avahi_avahiz00(obj_t BgL_envz00_2411, obj_t BgL_oz00_2412, obj_t BgL_vz00_2413)
{
{ /* Llib/avahi.scm 137 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2412)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2413)),BUNSPEC);} 

}



/* &lambda2265 */
obj_t BGl_z62lambda2265z62zz__avahi_avahiz00(obj_t BgL_envz00_2414, obj_t BgL_oz00_2415)
{
{ /* Llib/avahi.scm 137 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2415)))->BgL_procz00);} 

}



/* &lambda2261 */
obj_t BGl_z62lambda2261z62zz__avahi_avahiz00(obj_t BgL_envz00_2416, obj_t BgL_oz00_2417, obj_t BgL_vz00_2418)
{
{ /* Llib/avahi.scm 137 */
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2417)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2418)),BUNSPEC);} 

}



/* &lambda2260 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2260z62zz__avahi_avahiz00(obj_t BgL_envz00_2419, obj_t BgL_oz00_2420)
{
{ /* Llib/avahi.scm 137 */
return 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2420)))->BgL_clientz00);} 

}



/* &<@anonymous:2256> */
obj_t BGl_z62zc3z04anonymousza32256ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2421)
{
{ /* Llib/avahi.scm 137 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2255 */
obj_t BGl_z62lambda2255z62zz__avahi_avahiz00(obj_t BgL_envz00_2422, obj_t BgL_oz00_2423, obj_t BgL_vz00_2424)
{
{ /* Llib/avahi.scm 137 */
{ /* Llib/avahi.scm 137 */
 AvahiServiceResolver * BgL_vz00_2965;
BgL_vz00_2965 = 
FOREIGN_TO_COBJ(BgL_vz00_2424); 
return 
((((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2423)))->BgL_z42builtinz42)=((AvahiServiceResolver *)BgL_vz00_2965),BUNSPEC);} } 

}



/* &lambda2254 */
obj_t BGl_z62lambda2254z62zz__avahi_avahiz00(obj_t BgL_envz00_2425, obj_t BgL_oz00_2426)
{
{ /* Llib/avahi.scm 137 */
return 
void_star_to_obj(
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2426)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2207> */
obj_t BGl_z62zc3z04anonymousza32207ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2427, obj_t BgL_new1129z00_2428)
{
{ /* Llib/avahi.scm 130 */
{ 
 BgL_avahizd2domainzd2browserz00_bglt BgL_auxz00_5366;
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2428)))->BgL_z42builtinz42)=((AvahiDomainBrowser *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_5370;
{ /* Llib/avahi.scm 130 */
 obj_t BgL_classz00_2968;
BgL_classz00_2968 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 130 */
 obj_t BgL__ortest_1116z00_2969;
BgL__ortest_1116z00_2969 = 
BGL_CLASS_NIL(BgL_classz00_2968); 
if(
CBOOL(BgL__ortest_1116z00_2969))
{ /* Llib/avahi.scm 130 */
BgL_auxz00_5370 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1116z00_2969)
; }  else 
{ /* Llib/avahi.scm 130 */
BgL_auxz00_5370 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2968))
; } } } 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2428)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_5370),BUNSPEC); } 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2428)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2428)))->BgL_btypez00)=((obj_t)
((obj_t)
CNST_TABLE_REF(97))),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2428)))->BgL_domainz00)=((obj_t)BGl_string2662z00zz__avahi_avahiz00),BUNSPEC); 
BgL_auxz00_5366 = 
((BgL_avahizd2domainzd2browserz00_bglt)BgL_new1129z00_2428); 
return 
((obj_t)BgL_auxz00_5366);} } 

}



/* &lambda2205 */
BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2205z62zz__avahi_avahiz00(obj_t BgL_envz00_2429)
{
{ /* Llib/avahi.scm 130 */
{ /* Llib/avahi.scm 130 */
 BgL_avahizd2domainzd2browserz00_bglt BgL_new1128z00_2970;
BgL_new1128z00_2970 = 
((BgL_avahizd2domainzd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2domainzd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 130 */
 long BgL_arg2206z00_2971;
BgL_arg2206z00_2971 = 
BGL_CLASS_NUM(BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1128z00_2970), BgL_arg2206z00_2971); } 
return BgL_new1128z00_2970;} } 

}



/* &lambda2202 */
BgL_avahizd2domainzd2browserz00_bglt BGl_z62lambda2202z62zz__avahi_avahiz00(obj_t BgL_envz00_2430, obj_t BgL_z42builtin1123z42_2431, obj_t BgL_client1124z00_2432, obj_t BgL_proc1125z00_2433, obj_t BgL_btype1126z00_2434, obj_t BgL_domain1127z00_2435)
{
{ /* Llib/avahi.scm 130 */
{ /* Llib/avahi.scm 130 */
 AvahiDomainBrowser * BgL_z42builtin1123z42_2972;
BgL_z42builtin1123z42_2972 = 
FOREIGN_TO_COBJ(BgL_z42builtin1123z42_2431); 
{ /* Llib/avahi.scm 130 */
 BgL_avahizd2domainzd2browserz00_bglt BgL_new1228z00_2977;
{ /* Llib/avahi.scm 130 */
 BgL_avahizd2domainzd2browserz00_bglt BgL_new1227z00_2978;
BgL_new1227z00_2978 = 
((BgL_avahizd2domainzd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2domainzd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 130 */
 long BgL_arg2204z00_2979;
BgL_arg2204z00_2979 = 
BGL_CLASS_NUM(BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1227z00_2978), BgL_arg2204z00_2979); } 
BgL_new1228z00_2977 = BgL_new1227z00_2978; } 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1228z00_2977))->BgL_z42builtinz42)=((AvahiDomainBrowser *)BgL_z42builtin1123z42_2972),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1228z00_2977))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1124z00_2432)),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1228z00_2977))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1125z00_2433)),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1228z00_2977))->BgL_btypez00)=((obj_t)
((obj_t)BgL_btype1126z00_2434)),BUNSPEC); 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(BgL_new1228z00_2977))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1127z00_2435)),BUNSPEC); 
{ /* Llib/avahi.scm 130 */
 obj_t BgL_fun2203z00_2980;
BgL_fun2203z00_2980 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00); 
BGL_PROCEDURE_CALL1(BgL_fun2203z00_2980, 
((obj_t)BgL_new1228z00_2977)); } 
return BgL_new1228z00_2977;} } } 

}



/* &<@anonymous:2238> */
obj_t BGl_z62zc3z04anonymousza32238ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2436)
{
{ /* Llib/avahi.scm 130 */
return BGl_string2662z00zz__avahi_avahiz00;} 

}



/* &lambda2237 */
obj_t BGl_z62lambda2237z62zz__avahi_avahiz00(obj_t BgL_envz00_2437, obj_t BgL_oz00_2438, obj_t BgL_vz00_2439)
{
{ /* Llib/avahi.scm 130 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2438)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2439)),BUNSPEC);} 

}



/* &lambda2236 */
obj_t BGl_z62lambda2236z62zz__avahi_avahiz00(obj_t BgL_envz00_2440, obj_t BgL_oz00_2441)
{
{ /* Llib/avahi.scm 130 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2441)))->BgL_domainz00);} 

}



/* &<@anonymous:2231> */
obj_t BGl_z62zc3z04anonymousza32231ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2442)
{
{ /* Llib/avahi.scm 130 */
return 
((obj_t)
CNST_TABLE_REF(98));} 

}



/* &lambda2230 */
obj_t BGl_z62lambda2230z62zz__avahi_avahiz00(obj_t BgL_envz00_2443, obj_t BgL_oz00_2444, obj_t BgL_vz00_2445)
{
{ /* Llib/avahi.scm 130 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2444)))->BgL_btypez00)=((obj_t)
((obj_t)BgL_vz00_2445)),BUNSPEC);} 

}



/* &lambda2229 */
obj_t BGl_z62lambda2229z62zz__avahi_avahiz00(obj_t BgL_envz00_2446, obj_t BgL_oz00_2447)
{
{ /* Llib/avahi.scm 130 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2447)))->BgL_btypez00);} 

}



/* &lambda2224 */
obj_t BGl_z62lambda2224z62zz__avahi_avahiz00(obj_t BgL_envz00_2448, obj_t BgL_oz00_2449, obj_t BgL_vz00_2450)
{
{ /* Llib/avahi.scm 130 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2449)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2450)),BUNSPEC);} 

}



/* &lambda2223 */
obj_t BGl_z62lambda2223z62zz__avahi_avahiz00(obj_t BgL_envz00_2451, obj_t BgL_oz00_2452)
{
{ /* Llib/avahi.scm 130 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2452)))->BgL_procz00);} 

}



/* &lambda2219 */
obj_t BGl_z62lambda2219z62zz__avahi_avahiz00(obj_t BgL_envz00_2453, obj_t BgL_oz00_2454, obj_t BgL_vz00_2455)
{
{ /* Llib/avahi.scm 130 */
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2454)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2455)),BUNSPEC);} 

}



/* &lambda2218 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2218z62zz__avahi_avahiz00(obj_t BgL_envz00_2456, obj_t BgL_oz00_2457)
{
{ /* Llib/avahi.scm 130 */
return 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2457)))->BgL_clientz00);} 

}



/* &<@anonymous:2214> */
obj_t BGl_z62zc3z04anonymousza32214ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2458)
{
{ /* Llib/avahi.scm 130 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2213 */
obj_t BGl_z62lambda2213z62zz__avahi_avahiz00(obj_t BgL_envz00_2459, obj_t BgL_oz00_2460, obj_t BgL_vz00_2461)
{
{ /* Llib/avahi.scm 130 */
{ /* Llib/avahi.scm 130 */
 AvahiDomainBrowser * BgL_vz00_2994;
BgL_vz00_2994 = 
FOREIGN_TO_COBJ(BgL_vz00_2461); 
return 
((((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2460)))->BgL_z42builtinz42)=((AvahiDomainBrowser *)BgL_vz00_2994),BUNSPEC);} } 

}



/* &lambda2212 */
obj_t BGl_z62lambda2212z62zz__avahi_avahiz00(obj_t BgL_envz00_2462, obj_t BgL_oz00_2463)
{
{ /* Llib/avahi.scm 130 */
return 
void_star_to_obj(
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2463)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2172> */
obj_t BGl_z62zc3z04anonymousza32172ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2464, obj_t BgL_new1121z00_2465)
{
{ /* Llib/avahi.scm 124 */
{ 
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_auxz00_5443;
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2465)))->BgL_z42builtinz42)=((AvahiServiceTypeBrowser *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_5447;
{ /* Llib/avahi.scm 124 */
 obj_t BgL_classz00_2997;
BgL_classz00_2997 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 124 */
 obj_t BgL__ortest_1116z00_2998;
BgL__ortest_1116z00_2998 = 
BGL_CLASS_NIL(BgL_classz00_2997); 
if(
CBOOL(BgL__ortest_1116z00_2998))
{ /* Llib/avahi.scm 124 */
BgL_auxz00_5447 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1116z00_2998)
; }  else 
{ /* Llib/avahi.scm 124 */
BgL_auxz00_5447 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2997))
; } } } 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2465)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_5447),BUNSPEC); } 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2465)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2465)))->BgL_domainz00)=((obj_t)BGl_string2662z00zz__avahi_avahiz00),BUNSPEC); 
BgL_auxz00_5443 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_new1121z00_2465); 
return 
((obj_t)BgL_auxz00_5443);} } 

}



/* &lambda2170 */
BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2170z62zz__avahi_avahiz00(obj_t BgL_envz00_2466)
{
{ /* Llib/avahi.scm 124 */
{ /* Llib/avahi.scm 124 */
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_new1120z00_2999;
BgL_new1120z00_2999 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2typezd2browserzd2_bgl) ))); 
{ /* Llib/avahi.scm 124 */
 long BgL_arg2171z00_3000;
BgL_arg2171z00_3000 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_2999), BgL_arg2171z00_3000); } 
return BgL_new1120z00_2999;} } 

}



/* &lambda2167 */
BgL_avahizd2servicezd2typezd2browserzd2_bglt BGl_z62lambda2167z62zz__avahi_avahiz00(obj_t BgL_envz00_2467, obj_t BgL_z42builtin1116z42_2468, obj_t BgL_client1117z00_2469, obj_t BgL_proc1118z00_2470, obj_t BgL_domain1119z00_2471)
{
{ /* Llib/avahi.scm 124 */
{ /* Llib/avahi.scm 124 */
 AvahiServiceTypeBrowser * BgL_z42builtin1116z42_3001;
BgL_z42builtin1116z42_3001 = 
FOREIGN_TO_COBJ(BgL_z42builtin1116z42_2468); 
{ /* Llib/avahi.scm 124 */
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_new1226z00_3005;
{ /* Llib/avahi.scm 124 */
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_new1225z00_3006;
BgL_new1225z00_3006 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2typezd2browserzd2_bgl) ))); 
{ /* Llib/avahi.scm 124 */
 long BgL_arg2169z00_3007;
BgL_arg2169z00_3007 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1225z00_3006), BgL_arg2169z00_3007); } 
BgL_new1226z00_3005 = BgL_new1225z00_3006; } 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1226z00_3005))->BgL_z42builtinz42)=((AvahiServiceTypeBrowser *)BgL_z42builtin1116z42_3001),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1226z00_3005))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1117z00_2469)),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1226z00_3005))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1118z00_2470)),BUNSPEC); 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(BgL_new1226z00_3005))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1119z00_2471)),BUNSPEC); 
{ /* Llib/avahi.scm 124 */
 obj_t BgL_fun2168z00_3008;
BgL_fun2168z00_3008 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00); 
BGL_PROCEDURE_CALL1(BgL_fun2168z00_3008, 
((obj_t)BgL_new1226z00_3005)); } 
return BgL_new1226z00_3005;} } } 

}



/* &<@anonymous:2196> */
obj_t BGl_z62zc3z04anonymousza32196ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2472)
{
{ /* Llib/avahi.scm 124 */
return BGl_string2662z00zz__avahi_avahiz00;} 

}



/* &lambda2195 */
obj_t BGl_z62lambda2195z62zz__avahi_avahiz00(obj_t BgL_envz00_2473, obj_t BgL_oz00_2474, obj_t BgL_vz00_2475)
{
{ /* Llib/avahi.scm 124 */
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2474)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2475)),BUNSPEC);} 

}



/* &lambda2194 */
obj_t BGl_z62lambda2194z62zz__avahi_avahiz00(obj_t BgL_envz00_2476, obj_t BgL_oz00_2477)
{
{ /* Llib/avahi.scm 124 */
return 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2477)))->BgL_domainz00);} 

}



/* &lambda2189 */
obj_t BGl_z62lambda2189z62zz__avahi_avahiz00(obj_t BgL_envz00_2478, obj_t BgL_oz00_2479, obj_t BgL_vz00_2480)
{
{ /* Llib/avahi.scm 124 */
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2479)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2480)),BUNSPEC);} 

}



/* &lambda2188 */
obj_t BGl_z62lambda2188z62zz__avahi_avahiz00(obj_t BgL_envz00_2481, obj_t BgL_oz00_2482)
{
{ /* Llib/avahi.scm 124 */
return 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2482)))->BgL_procz00);} 

}



/* &lambda2184 */
obj_t BGl_z62lambda2184z62zz__avahi_avahiz00(obj_t BgL_envz00_2483, obj_t BgL_oz00_2484, obj_t BgL_vz00_2485)
{
{ /* Llib/avahi.scm 124 */
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2484)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2485)),BUNSPEC);} 

}



/* &lambda2183 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2183z62zz__avahi_avahiz00(obj_t BgL_envz00_2486, obj_t BgL_oz00_2487)
{
{ /* Llib/avahi.scm 124 */
return 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2487)))->BgL_clientz00);} 

}



/* &<@anonymous:2179> */
obj_t BGl_z62zc3z04anonymousza32179ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2488)
{
{ /* Llib/avahi.scm 124 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2178 */
obj_t BGl_z62lambda2178z62zz__avahi_avahiz00(obj_t BgL_envz00_2489, obj_t BgL_oz00_2490, obj_t BgL_vz00_2491)
{
{ /* Llib/avahi.scm 124 */
{ /* Llib/avahi.scm 124 */
 AvahiServiceTypeBrowser * BgL_vz00_3019;
BgL_vz00_3019 = 
FOREIGN_TO_COBJ(BgL_vz00_2491); 
return 
((((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2490)))->BgL_z42builtinz42)=((AvahiServiceTypeBrowser *)BgL_vz00_3019),BUNSPEC);} } 

}



/* &lambda2177 */
obj_t BGl_z62lambda2177z62zz__avahi_avahiz00(obj_t BgL_envz00_2492, obj_t BgL_oz00_2493)
{
{ /* Llib/avahi.scm 124 */
return 
void_star_to_obj(
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2493)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2118> */
obj_t BGl_z62zc3z04anonymousza32118ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2494, obj_t BgL_new1114z00_2495)
{
{ /* Llib/avahi.scm 115 */
{ 
 BgL_avahizd2servicezd2browserz00_bglt BgL_auxz00_5507;
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2495)))->BgL_z42builtinz42)=((AvahiServiceBrowser *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_5511;
{ /* Llib/avahi.scm 115 */
 obj_t BgL_classz00_3022;
BgL_classz00_3022 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 115 */
 obj_t BgL__ortest_1116z00_3023;
BgL__ortest_1116z00_3023 = 
BGL_CLASS_NIL(BgL_classz00_3022); 
if(
CBOOL(BgL__ortest_1116z00_3023))
{ /* Llib/avahi.scm 115 */
BgL_auxz00_5511 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1116z00_3023)
; }  else 
{ /* Llib/avahi.scm 115 */
BgL_auxz00_5511 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3022))
; } } } 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2495)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_5511),BUNSPEC); } 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2495)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2495)))->BgL_typez00)=((obj_t)BGl_string2662z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2495)))->BgL_domainz00)=((obj_t)BGl_string2662z00zz__avahi_avahiz00),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2495)))->BgL_interfacez00)=((AvahiIfIndex)
0L),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2495)))->BgL_protocolz00)=((obj_t)
((obj_t)
CNST_TABLE_REF(97))),BUNSPEC); 
BgL_auxz00_5507 = 
((BgL_avahizd2servicezd2browserz00_bglt)BgL_new1114z00_2495); 
return 
((obj_t)BgL_auxz00_5507);} } 

}



/* &lambda2116 */
BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2116z62zz__avahi_avahiz00(obj_t BgL_envz00_2496)
{
{ /* Llib/avahi.scm 115 */
{ /* Llib/avahi.scm 115 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_new1113z00_3024;
BgL_new1113z00_3024 = 
((BgL_avahizd2servicezd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 115 */
 long BgL_arg2117z00_3025;
BgL_arg2117z00_3025 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_3024), BgL_arg2117z00_3025); } 
return BgL_new1113z00_3024;} } 

}



/* &lambda2113 */
BgL_avahizd2servicezd2browserz00_bglt BGl_z62lambda2113z62zz__avahi_avahiz00(obj_t BgL_envz00_2497, obj_t BgL_z42builtin1106z42_2498, obj_t BgL_client1107z00_2499, obj_t BgL_proc1108z00_2500, obj_t BgL_type1109z00_2501, obj_t BgL_domain1110z00_2502, obj_t BgL_interface1111z00_2503, obj_t BgL_protocol1112z00_2504)
{
{ /* Llib/avahi.scm 115 */
{ /* Llib/avahi.scm 115 */
 AvahiServiceBrowser * BgL_z42builtin1106z42_3026; AvahiIfIndex BgL_interface1111z00_3031;
BgL_z42builtin1106z42_3026 = 
FOREIGN_TO_COBJ(BgL_z42builtin1106z42_2498); 
BgL_interface1111z00_3031 = 
(long)CINT(BgL_interface1111z00_2503); 
{ /* Llib/avahi.scm 115 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_new1224z00_3033;
{ /* Llib/avahi.scm 115 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_new1223z00_3034;
BgL_new1223z00_3034 = 
((BgL_avahizd2servicezd2browserz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2servicezd2browserz00_bgl) ))); 
{ /* Llib/avahi.scm 115 */
 long BgL_arg2115z00_3035;
BgL_arg2115z00_3035 = 
BGL_CLASS_NUM(BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1223z00_3034), BgL_arg2115z00_3035); } 
BgL_new1224z00_3033 = BgL_new1223z00_3034; } 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3033))->BgL_z42builtinz42)=((AvahiServiceBrowser *)BgL_z42builtin1106z42_3026),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3033))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1107z00_2499)),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3033))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1108z00_2500)),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3033))->BgL_typez00)=((obj_t)
((obj_t)BgL_type1109z00_2501)),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3033))->BgL_domainz00)=((obj_t)
((obj_t)BgL_domain1110z00_2502)),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3033))->BgL_interfacez00)=((AvahiIfIndex)BgL_interface1111z00_3031),BUNSPEC); 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(BgL_new1224z00_3033))->BgL_protocolz00)=((obj_t)
((obj_t)BgL_protocol1112z00_2504)),BUNSPEC); 
{ /* Llib/avahi.scm 115 */
 obj_t BgL_fun2114z00_3036;
BgL_fun2114z00_3036 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00); 
BGL_PROCEDURE_CALL1(BgL_fun2114z00_3036, 
((obj_t)BgL_new1224z00_3033)); } 
return BgL_new1224z00_3033;} } } 

}



/* &<@anonymous:2161> */
obj_t BGl_z62zc3z04anonymousza32161ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2505)
{
{ /* Llib/avahi.scm 115 */
return 
((obj_t)
CNST_TABLE_REF(30));} 

}



/* &lambda2160 */
obj_t BGl_z62lambda2160z62zz__avahi_avahiz00(obj_t BgL_envz00_2506, obj_t BgL_oz00_2507, obj_t BgL_vz00_2508)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2507)))->BgL_protocolz00)=((obj_t)
((obj_t)BgL_vz00_2508)),BUNSPEC);} 

}



/* &lambda2159 */
obj_t BGl_z62lambda2159z62zz__avahi_avahiz00(obj_t BgL_envz00_2509, obj_t BgL_oz00_2510)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2510)))->BgL_protocolz00);} 

}



/* &<@anonymous:2154> */
obj_t BGl_z62zc3z04anonymousza32154ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2511)
{
{ /* Llib/avahi.scm 115 */
return 
BINT(AVAHI_IF_UNSPEC);} 

}



/* &lambda2153 */
obj_t BGl_z62lambda2153z62zz__avahi_avahiz00(obj_t BgL_envz00_2512, obj_t BgL_oz00_2513, obj_t BgL_vz00_2514)
{
{ /* Llib/avahi.scm 115 */
{ /* Llib/avahi.scm 115 */
 AvahiIfIndex BgL_vz00_3041;
BgL_vz00_3041 = 
(long)CINT(BgL_vz00_2514); 
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2513)))->BgL_interfacez00)=((AvahiIfIndex)BgL_vz00_3041),BUNSPEC);} } 

}



/* &lambda2152 */
obj_t BGl_z62lambda2152z62zz__avahi_avahiz00(obj_t BgL_envz00_2515, obj_t BgL_oz00_2516)
{
{ /* Llib/avahi.scm 115 */
return 
BINT(
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2516)))->BgL_interfacez00));} 

}



/* &<@anonymous:2147> */
obj_t BGl_z62zc3z04anonymousza32147ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2517)
{
{ /* Llib/avahi.scm 115 */
return BGl_string2662z00zz__avahi_avahiz00;} 

}



/* &lambda2146 */
obj_t BGl_z62lambda2146z62zz__avahi_avahiz00(obj_t BgL_envz00_2518, obj_t BgL_oz00_2519, obj_t BgL_vz00_2520)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2519)))->BgL_domainz00)=((obj_t)
((obj_t)BgL_vz00_2520)),BUNSPEC);} 

}



/* &lambda2145 */
obj_t BGl_z62lambda2145z62zz__avahi_avahiz00(obj_t BgL_envz00_2521, obj_t BgL_oz00_2522)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2522)))->BgL_domainz00);} 

}



/* &lambda2140 */
obj_t BGl_z62lambda2140z62zz__avahi_avahiz00(obj_t BgL_envz00_2523, obj_t BgL_oz00_2524, obj_t BgL_vz00_2525)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2524)))->BgL_typez00)=((obj_t)
((obj_t)BgL_vz00_2525)),BUNSPEC);} 

}



/* &lambda2139 */
obj_t BGl_z62lambda2139z62zz__avahi_avahiz00(obj_t BgL_envz00_2526, obj_t BgL_oz00_2527)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2527)))->BgL_typez00);} 

}



/* &lambda2135 */
obj_t BGl_z62lambda2135z62zz__avahi_avahiz00(obj_t BgL_envz00_2528, obj_t BgL_oz00_2529, obj_t BgL_vz00_2530)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2529)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2530)),BUNSPEC);} 

}



/* &lambda2134 */
obj_t BGl_z62lambda2134z62zz__avahi_avahiz00(obj_t BgL_envz00_2531, obj_t BgL_oz00_2532)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2532)))->BgL_procz00);} 

}



/* &lambda2130 */
obj_t BGl_z62lambda2130z62zz__avahi_avahiz00(obj_t BgL_envz00_2533, obj_t BgL_oz00_2534, obj_t BgL_vz00_2535)
{
{ /* Llib/avahi.scm 115 */
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2534)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2535)),BUNSPEC);} 

}



/* &lambda2129 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2129z62zz__avahi_avahiz00(obj_t BgL_envz00_2536, obj_t BgL_oz00_2537)
{
{ /* Llib/avahi.scm 115 */
return 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2537)))->BgL_clientz00);} 

}



/* &<@anonymous:2125> */
obj_t BGl_z62zc3z04anonymousza32125ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2538)
{
{ /* Llib/avahi.scm 115 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2124 */
obj_t BGl_z62lambda2124z62zz__avahi_avahiz00(obj_t BgL_envz00_2539, obj_t BgL_oz00_2540, obj_t BgL_vz00_2541)
{
{ /* Llib/avahi.scm 115 */
{ /* Llib/avahi.scm 115 */
 AvahiServiceBrowser * BgL_vz00_3056;
BgL_vz00_3056 = 
FOREIGN_TO_COBJ(BgL_vz00_2541); 
return 
((((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2540)))->BgL_z42builtinz42)=((AvahiServiceBrowser *)BgL_vz00_3056),BUNSPEC);} } 

}



/* &lambda2123 */
obj_t BGl_z62lambda2123z62zz__avahi_avahiz00(obj_t BgL_envz00_2542, obj_t BgL_oz00_2543)
{
{ /* Llib/avahi.scm 115 */
return 
void_star_to_obj(
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2543)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2090> */
obj_t BGl_z62zc3z04anonymousza32090ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2544, obj_t BgL_new1104z00_2545)
{
{ /* Llib/avahi.scm 110 */
{ 
 BgL_avahizd2entryzd2groupz00_bglt BgL_auxz00_5605;
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1104z00_2545)))->BgL_z42builtinz42)=((AvahiEntryGroup *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_5609;
{ /* Llib/avahi.scm 110 */
 obj_t BgL_classz00_3059;
BgL_classz00_3059 = BGl_avahizd2clientzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 110 */
 obj_t BgL__ortest_1116z00_3060;
BgL__ortest_1116z00_3060 = 
BGL_CLASS_NIL(BgL_classz00_3059); 
if(
CBOOL(BgL__ortest_1116z00_3060))
{ /* Llib/avahi.scm 110 */
BgL_auxz00_5609 = 
((BgL_avahizd2clientzd2_bglt)BgL__ortest_1116z00_3060)
; }  else 
{ /* Llib/avahi.scm 110 */
BgL_auxz00_5609 = 
((BgL_avahizd2clientzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3059))
; } } } 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1104z00_2545)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)BgL_auxz00_5609),BUNSPEC); } 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1104z00_2545)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_5605 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_new1104z00_2545); 
return 
((obj_t)BgL_auxz00_5605);} } 

}



/* &lambda2088 */
BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2088z62zz__avahi_avahiz00(obj_t BgL_envz00_2546)
{
{ /* Llib/avahi.scm 110 */
{ /* Llib/avahi.scm 110 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_new1103z00_3061;
BgL_new1103z00_3061 = 
((BgL_avahizd2entryzd2groupz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2entryzd2groupz00_bgl) ))); 
{ /* Llib/avahi.scm 110 */
 long BgL_arg2089z00_3062;
BgL_arg2089z00_3062 = 
BGL_CLASS_NUM(BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1103z00_3061), BgL_arg2089z00_3062); } 
return BgL_new1103z00_3061;} } 

}



/* &lambda2085 */
BgL_avahizd2entryzd2groupz00_bglt BGl_z62lambda2085z62zz__avahi_avahiz00(obj_t BgL_envz00_2547, obj_t BgL_z42builtin1100z42_2548, obj_t BgL_client1101z00_2549, obj_t BgL_proc1102z00_2550)
{
{ /* Llib/avahi.scm 110 */
{ /* Llib/avahi.scm 110 */
 AvahiEntryGroup * BgL_z42builtin1100z42_3063;
BgL_z42builtin1100z42_3063 = 
FOREIGN_TO_COBJ(BgL_z42builtin1100z42_2548); 
{ /* Llib/avahi.scm 110 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_new1222z00_3066;
{ /* Llib/avahi.scm 110 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_new1221z00_3067;
BgL_new1221z00_3067 = 
((BgL_avahizd2entryzd2groupz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2entryzd2groupz00_bgl) ))); 
{ /* Llib/avahi.scm 110 */
 long BgL_arg2087z00_3068;
BgL_arg2087z00_3068 = 
BGL_CLASS_NUM(BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1221z00_3067), BgL_arg2087z00_3068); } 
BgL_new1222z00_3066 = BgL_new1221z00_3067; } 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_new1222z00_3066))->BgL_z42builtinz42)=((AvahiEntryGroup *)BgL_z42builtin1100z42_3063),BUNSPEC); 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_new1222z00_3066))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_client1101z00_2549)),BUNSPEC); 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(BgL_new1222z00_3066))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1102z00_2550)),BUNSPEC); 
{ /* Llib/avahi.scm 110 */
 obj_t BgL_fun2086z00_3069;
BgL_fun2086z00_3069 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00); 
BGL_PROCEDURE_CALL1(BgL_fun2086z00_3069, 
((obj_t)BgL_new1222z00_3066)); } 
return BgL_new1222z00_3066;} } } 

}



/* &lambda2107 */
obj_t BGl_z62lambda2107z62zz__avahi_avahiz00(obj_t BgL_envz00_2551, obj_t BgL_oz00_2552, obj_t BgL_vz00_2553)
{
{ /* Llib/avahi.scm 110 */
return 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2552)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2553)),BUNSPEC);} 

}



/* &lambda2106 */
obj_t BGl_z62lambda2106z62zz__avahi_avahiz00(obj_t BgL_envz00_2554, obj_t BgL_oz00_2555)
{
{ /* Llib/avahi.scm 110 */
return 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2555)))->BgL_procz00);} 

}



/* &lambda2102 */
obj_t BGl_z62lambda2102z62zz__avahi_avahiz00(obj_t BgL_envz00_2556, obj_t BgL_oz00_2557, obj_t BgL_vz00_2558)
{
{ /* Llib/avahi.scm 110 */
return 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2557)))->BgL_clientz00)=((BgL_avahizd2clientzd2_bglt)
((BgL_avahizd2clientzd2_bglt)BgL_vz00_2558)),BUNSPEC);} 

}



/* &lambda2101 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda2101z62zz__avahi_avahiz00(obj_t BgL_envz00_2559, obj_t BgL_oz00_2560)
{
{ /* Llib/avahi.scm 110 */
return 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2560)))->BgL_clientz00);} 

}



/* &<@anonymous:2097> */
obj_t BGl_z62zc3z04anonymousza32097ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2561)
{
{ /* Llib/avahi.scm 110 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda2096 */
obj_t BGl_z62lambda2096z62zz__avahi_avahiz00(obj_t BgL_envz00_2562, obj_t BgL_oz00_2563, obj_t BgL_vz00_2564)
{
{ /* Llib/avahi.scm 110 */
{ /* Llib/avahi.scm 110 */
 AvahiEntryGroup * BgL_vz00_3077;
BgL_vz00_3077 = 
FOREIGN_TO_COBJ(BgL_vz00_2564); 
return 
((((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2563)))->BgL_z42builtinz42)=((AvahiEntryGroup *)BgL_vz00_3077),BUNSPEC);} } 

}



/* &lambda2095 */
obj_t BGl_z62lambda2095z62zz__avahi_avahiz00(obj_t BgL_envz00_2565, obj_t BgL_oz00_2566)
{
{ /* Llib/avahi.scm 110 */
return 
void_star_to_obj(
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2566)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1956> */
obj_t BGl_z62zc3z04anonymousza31956ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2567, obj_t BgL_new1098z00_2568)
{
{ /* Llib/avahi.scm 67 */
{ 
 BgL_avahizd2clientzd2_bglt BgL_auxz00_5660;
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2568)))->BgL_z42builtinz42)=((AvahiClient *)
0L),BUNSPEC); 
{ 
 BgL_avahizd2pollzd2_bglt BgL_auxz00_5664;
{ /* Llib/avahi.scm 67 */
 obj_t BgL_classz00_3080;
BgL_classz00_3080 = BGl_avahizd2pollzd2zz__avahi_avahiz00; 
{ /* Llib/avahi.scm 67 */
 obj_t BgL__ortest_1116z00_3081;
BgL__ortest_1116z00_3081 = 
BGL_CLASS_NIL(BgL_classz00_3080); 
if(
CBOOL(BgL__ortest_1116z00_3081))
{ /* Llib/avahi.scm 67 */
BgL_auxz00_5664 = 
((BgL_avahizd2pollzd2_bglt)BgL__ortest_1116z00_3081)
; }  else 
{ /* Llib/avahi.scm 67 */
BgL_auxz00_5664 = 
((BgL_avahizd2pollzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3080))
; } } } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2568)))->BgL_pollz00)=((BgL_avahizd2pollzd2_bglt)BgL_auxz00_5664),BUNSPEC); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2568)))->BgL_flagsz00)=((obj_t)
((obj_t)
CNST_TABLE_REF(97))),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2568)))->BgL_procz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2568)))->BgL_z52groupsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2568)))->BgL_z52browsersz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2568)))->BgL_resolversz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5660 = 
((BgL_avahizd2clientzd2_bglt)BgL_new1098z00_2568); 
return 
((obj_t)BgL_auxz00_5660);} } 

}



/* &lambda1954 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda1954z62zz__avahi_avahiz00(obj_t BgL_envz00_2569)
{
{ /* Llib/avahi.scm 67 */
{ /* Llib/avahi.scm 67 */
 BgL_avahizd2clientzd2_bglt BgL_new1097z00_3082;
BgL_new1097z00_3082 = 
((BgL_avahizd2clientzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2clientzd2_bgl) ))); 
{ /* Llib/avahi.scm 67 */
 long BgL_arg1955z00_3083;
BgL_arg1955z00_3083 = 
BGL_CLASS_NUM(BGl_avahizd2clientzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1097z00_3082), BgL_arg1955z00_3083); } 
return BgL_new1097z00_3082;} } 

}



/* &lambda1951 */
BgL_avahizd2clientzd2_bglt BGl_z62lambda1951z62zz__avahi_avahiz00(obj_t BgL_envz00_2570, obj_t BgL_z42builtin1090z42_2571, obj_t BgL_poll1091z00_2572, obj_t BgL_flags1092z00_2573, obj_t BgL_proc1093z00_2574, obj_t BgL_z52groups1094z52_2575, obj_t BgL_z52browsers1095z52_2576, obj_t BgL_resolvers1096z00_2577)
{
{ /* Llib/avahi.scm 67 */
{ /* Llib/avahi.scm 67 */
 AvahiClient * BgL_z42builtin1090z42_3084;
BgL_z42builtin1090z42_3084 = 
FOREIGN_TO_COBJ(BgL_z42builtin1090z42_2571); 
{ /* Llib/avahi.scm 67 */
 BgL_avahizd2clientzd2_bglt BgL_new1220z00_3091;
{ /* Llib/avahi.scm 67 */
 BgL_avahizd2clientzd2_bglt BgL_new1219z00_3092;
BgL_new1219z00_3092 = 
((BgL_avahizd2clientzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2clientzd2_bgl) ))); 
{ /* Llib/avahi.scm 67 */
 long BgL_arg1953z00_3093;
BgL_arg1953z00_3093 = 
BGL_CLASS_NUM(BGl_avahizd2clientzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1219z00_3092), BgL_arg1953z00_3093); } 
BgL_new1220z00_3091 = BgL_new1219z00_3092; } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3091))->BgL_z42builtinz42)=((AvahiClient *)BgL_z42builtin1090z42_3084),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3091))->BgL_pollz00)=((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2pollzd2_bglt)BgL_poll1091z00_2572)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3091))->BgL_flagsz00)=((obj_t)
((obj_t)BgL_flags1092z00_2573)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3091))->BgL_procz00)=((obj_t)
((obj_t)BgL_proc1093z00_2574)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3091))->BgL_z52groupsz52)=((obj_t)
((obj_t)BgL_z52groups1094z52_2575)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3091))->BgL_z52browsersz52)=((obj_t)
((obj_t)BgL_z52browsers1095z52_2576)),BUNSPEC); 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_new1220z00_3091))->BgL_resolversz00)=((obj_t)
((obj_t)BgL_resolvers1096z00_2577)),BUNSPEC); 
{ /* Llib/avahi.scm 67 */
 obj_t BgL_fun1952z00_3094;
BgL_fun1952z00_3094 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2clientzd2zz__avahi_avahiz00); 
BGL_PROCEDURE_CALL1(BgL_fun1952z00_3094, 
((obj_t)BgL_new1220z00_3091)); } 
return BgL_new1220z00_3091;} } } 

}



/* &<@anonymous:2073> */
obj_t BGl_z62zc3z04anonymousza32073ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2578, obj_t BgL_oz00_2579)
{
{ /* Llib/avahi.scm 101 */
{ /* Llib/avahi.scm 104 */
 bool_t BgL_test3138z00_5715;
{ /* Llib/avahi.scm 104 */
 AvahiClient * BgL_arg2078z00_3095;
BgL_arg2078z00_3095 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2579)))->BgL_z42builtinz42); 
BgL_test3138z00_5715 = 
(BgL_arg2078z00_3095 == 0L); } 
if(BgL_test3138z00_5715)
{ /* Llib/avahi.scm 104 */
return 
((obj_t)
CNST_TABLE_REF(99));}  else 
{ /* Llib/avahi.scm 107 */
 AvahiClientState BgL_arg2076z00_3096;
{ /* Llib/avahi.scm 107 */
 AvahiClient * BgL_arg2077z00_3097;
BgL_arg2077z00_3097 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2579)))->BgL_z42builtinz42); 
BgL_arg2076z00_3096 = 
avahi_client_get_state(BgL_arg2077z00_3097); } 
return 
bgl_avahi_client_state_to_symbol(BgL_arg2076z00_3096);} } } 

}



/* &<@anonymous:2064> */
obj_t BGl_z62zc3z04anonymousza32064ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2580, obj_t BgL_oz00_2581)
{
{ /* Llib/avahi.scm 95 */
{ /* Llib/avahi.scm 98 */
 bool_t BgL_test3139z00_5725;
{ /* Llib/avahi.scm 98 */
 AvahiClient * BgL_arg2068z00_3098;
BgL_arg2068z00_3098 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2581)))->BgL_z42builtinz42); 
BgL_test3139z00_5725 = 
(BgL_arg2068z00_3098 == 0L); } 
if(BgL_test3139z00_5725)
{ /* Llib/avahi.scm 98 */
return BGl_string2663z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 100 */
 AvahiClient * BgL_arg2067z00_3099;
BgL_arg2067z00_3099 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2581)))->BgL_z42builtinz42); 
return 
string_to_bstring(
(char *)avahi_client_get_host_name_fqdn(BgL_arg2067z00_3099));} } } 

}



/* &<@anonymous:2055> */
obj_t BGl_z62zc3z04anonymousza32055ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2582, obj_t BgL_oz00_2583)
{
{ /* Llib/avahi.scm 89 */
{ /* Llib/avahi.scm 92 */
 bool_t BgL_test3140z00_5733;
{ /* Llib/avahi.scm 92 */
 AvahiClient * BgL_arg2059z00_3100;
BgL_arg2059z00_3100 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2583)))->BgL_z42builtinz42); 
BgL_test3140z00_5733 = 
(BgL_arg2059z00_3100 == 0L); } 
if(BgL_test3140z00_5733)
{ /* Llib/avahi.scm 92 */
return BGl_string2663z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 94 */
 AvahiClient * BgL_arg2058z00_3101;
BgL_arg2058z00_3101 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2583)))->BgL_z42builtinz42); 
return 
string_to_bstring(
(char *)avahi_client_get_domain_name(BgL_arg2058z00_3101));} } } 

}



/* &<@anonymous:2046> */
obj_t BGl_z62zc3z04anonymousza32046ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2584, obj_t BgL_oz00_2585, obj_t BgL_vz00_2586)
{
{ /* Llib/avahi.scm 81 */
{ /* Llib/avahi.scm 87 */
 bool_t BgL_test3141z00_5741;
{ /* Llib/avahi.scm 87 */
 AvahiClient * BgL_arg2050z00_3102;
BgL_arg2050z00_3102 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2585)))->BgL_z42builtinz42); 
BgL_test3141z00_5741 = 
(BgL_arg2050z00_3102 == 0L); } 
if(BgL_test3141z00_5741)
{ /* Llib/avahi.scm 87 */
return BFALSE;}  else 
{ /* Llib/avahi.scm 88 */
 AvahiClient * BgL_arg2049z00_3103;
BgL_arg2049z00_3103 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2585)))->BgL_z42builtinz42); 
{ /* Llib/avahi.scm 88 */
 int BgL_tmpz00_5747;
{ /* Llib/avahi.scm 88 */
 char * BgL_tmpz00_5748;
BgL_tmpz00_5748 = 
BSTRING_TO_STRING(
((obj_t)BgL_vz00_2586)); 
BgL_tmpz00_5747 = 
avahi_client_set_host_name(BgL_arg2049z00_3103, BgL_tmpz00_5748); } 
return 
BINT(BgL_tmpz00_5747);} } } } 

}



/* &<@anonymous:2040> */
obj_t BGl_z62zc3z04anonymousza32040ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2587, obj_t BgL_oz00_2588)
{
{ /* Llib/avahi.scm 81 */
{ /* Llib/avahi.scm 83 */
 bool_t BgL_test3142z00_5753;
{ /* Llib/avahi.scm 83 */
 AvahiClient * BgL_arg2044z00_3104;
BgL_arg2044z00_3104 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2588)))->BgL_z42builtinz42); 
BgL_test3142z00_5753 = 
(BgL_arg2044z00_3104 == 0L); } 
if(BgL_test3142z00_5753)
{ /* Llib/avahi.scm 83 */
return BGl_string2663z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 85 */
 AvahiClient * BgL_arg2043z00_3105;
BgL_arg2043z00_3105 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2588)))->BgL_z42builtinz42); 
return 
string_to_bstring(
(char *)avahi_client_get_host_name(BgL_arg2043z00_3105));} } } 

}



/* &<@anonymous:2030> */
obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2589, obj_t BgL_oz00_2590)
{
{ /* Llib/avahi.scm 75 */
{ /* Llib/avahi.scm 78 */
 bool_t BgL_test3143z00_5761;
{ /* Llib/avahi.scm 78 */
 AvahiClient * BgL_arg2034z00_3106;
BgL_arg2034z00_3106 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2590)))->BgL_z42builtinz42); 
BgL_test3143z00_5761 = 
(BgL_arg2034z00_3106 == 0L); } 
if(BgL_test3143z00_5761)
{ /* Llib/avahi.scm 78 */
return BGl_string2663z00zz__avahi_avahiz00;}  else 
{ /* Llib/avahi.scm 80 */
 AvahiClient * BgL_arg2033z00_3107;
BgL_arg2033z00_3107 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2590)))->BgL_z42builtinz42); 
return 
string_to_bstring(
(char *)avahi_client_get_version_string(BgL_arg2033z00_3107));} } } 

}



/* &<@anonymous:2026> */
obj_t BGl_z62zc3z04anonymousza32026ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2591, obj_t BgL_oz00_2592, obj_t BgL_vz00_2593)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2592), 
(int)(4L), BgL_vz00_2593);} 

}



/* &<@anonymous:2025> */
obj_t BGl_z62zc3z04anonymousza32025ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2594, obj_t BgL_oz00_2595)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2595), 
(int)(4L));} 

}



/* &<@anonymous:2021> */
obj_t BGl_z62zc3z04anonymousza32021ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2596, obj_t BgL_oz00_2597, obj_t BgL_vz00_2598)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2597), 
(int)(3L), BgL_vz00_2598);} 

}



/* &<@anonymous:2020> */
obj_t BGl_z62zc3z04anonymousza32020ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2599, obj_t BgL_oz00_2600)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2600), 
(int)(3L));} 

}



/* &<@anonymous:2016> */
obj_t BGl_z62zc3z04anonymousza32016ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2601, obj_t BgL_oz00_2602, obj_t BgL_vz00_2603)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2602), 
(int)(2L), BgL_vz00_2603);} 

}



/* &<@anonymous:2015> */
obj_t BGl_z62zc3z04anonymousza32015ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2604, obj_t BgL_oz00_2605)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2605), 
(int)(2L));} 

}



/* &<@anonymous:2011> */
obj_t BGl_z62zc3z04anonymousza32011ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2606, obj_t BgL_oz00_2607, obj_t BgL_vz00_2608)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2607), 
(int)(1L), BgL_vz00_2608);} 

}



/* &<@anonymous:2010> */
obj_t BGl_z62zc3z04anonymousza32010ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2609, obj_t BgL_oz00_2610)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2610), 
(int)(1L));} 

}



/* &<@anonymous:2006> */
obj_t BGl_z62zc3z04anonymousza32006ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2611, obj_t BgL_oz00_2612, obj_t BgL_vz00_2613)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2612), 
(int)(0L), BgL_vz00_2613);} 

}



/* &<@anonymous:2005> */
obj_t BGl_z62zc3z04anonymousza32005ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2614, obj_t BgL_oz00_2615)
{
{ /* Llib/avahi.scm 67 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2615), 
(int)(0L));} 

}



/* &<@anonymous:2001> */
obj_t BGl_z62zc3z04anonymousza32001ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2616)
{
{ /* Llib/avahi.scm 67 */
return BNIL;} 

}



/* &lambda2000 */
obj_t BGl_z62lambda2000z62zz__avahi_avahiz00(obj_t BgL_envz00_2617, obj_t BgL_oz00_2618, obj_t BgL_vz00_2619)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2618)))->BgL_resolversz00)=((obj_t)
((obj_t)BgL_vz00_2619)),BUNSPEC);} 

}



/* &lambda1999 */
obj_t BGl_z62lambda1999z62zz__avahi_avahiz00(obj_t BgL_envz00_2620, obj_t BgL_oz00_2621)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2621)))->BgL_resolversz00);} 

}



/* &<@anonymous:1994> */
obj_t BGl_z62zc3z04anonymousza31994ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2622)
{
{ /* Llib/avahi.scm 67 */
return BNIL;} 

}



/* &lambda1993 */
obj_t BGl_z62lambda1993z62zz__avahi_avahiz00(obj_t BgL_envz00_2623, obj_t BgL_oz00_2624, obj_t BgL_vz00_2625)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2624)))->BgL_z52browsersz52)=((obj_t)
((obj_t)BgL_vz00_2625)),BUNSPEC);} 

}



/* &lambda1992 */
obj_t BGl_z62lambda1992z62zz__avahi_avahiz00(obj_t BgL_envz00_2626, obj_t BgL_oz00_2627)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2627)))->BgL_z52browsersz52);} 

}



/* &<@anonymous:1987> */
obj_t BGl_z62zc3z04anonymousza31987ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2628)
{
{ /* Llib/avahi.scm 67 */
return BNIL;} 

}



/* &lambda1986 */
obj_t BGl_z62lambda1986z62zz__avahi_avahiz00(obj_t BgL_envz00_2629, obj_t BgL_oz00_2630, obj_t BgL_vz00_2631)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2630)))->BgL_z52groupsz52)=((obj_t)
((obj_t)BgL_vz00_2631)),BUNSPEC);} 

}



/* &lambda1985 */
obj_t BGl_z62lambda1985z62zz__avahi_avahiz00(obj_t BgL_envz00_2632, obj_t BgL_oz00_2633)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2633)))->BgL_z52groupsz52);} 

}



/* &lambda1980 */
obj_t BGl_z62lambda1980z62zz__avahi_avahiz00(obj_t BgL_envz00_2634, obj_t BgL_oz00_2635, obj_t BgL_vz00_2636)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2635)))->BgL_procz00)=((obj_t)
((obj_t)BgL_vz00_2636)),BUNSPEC);} 

}



/* &lambda1979 */
obj_t BGl_z62lambda1979z62zz__avahi_avahiz00(obj_t BgL_envz00_2637, obj_t BgL_oz00_2638)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2638)))->BgL_procz00);} 

}



/* &<@anonymous:1975> */
obj_t BGl_z62zc3z04anonymousza31975ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2639)
{
{ /* Llib/avahi.scm 67 */
return 
((obj_t)
CNST_TABLE_REF(100));} 

}



/* &lambda1974 */
obj_t BGl_z62lambda1974z62zz__avahi_avahiz00(obj_t BgL_envz00_2640, obj_t BgL_oz00_2641, obj_t BgL_vz00_2642)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2641)))->BgL_flagsz00)=((obj_t)
((obj_t)BgL_vz00_2642)),BUNSPEC);} 

}



/* &lambda1973 */
obj_t BGl_z62lambda1973z62zz__avahi_avahiz00(obj_t BgL_envz00_2643, obj_t BgL_oz00_2644)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2644)))->BgL_flagsz00);} 

}



/* &lambda1968 */
obj_t BGl_z62lambda1968z62zz__avahi_avahiz00(obj_t BgL_envz00_2645, obj_t BgL_oz00_2646, obj_t BgL_vz00_2647)
{
{ /* Llib/avahi.scm 67 */
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2646)))->BgL_pollz00)=((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2pollzd2_bglt)BgL_vz00_2647)),BUNSPEC);} 

}



/* &lambda1967 */
BgL_avahizd2pollzd2_bglt BGl_z62lambda1967z62zz__avahi_avahiz00(obj_t BgL_envz00_2648, obj_t BgL_oz00_2649)
{
{ /* Llib/avahi.scm 67 */
return 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2649)))->BgL_pollz00);} 

}



/* &<@anonymous:1963> */
obj_t BGl_z62zc3z04anonymousza31963ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2650)
{
{ /* Llib/avahi.scm 67 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1962 */
obj_t BGl_z62lambda1962z62zz__avahi_avahiz00(obj_t BgL_envz00_2651, obj_t BgL_oz00_2652, obj_t BgL_vz00_2653)
{
{ /* Llib/avahi.scm 67 */
{ /* Llib/avahi.scm 67 */
 AvahiClient * BgL_vz00_3127;
BgL_vz00_3127 = 
FOREIGN_TO_COBJ(BgL_vz00_2653); 
return 
((((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2652)))->BgL_z42builtinz42)=((AvahiClient *)BgL_vz00_3127),BUNSPEC);} } 

}



/* &lambda1961 */
obj_t BGl_z62lambda1961z62zz__avahi_avahiz00(obj_t BgL_envz00_2654, obj_t BgL_oz00_2655)
{
{ /* Llib/avahi.scm 67 */
return 
void_star_to_obj(
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2655)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1938> */
obj_t BGl_z62zc3z04anonymousza31938ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2656, obj_t BgL_new1088z00_2657)
{
{ /* Llib/avahi.scm 64 */
{ 
 BgL_avahizd2threadedzd2pollz00_bglt BgL_auxz00_5839;
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1088z00_2657))))->BgL_z42ctypez42)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1088z00_2657))))->BgL_z52procsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1088z00_2657)))->BgL_z42builtinz42)=((AvahiThreadedPoll *)
0L),BUNSPEC); 
BgL_auxz00_5839 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_new1088z00_2657); 
return 
((obj_t)BgL_auxz00_5839);} } 

}



/* &lambda1936 */
BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1936z62zz__avahi_avahiz00(obj_t BgL_envz00_2658)
{
{ /* Llib/avahi.scm 64 */
{ /* Llib/avahi.scm 64 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_new1087z00_3130;
BgL_new1087z00_3130 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2threadedzd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 64 */
 long BgL_arg1937z00_3131;
BgL_arg1937z00_3131 = 
BGL_CLASS_NUM(BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1087z00_3130), BgL_arg1937z00_3131); } 
return BgL_new1087z00_3130;} } 

}



/* &lambda1933 */
BgL_avahizd2threadedzd2pollz00_bglt BGl_z62lambda1933z62zz__avahi_avahiz00(obj_t BgL_envz00_2659, obj_t BgL_z42ctype1084z42_2660, obj_t BgL_z52procs1085z52_2661, obj_t BgL_z42builtin1086z42_2662)
{
{ /* Llib/avahi.scm 64 */
{ /* Llib/avahi.scm 64 */
 int BgL_z42ctype1084z42_3132; AvahiThreadedPoll * BgL_z42builtin1086z42_3134;
BgL_z42ctype1084z42_3132 = 
CINT(BgL_z42ctype1084z42_2660); 
BgL_z42builtin1086z42_3134 = 
FOREIGN_TO_COBJ(BgL_z42builtin1086z42_2662); 
{ /* Llib/avahi.scm 64 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_new1218z00_3135;
{ /* Llib/avahi.scm 64 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_new1217z00_3136;
BgL_new1217z00_3136 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2threadedzd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 64 */
 long BgL_arg1935z00_3137;
BgL_arg1935z00_3137 = 
BGL_CLASS_NUM(BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1217z00_3136), BgL_arg1935z00_3137); } 
BgL_new1218z00_3135 = BgL_new1217z00_3136; } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1218z00_3135)))->BgL_z42ctypez42)=((int)BgL_z42ctype1084z42_3132),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1218z00_3135)))->BgL_z52procsz52)=((obj_t)
((obj_t)BgL_z52procs1085z52_2661)),BUNSPEC); 
((((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(BgL_new1218z00_3135))->BgL_z42builtinz42)=((AvahiThreadedPoll *)BgL_z42builtin1086z42_3134),BUNSPEC); 
{ /* Llib/avahi.scm 64 */
 obj_t BgL_fun1934z00_3138;
BgL_fun1934z00_3138 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00); 
BGL_PROCEDURE_CALL1(BgL_fun1934z00_3138, 
((obj_t)BgL_new1218z00_3135)); } 
return BgL_new1218z00_3135;} } } 

}



/* &<@anonymous:1945> */
obj_t BGl_z62zc3z04anonymousza31945ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2663)
{
{ /* Llib/avahi.scm 64 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1944 */
obj_t BGl_z62lambda1944z62zz__avahi_avahiz00(obj_t BgL_envz00_2664, obj_t BgL_oz00_2665, obj_t BgL_vz00_2666)
{
{ /* Llib/avahi.scm 64 */
{ /* Llib/avahi.scm 64 */
 AvahiThreadedPoll * BgL_vz00_3140;
BgL_vz00_3140 = 
FOREIGN_TO_COBJ(BgL_vz00_2666); 
return 
((((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2665)))->BgL_z42builtinz42)=((AvahiThreadedPoll *)BgL_vz00_3140),BUNSPEC);} } 

}



/* &lambda1943 */
obj_t BGl_z62lambda1943z62zz__avahi_avahiz00(obj_t BgL_envz00_2667, obj_t BgL_oz00_2668)
{
{ /* Llib/avahi.scm 64 */
return 
void_star_to_obj(
(((BgL_avahizd2threadedzd2pollz00_bglt)COBJECT(
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2668)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1920> */
obj_t BGl_z62zc3z04anonymousza31920ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2669, obj_t BgL_new1082z00_2670)
{
{ /* Llib/avahi.scm 61 */
{ 
 BgL_avahizd2simplezd2pollz00_bglt BgL_auxz00_5882;
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1082z00_2670))))->BgL_z42ctypez42)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1082z00_2670))))->BgL_z52procsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1082z00_2670)))->BgL_z42builtinz42)=((AvahiSimplePoll *)
0L),BUNSPEC); 
BgL_auxz00_5882 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_new1082z00_2670); 
return 
((obj_t)BgL_auxz00_5882);} } 

}



/* &lambda1918 */
BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1918z62zz__avahi_avahiz00(obj_t BgL_envz00_2671)
{
{ /* Llib/avahi.scm 61 */
{ /* Llib/avahi.scm 61 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_new1081z00_3143;
BgL_new1081z00_3143 = 
((BgL_avahizd2simplezd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2simplezd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 61 */
 long BgL_arg1919z00_3144;
BgL_arg1919z00_3144 = 
BGL_CLASS_NUM(BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1081z00_3143), BgL_arg1919z00_3144); } 
return BgL_new1081z00_3143;} } 

}



/* &lambda1915 */
BgL_avahizd2simplezd2pollz00_bglt BGl_z62lambda1915z62zz__avahi_avahiz00(obj_t BgL_envz00_2672, obj_t BgL_z42ctype1078z42_2673, obj_t BgL_z52procs1079z52_2674, obj_t BgL_z42builtin1080z42_2675)
{
{ /* Llib/avahi.scm 61 */
{ /* Llib/avahi.scm 61 */
 int BgL_z42ctype1078z42_3145; AvahiSimplePoll * BgL_z42builtin1080z42_3147;
BgL_z42ctype1078z42_3145 = 
CINT(BgL_z42ctype1078z42_2673); 
BgL_z42builtin1080z42_3147 = 
FOREIGN_TO_COBJ(BgL_z42builtin1080z42_2675); 
{ /* Llib/avahi.scm 61 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_new1216z00_3148;
{ /* Llib/avahi.scm 61 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_new1215z00_3149;
BgL_new1215z00_3149 = 
((BgL_avahizd2simplezd2pollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2simplezd2pollz00_bgl) ))); 
{ /* Llib/avahi.scm 61 */
 long BgL_arg1917z00_3150;
BgL_arg1917z00_3150 = 
BGL_CLASS_NUM(BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1215z00_3149), BgL_arg1917z00_3150); } 
BgL_new1216z00_3148 = BgL_new1215z00_3149; } 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1216z00_3148)))->BgL_z42ctypez42)=((int)BgL_z42ctype1078z42_3145),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1216z00_3148)))->BgL_z52procsz52)=((obj_t)
((obj_t)BgL_z52procs1079z52_2674)),BUNSPEC); 
((((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(BgL_new1216z00_3148))->BgL_z42builtinz42)=((AvahiSimplePoll *)BgL_z42builtin1080z42_3147),BUNSPEC); 
{ /* Llib/avahi.scm 61 */
 obj_t BgL_fun1916z00_3151;
BgL_fun1916z00_3151 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00); 
BGL_PROCEDURE_CALL1(BgL_fun1916z00_3151, 
((obj_t)BgL_new1216z00_3148)); } 
return BgL_new1216z00_3148;} } } 

}



/* &<@anonymous:1927> */
obj_t BGl_z62zc3z04anonymousza31927ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2676)
{
{ /* Llib/avahi.scm 61 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1926 */
obj_t BGl_z62lambda1926z62zz__avahi_avahiz00(obj_t BgL_envz00_2677, obj_t BgL_oz00_2678, obj_t BgL_vz00_2679)
{
{ /* Llib/avahi.scm 61 */
{ /* Llib/avahi.scm 61 */
 AvahiSimplePoll * BgL_vz00_3153;
BgL_vz00_3153 = 
FOREIGN_TO_COBJ(BgL_vz00_2679); 
return 
((((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2678)))->BgL_z42builtinz42)=((AvahiSimplePoll *)BgL_vz00_3153),BUNSPEC);} } 

}



/* &lambda1925 */
obj_t BGl_z62lambda1925z62zz__avahi_avahiz00(obj_t BgL_envz00_2680, obj_t BgL_oz00_2681)
{
{ /* Llib/avahi.scm 61 */
return 
void_star_to_obj(
(((BgL_avahizd2simplezd2pollz00_bglt)COBJECT(
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2681)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1893> */
obj_t BGl_z62zc3z04anonymousza31893ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2682, obj_t BgL_new1076z00_2683)
{
{ /* Llib/avahi.scm 57 */
{ 
 BgL_avahizd2pollzd2_bglt BgL_auxz00_5925;
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1076z00_2683)))->BgL_z42ctypez42)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_new1076z00_2683)))->BgL_z52procsz52)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5925 = 
((BgL_avahizd2pollzd2_bglt)BgL_new1076z00_2683); 
return 
((obj_t)BgL_auxz00_5925);} } 

}



/* &lambda1891 */
BgL_avahizd2pollzd2_bglt BGl_z62lambda1891z62zz__avahi_avahiz00(obj_t BgL_envz00_2684)
{
{ /* Llib/avahi.scm 57 */
{ /* Llib/avahi.scm 57 */
 BgL_avahizd2pollzd2_bglt BgL_new1075z00_3156;
BgL_new1075z00_3156 = 
((BgL_avahizd2pollzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2pollzd2_bgl) ))); 
{ /* Llib/avahi.scm 57 */
 long BgL_arg1892z00_3157;
BgL_arg1892z00_3157 = 
BGL_CLASS_NUM(BGl_avahizd2pollzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1075z00_3156), BgL_arg1892z00_3157); } 
return BgL_new1075z00_3156;} } 

}



/* &<@anonymous:1909> */
obj_t BGl_z62zc3z04anonymousza31909ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2685)
{
{ /* Llib/avahi.scm 57 */
return BNIL;} 

}



/* &lambda1908 */
obj_t BGl_z62lambda1908z62zz__avahi_avahiz00(obj_t BgL_envz00_2686, obj_t BgL_oz00_2687, obj_t BgL_vz00_2688)
{
{ /* Llib/avahi.scm 57 */
return 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2687)))->BgL_z52procsz52)=((obj_t)
((obj_t)BgL_vz00_2688)),BUNSPEC);} 

}



/* &lambda1907 */
obj_t BGl_z62lambda1907z62zz__avahi_avahiz00(obj_t BgL_envz00_2689, obj_t BgL_oz00_2690)
{
{ /* Llib/avahi.scm 57 */
return 
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2690)))->BgL_z52procsz52);} 

}



/* &<@anonymous:1902> */
obj_t BGl_z62zc3z04anonymousza31902ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2691)
{
{ /* Llib/avahi.scm 57 */
return 
BINT((-1L));} 

}



/* &lambda1901 */
obj_t BGl_z62lambda1901z62zz__avahi_avahiz00(obj_t BgL_envz00_2692, obj_t BgL_oz00_2693, obj_t BgL_vz00_2694)
{
{ /* Llib/avahi.scm 57 */
{ /* Llib/avahi.scm 57 */
 int BgL_vz00_3162;
BgL_vz00_3162 = 
CINT(BgL_vz00_2694); 
return 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2693)))->BgL_z42ctypez42)=((int)BgL_vz00_3162),BUNSPEC);} } 

}



/* &lambda1900 */
obj_t BGl_z62lambda1900z62zz__avahi_avahiz00(obj_t BgL_envz00_2695, obj_t BgL_oz00_2696)
{
{ /* Llib/avahi.scm 57 */
return 
BINT(
(((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2696)))->BgL_z42ctypez42));} 

}



/* &<@anonymous:1886> */
obj_t BGl_z62zc3z04anonymousza31886ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2697, obj_t BgL_new1073z00_2698)
{
{ /* Llib/avahi.scm 54 */
return 
((obj_t)
((BgL_avahizd2objectzd2_bglt)BgL_new1073z00_2698));} 

}



/* &lambda1884 */
BgL_avahizd2objectzd2_bglt BGl_z62lambda1884z62zz__avahi_avahiz00(obj_t BgL_envz00_2699)
{
{ /* Llib/avahi.scm 54 */
{ /* Llib/avahi.scm 54 */
 BgL_avahizd2objectzd2_bglt BgL_new1072z00_3165;
BgL_new1072z00_3165 = 
((BgL_avahizd2objectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_avahizd2objectzd2_bgl) ))); 
{ /* Llib/avahi.scm 54 */
 long BgL_arg1885z00_3166;
BgL_arg1885z00_3166 = 
BGL_CLASS_NUM(BGl_avahizd2objectzd2zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1072z00_3165), BgL_arg1885z00_3166); } 
return BgL_new1072z00_3165;} } 

}



/* &<@anonymous:1879> */
obj_t BGl_z62zc3z04anonymousza31879ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2700, obj_t BgL_new1070z00_2701)
{
{ /* Llib/avahi.scm 52 */
{ 
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_auxz00_5955;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2701))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2701))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2701))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2701))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2701))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2701))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2701))))->BgL_errnoz00)=((int)
(int)(0L)),BUNSPEC); 
BgL_auxz00_5955 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BgL_new1070z00_2701); 
return 
((obj_t)BgL_auxz00_5955);} } 

}



/* &lambda1877 */
BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1877z62zz__avahi_avahiz00(obj_t BgL_envz00_2702)
{
{ /* Llib/avahi.scm 52 */
{ /* Llib/avahi.scm 52 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1069z00_3168;
BgL_new1069z00_3168 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2collisionzd2errorz62_bgl) ))); 
{ /* Llib/avahi.scm 52 */
 long BgL_arg1878z00_3169;
BgL_arg1878z00_3169 = 
BGL_CLASS_NUM(BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_3168), BgL_arg1878z00_3169); } 
return BgL_new1069z00_3168;} } 

}



/* &lambda1875 */
BgL_z62avahizd2collisionzd2errorz62_bglt BGl_z62lambda1875z62zz__avahi_avahiz00(obj_t BgL_envz00_2703, obj_t BgL_fname1062z00_2704, obj_t BgL_location1063z00_2705, obj_t BgL_stack1064z00_2706, obj_t BgL_proc1065z00_2707, obj_t BgL_msg1066z00_2708, obj_t BgL_obj1067z00_2709, obj_t BgL_errno1068z00_2710)
{
{ /* Llib/avahi.scm 52 */
{ /* Llib/avahi.scm 52 */
 int BgL_errno1068z00_3170;
BgL_errno1068z00_3170 = 
CINT(BgL_errno1068z00_2710); 
{ /* Llib/avahi.scm 52 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1214z00_3171;
{ /* Llib/avahi.scm 52 */
 BgL_z62avahizd2collisionzd2errorz62_bglt BgL_new1213z00_3172;
BgL_new1213z00_3172 = 
((BgL_z62avahizd2collisionzd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2collisionzd2errorz62_bgl) ))); 
{ /* Llib/avahi.scm 52 */
 long BgL_arg1876z00_3173;
BgL_arg1876z00_3173 = 
BGL_CLASS_NUM(BGl_z62avahizd2collisionzd2errorz62zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1213z00_3172), BgL_arg1876z00_3173); } 
BgL_new1214z00_3171 = BgL_new1213z00_3172; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1214z00_3171)))->BgL_fnamez00)=((obj_t)BgL_fname1062z00_2704),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1214z00_3171)))->BgL_locationz00)=((obj_t)BgL_location1063z00_2705),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1214z00_3171)))->BgL_stackz00)=((obj_t)BgL_stack1064z00_2706),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1214z00_3171)))->BgL_procz00)=((obj_t)BgL_proc1065z00_2707),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1214z00_3171)))->BgL_msgz00)=((obj_t)BgL_msg1066z00_2708),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1214z00_3171)))->BgL_objz00)=((obj_t)BgL_obj1067z00_2709),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_new1214z00_3171)))->BgL_errnoz00)=((int)BgL_errno1068z00_3170),BUNSPEC); 
return BgL_new1214z00_3171;} } } 

}



/* &<@anonymous:1862> */
obj_t BGl_z62zc3z04anonymousza31862ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2711, obj_t BgL_new1060z00_2712)
{
{ /* Llib/avahi.scm 50 */
{ 
 BgL_z62avahizd2errorzb0_bglt BgL_auxz00_6003;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2712))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2712))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2712))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2712))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2712))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2712))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2712)))->BgL_errnoz00)=((int)
(int)(0L)),BUNSPEC); 
BgL_auxz00_6003 = 
((BgL_z62avahizd2errorzb0_bglt)BgL_new1060z00_2712); 
return 
((obj_t)BgL_auxz00_6003);} } 

}



/* &lambda1859 */
BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1859z62zz__avahi_avahiz00(obj_t BgL_envz00_2713)
{
{ /* Llib/avahi.scm 50 */
{ /* Llib/avahi.scm 50 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1059z00_3175;
BgL_new1059z00_3175 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 50 */
 long BgL_arg1861z00_3176;
BgL_arg1861z00_3176 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1059z00_3175), BgL_arg1861z00_3176); } 
return BgL_new1059z00_3175;} } 

}



/* &lambda1856 */
BgL_z62avahizd2errorzb0_bglt BGl_z62lambda1856z62zz__avahi_avahiz00(obj_t BgL_envz00_2714, obj_t BgL_fname1052z00_2715, obj_t BgL_location1053z00_2716, obj_t BgL_stack1054z00_2717, obj_t BgL_proc1055z00_2718, obj_t BgL_msg1056z00_2719, obj_t BgL_obj1057z00_2720, obj_t BgL_errno1058z00_2721)
{
{ /* Llib/avahi.scm 50 */
{ /* Llib/avahi.scm 50 */
 int BgL_errno1058z00_3177;
BgL_errno1058z00_3177 = 
CINT(BgL_errno1058z00_2721); 
{ /* Llib/avahi.scm 50 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1212z00_3178;
{ /* Llib/avahi.scm 50 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1211z00_3179;
BgL_new1211z00_3179 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 50 */
 long BgL_arg1858z00_3180;
BgL_arg1858z00_3180 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1211z00_3179), BgL_arg1858z00_3180); } 
BgL_new1212z00_3178 = BgL_new1211z00_3179; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1212z00_3178)))->BgL_fnamez00)=((obj_t)BgL_fname1052z00_2715),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1212z00_3178)))->BgL_locationz00)=((obj_t)BgL_location1053z00_2716),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1212z00_3178)))->BgL_stackz00)=((obj_t)BgL_stack1054z00_2717),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1212z00_3178)))->BgL_procz00)=((obj_t)BgL_proc1055z00_2718),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1212z00_3178)))->BgL_msgz00)=((obj_t)BgL_msg1056z00_2719),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1212z00_3178)))->BgL_objz00)=((obj_t)BgL_obj1057z00_2720),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1212z00_3178))->BgL_errnoz00)=((int)BgL_errno1058z00_3177),BUNSPEC); 
return BgL_new1212z00_3178;} } } 

}



/* &<@anonymous:1869> */
obj_t BGl_z62zc3z04anonymousza31869ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2722)
{
{ /* Llib/avahi.scm 50 */
return 
BINT(0L);} 

}



/* &lambda1868 */
obj_t BGl_z62lambda1868z62zz__avahi_avahiz00(obj_t BgL_envz00_2723, obj_t BgL_oz00_2724, obj_t BgL_vz00_2725)
{
{ /* Llib/avahi.scm 50 */
{ /* Llib/avahi.scm 50 */
 int BgL_vz00_3182;
BgL_vz00_3182 = 
CINT(BgL_vz00_2725); 
return 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_oz00_2724)))->BgL_errnoz00)=((int)BgL_vz00_3182),BUNSPEC);} } 

}



/* &lambda1867 */
obj_t BGl_z62lambda1867z62zz__avahi_avahiz00(obj_t BgL_envz00_2726, obj_t BgL_oz00_2727)
{
{ /* Llib/avahi.scm 50 */
return 
BINT(
(((BgL_z62avahizd2errorzb0_bglt)COBJECT(
((BgL_z62avahizd2errorzb0_bglt)BgL_oz00_2727)))->BgL_errnoz00));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_proc2664z00zz__avahi_avahiz00, BGl_avahizd2objectzd2zz__avahi_avahiz00, BGl_string2665z00zz__avahi_avahiz00);} 

}



/* &avahi-init1263 */
obj_t BGl_z62avahizd2init1263zb0zz__avahi_avahiz00(obj_t BgL_envz00_2731, obj_t BgL_oz00_2732)
{
{ /* Llib/avahi.scm 314 */
return 
((obj_t)
((BgL_avahizd2objectzd2_bglt)BgL_oz00_2732));} 

}



/* avahi-init */
BGL_EXPORTED_DEF obj_t BGl_avahizd2initzd2zz__avahi_avahiz00(BgL_avahizd2objectzd2_bglt BgL_oz00_13)
{
{ /* Llib/avahi.scm 314 */
{ /* Llib/avahi.scm 314 */
 obj_t BgL_method1264z00_1202;
{ /* Llib/avahi.scm 314 */
 obj_t BgL_res2350z00_2006;
{ /* Llib/avahi.scm 314 */
 long BgL_objzd2classzd2numz00_1977;
BgL_objzd2classzd2numz00_1977 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_13)); 
{ /* Llib/avahi.scm 314 */
 obj_t BgL_arg1831z00_1978;
BgL_arg1831z00_1978 = 
PROCEDURE_REF(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, 
(int)(1L)); 
{ /* Llib/avahi.scm 314 */
 int BgL_offsetz00_1981;
BgL_offsetz00_1981 = 
(int)(BgL_objzd2classzd2numz00_1977); 
{ /* Llib/avahi.scm 314 */
 long BgL_offsetz00_1982;
BgL_offsetz00_1982 = 
(
(long)(BgL_offsetz00_1981)-OBJECT_TYPE); 
{ /* Llib/avahi.scm 314 */
 long BgL_modz00_1983;
BgL_modz00_1983 = 
(BgL_offsetz00_1982 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/avahi.scm 314 */
 long BgL_restz00_1985;
BgL_restz00_1985 = 
(BgL_offsetz00_1982 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/avahi.scm 314 */

{ /* Llib/avahi.scm 314 */
 obj_t BgL_bucketz00_1987;
BgL_bucketz00_1987 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_1978),BgL_modz00_1983); 
BgL_res2350z00_2006 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1987),BgL_restz00_1985); } } } } } } } } 
BgL_method1264z00_1202 = BgL_res2350z00_2006; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1264z00_1202, 
((obj_t)BgL_oz00_13));} } 

}



/* &avahi-init */
obj_t BGl_z62avahizd2initzb0zz__avahi_avahiz00(obj_t BgL_envz00_2728, obj_t BgL_oz00_2729)
{
{ /* Llib/avahi.scm 314 */
{ /* Llib/avahi.scm 314 */
 BgL_avahizd2objectzd2_bglt BgL_auxz00_6089;
{ /* Llib/avahi.scm 314 */
 bool_t BgL_test3144z00_6090;
{ /* Llib/avahi.scm 314 */
 obj_t BgL_classz00_3185;
BgL_classz00_3185 = BGl_avahizd2objectzd2zz__avahi_avahiz00; 
if(
BGL_OBJECTP(BgL_oz00_2729))
{ /* Llib/avahi.scm 314 */
 BgL_objectz00_bglt BgL_arg1829z00_3187; long BgL_arg1830z00_3188;
BgL_arg1829z00_3187 = 
(BgL_objectz00_bglt)(BgL_oz00_2729); 
BgL_arg1830z00_3188 = 
BGL_CLASS_DEPTH(BgL_classz00_3185); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/avahi.scm 314 */
 long BgL_idxz00_3196;
BgL_idxz00_3196 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_3187); 
{ /* Llib/avahi.scm 314 */
 obj_t BgL_arg1820z00_3197;
{ /* Llib/avahi.scm 314 */
 long BgL_arg1821z00_3198;
BgL_arg1821z00_3198 = 
(BgL_idxz00_3196+BgL_arg1830z00_3188); 
BgL_arg1820z00_3197 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_3198); } 
BgL_test3144z00_6090 = 
(BgL_arg1820z00_3197==BgL_classz00_3185); } }  else 
{ /* Llib/avahi.scm 314 */
 bool_t BgL_res2689z00_3224;
{ /* Llib/avahi.scm 314 */
 obj_t BgL_oclassz00_3206;
{ /* Llib/avahi.scm 314 */
 obj_t BgL_arg1834z00_3214; long BgL_arg1835z00_3215;
BgL_arg1834z00_3214 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/avahi.scm 314 */
 long BgL_arg1836z00_3216;
BgL_arg1836z00_3216 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_3187); 
BgL_arg1835z00_3215 = 
(BgL_arg1836z00_3216-OBJECT_TYPE); } 
BgL_oclassz00_3206 = 
VECTOR_REF(BgL_arg1834z00_3214,BgL_arg1835z00_3215); } 
{ /* Llib/avahi.scm 314 */
 bool_t BgL__ortest_1114z00_3207;
BgL__ortest_1114z00_3207 = 
(BgL_classz00_3185==BgL_oclassz00_3206); 
if(BgL__ortest_1114z00_3207)
{ /* Llib/avahi.scm 314 */
BgL_res2689z00_3224 = BgL__ortest_1114z00_3207; }  else 
{ /* Llib/avahi.scm 314 */
 long BgL_odepthz00_3208;
{ /* Llib/avahi.scm 314 */
 obj_t BgL_arg1824z00_3209;
BgL_arg1824z00_3209 = 
(BgL_oclassz00_3206); 
BgL_odepthz00_3208 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_3209); } 
if(
(BgL_arg1830z00_3188<BgL_odepthz00_3208))
{ /* Llib/avahi.scm 314 */
 obj_t BgL_arg1822z00_3211;
{ /* Llib/avahi.scm 314 */
 obj_t BgL_arg1823z00_3212;
BgL_arg1823z00_3212 = 
(BgL_oclassz00_3206); 
BgL_arg1822z00_3211 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_3212, BgL_arg1830z00_3188); } 
BgL_res2689z00_3224 = 
(BgL_arg1822z00_3211==BgL_classz00_3185); }  else 
{ /* Llib/avahi.scm 314 */
BgL_res2689z00_3224 = ((bool_t)0); } } } } 
BgL_test3144z00_6090 = BgL_res2689z00_3224; } }  else 
{ /* Llib/avahi.scm 314 */
BgL_test3144z00_6090 = ((bool_t)0)
; } } 
if(BgL_test3144z00_6090)
{ /* Llib/avahi.scm 314 */
BgL_auxz00_6089 = 
((BgL_avahizd2objectzd2_bglt)BgL_oz00_2729)
; }  else 
{ 
 obj_t BgL_auxz00_6115;
BgL_auxz00_6115 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2439z00zz__avahi_avahiz00, 
BINT(13044L), BGl_string2666z00zz__avahi_avahiz00, BGl_string2667z00zz__avahi_avahiz00, BgL_oz00_2729); 
FAILURE(BgL_auxz00_6115,BFALSE,BFALSE);} } 
return 
BGl_avahizd2initzd2zz__avahi_avahiz00(BgL_auxz00_6089);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__avahi_avahiz00(void)
{
{ /* Llib/avahi.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_avahizd2clientzd2zz__avahi_avahiz00, BGl_proc2668z00zz__avahi_avahiz00, BGl_string2669z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_avahizd2pollzd2zz__avahi_avahiz00, BGl_proc2670z00zz__avahi_avahiz00, BGl_string2669z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2simplezd2pollz00zz__avahi_avahiz00, BGl_proc2671z00zz__avahi_avahiz00, BGl_string2672z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2threadedzd2pollz00zz__avahi_avahiz00, BGl_proc2673z00zz__avahi_avahiz00, BGl_string2672z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2clientzd2zz__avahi_avahiz00, BGl_proc2674z00zz__avahi_avahiz00, BGl_string2672z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2entryzd2groupz00zz__avahi_avahiz00, BGl_proc2675z00zz__avahi_avahiz00, BGl_string2672z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2servicezd2browserz00zz__avahi_avahiz00, BGl_proc2676z00zz__avahi_avahiz00, BGl_string2672z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2servicezd2typezd2browserzd2zz__avahi_avahiz00, BGl_proc2677z00zz__avahi_avahiz00, BGl_string2672z00zz__avahi_avahiz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2domainzd2browserz00zz__avahi_avahiz00, BGl_proc2678z00zz__avahi_avahiz00, BGl_string2672z00zz__avahi_avahiz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_avahizd2initzd2envz00zz__avahi_avahiz00, BGl_avahizd2servicezd2resolverz00zz__avahi_avahiz00, BGl_proc2679z00zz__avahi_avahiz00, BGl_string2672z00zz__avahi_avahiz00);} 

}



/* &avahi-init-avahi-ser1281 */
obj_t BGl_z62avahizd2initzd2avahizd2ser1281zb0zz__avahi_avahiz00(obj_t BgL_envz00_2745, obj_t BgL_oz00_2746)
{
{ /* Llib/avahi.scm 732 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2746)))->BgL_procz00), 
(int)(12L)))
{ /* Llib/avahi.scm 734 */
{ /* Llib/avahi.scm 736 */
 BgL_avahizd2clientzd2_bglt BgL_i1192z00_3226;
BgL_i1192z00_3226 = 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2746)))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_6137;
{ /* Llib/avahi.scm 737 */
 obj_t BgL_arg2336z00_3227;
BgL_arg2336z00_3227 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1192z00_3226))->BgL_resolversz00); 
BgL_auxz00_6137 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2746)), BgL_arg2336z00_3227); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1192z00_3226))->BgL_resolversz00)=((obj_t)BgL_auxz00_6137),BUNSPEC); } } 
{ /* Llib/avahi.scm 738 */
 BgL_avahizd2servicezd2resolverz00_bglt BgL_tmpz00_6143;
BgL_tmpz00_6143 = 
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2746); 
bgl_avahi_service_resolver_new(BgL_tmpz00_6143); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 739 */
 obj_t BgL_arg2337z00_3228;
BgL_arg2337z00_3228 = 
(((BgL_avahizd2servicezd2resolverz00_bglt)COBJECT(
((BgL_avahizd2servicezd2resolverz00_bglt)BgL_oz00_2746)))->BgL_procz00); 
{ /* Llib/avahi.scm 739 */
 char * BgL_procz00_3229; char * BgL_msgz00_3230;
BgL_procz00_3229 = 
BSTRING_TO_STRING(BGl_string2489z00zz__avahi_avahiz00); 
BgL_msgz00_3230 = 
BSTRING_TO_STRING(BGl_string2456z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1337z00_3231;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_3232;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_3233;
BgL_new1142z00_3233 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1355z00_3234;
BgL_arg1355z00_3234 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_3233), BgL_arg1355z00_3234); } 
BgL_new1143z00_3232 = BgL_new1142z00_3233; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3232)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3232)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6158;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1353z00_3235;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1354z00_3236;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_3237;
BgL_classz00_3237 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1354z00_3236 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3237); } 
BgL_arg1353z00_3235 = 
VECTOR_REF(BgL_arg1354z00_3236,2L); } 
BgL_auxz00_6158 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1353z00_3235); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3232)))->BgL_stackz00)=((obj_t)BgL_auxz00_6158),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3232)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3229)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3232)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_3230)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3232)))->BgL_objz00)=((obj_t)BgL_arg2337z00_3228),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_3232))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1337z00_3231 = BgL_new1143z00_3232; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1337z00_3231));} } } } 

}



/* &avahi-init-avahi-dom1279 */
obj_t BGl_z62avahizd2initzd2avahizd2dom1279zb0zz__avahi_avahiz00(obj_t BgL_envz00_2747, obj_t BgL_oz00_2748)
{
{ /* Llib/avahi.scm 712 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2748)))->BgL_procz00), 
(int)(5L)))
{ /* Llib/avahi.scm 714 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 277 */
 obj_t BgL_tmp3151z00_6180;
BgL_tmp3151z00_6180 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2748)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3151z00_6180; } 
{ /* Llib/avahi.scm 717 */
 obj_t BgL_arg2330z00_3239;
BgL_arg2330z00_3239 = 
BGl_avahizd2symbolzd2ze3domainzd2browserzd2typeze3zz__avahi_avahiz00(
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2748)))->BgL_btypez00)); 
{ /* Llib/avahi.scm 717 */
 AvahiDomainBrowserType BgL_auxz00_6191; BgL_avahizd2domainzd2browserz00_bglt BgL_tmpz00_6189;
BgL_auxz00_6191 = 
(long)CINT(BgL_arg2330z00_3239); 
BgL_tmpz00_6189 = 
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2748); 
bgl_avahi_domain_browser_new(BgL_tmpz00_6189, BgL_auxz00_6191); } 
return BUNSPEC;} }  else 
{ /* Llib/avahi.scm 718 */
 obj_t BgL_arg2332z00_3240;
BgL_arg2332z00_3240 = 
(((BgL_avahizd2domainzd2browserz00_bglt)COBJECT(
((BgL_avahizd2domainzd2browserz00_bglt)BgL_oz00_2748)))->BgL_procz00); 
{ /* Llib/avahi.scm 718 */
 char * BgL_procz00_3241; char * BgL_msgz00_3242;
BgL_procz00_3241 = 
BSTRING_TO_STRING(BGl_string2487z00zz__avahi_avahiz00); 
BgL_msgz00_3242 = 
BSTRING_TO_STRING(BGl_string2456z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1337z00_3243;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_3244;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_3245;
BgL_new1142z00_3245 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1355z00_3246;
BgL_arg1355z00_3246 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_3245), BgL_arg1355z00_3246); } 
BgL_new1143z00_3244 = BgL_new1142z00_3245; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3244)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3244)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6206;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1353z00_3247;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1354z00_3248;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_3249;
BgL_classz00_3249 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1354z00_3248 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3249); } 
BgL_arg1353z00_3247 = 
VECTOR_REF(BgL_arg1354z00_3248,2L); } 
BgL_auxz00_6206 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1353z00_3247); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3244)))->BgL_stackz00)=((obj_t)BgL_auxz00_6206),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3244)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3241)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3244)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_3242)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3244)))->BgL_objz00)=((obj_t)BgL_arg2332z00_3240),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_3244))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1337z00_3243 = BgL_new1143z00_3244; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1337z00_3243));} } } } 

}



/* &avahi-init-avahi-ser1277 */
obj_t BGl_z62avahizd2initzd2avahizd2ser1277zb0zz__avahi_avahiz00(obj_t BgL_envz00_2749, obj_t BgL_oz00_2750)
{
{ /* Llib/avahi.scm 692 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2750)))->BgL_procz00), 
(int)(7L)))
{ /* Llib/avahi.scm 694 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 277 */
 obj_t BgL_tmp3153z00_6228;
BgL_tmp3153z00_6228 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2750)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3153z00_6228; } 
{ /* Llib/avahi.scm 697 */
 BgL_avahizd2servicezd2typezd2browserzd2_bglt BgL_tmpz00_6234;
BgL_tmpz00_6234 = 
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2750); 
bgl_avahi_service_type_browser_new(BgL_tmpz00_6234); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 698 */
 obj_t BgL_arg2326z00_3251;
BgL_arg2326z00_3251 = 
(((BgL_avahizd2servicezd2typezd2browserzd2_bglt)COBJECT(
((BgL_avahizd2servicezd2typezd2browserzd2_bglt)BgL_oz00_2750)))->BgL_procz00); 
{ /* Llib/avahi.scm 698 */
 char * BgL_procz00_3252; char * BgL_msgz00_3253;
BgL_procz00_3252 = 
BSTRING_TO_STRING(BGl_string2680z00zz__avahi_avahiz00); 
BgL_msgz00_3253 = 
BSTRING_TO_STRING(BGl_string2456z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1337z00_3254;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_3255;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_3256;
BgL_new1142z00_3256 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1355z00_3257;
BgL_arg1355z00_3257 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_3256), BgL_arg1355z00_3257); } 
BgL_new1143z00_3255 = BgL_new1142z00_3256; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3255)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3255)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6249;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1353z00_3258;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1354z00_3259;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_3260;
BgL_classz00_3260 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1354z00_3259 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3260); } 
BgL_arg1353z00_3258 = 
VECTOR_REF(BgL_arg1354z00_3259,2L); } 
BgL_auxz00_6249 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1353z00_3258); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3255)))->BgL_stackz00)=((obj_t)BgL_auxz00_6249),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3255)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3252)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3255)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_3253)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3255)))->BgL_objz00)=((obj_t)BgL_arg2326z00_3251),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_3255))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1337z00_3254 = BgL_new1143z00_3255; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1337z00_3254));} } } } 

}



/* &avahi-init-avahi-ser1275 */
obj_t BGl_z62avahizd2initzd2avahizd2ser1275zb0zz__avahi_avahiz00(obj_t BgL_envz00_2751, obj_t BgL_oz00_2752)
{
{ /* Llib/avahi.scm 669 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2752)))->BgL_procz00), 
(int)(8L)))
{ /* Llib/avahi.scm 671 */
{ /* Llib/avahi.scm 673 */
 BgL_avahizd2clientzd2_bglt BgL_i1186z00_3262;
BgL_i1186z00_3262 = 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2752)))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_6273;
{ /* Llib/avahi.scm 674 */
 obj_t BgL_arg2321z00_3263;
BgL_arg2321z00_3263 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1186z00_3262))->BgL_z52browsersz52); 
BgL_auxz00_6273 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2752)), BgL_arg2321z00_3263); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1186z00_3262))->BgL_z52browsersz52)=((obj_t)BgL_auxz00_6273),BUNSPEC); } } 
{ /* Llib/avahi.scm 675 */
 BgL_avahizd2servicezd2browserz00_bglt BgL_tmpz00_6279;
BgL_tmpz00_6279 = 
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2752); 
bgl_avahi_service_browser_new(BgL_tmpz00_6279); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 676 */
 obj_t BgL_arg2322z00_3264;
BgL_arg2322z00_3264 = 
(((BgL_avahizd2servicezd2browserz00_bglt)COBJECT(
((BgL_avahizd2servicezd2browserz00_bglt)BgL_oz00_2752)))->BgL_procz00); 
{ /* Llib/avahi.scm 676 */
 char * BgL_procz00_3265; char * BgL_msgz00_3266;
BgL_procz00_3265 = 
BSTRING_TO_STRING(BGl_string2485z00zz__avahi_avahiz00); 
BgL_msgz00_3266 = 
BSTRING_TO_STRING(BGl_string2456z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1337z00_3267;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_3268;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_3269;
BgL_new1142z00_3269 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1355z00_3270;
BgL_arg1355z00_3270 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_3269), BgL_arg1355z00_3270); } 
BgL_new1143z00_3268 = BgL_new1142z00_3269; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3268)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3268)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6294;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1353z00_3271;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1354z00_3272;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_3273;
BgL_classz00_3273 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1354z00_3272 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3273); } 
BgL_arg1353z00_3271 = 
VECTOR_REF(BgL_arg1354z00_3272,2L); } 
BgL_auxz00_6294 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1353z00_3271); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3268)))->BgL_stackz00)=((obj_t)BgL_auxz00_6294),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3268)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3265)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3268)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_3266)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3268)))->BgL_objz00)=((obj_t)BgL_arg2322z00_3264),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_3268))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1337z00_3267 = BgL_new1143z00_3268; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1337z00_3267));} } } } 

}



/* &avahi-init-avahi-ent1272 */
obj_t BGl_z62avahizd2initzd2avahizd2ent1272zb0zz__avahi_avahiz00(obj_t BgL_envz00_2753, obj_t BgL_oz00_2754)
{
{ /* Llib/avahi.scm 522 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2754)))->BgL_procz00), 
(int)(2L)))
{ /* Llib/avahi.scm 524 */
{ /* Llib/avahi.scm 526 */
 BgL_avahizd2clientzd2_bglt BgL_i1160z00_3275;
BgL_i1160z00_3275 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2754)))->BgL_clientz00); 
{ 
 obj_t BgL_auxz00_6318;
{ /* Llib/avahi.scm 527 */
 obj_t BgL_arg2316z00_3276;
BgL_arg2316z00_3276 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1160z00_3275))->BgL_z52groupsz52); 
BgL_auxz00_6318 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2754)), BgL_arg2316z00_3276); } 
((((BgL_avahizd2clientzd2_bglt)COBJECT(BgL_i1160z00_3275))->BgL_z52groupsz52)=((obj_t)BgL_auxz00_6318),BUNSPEC); } } 
{ /* Llib/avahi.scm 528 */
 BgL_avahizd2entryzd2groupz00_bglt BgL_tmpz00_6324;
BgL_tmpz00_6324 = 
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2754); 
bgl_avahi_entry_group_new(BgL_tmpz00_6324); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 529 */
 obj_t BgL_arg2317z00_3277;
BgL_arg2317z00_3277 = 
(((BgL_avahizd2entryzd2groupz00_bglt)COBJECT(
((BgL_avahizd2entryzd2groupz00_bglt)BgL_oz00_2754)))->BgL_procz00); 
{ /* Llib/avahi.scm 529 */
 char * BgL_procz00_3278; char * BgL_msgz00_3279;
BgL_procz00_3278 = 
BSTRING_TO_STRING(BGl_string2474z00zz__avahi_avahiz00); 
BgL_msgz00_3279 = 
BSTRING_TO_STRING(BGl_string2456z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1337z00_3280;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_3281;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_3282;
BgL_new1142z00_3282 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1355z00_3283;
BgL_arg1355z00_3283 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_3282), BgL_arg1355z00_3283); } 
BgL_new1143z00_3281 = BgL_new1142z00_3282; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3281)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3281)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6339;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1353z00_3284;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1354z00_3285;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_3286;
BgL_classz00_3286 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1354z00_3285 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3286); } 
BgL_arg1353z00_3284 = 
VECTOR_REF(BgL_arg1354z00_3285,2L); } 
BgL_auxz00_6339 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1353z00_3284); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3281)))->BgL_stackz00)=((obj_t)BgL_auxz00_6339),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3281)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3278)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3281)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_3279)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3281)))->BgL_objz00)=((obj_t)BgL_arg2317z00_3277),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_3281))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1337z00_3280 = BgL_new1143z00_3281; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1337z00_3280));} } } } 

}



/* &avahi-init-avahi-cli1270 */
obj_t BGl_z62avahizd2initzd2avahizd2cli1270zb0zz__avahi_avahiz00(obj_t BgL_envz00_2755, obj_t BgL_oz00_2756)
{
{ /* Llib/avahi.scm 473 */
if(
PROCEDURE_CORRECT_ARITYP(
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2756)))->BgL_procz00), 
(int)(2L)))
{ /* Llib/avahi.scm 475 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 277 */
 obj_t BgL_tmp3157z00_6361;
BgL_tmp3157z00_6361 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2756)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3157z00_6361; } 
{ /* Llib/avahi.scm 478 */
 BgL_avahizd2clientzd2_bglt BgL_tmpz00_6367;
BgL_tmpz00_6367 = 
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2756); 
bgl_avahi_client_new(BgL_tmpz00_6367); } 
return BUNSPEC;}  else 
{ /* Llib/avahi.scm 479 */
 obj_t BgL_arg2312z00_3288;
BgL_arg2312z00_3288 = 
(((BgL_avahizd2clientzd2_bglt)COBJECT(
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2756)))->BgL_procz00); 
{ /* Llib/avahi.scm 479 */
 char * BgL_procz00_3289; char * BgL_msgz00_3290;
BgL_procz00_3289 = 
BSTRING_TO_STRING(BGl_string2681z00zz__avahi_avahiz00); 
BgL_msgz00_3290 = 
BSTRING_TO_STRING(BGl_string2456z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_arg1337z00_3291;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1143z00_3292;
{ /* Llib/avahi.scm 240 */
 BgL_z62avahizd2errorzb0_bglt BgL_new1142z00_3293;
BgL_new1142z00_3293 = 
((BgL_z62avahizd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62avahizd2errorzb0_bgl) ))); 
{ /* Llib/avahi.scm 240 */
 long BgL_arg1355z00_3294;
BgL_arg1355z00_3294 = 
BGL_CLASS_NUM(BGl_z62avahizd2errorzb0zz__avahi_avahiz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_3293), BgL_arg1355z00_3294); } 
BgL_new1143z00_3292 = BgL_new1142z00_3293; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3292)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3292)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6382;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1353z00_3295;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_arg1354z00_3296;
{ /* Llib/avahi.scm 240 */
 obj_t BgL_classz00_3297;
BgL_classz00_3297 = BGl_z62avahizd2errorzb0zz__avahi_avahiz00; 
BgL_arg1354z00_3296 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3297); } 
BgL_arg1353z00_3295 = 
VECTOR_REF(BgL_arg1354z00_3296,2L); } 
BgL_auxz00_6382 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1353z00_3295); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1143z00_3292)))->BgL_stackz00)=((obj_t)BgL_auxz00_6382),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3292)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_3289)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3292)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_3290)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1143z00_3292)))->BgL_objz00)=((obj_t)BgL_arg2312z00_3288),BUNSPEC); 
((((BgL_z62avahizd2errorzb0_bglt)COBJECT(BgL_new1143z00_3292))->BgL_errnoz00)=((int)AVAHI_ERR_INVALID_OBJECT),BUNSPEC); 
BgL_arg1337z00_3291 = BgL_new1143z00_3292; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1337z00_3291));} } } } 

}



/* &avahi-init-avahi-thr1268 */
obj_t BGl_z62avahizd2initzd2avahizd2thr1268zb0zz__avahi_avahiz00(obj_t BgL_envz00_2757, obj_t BgL_oz00_2758)
{
{ /* Llib/avahi.scm 411 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 277 */
 obj_t BgL_tmp3158z00_6399;
BgL_tmp3158z00_6399 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2758)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3158z00_6399; } 
{ /* Llib/avahi.scm 413 */
 BgL_avahizd2threadedzd2pollz00_bglt BgL_tmpz00_6405;
BgL_tmpz00_6405 = 
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2758); 
bgl_avahi_threaded_poll_new(BgL_tmpz00_6405); } BUNSPEC; 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2758))))->BgL_z42ctypez42)=((int)
(int)(2L)),BUNSPEC); 
BGl_z52avahizd2threadzd2initz12z40zz__avahi_avahiz00(); 
return 
((obj_t)
((BgL_avahizd2threadedzd2pollz00_bglt)BgL_oz00_2758));} 

}



/* &avahi-init-avahi-sim1266 */
obj_t BGl_z62avahizd2initzd2avahizd2sim1266zb0zz__avahi_avahiz00(obj_t BgL_envz00_2759, obj_t BgL_oz00_2760)
{
{ /* Llib/avahi.scm 366 */
BGL_MUTEX_LOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); 
{ /* Llib/avahi.scm 277 */
 obj_t BgL_tmp3159z00_6415;
BgL_tmp3159z00_6415 = ( 
BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00 = 
MAKE_YOUNG_PAIR(
((obj_t)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2760)), BGl_za2avahizd2gczd2rootsza2z00zz__avahi_avahiz00), BUNSPEC) ; 
BGL_MUTEX_UNLOCK(BGl_za2avahizd2gczd2mutexza2z00zz__avahi_avahiz00); BgL_tmp3159z00_6415; } 
{ /* Llib/avahi.scm 368 */
 BgL_avahizd2simplezd2pollz00_bglt BgL_tmpz00_6421;
BgL_tmpz00_6421 = 
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2760); 
bgl_avahi_simple_poll_new(BgL_tmpz00_6421); } BUNSPEC; 
((((BgL_avahizd2pollzd2_bglt)COBJECT(
((BgL_avahizd2pollzd2_bglt)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2760))))->BgL_z42ctypez42)=((int)
(int)(1L)),BUNSPEC); 
return 
((obj_t)
((BgL_avahizd2simplezd2pollz00_bglt)BgL_oz00_2760));} 

}



/* &object-display-avahi1262 */
obj_t BGl_z62objectzd2displayzd2avahi1262z62zz__avahi_avahiz00(obj_t BgL_envz00_2761, obj_t BgL_oz00_2762, obj_t BgL_portz00_2763)
{
{ /* Llib/avahi.scm 219 */
{ /* Llib/avahi.scm 220 */
 obj_t BgL_arg2303z00_3301;
if(
NULLP(BgL_portz00_2763))
{ /* Llib/avahi.scm 220 */
 obj_t BgL_tmpz00_6432;
BgL_tmpz00_6432 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg2303z00_3301 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6432); }  else 
{ /* Llib/avahi.scm 220 */
BgL_arg2303z00_3301 = 
CAR(
((obj_t)BgL_portz00_2763)); } 
{ /* Llib/avahi.scm 222 */
 obj_t BgL_zc3z04anonymousza32306ze3z87_3302;
BgL_zc3z04anonymousza32306ze3z87_3302 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32306ze3ze5zz__avahi_avahiz00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32306ze3z87_3302, 
(int)(0L), 
((obj_t)
((BgL_avahizd2pollzd2_bglt)BgL_oz00_2762))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg2303z00_3301, BgL_zc3z04anonymousza32306ze3z87_3302);} } } 

}



/* &<@anonymous:2306> */
obj_t BGl_z62zc3z04anonymousza32306ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2764)
{
{ /* Llib/avahi.scm 221 */
{ /* Llib/avahi.scm 222 */
 BgL_avahizd2pollzd2_bglt BgL_oz00_2765;
BgL_oz00_2765 = 
((BgL_avahizd2pollzd2_bglt)
PROCEDURE_REF(BgL_envz00_2764, 
(int)(0L))); 
{ /* Llib/avahi.scm 222 */
 obj_t BgL_port1232z00_3303;
{ /* Llib/avahi.scm 222 */
 obj_t BgL_tmpz00_6448;
BgL_tmpz00_6448 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1232z00_3303 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6448); } 
bgl_display_string(BGl_string2682z00zz__avahi_avahiz00, BgL_port1232z00_3303); 
{ /* Llib/avahi.scm 222 */
 obj_t BgL_arg2307z00_3304;
{ /* Llib/avahi.scm 222 */
 obj_t BgL_arg2308z00_3305;
{ /* Llib/avahi.scm 222 */
 obj_t BgL_arg1834z00_3306; long BgL_arg1835z00_3307;
BgL_arg1834z00_3306 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/avahi.scm 222 */
 long BgL_arg1836z00_3308;
BgL_arg1836z00_3308 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_2765)); 
BgL_arg1835z00_3307 = 
(BgL_arg1836z00_3308-OBJECT_TYPE); } 
BgL_arg2308z00_3305 = 
VECTOR_REF(BgL_arg1834z00_3306,BgL_arg1835z00_3307); } 
BgL_arg2307z00_3304 = 
BGl_classzd2namezd2zz__objectz00(BgL_arg2308z00_3305); } 
bgl_display_obj(BgL_arg2307z00_3304, BgL_port1232z00_3303); } 
bgl_display_string(BGl_string2683z00zz__avahi_avahiz00, BgL_port1232z00_3303); 
return 
bgl_display_char(((unsigned char)10), BgL_port1232z00_3303);} } } 

}



/* &object-display-avahi1260 */
obj_t BGl_z62objectzd2displayzd2avahi1260z62zz__avahi_avahiz00(obj_t BgL_envz00_2766, obj_t BgL_oz00_2767, obj_t BgL_portz00_2768)
{
{ /* Llib/avahi.scm 210 */
{ /* Llib/avahi.scm 211 */
 obj_t BgL_arg2295z00_3310;
if(
NULLP(BgL_portz00_2768))
{ /* Llib/avahi.scm 211 */
 obj_t BgL_tmpz00_6463;
BgL_tmpz00_6463 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg2295z00_3310 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6463); }  else 
{ /* Llib/avahi.scm 211 */
BgL_arg2295z00_3310 = 
CAR(
((obj_t)BgL_portz00_2768)); } 
{ /* Llib/avahi.scm 213 */
 obj_t BgL_zc3z04anonymousza32298ze3z87_3311;
BgL_zc3z04anonymousza32298ze3z87_3311 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32298ze3ze5zz__avahi_avahiz00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32298ze3z87_3311, 
(int)(0L), 
((obj_t)
((BgL_avahizd2clientzd2_bglt)BgL_oz00_2767))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg2295z00_3310, BgL_zc3z04anonymousza32298ze3z87_3311);} } } 

}



/* &<@anonymous:2298> */
obj_t BGl_z62zc3z04anonymousza32298ze3ze5zz__avahi_avahiz00(obj_t BgL_envz00_2769)
{
{ /* Llib/avahi.scm 212 */
{ /* Llib/avahi.scm 214 */
 BgL_avahizd2clientzd2_bglt BgL_oz00_2770;
BgL_oz00_2770 = 
((BgL_avahizd2clientzd2_bglt)
PROCEDURE_REF(BgL_envz00_2769, 
(int)(0L))); 
{ /* Llib/avahi.scm 214 */
 obj_t BgL_port1231z00_3312;
{ /* Llib/avahi.scm 214 */
 obj_t BgL_tmpz00_6479;
BgL_tmpz00_6479 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1231z00_3312 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6479); } 
bgl_display_string(BGl_string2684z00zz__avahi_avahiz00, BgL_port1231z00_3312); 
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg2299z00_3313;
BgL_arg2299z00_3313 = 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2770), 
(int)(4L)); 
bgl_display_obj(BgL_arg2299z00_3313, BgL_port1231z00_3312); } 
bgl_display_string(BGl_string2685z00zz__avahi_avahiz00, BgL_port1231z00_3312); 
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg2300z00_3314;
BgL_arg2300z00_3314 = 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2770), 
(int)(1L)); 
bgl_display_obj(BgL_arg2300z00_3314, BgL_port1231z00_3312); } 
bgl_display_string(BGl_string2686z00zz__avahi_avahiz00, BgL_port1231z00_3312); 
{ /* Llib/avahi.scm 214 */
 obj_t BgL_arg2301z00_3315;
BgL_arg2301z00_3315 = 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_2770), 
(int)(2L)); 
bgl_display_obj(BgL_arg2301z00_3315, BgL_port1231z00_3312); } 
return 
bgl_display_char(((unsigned char)10), BgL_port1231z00_3312);} } } 

}

#ifdef __cplusplus
}
#endif
