/*===========================================================================*/
/*   (Llib/block_ciphers.scm)                                                */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -copt -fPIC -copt -IPosix Llib/block_ciphers.scm -o objs/block_ciphers.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL___CRYPTOzd2BLOCKzd2CIPHERSz00_TYPE_DEFINITIONS
#define BGL_BgL___CRYPTOzd2BLOCKzd2CIPHERSz00_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_blockzd2cipherzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   long BgL_blockzd2siza7ez75;
   long BgL_preferredzd2keyzd2lengthz00;
   obj_t BgL_encryptz12z12;
   obj_t BgL_decryptz12z12;
   obj_t BgL_keyzd2ze3encryptzd2paramze3;
   obj_t BgL_keyzd2ze3decryptzd2paramze3;
} *BgL_blockzd2cipherzd2_bglt;

typedef struct BgL_cipherzd2statezd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_cipherzd2statezd2_bglt;

typedef struct BgL_ecbzd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_ecbzd2encryptzd2_bglt;

typedef struct BgL_ecbzd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_ecbzd2decryptzd2_bglt;

typedef struct BgL_cbczd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_cbczd2encryptzd2_bglt;

typedef struct BgL_cbczd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_cbczd2decryptzd2_bglt;

typedef struct BgL_pcbczd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_pcbczd2encryptzd2_bglt;

typedef struct BgL_pcbczd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_pcbczd2decryptzd2_bglt;

typedef struct BgL_streamzd2cipherzd2statez00_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
} *BgL_streamzd2cipherzd2statez00_bglt;

typedef struct BgL_cfbzd2encryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_chainz00;
} *BgL_cfbzd2encryptzd2_bglt;

typedef struct BgL_cfbzd2decryptzd2_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_bufferz00;
   obj_t BgL_chainz00;
} *BgL_cfbzd2decryptzd2_bglt;

typedef struct BgL_ofbz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_chainz00;
} *BgL_ofbz00_bglt;

typedef struct BgL_ctrz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_blockzd2siza7ez75;
   obj_t BgL_cipherz00;
   obj_t BgL_paramz00;
   obj_t BgL_noncez00;
   obj_t BgL_noncezd2strzd2;
   long BgL_blockzd2counterzd2;
   obj_t BgL_noncezd2initz12zc0;
   obj_t BgL_noncezd2updatez12zc0;
} *BgL_ctrz00_bglt;

typedef struct BgL_cipherzd2modezd2statez00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_encryptzf3zf3;
   long BgL_blockzd2siza7ez75;
   struct BgL_cipherzd2statezd2_bgl * BgL_cipherzd2statezd2;
   obj_t BgL_ivzd2actionzd2;
   obj_t BgL_ivz00;
   obj_t BgL_padzf2unpadzf2;
   obj_t BgL_loopzd2bufferzd2;
   long BgL_posz00;
} *BgL_cipherzd2modezd2statez00_bglt;


#endif // BGL_BgL___CRYPTOzd2BLOCKzd2CIPHERSz00_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62lambda2575z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2499z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62decryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1354zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32559ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1360zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32495ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32576ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_OFBz00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32398ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
extern obj_t BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(obj_t, long, obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1322z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1326z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1332za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1336za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1338z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1344z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__cryptozd2blockzd2ciphersz00(void);
static obj_t BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1340za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1346za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32104ze32797ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32104ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1356z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__cryptozd2blockzd2ciphersz00(void);
static BgL_pcbczd2encryptzd2_bglt BGl_createzd2PCBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static long BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt, obj_t, long, obj_t, obj_t, long, obj_t);
static obj_t BGl_z62writezd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__cryptozd2blockzd2ciphersz00(void);
static BgL_cipherzd2statezd2_bglt BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, bool_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cfbzd2decryptzd2_bglt BGl_createzd2CFBzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DEF obj_t BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_registerzd2cipherz12zc0zz__cryptozd2blockzd2ciphersz00(obj_t, BgL_blockzd2cipherzd2_bglt);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz121311za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_search1460ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62defaultzd2noncezd2updatez12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz121313z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__cryptozd2blockzd2ciphersz00(void);
BGL_EXPORTED_DECL obj_t BGl_encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62encryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl__encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_ofbz00_bglt BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62zc3z04anonymousza32313ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_search1436ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static long BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt, obj_t, long, obj_t, obj_t, long, obj_t);
static obj_t BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CTR1358za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
static BgL_blockzd2cipherzd2_bglt BGl_z62blockzd2cipherzd2descriptionz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_search1364ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2OFB1352za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62registerzd2cipherz12za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_ctrz00_bglt BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62encryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cbczd2decryptzd2_bglt BGl_createzd2CBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62defaultzd2noncezd2initz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1472ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62encryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, BgL_cipherzd2modezd2statez00_bglt, long, obj_t, long);
static obj_t BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62readzd2mmapzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza32238ze32798ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32238ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1324za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2string2keyzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2cipherzd2paddingz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2utilzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__mmapz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1328za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32530ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32271ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_search1448ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl__encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62readzd2stringzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, obj_t, long, long);
static obj_t BGl_z62lambda2300z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2301z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2randomzd2stringz00zz__cryptozd2utilzd2(long, obj_t);
static obj_t BGl_z62lambda2305z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2306z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32418ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cfbzd2encryptzd2_bglt BGl_createzd2CFBzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62dozd2cipherzd2partialzd2blockz12za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1376ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl__encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_IMPORT bool_t rgc_buffer_eof_p(obj_t);
static BgL_cipherzd2statezd2_bglt BGl_z62lambda2311z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32435ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32338ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2O1350z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2317z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2318z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__cryptozd2blockzd2ciphersz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00(void);
static obj_t BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00(void);
static obj_t BGl_z62lambda2402z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32460ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__cryptozd2blockzd2ciphersz00(void);
static obj_t BGl_z62lambda2322z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2403z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2323z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2407z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2327z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2408z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2328z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT long bgl_rgc_blit_string(obj_t, char *, long, long);
BGL_EXPORTED_DECL BgL_blockzd2cipherzd2_bglt BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_search1400ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl__decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2414z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32445ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1330z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2334z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32348ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2416z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_search1484ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2336z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1334z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_CTRz00zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl_z62lambda2500z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62decryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2422z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2423z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2504z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl__decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2505z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2344z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt, obj_t, long, obj_t, long);
static BgL_pcbczd2decryptzd2_bglt BGl_createzd2PCBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2346z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2427z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2428z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2509z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62readzd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long, obj_t, long, long);
static BgL_blockzd2cipherzd2_bglt BGl_z62lambda2267z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_blockzd2cipherzd2_bglt BGl_z62lambda2269z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl__decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2510z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32552ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t);
static BgL_streamzd2cipherzd2statez00_bglt BGl_z62lambda2433z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2514z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2515z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62decryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_cbczd2encryptzd2_bglt BGl_z62lambda2354z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32358ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2275z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cbczd2encryptzd2_bglt BGl_z62lambda2356z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2276z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2519z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2520z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32480ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2441z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2280z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2281z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2362z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2443z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2363z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2526z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2285z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2528z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2286z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2367z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2368z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2449z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl__decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2450z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t blit_string(obj_t, long, obj_t, long, long);
static obj_t BGl_z62lambda2290z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2291z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2534z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2535z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cbczd2decryptzd2_bglt BGl_z62lambda2374z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_search1388ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2456z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2295z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cbczd2decryptzd2_bglt BGl_z62lambda2376z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2296z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2458z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2539z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1315zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2540z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2382z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cipherzd2statezd2_bglt BGl_z62lambda2544z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl__encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2383z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2464z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2545z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2465z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2387z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2388z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2469z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cbczd2encryptzd2_bglt BGl_createzd2CBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, long);
static obj_t BGl_z62lambda2550z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2470z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2551z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32378ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2394z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ofbz00_bglt BGl_z62lambda2476z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2557z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static BgL_cipherzd2modezd2statez00_bglt BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2396z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2558z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static BgL_ofbz00_bglt BGl_z62lambda2478z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl__encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = BUNSPEC;
static obj_t BGl__decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt, obj_t, long, obj_t, long, long, long);
static obj_t BGl_z62lambda2563z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_search1496ze70ze7zz__cryptozd2blockzd2ciphersz00(long, obj_t, obj_t, long);
static obj_t BGl_z62lambda2564z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2484z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12z70zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2485z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2568z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t BGl_z62lambda2569z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1318za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1342zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2partialzd2bl1348zb0zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1320za2zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ctrz00_bglt BGl_z62lambda2491z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ctrz00_bglt BGl_z62lambda2493z62zz__cryptozd2blockzd2ciphersz00(obj_t);
static obj_t BGl_z62lambda2574z62zz__cryptozd2blockzd2ciphersz00(obj_t, obj_t);
static obj_t __cnst[ 84 ] ;


extern obj_t BGl_bytezd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00;
extern obj_t BGl_za7erozd2padzd2envza7zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_encryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762encryptza7d2fas3626z00, BGl_z62encryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza700za7za7__c3627za7, opt_generic_entry, BGl__decryptz00zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_encryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762encryptza7d2fas3628z00, BGl_z62encryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
extern obj_t BGl_ansizd2xze2923zd2padzd2envz30zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_decryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762decryptza7d2fas3629z00, BGl_z62decryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_blockzd2cipherzd2descriptionzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762blockza7d2ciphe3630z00, BGl_z62blockzd2cipherzd2descriptionz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_bitzd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00;
extern obj_t BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2;
DEFINE_BGL_L_PROCEDURE(BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762readza7d2portza7d3631za7, BGl_z62readzd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2mmapzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2mmapza73632z00, opt_generic_entry, BGl__decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_GENERIC( BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3633za7, BGl_z62dozd2cipherzd2blockz12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3413za700za7za7_3634za7, "/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/api/crypto/src/Llib/block_ciphers.scm", 89 );
DEFINE_STRING( BGl_string3414z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3414za700za7za7_3635za7, "&write-port-at!", 15 );
DEFINE_STRING( BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3415za700za7za7_3636za7, "bint", 4 );
DEFINE_STRING( BGl_string3416z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3416za700za7za7_3637za7, "&default-nonce-init!", 20 );
DEFINE_STRING( BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3417za700za7za7_3638za7, "bstring", 7 );
DEFINE_STRING( BGl_string3418z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3418za700za7za7_3639za7, "&default-nonce-update!", 22 );
DEFINE_STRING( BGl_string3419z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3419za700za7za7_3640za7, "encrypt-input!", 14 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2filezd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2fileza73641z00, opt_generic_entry, BGl__decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STRING( BGl_string3420z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3420za700za7za7_3642za7, "Internal Error. Unexpected IV-action", 36 );
DEFINE_STRING( BGl_string3421z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3421za700za7za7_3643za7, "IV", 2 );
DEFINE_STRING( BGl_string3422z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3422za700za7za7_3644za7, "Could not read IV", 17 );
DEFINE_STRING( BGl_string3423z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3423za700za7za7_3645za7, "decrypt-input!", 14 );
DEFINE_STRING( BGl_string3424z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3424za700za7za7_3646za7, "decrypt", 7 );
DEFINE_STRING( BGl_string3425z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3425za700za7za7_3647za7, "Message size must be a multiple of block-size", 45 );
DEFINE_STRING( BGl_string3426z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3426za700za7za7_3648za7, "encrypt", 7 );
DEFINE_STRING( BGl_string3427z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3427za700za7za7_3649za7, "Unknown cipher mode", 19 );
DEFINE_STRING( BGl_string3428z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3428za700za7za7_3650za7, "Invalid padding mode", 20 );
DEFINE_STRING( BGl_string3429z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3429za700za7za7_3651za7, "encryption", 10 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3500z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2368za7623652z00, BGl_z62lambda2368z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3501z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2367za7623653z00, BGl_z62lambda2367z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3502z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3654za7, BGl_z62zc3z04anonymousza32358ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3503z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2356za7623655z00, BGl_z62lambda2356z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3504z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2354za7623656z00, BGl_z62lambda2354z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3505z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2383za7623657z00, BGl_z62lambda2383z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3430z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3430za700za7za7_3658za7, "IV vector is too small", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3506z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2382za7623659z00, BGl_z62lambda2382z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3431za700za7za7_3660za7, "_encrypt", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3507z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2388za7623661z00, BGl_z62lambda2388z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3432za700za7za7_3662za7, "vector", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3508z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2387za7623663z00, BGl_z62lambda2387z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3433z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3433za700za7za7_3664za7, "Illegal keyword argument", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3509z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3665za7, BGl_z62zc3z04anonymousza32378ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3434z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3434za700za7za7_3666za7, "symbol", 6 );
DEFINE_STRING( BGl_string3435z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3435za700za7za7_3667za7, "procedure", 9 );
DEFINE_STRING( BGl_string3436z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3436za700za7za7_3668za7, "wrong number of arguments: [3..9] expected, provided", 52 );
DEFINE_STRING( BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3437za700za7za7_3669za7, "_encrypt-string", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_encryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762encryptza7d2fas3670z00, BGl_z62encryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_STRING( BGl_string3438z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3438za700za7za7_3671za7, "&encrypt-fast-string", 20 );
DEFINE_STRING( BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3439za700za7za7_3672za7, "_encrypt-mmap", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762writeza7d2portza73673za7, BGl_z62writezd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3510z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2376za7623674z00, BGl_z62lambda2376z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3511z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2374za7623675z00, BGl_z62lambda2374z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_decryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762decryptza7d2fas3676z00, BGl_z62decryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3512z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2403za7623677z00, BGl_z62lambda2403z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3513z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2402za7623678z00, BGl_z62lambda2402z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3514z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2408za7623679z00, BGl_z62lambda2408z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3515z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2407za7623680z00, BGl_z62lambda2407z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3440z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3440za700za7za7_3681za7, "mmap", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3516z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3682za7, BGl_z62zc3z04anonymousza32398ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3441z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3441za700za7za7_3683za7, "&encrypt-fast-mmap", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3517z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2396za7623684z00, BGl_z62lambda2396z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3442za700za7za7_3685za7, "_encrypt-port", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3518z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2394za7623686z00, BGl_z62lambda2394z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3443z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3443za700za7za7_3687za7, "input-port", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3519z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2423za7623688z00, BGl_z62lambda2423z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3444z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3444za700za7za7_3689za7, "&encrypt-fast-port", 18 );
DEFINE_STRING( BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3445za700za7za7_3690za7, "_encrypt-file", 13 );
DEFINE_STRING( BGl_string3446z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3446za700za7za7_3691za7, "encrypt-file", 12 );
DEFINE_STRING( BGl_string3447z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3447za700za7za7_3692za7, "Could not open file", 19 );
DEFINE_STRING( BGl_string3448z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3448za700za7za7_3693za7, "pair", 4 );
DEFINE_STRING( BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3449za700za7za7_3694za7, "_encrypt-sendchars", 18 );
extern obj_t BGl_nozd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3600z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3695za7, BGl_z62dozd2cipherzd2blockz12zd2CBC1324za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3601z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3696za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1326z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3520z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2422za7623697z00, BGl_z62lambda2422z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3602z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3698za7, BGl_z62dozd2cipherzd2blockz12zd2CBC1328za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3521z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2428za7623699z00, BGl_z62lambda2428z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3603z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3700za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2P1330z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3522z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2427za7623701z00, BGl_z62lambda2427z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3610z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3610za700za7za7_3702za7, "do-cipher-partial-block!", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3604z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3703za7, BGl_z62dozd2cipherzd2blockz12zd2PCB1332za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3523z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3704za7, BGl_z62zc3z04anonymousza32418ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3605z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3705za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2P1334z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3524z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2416za7623706z00, BGl_z62lambda2416z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3606z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3707za7, BGl_z62dozd2cipherzd2blockz12zd2PCB1336za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3525z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2414za7623708z00, BGl_z62lambda2414z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3450z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3450za700za7za7_3709za7, "output-port", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3607z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3710za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1338z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3526z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3711za7, BGl_z62zc3z04anonymousza32435ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3451z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3451za700za7za7_3712za7, "wrong number of arguments: [4..10] expected, provided", 53 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3608z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3713za7, BGl_z62dozd2cipherzd2blockz12zd2CFB1340za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3527z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2433za7623714z00, BGl_z62lambda2433z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3452za700za7za7_3715za7, "_decrypt", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3609z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3716za7, BGl_z62dozd2cipherzd2partialzd2bl1342zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3528z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2450za7623717z00, BGl_z62lambda2450z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3453za700za7za7_3718za7, "_decrypt-string", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3529z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2449za7623719z00, BGl_z62lambda2449z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3454z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3454za700za7za7_3720za7, "&decrypt-fast-string", 20 );
DEFINE_STRING( BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3455za700za7za7_3721za7, "_decrypt-mmap", 13 );
DEFINE_STRING( BGl_string3456z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3456za700za7za7_3722za7, "&decrypt-fast-mmap", 18 );
DEFINE_STRING( BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3457za700za7za7_3723za7, "_decrypt-port", 13 );
DEFINE_STRING( BGl_string3458z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3458za700za7za7_3724za7, "&decrypt-fast-port", 18 );
DEFINE_STRING( BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3459za700za7za7_3725za7, "_decrypt-file", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3611z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3726za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1344z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3530z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3727za7, BGl_z62zc3z04anonymousza32445ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3612z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3728za7, BGl_z62dozd2cipherzd2blockz12zd2CFB1346za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3531z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2443za7623729z00, BGl_z62lambda2443z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3613z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3730za7, BGl_z62dozd2cipherzd2partialzd2bl1348zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3532z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2441za7623731z00, BGl_z62lambda2441z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3620z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3620za700za7za7_3732za7, "__crypto-block-ciphers", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3614z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3733za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2O1350z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3533z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2465za7623734z00, BGl_z62lambda2465z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3621z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3621za700za7za7_3735za7, "unspecified _ Cipher-Mode-State pos loop-buffer pad/unpad IV symbol IV-action cipher-state bool encrypt? CTR nonce-update! nonce-init! block-counter nonce-str nonce OFB CFB-Decrypt CFB-Encrypt Stream-Cipher-State PCBC-Decrypt PCBC-Encrypt CBC-Decrypt CBC-Encrypt chain buffer ECB-Decrypt ECB-Encrypt Cipher-State obj param cipher __crypto-block-ciphers Block-Cipher key->decrypt-param key->encrypt-param decrypt! procedure encrypt! preferred-key-length long block-size bstring name decrypt-sendchars decrypt-file::bstring decrypt-port::bstring decrypt-mmap::bstring decrypt-string::bstring decrypt decrypt::bstring encrypt-sendchars encrypt-file::bstring encrypt-port::bstring encrypt-mmap::bstring encrypt-string::bstring encrypt :string->key :pad :nonce-update! :nonce-init! :mode :IV encrypt::bstring (:IV :mode :nonce-init! :nonce-update! :pad :string->key) zero pkcs7 iso-10126 ansi-x.923 bit none ctr ofb pcbc cbc cfb ecb read do-nothing done write init ", 960 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3615z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3736za7, BGl_z62dozd2cipherzd2blockz12zd2OFB1352za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3534z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2464za7623737z00, BGl_z62lambda2464z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3616z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3738za7, BGl_z62dozd2cipherzd2partialzd2bl1354zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3535z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2470za7623739z00, BGl_z62lambda2470z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3460z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3460za700za7za7_3740za7, "decrypt-file", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3617z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3741za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1356z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3536z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2469za7623742z00, BGl_z62lambda2469z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3461za700za7za7_3743za7, "_decrypt-sendchars", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3618z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3744za7, BGl_z62dozd2cipherzd2blockz12zd2CTR1358za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3537z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3745za7, BGl_z62zc3z04anonymousza32460ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3462z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3462za700za7za7_3746za7, "&register-cipher!", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3619z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3747za7, BGl_z62dozd2cipherzd2partialzd2bl1360zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3538z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2458za7623748z00, BGl_z62lambda2458z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3463z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3463za700za7za7_3749za7, "Block-Cipher", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3539z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2456za7623750z00, BGl_z62lambda2456z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3464z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3464za700za7za7_3751za7, "block-cipher-description", 24 );
DEFINE_STRING( BGl_string3465z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3465za700za7za7_3752za7, "Could not find cipher", 21 );
DEFINE_STRING( BGl_string3466z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3466za700za7za7_3753za7, "&block-cipher-description", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3540z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2485za7623754z00, BGl_z62lambda2485z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3541z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2484za7623755z00, BGl_z62lambda2484z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3542z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3756za7, BGl_z62zc3z04anonymousza32480ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3543z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2478za7623757z00, BGl_z62lambda2478z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2portzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2portza73758z00, opt_generic_entry, BGl__decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3544z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2476za7623759z00, BGl_z62lambda2476z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3545z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2500za7623760z00, BGl_z62lambda2500z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3546z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2499za7623761z00, BGl_z62lambda2499z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3547z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2505za7623762z00, BGl_z62lambda2505z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3548z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2504za7623763z00, BGl_z62lambda2504z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3467z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2276za7623764z00, BGl_z62lambda2276z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3549z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2510za7623765z00, BGl_z62lambda2510z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3468z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2275za7623766z00, BGl_z62lambda2275z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3469z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2281za7623767z00, BGl_z62lambda2281z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_decryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762decryptza7d2fas3768z00, BGl_z62decryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3550z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2509za7623769z00, BGl_z62lambda2509z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3551z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2515za7623770z00, BGl_z62lambda2515z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3470z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2280za7623771z00, BGl_z62lambda2280z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3552z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2514za7623772z00, BGl_z62lambda2514z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3471z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2286za7623773z00, BGl_z62lambda2286z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3553z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2520za7623774z00, BGl_z62lambda2520z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3472z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2285za7623775z00, BGl_z62lambda2285z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3554z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2519za7623776z00, BGl_z62lambda2519z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3473z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2291za7623777z00, BGl_z62lambda2291z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3555z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3778za7, BGl_z62zc3z04anonymousza32495ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3474z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2290za7623779z00, BGl_z62lambda2290z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3556z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2493za7623780z00, BGl_z62lambda2493z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3475z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2296za7623781z00, BGl_z62lambda2296z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3557z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2491za7623782z00, BGl_z62lambda2491z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3476z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2295za7623783z00, BGl_z62lambda2295z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3558z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2535za7623784z00, BGl_z62lambda2535z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3477z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2301za7623785z00, BGl_z62lambda2301z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3559z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2534za7623786z00, BGl_z62lambda2534z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3478z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2300za7623787z00, BGl_z62lambda2300z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3479z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2306za7623788z00, BGl_z62lambda2306z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3560z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2540za7623789z00, BGl_z62lambda2540z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3561z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2539za7623790z00, BGl_z62lambda2539z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3480z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2305za7623791z00, BGl_z62lambda2305z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3562z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2545za7623792z00, BGl_z62lambda2545z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3481z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3793za7, BGl_z62zc3z04anonymousza32271ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3563z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2544za7623794z00, BGl_z62lambda2544z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3482z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2269za7623795z00, BGl_z62lambda2269z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3564z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3796za7, BGl_z62zc3z04anonymousza32552ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3483z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2267za7623797z00, BGl_z62lambda2267z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3565z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2551za7623798z00, BGl_z62lambda2551z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3484z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2318za7623799z00, BGl_z62lambda2318z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3566z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2550za7623800z00, BGl_z62lambda2550z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3485z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2317za7623801z00, BGl_z62lambda2317z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3567z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3802za7, BGl_z62zc3z04anonymousza32559ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3486z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2323za7623803z00, BGl_z62lambda2323z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3568z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2558za7623804z00, BGl_z62lambda2558z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3487z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2322za7623805z00, BGl_z62lambda2322z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3569z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2557za7623806z00, BGl_z62lambda2557z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3488z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2328za7623807z00, BGl_z62lambda2328z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3489z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2327za7623808z00, BGl_z62lambda2327z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3570z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2564za7623809z00, BGl_z62lambda2564z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2sendcharszd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2sendc3810za7, opt_generic_entry, BGl__encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3571z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2563za7623811z00, BGl_z62lambda2563z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3490z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3812za7, BGl_z62zc3z04anonymousza32313ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3572z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2569za7623813z00, BGl_z62lambda2569z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3491z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2311za7623814z00, BGl_z62lambda2311z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3573z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2568za7623815z00, BGl_z62lambda2568z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3492z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3816za7, BGl_z62zc3z04anonymousza32338ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3580z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3580za700za7za7_3817za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3574z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3818za7, BGl_z62zc3z04anonymousza32576ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3493z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2336za7623819z00, BGl_z62lambda2336z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3575z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2575za7623820z00, BGl_z62lambda2575z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3494z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2334za7623821z00, BGl_z62lambda2334z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3582z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3582za700za7za7_3822za7, "do-cipher-IV-init!1311", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3576z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2574za7623823z00, BGl_z62lambda2574z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3495z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3824za7, BGl_z62zc3z04anonymousza32348ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3577z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762za7c3za704anonymo3825za7, BGl_z62zc3z04anonymousza32530ze3ze5zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3496z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2346za7623826z00, BGl_z62lambda2346z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3584z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3584za700za7za7_3827za7, "do-cipher-block!1313", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3578z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2528za7623828z00, BGl_z62lambda2528z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3497z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2344za7623829z00, BGl_z62lambda2344z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3579z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2526za7623830z00, BGl_z62lambda2526z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3498z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2363za7623831z00, BGl_z62lambda2363z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3586z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3586za700za7za7_3832za7, "do-cipher-partial-bl1315", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3499z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762lambda2362za7623833z00, BGl_z62lambda2362z62zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3587z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3587za700za7za7_3834za7, "en/decrypt-partial-block", 24 );
DEFINE_STRING( BGl_string3588z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3588za700za7za7_3835za7, "Internal Error: Could not find method for state", 47 );
DEFINE_STRING( BGl_string3589z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3589za700za7za7_3836za7, "en/decrypt-block", 16 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2sendcharszd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2sendc3837za7, opt_generic_entry, BGl__decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3581z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3838za7, BGl_z62dozd2cipherzd2IVzd2initz121311za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3583z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3839za7, BGl_z62dozd2cipherzd2blockz121313z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string3590z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3590za700za7za7_3840za7, "cipher-IV-init", 14 );
DEFINE_STRING( BGl_string3591z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3591za700za7za7_3841za7, "&do-cipher-IV-init!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3585z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3842za7, BGl_z62dozd2cipherzd2partialzd2bl1315zb0zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string3592z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3592za700za7za7_3843za7, "Cipher-State", 12 );
DEFINE_STRING( BGl_string3593z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3593za700za7za7_3844za7, "&do-cipher-block!", 17 );
DEFINE_STRING( BGl_string3594z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3594za700za7za7_3845za7, "&do-cipher-partial-block!", 25 );
DEFINE_STRING( BGl_string3596z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3596za700za7za7_3846za7, "do-cipher-block!", 16 );
DEFINE_STRING( BGl_string3599z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_string3599za700za7za7_3847za7, "do-cipher-IV-init!", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_defaultzd2noncezd2initz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762defaultza7d2non3848z00, BGl_z62defaultzd2noncezd2initz12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3595z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3849za7, BGl_z62dozd2cipherzd2blockz12zd2ECB1318za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3597z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3850za7, BGl_z62dozd2cipherzd2blockz12zd2ECB1320za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3598z00zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3851za7, BGl_z62dozd2cipherzd2IVzd2initz12zd2C1322z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_bitzd2padzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2mmapzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2mmapza73852z00, opt_generic_entry, BGl__encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
BGL_IMPORT obj_t BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00;
DEFINE_STATIC_BGL_GENERIC( BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3853za7, BGl_z62dozd2cipherzd2partialzd2blockz12za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2filezd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2fileza73854z00, opt_generic_entry, BGl__encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
extern obj_t BGl_isozd210126zd2padzd2envzd2zz__cryptozd2cipherzd2paddingz00;
extern obj_t BGl_za7erozd2unpadzd2envza7zz__cryptozd2cipherzd2paddingz00;
extern obj_t BGl_pkcs7zd2padzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_BGL_L_PROCEDURE(BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762readza7d2mmapza7d3855za7, BGl_z62readzd2mmapzd2atz12z70zz__cryptozd2blockzd2ciphersz00 );
DEFINE_STATIC_BGL_GENERIC( BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762doza7d2cipherza7d3856za7, BGl_z62dozd2cipherzd2IVzd2initz12za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2portzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2portza73857z00, opt_generic_entry, BGl__encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decryptzd2stringzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__decryptza7d2strin3858za7, opt_generic_entry, BGl__decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
extern obj_t BGl_nozd2padzd2envz00zz__cryptozd2cipherzd2paddingz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2stringzd2envz00zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza7d2strin3859za7, opt_generic_entry, BGl__encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_defaultzd2noncezd2updatez12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762defaultza7d2non3860z00, BGl_z62defaultzd2noncezd2updatez12z70zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encryptzd2envzd2zz__cryptozd2blockzd2ciphersz00, BgL_bgl__encryptza700za7za7__c3861za7, opt_generic_entry, BGl__encryptz00zz__cryptozd2blockzd2ciphersz00, BFALSE, -1 );
DEFINE_BGL_L_PROCEDURE(BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762readza7d2string3862z00, BGl_z62readzd2stringzd2atz12z70zz__cryptozd2blockzd2ciphersz00 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_registerzd2cipherz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BgL_bgl_za762registerza7d2ci3863z00, BGl_z62registerzd2cipherz12za2zz__cryptozd2blockzd2ciphersz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_OFBz00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_CTRz00zz__cryptozd2blockzd2ciphersz00) );
ADD_ROOT( (void *)(&BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00(long BgL_checksumz00_6394, char * BgL_fromz00_6395)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00))
{ 
BGl_requirezd2initializa7ationz75zz__cryptozd2blockzd2ciphersz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__cryptozd2blockzd2ciphersz00(); 
BGl_libraryzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00(); 
BGl_cnstzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
BGl_importedzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00(); 
BGl_objectzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
BGl_genericzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
BGl_methodzd2initzd2zz__cryptozd2blockzd2ciphersz00(); 
return 
BGl_toplevelzd2initzd2zz__cryptozd2blockzd2ciphersz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00(void)
{
{ /* Llib/block_ciphers.scm 1 */
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L, "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(0L, "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__mmapz00(0L, "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__bitz00(0L, "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L, "__crypto-block-ciphers"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__crypto-block-ciphers"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__cryptozd2blockzd2ciphersz00(void)
{
{ /* Llib/block_ciphers.scm 1 */
{ /* Llib/block_ciphers.scm 1 */
 obj_t BgL_cportz00_5735;
{ /* Llib/block_ciphers.scm 1 */
 obj_t BgL_stringz00_5742;
BgL_stringz00_5742 = BGl_string3621z00zz__cryptozd2blockzd2ciphersz00; 
{ /* Llib/block_ciphers.scm 1 */
 obj_t BgL_startz00_5743;
BgL_startz00_5743 = 
BINT(0L); 
{ /* Llib/block_ciphers.scm 1 */
 obj_t BgL_endz00_5744;
BgL_endz00_5744 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_5742))); 
{ /* Llib/block_ciphers.scm 1 */

BgL_cportz00_5735 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_5742, BgL_startz00_5743, BgL_endz00_5744); } } } } 
{ 
 long BgL_iz00_5736;
BgL_iz00_5736 = 83L; 
BgL_loopz00_5737:
if(
(BgL_iz00_5736==(-1L)))
{ /* Llib/block_ciphers.scm 1 */
return BUNSPEC;}  else 
{ /* Llib/block_ciphers.scm 1 */
{ /* Llib/block_ciphers.scm 1 */
 obj_t BgL_arg3622z00_5738;
{ /* Llib/block_ciphers.scm 1 */

{ /* Llib/block_ciphers.scm 1 */
 obj_t BgL_locationz00_5740;
BgL_locationz00_5740 = 
BBOOL(((bool_t)0)); 
{ /* Llib/block_ciphers.scm 1 */

BgL_arg3622z00_5738 = 
BGl_readz00zz__readerz00(BgL_cportz00_5735, BgL_locationz00_5740); } } } 
{ /* Llib/block_ciphers.scm 1 */
 int BgL_tmpz00_6432;
BgL_tmpz00_6432 = 
(int)(BgL_iz00_5736); 
CNST_TABLE_SET(BgL_tmpz00_6432, BgL_arg3622z00_5738); } } 
{ /* Llib/block_ciphers.scm 1 */
 int BgL_auxz00_5741;
BgL_auxz00_5741 = 
(int)(
(BgL_iz00_5736-1L)); 
{ 
 long BgL_iz00_6437;
BgL_iz00_6437 = 
(long)(BgL_auxz00_5741); 
BgL_iz00_5736 = BgL_iz00_6437; 
goto BgL_loopz00_5737;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__cryptozd2blockzd2ciphersz00(void)
{
{ /* Llib/block_ciphers.scm 1 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__cryptozd2blockzd2ciphersz00(void)
{
{ /* Llib/block_ciphers.scm 1 */
return ( 
BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00 = BNIL, BUNSPEC) ;} 

}



/* &read-string-at! */
obj_t BGl_z62readzd2stringzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4358, obj_t BgL_strz00_4359, long BgL_strzd2poszd2_4360, obj_t BgL_tozd2strzd2_4361, long BgL_tozd2poszd2_4362, long BgL_lenz00_4363)
{
{ /* Llib/block_ciphers.scm 142 */
{ /* Llib/block_ciphers.scm 143 */
 long BgL_tmpz00_6440;
{ /* Llib/block_ciphers.scm 143 */
 long BgL_strzd2lenzd2_5750;
BgL_strzd2lenzd2_5750 = 
STRING_LENGTH(
((obj_t)BgL_strz00_4359)); 
{ /* Llib/block_ciphers.scm 143 */

if(
(
(BgL_strzd2poszd2_4360+BgL_lenz00_4363)<=BgL_strzd2lenzd2_5750))
{ /* Llib/block_ciphers.scm 144 */
blit_string(
((obj_t)BgL_strz00_4359), BgL_strzd2poszd2_4360, BgL_tozd2strzd2_4361, BgL_tozd2poszd2_4362, BgL_lenz00_4363); 
BgL_tmpz00_6440 = BgL_lenz00_4363; }  else 
{ /* Llib/block_ciphers.scm 148 */
 long BgL_remainingzd2lenzd2_5751;
BgL_remainingzd2lenzd2_5751 = 
(BgL_strzd2lenzd2_5750-BgL_strzd2poszd2_4360); 
blit_string(
((obj_t)BgL_strz00_4359), BgL_strzd2poszd2_4360, BgL_tozd2strzd2_4361, BgL_tozd2poszd2_4362, BgL_remainingzd2lenzd2_5751); 
BgL_tmpz00_6440 = BgL_remainingzd2lenzd2_5751; } } } 
return 
BINT(BgL_tmpz00_6440);} } 

}



/* &read-mmap-at! */
obj_t BGl_z62readzd2mmapzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4364, obj_t BgL_mmapz00_4365, long BgL_mmapzd2poszd2_4366, obj_t BgL_tozd2strzd2_4367, long BgL_tozd2poszd2_4368, long BgL_lenz00_4369)
{
{ /* Llib/block_ciphers.scm 151 */
{ /* Llib/block_ciphers.scm 152 */
 long BgL_tmpz00_6452;
{ 
 long BgL_lenz00_5753;
BgL_lenz00_5753 = BgL_lenz00_4369; 
BgL_readzd2mmapzd2atz12z12_5752:
{ /* Llib/block_ciphers.scm 152 */
 long BgL_mmapzd2lenzd2_5754;
{ /* Llib/block_ciphers.scm 152 */
 obj_t BgL_tmpz00_6453;
BgL_tmpz00_6453 = 
((obj_t)BgL_mmapz00_4365); 
BgL_mmapzd2lenzd2_5754 = 
BGL_MMAP_LENGTH(BgL_tmpz00_6453); } 
if(
(BgL_lenz00_5753==0L))
{ /* Llib/block_ciphers.scm 154 */
BgL_tmpz00_6452 = 0L
; }  else 
{ /* Llib/block_ciphers.scm 155 */
 bool_t BgL_test3868z00_6458;
{ /* Llib/block_ciphers.scm 155 */
 long BgL_n2z00_5755;
BgL_n2z00_5755 = 
(long)(BgL_mmapzd2lenzd2_5754); 
BgL_test3868z00_6458 = 
(
(BgL_mmapzd2poszd2_4366+BgL_lenz00_5753)>BgL_n2z00_5755); } 
if(BgL_test3868z00_6458)
{ /* Llib/block_ciphers.scm 156 */
 long BgL_arg1635z00_5756;
{ /* Llib/block_ciphers.scm 156 */
 long BgL_za71za7_5757;
BgL_za71za7_5757 = 
(long)(BgL_mmapzd2lenzd2_5754); 
BgL_arg1635z00_5756 = 
(BgL_za71za7_5757-BgL_mmapzd2poszd2_4366); } 
{ 
 long BgL_lenz00_6464;
BgL_lenz00_6464 = BgL_arg1635z00_5756; 
BgL_lenz00_5753 = BgL_lenz00_6464; 
goto BgL_readzd2mmapzd2atz12z12_5752;} }  else 
{ 
 long BgL_iz00_5759;
BgL_iz00_5759 = 0L; 
BgL_loopz00_5758:
if(
(BgL_iz00_5759==BgL_lenz00_5753))
{ /* Llib/block_ciphers.scm 159 */
BgL_tmpz00_6452 = BgL_lenz00_5753
; }  else 
{ /* Llib/block_ciphers.scm 159 */
{ /* Llib/block_ciphers.scm 162 */
 long BgL_arg1651z00_5760; unsigned char BgL_arg1652z00_5761;
BgL_arg1651z00_5760 = 
(BgL_tozd2poszd2_4368+BgL_iz00_5759); 
{ /* Llib/block_ciphers.scm 163 */
 long BgL_arg1653z00_5762;
BgL_arg1653z00_5762 = 
(BgL_mmapzd2poszd2_4366+BgL_iz00_5759); 
{ /* Llib/block_ciphers.scm 163 */
 unsigned char BgL_res2734z00_5763;
{ /* Llib/block_ciphers.scm 163 */
 long BgL_iz00_5764;
BgL_iz00_5764 = 
(long)(BgL_arg1653z00_5762); 
{ /* Llib/block_ciphers.scm 163 */
 unsigned char BgL_cz00_5765;
{ /* Llib/block_ciphers.scm 163 */
 obj_t BgL_tmpz00_6470;
BgL_tmpz00_6470 = 
((obj_t)BgL_mmapz00_4365); 
BgL_cz00_5765 = 
BGL_MMAP_REF(BgL_tmpz00_6470, BgL_iz00_5764); } 
{ /* Llib/block_ciphers.scm 163 */
 long BgL_arg1719z00_5766;
BgL_arg1719z00_5766 = 
(BgL_iz00_5764+((long)1)); 
{ /* Llib/block_ciphers.scm 163 */
 obj_t BgL_tmpz00_6474;
BgL_tmpz00_6474 = 
((obj_t)BgL_mmapz00_4365); 
BGL_MMAP_RP_SET(BgL_tmpz00_6474, BgL_arg1719z00_5766); } BUNSPEC; BgL_arg1719z00_5766; } 
BgL_res2734z00_5763 = BgL_cz00_5765; } } 
BgL_arg1652z00_5761 = BgL_res2734z00_5763; } } 
STRING_SET(BgL_tozd2strzd2_4367, BgL_arg1651z00_5760, BgL_arg1652z00_5761); } 
{ 
 long BgL_iz00_6478;
BgL_iz00_6478 = 
(BgL_iz00_5759+1L); 
BgL_iz00_5759 = BgL_iz00_6478; 
goto BgL_loopz00_5758;} } } } } } 
return 
BINT(BgL_tmpz00_6452);} } 

}



/* &read-port-at! */
obj_t BGl_z62readzd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4370, obj_t BgL_pz00_4371, long BgL_pzd2poszd2_4372, obj_t BgL_tozd2strzd2_4373, long BgL_tozd2poszd2_4374, long BgL_lenz00_4375)
{
{ /* Llib/block_ciphers.scm 165 */
{ /* Llib/block_ciphers.scm 166 */
 obj_t BgL_nz00_5771;
{ /* Llib/block_ciphers.scm 166 */
 long BgL_nz00_5772;
BgL_nz00_5772 = 
bgl_rgc_blit_string(BgL_pz00_4371, 
BSTRING_TO_STRING(BgL_tozd2strzd2_4373), BgL_tozd2poszd2_4374, BgL_lenz00_4375); 
{ /* Llib/block_ciphers.scm 166 */
 bool_t BgL_test3870z00_6483;
if(
(BgL_nz00_5772==0L))
{ /* Llib/block_ciphers.scm 166 */
BgL_test3870z00_6483 = 
rgc_buffer_eof_p(BgL_pz00_4371)
; }  else 
{ /* Llib/block_ciphers.scm 166 */
BgL_test3870z00_6483 = ((bool_t)0)
; } 
if(BgL_test3870z00_6483)
{ /* Llib/block_ciphers.scm 166 */
BgL_nz00_5771 = BEOF; }  else 
{ /* Llib/block_ciphers.scm 166 */
BgL_nz00_5771 = 
BINT(BgL_nz00_5772); } } } 
if(
EOF_OBJECTP(BgL_nz00_5771))
{ /* Llib/block_ciphers.scm 167 */
return 
BINT(0L);}  else 
{ /* Llib/block_ciphers.scm 167 */
return BgL_nz00_5771;} } } 

}



/* &write-port-at! */
obj_t BGl_z62writezd2portzd2atz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4376, obj_t BgL_fromz00_4377, obj_t BgL_fromzd2poszd2_4378, obj_t BgL_pz00_4379, obj_t BgL_pzd2poszd2_4380, obj_t BgL_lenz00_4381)
{
{ /* Llib/block_ciphers.scm 171 */
{ /* Llib/block_ciphers.scm 173 */
 bool_t BgL_tmpz00_6491;
{ /* Llib/block_ciphers.scm 173 */
 long BgL_fromzd2poszd2_5773; long BgL_pzd2poszd2_5774;
{ /* Llib/block_ciphers.scm 173 */
 obj_t BgL_tmpz00_6492;
if(
INTEGERP(BgL_fromzd2poszd2_4378))
{ /* Llib/block_ciphers.scm 173 */
BgL_tmpz00_6492 = BgL_fromzd2poszd2_4378
; }  else 
{ 
 obj_t BgL_auxz00_6495;
BgL_auxz00_6495 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(6269L), BGl_string3414z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_fromzd2poszd2_4378); 
FAILURE(BgL_auxz00_6495,BFALSE,BFALSE);} 
BgL_fromzd2poszd2_5773 = 
(long)CINT(BgL_tmpz00_6492); } 
{ /* Llib/block_ciphers.scm 173 */
 obj_t BgL_tmpz00_6500;
if(
INTEGERP(BgL_pzd2poszd2_4380))
{ /* Llib/block_ciphers.scm 173 */
BgL_tmpz00_6500 = BgL_pzd2poszd2_4380
; }  else 
{ 
 obj_t BgL_auxz00_6503;
BgL_auxz00_6503 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(6269L), BGl_string3414z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_pzd2poszd2_4380); 
FAILURE(BgL_auxz00_6503,BFALSE,BFALSE);} 
BgL_pzd2poszd2_5774 = 
(long)CINT(BgL_tmpz00_6500); } 
{ 
 long BgL_iz00_5776;
BgL_iz00_5776 = 0L; 
BgL_loopz00_5775:
if(
(BgL_iz00_5776==
(long)CINT(BgL_lenz00_4381)))
{ /* Llib/block_ciphers.scm 173 */
BgL_tmpz00_6491 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 173 */
{ /* Llib/block_ciphers.scm 174 */
 unsigned char BgL_arg1691z00_5777;
BgL_arg1691z00_5777 = 
STRING_REF(
((obj_t)BgL_fromz00_4377), 
(BgL_fromzd2poszd2_5773+BgL_iz00_5776)); 
{ /* Llib/block_ciphers.scm 174 */
 obj_t BgL_tmpz00_6514;
BgL_tmpz00_6514 = 
((obj_t)BgL_pz00_4379); 
bgl_display_char(BgL_arg1691z00_5777, BgL_tmpz00_6514); } } 
{ 
 long BgL_iz00_6517;
BgL_iz00_6517 = 
(BgL_iz00_5776+1L); 
BgL_iz00_5776 = BgL_iz00_6517; 
goto BgL_loopz00_5775;} } } } 
return 
BBOOL(BgL_tmpz00_6491);} } 

}



/* &default-nonce-init! */
obj_t BGl_z62defaultzd2noncezd2initz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4382, obj_t BgL_strz00_4383, obj_t BgL_noncez00_4384)
{
{ /* Llib/block_ciphers.scm 189 */
{ /* Llib/block_ciphers.scm 190 */
 obj_t BgL_strz00_5778;
if(
STRINGP(BgL_strz00_4383))
{ /* Llib/block_ciphers.scm 190 */
BgL_strz00_5778 = BgL_strz00_4383; }  else 
{ 
 obj_t BgL_auxz00_6522;
BgL_auxz00_6522 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(6773L), BGl_string3416z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_strz00_4383); 
FAILURE(BgL_auxz00_6522,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 190 */
 long BgL_arg1722z00_5779;
{ /* Llib/block_ciphers.scm 190 */
 long BgL_az00_5780; long BgL_bz00_5781;
BgL_az00_5780 = 
STRING_LENGTH(BgL_strz00_5778); 
BgL_bz00_5781 = 
STRING_LENGTH(
((obj_t)BgL_noncez00_4384)); 
if(
(BgL_az00_5780<BgL_bz00_5781))
{ /* Llib/block_ciphers.scm 191 */
BgL_arg1722z00_5779 = BgL_az00_5780; }  else 
{ /* Llib/block_ciphers.scm 191 */
BgL_arg1722z00_5779 = BgL_bz00_5781; } } 
return 
blit_string(
((obj_t)BgL_noncez00_4384), 0L, BgL_strz00_5778, 0L, BgL_arg1722z00_5779);} } } 

}



/* &default-nonce-update! */
obj_t BGl_z62defaultzd2noncezd2updatez12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4385, obj_t BgL_strz00_4386, obj_t BgL_noncez00_4387, obj_t BgL_iz00_4388)
{
{ /* Llib/block_ciphers.scm 192 */
{ /* Llib/block_ciphers.scm 193 */
 obj_t BgL_strz00_5782;
if(
STRINGP(BgL_strz00_4386))
{ /* Llib/block_ciphers.scm 193 */
BgL_strz00_5782 = BgL_strz00_4386; }  else 
{ 
 obj_t BgL_auxz00_6535;
BgL_auxz00_6535 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(6889L), BGl_string3418z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_strz00_4386); 
FAILURE(BgL_auxz00_6535,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 193 */
 long BgL_g1160z00_5783;
BgL_g1160z00_5783 = 
(
STRING_LENGTH(BgL_strz00_5782)-1L); 
{ 
 long BgL_iz00_5785;
BgL_iz00_5785 = BgL_g1160z00_5783; 
BgL_loopz00_5784:
if(
(BgL_iz00_5785>=0L))
{ /* Llib/block_ciphers.scm 195 */
 long BgL_cz00_5786;
BgL_cz00_5786 = 
(
STRING_REF(BgL_strz00_5782, BgL_iz00_5785)); 
if(
(BgL_cz00_5786==255L))
{ /* Llib/block_ciphers.scm 196 */
STRING_SET(BgL_strz00_5782, BgL_iz00_5785, ((unsigned char)'\000')); 
{ 
 long BgL_iz00_6548;
BgL_iz00_6548 = 
(BgL_iz00_5785-1L); 
BgL_iz00_5785 = BgL_iz00_6548; 
goto BgL_loopz00_5784;} }  else 
{ /* Llib/block_ciphers.scm 200 */
 unsigned char BgL_tmpz00_6550;
BgL_tmpz00_6550 = 
(
(BgL_cz00_5786+1L)); 
return 
STRING_SET(BgL_strz00_5782, BgL_iz00_5785, BgL_tmpz00_6550);} }  else 
{ /* Llib/block_ciphers.scm 194 */
return BFALSE;} } } } } 

}



/* create-ECB-state */
BgL_cipherzd2statezd2_bglt BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_enzf2decryptzf2_50, obj_t BgL_paramz00_51, long BgL_blockzd2siza7ez75_52, bool_t BgL_encryptzf3zf3_53)
{
{ /* Llib/block_ciphers.scm 223 */
if(BgL_encryptzf3zf3_53)
{ /* Llib/block_ciphers.scm 225 */
 BgL_ecbzd2encryptzd2_bglt BgL_new1162z00_499;
{ /* Llib/block_ciphers.scm 228 */
 BgL_ecbzd2encryptzd2_bglt BgL_new1161z00_500;
BgL_new1161z00_500 = 
((BgL_ecbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 228 */
 long BgL_arg1741z00_501;
BgL_arg1741z00_501 = 
BGL_CLASS_NUM(BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1161z00_500), BgL_arg1741z00_501); } 
{ /* Llib/block_ciphers.scm 228 */
 BgL_objectz00_bglt BgL_tmpz00_6559;
BgL_tmpz00_6559 = 
((BgL_objectz00_bglt)BgL_new1161z00_500); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6559, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1161z00_500); 
BgL_new1162z00_499 = BgL_new1161z00_500; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1162z00_499)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_52),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1162z00_499)))->BgL_cipherz00)=((obj_t)BgL_enzf2decryptzf2_50),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1162z00_499)))->BgL_paramz00)=((obj_t)BgL_paramz00_51),BUNSPEC); 
return 
((BgL_cipherzd2statezd2_bglt)BgL_new1162z00_499);}  else 
{ /* Llib/block_ciphers.scm 229 */
 BgL_ecbzd2decryptzd2_bglt BgL_new1164z00_502;
{ /* Llib/block_ciphers.scm 232 */
 BgL_ecbzd2decryptzd2_bglt BgL_new1163z00_503;
BgL_new1163z00_503 = 
((BgL_ecbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 232 */
 long BgL_arg1743z00_504;
BgL_arg1743z00_504 = 
BGL_CLASS_NUM(BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1163z00_503), BgL_arg1743z00_504); } 
{ /* Llib/block_ciphers.scm 232 */
 BgL_objectz00_bglt BgL_tmpz00_6574;
BgL_tmpz00_6574 = 
((BgL_objectz00_bglt)BgL_new1163z00_503); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6574, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1163z00_503); 
BgL_new1164z00_502 = BgL_new1163z00_503; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1164z00_502)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_52),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1164z00_502)))->BgL_cipherz00)=((obj_t)BgL_enzf2decryptzf2_50),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1164z00_502)))->BgL_paramz00)=((obj_t)BgL_paramz00_51),BUNSPEC); 
return 
((BgL_cipherzd2statezd2_bglt)BgL_new1164z00_502);} } 

}



/* create-CBC-encryption-state */
BgL_cbczd2encryptzd2_bglt BGl_createzd2CBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_64, obj_t BgL_paramz00_65, long BgL_blockzd2siza7ez75_66)
{
{ /* Llib/block_ciphers.scm 242 */
{ /* Llib/block_ciphers.scm 243 */
 BgL_cbczd2encryptzd2_bglt BgL_new1168z00_505;
{ /* Llib/block_ciphers.scm 246 */
 BgL_cbczd2encryptzd2_bglt BgL_new1167z00_510;
BgL_new1167z00_510 = 
((BgL_cbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 246 */
 long BgL_arg1744z00_511;
BgL_arg1744z00_511 = 
BGL_CLASS_NUM(BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1167z00_510), BgL_arg1744z00_511); } 
{ /* Llib/block_ciphers.scm 246 */
 BgL_objectz00_bglt BgL_tmpz00_6589;
BgL_tmpz00_6589 = 
((BgL_objectz00_bglt)BgL_new1167z00_510); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6589, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1167z00_510); 
BgL_new1168z00_505 = BgL_new1167z00_510; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1168z00_505)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_66),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1168z00_505)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_64),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1168z00_505)))->BgL_paramz00)=((obj_t)BgL_paramz00_65),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6599;
{ /* Llib/block_ciphers.scm 247 */

BgL_auxz00_6599 = 
make_string(BgL_blockzd2siza7ez75_66, ((unsigned char)' ')); } 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1168z00_505))->BgL_bufferz00)=((obj_t)BgL_auxz00_6599),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_6602;
{ /* Llib/block_ciphers.scm 248 */

BgL_auxz00_6602 = 
make_string(BgL_blockzd2siza7ez75_66, ((unsigned char)' ')); } 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1168z00_505))->BgL_chainz00)=((obj_t)BgL_auxz00_6602),BUNSPEC); } 
return BgL_new1168z00_505;} } 

}



/* create-CBC-decryption-state */
BgL_cbczd2decryptzd2_bglt BGl_createzd2CBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_decryptz00_74, obj_t BgL_paramz00_75, long BgL_blockzd2siza7ez75_76)
{
{ /* Llib/block_ciphers.scm 259 */
{ /* Llib/block_ciphers.scm 260 */
 BgL_cbczd2decryptzd2_bglt BgL_new1172z00_512;
{ /* Llib/block_ciphers.scm 263 */
 BgL_cbczd2decryptzd2_bglt BgL_new1171z00_517;
BgL_new1171z00_517 = 
((BgL_cbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 263 */
 long BgL_arg1746z00_518;
BgL_arg1746z00_518 = 
BGL_CLASS_NUM(BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1171z00_517), BgL_arg1746z00_518); } 
{ /* Llib/block_ciphers.scm 263 */
 BgL_objectz00_bglt BgL_tmpz00_6609;
BgL_tmpz00_6609 = 
((BgL_objectz00_bglt)BgL_new1171z00_517); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6609, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1171z00_517); 
BgL_new1172z00_512 = BgL_new1171z00_517; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1172z00_512)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_76),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1172z00_512)))->BgL_cipherz00)=((obj_t)BgL_decryptz00_74),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1172z00_512)))->BgL_paramz00)=((obj_t)BgL_paramz00_75),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6619;
{ /* Llib/block_ciphers.scm 264 */

BgL_auxz00_6619 = 
make_string(BgL_blockzd2siza7ez75_76, ((unsigned char)' ')); } 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1172z00_512))->BgL_bufferz00)=((obj_t)BgL_auxz00_6619),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_6622;
{ /* Llib/block_ciphers.scm 265 */

BgL_auxz00_6622 = 
make_string(BgL_blockzd2siza7ez75_76, ((unsigned char)' ')); } 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1172z00_512))->BgL_chainz00)=((obj_t)BgL_auxz00_6622),BUNSPEC); } 
return BgL_new1172z00_512;} } 

}



/* create-PCBC-encryption-state */
BgL_pcbczd2encryptzd2_bglt BGl_createzd2PCBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_84, obj_t BgL_paramz00_85, long BgL_blockzd2siza7ez75_86)
{
{ /* Llib/block_ciphers.scm 280 */
{ /* Llib/block_ciphers.scm 281 */
 BgL_pcbczd2encryptzd2_bglt BgL_new1176z00_519;
{ /* Llib/block_ciphers.scm 285 */
 BgL_pcbczd2encryptzd2_bglt BgL_new1175z00_524;
BgL_new1175z00_524 = 
((BgL_pcbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 285 */
 long BgL_arg1755z00_525;
BgL_arg1755z00_525 = 
BGL_CLASS_NUM(BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1175z00_524), BgL_arg1755z00_525); } 
{ /* Llib/block_ciphers.scm 285 */
 BgL_objectz00_bglt BgL_tmpz00_6629;
BgL_tmpz00_6629 = 
((BgL_objectz00_bglt)BgL_new1175z00_524); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6629, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1175z00_524); 
BgL_new1176z00_519 = BgL_new1175z00_524; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1176z00_519)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_86),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1176z00_519)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_84),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1176z00_519)))->BgL_paramz00)=((obj_t)BgL_paramz00_85),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6639;
{ /* Llib/block_ciphers.scm 282 */

BgL_auxz00_6639 = 
make_string(BgL_blockzd2siza7ez75_86, ((unsigned char)' ')); } 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1176z00_519))->BgL_bufferz00)=((obj_t)BgL_auxz00_6639),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_6642;
{ /* Llib/block_ciphers.scm 286 */

BgL_auxz00_6642 = 
make_string(BgL_blockzd2siza7ez75_86, ((unsigned char)' ')); } 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1176z00_519))->BgL_chainz00)=((obj_t)BgL_auxz00_6642),BUNSPEC); } 
return BgL_new1176z00_519;} } 

}



/* create-PCBC-decryption-state */
BgL_pcbczd2decryptzd2_bglt BGl_createzd2PCBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_decryptz00_94, obj_t BgL_paramz00_95, long BgL_blockzd2siza7ez75_96)
{
{ /* Llib/block_ciphers.scm 298 */
{ /* Llib/block_ciphers.scm 299 */
 BgL_pcbczd2decryptzd2_bglt BgL_new1180z00_526;
{ /* Llib/block_ciphers.scm 303 */
 BgL_pcbczd2decryptzd2_bglt BgL_new1179z00_531;
BgL_new1179z00_531 = 
((BgL_pcbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 303 */
 long BgL_arg1756z00_532;
BgL_arg1756z00_532 = 
BGL_CLASS_NUM(BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1179z00_531), BgL_arg1756z00_532); } 
{ /* Llib/block_ciphers.scm 303 */
 BgL_objectz00_bglt BgL_tmpz00_6649;
BgL_tmpz00_6649 = 
((BgL_objectz00_bglt)BgL_new1179z00_531); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6649, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1179z00_531); 
BgL_new1180z00_526 = BgL_new1179z00_531; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1180z00_526)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_96),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1180z00_526)))->BgL_cipherz00)=((obj_t)BgL_decryptz00_94),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1180z00_526)))->BgL_paramz00)=((obj_t)BgL_paramz00_95),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6659;
{ /* Llib/block_ciphers.scm 300 */

BgL_auxz00_6659 = 
make_string(BgL_blockzd2siza7ez75_96, ((unsigned char)' ')); } 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1180z00_526))->BgL_bufferz00)=((obj_t)BgL_auxz00_6659),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_6662;
{ /* Llib/block_ciphers.scm 304 */

BgL_auxz00_6662 = 
make_string(BgL_blockzd2siza7ez75_96, ((unsigned char)' ')); } 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1180z00_526))->BgL_chainz00)=((obj_t)BgL_auxz00_6662),BUNSPEC); } 
return BgL_new1180z00_526;} } 

}



/* create-CFB-encryption-state */
BgL_cfbzd2encryptzd2_bglt BGl_createzd2CFBzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_104, obj_t BgL_paramz00_105, long BgL_blockzd2siza7ez75_106)
{
{ /* Llib/block_ciphers.scm 318 */
{ /* Llib/block_ciphers.scm 319 */
 BgL_cfbzd2encryptzd2_bglt BgL_new1184z00_533;
{ /* Llib/block_ciphers.scm 322 */
 BgL_cfbzd2encryptzd2_bglt BgL_new1183z00_536;
BgL_new1183z00_536 = 
((BgL_cfbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 322 */
 long BgL_arg1757z00_537;
BgL_arg1757z00_537 = 
BGL_CLASS_NUM(BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1183z00_536), BgL_arg1757z00_537); } 
{ /* Llib/block_ciphers.scm 322 */
 BgL_objectz00_bglt BgL_tmpz00_6669;
BgL_tmpz00_6669 = 
((BgL_objectz00_bglt)BgL_new1183z00_536); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6669, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1183z00_536); 
BgL_new1184z00_533 = BgL_new1183z00_536; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1184z00_533)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_106),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1184z00_533)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_104),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1184z00_533)))->BgL_paramz00)=((obj_t)BgL_paramz00_105),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6679;
{ /* Llib/block_ciphers.scm 323 */

BgL_auxz00_6679 = 
make_string(BgL_blockzd2siza7ez75_106, ((unsigned char)' ')); } 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(BgL_new1184z00_533))->BgL_chainz00)=((obj_t)BgL_auxz00_6679),BUNSPEC); } 
return BgL_new1184z00_533;} } 

}



/* create-CFB-decryption-state */
BgL_cfbzd2decryptzd2_bglt BGl_createzd2CFBzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_121, obj_t BgL_paramz00_122, long BgL_blockzd2siza7ez75_123)
{
{ /* Llib/block_ciphers.scm 341 */
{ /* Llib/block_ciphers.scm 342 */
 BgL_cfbzd2decryptzd2_bglt BgL_new1189z00_538;
{ /* Llib/block_ciphers.scm 346 */
 BgL_cfbzd2decryptzd2_bglt BgL_new1188z00_543;
BgL_new1188z00_543 = 
((BgL_cfbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 346 */
 long BgL_arg1758z00_544;
BgL_arg1758z00_544 = 
BGL_CLASS_NUM(BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1188z00_543), BgL_arg1758z00_544); } 
{ /* Llib/block_ciphers.scm 346 */
 BgL_objectz00_bglt BgL_tmpz00_6686;
BgL_tmpz00_6686 = 
((BgL_objectz00_bglt)BgL_new1188z00_543); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6686, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1188z00_543); 
BgL_new1189z00_538 = BgL_new1188z00_543; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1189z00_538)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_123),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1189z00_538)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_121),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1189z00_538)))->BgL_paramz00)=((obj_t)BgL_paramz00_122),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6696;
{ /* Llib/block_ciphers.scm 343 */

BgL_auxz00_6696 = 
make_string(BgL_blockzd2siza7ez75_123, ((unsigned char)' ')); } 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1189z00_538))->BgL_bufferz00)=((obj_t)BgL_auxz00_6696),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_6699;
{ /* Llib/block_ciphers.scm 347 */

BgL_auxz00_6699 = 
make_string(BgL_blockzd2siza7ez75_123, ((unsigned char)' ')); } 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1189z00_538))->BgL_chainz00)=((obj_t)BgL_auxz00_6699),BUNSPEC); } 
return BgL_new1189z00_538;} } 

}



/* create-OFB-state */
BgL_ofbz00_bglt BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_138, obj_t BgL_paramz00_139, long BgL_blockzd2siza7ez75_140)
{
{ /* Llib/block_ciphers.scm 369 */
{ /* Llib/block_ciphers.scm 370 */
 BgL_ofbz00_bglt BgL_new1194z00_545;
{ /* Llib/block_ciphers.scm 373 */
 BgL_ofbz00_bglt BgL_new1193z00_548;
BgL_new1193z00_548 = 
((BgL_ofbz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ofbz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 373 */
 long BgL_arg1759z00_549;
BgL_arg1759z00_549 = 
BGL_CLASS_NUM(BGl_OFBz00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1193z00_548), BgL_arg1759z00_549); } 
{ /* Llib/block_ciphers.scm 373 */
 BgL_objectz00_bglt BgL_tmpz00_6706;
BgL_tmpz00_6706 = 
((BgL_objectz00_bglt)BgL_new1193z00_548); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6706, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1193z00_548); 
BgL_new1194z00_545 = BgL_new1193z00_548; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1194z00_545)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_140),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1194z00_545)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_138),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1194z00_545)))->BgL_paramz00)=((obj_t)BgL_paramz00_139),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6716;
{ /* Llib/block_ciphers.scm 374 */

BgL_auxz00_6716 = 
make_string(BgL_blockzd2siza7ez75_140, ((unsigned char)' ')); } 
((((BgL_ofbz00_bglt)COBJECT(BgL_new1194z00_545))->BgL_chainz00)=((obj_t)BgL_auxz00_6716),BUNSPEC); } 
return BgL_new1194z00_545;} } 

}



/* create-CTR-state */
BgL_ctrz00_bglt BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_encryptz00_155, obj_t BgL_paramz00_156, obj_t BgL_noncezd2initz12zc0_157, obj_t BgL_noncezd2updatez12zc0_158, long BgL_blockzd2siza7ez75_159)
{
{ /* Llib/block_ciphers.scm 394 */
{ /* Llib/block_ciphers.scm 397 */
 BgL_ctrz00_bglt BgL_new1199z00_550;
{ /* Llib/block_ciphers.scm 405 */
 BgL_ctrz00_bglt BgL_new1198z00_553;
BgL_new1198z00_553 = 
((BgL_ctrz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ctrz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 405 */
 long BgL_arg1760z00_554;
BgL_arg1760z00_554 = 
BGL_CLASS_NUM(BGl_CTRz00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1198z00_553), BgL_arg1760z00_554); } 
{ /* Llib/block_ciphers.scm 405 */
 BgL_objectz00_bglt BgL_tmpz00_6723;
BgL_tmpz00_6723 = 
((BgL_objectz00_bglt)BgL_new1198z00_553); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6723, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1198z00_553); 
BgL_new1199z00_550 = BgL_new1198z00_553; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1199z00_550)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7ez75_159),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1199z00_550)))->BgL_cipherz00)=((obj_t)BgL_encryptz00_155),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1199z00_550)))->BgL_paramz00)=((obj_t)BgL_paramz00_156),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1199z00_550))->BgL_noncez00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 obj_t BgL_auxz00_6734;
{ /* Llib/block_ciphers.scm 401 */

BgL_auxz00_6734 = 
make_string(BgL_blockzd2siza7ez75_159, ((unsigned char)' ')); } 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1199z00_550))->BgL_noncezd2strzd2)=((obj_t)BgL_auxz00_6734),BUNSPEC); } 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1199z00_550))->BgL_blockzd2counterzd2)=((long)0L),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1199z00_550))->BgL_noncezd2initz12zc0)=((obj_t)BgL_noncezd2initz12zc0_157),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1199z00_550))->BgL_noncezd2updatez12zc0)=((obj_t)BgL_noncezd2updatez12zc0_158),BUNSPEC); 
return BgL_new1199z00_550;} } 

}



/* encrypt-input! */
long BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt BgL_modezd2statezd2_174, obj_t BgL_fromz00_175, long BgL_fromzd2poszd2_176, obj_t BgL_readzd2atz12zc0_177, obj_t BgL_toz00_178, long BgL_tozd2poszd2_179, obj_t BgL_writezd2atz12zc0_180)
{
{ /* Llib/block_ciphers.scm 433 */
{ /* Llib/block_ciphers.scm 439 */
 obj_t BgL_casezd2valuezd2_556;
BgL_casezd2valuezd2_556 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivzd2actionzd2); 
if(
(BgL_casezd2valuezd2_556==
((obj_t)
CNST_TABLE_REF(0))))
{ /* Llib/block_ciphers.scm 439 */
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivz00)); }  else 
{ /* Llib/block_ciphers.scm 439 */
if(
(BgL_casezd2valuezd2_556==
((obj_t)
CNST_TABLE_REF(1))))
{ /* Llib/block_ciphers.scm 439 */
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivz00)); 
{ /* Llib/block_ciphers.scm 443 */
 obj_t BgL_arg1772z00_563; long BgL_arg1773z00_564;
BgL_arg1772z00_563 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivz00); 
BgL_arg1773z00_564 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
BGL_PROCEDURE_CALL5(BgL_writezd2atz12zc0_180, BgL_arg1772z00_563, 
BINT(0L), BgL_toz00_178, 
BINT(BgL_tozd2poszd2_179), 
BINT(BgL_arg1773z00_564)); } 
BgL_tozd2poszd2_179 = 
(BgL_tozd2poszd2_179+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)); }  else 
{ /* Llib/block_ciphers.scm 439 */
if(
(BgL_casezd2valuezd2_556==
((obj_t)
CNST_TABLE_REF(2))))
{ /* Llib/block_ciphers.scm 439 */
((obj_t)
CNST_TABLE_REF(3)); }  else 
{ /* Llib/block_ciphers.scm 439 */
BGl_errorz00zz__errorz00(BGl_string3419z00zz__cryptozd2blockzd2ciphersz00, BGl_string3420z00zz__cryptozd2blockzd2ciphersz00, 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_ivzd2actionzd2)); } } } } 
{ /* Llib/block_ciphers.scm 450 */
 obj_t BgL_bufferz00_568; obj_t BgL_padz00_569;
BgL_bufferz00_568 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_loopzd2bufferzd2); 
BgL_padz00_569 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_padzf2unpadzf2); 
{ 
 long BgL_iz00_571;
BgL_iz00_571 = 0L; 
BgL_zc3z04anonymousza31777ze3z87_572:
{ /* Llib/block_ciphers.scm 453 */
 obj_t BgL_nbzd2copiedzd2_573;
{ /* Llib/block_ciphers.scm 453 */
 long BgL_arg1851z00_598; long BgL_arg1852z00_599;
BgL_arg1851z00_598 = 
(BgL_fromzd2poszd2_176+BgL_iz00_571); 
BgL_arg1852z00_599 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
BgL_nbzd2copiedzd2_573 = 
((obj_t (*)(obj_t, obj_t, long, obj_t, long, long))PROCEDURE_L_ENTRY(BgL_readzd2atz12zc0_177))(BgL_readzd2atz12zc0_177, BgL_fromz00_175, BgL_arg1851z00_598, BgL_bufferz00_568, 0L, BgL_arg1852z00_599); } 
{ /* Llib/block_ciphers.scm 457 */
 bool_t BgL_test3885z00_6790;
if(
(
(long)CINT(BgL_nbzd2copiedzd2_573)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 457 */
if(
CBOOL(BgL_padz00_569))
{ /* Llib/block_ciphers.scm 457 */
BgL_test3885z00_6790 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 457 */
BgL_test3885z00_6790 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 457 */
BgL_test3885z00_6790 = ((bool_t)0)
; } 
if(BgL_test3885z00_6790)
{ /* Llib/block_ciphers.scm 457 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_573)==0L))
{ /* Llib/block_ciphers.scm 458 */
return 
(BgL_iz00_571+BgL_tozd2poszd2_179);}  else 
{ /* Llib/block_ciphers.scm 458 */
BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), BgL_bufferz00_568, 0L, BgL_bufferz00_568, 0L, 0L, 
(long)CINT(BgL_nbzd2copiedzd2_573)); 
{ /* Llib/block_ciphers.scm 464 */
 long BgL_arg1792z00_580;
BgL_arg1792z00_580 = 
(BgL_tozd2poszd2_179+BgL_iz00_571); 
BGL_PROCEDURE_CALL5(BgL_writezd2atz12zc0_180, BgL_bufferz00_568, 
BINT(0L), BgL_toz00_178, 
BINT(BgL_arg1792z00_580), BgL_nbzd2copiedzd2_573); } 
return 
(BgL_iz00_571+
(BgL_tozd2poszd2_179+
(long)CINT(BgL_nbzd2copiedzd2_573)));} }  else 
{ /* Llib/block_ciphers.scm 457 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_573)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 466 */
if(
CBOOL(
BGL_PROCEDURE_CALL2(BgL_padz00_569, BgL_bufferz00_568, BgL_nbzd2copiedzd2_573)))
{ /* Llib/block_ciphers.scm 467 */
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), BgL_bufferz00_568, 0L, BgL_bufferz00_568, 0L); 
{ /* Llib/block_ciphers.scm 470 */
 long BgL_arg1818z00_586; long BgL_arg1819z00_587;
BgL_arg1818z00_586 = 
(BgL_tozd2poszd2_179+BgL_iz00_571); 
BgL_arg1819z00_587 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
BGL_PROCEDURE_CALL5(BgL_writezd2atz12zc0_180, BgL_bufferz00_568, 
BINT(0L), BgL_toz00_178, 
BINT(BgL_arg1818z00_586), 
BINT(BgL_arg1819z00_587)); } 
return 
(BgL_iz00_571+
(BgL_tozd2poszd2_179+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)));}  else 
{ /* Llib/block_ciphers.scm 467 */
return 
(BgL_iz00_571+BgL_tozd2poszd2_179);} }  else 
{ /* Llib/block_ciphers.scm 466 */
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_cipherzd2statezd2), BgL_bufferz00_568, 0L, BgL_bufferz00_568, 0L); 
{ /* Llib/block_ciphers.scm 475 */
 long BgL_arg1839z00_591; long BgL_arg1841z00_592;
BgL_arg1839z00_591 = 
(BgL_tozd2poszd2_179+BgL_iz00_571); 
BgL_arg1841z00_592 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75); 
BGL_PROCEDURE_CALL5(BgL_writezd2atz12zc0_180, BgL_bufferz00_568, 
BINT(0L), BgL_toz00_178, 
BINT(BgL_arg1839z00_591), 
BINT(BgL_arg1841z00_592)); } 
{ 
 long BgL_iz00_6863;
BgL_iz00_6863 = 
(BgL_iz00_571+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_174))->BgL_blockzd2siza7ez75)); 
BgL_iz00_571 = BgL_iz00_6863; 
goto BgL_zc3z04anonymousza31777ze3z87_572;} } } } } } } } 

}



/* decrypt-input! */
long BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2modezd2statez00_bglt BgL_modezd2statezd2_181, obj_t BgL_fromz00_182, long BgL_fromzd2poszd2_183, obj_t BgL_readzd2atz12zc0_184, obj_t BgL_toz00_185, long BgL_tozd2poszd2_186, obj_t BgL_writezd2atz12zc0_187)
{
{ /* Llib/block_ciphers.scm 479 */
{ /* Llib/block_ciphers.scm 485 */
 obj_t BgL_casezd2valuezd2_603;
BgL_casezd2valuezd2_603 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_ivzd2actionzd2); 
if(
(BgL_casezd2valuezd2_603==
((obj_t)
CNST_TABLE_REF(0))))
{ /* Llib/block_ciphers.scm 485 */
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_ivz00)); }  else 
{ /* Llib/block_ciphers.scm 485 */
if(
(BgL_casezd2valuezd2_603==
((obj_t)
CNST_TABLE_REF(4))))
{ /* Llib/block_ciphers.scm 488 */
 obj_t BgL_nbzd2readzd2_608;
{ /* Llib/block_ciphers.scm 488 */
 obj_t BgL_arg1865z00_615; long BgL_arg1866z00_616;
BgL_arg1865z00_615 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_loopzd2bufferzd2); 
BgL_arg1866z00_616 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75); 
BgL_nbzd2readzd2_608 = 
((obj_t (*)(obj_t, obj_t, long, obj_t, long, long))PROCEDURE_L_ENTRY(BgL_readzd2atz12zc0_184))(BgL_readzd2atz12zc0_184, BgL_fromz00_182, BgL_fromzd2poszd2_183, BgL_arg1865z00_615, 0L, BgL_arg1866z00_616); } 
if(
(
(long)CINT(BgL_nbzd2readzd2_608)==
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 489 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 489 */
BGl_errorz00zz__errorz00(BGl_string3421z00zz__cryptozd2blockzd2ciphersz00, BGl_string3422z00zz__cryptozd2blockzd2ciphersz00, BgL_nbzd2readzd2_608); } 
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_loopzd2bufferzd2)); 
BgL_fromzd2poszd2_183 = 
(BgL_fromzd2poszd2_183+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)); }  else 
{ /* Llib/block_ciphers.scm 485 */
if(
(BgL_casezd2valuezd2_603==
((obj_t)
CNST_TABLE_REF(2))))
{ /* Llib/block_ciphers.scm 485 */
((obj_t)
CNST_TABLE_REF(3)); }  else 
{ /* Llib/block_ciphers.scm 485 */
BGl_errorz00zz__errorz00(BGl_string3423z00zz__cryptozd2blockzd2ciphersz00, BGl_string3420z00zz__cryptozd2blockzd2ciphersz00, 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_ivzd2actionzd2)); } } } } 
{ /* Llib/block_ciphers.scm 504 */
 obj_t BgL_bufferz00_619; obj_t BgL_unpadz00_620; obj_t BgL_lastzd2decryptedzd2_621;
BgL_bufferz00_619 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_loopzd2bufferzd2); 
BgL_unpadz00_620 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_padzf2unpadzf2); 
{ /* Llib/block_ciphers.scm 507 */
 long BgL_arg1902z00_660;
BgL_arg1902z00_660 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 507 */

BgL_lastzd2decryptedzd2_621 = 
make_string(BgL_arg1902z00_660, ((unsigned char)' ')); } } 
{ 
 long BgL_iz00_623;
{ /* Llib/block_ciphers.scm 508 */
 obj_t BgL_tmpz00_6910;
BgL_iz00_623 = 0L; 
BgL_zc3z04anonymousza31869ze3z87_624:
{ /* Llib/block_ciphers.scm 509 */
 obj_t BgL_nbzd2copiedzd2_625;
{ /* Llib/block_ciphers.scm 509 */
 long BgL_arg1900z00_657; long BgL_arg1901z00_658;
BgL_arg1900z00_657 = 
(BgL_fromzd2poszd2_183+BgL_iz00_623); 
BgL_arg1901z00_658 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75); 
BgL_nbzd2copiedzd2_625 = 
((obj_t (*)(obj_t, obj_t, long, obj_t, long, long))PROCEDURE_L_ENTRY(BgL_readzd2atz12zc0_184))(BgL_readzd2atz12zc0_184, BgL_fromz00_182, BgL_arg1900z00_657, BgL_bufferz00_619, 0L, BgL_arg1901z00_658); } 
{ /* Llib/block_ciphers.scm 513 */
 bool_t BgL_test3895z00_6921;
if(
(
(long)CINT(BgL_nbzd2copiedzd2_625)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 513 */
if(
CBOOL(BgL_unpadz00_620))
{ /* Llib/block_ciphers.scm 513 */
BgL_test3895z00_6921 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 513 */
BgL_test3895z00_6921 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 513 */
BgL_test3895z00_6921 = ((bool_t)0)
; } 
if(BgL_test3895z00_6921)
{ /* Llib/block_ciphers.scm 513 */
BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(BgL_toz00_185, BgL_writezd2atz12zc0_187, BgL_modezd2statezd2_181, BgL_tozd2poszd2_186, BgL_lastzd2decryptedzd2_621, 
(BgL_iz00_623-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))); 
if(
(
(long)CINT(BgL_nbzd2copiedzd2_625)==0L))
{ /* Llib/block_ciphers.scm 515 */
BgL_tmpz00_6910 = 
BINT(
(BgL_iz00_623+BgL_tozd2poszd2_186))
; }  else 
{ /* Llib/block_ciphers.scm 515 */
BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), BgL_bufferz00_619, 0L, BgL_bufferz00_619, 0L, 0L, 
(long)CINT(BgL_nbzd2copiedzd2_625)); 
{ /* Llib/block_ciphers.scm 521 */
 long BgL_arg1878z00_634;
BgL_arg1878z00_634 = 
(BgL_tozd2poszd2_186+BgL_iz00_623); 
BGL_PROCEDURE_CALL5(BgL_writezd2atz12zc0_187, BgL_bufferz00_619, 
BINT(0L), BgL_toz00_185, 
BINT(BgL_arg1878z00_634), BgL_nbzd2copiedzd2_625); } 
BgL_tmpz00_6910 = 
BINT(
(BgL_iz00_623+
(BgL_tozd2poszd2_186+
(long)CINT(BgL_nbzd2copiedzd2_625)))); } }  else 
{ /* Llib/block_ciphers.scm 513 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_625)<
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 525 */
 bool_t BgL_test3900z00_6958;
if(
(
(long)CINT(BgL_nbzd2copiedzd2_625)==0L))
{ /* Llib/block_ciphers.scm 525 */
BgL_test3900z00_6958 = 
(BgL_iz00_623==0L)
; }  else 
{ /* Llib/block_ciphers.scm 525 */
BgL_test3900z00_6958 = ((bool_t)0)
; } 
if(BgL_test3900z00_6958)
{ /* Llib/block_ciphers.scm 525 */
BgL_tmpz00_6910 = 
BINT(BgL_tozd2poszd2_186)
; }  else 
{ /* Llib/block_ciphers.scm 525 */
if(
(
(long)CINT(BgL_nbzd2copiedzd2_625)==0L))
{ /* Llib/block_ciphers.scm 528 */
 obj_t BgL_plainzd2charszd2_641;
BgL_plainzd2charszd2_641 = 
BGL_PROCEDURE_CALL1(BgL_unpadz00_620, BgL_lastzd2decryptedzd2_621); 
{ /* Llib/block_ciphers.scm 530 */
 long BgL_arg1885z00_642;
BgL_arg1885z00_642 = 
(BgL_tozd2poszd2_186+
(BgL_iz00_623-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))); 
BGL_PROCEDURE_CALL5(BgL_writezd2atz12zc0_187, BgL_lastzd2decryptedzd2_621, 
BINT(0L), BgL_toz00_185, 
BINT(BgL_arg1885z00_642), BgL_plainzd2charszd2_641); } 
BgL_tmpz00_6910 = 
BINT(
(
(BgL_iz00_623-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))+
(BgL_tozd2poszd2_186+
(long)CINT(BgL_plainzd2charszd2_641)))); }  else 
{ /* Llib/block_ciphers.scm 527 */
BgL_tmpz00_6910 = 
BGl_errorz00zz__errorz00(BGl_string3424z00zz__cryptozd2blockzd2ciphersz00, BGl_string3425z00zz__cryptozd2blockzd2ciphersz00, BgL_nbzd2copiedzd2_625)
; } } }  else 
{ /* Llib/block_ciphers.scm 523 */
BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(BgL_toz00_185, BgL_writezd2atz12zc0_187, BgL_modezd2statezd2_181, BgL_tozd2poszd2_186, BgL_lastzd2decryptedzd2_621, 
(BgL_iz00_623-
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75))); 
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_cipherzd2statezd2), BgL_bufferz00_619, 0L, BgL_lastzd2decryptedzd2_621, 0L); 
{ 
 long BgL_iz00_6996;
BgL_iz00_6996 = 
(BgL_iz00_623+
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_modezd2statezd2_181))->BgL_blockzd2siza7ez75)); 
BgL_iz00_623 = BgL_iz00_6996; 
goto BgL_zc3z04anonymousza31869ze3z87_624;} } } } } 
return 
(long)CINT(BgL_tmpz00_6910);} } } } 

}



/* write-last-decrypted!~0 */
obj_t BGl_writezd2lastzd2decryptedz12ze70zf5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_toz00_5112, obj_t BgL_writezd2atz12zc0_5111, BgL_cipherzd2modezd2statez00_bglt BgL_i1204z00_5110, long BgL_tozd2poszd2_5109, obj_t BgL_lastzd2decryptedzd2_663, long BgL_iz00_664)
{
{ /* Llib/block_ciphers.scm 502 */
if(
(BgL_iz00_664<0L))
{ /* Llib/block_ciphers.scm 501 */
return BFALSE;}  else 
{ /* Llib/block_ciphers.scm 502 */
 long BgL_arg1905z00_667; long BgL_arg1906z00_668;
BgL_arg1905z00_667 = 
(BgL_tozd2poszd2_5109+BgL_iz00_664); 
BgL_arg1906z00_668 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_i1204z00_5110))->BgL_blockzd2siza7ez75); 
return 
BGL_PROCEDURE_CALL5(BgL_writezd2atz12zc0_5111, BgL_lastzd2decryptedzd2_663, 
BINT(0L), BgL_toz00_5112, 
BINT(BgL_arg1905z00_667), 
BINT(BgL_arg1906z00_668));} } 

}



/* create-encryption-state */
BgL_cipherzd2modezd2statez00_bglt BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_188, obj_t BgL_passwordz00_189, obj_t BgL_ivz00_190, obj_t BgL_modez00_191, obj_t BgL_padz00_192, obj_t BgL_noncezd2initz12zc0_193, obj_t BgL_noncezd2updatez12zc0_194, obj_t BgL_stringzd2ze3keyz31_195)
{
{ /* Llib/block_ciphers.scm 594 */
{ /* Llib/block_ciphers.scm 597 */
 BgL_blockzd2cipherzd2_bglt BgL_i1205z00_670;
BgL_i1205z00_670 = 
BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_188); 
{ 
 obj_t BgL_modez00_719; obj_t BgL_paramz00_720; long BgL_bsz00_721;
{ /* Llib/block_ciphers.scm 615 */
 obj_t BgL_keyz00_672;
if(
CBOOL(BgL_stringzd2ze3keyz31_195))
{ /* Llib/block_ciphers.scm 615 */
BgL_keyz00_672 = 
BGL_PROCEDURE_CALL1(BgL_stringzd2ze3keyz31_195, BgL_passwordz00_189); }  else 
{ /* Llib/block_ciphers.scm 615 */
BgL_keyz00_672 = 
BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(BgL_passwordz00_189, 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1205z00_670))->BgL_preferredzd2keyzd2lengthz00), BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2); } 
{ /* Llib/block_ciphers.scm 615 */
 obj_t BgL_padzd2proczd2_673;
{ /* Llib/block_ciphers.scm 619 */
 bool_t BgL_test3905z00_7024;
{ /* Llib/block_ciphers.scm 619 */
 bool_t BgL__ortest_1208z00_716;
BgL__ortest_1208z00_716 = 
(BgL_modez00_191==
((obj_t)
CNST_TABLE_REF(5))); 
if(BgL__ortest_1208z00_716)
{ /* Llib/block_ciphers.scm 619 */
BgL_test3905z00_7024 = BgL__ortest_1208z00_716
; }  else 
{ /* Llib/block_ciphers.scm 619 */
 bool_t BgL__ortest_1209z00_717;
BgL__ortest_1209z00_717 = 
(BgL_modez00_191==
((obj_t)
CNST_TABLE_REF(7))); 
if(BgL__ortest_1209z00_717)
{ /* Llib/block_ciphers.scm 619 */
BgL_test3905z00_7024 = BgL__ortest_1209z00_717
; }  else 
{ /* Llib/block_ciphers.scm 619 */
BgL_test3905z00_7024 = 
(BgL_modez00_191==
((obj_t)
CNST_TABLE_REF(8)))
; } } } 
if(BgL_test3905z00_7024)
{ /* Llib/block_ciphers.scm 619 */
if(
(BgL_padz00_192==
((obj_t)
CNST_TABLE_REF(11))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_673 = BGl_nozd2padzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
((obj_t)
CNST_TABLE_REF(12))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_673 = BGl_bitzd2padzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
((obj_t)
CNST_TABLE_REF(13))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_673 = BGl_ansizd2xze2923zd2padzd2envz30zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
((obj_t)
CNST_TABLE_REF(14))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_673 = BGl_isozd210126zd2padzd2envzd2zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
((obj_t)
CNST_TABLE_REF(15))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_673 = BGl_pkcs7zd2padzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
(BgL_padz00_192==
((obj_t)
CNST_TABLE_REF(16))))
{ /* Llib/block_ciphers.scm 621 */
BgL_padzd2proczd2_673 = BGl_za7erozd2padzd2envza7zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 621 */
if(
PROCEDUREP(BgL_padz00_192))
{ /* Llib/block_ciphers.scm 628 */
BgL_padzd2proczd2_673 = BgL_padz00_192; }  else 
{ /* Llib/block_ciphers.scm 628 */
BgL_padzd2proczd2_673 = 
BGl_errorz00zz__errorz00(BGl_string3426z00zz__cryptozd2blockzd2ciphersz00, BGl_string3428z00zz__cryptozd2blockzd2ciphersz00, BgL_padz00_192); } } } } } } } }  else 
{ /* Llib/block_ciphers.scm 619 */
BgL_padzd2proczd2_673 = BFALSE; } } 
{ /* Llib/block_ciphers.scm 619 */
 obj_t BgL_encryptionzd2ivzd2_674;
if(
CBOOL(BgL_ivz00_190))
{ /* Llib/block_ciphers.scm 634 */
BgL_encryptionzd2ivzd2_674 = BgL_ivz00_190; }  else 
{ /* Llib/block_ciphers.scm 634 */
if(
(BgL_modez00_191==
((obj_t)
CNST_TABLE_REF(5))))
{ /* Llib/block_ciphers.scm 635 */
BgL_encryptionzd2ivzd2_674 = BFALSE; }  else 
{ /* Llib/block_ciphers.scm 635 */
BgL_encryptionzd2ivzd2_674 = 
BGl_makezd2randomzd2stringz00zz__cryptozd2utilzd2(
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1205z00_670))->BgL_blockzd2siza7ez75), BFALSE); } } 
{ /* Llib/block_ciphers.scm 634 */
 obj_t BgL_paramz00_675;
{ /* Llib/block_ciphers.scm 639 */
 obj_t BgL_fun1922z00_698;
BgL_fun1922z00_698 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1205z00_670))->BgL_keyzd2ze3encryptzd2paramze3); 
BgL_paramz00_675 = 
BGL_PROCEDURE_CALL1(BgL_fun1922z00_698, BgL_keyz00_672); } 
{ /* Llib/block_ciphers.scm 639 */
 obj_t BgL_statez00_676;
BgL_modez00_719 = BgL_modez00_191; 
BgL_paramz00_720 = BgL_paramz00_675; 
BgL_bsz00_721 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1205z00_670))->BgL_blockzd2siza7ez75); 
if(
(BgL_modez00_719==
((obj_t)
CNST_TABLE_REF(5))))
{ /* Llib/block_ciphers.scm 602 */
 obj_t BgL_arg1936z00_725;
BgL_arg1936z00_725 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1205z00_670))->BgL_encryptz12z12); 
BgL_statez00_676 = 
((obj_t)
BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1936z00_725, BgL_paramz00_720, BgL_bsz00_721, ((bool_t)1))); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
((obj_t)
CNST_TABLE_REF(6))))
{ /* Llib/block_ciphers.scm 603 */
 obj_t BgL_arg1938z00_727;
BgL_arg1938z00_727 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1205z00_670))->BgL_encryptz12z12); 
BgL_statez00_676 = 
((obj_t)
BGl_createzd2CFBzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1938z00_727, BgL_paramz00_720, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
((obj_t)
CNST_TABLE_REF(7))))
{ /* Llib/block_ciphers.scm 604 */
 obj_t BgL_arg1940z00_729;
BgL_arg1940z00_729 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1205z00_670))->BgL_encryptz12z12); 
BgL_statez00_676 = 
((obj_t)
BGl_createzd2CBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1940z00_729, BgL_paramz00_720, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
((obj_t)
CNST_TABLE_REF(8))))
{ /* Llib/block_ciphers.scm 605 */
 obj_t BgL_arg1942z00_731;
BgL_arg1942z00_731 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1205z00_670))->BgL_encryptz12z12); 
BgL_statez00_676 = 
((obj_t)
BGl_createzd2PCBCzd2encryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1942z00_731, BgL_paramz00_720, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
((obj_t)
CNST_TABLE_REF(9))))
{ /* Llib/block_ciphers.scm 606 */
 obj_t BgL_arg1944z00_733;
BgL_arg1944z00_733 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1205z00_670))->BgL_encryptz12z12); 
BgL_statez00_676 = 
((obj_t)
BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1944z00_733, BgL_paramz00_720, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
if(
(BgL_modez00_719==
((obj_t)
CNST_TABLE_REF(10))))
{ /* Llib/block_ciphers.scm 607 */
 obj_t BgL_arg1946z00_735; obj_t BgL_arg1947z00_736; obj_t BgL_arg1948z00_737;
BgL_arg1946z00_735 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1205z00_670))->BgL_encryptz12z12); 
if(
CBOOL(BgL_noncezd2initz12zc0_193))
{ /* Llib/block_ciphers.scm 608 */
BgL_arg1947z00_736 = BgL_noncezd2initz12zc0_193; }  else 
{ /* Llib/block_ciphers.scm 608 */
BgL_arg1947z00_736 = BGl_defaultzd2noncezd2initz12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
if(
CBOOL(BgL_noncezd2updatez12zc0_194))
{ /* Llib/block_ciphers.scm 609 */
BgL_arg1948z00_737 = BgL_noncezd2updatez12zc0_194; }  else 
{ /* Llib/block_ciphers.scm 609 */
BgL_arg1948z00_737 = BGl_defaultzd2noncezd2updatez12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
BgL_statez00_676 = 
((obj_t)
BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1946z00_735, BgL_paramz00_720, BgL_arg1947z00_736, BgL_arg1948z00_737, BgL_bsz00_721)); }  else 
{ /* Llib/block_ciphers.scm 601 */
BgL_statez00_676 = 
BGl_errorz00zz__errorz00(BGl_string3426z00zz__cryptozd2blockzd2ciphersz00, BGl_string3427z00zz__cryptozd2blockzd2ciphersz00, BgL_modez00_719); } } } } } } 
{ /* Llib/block_ciphers.scm 640 */

if(
(BgL_modez00_191==
((obj_t)
CNST_TABLE_REF(5))))
{ /* Llib/block_ciphers.scm 642 */
((obj_t)
CNST_TABLE_REF(3)); }  else 
{ /* Llib/block_ciphers.scm 642 */
if(
(BgL_modez00_191==
((obj_t)
CNST_TABLE_REF(10))))
{ /* Llib/block_ciphers.scm 643 */
((obj_t)
CNST_TABLE_REF(3)); }  else 
{ /* Llib/block_ciphers.scm 645 */
 bool_t BgL_test3927z00_7136;
if(
STRINGP(BgL_encryptionzd2ivzd2_674))
{ /* Llib/block_ciphers.scm 645 */
if(
(
STRING_LENGTH(BgL_encryptionzd2ivzd2_674)>=
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1205z00_670))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 646 */
BgL_test3927z00_7136 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 646 */
BgL_test3927z00_7136 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 645 */
BgL_test3927z00_7136 = ((bool_t)1)
; } 
if(BgL_test3927z00_7136)
{ /* Llib/block_ciphers.scm 649 */
 obj_t BgL_arg1914z00_684;
if(
STRINGP(BgL_ivz00_190))
{ /* Llib/block_ciphers.scm 649 */
BgL_arg1914z00_684 = 
BINT(
STRING_LENGTH(BgL_ivz00_190)); }  else 
{ /* Llib/block_ciphers.scm 649 */
BgL_arg1914z00_684 = BgL_ivz00_190; } 
BGl_errorz00zz__errorz00(BGl_string3429z00zz__cryptozd2blockzd2ciphersz00, BGl_string3430z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1914z00_684); }  else 
{ /* Llib/block_ciphers.scm 645 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 652 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1212z00_690;
{ /* Llib/block_ciphers.scm 653 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1211z00_695;
BgL_new1211z00_695 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 653 */
 long BgL_arg1920z00_696;
BgL_arg1920z00_696 = 
BGL_CLASS_NUM(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1211z00_695), BgL_arg1920z00_696); } 
{ /* Llib/block_ciphers.scm 653 */
 BgL_objectz00_bglt BgL_tmpz00_7152;
BgL_tmpz00_7152 = 
((BgL_objectz00_bglt)BgL_new1211z00_695); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7152, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1211z00_695); 
BgL_new1212z00_690 = BgL_new1211z00_695; } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1212z00_690))->BgL_encryptzf3zf3)=((bool_t)((bool_t)1)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1212z00_690))->BgL_blockzd2siza7ez75)=((long)
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1205z00_670))->BgL_blockzd2siza7ez75)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1212z00_690))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_676)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_7161;
if(
(BgL_modez00_191==
((obj_t)
CNST_TABLE_REF(5))))
{ /* Llib/block_ciphers.scm 657 */
BgL_auxz00_7161 = 
((obj_t)
CNST_TABLE_REF(2))
; }  else 
{ /* Llib/block_ciphers.scm 658 */
 bool_t BgL_test3932z00_7168;
if(
CBOOL(BgL_ivz00_190))
{ /* Llib/block_ciphers.scm 658 */
BgL_test3932z00_7168 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 658 */
BgL_test3932z00_7168 = 
CBOOL(BgL_encryptionzd2ivzd2_674)
; } 
if(BgL_test3932z00_7168)
{ /* Llib/block_ciphers.scm 658 */
BgL_auxz00_7161 = 
((obj_t)
CNST_TABLE_REF(1))
; }  else 
{ /* Llib/block_ciphers.scm 658 */
BgL_auxz00_7161 = 
((obj_t)
CNST_TABLE_REF(0))
; } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1212z00_690))->BgL_ivzd2actionzd2)=((obj_t)BgL_auxz00_7161),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1212z00_690))->BgL_ivz00)=((obj_t)BgL_encryptionzd2ivzd2_674),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1212z00_690))->BgL_padzf2unpadzf2)=((obj_t)BgL_padzd2proczd2_673),BUNSPEC); 
{ 
 obj_t BgL_auxz00_7179;
{ /* Llib/block_ciphers.scm 662 */
 long BgL_arg1919z00_692;
BgL_arg1919z00_692 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1205z00_670))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 662 */

BgL_auxz00_7179 = 
make_string(BgL_arg1919z00_692, ((unsigned char)' ')); } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1212z00_690))->BgL_loopzd2bufferzd2)=((obj_t)BgL_auxz00_7179),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1212z00_690))->BgL_posz00)=((long)0L),BUNSPEC); 
return BgL_new1212z00_690;} } } } } } } } } } 

}



/* create-decryption-state */
BgL_cipherzd2modezd2statez00_bglt BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_196, obj_t BgL_passwordz00_197, obj_t BgL_ivz00_198, obj_t BgL_modez00_199, obj_t BgL_padz00_200, obj_t BgL_noncezd2initz12zc0_201, obj_t BgL_noncezd2updatez12zc0_202, obj_t BgL_stringzd2ze3keyz31_203)
{
{ /* Llib/block_ciphers.scm 664 */
{ /* Llib/block_ciphers.scm 667 */
 BgL_blockzd2cipherzd2_bglt BgL_i1213z00_741;
BgL_i1213z00_741 = 
BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_196); 
{ 
 obj_t BgL_modez00_792; obj_t BgL_paramz00_793; long BgL_bsz00_794;
{ /* Llib/block_ciphers.scm 686 */
 obj_t BgL_keyz00_743;
if(
CBOOL(BgL_stringzd2ze3keyz31_203))
{ /* Llib/block_ciphers.scm 686 */
BgL_keyz00_743 = 
BGL_PROCEDURE_CALL1(BgL_stringzd2ze3keyz31_203, BgL_passwordz00_197); }  else 
{ /* Llib/block_ciphers.scm 686 */
BgL_keyz00_743 = 
BGl_stringzd2ze3keyzd2hashze3zz__cryptozd2string2keyzd2(BgL_passwordz00_197, 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1213z00_741))->BgL_preferredzd2keyzd2lengthz00), BGl_sha1sumzd2binzd2envz00zz__cryptozd2utilzd2); } 
{ /* Llib/block_ciphers.scm 686 */
 obj_t BgL_unpadzd2proczd2_744;
{ /* Llib/block_ciphers.scm 690 */
 bool_t BgL_test3935z00_7193;
{ /* Llib/block_ciphers.scm 690 */
 bool_t BgL__ortest_1216z00_789;
BgL__ortest_1216z00_789 = 
(BgL_modez00_199==
((obj_t)
CNST_TABLE_REF(5))); 
if(BgL__ortest_1216z00_789)
{ /* Llib/block_ciphers.scm 690 */
BgL_test3935z00_7193 = BgL__ortest_1216z00_789
; }  else 
{ /* Llib/block_ciphers.scm 690 */
 bool_t BgL__ortest_1217z00_790;
BgL__ortest_1217z00_790 = 
(BgL_modez00_199==
((obj_t)
CNST_TABLE_REF(7))); 
if(BgL__ortest_1217z00_790)
{ /* Llib/block_ciphers.scm 690 */
BgL_test3935z00_7193 = BgL__ortest_1217z00_790
; }  else 
{ /* Llib/block_ciphers.scm 690 */
BgL_test3935z00_7193 = 
(BgL_modez00_199==
((obj_t)
CNST_TABLE_REF(8)))
; } } } 
if(BgL_test3935z00_7193)
{ /* Llib/block_ciphers.scm 690 */
if(
(BgL_padz00_200==
((obj_t)
CNST_TABLE_REF(11))))
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_744 = BGl_nozd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
if(
(BgL_padz00_200==
((obj_t)
CNST_TABLE_REF(12))))
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_744 = BGl_bitzd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
 bool_t BgL_test3940z00_7213;
{ /* Llib/block_ciphers.scm 692 */
 bool_t BgL__ortest_1218z00_787;
BgL__ortest_1218z00_787 = 
(BgL_padz00_200==
((obj_t)
CNST_TABLE_REF(13))); 
if(BgL__ortest_1218z00_787)
{ /* Llib/block_ciphers.scm 692 */
BgL_test3940z00_7213 = BgL__ortest_1218z00_787
; }  else 
{ /* Llib/block_ciphers.scm 692 */
 bool_t BgL__ortest_1219z00_788;
BgL__ortest_1219z00_788 = 
(BgL_padz00_200==
((obj_t)
CNST_TABLE_REF(14))); 
if(BgL__ortest_1219z00_788)
{ /* Llib/block_ciphers.scm 692 */
BgL_test3940z00_7213 = BgL__ortest_1219z00_788
; }  else 
{ /* Llib/block_ciphers.scm 692 */
BgL_test3940z00_7213 = 
(BgL_padz00_200==
((obj_t)
CNST_TABLE_REF(15)))
; } } } 
if(BgL_test3940z00_7213)
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_744 = BGl_bytezd2unpadzd2envz00zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
if(
(BgL_padz00_200==
((obj_t)
CNST_TABLE_REF(16))))
{ /* Llib/block_ciphers.scm 692 */
BgL_unpadzd2proczd2_744 = BGl_za7erozd2unpadzd2envza7zz__cryptozd2cipherzd2paddingz00; }  else 
{ /* Llib/block_ciphers.scm 692 */
if(
PROCEDUREP(BgL_padz00_200))
{ /* Llib/block_ciphers.scm 698 */
BgL_unpadzd2proczd2_744 = BgL_padz00_200; }  else 
{ /* Llib/block_ciphers.scm 698 */
BgL_unpadzd2proczd2_744 = 
BGl_errorz00zz__errorz00(BGl_string3424z00zz__cryptozd2blockzd2ciphersz00, BGl_string3428z00zz__cryptozd2blockzd2ciphersz00, BgL_padz00_200); } } } } } }  else 
{ /* Llib/block_ciphers.scm 690 */
BgL_unpadzd2proczd2_744 = BFALSE; } } 
{ /* Llib/block_ciphers.scm 690 */
 obj_t BgL_paramz00_745;
{ /* Llib/block_ciphers.scm 704 */
 bool_t BgL_test3945z00_7232;
{ /* Llib/block_ciphers.scm 704 */
 bool_t BgL__ortest_1220z00_773;
BgL__ortest_1220z00_773 = 
(BgL_modez00_199==
((obj_t)
CNST_TABLE_REF(5))); 
if(BgL__ortest_1220z00_773)
{ /* Llib/block_ciphers.scm 704 */
BgL_test3945z00_7232 = BgL__ortest_1220z00_773
; }  else 
{ /* Llib/block_ciphers.scm 704 */
 bool_t BgL__ortest_1221z00_774;
BgL__ortest_1221z00_774 = 
(BgL_modez00_199==
((obj_t)
CNST_TABLE_REF(7))); 
if(BgL__ortest_1221z00_774)
{ /* Llib/block_ciphers.scm 704 */
BgL_test3945z00_7232 = BgL__ortest_1221z00_774
; }  else 
{ /* Llib/block_ciphers.scm 704 */
BgL_test3945z00_7232 = 
(BgL_modez00_199==
((obj_t)
CNST_TABLE_REF(8)))
; } } } 
if(BgL_test3945z00_7232)
{ /* Llib/block_ciphers.scm 705 */
 obj_t BgL_fun1964z00_771;
BgL_fun1964z00_771 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1213z00_741))->BgL_keyzd2ze3decryptzd2paramze3); 
BgL_paramz00_745 = 
BGL_PROCEDURE_CALL1(BgL_fun1964z00_771, BgL_keyz00_743); }  else 
{ /* Llib/block_ciphers.scm 706 */
 obj_t BgL_fun1965z00_772;
BgL_fun1965z00_772 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1213z00_741))->BgL_keyzd2ze3encryptzd2paramze3); 
BgL_paramz00_745 = 
BGL_PROCEDURE_CALL1(BgL_fun1965z00_772, BgL_keyz00_743); } } 
{ /* Llib/block_ciphers.scm 704 */
 obj_t BgL_statez00_746;
BgL_modez00_792 = BgL_modez00_199; 
BgL_paramz00_793 = BgL_paramz00_745; 
BgL_bsz00_794 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1213z00_741))->BgL_blockzd2siza7ez75); 
if(
(BgL_modez00_792==
((obj_t)
CNST_TABLE_REF(5))))
{ /* Llib/block_ciphers.scm 673 */
 obj_t BgL_arg1975z00_798;
BgL_arg1975z00_798 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1213z00_741))->BgL_decryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2ECBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1975z00_798, BgL_paramz00_793, BgL_bsz00_794, ((bool_t)0))); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_792==
((obj_t)
CNST_TABLE_REF(7))))
{ /* Llib/block_ciphers.scm 674 */
 obj_t BgL_arg1977z00_800;
BgL_arg1977z00_800 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1213z00_741))->BgL_decryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2CBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1977z00_800, BgL_paramz00_793, BgL_bsz00_794)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_792==
((obj_t)
CNST_TABLE_REF(8))))
{ /* Llib/block_ciphers.scm 675 */
 obj_t BgL_arg1979z00_802;
BgL_arg1979z00_802 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1213z00_741))->BgL_decryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2PCBCzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1979z00_802, BgL_paramz00_793, BgL_bsz00_794)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_792==
((obj_t)
CNST_TABLE_REF(6))))
{ /* Llib/block_ciphers.scm 676 */
 obj_t BgL_arg1981z00_804;
BgL_arg1981z00_804 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1213z00_741))->BgL_encryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2CFBzd2decryptionzd2statezd2zz__cryptozd2blockzd2ciphersz00(BgL_arg1981z00_804, BgL_paramz00_793, BgL_bsz00_794)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_792==
((obj_t)
CNST_TABLE_REF(9))))
{ /* Llib/block_ciphers.scm 677 */
 obj_t BgL_arg1983z00_806;
BgL_arg1983z00_806 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1213z00_741))->BgL_encryptz12z12); 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2OFBzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1983z00_806, BgL_paramz00_793, BgL_bsz00_794)); }  else 
{ /* Llib/block_ciphers.scm 672 */
if(
(BgL_modez00_792==
((obj_t)
CNST_TABLE_REF(10))))
{ /* Llib/block_ciphers.scm 678 */
 obj_t BgL_arg1985z00_808; obj_t BgL_arg1986z00_809; obj_t BgL_arg1987z00_810;
BgL_arg1985z00_808 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1213z00_741))->BgL_encryptz12z12); 
if(
CBOOL(BgL_noncezd2initz12zc0_201))
{ /* Llib/block_ciphers.scm 679 */
BgL_arg1986z00_809 = BgL_noncezd2initz12zc0_201; }  else 
{ /* Llib/block_ciphers.scm 679 */
BgL_arg1986z00_809 = BGl_defaultzd2noncezd2initz12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
if(
CBOOL(BgL_noncezd2updatez12zc0_202))
{ /* Llib/block_ciphers.scm 680 */
BgL_arg1987z00_810 = BgL_noncezd2updatez12zc0_202; }  else 
{ /* Llib/block_ciphers.scm 680 */
BgL_arg1987z00_810 = BGl_defaultzd2noncezd2updatez12zd2envzc0zz__cryptozd2blockzd2ciphersz00; } 
BgL_statez00_746 = 
((obj_t)
BGl_createzd2CTRzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_arg1985z00_808, BgL_paramz00_793, BgL_arg1986z00_809, BgL_arg1987z00_810, BgL_bsz00_794)); }  else 
{ /* Llib/block_ciphers.scm 672 */
BgL_statez00_746 = 
BGl_errorz00zz__errorz00(BGl_string3424z00zz__cryptozd2blockzd2ciphersz00, BGl_string3427z00zz__cryptozd2blockzd2ciphersz00, BgL_modez00_792); } } } } } } 
{ /* Llib/block_ciphers.scm 707 */

if(
(BgL_modez00_199==
((obj_t)
CNST_TABLE_REF(5))))
{ /* Llib/block_ciphers.scm 709 */
((obj_t)
CNST_TABLE_REF(3)); }  else 
{ /* Llib/block_ciphers.scm 709 */
if(
(BgL_modez00_199==
((obj_t)
CNST_TABLE_REF(10))))
{ /* Llib/block_ciphers.scm 710 */
((obj_t)
CNST_TABLE_REF(3)); }  else 
{ /* Llib/block_ciphers.scm 710 */
if(
CBOOL(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 713 */
 bool_t BgL_test3959z00_7316;
if(
STRINGP(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 713 */
if(
(
STRING_LENGTH(BgL_ivz00_198)>=
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1213z00_741))->BgL_blockzd2siza7ez75)))
{ /* Llib/block_ciphers.scm 714 */
BgL_test3959z00_7316 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 714 */
BgL_test3959z00_7316 = ((bool_t)1)
; } }  else 
{ /* Llib/block_ciphers.scm 713 */
BgL_test3959z00_7316 = ((bool_t)1)
; } 
if(BgL_test3959z00_7316)
{ /* Llib/block_ciphers.scm 717 */
 obj_t BgL_arg1956z00_754;
if(
STRINGP(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 717 */
BgL_arg1956z00_754 = 
BINT(
STRING_LENGTH(BgL_ivz00_198)); }  else 
{ /* Llib/block_ciphers.scm 717 */
BgL_arg1956z00_754 = BgL_ivz00_198; } 
BGl_errorz00zz__errorz00(BGl_string3429z00zz__cryptozd2blockzd2ciphersz00, BGl_string3430z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1956z00_754); }  else 
{ /* Llib/block_ciphers.scm 713 */BFALSE; } }  else 
{ /* Llib/block_ciphers.scm 711 */
((obj_t)
CNST_TABLE_REF(3)); } } } 
{ /* Llib/block_ciphers.scm 720 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1223z00_760;
{ /* Llib/block_ciphers.scm 721 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1222z00_764;
BgL_new1222z00_764 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 721 */
 long BgL_arg1961z00_765;
BgL_arg1961z00_765 = 
BGL_CLASS_NUM(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1222z00_764), BgL_arg1961z00_765); } 
{ /* Llib/block_ciphers.scm 721 */
 BgL_objectz00_bglt BgL_tmpz00_7334;
BgL_tmpz00_7334 = 
((BgL_objectz00_bglt)BgL_new1222z00_764); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7334, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1222z00_764); 
BgL_new1223z00_760 = BgL_new1222z00_764; } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1223z00_760))->BgL_encryptzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1223z00_760))->BgL_blockzd2siza7ez75)=((long)
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1213z00_741))->BgL_blockzd2siza7ez75)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1223z00_760))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_746)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_7343;
if(
(BgL_modez00_199==
((obj_t)
CNST_TABLE_REF(5))))
{ /* Llib/block_ciphers.scm 725 */
BgL_auxz00_7343 = 
((obj_t)
CNST_TABLE_REF(2))
; }  else 
{ /* Llib/block_ciphers.scm 725 */
if(
CBOOL(BgL_ivz00_198))
{ /* Llib/block_ciphers.scm 726 */
BgL_auxz00_7343 = 
((obj_t)
CNST_TABLE_REF(0))
; }  else 
{ /* Llib/block_ciphers.scm 726 */
BgL_auxz00_7343 = 
((obj_t)
CNST_TABLE_REF(4))
; } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1223z00_760))->BgL_ivzd2actionzd2)=((obj_t)BgL_auxz00_7343),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1223z00_760))->BgL_ivz00)=((obj_t)BgL_ivz00_198),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1223z00_760))->BgL_padzf2unpadzf2)=((obj_t)BgL_unpadzd2proczd2_744),BUNSPEC); 
{ 
 obj_t BgL_auxz00_7359;
{ /* Llib/block_ciphers.scm 730 */
 long BgL_arg1960z00_761;
BgL_arg1960z00_761 = 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_i1213z00_741))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 730 */

BgL_auxz00_7359 = 
make_string(BgL_arg1960z00_761, ((unsigned char)' ')); } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1223z00_760))->BgL_loopzd2bufferzd2)=((obj_t)BgL_auxz00_7359),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1223z00_760))->BgL_posz00)=((long)0L),BUNSPEC); 
return BgL_new1223z00_760;} } } } } } } } } 

}



/* _encrypt */
obj_t BGl__encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1362z00_214, obj_t BgL_opt1361z00_213)
{
{ /* Llib/block_ciphers.scm 736 */
{ /* Llib/block_ciphers.scm 736 */
 long BgL_l1363z00_814;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_vectorz00_2824;
if(
VECTORP(BgL_opt1361z00_213))
{ /* Llib/block_ciphers.scm 736 */
BgL_vectorz00_2824 = BgL_opt1361z00_213; }  else 
{ 
 obj_t BgL_auxz00_7366;
BgL_auxz00_7366 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1361z00_213); 
FAILURE(BgL_auxz00_7366,BFALSE,BFALSE);} 
BgL_l1363z00_814 = 
VECTOR_LENGTH(BgL_vectorz00_2824); } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_cipherz00_818; obj_t BgL_plainz00_819; obj_t BgL_passwordz00_820;
{ 
 obj_t BgL_auxz00_7371;
if(
VECTORP(BgL_opt1361z00_213))
{ /* Llib/block_ciphers.scm 736 */
BgL_auxz00_7371 = BgL_opt1361z00_213
; }  else 
{ 
 obj_t BgL_auxz00_7374;
BgL_auxz00_7374 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1361z00_213); 
FAILURE(BgL_auxz00_7374,BFALSE,BFALSE);} 
BgL_cipherz00_818 = 
VECTOR_REF(BgL_auxz00_7371,0L); } 
{ 
 obj_t BgL_auxz00_7379;
if(
VECTORP(BgL_opt1361z00_213))
{ /* Llib/block_ciphers.scm 736 */
BgL_auxz00_7379 = BgL_opt1361z00_213
; }  else 
{ 
 obj_t BgL_auxz00_7382;
BgL_auxz00_7382 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1361z00_213); 
FAILURE(BgL_auxz00_7382,BFALSE,BFALSE);} 
BgL_plainz00_819 = 
VECTOR_REF(BgL_auxz00_7379,1L); } 
{ 
 obj_t BgL_auxz00_7387;
if(
VECTORP(BgL_opt1361z00_213))
{ /* Llib/block_ciphers.scm 736 */
BgL_auxz00_7387 = BgL_opt1361z00_213
; }  else 
{ 
 obj_t BgL_auxz00_7390;
BgL_auxz00_7390 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1361z00_213); 
FAILURE(BgL_auxz00_7390,BFALSE,BFALSE);} 
BgL_passwordz00_820 = 
VECTOR_REF(BgL_auxz00_7387,2L); } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_ivz00_821;
BgL_ivz00_821 = BFALSE; 
{ /* Llib/block_ciphers.scm 737 */
 obj_t BgL_modez00_822;
BgL_modez00_822 = 
((obj_t)
CNST_TABLE_REF(6)); 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_noncezd2initz12zc0_823;
BgL_noncezd2initz12zc0_823 = BFALSE; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_noncezd2updatez12zc0_824;
BgL_noncezd2updatez12zc0_824 = BFALSE; 
{ /* Llib/block_ciphers.scm 737 */
 obj_t BgL_padz00_825;
BgL_padz00_825 = 
((obj_t)
CNST_TABLE_REF(11)); 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_stringzd2ze3keyz31_826;
BgL_stringzd2ze3keyz31_826 = BFALSE; 
{ /* Llib/block_ciphers.scm 736 */

{ 
 long BgL_iz00_827;
BgL_iz00_827 = 3L; 
BgL_check1365z00_828:
if(
(BgL_iz00_827==BgL_l1363z00_814))
{ /* Llib/block_ciphers.scm 736 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3970z00_7401;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_arg1993z00_834;
BgL_arg1993z00_834 = 
VECTOR_REF(
((obj_t)BgL_opt1361z00_213),BgL_iz00_827); 
BgL_test3970z00_7401 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1993z00_834, 
((obj_t)
CNST_TABLE_REF(17)))); } 
if(BgL_test3970z00_7401)
{ 
 long BgL_iz00_7408;
BgL_iz00_7408 = 
(BgL_iz00_827+2L); 
BgL_iz00_827 = BgL_iz00_7408; 
goto BgL_check1365z00_828;}  else 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_arg1992z00_833;
BgL_arg1992z00_833 = 
VECTOR_REF(
((obj_t)BgL_opt1361z00_213),BgL_iz00_827); 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(18)), BGl_string3433z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1992z00_833); } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_index1367z00_835;
BgL_index1367z00_835 = 
BGl_search1364ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1363z00_814, BgL_opt1361z00_213, 
((obj_t)
CNST_TABLE_REF(19)), 3L); 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3971z00_7418;
{ /* Llib/block_ciphers.scm 736 */
 long BgL_n1z00_2839;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7419;
if(
INTEGERP(BgL_index1367z00_835))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7419 = BgL_index1367z00_835
; }  else 
{ 
 obj_t BgL_auxz00_7422;
BgL_auxz00_7422 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1367z00_835); 
FAILURE(BgL_auxz00_7422,BFALSE,BFALSE);} 
BgL_n1z00_2839 = 
(long)CINT(BgL_tmpz00_7419); } 
BgL_test3971z00_7418 = 
(BgL_n1z00_2839>=0L); } 
if(BgL_test3971z00_7418)
{ 
 long BgL_auxz00_7435; obj_t BgL_auxz00_7428;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7436;
if(
INTEGERP(BgL_index1367z00_835))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7436 = BgL_index1367z00_835
; }  else 
{ 
 obj_t BgL_auxz00_7439;
BgL_auxz00_7439 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1367z00_835); 
FAILURE(BgL_auxz00_7439,BFALSE,BFALSE);} 
BgL_auxz00_7435 = 
(long)CINT(BgL_tmpz00_7436); } 
if(
VECTORP(BgL_opt1361z00_213))
{ /* Llib/block_ciphers.scm 736 */
BgL_auxz00_7428 = BgL_opt1361z00_213
; }  else 
{ 
 obj_t BgL_auxz00_7431;
BgL_auxz00_7431 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1361z00_213); 
FAILURE(BgL_auxz00_7431,BFALSE,BFALSE);} 
BgL_ivz00_821 = 
VECTOR_REF(BgL_auxz00_7428,BgL_auxz00_7435); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_index1368z00_837;
BgL_index1368z00_837 = 
BGl_search1364ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1363z00_814, BgL_opt1361z00_213, 
((obj_t)
CNST_TABLE_REF(20)), 3L); 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3975z00_7448;
{ /* Llib/block_ciphers.scm 736 */
 long BgL_n1z00_2840;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7449;
if(
INTEGERP(BgL_index1368z00_837))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7449 = BgL_index1368z00_837
; }  else 
{ 
 obj_t BgL_auxz00_7452;
BgL_auxz00_7452 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1368z00_837); 
FAILURE(BgL_auxz00_7452,BFALSE,BFALSE);} 
BgL_n1z00_2840 = 
(long)CINT(BgL_tmpz00_7449); } 
BgL_test3975z00_7448 = 
(BgL_n1z00_2840>=0L); } 
if(BgL_test3975z00_7448)
{ 
 long BgL_auxz00_7465; obj_t BgL_auxz00_7458;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7466;
if(
INTEGERP(BgL_index1368z00_837))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7466 = BgL_index1368z00_837
; }  else 
{ 
 obj_t BgL_auxz00_7469;
BgL_auxz00_7469 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1368z00_837); 
FAILURE(BgL_auxz00_7469,BFALSE,BFALSE);} 
BgL_auxz00_7465 = 
(long)CINT(BgL_tmpz00_7466); } 
if(
VECTORP(BgL_opt1361z00_213))
{ /* Llib/block_ciphers.scm 736 */
BgL_auxz00_7458 = BgL_opt1361z00_213
; }  else 
{ 
 obj_t BgL_auxz00_7461;
BgL_auxz00_7461 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1361z00_213); 
FAILURE(BgL_auxz00_7461,BFALSE,BFALSE);} 
BgL_modez00_822 = 
VECTOR_REF(BgL_auxz00_7458,BgL_auxz00_7465); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_index1369z00_839;
BgL_index1369z00_839 = 
BGl_search1364ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1363z00_814, BgL_opt1361z00_213, 
((obj_t)
CNST_TABLE_REF(21)), 3L); 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3979z00_7478;
{ /* Llib/block_ciphers.scm 736 */
 long BgL_n1z00_2841;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7479;
if(
INTEGERP(BgL_index1369z00_839))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7479 = BgL_index1369z00_839
; }  else 
{ 
 obj_t BgL_auxz00_7482;
BgL_auxz00_7482 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1369z00_839); 
FAILURE(BgL_auxz00_7482,BFALSE,BFALSE);} 
BgL_n1z00_2841 = 
(long)CINT(BgL_tmpz00_7479); } 
BgL_test3979z00_7478 = 
(BgL_n1z00_2841>=0L); } 
if(BgL_test3979z00_7478)
{ 
 long BgL_auxz00_7495; obj_t BgL_auxz00_7488;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7496;
if(
INTEGERP(BgL_index1369z00_839))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7496 = BgL_index1369z00_839
; }  else 
{ 
 obj_t BgL_auxz00_7499;
BgL_auxz00_7499 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1369z00_839); 
FAILURE(BgL_auxz00_7499,BFALSE,BFALSE);} 
BgL_auxz00_7495 = 
(long)CINT(BgL_tmpz00_7496); } 
if(
VECTORP(BgL_opt1361z00_213))
{ /* Llib/block_ciphers.scm 736 */
BgL_auxz00_7488 = BgL_opt1361z00_213
; }  else 
{ 
 obj_t BgL_auxz00_7491;
BgL_auxz00_7491 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1361z00_213); 
FAILURE(BgL_auxz00_7491,BFALSE,BFALSE);} 
BgL_noncezd2initz12zc0_823 = 
VECTOR_REF(BgL_auxz00_7488,BgL_auxz00_7495); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_index1370z00_841;
BgL_index1370z00_841 = 
BGl_search1364ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1363z00_814, BgL_opt1361z00_213, 
((obj_t)
CNST_TABLE_REF(22)), 3L); 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3983z00_7508;
{ /* Llib/block_ciphers.scm 736 */
 long BgL_n1z00_2842;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7509;
if(
INTEGERP(BgL_index1370z00_841))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7509 = BgL_index1370z00_841
; }  else 
{ 
 obj_t BgL_auxz00_7512;
BgL_auxz00_7512 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1370z00_841); 
FAILURE(BgL_auxz00_7512,BFALSE,BFALSE);} 
BgL_n1z00_2842 = 
(long)CINT(BgL_tmpz00_7509); } 
BgL_test3983z00_7508 = 
(BgL_n1z00_2842>=0L); } 
if(BgL_test3983z00_7508)
{ 
 long BgL_auxz00_7525; obj_t BgL_auxz00_7518;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7526;
if(
INTEGERP(BgL_index1370z00_841))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7526 = BgL_index1370z00_841
; }  else 
{ 
 obj_t BgL_auxz00_7529;
BgL_auxz00_7529 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1370z00_841); 
FAILURE(BgL_auxz00_7529,BFALSE,BFALSE);} 
BgL_auxz00_7525 = 
(long)CINT(BgL_tmpz00_7526); } 
if(
VECTORP(BgL_opt1361z00_213))
{ /* Llib/block_ciphers.scm 736 */
BgL_auxz00_7518 = BgL_opt1361z00_213
; }  else 
{ 
 obj_t BgL_auxz00_7521;
BgL_auxz00_7521 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1361z00_213); 
FAILURE(BgL_auxz00_7521,BFALSE,BFALSE);} 
BgL_noncezd2updatez12zc0_824 = 
VECTOR_REF(BgL_auxz00_7518,BgL_auxz00_7525); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_index1371z00_843;
BgL_index1371z00_843 = 
BGl_search1364ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1363z00_814, BgL_opt1361z00_213, 
((obj_t)
CNST_TABLE_REF(23)), 3L); 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3987z00_7538;
{ /* Llib/block_ciphers.scm 736 */
 long BgL_n1z00_2843;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7539;
if(
INTEGERP(BgL_index1371z00_843))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7539 = BgL_index1371z00_843
; }  else 
{ 
 obj_t BgL_auxz00_7542;
BgL_auxz00_7542 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1371z00_843); 
FAILURE(BgL_auxz00_7542,BFALSE,BFALSE);} 
BgL_n1z00_2843 = 
(long)CINT(BgL_tmpz00_7539); } 
BgL_test3987z00_7538 = 
(BgL_n1z00_2843>=0L); } 
if(BgL_test3987z00_7538)
{ 
 long BgL_auxz00_7555; obj_t BgL_auxz00_7548;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7556;
if(
INTEGERP(BgL_index1371z00_843))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7556 = BgL_index1371z00_843
; }  else 
{ 
 obj_t BgL_auxz00_7559;
BgL_auxz00_7559 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1371z00_843); 
FAILURE(BgL_auxz00_7559,BFALSE,BFALSE);} 
BgL_auxz00_7555 = 
(long)CINT(BgL_tmpz00_7556); } 
if(
VECTORP(BgL_opt1361z00_213))
{ /* Llib/block_ciphers.scm 736 */
BgL_auxz00_7548 = BgL_opt1361z00_213
; }  else 
{ 
 obj_t BgL_auxz00_7551;
BgL_auxz00_7551 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1361z00_213); 
FAILURE(BgL_auxz00_7551,BFALSE,BFALSE);} 
BgL_padz00_825 = 
VECTOR_REF(BgL_auxz00_7548,BgL_auxz00_7555); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_index1372z00_845;
BgL_index1372z00_845 = 
BGl_search1364ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1363z00_814, BgL_opt1361z00_213, 
((obj_t)
CNST_TABLE_REF(24)), 3L); 
{ /* Llib/block_ciphers.scm 736 */
 bool_t BgL_test3991z00_7568;
{ /* Llib/block_ciphers.scm 736 */
 long BgL_n1z00_2844;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7569;
if(
INTEGERP(BgL_index1372z00_845))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7569 = BgL_index1372z00_845
; }  else 
{ 
 obj_t BgL_auxz00_7572;
BgL_auxz00_7572 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1372z00_845); 
FAILURE(BgL_auxz00_7572,BFALSE,BFALSE);} 
BgL_n1z00_2844 = 
(long)CINT(BgL_tmpz00_7569); } 
BgL_test3991z00_7568 = 
(BgL_n1z00_2844>=0L); } 
if(BgL_test3991z00_7568)
{ 
 long BgL_auxz00_7585; obj_t BgL_auxz00_7578;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_tmpz00_7586;
if(
INTEGERP(BgL_index1372z00_845))
{ /* Llib/block_ciphers.scm 736 */
BgL_tmpz00_7586 = BgL_index1372z00_845
; }  else 
{ 
 obj_t BgL_auxz00_7589;
BgL_auxz00_7589 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1372z00_845); 
FAILURE(BgL_auxz00_7589,BFALSE,BFALSE);} 
BgL_auxz00_7585 = 
(long)CINT(BgL_tmpz00_7586); } 
if(
VECTORP(BgL_opt1361z00_213))
{ /* Llib/block_ciphers.scm 736 */
BgL_auxz00_7578 = BgL_opt1361z00_213
; }  else 
{ 
 obj_t BgL_auxz00_7581;
BgL_auxz00_7581 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1361z00_213); 
FAILURE(BgL_auxz00_7581,BFALSE,BFALSE);} 
BgL_stringzd2ze3keyz31_826 = 
VECTOR_REF(BgL_auxz00_7578,BgL_auxz00_7585); }  else 
{ /* Llib/block_ciphers.scm 736 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_arg2000z00_847; obj_t BgL_arg2001z00_848; obj_t BgL_arg2002z00_849;
{ 
 obj_t BgL_auxz00_7595;
if(
VECTORP(BgL_opt1361z00_213))
{ /* Llib/block_ciphers.scm 736 */
BgL_auxz00_7595 = BgL_opt1361z00_213
; }  else 
{ 
 obj_t BgL_auxz00_7598;
BgL_auxz00_7598 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1361z00_213); 
FAILURE(BgL_auxz00_7598,BFALSE,BFALSE);} 
BgL_arg2000z00_847 = 
VECTOR_REF(BgL_auxz00_7595,0L); } 
{ 
 obj_t BgL_auxz00_7603;
if(
VECTORP(BgL_opt1361z00_213))
{ /* Llib/block_ciphers.scm 736 */
BgL_auxz00_7603 = BgL_opt1361z00_213
; }  else 
{ 
 obj_t BgL_auxz00_7606;
BgL_auxz00_7606 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1361z00_213); 
FAILURE(BgL_auxz00_7606,BFALSE,BFALSE);} 
BgL_arg2001z00_848 = 
VECTOR_REF(BgL_auxz00_7603,1L); } 
{ 
 obj_t BgL_auxz00_7611;
if(
VECTORP(BgL_opt1361z00_213))
{ /* Llib/block_ciphers.scm 736 */
BgL_auxz00_7611 = BgL_opt1361z00_213
; }  else 
{ 
 obj_t BgL_auxz00_7614;
BgL_auxz00_7614 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1361z00_213); 
FAILURE(BgL_auxz00_7614,BFALSE,BFALSE);} 
BgL_arg2002z00_849 = 
VECTOR_REF(BgL_auxz00_7611,2L); } 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_ivz00_850;
BgL_ivz00_850 = BgL_ivz00_821; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_modez00_851;
BgL_modez00_851 = BgL_modez00_822; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_noncezd2initz12zc0_852;
BgL_noncezd2initz12zc0_852 = BgL_noncezd2initz12zc0_823; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_noncezd2updatez12zc0_853;
BgL_noncezd2updatez12zc0_853 = BgL_noncezd2updatez12zc0_824; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_padz00_854;
BgL_padz00_854 = BgL_padz00_825; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_stringzd2ze3keyz31_855;
BgL_stringzd2ze3keyz31_855 = BgL_stringzd2ze3keyz31_826; 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_res2736z00_2853;
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_cipherz00_2845; obj_t BgL_passwordz00_2846;
if(
SYMBOLP(BgL_arg2000z00_847))
{ /* Llib/block_ciphers.scm 736 */
BgL_cipherz00_2845 = BgL_arg2000z00_847; }  else 
{ 
 obj_t BgL_auxz00_7621;
BgL_auxz00_7621 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3434z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2000z00_847); 
FAILURE(BgL_auxz00_7621,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2002z00_849))
{ /* Llib/block_ciphers.scm 736 */
BgL_passwordz00_2846 = BgL_arg2002z00_849; }  else 
{ 
 obj_t BgL_auxz00_7627;
BgL_auxz00_7627 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(26758L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2002z00_849); 
FAILURE(BgL_auxz00_7627,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 740 */
 obj_t BgL_redirectz00_2847;
if(
STRINGP(BgL_arg2001z00_848))
{ /* Llib/block_ciphers.scm 741 */
BgL_redirectz00_2847 = BGl_encryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 741 */
if(
BGL_MMAPP(BgL_arg2001z00_848))
{ /* Llib/block_ciphers.scm 742 */
BgL_redirectz00_2847 = BGl_encryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
 bool_t BgL_test4002z00_7635;
{ /* Llib/block_ciphers.scm 743 */
 bool_t BgL__ortest_1056z00_2851;
BgL__ortest_1056z00_2851 = 
OUTPUT_PORTP(BgL_arg2001z00_848); 
if(BgL__ortest_1056z00_2851)
{ /* Llib/block_ciphers.scm 743 */
BgL_test4002z00_7635 = BgL__ortest_1056z00_2851
; }  else 
{ /* Llib/block_ciphers.scm 743 */
BgL_test4002z00_7635 = 
INPUT_PORTP(BgL_arg2001z00_848)
; } } 
if(BgL_test4002z00_7635)
{ /* Llib/block_ciphers.scm 743 */
BgL_redirectz00_2847 = BGl_encryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
((obj_t)
CNST_TABLE_REF(25)); 
BgL_redirectz00_2847 = BgL_arg2001z00_848; } } } 
{ /* Llib/block_ciphers.scm 747 */
 obj_t BgL_aux2849z00_5163;
{ /* Llib/block_ciphers.scm 747 */
 obj_t BgL_tmpfunz00_7652;
{ /* Llib/block_ciphers.scm 747 */
 bool_t BgL_test2848z00_5162;
BgL_test2848z00_5162 = 
PROCEDUREP(BgL_redirectz00_2847); 
if(BgL_test2848z00_5162)
{ /* Llib/block_ciphers.scm 747 */
BgL_tmpfunz00_7652 = BgL_redirectz00_2847
; }  else 
{ 
 obj_t BgL_auxz00_7655;
BgL_auxz00_7655 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27169L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3435z00zz__cryptozd2blockzd2ciphersz00, BgL_redirectz00_2847); 
FAILURE(BgL_auxz00_7655,BFALSE,BFALSE);} } 
BgL_aux2849z00_5163 = 
(VA_PROCEDUREP( BgL_tmpfunz00_7652 ) ? ((obj_t (*)(obj_t, ...))PROCEDURE_ENTRY(BgL_tmpfunz00_7652))(BgL_redirectz00_2847, BgL_cipherz00_2845, BgL_arg2001z00_848, BgL_passwordz00_2846, BgL_ivz00_850, BgL_modez00_851, BgL_padz00_854, BgL_noncezd2initz12zc0_852, BgL_noncezd2updatez12zc0_853, BgL_stringzd2ze3keyz31_855, BEOA) : ((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_tmpfunz00_7652))(BgL_redirectz00_2847, BgL_cipherz00_2845, BgL_arg2001z00_848, BgL_passwordz00_2846, BgL_ivz00_850, BgL_modez00_851, BgL_padz00_854, BgL_noncezd2initz12zc0_852, BgL_noncezd2updatez12zc0_853, BgL_stringzd2ze3keyz31_855) ); } 
if(
STRINGP(BgL_aux2849z00_5163))
{ /* Llib/block_ciphers.scm 747 */
BgL_res2736z00_2853 = BgL_aux2849z00_5163; }  else 
{ 
 obj_t BgL_auxz00_7661;
BgL_auxz00_7661 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27169L), BGl_string3431z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_aux2849z00_5163); 
FAILURE(BgL_auxz00_7661,BFALSE,BFALSE);} } } } 
return BgL_res2736z00_2853;} } } } } } } } } } } } } } } } } } 

}



/* search1364~0 */
obj_t BGl_search1364ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1363z00_5108, obj_t BgL_opt1361z00_5107, obj_t BgL_k1z00_815, long BgL_iz00_816)
{
{ /* Llib/block_ciphers.scm 736 */
BGl_search1364ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_816==BgL_l1363z00_5108))
{ /* Llib/block_ciphers.scm 736 */
return 
BINT((-1L));}  else 
{ /* Llib/block_ciphers.scm 736 */
if(
(BgL_iz00_816==
(BgL_l1363z00_5108-1L)))
{ /* Llib/block_ciphers.scm 736 */
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(18)), BGl_string3436z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1361z00_5107)));}  else 
{ /* Llib/block_ciphers.scm 736 */
 obj_t BgL_vz00_860;
BgL_vz00_860 = 
VECTOR_REF(BgL_opt1361z00_5107,BgL_iz00_816); 
if(
(BgL_vz00_860==BgL_k1z00_815))
{ /* Llib/block_ciphers.scm 736 */
return 
BINT(
(BgL_iz00_816+1L));}  else 
{ 
 long BgL_iz00_7681;
BgL_iz00_7681 = 
(BgL_iz00_816+2L); 
BgL_iz00_816 = BgL_iz00_7681; 
goto BGl_search1364ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt */
BGL_EXPORTED_DEF obj_t BGl_encryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_204, obj_t BgL_plaintextz00_205, obj_t BgL_passwordz00_206, obj_t BgL_ivz00_207, obj_t BgL_modez00_208, obj_t BgL_noncezd2initz12zc0_209, obj_t BgL_noncezd2updatez12zc0_210, obj_t BgL_padz00_211, obj_t BgL_stringzd2ze3keyz31_212)
{
{ /* Llib/block_ciphers.scm 736 */
{ /* Llib/block_ciphers.scm 740 */
 obj_t BgL_redirectz00_2854;
if(
STRINGP(BgL_plaintextz00_205))
{ /* Llib/block_ciphers.scm 741 */
BgL_redirectz00_2854 = BGl_encryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 741 */
if(
BGL_MMAPP(BgL_plaintextz00_205))
{ /* Llib/block_ciphers.scm 742 */
BgL_redirectz00_2854 = BGl_encryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
 bool_t BgL_test4011z00_7687;
{ /* Llib/block_ciphers.scm 743 */
 bool_t BgL__ortest_1056z00_2858;
BgL__ortest_1056z00_2858 = 
OUTPUT_PORTP(BgL_plaintextz00_205); 
if(BgL__ortest_1056z00_2858)
{ /* Llib/block_ciphers.scm 743 */
BgL_test4011z00_7687 = BgL__ortest_1056z00_2858
; }  else 
{ /* Llib/block_ciphers.scm 743 */
BgL_test4011z00_7687 = 
INPUT_PORTP(BgL_plaintextz00_205)
; } } 
if(BgL_test4011z00_7687)
{ /* Llib/block_ciphers.scm 743 */
BgL_redirectz00_2854 = BGl_encryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 743 */
((obj_t)
CNST_TABLE_REF(25)); 
BgL_redirectz00_2854 = BgL_plaintextz00_205; } } } 
return 
BGL_PROCEDURE_CALL9(BgL_redirectz00_2854, BgL_cipherz00_204, BgL_plaintextz00_205, BgL_passwordz00_206, BgL_ivz00_207, BgL_modez00_208, BgL_padz00_211, BgL_noncezd2initz12zc0_209, BgL_noncezd2updatez12zc0_210, BgL_stringzd2ze3keyz31_212);} } 

}



/* _encrypt-string */
obj_t BGl__encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1374z00_225, obj_t BgL_opt1373z00_224)
{
{ /* Llib/block_ciphers.scm 750 */
{ /* Llib/block_ciphers.scm 750 */
 long BgL_l1375z00_867;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_vectorz00_2860;
if(
VECTORP(BgL_opt1373z00_224))
{ /* Llib/block_ciphers.scm 750 */
BgL_vectorz00_2860 = BgL_opt1373z00_224; }  else 
{ 
 obj_t BgL_auxz00_7707;
BgL_auxz00_7707 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1373z00_224); 
FAILURE(BgL_auxz00_7707,BFALSE,BFALSE);} 
BgL_l1375z00_867 = 
VECTOR_LENGTH(BgL_vectorz00_2860); } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_cipherz00_871; obj_t BgL_plaintextz00_872; obj_t BgL_passwordz00_873;
{ 
 obj_t BgL_auxz00_7712;
if(
VECTORP(BgL_opt1373z00_224))
{ /* Llib/block_ciphers.scm 750 */
BgL_auxz00_7712 = BgL_opt1373z00_224
; }  else 
{ 
 obj_t BgL_auxz00_7715;
BgL_auxz00_7715 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1373z00_224); 
FAILURE(BgL_auxz00_7715,BFALSE,BFALSE);} 
BgL_cipherz00_871 = 
VECTOR_REF(BgL_auxz00_7712,0L); } 
{ 
 obj_t BgL_auxz00_7720;
if(
VECTORP(BgL_opt1373z00_224))
{ /* Llib/block_ciphers.scm 750 */
BgL_auxz00_7720 = BgL_opt1373z00_224
; }  else 
{ 
 obj_t BgL_auxz00_7723;
BgL_auxz00_7723 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1373z00_224); 
FAILURE(BgL_auxz00_7723,BFALSE,BFALSE);} 
BgL_plaintextz00_872 = 
VECTOR_REF(BgL_auxz00_7720,1L); } 
{ 
 obj_t BgL_auxz00_7728;
if(
VECTORP(BgL_opt1373z00_224))
{ /* Llib/block_ciphers.scm 750 */
BgL_auxz00_7728 = BgL_opt1373z00_224
; }  else 
{ 
 obj_t BgL_auxz00_7731;
BgL_auxz00_7731 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1373z00_224); 
FAILURE(BgL_auxz00_7731,BFALSE,BFALSE);} 
BgL_passwordz00_873 = 
VECTOR_REF(BgL_auxz00_7728,2L); } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_ivz00_874;
BgL_ivz00_874 = BFALSE; 
{ /* Llib/block_ciphers.scm 751 */
 obj_t BgL_modez00_875;
BgL_modez00_875 = 
((obj_t)
CNST_TABLE_REF(6)); 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_noncezd2initz12zc0_876;
BgL_noncezd2initz12zc0_876 = BFALSE; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_noncezd2updatez12zc0_877;
BgL_noncezd2updatez12zc0_877 = BFALSE; 
{ /* Llib/block_ciphers.scm 752 */
 obj_t BgL_padz00_878;
BgL_padz00_878 = 
((obj_t)
CNST_TABLE_REF(11)); 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_stringzd2ze3keyz31_879;
BgL_stringzd2ze3keyz31_879 = BFALSE; 
{ /* Llib/block_ciphers.scm 750 */

{ 
 long BgL_iz00_880;
BgL_iz00_880 = 3L; 
BgL_check1377z00_881:
if(
(BgL_iz00_880==BgL_l1375z00_867))
{ /* Llib/block_ciphers.scm 750 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test4018z00_7742;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_arg2017z00_887;
BgL_arg2017z00_887 = 
VECTOR_REF(
((obj_t)BgL_opt1373z00_224),BgL_iz00_880); 
BgL_test4018z00_7742 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2017z00_887, 
((obj_t)
CNST_TABLE_REF(17)))); } 
if(BgL_test4018z00_7742)
{ 
 long BgL_iz00_7749;
BgL_iz00_7749 = 
(BgL_iz00_880+2L); 
BgL_iz00_880 = BgL_iz00_7749; 
goto BgL_check1377z00_881;}  else 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_arg2016z00_886;
BgL_arg2016z00_886 = 
VECTOR_REF(
((obj_t)BgL_opt1373z00_224),BgL_iz00_880); 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(26)), BGl_string3433z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2016z00_886); } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_index1379z00_888;
BgL_index1379z00_888 = 
BGl_search1376ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1375z00_867, BgL_opt1373z00_224, 
((obj_t)
CNST_TABLE_REF(19)), 3L); 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test4019z00_7759;
{ /* Llib/block_ciphers.scm 750 */
 long BgL_n1z00_2875;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7760;
if(
INTEGERP(BgL_index1379z00_888))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7760 = BgL_index1379z00_888
; }  else 
{ 
 obj_t BgL_auxz00_7763;
BgL_auxz00_7763 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1379z00_888); 
FAILURE(BgL_auxz00_7763,BFALSE,BFALSE);} 
BgL_n1z00_2875 = 
(long)CINT(BgL_tmpz00_7760); } 
BgL_test4019z00_7759 = 
(BgL_n1z00_2875>=0L); } 
if(BgL_test4019z00_7759)
{ 
 long BgL_auxz00_7776; obj_t BgL_auxz00_7769;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7777;
if(
INTEGERP(BgL_index1379z00_888))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7777 = BgL_index1379z00_888
; }  else 
{ 
 obj_t BgL_auxz00_7780;
BgL_auxz00_7780 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1379z00_888); 
FAILURE(BgL_auxz00_7780,BFALSE,BFALSE);} 
BgL_auxz00_7776 = 
(long)CINT(BgL_tmpz00_7777); } 
if(
VECTORP(BgL_opt1373z00_224))
{ /* Llib/block_ciphers.scm 750 */
BgL_auxz00_7769 = BgL_opt1373z00_224
; }  else 
{ 
 obj_t BgL_auxz00_7772;
BgL_auxz00_7772 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1373z00_224); 
FAILURE(BgL_auxz00_7772,BFALSE,BFALSE);} 
BgL_ivz00_874 = 
VECTOR_REF(BgL_auxz00_7769,BgL_auxz00_7776); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_index1380z00_890;
BgL_index1380z00_890 = 
BGl_search1376ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1375z00_867, BgL_opt1373z00_224, 
((obj_t)
CNST_TABLE_REF(20)), 3L); 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test4023z00_7789;
{ /* Llib/block_ciphers.scm 750 */
 long BgL_n1z00_2876;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7790;
if(
INTEGERP(BgL_index1380z00_890))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7790 = BgL_index1380z00_890
; }  else 
{ 
 obj_t BgL_auxz00_7793;
BgL_auxz00_7793 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1380z00_890); 
FAILURE(BgL_auxz00_7793,BFALSE,BFALSE);} 
BgL_n1z00_2876 = 
(long)CINT(BgL_tmpz00_7790); } 
BgL_test4023z00_7789 = 
(BgL_n1z00_2876>=0L); } 
if(BgL_test4023z00_7789)
{ 
 long BgL_auxz00_7806; obj_t BgL_auxz00_7799;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7807;
if(
INTEGERP(BgL_index1380z00_890))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7807 = BgL_index1380z00_890
; }  else 
{ 
 obj_t BgL_auxz00_7810;
BgL_auxz00_7810 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1380z00_890); 
FAILURE(BgL_auxz00_7810,BFALSE,BFALSE);} 
BgL_auxz00_7806 = 
(long)CINT(BgL_tmpz00_7807); } 
if(
VECTORP(BgL_opt1373z00_224))
{ /* Llib/block_ciphers.scm 750 */
BgL_auxz00_7799 = BgL_opt1373z00_224
; }  else 
{ 
 obj_t BgL_auxz00_7802;
BgL_auxz00_7802 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1373z00_224); 
FAILURE(BgL_auxz00_7802,BFALSE,BFALSE);} 
BgL_modez00_875 = 
VECTOR_REF(BgL_auxz00_7799,BgL_auxz00_7806); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_index1381z00_892;
BgL_index1381z00_892 = 
BGl_search1376ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1375z00_867, BgL_opt1373z00_224, 
((obj_t)
CNST_TABLE_REF(21)), 3L); 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test4027z00_7819;
{ /* Llib/block_ciphers.scm 750 */
 long BgL_n1z00_2877;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7820;
if(
INTEGERP(BgL_index1381z00_892))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7820 = BgL_index1381z00_892
; }  else 
{ 
 obj_t BgL_auxz00_7823;
BgL_auxz00_7823 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1381z00_892); 
FAILURE(BgL_auxz00_7823,BFALSE,BFALSE);} 
BgL_n1z00_2877 = 
(long)CINT(BgL_tmpz00_7820); } 
BgL_test4027z00_7819 = 
(BgL_n1z00_2877>=0L); } 
if(BgL_test4027z00_7819)
{ 
 long BgL_auxz00_7836; obj_t BgL_auxz00_7829;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7837;
if(
INTEGERP(BgL_index1381z00_892))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7837 = BgL_index1381z00_892
; }  else 
{ 
 obj_t BgL_auxz00_7840;
BgL_auxz00_7840 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1381z00_892); 
FAILURE(BgL_auxz00_7840,BFALSE,BFALSE);} 
BgL_auxz00_7836 = 
(long)CINT(BgL_tmpz00_7837); } 
if(
VECTORP(BgL_opt1373z00_224))
{ /* Llib/block_ciphers.scm 750 */
BgL_auxz00_7829 = BgL_opt1373z00_224
; }  else 
{ 
 obj_t BgL_auxz00_7832;
BgL_auxz00_7832 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1373z00_224); 
FAILURE(BgL_auxz00_7832,BFALSE,BFALSE);} 
BgL_noncezd2initz12zc0_876 = 
VECTOR_REF(BgL_auxz00_7829,BgL_auxz00_7836); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_index1382z00_894;
BgL_index1382z00_894 = 
BGl_search1376ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1375z00_867, BgL_opt1373z00_224, 
((obj_t)
CNST_TABLE_REF(22)), 3L); 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test4031z00_7849;
{ /* Llib/block_ciphers.scm 750 */
 long BgL_n1z00_2878;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7850;
if(
INTEGERP(BgL_index1382z00_894))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7850 = BgL_index1382z00_894
; }  else 
{ 
 obj_t BgL_auxz00_7853;
BgL_auxz00_7853 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1382z00_894); 
FAILURE(BgL_auxz00_7853,BFALSE,BFALSE);} 
BgL_n1z00_2878 = 
(long)CINT(BgL_tmpz00_7850); } 
BgL_test4031z00_7849 = 
(BgL_n1z00_2878>=0L); } 
if(BgL_test4031z00_7849)
{ 
 long BgL_auxz00_7866; obj_t BgL_auxz00_7859;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7867;
if(
INTEGERP(BgL_index1382z00_894))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7867 = BgL_index1382z00_894
; }  else 
{ 
 obj_t BgL_auxz00_7870;
BgL_auxz00_7870 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1382z00_894); 
FAILURE(BgL_auxz00_7870,BFALSE,BFALSE);} 
BgL_auxz00_7866 = 
(long)CINT(BgL_tmpz00_7867); } 
if(
VECTORP(BgL_opt1373z00_224))
{ /* Llib/block_ciphers.scm 750 */
BgL_auxz00_7859 = BgL_opt1373z00_224
; }  else 
{ 
 obj_t BgL_auxz00_7862;
BgL_auxz00_7862 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1373z00_224); 
FAILURE(BgL_auxz00_7862,BFALSE,BFALSE);} 
BgL_noncezd2updatez12zc0_877 = 
VECTOR_REF(BgL_auxz00_7859,BgL_auxz00_7866); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_index1383z00_896;
BgL_index1383z00_896 = 
BGl_search1376ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1375z00_867, BgL_opt1373z00_224, 
((obj_t)
CNST_TABLE_REF(23)), 3L); 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test4035z00_7879;
{ /* Llib/block_ciphers.scm 750 */
 long BgL_n1z00_2879;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7880;
if(
INTEGERP(BgL_index1383z00_896))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7880 = BgL_index1383z00_896
; }  else 
{ 
 obj_t BgL_auxz00_7883;
BgL_auxz00_7883 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1383z00_896); 
FAILURE(BgL_auxz00_7883,BFALSE,BFALSE);} 
BgL_n1z00_2879 = 
(long)CINT(BgL_tmpz00_7880); } 
BgL_test4035z00_7879 = 
(BgL_n1z00_2879>=0L); } 
if(BgL_test4035z00_7879)
{ 
 long BgL_auxz00_7896; obj_t BgL_auxz00_7889;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7897;
if(
INTEGERP(BgL_index1383z00_896))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7897 = BgL_index1383z00_896
; }  else 
{ 
 obj_t BgL_auxz00_7900;
BgL_auxz00_7900 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1383z00_896); 
FAILURE(BgL_auxz00_7900,BFALSE,BFALSE);} 
BgL_auxz00_7896 = 
(long)CINT(BgL_tmpz00_7897); } 
if(
VECTORP(BgL_opt1373z00_224))
{ /* Llib/block_ciphers.scm 750 */
BgL_auxz00_7889 = BgL_opt1373z00_224
; }  else 
{ 
 obj_t BgL_auxz00_7892;
BgL_auxz00_7892 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1373z00_224); 
FAILURE(BgL_auxz00_7892,BFALSE,BFALSE);} 
BgL_padz00_878 = 
VECTOR_REF(BgL_auxz00_7889,BgL_auxz00_7896); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_index1384z00_898;
BgL_index1384z00_898 = 
BGl_search1376ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1375z00_867, BgL_opt1373z00_224, 
((obj_t)
CNST_TABLE_REF(24)), 3L); 
{ /* Llib/block_ciphers.scm 750 */
 bool_t BgL_test4039z00_7909;
{ /* Llib/block_ciphers.scm 750 */
 long BgL_n1z00_2880;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7910;
if(
INTEGERP(BgL_index1384z00_898))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7910 = BgL_index1384z00_898
; }  else 
{ 
 obj_t BgL_auxz00_7913;
BgL_auxz00_7913 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1384z00_898); 
FAILURE(BgL_auxz00_7913,BFALSE,BFALSE);} 
BgL_n1z00_2880 = 
(long)CINT(BgL_tmpz00_7910); } 
BgL_test4039z00_7909 = 
(BgL_n1z00_2880>=0L); } 
if(BgL_test4039z00_7909)
{ 
 long BgL_auxz00_7926; obj_t BgL_auxz00_7919;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_tmpz00_7927;
if(
INTEGERP(BgL_index1384z00_898))
{ /* Llib/block_ciphers.scm 750 */
BgL_tmpz00_7927 = BgL_index1384z00_898
; }  else 
{ 
 obj_t BgL_auxz00_7930;
BgL_auxz00_7930 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1384z00_898); 
FAILURE(BgL_auxz00_7930,BFALSE,BFALSE);} 
BgL_auxz00_7926 = 
(long)CINT(BgL_tmpz00_7927); } 
if(
VECTORP(BgL_opt1373z00_224))
{ /* Llib/block_ciphers.scm 750 */
BgL_auxz00_7919 = BgL_opt1373z00_224
; }  else 
{ 
 obj_t BgL_auxz00_7922;
BgL_auxz00_7922 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1373z00_224); 
FAILURE(BgL_auxz00_7922,BFALSE,BFALSE);} 
BgL_stringzd2ze3keyz31_879 = 
VECTOR_REF(BgL_auxz00_7919,BgL_auxz00_7926); }  else 
{ /* Llib/block_ciphers.scm 750 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_arg2024z00_900; obj_t BgL_arg2025z00_901; obj_t BgL_arg2026z00_902;
{ 
 obj_t BgL_auxz00_7936;
if(
VECTORP(BgL_opt1373z00_224))
{ /* Llib/block_ciphers.scm 750 */
BgL_auxz00_7936 = BgL_opt1373z00_224
; }  else 
{ 
 obj_t BgL_auxz00_7939;
BgL_auxz00_7939 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1373z00_224); 
FAILURE(BgL_auxz00_7939,BFALSE,BFALSE);} 
BgL_arg2024z00_900 = 
VECTOR_REF(BgL_auxz00_7936,0L); } 
{ 
 obj_t BgL_auxz00_7944;
if(
VECTORP(BgL_opt1373z00_224))
{ /* Llib/block_ciphers.scm 750 */
BgL_auxz00_7944 = BgL_opt1373z00_224
; }  else 
{ 
 obj_t BgL_auxz00_7947;
BgL_auxz00_7947 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1373z00_224); 
FAILURE(BgL_auxz00_7947,BFALSE,BFALSE);} 
BgL_arg2025z00_901 = 
VECTOR_REF(BgL_auxz00_7944,1L); } 
{ 
 obj_t BgL_auxz00_7952;
if(
VECTORP(BgL_opt1373z00_224))
{ /* Llib/block_ciphers.scm 750 */
BgL_auxz00_7952 = BgL_opt1373z00_224
; }  else 
{ 
 obj_t BgL_auxz00_7955;
BgL_auxz00_7955 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1373z00_224); 
FAILURE(BgL_auxz00_7955,BFALSE,BFALSE);} 
BgL_arg2026z00_902 = 
VECTOR_REF(BgL_auxz00_7952,2L); } 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_ivz00_903;
BgL_ivz00_903 = BgL_ivz00_874; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_modez00_904;
BgL_modez00_904 = BgL_modez00_875; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_noncezd2initz12zc0_905;
BgL_noncezd2initz12zc0_905 = BgL_noncezd2initz12zc0_876; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_noncezd2updatez12zc0_906;
BgL_noncezd2updatez12zc0_906 = BgL_noncezd2updatez12zc0_877; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_padz00_907;
BgL_padz00_907 = BgL_padz00_878; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_stringzd2ze3keyz31_908;
BgL_stringzd2ze3keyz31_908 = BgL_stringzd2ze3keyz31_879; 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_res2738z00_2884;
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_cipherz00_2881; obj_t BgL_plaintextz00_2882; obj_t BgL_passwordz00_2883;
if(
SYMBOLP(BgL_arg2024z00_900))
{ /* Llib/block_ciphers.scm 750 */
BgL_cipherz00_2881 = BgL_arg2024z00_900; }  else 
{ 
 obj_t BgL_auxz00_7962;
BgL_auxz00_7962 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3434z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2024z00_900); 
FAILURE(BgL_auxz00_7962,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2025z00_901))
{ /* Llib/block_ciphers.scm 750 */
BgL_plaintextz00_2882 = BgL_arg2025z00_901; }  else 
{ 
 obj_t BgL_auxz00_7968;
BgL_auxz00_7968 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2025z00_901); 
FAILURE(BgL_auxz00_7968,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2026z00_902))
{ /* Llib/block_ciphers.scm 750 */
BgL_passwordz00_2883 = BgL_arg2026z00_902; }  else 
{ 
 obj_t BgL_auxz00_7974;
BgL_auxz00_7974 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27261L), BGl_string3437z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2026z00_902); 
FAILURE(BgL_auxz00_7974,BFALSE,BFALSE);} 
BgL_res2738z00_2884 = 
BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_2881, BgL_plaintextz00_2882, BgL_passwordz00_2883, BgL_ivz00_903, BgL_modez00_904, BgL_padz00_907, BgL_noncezd2initz12zc0_905, BgL_noncezd2updatez12zc0_906, BgL_stringzd2ze3keyz31_908); } 
return BgL_res2738z00_2884;} } } } } } } } } } } } } } } } } } 

}



/* search1376~0 */
obj_t BGl_search1376ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1375z00_5106, obj_t BgL_opt1373z00_5105, obj_t BgL_k1z00_868, long BgL_iz00_869)
{
{ /* Llib/block_ciphers.scm 750 */
BGl_search1376ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_869==BgL_l1375z00_5106))
{ /* Llib/block_ciphers.scm 750 */
return 
BINT((-1L));}  else 
{ /* Llib/block_ciphers.scm 750 */
if(
(BgL_iz00_869==
(BgL_l1375z00_5106-1L)))
{ /* Llib/block_ciphers.scm 750 */
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(26)), BGl_string3436z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1373z00_5105)));}  else 
{ /* Llib/block_ciphers.scm 750 */
 obj_t BgL_vz00_913;
BgL_vz00_913 = 
VECTOR_REF(BgL_opt1373z00_5105,BgL_iz00_869); 
if(
(BgL_vz00_913==BgL_k1z00_868))
{ /* Llib/block_ciphers.scm 750 */
return 
BINT(
(BgL_iz00_869+1L));}  else 
{ 
 long BgL_iz00_7995;
BgL_iz00_7995 = 
(BgL_iz00_869+2L); 
BgL_iz00_869 = BgL_iz00_7995; 
goto BGl_search1376ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt-string */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_215, obj_t BgL_plaintextz00_216, obj_t BgL_passwordz00_217, obj_t BgL_ivz00_218, obj_t BgL_modez00_219, obj_t BgL_noncezd2initz12zc0_220, obj_t BgL_noncezd2updatez12zc0_221, obj_t BgL_padz00_222, obj_t BgL_stringzd2ze3keyz31_223)
{
{ /* Llib/block_ciphers.scm 750 */
{ /* Llib/block_ciphers.scm 765 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_2886;
BgL_statez00_2886 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_215, BgL_passwordz00_217, BgL_ivz00_218, BgL_modez00_219, BgL_padz00_222, BgL_noncezd2initz12zc0_220, BgL_noncezd2updatez12zc0_221, BgL_stringzd2ze3keyz31_223); 
{ /* Llib/block_ciphers.scm 765 */
 long BgL_blockzd2siza7ez75_2887;
BgL_blockzd2siza7ez75_2887 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_2886))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 768 */
 obj_t BgL_strz00_2889;
{ /* Llib/block_ciphers.scm 770 */
 long BgL_arg2034z00_2890;
BgL_arg2034z00_2890 = 
(
(2L*BgL_blockzd2siza7ez75_2887)+
STRING_LENGTH(BgL_plaintextz00_216)); 
{ /* Llib/block_ciphers.scm 770 */

BgL_strz00_2889 = 
make_string(BgL_arg2034z00_2890, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 770 */

{ /* Llib/block_ciphers.scm 771 */
 long BgL_tmpz00_8003;
BgL_tmpz00_8003 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_2886, BgL_plaintextz00_216, 0L, BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_2889, 0L, BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_2889, BgL_tmpz00_8003);} } } } } } 

}



/* encrypt-fast-string */
obj_t BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_226, obj_t BgL_plaintextz00_227, obj_t BgL_passwordz00_228, obj_t BgL_ivz00_229, obj_t BgL_modez00_230, obj_t BgL_padz00_231, obj_t BgL_noncezd2initz12zc0_232, obj_t BgL_noncezd2updatez12zc0_233, obj_t BgL_stringzd2ze3keyz31_234)
{
{ /* Llib/block_ciphers.scm 759 */
{ /* Llib/block_ciphers.scm 765 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_2903;
BgL_statez00_2903 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_226, BgL_passwordz00_228, BgL_ivz00_229, BgL_modez00_230, BgL_padz00_231, BgL_noncezd2initz12zc0_232, BgL_noncezd2updatez12zc0_233, BgL_stringzd2ze3keyz31_234); 
{ /* Llib/block_ciphers.scm 765 */
 long BgL_blockzd2siza7ez75_2904;
BgL_blockzd2siza7ez75_2904 = 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_2903))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 768 */
 obj_t BgL_strz00_2906;
{ /* Llib/block_ciphers.scm 770 */
 long BgL_arg2034z00_2907;
BgL_arg2034z00_2907 = 
(
(2L*BgL_blockzd2siza7ez75_2904)+
STRING_LENGTH(BgL_plaintextz00_227)); 
{ /* Llib/block_ciphers.scm 770 */

BgL_strz00_2906 = 
make_string(BgL_arg2034z00_2907, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 770 */

{ /* Llib/block_ciphers.scm 771 */
 long BgL_tmpz00_8012;
BgL_tmpz00_8012 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_2903, BgL_plaintextz00_227, 0L, BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_2906, 0L, BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_2906, BgL_tmpz00_8012);} } } } } } 

}



/* &encrypt-fast-string */
obj_t BGl_z62encryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4417, obj_t BgL_cipherz00_4418, obj_t BgL_plaintextz00_4419, obj_t BgL_passwordz00_4420, obj_t BgL_ivz00_4421, obj_t BgL_modez00_4422, obj_t BgL_padz00_4423, obj_t BgL_noncezd2initz12zc0_4424, obj_t BgL_noncezd2updatez12zc0_4425, obj_t BgL_stringzd2ze3keyz31_4426)
{
{ /* Llib/block_ciphers.scm 759 */
{ /* Llib/block_ciphers.scm 765 */
 obj_t BgL_auxz00_8015;
if(
STRINGP(BgL_plaintextz00_4419))
{ /* Llib/block_ciphers.scm 765 */
BgL_auxz00_8015 = BgL_plaintextz00_4419
; }  else 
{ 
 obj_t BgL_auxz00_8018;
BgL_auxz00_8018 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(27779L), BGl_string3438z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_plaintextz00_4419); 
FAILURE(BgL_auxz00_8018,BFALSE,BFALSE);} 
return 
BGl_encryptzd2fastzd2stringz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4418, BgL_auxz00_8015, BgL_passwordz00_4420, BgL_ivz00_4421, BgL_modez00_4422, BgL_padz00_4423, BgL_noncezd2initz12zc0_4424, BgL_noncezd2updatez12zc0_4425, BgL_stringzd2ze3keyz31_4426);} } 

}



/* _encrypt-mmap */
obj_t BGl__encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1386z00_245, obj_t BgL_opt1385z00_244)
{
{ /* Llib/block_ciphers.scm 776 */
{ /* Llib/block_ciphers.scm 776 */
 long BgL_l1387z00_926;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_vectorz00_2920;
if(
VECTORP(BgL_opt1385z00_244))
{ /* Llib/block_ciphers.scm 776 */
BgL_vectorz00_2920 = BgL_opt1385z00_244; }  else 
{ 
 obj_t BgL_auxz00_8025;
BgL_auxz00_8025 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1385z00_244); 
FAILURE(BgL_auxz00_8025,BFALSE,BFALSE);} 
BgL_l1387z00_926 = 
VECTOR_LENGTH(BgL_vectorz00_2920); } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_cipherz00_930; obj_t BgL_plaintextz00_931; obj_t BgL_passwordz00_932;
{ 
 obj_t BgL_auxz00_8030;
if(
VECTORP(BgL_opt1385z00_244))
{ /* Llib/block_ciphers.scm 776 */
BgL_auxz00_8030 = BgL_opt1385z00_244
; }  else 
{ 
 obj_t BgL_auxz00_8033;
BgL_auxz00_8033 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1385z00_244); 
FAILURE(BgL_auxz00_8033,BFALSE,BFALSE);} 
BgL_cipherz00_930 = 
VECTOR_REF(BgL_auxz00_8030,0L); } 
{ 
 obj_t BgL_auxz00_8038;
if(
VECTORP(BgL_opt1385z00_244))
{ /* Llib/block_ciphers.scm 776 */
BgL_auxz00_8038 = BgL_opt1385z00_244
; }  else 
{ 
 obj_t BgL_auxz00_8041;
BgL_auxz00_8041 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1385z00_244); 
FAILURE(BgL_auxz00_8041,BFALSE,BFALSE);} 
BgL_plaintextz00_931 = 
VECTOR_REF(BgL_auxz00_8038,1L); } 
{ 
 obj_t BgL_auxz00_8046;
if(
VECTORP(BgL_opt1385z00_244))
{ /* Llib/block_ciphers.scm 776 */
BgL_auxz00_8046 = BgL_opt1385z00_244
; }  else 
{ 
 obj_t BgL_auxz00_8049;
BgL_auxz00_8049 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1385z00_244); 
FAILURE(BgL_auxz00_8049,BFALSE,BFALSE);} 
BgL_passwordz00_932 = 
VECTOR_REF(BgL_auxz00_8046,2L); } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_ivz00_933;
BgL_ivz00_933 = BFALSE; 
{ /* Llib/block_ciphers.scm 777 */
 obj_t BgL_modez00_934;
BgL_modez00_934 = 
((obj_t)
CNST_TABLE_REF(6)); 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_noncezd2initz12zc0_935;
BgL_noncezd2initz12zc0_935 = BFALSE; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_noncezd2updatez12zc0_936;
BgL_noncezd2updatez12zc0_936 = BFALSE; 
{ /* Llib/block_ciphers.scm 777 */
 obj_t BgL_padz00_937;
BgL_padz00_937 = 
((obj_t)
CNST_TABLE_REF(11)); 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_stringzd2ze3keyz31_938;
BgL_stringzd2ze3keyz31_938 = BFALSE; 
{ /* Llib/block_ciphers.scm 776 */

{ 
 long BgL_iz00_939;
BgL_iz00_939 = 3L; 
BgL_check1389z00_940:
if(
(BgL_iz00_939==BgL_l1387z00_926))
{ /* Llib/block_ciphers.scm 776 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test4058z00_8060;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_arg2042z00_946;
BgL_arg2042z00_946 = 
VECTOR_REF(
((obj_t)BgL_opt1385z00_244),BgL_iz00_939); 
BgL_test4058z00_8060 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2042z00_946, 
((obj_t)
CNST_TABLE_REF(17)))); } 
if(BgL_test4058z00_8060)
{ 
 long BgL_iz00_8067;
BgL_iz00_8067 = 
(BgL_iz00_939+2L); 
BgL_iz00_939 = BgL_iz00_8067; 
goto BgL_check1389z00_940;}  else 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_arg2041z00_945;
BgL_arg2041z00_945 = 
VECTOR_REF(
((obj_t)BgL_opt1385z00_244),BgL_iz00_939); 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(27)), BGl_string3433z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2041z00_945); } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_index1391z00_947;
BgL_index1391z00_947 = 
BGl_search1388ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1387z00_926, BgL_opt1385z00_244, 
((obj_t)
CNST_TABLE_REF(19)), 3L); 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test4059z00_8077;
{ /* Llib/block_ciphers.scm 776 */
 long BgL_n1z00_2935;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_8078;
if(
INTEGERP(BgL_index1391z00_947))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8078 = BgL_index1391z00_947
; }  else 
{ 
 obj_t BgL_auxz00_8081;
BgL_auxz00_8081 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1391z00_947); 
FAILURE(BgL_auxz00_8081,BFALSE,BFALSE);} 
BgL_n1z00_2935 = 
(long)CINT(BgL_tmpz00_8078); } 
BgL_test4059z00_8077 = 
(BgL_n1z00_2935>=0L); } 
if(BgL_test4059z00_8077)
{ 
 long BgL_auxz00_8094; obj_t BgL_auxz00_8087;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_8095;
if(
INTEGERP(BgL_index1391z00_947))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8095 = BgL_index1391z00_947
; }  else 
{ 
 obj_t BgL_auxz00_8098;
BgL_auxz00_8098 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1391z00_947); 
FAILURE(BgL_auxz00_8098,BFALSE,BFALSE);} 
BgL_auxz00_8094 = 
(long)CINT(BgL_tmpz00_8095); } 
if(
VECTORP(BgL_opt1385z00_244))
{ /* Llib/block_ciphers.scm 776 */
BgL_auxz00_8087 = BgL_opt1385z00_244
; }  else 
{ 
 obj_t BgL_auxz00_8090;
BgL_auxz00_8090 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1385z00_244); 
FAILURE(BgL_auxz00_8090,BFALSE,BFALSE);} 
BgL_ivz00_933 = 
VECTOR_REF(BgL_auxz00_8087,BgL_auxz00_8094); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_index1392z00_949;
BgL_index1392z00_949 = 
BGl_search1388ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1387z00_926, BgL_opt1385z00_244, 
((obj_t)
CNST_TABLE_REF(20)), 3L); 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test4063z00_8107;
{ /* Llib/block_ciphers.scm 776 */
 long BgL_n1z00_2936;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_8108;
if(
INTEGERP(BgL_index1392z00_949))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8108 = BgL_index1392z00_949
; }  else 
{ 
 obj_t BgL_auxz00_8111;
BgL_auxz00_8111 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1392z00_949); 
FAILURE(BgL_auxz00_8111,BFALSE,BFALSE);} 
BgL_n1z00_2936 = 
(long)CINT(BgL_tmpz00_8108); } 
BgL_test4063z00_8107 = 
(BgL_n1z00_2936>=0L); } 
if(BgL_test4063z00_8107)
{ 
 long BgL_auxz00_8124; obj_t BgL_auxz00_8117;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_8125;
if(
INTEGERP(BgL_index1392z00_949))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8125 = BgL_index1392z00_949
; }  else 
{ 
 obj_t BgL_auxz00_8128;
BgL_auxz00_8128 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1392z00_949); 
FAILURE(BgL_auxz00_8128,BFALSE,BFALSE);} 
BgL_auxz00_8124 = 
(long)CINT(BgL_tmpz00_8125); } 
if(
VECTORP(BgL_opt1385z00_244))
{ /* Llib/block_ciphers.scm 776 */
BgL_auxz00_8117 = BgL_opt1385z00_244
; }  else 
{ 
 obj_t BgL_auxz00_8120;
BgL_auxz00_8120 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1385z00_244); 
FAILURE(BgL_auxz00_8120,BFALSE,BFALSE);} 
BgL_modez00_934 = 
VECTOR_REF(BgL_auxz00_8117,BgL_auxz00_8124); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_index1393z00_951;
BgL_index1393z00_951 = 
BGl_search1388ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1387z00_926, BgL_opt1385z00_244, 
((obj_t)
CNST_TABLE_REF(21)), 3L); 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test4067z00_8137;
{ /* Llib/block_ciphers.scm 776 */
 long BgL_n1z00_2937;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_8138;
if(
INTEGERP(BgL_index1393z00_951))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8138 = BgL_index1393z00_951
; }  else 
{ 
 obj_t BgL_auxz00_8141;
BgL_auxz00_8141 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1393z00_951); 
FAILURE(BgL_auxz00_8141,BFALSE,BFALSE);} 
BgL_n1z00_2937 = 
(long)CINT(BgL_tmpz00_8138); } 
BgL_test4067z00_8137 = 
(BgL_n1z00_2937>=0L); } 
if(BgL_test4067z00_8137)
{ 
 long BgL_auxz00_8154; obj_t BgL_auxz00_8147;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_8155;
if(
INTEGERP(BgL_index1393z00_951))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8155 = BgL_index1393z00_951
; }  else 
{ 
 obj_t BgL_auxz00_8158;
BgL_auxz00_8158 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1393z00_951); 
FAILURE(BgL_auxz00_8158,BFALSE,BFALSE);} 
BgL_auxz00_8154 = 
(long)CINT(BgL_tmpz00_8155); } 
if(
VECTORP(BgL_opt1385z00_244))
{ /* Llib/block_ciphers.scm 776 */
BgL_auxz00_8147 = BgL_opt1385z00_244
; }  else 
{ 
 obj_t BgL_auxz00_8150;
BgL_auxz00_8150 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1385z00_244); 
FAILURE(BgL_auxz00_8150,BFALSE,BFALSE);} 
BgL_noncezd2initz12zc0_935 = 
VECTOR_REF(BgL_auxz00_8147,BgL_auxz00_8154); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_index1394z00_953;
BgL_index1394z00_953 = 
BGl_search1388ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1387z00_926, BgL_opt1385z00_244, 
((obj_t)
CNST_TABLE_REF(22)), 3L); 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test4071z00_8167;
{ /* Llib/block_ciphers.scm 776 */
 long BgL_n1z00_2938;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_8168;
if(
INTEGERP(BgL_index1394z00_953))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8168 = BgL_index1394z00_953
; }  else 
{ 
 obj_t BgL_auxz00_8171;
BgL_auxz00_8171 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1394z00_953); 
FAILURE(BgL_auxz00_8171,BFALSE,BFALSE);} 
BgL_n1z00_2938 = 
(long)CINT(BgL_tmpz00_8168); } 
BgL_test4071z00_8167 = 
(BgL_n1z00_2938>=0L); } 
if(BgL_test4071z00_8167)
{ 
 long BgL_auxz00_8184; obj_t BgL_auxz00_8177;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_8185;
if(
INTEGERP(BgL_index1394z00_953))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8185 = BgL_index1394z00_953
; }  else 
{ 
 obj_t BgL_auxz00_8188;
BgL_auxz00_8188 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1394z00_953); 
FAILURE(BgL_auxz00_8188,BFALSE,BFALSE);} 
BgL_auxz00_8184 = 
(long)CINT(BgL_tmpz00_8185); } 
if(
VECTORP(BgL_opt1385z00_244))
{ /* Llib/block_ciphers.scm 776 */
BgL_auxz00_8177 = BgL_opt1385z00_244
; }  else 
{ 
 obj_t BgL_auxz00_8180;
BgL_auxz00_8180 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1385z00_244); 
FAILURE(BgL_auxz00_8180,BFALSE,BFALSE);} 
BgL_noncezd2updatez12zc0_936 = 
VECTOR_REF(BgL_auxz00_8177,BgL_auxz00_8184); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_index1395z00_955;
BgL_index1395z00_955 = 
BGl_search1388ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1387z00_926, BgL_opt1385z00_244, 
((obj_t)
CNST_TABLE_REF(23)), 3L); 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test4075z00_8197;
{ /* Llib/block_ciphers.scm 776 */
 long BgL_n1z00_2939;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_8198;
if(
INTEGERP(BgL_index1395z00_955))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8198 = BgL_index1395z00_955
; }  else 
{ 
 obj_t BgL_auxz00_8201;
BgL_auxz00_8201 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1395z00_955); 
FAILURE(BgL_auxz00_8201,BFALSE,BFALSE);} 
BgL_n1z00_2939 = 
(long)CINT(BgL_tmpz00_8198); } 
BgL_test4075z00_8197 = 
(BgL_n1z00_2939>=0L); } 
if(BgL_test4075z00_8197)
{ 
 long BgL_auxz00_8214; obj_t BgL_auxz00_8207;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_8215;
if(
INTEGERP(BgL_index1395z00_955))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8215 = BgL_index1395z00_955
; }  else 
{ 
 obj_t BgL_auxz00_8218;
BgL_auxz00_8218 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1395z00_955); 
FAILURE(BgL_auxz00_8218,BFALSE,BFALSE);} 
BgL_auxz00_8214 = 
(long)CINT(BgL_tmpz00_8215); } 
if(
VECTORP(BgL_opt1385z00_244))
{ /* Llib/block_ciphers.scm 776 */
BgL_auxz00_8207 = BgL_opt1385z00_244
; }  else 
{ 
 obj_t BgL_auxz00_8210;
BgL_auxz00_8210 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1385z00_244); 
FAILURE(BgL_auxz00_8210,BFALSE,BFALSE);} 
BgL_padz00_937 = 
VECTOR_REF(BgL_auxz00_8207,BgL_auxz00_8214); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_index1396z00_957;
BgL_index1396z00_957 = 
BGl_search1388ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1387z00_926, BgL_opt1385z00_244, 
((obj_t)
CNST_TABLE_REF(24)), 3L); 
{ /* Llib/block_ciphers.scm 776 */
 bool_t BgL_test4079z00_8227;
{ /* Llib/block_ciphers.scm 776 */
 long BgL_n1z00_2940;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_8228;
if(
INTEGERP(BgL_index1396z00_957))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8228 = BgL_index1396z00_957
; }  else 
{ 
 obj_t BgL_auxz00_8231;
BgL_auxz00_8231 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1396z00_957); 
FAILURE(BgL_auxz00_8231,BFALSE,BFALSE);} 
BgL_n1z00_2940 = 
(long)CINT(BgL_tmpz00_8228); } 
BgL_test4079z00_8227 = 
(BgL_n1z00_2940>=0L); } 
if(BgL_test4079z00_8227)
{ 
 long BgL_auxz00_8244; obj_t BgL_auxz00_8237;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_tmpz00_8245;
if(
INTEGERP(BgL_index1396z00_957))
{ /* Llib/block_ciphers.scm 776 */
BgL_tmpz00_8245 = BgL_index1396z00_957
; }  else 
{ 
 obj_t BgL_auxz00_8248;
BgL_auxz00_8248 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1396z00_957); 
FAILURE(BgL_auxz00_8248,BFALSE,BFALSE);} 
BgL_auxz00_8244 = 
(long)CINT(BgL_tmpz00_8245); } 
if(
VECTORP(BgL_opt1385z00_244))
{ /* Llib/block_ciphers.scm 776 */
BgL_auxz00_8237 = BgL_opt1385z00_244
; }  else 
{ 
 obj_t BgL_auxz00_8240;
BgL_auxz00_8240 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1385z00_244); 
FAILURE(BgL_auxz00_8240,BFALSE,BFALSE);} 
BgL_stringzd2ze3keyz31_938 = 
VECTOR_REF(BgL_auxz00_8237,BgL_auxz00_8244); }  else 
{ /* Llib/block_ciphers.scm 776 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_arg2049z00_959; obj_t BgL_arg2050z00_960; obj_t BgL_arg2051z00_961;
{ 
 obj_t BgL_auxz00_8254;
if(
VECTORP(BgL_opt1385z00_244))
{ /* Llib/block_ciphers.scm 776 */
BgL_auxz00_8254 = BgL_opt1385z00_244
; }  else 
{ 
 obj_t BgL_auxz00_8257;
BgL_auxz00_8257 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1385z00_244); 
FAILURE(BgL_auxz00_8257,BFALSE,BFALSE);} 
BgL_arg2049z00_959 = 
VECTOR_REF(BgL_auxz00_8254,0L); } 
{ 
 obj_t BgL_auxz00_8262;
if(
VECTORP(BgL_opt1385z00_244))
{ /* Llib/block_ciphers.scm 776 */
BgL_auxz00_8262 = BgL_opt1385z00_244
; }  else 
{ 
 obj_t BgL_auxz00_8265;
BgL_auxz00_8265 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1385z00_244); 
FAILURE(BgL_auxz00_8265,BFALSE,BFALSE);} 
BgL_arg2050z00_960 = 
VECTOR_REF(BgL_auxz00_8262,1L); } 
{ 
 obj_t BgL_auxz00_8270;
if(
VECTORP(BgL_opt1385z00_244))
{ /* Llib/block_ciphers.scm 776 */
BgL_auxz00_8270 = BgL_opt1385z00_244
; }  else 
{ 
 obj_t BgL_auxz00_8273;
BgL_auxz00_8273 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1385z00_244); 
FAILURE(BgL_auxz00_8273,BFALSE,BFALSE);} 
BgL_arg2051z00_961 = 
VECTOR_REF(BgL_auxz00_8270,2L); } 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_ivz00_962;
BgL_ivz00_962 = BgL_ivz00_933; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_modez00_963;
BgL_modez00_963 = BgL_modez00_934; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_noncezd2initz12zc0_964;
BgL_noncezd2initz12zc0_964 = BgL_noncezd2initz12zc0_935; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_noncezd2updatez12zc0_965;
BgL_noncezd2updatez12zc0_965 = BgL_noncezd2updatez12zc0_936; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_padz00_966;
BgL_padz00_966 = BgL_padz00_937; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_stringzd2ze3keyz31_967;
BgL_stringzd2ze3keyz31_967 = BgL_stringzd2ze3keyz31_938; 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_res2739z00_2944;
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_cipherz00_2941; obj_t BgL_plaintextz00_2942; obj_t BgL_passwordz00_2943;
if(
SYMBOLP(BgL_arg2049z00_959))
{ /* Llib/block_ciphers.scm 776 */
BgL_cipherz00_2941 = BgL_arg2049z00_959; }  else 
{ 
 obj_t BgL_auxz00_8280;
BgL_auxz00_8280 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3434z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2049z00_959); 
FAILURE(BgL_auxz00_8280,BFALSE,BFALSE);} 
if(
BGL_MMAPP(BgL_arg2050z00_960))
{ /* Llib/block_ciphers.scm 776 */
BgL_plaintextz00_2942 = BgL_arg2050z00_960; }  else 
{ 
 obj_t BgL_auxz00_8286;
BgL_auxz00_8286 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3440z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2050z00_960); 
FAILURE(BgL_auxz00_8286,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2051z00_961))
{ /* Llib/block_ciphers.scm 776 */
BgL_passwordz00_2943 = BgL_arg2051z00_961; }  else 
{ 
 obj_t BgL_auxz00_8292;
BgL_auxz00_8292 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28189L), BGl_string3439z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2051z00_961); 
FAILURE(BgL_auxz00_8292,BFALSE,BFALSE);} 
BgL_res2739z00_2944 = 
BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_2941, BgL_plaintextz00_2942, BgL_passwordz00_2943, BgL_ivz00_962, BgL_modez00_963, BgL_padz00_966, BgL_noncezd2initz12zc0_964, BgL_noncezd2updatez12zc0_965, BgL_stringzd2ze3keyz31_967); } 
return BgL_res2739z00_2944;} } } } } } } } } } } } } } } } } } 

}



/* search1388~0 */
obj_t BGl_search1388ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1387z00_5104, obj_t BgL_opt1385z00_5103, obj_t BgL_k1z00_927, long BgL_iz00_928)
{
{ /* Llib/block_ciphers.scm 776 */
BGl_search1388ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_928==BgL_l1387z00_5104))
{ /* Llib/block_ciphers.scm 776 */
return 
BINT((-1L));}  else 
{ /* Llib/block_ciphers.scm 776 */
if(
(BgL_iz00_928==
(BgL_l1387z00_5104-1L)))
{ /* Llib/block_ciphers.scm 776 */
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(27)), BGl_string3436z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1385z00_5103)));}  else 
{ /* Llib/block_ciphers.scm 776 */
 obj_t BgL_vz00_972;
BgL_vz00_972 = 
VECTOR_REF(BgL_opt1385z00_5103,BgL_iz00_928); 
if(
(BgL_vz00_972==BgL_k1z00_927))
{ /* Llib/block_ciphers.scm 776 */
return 
BINT(
(BgL_iz00_928+1L));}  else 
{ 
 long BgL_iz00_8313;
BgL_iz00_8313 = 
(BgL_iz00_928+2L); 
BgL_iz00_928 = BgL_iz00_8313; 
goto BGl_search1388ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt-mmap */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_235, obj_t BgL_plaintextz00_236, obj_t BgL_passwordz00_237, obj_t BgL_ivz00_238, obj_t BgL_modez00_239, obj_t BgL_noncezd2initz12zc0_240, obj_t BgL_noncezd2updatez12zc0_241, obj_t BgL_padz00_242, obj_t BgL_stringzd2ze3keyz31_243)
{
{ /* Llib/block_ciphers.scm 776 */
{ /* Llib/block_ciphers.scm 789 */
 long BgL_lenz00_2946;
BgL_lenz00_2946 = 
BGL_MMAP_LENGTH(BgL_plaintextz00_236); 
{ /* Llib/block_ciphers.scm 789 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_2947;
BgL_statez00_2947 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_235, BgL_passwordz00_237, BgL_ivz00_238, BgL_modez00_239, BgL_padz00_242, BgL_noncezd2initz12zc0_240, BgL_noncezd2updatez12zc0_241, BgL_stringzd2ze3keyz31_243); 
{ /* Llib/block_ciphers.scm 790 */
 obj_t BgL_strz00_2948;
{ /* Llib/block_ciphers.scm 793 */
 long BgL_arg2059z00_2949;
{ /* Llib/block_ciphers.scm 793 */
 long BgL_za72za7_2959;
BgL_za72za7_2959 = 
(long)(BgL_lenz00_2946); 
BgL_arg2059z00_2949 = 
(
(2L*
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_2947))->BgL_blockzd2siza7ez75))+BgL_za72za7_2959); } 
{ /* Llib/block_ciphers.scm 793 */

BgL_strz00_2948 = 
make_string(BgL_arg2059z00_2949, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 793 */

{ /* Llib/block_ciphers.scm 796 */
 long BgL_tmpz00_8322;
BgL_tmpz00_8322 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_2947, BgL_plaintextz00_236, 0L, BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_2948, 0L, BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_2948, BgL_tmpz00_8322);} } } } } } 

}



/* encrypt-fast-mmap */
obj_t BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_246, obj_t BgL_plaintextz00_247, obj_t BgL_passwordz00_248, obj_t BgL_ivz00_249, obj_t BgL_modez00_250, obj_t BgL_padz00_251, obj_t BgL_noncezd2initz12zc0_252, obj_t BgL_noncezd2updatez12zc0_253, obj_t BgL_stringzd2ze3keyz31_254)
{
{ /* Llib/block_ciphers.scm 784 */
{ /* Llib/block_ciphers.scm 789 */
 long BgL_lenz00_2963;
BgL_lenz00_2963 = 
BGL_MMAP_LENGTH(BgL_plaintextz00_247); 
{ /* Llib/block_ciphers.scm 789 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_2964;
BgL_statez00_2964 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_246, BgL_passwordz00_248, BgL_ivz00_249, BgL_modez00_250, BgL_padz00_251, BgL_noncezd2initz12zc0_252, BgL_noncezd2updatez12zc0_253, BgL_stringzd2ze3keyz31_254); 
{ /* Llib/block_ciphers.scm 790 */
 obj_t BgL_strz00_2965;
{ /* Llib/block_ciphers.scm 793 */
 long BgL_arg2059z00_2966;
{ /* Llib/block_ciphers.scm 793 */
 long BgL_za72za7_2976;
BgL_za72za7_2976 = 
(long)(BgL_lenz00_2963); 
BgL_arg2059z00_2966 = 
(
(2L*
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_statez00_2964))->BgL_blockzd2siza7ez75))+BgL_za72za7_2976); } 
{ /* Llib/block_ciphers.scm 793 */

BgL_strz00_2965 = 
make_string(BgL_arg2059z00_2966, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 793 */

{ /* Llib/block_ciphers.scm 796 */
 long BgL_tmpz00_8332;
BgL_tmpz00_8332 = 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_2964, BgL_plaintextz00_247, 0L, BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_2965, 0L, BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_2965, BgL_tmpz00_8332);} } } } } } 

}



/* &encrypt-fast-mmap */
obj_t BGl_z62encryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4427, obj_t BgL_cipherz00_4428, obj_t BgL_plaintextz00_4429, obj_t BgL_passwordz00_4430, obj_t BgL_ivz00_4431, obj_t BgL_modez00_4432, obj_t BgL_padz00_4433, obj_t BgL_noncezd2initz12zc0_4434, obj_t BgL_noncezd2updatez12zc0_4435, obj_t BgL_stringzd2ze3keyz31_4436)
{
{ /* Llib/block_ciphers.scm 784 */
{ /* Llib/block_ciphers.scm 789 */
 obj_t BgL_auxz00_8335;
if(
BGL_MMAPP(BgL_plaintextz00_4429))
{ /* Llib/block_ciphers.scm 789 */
BgL_auxz00_8335 = BgL_plaintextz00_4429
; }  else 
{ 
 obj_t BgL_auxz00_8338;
BgL_auxz00_8338 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(28710L), BGl_string3441z00zz__cryptozd2blockzd2ciphersz00, BGl_string3440z00zz__cryptozd2blockzd2ciphersz00, BgL_plaintextz00_4429); 
FAILURE(BgL_auxz00_8338,BFALSE,BFALSE);} 
return 
BGl_encryptzd2fastzd2mmapz00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4428, BgL_auxz00_8335, BgL_passwordz00_4430, BgL_ivz00_4431, BgL_modez00_4432, BgL_padz00_4433, BgL_noncezd2initz12zc0_4434, BgL_noncezd2updatez12zc0_4435, BgL_stringzd2ze3keyz31_4436);} } 

}



/* _encrypt-port */
obj_t BGl__encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1398z00_265, obj_t BgL_opt1397z00_264)
{
{ /* Llib/block_ciphers.scm 801 */
{ /* Llib/block_ciphers.scm 801 */
 long BgL_l1399z00_985;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_vectorz00_2980;
if(
VECTORP(BgL_opt1397z00_264))
{ /* Llib/block_ciphers.scm 801 */
BgL_vectorz00_2980 = BgL_opt1397z00_264; }  else 
{ 
 obj_t BgL_auxz00_8345;
BgL_auxz00_8345 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1397z00_264); 
FAILURE(BgL_auxz00_8345,BFALSE,BFALSE);} 
BgL_l1399z00_985 = 
VECTOR_LENGTH(BgL_vectorz00_2980); } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_cipherz00_989; obj_t BgL_plaintextz00_990; obj_t BgL_passwordz00_991;
{ 
 obj_t BgL_auxz00_8350;
if(
VECTORP(BgL_opt1397z00_264))
{ /* Llib/block_ciphers.scm 801 */
BgL_auxz00_8350 = BgL_opt1397z00_264
; }  else 
{ 
 obj_t BgL_auxz00_8353;
BgL_auxz00_8353 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1397z00_264); 
FAILURE(BgL_auxz00_8353,BFALSE,BFALSE);} 
BgL_cipherz00_989 = 
VECTOR_REF(BgL_auxz00_8350,0L); } 
{ 
 obj_t BgL_auxz00_8358;
if(
VECTORP(BgL_opt1397z00_264))
{ /* Llib/block_ciphers.scm 801 */
BgL_auxz00_8358 = BgL_opt1397z00_264
; }  else 
{ 
 obj_t BgL_auxz00_8361;
BgL_auxz00_8361 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1397z00_264); 
FAILURE(BgL_auxz00_8361,BFALSE,BFALSE);} 
BgL_plaintextz00_990 = 
VECTOR_REF(BgL_auxz00_8358,1L); } 
{ 
 obj_t BgL_auxz00_8366;
if(
VECTORP(BgL_opt1397z00_264))
{ /* Llib/block_ciphers.scm 801 */
BgL_auxz00_8366 = BgL_opt1397z00_264
; }  else 
{ 
 obj_t BgL_auxz00_8369;
BgL_auxz00_8369 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1397z00_264); 
FAILURE(BgL_auxz00_8369,BFALSE,BFALSE);} 
BgL_passwordz00_991 = 
VECTOR_REF(BgL_auxz00_8366,2L); } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_ivz00_992;
BgL_ivz00_992 = BFALSE; 
{ /* Llib/block_ciphers.scm 802 */
 obj_t BgL_modez00_993;
BgL_modez00_993 = 
((obj_t)
CNST_TABLE_REF(6)); 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_noncezd2initz12zc0_994;
BgL_noncezd2initz12zc0_994 = BFALSE; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_noncezd2updatez12zc0_995;
BgL_noncezd2updatez12zc0_995 = BFALSE; 
{ /* Llib/block_ciphers.scm 802 */
 obj_t BgL_padz00_996;
BgL_padz00_996 = 
((obj_t)
CNST_TABLE_REF(11)); 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_stringzd2ze3keyz31_997;
BgL_stringzd2ze3keyz31_997 = BFALSE; 
{ /* Llib/block_ciphers.scm 801 */

{ 
 long BgL_iz00_998;
BgL_iz00_998 = 3L; 
BgL_check1401z00_999:
if(
(BgL_iz00_998==BgL_l1399z00_985))
{ /* Llib/block_ciphers.scm 801 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test4098z00_8380;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_arg2067z00_1005;
BgL_arg2067z00_1005 = 
VECTOR_REF(
((obj_t)BgL_opt1397z00_264),BgL_iz00_998); 
BgL_test4098z00_8380 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2067z00_1005, 
((obj_t)
CNST_TABLE_REF(17)))); } 
if(BgL_test4098z00_8380)
{ 
 long BgL_iz00_8387;
BgL_iz00_8387 = 
(BgL_iz00_998+2L); 
BgL_iz00_998 = BgL_iz00_8387; 
goto BgL_check1401z00_999;}  else 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_arg2066z00_1004;
BgL_arg2066z00_1004 = 
VECTOR_REF(
((obj_t)BgL_opt1397z00_264),BgL_iz00_998); 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(28)), BGl_string3433z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2066z00_1004); } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_index1403z00_1006;
BgL_index1403z00_1006 = 
BGl_search1400ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1399z00_985, BgL_opt1397z00_264, 
((obj_t)
CNST_TABLE_REF(19)), 3L); 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test4099z00_8397;
{ /* Llib/block_ciphers.scm 801 */
 long BgL_n1z00_2995;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_8398;
if(
INTEGERP(BgL_index1403z00_1006))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8398 = BgL_index1403z00_1006
; }  else 
{ 
 obj_t BgL_auxz00_8401;
BgL_auxz00_8401 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1403z00_1006); 
FAILURE(BgL_auxz00_8401,BFALSE,BFALSE);} 
BgL_n1z00_2995 = 
(long)CINT(BgL_tmpz00_8398); } 
BgL_test4099z00_8397 = 
(BgL_n1z00_2995>=0L); } 
if(BgL_test4099z00_8397)
{ 
 long BgL_auxz00_8414; obj_t BgL_auxz00_8407;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_8415;
if(
INTEGERP(BgL_index1403z00_1006))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8415 = BgL_index1403z00_1006
; }  else 
{ 
 obj_t BgL_auxz00_8418;
BgL_auxz00_8418 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1403z00_1006); 
FAILURE(BgL_auxz00_8418,BFALSE,BFALSE);} 
BgL_auxz00_8414 = 
(long)CINT(BgL_tmpz00_8415); } 
if(
VECTORP(BgL_opt1397z00_264))
{ /* Llib/block_ciphers.scm 801 */
BgL_auxz00_8407 = BgL_opt1397z00_264
; }  else 
{ 
 obj_t BgL_auxz00_8410;
BgL_auxz00_8410 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1397z00_264); 
FAILURE(BgL_auxz00_8410,BFALSE,BFALSE);} 
BgL_ivz00_992 = 
VECTOR_REF(BgL_auxz00_8407,BgL_auxz00_8414); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_index1404z00_1008;
BgL_index1404z00_1008 = 
BGl_search1400ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1399z00_985, BgL_opt1397z00_264, 
((obj_t)
CNST_TABLE_REF(20)), 3L); 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test4103z00_8427;
{ /* Llib/block_ciphers.scm 801 */
 long BgL_n1z00_2996;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_8428;
if(
INTEGERP(BgL_index1404z00_1008))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8428 = BgL_index1404z00_1008
; }  else 
{ 
 obj_t BgL_auxz00_8431;
BgL_auxz00_8431 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1404z00_1008); 
FAILURE(BgL_auxz00_8431,BFALSE,BFALSE);} 
BgL_n1z00_2996 = 
(long)CINT(BgL_tmpz00_8428); } 
BgL_test4103z00_8427 = 
(BgL_n1z00_2996>=0L); } 
if(BgL_test4103z00_8427)
{ 
 long BgL_auxz00_8444; obj_t BgL_auxz00_8437;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_8445;
if(
INTEGERP(BgL_index1404z00_1008))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8445 = BgL_index1404z00_1008
; }  else 
{ 
 obj_t BgL_auxz00_8448;
BgL_auxz00_8448 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1404z00_1008); 
FAILURE(BgL_auxz00_8448,BFALSE,BFALSE);} 
BgL_auxz00_8444 = 
(long)CINT(BgL_tmpz00_8445); } 
if(
VECTORP(BgL_opt1397z00_264))
{ /* Llib/block_ciphers.scm 801 */
BgL_auxz00_8437 = BgL_opt1397z00_264
; }  else 
{ 
 obj_t BgL_auxz00_8440;
BgL_auxz00_8440 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1397z00_264); 
FAILURE(BgL_auxz00_8440,BFALSE,BFALSE);} 
BgL_modez00_993 = 
VECTOR_REF(BgL_auxz00_8437,BgL_auxz00_8444); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_index1405z00_1010;
BgL_index1405z00_1010 = 
BGl_search1400ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1399z00_985, BgL_opt1397z00_264, 
((obj_t)
CNST_TABLE_REF(21)), 3L); 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test4107z00_8457;
{ /* Llib/block_ciphers.scm 801 */
 long BgL_n1z00_2997;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_8458;
if(
INTEGERP(BgL_index1405z00_1010))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8458 = BgL_index1405z00_1010
; }  else 
{ 
 obj_t BgL_auxz00_8461;
BgL_auxz00_8461 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1405z00_1010); 
FAILURE(BgL_auxz00_8461,BFALSE,BFALSE);} 
BgL_n1z00_2997 = 
(long)CINT(BgL_tmpz00_8458); } 
BgL_test4107z00_8457 = 
(BgL_n1z00_2997>=0L); } 
if(BgL_test4107z00_8457)
{ 
 long BgL_auxz00_8474; obj_t BgL_auxz00_8467;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_8475;
if(
INTEGERP(BgL_index1405z00_1010))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8475 = BgL_index1405z00_1010
; }  else 
{ 
 obj_t BgL_auxz00_8478;
BgL_auxz00_8478 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1405z00_1010); 
FAILURE(BgL_auxz00_8478,BFALSE,BFALSE);} 
BgL_auxz00_8474 = 
(long)CINT(BgL_tmpz00_8475); } 
if(
VECTORP(BgL_opt1397z00_264))
{ /* Llib/block_ciphers.scm 801 */
BgL_auxz00_8467 = BgL_opt1397z00_264
; }  else 
{ 
 obj_t BgL_auxz00_8470;
BgL_auxz00_8470 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1397z00_264); 
FAILURE(BgL_auxz00_8470,BFALSE,BFALSE);} 
BgL_noncezd2initz12zc0_994 = 
VECTOR_REF(BgL_auxz00_8467,BgL_auxz00_8474); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_index1406z00_1012;
BgL_index1406z00_1012 = 
BGl_search1400ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1399z00_985, BgL_opt1397z00_264, 
((obj_t)
CNST_TABLE_REF(22)), 3L); 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test4111z00_8487;
{ /* Llib/block_ciphers.scm 801 */
 long BgL_n1z00_2998;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_8488;
if(
INTEGERP(BgL_index1406z00_1012))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8488 = BgL_index1406z00_1012
; }  else 
{ 
 obj_t BgL_auxz00_8491;
BgL_auxz00_8491 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1406z00_1012); 
FAILURE(BgL_auxz00_8491,BFALSE,BFALSE);} 
BgL_n1z00_2998 = 
(long)CINT(BgL_tmpz00_8488); } 
BgL_test4111z00_8487 = 
(BgL_n1z00_2998>=0L); } 
if(BgL_test4111z00_8487)
{ 
 long BgL_auxz00_8504; obj_t BgL_auxz00_8497;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_8505;
if(
INTEGERP(BgL_index1406z00_1012))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8505 = BgL_index1406z00_1012
; }  else 
{ 
 obj_t BgL_auxz00_8508;
BgL_auxz00_8508 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1406z00_1012); 
FAILURE(BgL_auxz00_8508,BFALSE,BFALSE);} 
BgL_auxz00_8504 = 
(long)CINT(BgL_tmpz00_8505); } 
if(
VECTORP(BgL_opt1397z00_264))
{ /* Llib/block_ciphers.scm 801 */
BgL_auxz00_8497 = BgL_opt1397z00_264
; }  else 
{ 
 obj_t BgL_auxz00_8500;
BgL_auxz00_8500 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1397z00_264); 
FAILURE(BgL_auxz00_8500,BFALSE,BFALSE);} 
BgL_noncezd2updatez12zc0_995 = 
VECTOR_REF(BgL_auxz00_8497,BgL_auxz00_8504); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_index1407z00_1014;
BgL_index1407z00_1014 = 
BGl_search1400ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1399z00_985, BgL_opt1397z00_264, 
((obj_t)
CNST_TABLE_REF(23)), 3L); 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test4115z00_8517;
{ /* Llib/block_ciphers.scm 801 */
 long BgL_n1z00_2999;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_8518;
if(
INTEGERP(BgL_index1407z00_1014))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8518 = BgL_index1407z00_1014
; }  else 
{ 
 obj_t BgL_auxz00_8521;
BgL_auxz00_8521 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1407z00_1014); 
FAILURE(BgL_auxz00_8521,BFALSE,BFALSE);} 
BgL_n1z00_2999 = 
(long)CINT(BgL_tmpz00_8518); } 
BgL_test4115z00_8517 = 
(BgL_n1z00_2999>=0L); } 
if(BgL_test4115z00_8517)
{ 
 long BgL_auxz00_8534; obj_t BgL_auxz00_8527;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_8535;
if(
INTEGERP(BgL_index1407z00_1014))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8535 = BgL_index1407z00_1014
; }  else 
{ 
 obj_t BgL_auxz00_8538;
BgL_auxz00_8538 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1407z00_1014); 
FAILURE(BgL_auxz00_8538,BFALSE,BFALSE);} 
BgL_auxz00_8534 = 
(long)CINT(BgL_tmpz00_8535); } 
if(
VECTORP(BgL_opt1397z00_264))
{ /* Llib/block_ciphers.scm 801 */
BgL_auxz00_8527 = BgL_opt1397z00_264
; }  else 
{ 
 obj_t BgL_auxz00_8530;
BgL_auxz00_8530 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1397z00_264); 
FAILURE(BgL_auxz00_8530,BFALSE,BFALSE);} 
BgL_padz00_996 = 
VECTOR_REF(BgL_auxz00_8527,BgL_auxz00_8534); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_index1408z00_1016;
BgL_index1408z00_1016 = 
BGl_search1400ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1399z00_985, BgL_opt1397z00_264, 
((obj_t)
CNST_TABLE_REF(24)), 3L); 
{ /* Llib/block_ciphers.scm 801 */
 bool_t BgL_test4119z00_8547;
{ /* Llib/block_ciphers.scm 801 */
 long BgL_n1z00_3000;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_8548;
if(
INTEGERP(BgL_index1408z00_1016))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8548 = BgL_index1408z00_1016
; }  else 
{ 
 obj_t BgL_auxz00_8551;
BgL_auxz00_8551 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1408z00_1016); 
FAILURE(BgL_auxz00_8551,BFALSE,BFALSE);} 
BgL_n1z00_3000 = 
(long)CINT(BgL_tmpz00_8548); } 
BgL_test4119z00_8547 = 
(BgL_n1z00_3000>=0L); } 
if(BgL_test4119z00_8547)
{ 
 long BgL_auxz00_8564; obj_t BgL_auxz00_8557;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_tmpz00_8565;
if(
INTEGERP(BgL_index1408z00_1016))
{ /* Llib/block_ciphers.scm 801 */
BgL_tmpz00_8565 = BgL_index1408z00_1016
; }  else 
{ 
 obj_t BgL_auxz00_8568;
BgL_auxz00_8568 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1408z00_1016); 
FAILURE(BgL_auxz00_8568,BFALSE,BFALSE);} 
BgL_auxz00_8564 = 
(long)CINT(BgL_tmpz00_8565); } 
if(
VECTORP(BgL_opt1397z00_264))
{ /* Llib/block_ciphers.scm 801 */
BgL_auxz00_8557 = BgL_opt1397z00_264
; }  else 
{ 
 obj_t BgL_auxz00_8560;
BgL_auxz00_8560 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1397z00_264); 
FAILURE(BgL_auxz00_8560,BFALSE,BFALSE);} 
BgL_stringzd2ze3keyz31_997 = 
VECTOR_REF(BgL_auxz00_8557,BgL_auxz00_8564); }  else 
{ /* Llib/block_ciphers.scm 801 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_arg2074z00_1018; obj_t BgL_arg2075z00_1019; obj_t BgL_arg2076z00_1020;
{ 
 obj_t BgL_auxz00_8574;
if(
VECTORP(BgL_opt1397z00_264))
{ /* Llib/block_ciphers.scm 801 */
BgL_auxz00_8574 = BgL_opt1397z00_264
; }  else 
{ 
 obj_t BgL_auxz00_8577;
BgL_auxz00_8577 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1397z00_264); 
FAILURE(BgL_auxz00_8577,BFALSE,BFALSE);} 
BgL_arg2074z00_1018 = 
VECTOR_REF(BgL_auxz00_8574,0L); } 
{ 
 obj_t BgL_auxz00_8582;
if(
VECTORP(BgL_opt1397z00_264))
{ /* Llib/block_ciphers.scm 801 */
BgL_auxz00_8582 = BgL_opt1397z00_264
; }  else 
{ 
 obj_t BgL_auxz00_8585;
BgL_auxz00_8585 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1397z00_264); 
FAILURE(BgL_auxz00_8585,BFALSE,BFALSE);} 
BgL_arg2075z00_1019 = 
VECTOR_REF(BgL_auxz00_8582,1L); } 
{ 
 obj_t BgL_auxz00_8590;
if(
VECTORP(BgL_opt1397z00_264))
{ /* Llib/block_ciphers.scm 801 */
BgL_auxz00_8590 = BgL_opt1397z00_264
; }  else 
{ 
 obj_t BgL_auxz00_8593;
BgL_auxz00_8593 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1397z00_264); 
FAILURE(BgL_auxz00_8593,BFALSE,BFALSE);} 
BgL_arg2076z00_1020 = 
VECTOR_REF(BgL_auxz00_8590,2L); } 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_ivz00_1021;
BgL_ivz00_1021 = BgL_ivz00_992; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_modez00_1022;
BgL_modez00_1022 = BgL_modez00_993; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_noncezd2initz12zc0_1023;
BgL_noncezd2initz12zc0_1023 = BgL_noncezd2initz12zc0_994; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_noncezd2updatez12zc0_1024;
BgL_noncezd2updatez12zc0_1024 = BgL_noncezd2updatez12zc0_995; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_padz00_1025;
BgL_padz00_1025 = BgL_padz00_996; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_stringzd2ze3keyz31_1026;
BgL_stringzd2ze3keyz31_1026 = BgL_stringzd2ze3keyz31_997; 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_res2740z00_3009;
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_cipherz00_3001; obj_t BgL_plaintextz00_3002; obj_t BgL_passwordz00_3003;
if(
SYMBOLP(BgL_arg2074z00_1018))
{ /* Llib/block_ciphers.scm 801 */
BgL_cipherz00_3001 = BgL_arg2074z00_1018; }  else 
{ 
 obj_t BgL_auxz00_8600;
BgL_auxz00_8600 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3434z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2074z00_1018); 
FAILURE(BgL_auxz00_8600,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg2075z00_1019))
{ /* Llib/block_ciphers.scm 801 */
BgL_plaintextz00_3002 = BgL_arg2075z00_1019; }  else 
{ 
 obj_t BgL_auxz00_8606;
BgL_auxz00_8606 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3443z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2075z00_1019); 
FAILURE(BgL_auxz00_8606,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2076z00_1020))
{ /* Llib/block_ciphers.scm 801 */
BgL_passwordz00_3003 = BgL_arg2076z00_1020; }  else 
{ 
 obj_t BgL_auxz00_8612;
BgL_auxz00_8612 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29107L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2076z00_1020); 
FAILURE(BgL_auxz00_8612,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 812 */
 obj_t BgL_pz00_3005; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3006;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3005 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3006 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3001, BgL_passwordz00_3003, BgL_ivz00_1021, BgL_modez00_1022, BgL_padz00_1025, BgL_noncezd2initz12zc0_1023, BgL_noncezd2updatez12zc0_1024, BgL_stringzd2ze3keyz31_1026); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3006, BgL_plaintextz00_3002, 0L, BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3005, 0L, BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
{ /* Llib/block_ciphers.scm 819 */
 obj_t BgL_aux2987z00_5301;
BgL_aux2987z00_5301 = 
bgl_close_output_port(BgL_pz00_3005); 
if(
STRINGP(BgL_aux2987z00_5301))
{ /* Llib/block_ciphers.scm 819 */
BgL_res2740z00_3009 = BgL_aux2987z00_5301; }  else 
{ 
 obj_t BgL_auxz00_8622;
BgL_auxz00_8622 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29795L), BGl_string3442z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_aux2987z00_5301); 
FAILURE(BgL_auxz00_8622,BFALSE,BFALSE);} } } } 
return BgL_res2740z00_3009;} } } } } } } } } } } } } } } } } } 

}



/* search1400~0 */
obj_t BGl_search1400ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1399z00_5102, obj_t BgL_opt1397z00_5101, obj_t BgL_k1z00_986, long BgL_iz00_987)
{
{ /* Llib/block_ciphers.scm 801 */
BGl_search1400ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_987==BgL_l1399z00_5102))
{ /* Llib/block_ciphers.scm 801 */
return 
BINT((-1L));}  else 
{ /* Llib/block_ciphers.scm 801 */
if(
(BgL_iz00_987==
(BgL_l1399z00_5102-1L)))
{ /* Llib/block_ciphers.scm 801 */
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(28)), BGl_string3436z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1397z00_5101)));}  else 
{ /* Llib/block_ciphers.scm 801 */
 obj_t BgL_vz00_1031;
BgL_vz00_1031 = 
VECTOR_REF(BgL_opt1397z00_5101,BgL_iz00_987); 
if(
(BgL_vz00_1031==BgL_k1z00_986))
{ /* Llib/block_ciphers.scm 801 */
return 
BINT(
(BgL_iz00_987+1L));}  else 
{ 
 long BgL_iz00_8642;
BgL_iz00_8642 = 
(BgL_iz00_987+2L); 
BgL_iz00_987 = BgL_iz00_8642; 
goto BGl_search1400ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt-port */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_255, obj_t BgL_plaintextz00_256, obj_t BgL_passwordz00_257, obj_t BgL_ivz00_258, obj_t BgL_modez00_259, obj_t BgL_noncezd2initz12zc0_260, obj_t BgL_noncezd2updatez12zc0_261, obj_t BgL_padz00_262, obj_t BgL_stringzd2ze3keyz31_263)
{
{ /* Llib/block_ciphers.scm 801 */
{ /* Llib/block_ciphers.scm 812 */
 obj_t BgL_pz00_3011; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3012;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3011 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3012 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_255, BgL_passwordz00_257, BgL_ivz00_258, BgL_modez00_259, BgL_padz00_262, BgL_noncezd2initz12zc0_260, BgL_noncezd2updatez12zc0_261, BgL_stringzd2ze3keyz31_263); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3012, BgL_plaintextz00_256, 0L, BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3011, 0L, BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
return 
bgl_close_output_port(BgL_pz00_3011);} } 

}



/* &encrypt-fast-port */
obj_t BGl_z62encryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4437, obj_t BgL_cipherz00_4438, obj_t BgL_plaintextz00_4439, obj_t BgL_passwordz00_4440, obj_t BgL_ivz00_4441, obj_t BgL_modez00_4442, obj_t BgL_padz00_4443, obj_t BgL_noncezd2initz12zc0_4444, obj_t BgL_noncezd2updatez12zc0_4445, obj_t BgL_stringzd2ze3keyz31_4446)
{
{ /* Llib/block_ciphers.scm 809 */
{ /* Llib/block_ciphers.scm 812 */
 obj_t BgL_plaintextz00_5787;
if(
INPUT_PORTP(BgL_plaintextz00_4439))
{ /* Llib/block_ciphers.scm 812 */
BgL_plaintextz00_5787 = BgL_plaintextz00_4439; }  else 
{ 
 obj_t BgL_auxz00_8650;
BgL_auxz00_8650 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29553L), BGl_string3444z00zz__cryptozd2blockzd2ciphersz00, BGl_string3443z00zz__cryptozd2blockzd2ciphersz00, BgL_plaintextz00_4439); 
FAILURE(BgL_auxz00_8650,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 812 */
 obj_t BgL_pz00_5788; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_5789;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_5788 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_5789 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4438, BgL_passwordz00_4440, BgL_ivz00_4441, BgL_modez00_4442, BgL_padz00_4443, BgL_noncezd2initz12zc0_4444, BgL_noncezd2updatez12zc0_4445, BgL_stringzd2ze3keyz31_4446); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_5789, BgL_plaintextz00_5787, 0L, BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_5788, 0L, BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
return 
bgl_close_output_port(BgL_pz00_5788);} } } 

}



/* _encrypt-file */
obj_t BGl__encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1410z00_285, obj_t BgL_opt1409z00_284)
{
{ /* Llib/block_ciphers.scm 821 */
{ /* Llib/block_ciphers.scm 821 */
 long BgL_l1411z00_1037;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_vectorz00_3019;
if(
VECTORP(BgL_opt1409z00_284))
{ /* Llib/block_ciphers.scm 821 */
BgL_vectorz00_3019 = BgL_opt1409z00_284; }  else 
{ 
 obj_t BgL_auxz00_8660;
BgL_auxz00_8660 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1409z00_284); 
FAILURE(BgL_auxz00_8660,BFALSE,BFALSE);} 
BgL_l1411z00_1037 = 
VECTOR_LENGTH(BgL_vectorz00_3019); } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_cipherz00_1041; obj_t BgL_filenamez00_1042; obj_t BgL_passwordz00_1043;
{ 
 obj_t BgL_auxz00_8665;
if(
VECTORP(BgL_opt1409z00_284))
{ /* Llib/block_ciphers.scm 821 */
BgL_auxz00_8665 = BgL_opt1409z00_284
; }  else 
{ 
 obj_t BgL_auxz00_8668;
BgL_auxz00_8668 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1409z00_284); 
FAILURE(BgL_auxz00_8668,BFALSE,BFALSE);} 
BgL_cipherz00_1041 = 
VECTOR_REF(BgL_auxz00_8665,0L); } 
{ 
 obj_t BgL_auxz00_8673;
if(
VECTORP(BgL_opt1409z00_284))
{ /* Llib/block_ciphers.scm 821 */
BgL_auxz00_8673 = BgL_opt1409z00_284
; }  else 
{ 
 obj_t BgL_auxz00_8676;
BgL_auxz00_8676 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1409z00_284); 
FAILURE(BgL_auxz00_8676,BFALSE,BFALSE);} 
BgL_filenamez00_1042 = 
VECTOR_REF(BgL_auxz00_8673,1L); } 
{ 
 obj_t BgL_auxz00_8681;
if(
VECTORP(BgL_opt1409z00_284))
{ /* Llib/block_ciphers.scm 821 */
BgL_auxz00_8681 = BgL_opt1409z00_284
; }  else 
{ 
 obj_t BgL_auxz00_8684;
BgL_auxz00_8684 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1409z00_284); 
FAILURE(BgL_auxz00_8684,BFALSE,BFALSE);} 
BgL_passwordz00_1043 = 
VECTOR_REF(BgL_auxz00_8681,2L); } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_ivz00_1044;
BgL_ivz00_1044 = BFALSE; 
{ /* Llib/block_ciphers.scm 822 */
 obj_t BgL_modez00_1045;
BgL_modez00_1045 = 
((obj_t)
CNST_TABLE_REF(6)); 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_noncezd2initz12zc0_1046;
BgL_noncezd2initz12zc0_1046 = BFALSE; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_noncezd2updatez12zc0_1047;
BgL_noncezd2updatez12zc0_1047 = BFALSE; 
{ /* Llib/block_ciphers.scm 822 */
 obj_t BgL_padz00_1048;
BgL_padz00_1048 = 
((obj_t)
CNST_TABLE_REF(11)); 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_stringzd2ze3keyz31_1049;
BgL_stringzd2ze3keyz31_1049 = BFALSE; 
{ /* Llib/block_ciphers.scm 821 */

{ 
 long BgL_iz00_1050;
BgL_iz00_1050 = 3L; 
BgL_check1413z00_1051:
if(
(BgL_iz00_1050==BgL_l1411z00_1037))
{ /* Llib/block_ciphers.scm 821 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test4139z00_8695;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_arg2088z00_1057;
BgL_arg2088z00_1057 = 
VECTOR_REF(
((obj_t)BgL_opt1409z00_284),BgL_iz00_1050); 
BgL_test4139z00_8695 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2088z00_1057, 
((obj_t)
CNST_TABLE_REF(17)))); } 
if(BgL_test4139z00_8695)
{ 
 long BgL_iz00_8702;
BgL_iz00_8702 = 
(BgL_iz00_1050+2L); 
BgL_iz00_1050 = BgL_iz00_8702; 
goto BgL_check1413z00_1051;}  else 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_arg2087z00_1056;
BgL_arg2087z00_1056 = 
VECTOR_REF(
((obj_t)BgL_opt1409z00_284),BgL_iz00_1050); 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(29)), BGl_string3433z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2087z00_1056); } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_index1415z00_1058;
BgL_index1415z00_1058 = 
BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1411z00_1037, BgL_opt1409z00_284, 
((obj_t)
CNST_TABLE_REF(19)), 3L); 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test4140z00_8712;
{ /* Llib/block_ciphers.scm 821 */
 long BgL_n1z00_3034;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8713;
if(
INTEGERP(BgL_index1415z00_1058))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8713 = BgL_index1415z00_1058
; }  else 
{ 
 obj_t BgL_auxz00_8716;
BgL_auxz00_8716 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1415z00_1058); 
FAILURE(BgL_auxz00_8716,BFALSE,BFALSE);} 
BgL_n1z00_3034 = 
(long)CINT(BgL_tmpz00_8713); } 
BgL_test4140z00_8712 = 
(BgL_n1z00_3034>=0L); } 
if(BgL_test4140z00_8712)
{ 
 long BgL_auxz00_8729; obj_t BgL_auxz00_8722;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8730;
if(
INTEGERP(BgL_index1415z00_1058))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8730 = BgL_index1415z00_1058
; }  else 
{ 
 obj_t BgL_auxz00_8733;
BgL_auxz00_8733 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1415z00_1058); 
FAILURE(BgL_auxz00_8733,BFALSE,BFALSE);} 
BgL_auxz00_8729 = 
(long)CINT(BgL_tmpz00_8730); } 
if(
VECTORP(BgL_opt1409z00_284))
{ /* Llib/block_ciphers.scm 821 */
BgL_auxz00_8722 = BgL_opt1409z00_284
; }  else 
{ 
 obj_t BgL_auxz00_8725;
BgL_auxz00_8725 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1409z00_284); 
FAILURE(BgL_auxz00_8725,BFALSE,BFALSE);} 
BgL_ivz00_1044 = 
VECTOR_REF(BgL_auxz00_8722,BgL_auxz00_8729); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_index1416z00_1060;
BgL_index1416z00_1060 = 
BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1411z00_1037, BgL_opt1409z00_284, 
((obj_t)
CNST_TABLE_REF(20)), 3L); 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test4144z00_8742;
{ /* Llib/block_ciphers.scm 821 */
 long BgL_n1z00_3035;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8743;
if(
INTEGERP(BgL_index1416z00_1060))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8743 = BgL_index1416z00_1060
; }  else 
{ 
 obj_t BgL_auxz00_8746;
BgL_auxz00_8746 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1416z00_1060); 
FAILURE(BgL_auxz00_8746,BFALSE,BFALSE);} 
BgL_n1z00_3035 = 
(long)CINT(BgL_tmpz00_8743); } 
BgL_test4144z00_8742 = 
(BgL_n1z00_3035>=0L); } 
if(BgL_test4144z00_8742)
{ 
 long BgL_auxz00_8759; obj_t BgL_auxz00_8752;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8760;
if(
INTEGERP(BgL_index1416z00_1060))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8760 = BgL_index1416z00_1060
; }  else 
{ 
 obj_t BgL_auxz00_8763;
BgL_auxz00_8763 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1416z00_1060); 
FAILURE(BgL_auxz00_8763,BFALSE,BFALSE);} 
BgL_auxz00_8759 = 
(long)CINT(BgL_tmpz00_8760); } 
if(
VECTORP(BgL_opt1409z00_284))
{ /* Llib/block_ciphers.scm 821 */
BgL_auxz00_8752 = BgL_opt1409z00_284
; }  else 
{ 
 obj_t BgL_auxz00_8755;
BgL_auxz00_8755 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1409z00_284); 
FAILURE(BgL_auxz00_8755,BFALSE,BFALSE);} 
BgL_modez00_1045 = 
VECTOR_REF(BgL_auxz00_8752,BgL_auxz00_8759); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_index1417z00_1062;
BgL_index1417z00_1062 = 
BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1411z00_1037, BgL_opt1409z00_284, 
((obj_t)
CNST_TABLE_REF(21)), 3L); 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test4148z00_8772;
{ /* Llib/block_ciphers.scm 821 */
 long BgL_n1z00_3036;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8773;
if(
INTEGERP(BgL_index1417z00_1062))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8773 = BgL_index1417z00_1062
; }  else 
{ 
 obj_t BgL_auxz00_8776;
BgL_auxz00_8776 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1417z00_1062); 
FAILURE(BgL_auxz00_8776,BFALSE,BFALSE);} 
BgL_n1z00_3036 = 
(long)CINT(BgL_tmpz00_8773); } 
BgL_test4148z00_8772 = 
(BgL_n1z00_3036>=0L); } 
if(BgL_test4148z00_8772)
{ 
 long BgL_auxz00_8789; obj_t BgL_auxz00_8782;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8790;
if(
INTEGERP(BgL_index1417z00_1062))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8790 = BgL_index1417z00_1062
; }  else 
{ 
 obj_t BgL_auxz00_8793;
BgL_auxz00_8793 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1417z00_1062); 
FAILURE(BgL_auxz00_8793,BFALSE,BFALSE);} 
BgL_auxz00_8789 = 
(long)CINT(BgL_tmpz00_8790); } 
if(
VECTORP(BgL_opt1409z00_284))
{ /* Llib/block_ciphers.scm 821 */
BgL_auxz00_8782 = BgL_opt1409z00_284
; }  else 
{ 
 obj_t BgL_auxz00_8785;
BgL_auxz00_8785 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1409z00_284); 
FAILURE(BgL_auxz00_8785,BFALSE,BFALSE);} 
BgL_noncezd2initz12zc0_1046 = 
VECTOR_REF(BgL_auxz00_8782,BgL_auxz00_8789); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_index1418z00_1064;
BgL_index1418z00_1064 = 
BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1411z00_1037, BgL_opt1409z00_284, 
((obj_t)
CNST_TABLE_REF(22)), 3L); 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test4152z00_8802;
{ /* Llib/block_ciphers.scm 821 */
 long BgL_n1z00_3037;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8803;
if(
INTEGERP(BgL_index1418z00_1064))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8803 = BgL_index1418z00_1064
; }  else 
{ 
 obj_t BgL_auxz00_8806;
BgL_auxz00_8806 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1418z00_1064); 
FAILURE(BgL_auxz00_8806,BFALSE,BFALSE);} 
BgL_n1z00_3037 = 
(long)CINT(BgL_tmpz00_8803); } 
BgL_test4152z00_8802 = 
(BgL_n1z00_3037>=0L); } 
if(BgL_test4152z00_8802)
{ 
 long BgL_auxz00_8819; obj_t BgL_auxz00_8812;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8820;
if(
INTEGERP(BgL_index1418z00_1064))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8820 = BgL_index1418z00_1064
; }  else 
{ 
 obj_t BgL_auxz00_8823;
BgL_auxz00_8823 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1418z00_1064); 
FAILURE(BgL_auxz00_8823,BFALSE,BFALSE);} 
BgL_auxz00_8819 = 
(long)CINT(BgL_tmpz00_8820); } 
if(
VECTORP(BgL_opt1409z00_284))
{ /* Llib/block_ciphers.scm 821 */
BgL_auxz00_8812 = BgL_opt1409z00_284
; }  else 
{ 
 obj_t BgL_auxz00_8815;
BgL_auxz00_8815 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1409z00_284); 
FAILURE(BgL_auxz00_8815,BFALSE,BFALSE);} 
BgL_noncezd2updatez12zc0_1047 = 
VECTOR_REF(BgL_auxz00_8812,BgL_auxz00_8819); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_index1419z00_1066;
BgL_index1419z00_1066 = 
BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1411z00_1037, BgL_opt1409z00_284, 
((obj_t)
CNST_TABLE_REF(23)), 3L); 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test4156z00_8832;
{ /* Llib/block_ciphers.scm 821 */
 long BgL_n1z00_3038;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8833;
if(
INTEGERP(BgL_index1419z00_1066))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8833 = BgL_index1419z00_1066
; }  else 
{ 
 obj_t BgL_auxz00_8836;
BgL_auxz00_8836 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1419z00_1066); 
FAILURE(BgL_auxz00_8836,BFALSE,BFALSE);} 
BgL_n1z00_3038 = 
(long)CINT(BgL_tmpz00_8833); } 
BgL_test4156z00_8832 = 
(BgL_n1z00_3038>=0L); } 
if(BgL_test4156z00_8832)
{ 
 long BgL_auxz00_8849; obj_t BgL_auxz00_8842;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8850;
if(
INTEGERP(BgL_index1419z00_1066))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8850 = BgL_index1419z00_1066
; }  else 
{ 
 obj_t BgL_auxz00_8853;
BgL_auxz00_8853 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1419z00_1066); 
FAILURE(BgL_auxz00_8853,BFALSE,BFALSE);} 
BgL_auxz00_8849 = 
(long)CINT(BgL_tmpz00_8850); } 
if(
VECTORP(BgL_opt1409z00_284))
{ /* Llib/block_ciphers.scm 821 */
BgL_auxz00_8842 = BgL_opt1409z00_284
; }  else 
{ 
 obj_t BgL_auxz00_8845;
BgL_auxz00_8845 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1409z00_284); 
FAILURE(BgL_auxz00_8845,BFALSE,BFALSE);} 
BgL_padz00_1048 = 
VECTOR_REF(BgL_auxz00_8842,BgL_auxz00_8849); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_index1420z00_1068;
BgL_index1420z00_1068 = 
BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1411z00_1037, BgL_opt1409z00_284, 
((obj_t)
CNST_TABLE_REF(24)), 3L); 
{ /* Llib/block_ciphers.scm 821 */
 bool_t BgL_test4160z00_8862;
{ /* Llib/block_ciphers.scm 821 */
 long BgL_n1z00_3039;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8863;
if(
INTEGERP(BgL_index1420z00_1068))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8863 = BgL_index1420z00_1068
; }  else 
{ 
 obj_t BgL_auxz00_8866;
BgL_auxz00_8866 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1420z00_1068); 
FAILURE(BgL_auxz00_8866,BFALSE,BFALSE);} 
BgL_n1z00_3039 = 
(long)CINT(BgL_tmpz00_8863); } 
BgL_test4160z00_8862 = 
(BgL_n1z00_3039>=0L); } 
if(BgL_test4160z00_8862)
{ 
 long BgL_auxz00_8879; obj_t BgL_auxz00_8872;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_tmpz00_8880;
if(
INTEGERP(BgL_index1420z00_1068))
{ /* Llib/block_ciphers.scm 821 */
BgL_tmpz00_8880 = BgL_index1420z00_1068
; }  else 
{ 
 obj_t BgL_auxz00_8883;
BgL_auxz00_8883 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1420z00_1068); 
FAILURE(BgL_auxz00_8883,BFALSE,BFALSE);} 
BgL_auxz00_8879 = 
(long)CINT(BgL_tmpz00_8880); } 
if(
VECTORP(BgL_opt1409z00_284))
{ /* Llib/block_ciphers.scm 821 */
BgL_auxz00_8872 = BgL_opt1409z00_284
; }  else 
{ 
 obj_t BgL_auxz00_8875;
BgL_auxz00_8875 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1409z00_284); 
FAILURE(BgL_auxz00_8875,BFALSE,BFALSE);} 
BgL_stringzd2ze3keyz31_1049 = 
VECTOR_REF(BgL_auxz00_8872,BgL_auxz00_8879); }  else 
{ /* Llib/block_ciphers.scm 821 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_arg2095z00_1070; obj_t BgL_arg2096z00_1071; obj_t BgL_arg2097z00_1072;
{ 
 obj_t BgL_auxz00_8889;
if(
VECTORP(BgL_opt1409z00_284))
{ /* Llib/block_ciphers.scm 821 */
BgL_auxz00_8889 = BgL_opt1409z00_284
; }  else 
{ 
 obj_t BgL_auxz00_8892;
BgL_auxz00_8892 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1409z00_284); 
FAILURE(BgL_auxz00_8892,BFALSE,BFALSE);} 
BgL_arg2095z00_1070 = 
VECTOR_REF(BgL_auxz00_8889,0L); } 
{ 
 obj_t BgL_auxz00_8897;
if(
VECTORP(BgL_opt1409z00_284))
{ /* Llib/block_ciphers.scm 821 */
BgL_auxz00_8897 = BgL_opt1409z00_284
; }  else 
{ 
 obj_t BgL_auxz00_8900;
BgL_auxz00_8900 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1409z00_284); 
FAILURE(BgL_auxz00_8900,BFALSE,BFALSE);} 
BgL_arg2096z00_1071 = 
VECTOR_REF(BgL_auxz00_8897,1L); } 
{ 
 obj_t BgL_auxz00_8905;
if(
VECTORP(BgL_opt1409z00_284))
{ /* Llib/block_ciphers.scm 821 */
BgL_auxz00_8905 = BgL_opt1409z00_284
; }  else 
{ 
 obj_t BgL_auxz00_8908;
BgL_auxz00_8908 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1409z00_284); 
FAILURE(BgL_auxz00_8908,BFALSE,BFALSE);} 
BgL_arg2097z00_1072 = 
VECTOR_REF(BgL_auxz00_8905,2L); } 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_ivz00_1073;
BgL_ivz00_1073 = BgL_ivz00_1044; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_modez00_1074;
BgL_modez00_1074 = BgL_modez00_1045; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_noncezd2initz12zc0_1075;
BgL_noncezd2initz12zc0_1075 = BgL_noncezd2initz12zc0_1046; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_noncezd2updatez12zc0_1076;
BgL_noncezd2updatez12zc0_1076 = BgL_noncezd2updatez12zc0_1047; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_padz00_1077;
BgL_padz00_1077 = BgL_padz00_1048; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_stringzd2ze3keyz31_1078;
BgL_stringzd2ze3keyz31_1078 = BgL_stringzd2ze3keyz31_1049; 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_res2741z00_3064;
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_cipherz00_3040; obj_t BgL_filenamez00_3041; obj_t BgL_passwordz00_3042;
if(
SYMBOLP(BgL_arg2095z00_1070))
{ /* Llib/block_ciphers.scm 821 */
BgL_cipherz00_3040 = BgL_arg2095z00_1070; }  else 
{ 
 obj_t BgL_auxz00_8915;
BgL_auxz00_8915 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3434z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2095z00_1070); 
FAILURE(BgL_auxz00_8915,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2096z00_1071))
{ /* Llib/block_ciphers.scm 821 */
BgL_filenamez00_3041 = BgL_arg2096z00_1071; }  else 
{ 
 obj_t BgL_auxz00_8921;
BgL_auxz00_8921 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2096z00_1071); 
FAILURE(BgL_auxz00_8921,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2097z00_1072))
{ /* Llib/block_ciphers.scm 821 */
BgL_passwordz00_3042 = BgL_arg2097z00_1072; }  else 
{ 
 obj_t BgL_auxz00_8927;
BgL_auxz00_8927 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(29820L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2097z00_1072); 
FAILURE(BgL_auxz00_8927,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 825 */
 obj_t BgL_pz00_3043;
{ /* Llib/block_ciphers.scm 825 */

BgL_pz00_3043 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_3041, BTRUE, 
BINT(5000000L)); } 
if(
CBOOL(BgL_pz00_3043))
{ /* Llib/block_ciphers.scm 826 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 826 */
BGl_errorz00zz__errorz00(BGl_string3446z00zz__cryptozd2blockzd2ciphersz00, BGl_string3447z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_3041); } 
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_exitd1231z00_3047;
BgL_exitd1231z00_3047 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 834 */
 obj_t BgL_zc3z04anonymousza32104ze3z87_4453;
BgL_zc3z04anonymousza32104ze3z87_4453 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32104ze3ze5zz__cryptozd2blockzd2ciphersz00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32104ze3z87_4453, 
(int)(0L), BgL_pz00_3043); 
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1846z00_3051;
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1847z00_3052;
BgL_arg1847z00_3052 = 
BGL_EXITD_PROTECT(BgL_exitd1231z00_3047); 
BgL_arg1846z00_3051 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32104ze3z87_4453, BgL_arg1847z00_3052); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1231z00_3047, BgL_arg1846z00_3051); BUNSPEC; } 
{ /* Llib/block_ciphers.scm 831 */
 obj_t BgL_tmp1233z00_3049;
{ /* Llib/block_ciphers.scm 831 */
 obj_t BgL_plaintextz00_3053;
if(
INPUT_PORTP(BgL_pz00_3043))
{ /* Llib/block_ciphers.scm 831 */
BgL_plaintextz00_3053 = BgL_pz00_3043; }  else 
{ 
 obj_t BgL_auxz00_8947;
BgL_auxz00_8947 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30188L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3443z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3043); 
FAILURE(BgL_auxz00_8947,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 812 */
 obj_t BgL_pz00_3054; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3055;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3054 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3055 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3040, BgL_passwordz00_3042, BgL_ivz00_1073, BgL_modez00_1074, BgL_padz00_1077, BgL_noncezd2initz12zc0_1075, BgL_noncezd2updatez12zc0_1076, BgL_stringzd2ze3keyz31_1078); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3055, BgL_plaintextz00_3053, 0L, BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3054, 0L, BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_tmp1233z00_3049 = 
bgl_close_output_port(BgL_pz00_3054); } } 
{ /* Llib/block_ciphers.scm 830 */
 bool_t BgL_test4172z00_8955;
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1845z00_3059;
BgL_arg1845z00_3059 = 
BGL_EXITD_PROTECT(BgL_exitd1231z00_3047); 
BgL_test4172z00_8955 = 
PAIRP(BgL_arg1845z00_3059); } 
if(BgL_test4172z00_8955)
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1843z00_3060;
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1844z00_3061;
BgL_arg1844z00_3061 = 
BGL_EXITD_PROTECT(BgL_exitd1231z00_3047); 
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_pairz00_3062;
if(
PAIRP(BgL_arg1844z00_3061))
{ /* Llib/block_ciphers.scm 830 */
BgL_pairz00_3062 = BgL_arg1844z00_3061; }  else 
{ 
 obj_t BgL_auxz00_8961;
BgL_auxz00_8961 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30144L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3448z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1844z00_3061); 
FAILURE(BgL_auxz00_8961,BFALSE,BFALSE);} 
BgL_arg1843z00_3060 = 
CDR(BgL_pairz00_3062); } } 
BGL_EXITD_PROTECT_SET(BgL_exitd1231z00_3047, BgL_arg1843z00_3060); BUNSPEC; }  else 
{ /* Llib/block_ciphers.scm 830 */BFALSE; } } 
{ /* Llib/block_ciphers.scm 834 */
 obj_t BgL_portz00_3063;
if(
INPUT_PORTP(BgL_pz00_3043))
{ /* Llib/block_ciphers.scm 834 */
BgL_portz00_3063 = BgL_pz00_3043; }  else 
{ 
 obj_t BgL_auxz00_8969;
BgL_auxz00_8969 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30284L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3443z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3043); 
FAILURE(BgL_auxz00_8969,BFALSE,BFALSE);} 
bgl_close_input_port(BgL_portz00_3063); } 
if(
STRINGP(BgL_tmp1233z00_3049))
{ /* Llib/block_ciphers.scm 830 */
BgL_res2741z00_3064 = BgL_tmp1233z00_3049; }  else 
{ 
 obj_t BgL_auxz00_8976;
BgL_auxz00_8976 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30144L), BGl_string3445z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_tmp1233z00_3049); 
FAILURE(BgL_auxz00_8976,BFALSE,BFALSE);} } } } } } 
return BgL_res2741z00_3064;} } } } } } } } } } } } } } } } } } 

}



/* search1412~0 */
obj_t BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1411z00_5100, obj_t BgL_opt1409z00_5099, obj_t BgL_k1z00_1038, long BgL_iz00_1039)
{
{ /* Llib/block_ciphers.scm 821 */
BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1039==BgL_l1411z00_5100))
{ /* Llib/block_ciphers.scm 821 */
return 
BINT((-1L));}  else 
{ /* Llib/block_ciphers.scm 821 */
if(
(BgL_iz00_1039==
(BgL_l1411z00_5100-1L)))
{ /* Llib/block_ciphers.scm 821 */
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(29)), BGl_string3436z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1409z00_5099)));}  else 
{ /* Llib/block_ciphers.scm 821 */
 obj_t BgL_vz00_1083;
BgL_vz00_1083 = 
VECTOR_REF(BgL_opt1409z00_5099,BgL_iz00_1039); 
if(
(BgL_vz00_1083==BgL_k1z00_1038))
{ /* Llib/block_ciphers.scm 821 */
return 
BINT(
(BgL_iz00_1039+1L));}  else 
{ 
 long BgL_iz00_8996;
BgL_iz00_8996 = 
(BgL_iz00_1039+2L); 
BgL_iz00_1039 = BgL_iz00_8996; 
goto BGl_search1412ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* &<@anonymous:2104> */
obj_t BGl_z62zc3z04anonymousza32104ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4454)
{
{ /* Llib/block_ciphers.scm 830 */
{ /* Llib/block_ciphers.scm 834 */
 obj_t BgL_pz00_4455;
BgL_pz00_4455 = 
PROCEDURE_REF(BgL_envz00_4454, 
(int)(0L)); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_4455));} } 

}



/* encrypt-file */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_275, obj_t BgL_filenamez00_276, obj_t BgL_passwordz00_277, obj_t BgL_ivz00_278, obj_t BgL_modez00_279, obj_t BgL_noncezd2initz12zc0_280, obj_t BgL_noncezd2updatez12zc0_281, obj_t BgL_padz00_282, obj_t BgL_stringzd2ze3keyz31_283)
{
{ /* Llib/block_ciphers.scm 821 */
{ /* Llib/block_ciphers.scm 825 */
 obj_t BgL_pz00_3065;
{ /* Llib/block_ciphers.scm 825 */

BgL_pz00_3065 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_276, BTRUE, 
BINT(5000000L)); } 
if(
CBOOL(BgL_pz00_3065))
{ /* Llib/block_ciphers.scm 826 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 826 */
BGl_errorz00zz__errorz00(BGl_string3446z00zz__cryptozd2blockzd2ciphersz00, BGl_string3447z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_276); } 
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_exitd1231z00_3069;
BgL_exitd1231z00_3069 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 834 */
 obj_t BgL_zc3z04anonymousza32104ze3z87_4456;
BgL_zc3z04anonymousza32104ze3z87_4456 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32104ze32797ze5zz__cryptozd2blockzd2ciphersz00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32104ze3z87_4456, 
(int)(0L), BgL_pz00_3065); 
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1846z00_3073;
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1847z00_3074;
BgL_arg1847z00_3074 = 
BGL_EXITD_PROTECT(BgL_exitd1231z00_3069); 
BgL_arg1846z00_3073 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32104ze3z87_4456, BgL_arg1847z00_3074); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1231z00_3069, BgL_arg1846z00_3073); BUNSPEC; } 
{ /* Llib/block_ciphers.scm 831 */
 obj_t BgL_tmp1233z00_3071;
{ /* Llib/block_ciphers.scm 812 */
 obj_t BgL_pz00_3076; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3077;
{ /* Llib/block_ciphers.scm 812 */

{ /* Llib/block_ciphers.scm 812 */

BgL_pz00_3076 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3077 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_275, BgL_passwordz00_277, BgL_ivz00_278, BgL_modez00_279, BgL_padz00_282, BgL_noncezd2initz12zc0_280, BgL_noncezd2updatez12zc0_281, BgL_stringzd2ze3keyz31_283); 
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3077, 
((obj_t)BgL_pz00_3065), 0L, BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3076, 0L, BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_tmp1233z00_3071 = 
bgl_close_output_port(BgL_pz00_3076); } 
{ /* Llib/block_ciphers.scm 830 */
 bool_t BgL_test4180z00_9021;
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1845z00_3081;
BgL_arg1845z00_3081 = 
BGL_EXITD_PROTECT(BgL_exitd1231z00_3069); 
BgL_test4180z00_9021 = 
PAIRP(BgL_arg1845z00_3081); } 
if(BgL_test4180z00_9021)
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1843z00_3082;
{ /* Llib/block_ciphers.scm 830 */
 obj_t BgL_arg1844z00_3083;
BgL_arg1844z00_3083 = 
BGL_EXITD_PROTECT(BgL_exitd1231z00_3069); 
BgL_arg1843z00_3082 = 
CDR(
((obj_t)BgL_arg1844z00_3083)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1231z00_3069, BgL_arg1843z00_3082); BUNSPEC; }  else 
{ /* Llib/block_ciphers.scm 830 */BFALSE; } } 
bgl_close_input_port(
((obj_t)BgL_pz00_3065)); 
return BgL_tmp1233z00_3071;} } } } } 

}



/* &<@anonymous:2104>2797 */
obj_t BGl_z62zc3z04anonymousza32104ze32797ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4457)
{
{ /* Llib/block_ciphers.scm 830 */
{ /* Llib/block_ciphers.scm 834 */
 obj_t BgL_pz00_4458;
BgL_pz00_4458 = 
PROCEDURE_REF(BgL_envz00_4457, 
(int)(0L)); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_4458));} } 

}



/* _encrypt-sendchars */
obj_t BGl__encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1422z00_297, obj_t BgL_opt1421z00_296)
{
{ /* Llib/block_ciphers.scm 836 */
{ /* Llib/block_ciphers.scm 836 */
 long BgL_l1423z00_1095;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_vectorz00_3086;
if(
VECTORP(BgL_opt1421z00_296))
{ /* Llib/block_ciphers.scm 836 */
BgL_vectorz00_3086 = BgL_opt1421z00_296; }  else 
{ 
 obj_t BgL_auxz00_9036;
BgL_auxz00_9036 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1421z00_296); 
FAILURE(BgL_auxz00_9036,BFALSE,BFALSE);} 
BgL_l1423z00_1095 = 
VECTOR_LENGTH(BgL_vectorz00_3086); } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_cipherz00_1099; obj_t BgL_inz00_1100; obj_t BgL_outz00_1101; obj_t BgL_passwordz00_1102;
{ 
 obj_t BgL_auxz00_9041;
if(
VECTORP(BgL_opt1421z00_296))
{ /* Llib/block_ciphers.scm 836 */
BgL_auxz00_9041 = BgL_opt1421z00_296
; }  else 
{ 
 obj_t BgL_auxz00_9044;
BgL_auxz00_9044 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1421z00_296); 
FAILURE(BgL_auxz00_9044,BFALSE,BFALSE);} 
BgL_cipherz00_1099 = 
VECTOR_REF(BgL_auxz00_9041,0L); } 
{ 
 obj_t BgL_auxz00_9049;
if(
VECTORP(BgL_opt1421z00_296))
{ /* Llib/block_ciphers.scm 836 */
BgL_auxz00_9049 = BgL_opt1421z00_296
; }  else 
{ 
 obj_t BgL_auxz00_9052;
BgL_auxz00_9052 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1421z00_296); 
FAILURE(BgL_auxz00_9052,BFALSE,BFALSE);} 
BgL_inz00_1100 = 
VECTOR_REF(BgL_auxz00_9049,1L); } 
{ 
 obj_t BgL_auxz00_9057;
if(
VECTORP(BgL_opt1421z00_296))
{ /* Llib/block_ciphers.scm 836 */
BgL_auxz00_9057 = BgL_opt1421z00_296
; }  else 
{ 
 obj_t BgL_auxz00_9060;
BgL_auxz00_9060 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1421z00_296); 
FAILURE(BgL_auxz00_9060,BFALSE,BFALSE);} 
BgL_outz00_1101 = 
VECTOR_REF(BgL_auxz00_9057,2L); } 
{ 
 obj_t BgL_auxz00_9065;
if(
VECTORP(BgL_opt1421z00_296))
{ /* Llib/block_ciphers.scm 836 */
BgL_auxz00_9065 = BgL_opt1421z00_296
; }  else 
{ 
 obj_t BgL_auxz00_9068;
BgL_auxz00_9068 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1421z00_296); 
FAILURE(BgL_auxz00_9068,BFALSE,BFALSE);} 
BgL_passwordz00_1102 = 
VECTOR_REF(BgL_auxz00_9065,3L); } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_ivz00_1103;
BgL_ivz00_1103 = BFALSE; 
{ /* Llib/block_ciphers.scm 838 */
 obj_t BgL_modez00_1104;
BgL_modez00_1104 = 
((obj_t)
CNST_TABLE_REF(6)); 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_noncezd2initz12zc0_1105;
BgL_noncezd2initz12zc0_1105 = BFALSE; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_noncezd2updatez12zc0_1106;
BgL_noncezd2updatez12zc0_1106 = BFALSE; 
{ /* Llib/block_ciphers.scm 838 */
 obj_t BgL_padz00_1107;
BgL_padz00_1107 = 
((obj_t)
CNST_TABLE_REF(11)); 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_stringzd2ze3keyz31_1108;
BgL_stringzd2ze3keyz31_1108 = BFALSE; 
{ /* Llib/block_ciphers.scm 836 */

{ 
 long BgL_iz00_1109;
BgL_iz00_1109 = 4L; 
BgL_check1425z00_1110:
if(
(BgL_iz00_1109==BgL_l1423z00_1095))
{ /* Llib/block_ciphers.scm 836 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test4187z00_9079;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_arg2110z00_1116;
BgL_arg2110z00_1116 = 
VECTOR_REF(
((obj_t)BgL_opt1421z00_296),BgL_iz00_1109); 
BgL_test4187z00_9079 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2110z00_1116, 
((obj_t)
CNST_TABLE_REF(17)))); } 
if(BgL_test4187z00_9079)
{ 
 long BgL_iz00_9086;
BgL_iz00_9086 = 
(BgL_iz00_1109+2L); 
BgL_iz00_1109 = BgL_iz00_9086; 
goto BgL_check1425z00_1110;}  else 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_arg2109z00_1115;
BgL_arg2109z00_1115 = 
VECTOR_REF(
((obj_t)BgL_opt1421z00_296),BgL_iz00_1109); 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(30)), BGl_string3433z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2109z00_1115); } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_index1427z00_1117;
BgL_index1427z00_1117 = 
BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1423z00_1095, BgL_opt1421z00_296, 
((obj_t)
CNST_TABLE_REF(19)), 4L); 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test4188z00_9096;
{ /* Llib/block_ciphers.scm 836 */
 long BgL_n1z00_3101;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_9097;
if(
INTEGERP(BgL_index1427z00_1117))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_9097 = BgL_index1427z00_1117
; }  else 
{ 
 obj_t BgL_auxz00_9100;
BgL_auxz00_9100 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1427z00_1117); 
FAILURE(BgL_auxz00_9100,BFALSE,BFALSE);} 
BgL_n1z00_3101 = 
(long)CINT(BgL_tmpz00_9097); } 
BgL_test4188z00_9096 = 
(BgL_n1z00_3101>=0L); } 
if(BgL_test4188z00_9096)
{ 
 long BgL_auxz00_9113; obj_t BgL_auxz00_9106;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_9114;
if(
INTEGERP(BgL_index1427z00_1117))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_9114 = BgL_index1427z00_1117
; }  else 
{ 
 obj_t BgL_auxz00_9117;
BgL_auxz00_9117 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1427z00_1117); 
FAILURE(BgL_auxz00_9117,BFALSE,BFALSE);} 
BgL_auxz00_9113 = 
(long)CINT(BgL_tmpz00_9114); } 
if(
VECTORP(BgL_opt1421z00_296))
{ /* Llib/block_ciphers.scm 836 */
BgL_auxz00_9106 = BgL_opt1421z00_296
; }  else 
{ 
 obj_t BgL_auxz00_9109;
BgL_auxz00_9109 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1421z00_296); 
FAILURE(BgL_auxz00_9109,BFALSE,BFALSE);} 
BgL_ivz00_1103 = 
VECTOR_REF(BgL_auxz00_9106,BgL_auxz00_9113); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_index1428z00_1119;
BgL_index1428z00_1119 = 
BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1423z00_1095, BgL_opt1421z00_296, 
((obj_t)
CNST_TABLE_REF(20)), 4L); 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test4192z00_9126;
{ /* Llib/block_ciphers.scm 836 */
 long BgL_n1z00_3102;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_9127;
if(
INTEGERP(BgL_index1428z00_1119))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_9127 = BgL_index1428z00_1119
; }  else 
{ 
 obj_t BgL_auxz00_9130;
BgL_auxz00_9130 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1428z00_1119); 
FAILURE(BgL_auxz00_9130,BFALSE,BFALSE);} 
BgL_n1z00_3102 = 
(long)CINT(BgL_tmpz00_9127); } 
BgL_test4192z00_9126 = 
(BgL_n1z00_3102>=0L); } 
if(BgL_test4192z00_9126)
{ 
 long BgL_auxz00_9143; obj_t BgL_auxz00_9136;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_9144;
if(
INTEGERP(BgL_index1428z00_1119))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_9144 = BgL_index1428z00_1119
; }  else 
{ 
 obj_t BgL_auxz00_9147;
BgL_auxz00_9147 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1428z00_1119); 
FAILURE(BgL_auxz00_9147,BFALSE,BFALSE);} 
BgL_auxz00_9143 = 
(long)CINT(BgL_tmpz00_9144); } 
if(
VECTORP(BgL_opt1421z00_296))
{ /* Llib/block_ciphers.scm 836 */
BgL_auxz00_9136 = BgL_opt1421z00_296
; }  else 
{ 
 obj_t BgL_auxz00_9139;
BgL_auxz00_9139 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1421z00_296); 
FAILURE(BgL_auxz00_9139,BFALSE,BFALSE);} 
BgL_modez00_1104 = 
VECTOR_REF(BgL_auxz00_9136,BgL_auxz00_9143); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_index1429z00_1121;
BgL_index1429z00_1121 = 
BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1423z00_1095, BgL_opt1421z00_296, 
((obj_t)
CNST_TABLE_REF(21)), 4L); 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test4196z00_9156;
{ /* Llib/block_ciphers.scm 836 */
 long BgL_n1z00_3103;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_9157;
if(
INTEGERP(BgL_index1429z00_1121))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_9157 = BgL_index1429z00_1121
; }  else 
{ 
 obj_t BgL_auxz00_9160;
BgL_auxz00_9160 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1429z00_1121); 
FAILURE(BgL_auxz00_9160,BFALSE,BFALSE);} 
BgL_n1z00_3103 = 
(long)CINT(BgL_tmpz00_9157); } 
BgL_test4196z00_9156 = 
(BgL_n1z00_3103>=0L); } 
if(BgL_test4196z00_9156)
{ 
 long BgL_auxz00_9173; obj_t BgL_auxz00_9166;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_9174;
if(
INTEGERP(BgL_index1429z00_1121))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_9174 = BgL_index1429z00_1121
; }  else 
{ 
 obj_t BgL_auxz00_9177;
BgL_auxz00_9177 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1429z00_1121); 
FAILURE(BgL_auxz00_9177,BFALSE,BFALSE);} 
BgL_auxz00_9173 = 
(long)CINT(BgL_tmpz00_9174); } 
if(
VECTORP(BgL_opt1421z00_296))
{ /* Llib/block_ciphers.scm 836 */
BgL_auxz00_9166 = BgL_opt1421z00_296
; }  else 
{ 
 obj_t BgL_auxz00_9169;
BgL_auxz00_9169 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1421z00_296); 
FAILURE(BgL_auxz00_9169,BFALSE,BFALSE);} 
BgL_noncezd2initz12zc0_1105 = 
VECTOR_REF(BgL_auxz00_9166,BgL_auxz00_9173); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_index1430z00_1123;
BgL_index1430z00_1123 = 
BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1423z00_1095, BgL_opt1421z00_296, 
((obj_t)
CNST_TABLE_REF(22)), 4L); 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test4200z00_9186;
{ /* Llib/block_ciphers.scm 836 */
 long BgL_n1z00_3104;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_9187;
if(
INTEGERP(BgL_index1430z00_1123))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_9187 = BgL_index1430z00_1123
; }  else 
{ 
 obj_t BgL_auxz00_9190;
BgL_auxz00_9190 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1430z00_1123); 
FAILURE(BgL_auxz00_9190,BFALSE,BFALSE);} 
BgL_n1z00_3104 = 
(long)CINT(BgL_tmpz00_9187); } 
BgL_test4200z00_9186 = 
(BgL_n1z00_3104>=0L); } 
if(BgL_test4200z00_9186)
{ 
 long BgL_auxz00_9203; obj_t BgL_auxz00_9196;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_9204;
if(
INTEGERP(BgL_index1430z00_1123))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_9204 = BgL_index1430z00_1123
; }  else 
{ 
 obj_t BgL_auxz00_9207;
BgL_auxz00_9207 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1430z00_1123); 
FAILURE(BgL_auxz00_9207,BFALSE,BFALSE);} 
BgL_auxz00_9203 = 
(long)CINT(BgL_tmpz00_9204); } 
if(
VECTORP(BgL_opt1421z00_296))
{ /* Llib/block_ciphers.scm 836 */
BgL_auxz00_9196 = BgL_opt1421z00_296
; }  else 
{ 
 obj_t BgL_auxz00_9199;
BgL_auxz00_9199 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1421z00_296); 
FAILURE(BgL_auxz00_9199,BFALSE,BFALSE);} 
BgL_noncezd2updatez12zc0_1106 = 
VECTOR_REF(BgL_auxz00_9196,BgL_auxz00_9203); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_index1431z00_1125;
BgL_index1431z00_1125 = 
BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1423z00_1095, BgL_opt1421z00_296, 
((obj_t)
CNST_TABLE_REF(23)), 4L); 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test4204z00_9216;
{ /* Llib/block_ciphers.scm 836 */
 long BgL_n1z00_3105;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_9217;
if(
INTEGERP(BgL_index1431z00_1125))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_9217 = BgL_index1431z00_1125
; }  else 
{ 
 obj_t BgL_auxz00_9220;
BgL_auxz00_9220 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1431z00_1125); 
FAILURE(BgL_auxz00_9220,BFALSE,BFALSE);} 
BgL_n1z00_3105 = 
(long)CINT(BgL_tmpz00_9217); } 
BgL_test4204z00_9216 = 
(BgL_n1z00_3105>=0L); } 
if(BgL_test4204z00_9216)
{ 
 long BgL_auxz00_9233; obj_t BgL_auxz00_9226;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_9234;
if(
INTEGERP(BgL_index1431z00_1125))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_9234 = BgL_index1431z00_1125
; }  else 
{ 
 obj_t BgL_auxz00_9237;
BgL_auxz00_9237 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1431z00_1125); 
FAILURE(BgL_auxz00_9237,BFALSE,BFALSE);} 
BgL_auxz00_9233 = 
(long)CINT(BgL_tmpz00_9234); } 
if(
VECTORP(BgL_opt1421z00_296))
{ /* Llib/block_ciphers.scm 836 */
BgL_auxz00_9226 = BgL_opt1421z00_296
; }  else 
{ 
 obj_t BgL_auxz00_9229;
BgL_auxz00_9229 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1421z00_296); 
FAILURE(BgL_auxz00_9229,BFALSE,BFALSE);} 
BgL_padz00_1107 = 
VECTOR_REF(BgL_auxz00_9226,BgL_auxz00_9233); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_index1432z00_1127;
BgL_index1432z00_1127 = 
BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1423z00_1095, BgL_opt1421z00_296, 
((obj_t)
CNST_TABLE_REF(24)), 4L); 
{ /* Llib/block_ciphers.scm 836 */
 bool_t BgL_test4208z00_9246;
{ /* Llib/block_ciphers.scm 836 */
 long BgL_n1z00_3106;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_9247;
if(
INTEGERP(BgL_index1432z00_1127))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_9247 = BgL_index1432z00_1127
; }  else 
{ 
 obj_t BgL_auxz00_9250;
BgL_auxz00_9250 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1432z00_1127); 
FAILURE(BgL_auxz00_9250,BFALSE,BFALSE);} 
BgL_n1z00_3106 = 
(long)CINT(BgL_tmpz00_9247); } 
BgL_test4208z00_9246 = 
(BgL_n1z00_3106>=0L); } 
if(BgL_test4208z00_9246)
{ 
 long BgL_auxz00_9263; obj_t BgL_auxz00_9256;
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_tmpz00_9264;
if(
INTEGERP(BgL_index1432z00_1127))
{ /* Llib/block_ciphers.scm 836 */
BgL_tmpz00_9264 = BgL_index1432z00_1127
; }  else 
{ 
 obj_t BgL_auxz00_9267;
BgL_auxz00_9267 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1432z00_1127); 
FAILURE(BgL_auxz00_9267,BFALSE,BFALSE);} 
BgL_auxz00_9263 = 
(long)CINT(BgL_tmpz00_9264); } 
if(
VECTORP(BgL_opt1421z00_296))
{ /* Llib/block_ciphers.scm 836 */
BgL_auxz00_9256 = BgL_opt1421z00_296
; }  else 
{ 
 obj_t BgL_auxz00_9259;
BgL_auxz00_9259 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1421z00_296); 
FAILURE(BgL_auxz00_9259,BFALSE,BFALSE);} 
BgL_stringzd2ze3keyz31_1108 = 
VECTOR_REF(BgL_auxz00_9256,BgL_auxz00_9263); }  else 
{ /* Llib/block_ciphers.scm 836 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_arg2117z00_1129; obj_t BgL_arg2118z00_1130; obj_t BgL_arg2119z00_1131; obj_t BgL_arg2120z00_1132;
{ 
 obj_t BgL_auxz00_9273;
if(
VECTORP(BgL_opt1421z00_296))
{ /* Llib/block_ciphers.scm 836 */
BgL_auxz00_9273 = BgL_opt1421z00_296
; }  else 
{ 
 obj_t BgL_auxz00_9276;
BgL_auxz00_9276 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1421z00_296); 
FAILURE(BgL_auxz00_9276,BFALSE,BFALSE);} 
BgL_arg2117z00_1129 = 
VECTOR_REF(BgL_auxz00_9273,0L); } 
{ 
 obj_t BgL_auxz00_9281;
if(
VECTORP(BgL_opt1421z00_296))
{ /* Llib/block_ciphers.scm 836 */
BgL_auxz00_9281 = BgL_opt1421z00_296
; }  else 
{ 
 obj_t BgL_auxz00_9284;
BgL_auxz00_9284 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1421z00_296); 
FAILURE(BgL_auxz00_9284,BFALSE,BFALSE);} 
BgL_arg2118z00_1130 = 
VECTOR_REF(BgL_auxz00_9281,1L); } 
{ 
 obj_t BgL_auxz00_9289;
if(
VECTORP(BgL_opt1421z00_296))
{ /* Llib/block_ciphers.scm 836 */
BgL_auxz00_9289 = BgL_opt1421z00_296
; }  else 
{ 
 obj_t BgL_auxz00_9292;
BgL_auxz00_9292 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1421z00_296); 
FAILURE(BgL_auxz00_9292,BFALSE,BFALSE);} 
BgL_arg2119z00_1131 = 
VECTOR_REF(BgL_auxz00_9289,2L); } 
{ 
 obj_t BgL_auxz00_9297;
if(
VECTORP(BgL_opt1421z00_296))
{ /* Llib/block_ciphers.scm 836 */
BgL_auxz00_9297 = BgL_opt1421z00_296
; }  else 
{ 
 obj_t BgL_auxz00_9300;
BgL_auxz00_9300 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1421z00_296); 
FAILURE(BgL_auxz00_9300,BFALSE,BFALSE);} 
BgL_arg2120z00_1132 = 
VECTOR_REF(BgL_auxz00_9297,3L); } 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_ivz00_1133;
BgL_ivz00_1133 = BgL_ivz00_1103; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_modez00_1134;
BgL_modez00_1134 = BgL_modez00_1104; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_noncezd2initz12zc0_1135;
BgL_noncezd2initz12zc0_1135 = BgL_noncezd2initz12zc0_1105; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_noncezd2updatez12zc0_1136;
BgL_noncezd2updatez12zc0_1136 = BgL_noncezd2updatez12zc0_1106; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_padz00_1137;
BgL_padz00_1137 = BgL_padz00_1107; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_stringzd2ze3keyz31_1138;
BgL_stringzd2ze3keyz31_1138 = BgL_stringzd2ze3keyz31_1108; 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_cipherz00_3107; obj_t BgL_inz00_3108; obj_t BgL_outz00_3109; obj_t BgL_passwordz00_3110;
if(
SYMBOLP(BgL_arg2117z00_1129))
{ /* Llib/block_ciphers.scm 836 */
BgL_cipherz00_3107 = BgL_arg2117z00_1129; }  else 
{ 
 obj_t BgL_auxz00_9307;
BgL_auxz00_9307 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3434z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2117z00_1129); 
FAILURE(BgL_auxz00_9307,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg2118z00_1130))
{ /* Llib/block_ciphers.scm 836 */
BgL_inz00_3108 = BgL_arg2118z00_1130; }  else 
{ 
 obj_t BgL_auxz00_9313;
BgL_auxz00_9313 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3443z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2118z00_1130); 
FAILURE(BgL_auxz00_9313,BFALSE,BFALSE);} 
if(
OUTPUT_PORTP(BgL_arg2119z00_1131))
{ /* Llib/block_ciphers.scm 836 */
BgL_outz00_3109 = BgL_arg2119z00_1131; }  else 
{ 
 obj_t BgL_auxz00_9319;
BgL_auxz00_9319 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3450z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2119z00_1131); 
FAILURE(BgL_auxz00_9319,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2120z00_1132))
{ /* Llib/block_ciphers.scm 836 */
BgL_passwordz00_3110 = BgL_arg2120z00_1132; }  else 
{ 
 obj_t BgL_auxz00_9325;
BgL_auxz00_9325 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30291L), BGl_string3449z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2120z00_1132); 
FAILURE(BgL_auxz00_9325,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 841 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3111;
BgL_statez00_3111 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3107, BgL_passwordz00_3110, BgL_ivz00_1133, BgL_modez00_1134, BgL_padz00_1137, BgL_noncezd2initz12zc0_1135, BgL_noncezd2updatez12zc0_1136, BgL_stringzd2ze3keyz31_1138); 
return 
BINT(
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3111, BgL_inz00_3108, 0L, BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_3109, 0L, BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } } } } } } } } } } } } } } } } } } 

}



/* search1424~0 */
obj_t BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1423z00_5098, obj_t BgL_opt1421z00_5097, obj_t BgL_k1z00_1096, long BgL_iz00_1097)
{
{ /* Llib/block_ciphers.scm 836 */
BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1097==BgL_l1423z00_5098))
{ /* Llib/block_ciphers.scm 836 */
return 
BINT((-1L));}  else 
{ /* Llib/block_ciphers.scm 836 */
if(
(BgL_iz00_1097==
(BgL_l1423z00_5098-1L)))
{ /* Llib/block_ciphers.scm 836 */
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(30)), BGl_string3451z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1421z00_5097)));}  else 
{ /* Llib/block_ciphers.scm 836 */
 obj_t BgL_vz00_1143;
BgL_vz00_1143 = 
VECTOR_REF(BgL_opt1421z00_5097,BgL_iz00_1097); 
if(
(BgL_vz00_1143==BgL_k1z00_1096))
{ /* Llib/block_ciphers.scm 836 */
return 
BINT(
(BgL_iz00_1097+1L));}  else 
{ 
 long BgL_iz00_9348;
BgL_iz00_9348 = 
(BgL_iz00_1097+2L); 
BgL_iz00_1097 = BgL_iz00_9348; 
goto BGl_search1424ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* encrypt-sendchars */
BGL_EXPORTED_DEF obj_t BGl_encryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_286, obj_t BgL_inz00_287, obj_t BgL_outz00_288, obj_t BgL_passwordz00_289, obj_t BgL_ivz00_290, obj_t BgL_modez00_291, obj_t BgL_noncezd2initz12zc0_292, obj_t BgL_noncezd2updatez12zc0_293, obj_t BgL_padz00_294, obj_t BgL_stringzd2ze3keyz31_295)
{
{ /* Llib/block_ciphers.scm 836 */
{ /* Llib/block_ciphers.scm 841 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3112;
BgL_statez00_3112 = 
BGl_createzd2encryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_286, BgL_passwordz00_289, BgL_ivz00_290, BgL_modez00_291, BgL_padz00_294, BgL_noncezd2initz12zc0_292, BgL_noncezd2updatez12zc0_293, BgL_stringzd2ze3keyz31_295); 
return 
BINT(
BGl_encryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3112, BgL_inz00_287, 0L, BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_288, 0L, BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } 

}



/* _decrypt */
obj_t BGl__decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1434z00_308, obj_t BgL_opt1433z00_307)
{
{ /* Llib/block_ciphers.scm 850 */
{ /* Llib/block_ciphers.scm 850 */
 long BgL_l1435z00_1147;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_vectorz00_3113;
if(
VECTORP(BgL_opt1433z00_307))
{ /* Llib/block_ciphers.scm 850 */
BgL_vectorz00_3113 = BgL_opt1433z00_307; }  else 
{ 
 obj_t BgL_auxz00_9355;
BgL_auxz00_9355 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1433z00_307); 
FAILURE(BgL_auxz00_9355,BFALSE,BFALSE);} 
BgL_l1435z00_1147 = 
VECTOR_LENGTH(BgL_vectorz00_3113); } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_cipherz00_1151; obj_t BgL_ciphertextz00_1152; obj_t BgL_passwordz00_1153;
{ 
 obj_t BgL_auxz00_9360;
if(
VECTORP(BgL_opt1433z00_307))
{ /* Llib/block_ciphers.scm 850 */
BgL_auxz00_9360 = BgL_opt1433z00_307
; }  else 
{ 
 obj_t BgL_auxz00_9363;
BgL_auxz00_9363 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1433z00_307); 
FAILURE(BgL_auxz00_9363,BFALSE,BFALSE);} 
BgL_cipherz00_1151 = 
VECTOR_REF(BgL_auxz00_9360,0L); } 
{ 
 obj_t BgL_auxz00_9368;
if(
VECTORP(BgL_opt1433z00_307))
{ /* Llib/block_ciphers.scm 850 */
BgL_auxz00_9368 = BgL_opt1433z00_307
; }  else 
{ 
 obj_t BgL_auxz00_9371;
BgL_auxz00_9371 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1433z00_307); 
FAILURE(BgL_auxz00_9371,BFALSE,BFALSE);} 
BgL_ciphertextz00_1152 = 
VECTOR_REF(BgL_auxz00_9368,1L); } 
{ 
 obj_t BgL_auxz00_9376;
if(
VECTORP(BgL_opt1433z00_307))
{ /* Llib/block_ciphers.scm 850 */
BgL_auxz00_9376 = BgL_opt1433z00_307
; }  else 
{ 
 obj_t BgL_auxz00_9379;
BgL_auxz00_9379 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1433z00_307); 
FAILURE(BgL_auxz00_9379,BFALSE,BFALSE);} 
BgL_passwordz00_1153 = 
VECTOR_REF(BgL_auxz00_9376,2L); } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_ivz00_1154;
BgL_ivz00_1154 = BFALSE; 
{ /* Llib/block_ciphers.scm 851 */
 obj_t BgL_modez00_1155;
BgL_modez00_1155 = 
((obj_t)
CNST_TABLE_REF(6)); 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_noncezd2initz12zc0_1156;
BgL_noncezd2initz12zc0_1156 = BFALSE; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_noncezd2updatez12zc0_1157;
BgL_noncezd2updatez12zc0_1157 = BFALSE; 
{ /* Llib/block_ciphers.scm 851 */
 obj_t BgL_padz00_1158;
BgL_padz00_1158 = 
((obj_t)
CNST_TABLE_REF(11)); 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_stringzd2ze3keyz31_1159;
BgL_stringzd2ze3keyz31_1159 = BFALSE; 
{ /* Llib/block_ciphers.scm 850 */

{ 
 long BgL_iz00_1160;
BgL_iz00_1160 = 3L; 
BgL_check1437z00_1161:
if(
(BgL_iz00_1160==BgL_l1435z00_1147))
{ /* Llib/block_ciphers.scm 850 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test4228z00_9390;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_arg2132z00_1167;
BgL_arg2132z00_1167 = 
VECTOR_REF(
((obj_t)BgL_opt1433z00_307),BgL_iz00_1160); 
BgL_test4228z00_9390 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2132z00_1167, 
((obj_t)
CNST_TABLE_REF(17)))); } 
if(BgL_test4228z00_9390)
{ 
 long BgL_iz00_9397;
BgL_iz00_9397 = 
(BgL_iz00_1160+2L); 
BgL_iz00_1160 = BgL_iz00_9397; 
goto BgL_check1437z00_1161;}  else 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_arg2131z00_1166;
BgL_arg2131z00_1166 = 
VECTOR_REF(
((obj_t)BgL_opt1433z00_307),BgL_iz00_1160); 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(31)), BGl_string3433z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2131z00_1166); } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_index1439z00_1168;
BgL_index1439z00_1168 = 
BGl_search1436ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1435z00_1147, BgL_opt1433z00_307, 
((obj_t)
CNST_TABLE_REF(19)), 3L); 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test4229z00_9407;
{ /* Llib/block_ciphers.scm 850 */
 long BgL_n1z00_3128;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_9408;
if(
INTEGERP(BgL_index1439z00_1168))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9408 = BgL_index1439z00_1168
; }  else 
{ 
 obj_t BgL_auxz00_9411;
BgL_auxz00_9411 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1439z00_1168); 
FAILURE(BgL_auxz00_9411,BFALSE,BFALSE);} 
BgL_n1z00_3128 = 
(long)CINT(BgL_tmpz00_9408); } 
BgL_test4229z00_9407 = 
(BgL_n1z00_3128>=0L); } 
if(BgL_test4229z00_9407)
{ 
 long BgL_auxz00_9424; obj_t BgL_auxz00_9417;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_9425;
if(
INTEGERP(BgL_index1439z00_1168))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9425 = BgL_index1439z00_1168
; }  else 
{ 
 obj_t BgL_auxz00_9428;
BgL_auxz00_9428 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1439z00_1168); 
FAILURE(BgL_auxz00_9428,BFALSE,BFALSE);} 
BgL_auxz00_9424 = 
(long)CINT(BgL_tmpz00_9425); } 
if(
VECTORP(BgL_opt1433z00_307))
{ /* Llib/block_ciphers.scm 850 */
BgL_auxz00_9417 = BgL_opt1433z00_307
; }  else 
{ 
 obj_t BgL_auxz00_9420;
BgL_auxz00_9420 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1433z00_307); 
FAILURE(BgL_auxz00_9420,BFALSE,BFALSE);} 
BgL_ivz00_1154 = 
VECTOR_REF(BgL_auxz00_9417,BgL_auxz00_9424); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_index1440z00_1170;
BgL_index1440z00_1170 = 
BGl_search1436ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1435z00_1147, BgL_opt1433z00_307, 
((obj_t)
CNST_TABLE_REF(20)), 3L); 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test4233z00_9437;
{ /* Llib/block_ciphers.scm 850 */
 long BgL_n1z00_3129;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_9438;
if(
INTEGERP(BgL_index1440z00_1170))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9438 = BgL_index1440z00_1170
; }  else 
{ 
 obj_t BgL_auxz00_9441;
BgL_auxz00_9441 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1440z00_1170); 
FAILURE(BgL_auxz00_9441,BFALSE,BFALSE);} 
BgL_n1z00_3129 = 
(long)CINT(BgL_tmpz00_9438); } 
BgL_test4233z00_9437 = 
(BgL_n1z00_3129>=0L); } 
if(BgL_test4233z00_9437)
{ 
 long BgL_auxz00_9454; obj_t BgL_auxz00_9447;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_9455;
if(
INTEGERP(BgL_index1440z00_1170))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9455 = BgL_index1440z00_1170
; }  else 
{ 
 obj_t BgL_auxz00_9458;
BgL_auxz00_9458 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1440z00_1170); 
FAILURE(BgL_auxz00_9458,BFALSE,BFALSE);} 
BgL_auxz00_9454 = 
(long)CINT(BgL_tmpz00_9455); } 
if(
VECTORP(BgL_opt1433z00_307))
{ /* Llib/block_ciphers.scm 850 */
BgL_auxz00_9447 = BgL_opt1433z00_307
; }  else 
{ 
 obj_t BgL_auxz00_9450;
BgL_auxz00_9450 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1433z00_307); 
FAILURE(BgL_auxz00_9450,BFALSE,BFALSE);} 
BgL_modez00_1155 = 
VECTOR_REF(BgL_auxz00_9447,BgL_auxz00_9454); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_index1441z00_1172;
BgL_index1441z00_1172 = 
BGl_search1436ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1435z00_1147, BgL_opt1433z00_307, 
((obj_t)
CNST_TABLE_REF(21)), 3L); 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test4237z00_9467;
{ /* Llib/block_ciphers.scm 850 */
 long BgL_n1z00_3130;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_9468;
if(
INTEGERP(BgL_index1441z00_1172))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9468 = BgL_index1441z00_1172
; }  else 
{ 
 obj_t BgL_auxz00_9471;
BgL_auxz00_9471 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1441z00_1172); 
FAILURE(BgL_auxz00_9471,BFALSE,BFALSE);} 
BgL_n1z00_3130 = 
(long)CINT(BgL_tmpz00_9468); } 
BgL_test4237z00_9467 = 
(BgL_n1z00_3130>=0L); } 
if(BgL_test4237z00_9467)
{ 
 long BgL_auxz00_9484; obj_t BgL_auxz00_9477;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_9485;
if(
INTEGERP(BgL_index1441z00_1172))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9485 = BgL_index1441z00_1172
; }  else 
{ 
 obj_t BgL_auxz00_9488;
BgL_auxz00_9488 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1441z00_1172); 
FAILURE(BgL_auxz00_9488,BFALSE,BFALSE);} 
BgL_auxz00_9484 = 
(long)CINT(BgL_tmpz00_9485); } 
if(
VECTORP(BgL_opt1433z00_307))
{ /* Llib/block_ciphers.scm 850 */
BgL_auxz00_9477 = BgL_opt1433z00_307
; }  else 
{ 
 obj_t BgL_auxz00_9480;
BgL_auxz00_9480 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1433z00_307); 
FAILURE(BgL_auxz00_9480,BFALSE,BFALSE);} 
BgL_noncezd2initz12zc0_1156 = 
VECTOR_REF(BgL_auxz00_9477,BgL_auxz00_9484); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_index1442z00_1174;
BgL_index1442z00_1174 = 
BGl_search1436ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1435z00_1147, BgL_opt1433z00_307, 
((obj_t)
CNST_TABLE_REF(22)), 3L); 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test4241z00_9497;
{ /* Llib/block_ciphers.scm 850 */
 long BgL_n1z00_3131;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_9498;
if(
INTEGERP(BgL_index1442z00_1174))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9498 = BgL_index1442z00_1174
; }  else 
{ 
 obj_t BgL_auxz00_9501;
BgL_auxz00_9501 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1442z00_1174); 
FAILURE(BgL_auxz00_9501,BFALSE,BFALSE);} 
BgL_n1z00_3131 = 
(long)CINT(BgL_tmpz00_9498); } 
BgL_test4241z00_9497 = 
(BgL_n1z00_3131>=0L); } 
if(BgL_test4241z00_9497)
{ 
 long BgL_auxz00_9514; obj_t BgL_auxz00_9507;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_9515;
if(
INTEGERP(BgL_index1442z00_1174))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9515 = BgL_index1442z00_1174
; }  else 
{ 
 obj_t BgL_auxz00_9518;
BgL_auxz00_9518 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1442z00_1174); 
FAILURE(BgL_auxz00_9518,BFALSE,BFALSE);} 
BgL_auxz00_9514 = 
(long)CINT(BgL_tmpz00_9515); } 
if(
VECTORP(BgL_opt1433z00_307))
{ /* Llib/block_ciphers.scm 850 */
BgL_auxz00_9507 = BgL_opt1433z00_307
; }  else 
{ 
 obj_t BgL_auxz00_9510;
BgL_auxz00_9510 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1433z00_307); 
FAILURE(BgL_auxz00_9510,BFALSE,BFALSE);} 
BgL_noncezd2updatez12zc0_1157 = 
VECTOR_REF(BgL_auxz00_9507,BgL_auxz00_9514); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_index1443z00_1176;
BgL_index1443z00_1176 = 
BGl_search1436ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1435z00_1147, BgL_opt1433z00_307, 
((obj_t)
CNST_TABLE_REF(23)), 3L); 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test4245z00_9527;
{ /* Llib/block_ciphers.scm 850 */
 long BgL_n1z00_3132;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_9528;
if(
INTEGERP(BgL_index1443z00_1176))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9528 = BgL_index1443z00_1176
; }  else 
{ 
 obj_t BgL_auxz00_9531;
BgL_auxz00_9531 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1443z00_1176); 
FAILURE(BgL_auxz00_9531,BFALSE,BFALSE);} 
BgL_n1z00_3132 = 
(long)CINT(BgL_tmpz00_9528); } 
BgL_test4245z00_9527 = 
(BgL_n1z00_3132>=0L); } 
if(BgL_test4245z00_9527)
{ 
 long BgL_auxz00_9544; obj_t BgL_auxz00_9537;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_9545;
if(
INTEGERP(BgL_index1443z00_1176))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9545 = BgL_index1443z00_1176
; }  else 
{ 
 obj_t BgL_auxz00_9548;
BgL_auxz00_9548 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1443z00_1176); 
FAILURE(BgL_auxz00_9548,BFALSE,BFALSE);} 
BgL_auxz00_9544 = 
(long)CINT(BgL_tmpz00_9545); } 
if(
VECTORP(BgL_opt1433z00_307))
{ /* Llib/block_ciphers.scm 850 */
BgL_auxz00_9537 = BgL_opt1433z00_307
; }  else 
{ 
 obj_t BgL_auxz00_9540;
BgL_auxz00_9540 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1433z00_307); 
FAILURE(BgL_auxz00_9540,BFALSE,BFALSE);} 
BgL_padz00_1158 = 
VECTOR_REF(BgL_auxz00_9537,BgL_auxz00_9544); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_index1444z00_1178;
BgL_index1444z00_1178 = 
BGl_search1436ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1435z00_1147, BgL_opt1433z00_307, 
((obj_t)
CNST_TABLE_REF(24)), 3L); 
{ /* Llib/block_ciphers.scm 850 */
 bool_t BgL_test4249z00_9557;
{ /* Llib/block_ciphers.scm 850 */
 long BgL_n1z00_3133;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_9558;
if(
INTEGERP(BgL_index1444z00_1178))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9558 = BgL_index1444z00_1178
; }  else 
{ 
 obj_t BgL_auxz00_9561;
BgL_auxz00_9561 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1444z00_1178); 
FAILURE(BgL_auxz00_9561,BFALSE,BFALSE);} 
BgL_n1z00_3133 = 
(long)CINT(BgL_tmpz00_9558); } 
BgL_test4249z00_9557 = 
(BgL_n1z00_3133>=0L); } 
if(BgL_test4249z00_9557)
{ 
 long BgL_auxz00_9574; obj_t BgL_auxz00_9567;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_tmpz00_9575;
if(
INTEGERP(BgL_index1444z00_1178))
{ /* Llib/block_ciphers.scm 850 */
BgL_tmpz00_9575 = BgL_index1444z00_1178
; }  else 
{ 
 obj_t BgL_auxz00_9578;
BgL_auxz00_9578 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1444z00_1178); 
FAILURE(BgL_auxz00_9578,BFALSE,BFALSE);} 
BgL_auxz00_9574 = 
(long)CINT(BgL_tmpz00_9575); } 
if(
VECTORP(BgL_opt1433z00_307))
{ /* Llib/block_ciphers.scm 850 */
BgL_auxz00_9567 = BgL_opt1433z00_307
; }  else 
{ 
 obj_t BgL_auxz00_9570;
BgL_auxz00_9570 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1433z00_307); 
FAILURE(BgL_auxz00_9570,BFALSE,BFALSE);} 
BgL_stringzd2ze3keyz31_1159 = 
VECTOR_REF(BgL_auxz00_9567,BgL_auxz00_9574); }  else 
{ /* Llib/block_ciphers.scm 850 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_arg2139z00_1180; obj_t BgL_arg2140z00_1181; obj_t BgL_arg2141z00_1182;
{ 
 obj_t BgL_auxz00_9584;
if(
VECTORP(BgL_opt1433z00_307))
{ /* Llib/block_ciphers.scm 850 */
BgL_auxz00_9584 = BgL_opt1433z00_307
; }  else 
{ 
 obj_t BgL_auxz00_9587;
BgL_auxz00_9587 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1433z00_307); 
FAILURE(BgL_auxz00_9587,BFALSE,BFALSE);} 
BgL_arg2139z00_1180 = 
VECTOR_REF(BgL_auxz00_9584,0L); } 
{ 
 obj_t BgL_auxz00_9592;
if(
VECTORP(BgL_opt1433z00_307))
{ /* Llib/block_ciphers.scm 850 */
BgL_auxz00_9592 = BgL_opt1433z00_307
; }  else 
{ 
 obj_t BgL_auxz00_9595;
BgL_auxz00_9595 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1433z00_307); 
FAILURE(BgL_auxz00_9595,BFALSE,BFALSE);} 
BgL_arg2140z00_1181 = 
VECTOR_REF(BgL_auxz00_9592,1L); } 
{ 
 obj_t BgL_auxz00_9600;
if(
VECTORP(BgL_opt1433z00_307))
{ /* Llib/block_ciphers.scm 850 */
BgL_auxz00_9600 = BgL_opt1433z00_307
; }  else 
{ 
 obj_t BgL_auxz00_9603;
BgL_auxz00_9603 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1433z00_307); 
FAILURE(BgL_auxz00_9603,BFALSE,BFALSE);} 
BgL_arg2141z00_1182 = 
VECTOR_REF(BgL_auxz00_9600,2L); } 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_ivz00_1183;
BgL_ivz00_1183 = BgL_ivz00_1154; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_modez00_1184;
BgL_modez00_1184 = BgL_modez00_1155; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_noncezd2initz12zc0_1185;
BgL_noncezd2initz12zc0_1185 = BgL_noncezd2initz12zc0_1156; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_noncezd2updatez12zc0_1186;
BgL_noncezd2updatez12zc0_1186 = BgL_noncezd2updatez12zc0_1157; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_padz00_1187;
BgL_padz00_1187 = BgL_padz00_1158; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_stringzd2ze3keyz31_1188;
BgL_stringzd2ze3keyz31_1188 = BgL_stringzd2ze3keyz31_1159; 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_res2743z00_3142;
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_cipherz00_3134; obj_t BgL_passwordz00_3135;
if(
SYMBOLP(BgL_arg2139z00_1180))
{ /* Llib/block_ciphers.scm 850 */
BgL_cipherz00_3134 = BgL_arg2139z00_1180; }  else 
{ 
 obj_t BgL_auxz00_9610;
BgL_auxz00_9610 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3434z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2139z00_1180); 
FAILURE(BgL_auxz00_9610,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2141z00_1182))
{ /* Llib/block_ciphers.scm 850 */
BgL_passwordz00_3135 = BgL_arg2141z00_1182; }  else 
{ 
 obj_t BgL_auxz00_9616;
BgL_auxz00_9616 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(30777L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2141z00_1182); 
FAILURE(BgL_auxz00_9616,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 854 */
 obj_t BgL_redirectz00_3136;
if(
STRINGP(BgL_arg2140z00_1181))
{ /* Llib/block_ciphers.scm 855 */
BgL_redirectz00_3136 = BGl_decryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 855 */
if(
BGL_MMAPP(BgL_arg2140z00_1181))
{ /* Llib/block_ciphers.scm 856 */
BgL_redirectz00_3136 = BGl_decryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
 bool_t BgL_test4260z00_9624;
{ /* Llib/block_ciphers.scm 857 */
 bool_t BgL__ortest_1056z00_3140;
BgL__ortest_1056z00_3140 = 
OUTPUT_PORTP(BgL_arg2140z00_1181); 
if(BgL__ortest_1056z00_3140)
{ /* Llib/block_ciphers.scm 857 */
BgL_test4260z00_9624 = BgL__ortest_1056z00_3140
; }  else 
{ /* Llib/block_ciphers.scm 857 */
BgL_test4260z00_9624 = 
INPUT_PORTP(BgL_arg2140z00_1181)
; } } 
if(BgL_test4260z00_9624)
{ /* Llib/block_ciphers.scm 857 */
BgL_redirectz00_3136 = BGl_decryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
((obj_t)
CNST_TABLE_REF(32)); 
BgL_redirectz00_3136 = BgL_arg2140z00_1181; } } } 
{ /* Llib/block_ciphers.scm 861 */
 obj_t BgL_aux3137z00_5451;
{ /* Llib/block_ciphers.scm 861 */
 obj_t BgL_tmpfunz00_9641;
{ /* Llib/block_ciphers.scm 861 */
 bool_t BgL_test3136z00_5450;
BgL_test3136z00_5450 = 
PROCEDUREP(BgL_redirectz00_3136); 
if(BgL_test3136z00_5450)
{ /* Llib/block_ciphers.scm 861 */
BgL_tmpfunz00_9641 = BgL_redirectz00_3136
; }  else 
{ 
 obj_t BgL_auxz00_9644;
BgL_auxz00_9644 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31193L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3435z00zz__cryptozd2blockzd2ciphersz00, BgL_redirectz00_3136); 
FAILURE(BgL_auxz00_9644,BFALSE,BFALSE);} } 
BgL_aux3137z00_5451 = 
(VA_PROCEDUREP( BgL_tmpfunz00_9641 ) ? ((obj_t (*)(obj_t, ...))PROCEDURE_ENTRY(BgL_tmpfunz00_9641))(BgL_redirectz00_3136, BgL_cipherz00_3134, BgL_arg2140z00_1181, BgL_passwordz00_3135, BgL_ivz00_1183, BgL_modez00_1184, BgL_padz00_1187, BgL_noncezd2initz12zc0_1185, BgL_noncezd2updatez12zc0_1186, BgL_stringzd2ze3keyz31_1188, BEOA) : ((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_tmpfunz00_9641))(BgL_redirectz00_3136, BgL_cipherz00_3134, BgL_arg2140z00_1181, BgL_passwordz00_3135, BgL_ivz00_1183, BgL_modez00_1184, BgL_padz00_1187, BgL_noncezd2initz12zc0_1185, BgL_noncezd2updatez12zc0_1186, BgL_stringzd2ze3keyz31_1188) ); } 
if(
STRINGP(BgL_aux3137z00_5451))
{ /* Llib/block_ciphers.scm 861 */
BgL_res2743z00_3142 = BgL_aux3137z00_5451; }  else 
{ 
 obj_t BgL_auxz00_9650;
BgL_auxz00_9650 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31193L), BGl_string3452z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_aux3137z00_5451); 
FAILURE(BgL_auxz00_9650,BFALSE,BFALSE);} } } } 
return BgL_res2743z00_3142;} } } } } } } } } } } } } } } } } } 

}



/* search1436~0 */
obj_t BGl_search1436ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1435z00_5096, obj_t BgL_opt1433z00_5095, obj_t BgL_k1z00_1148, long BgL_iz00_1149)
{
{ /* Llib/block_ciphers.scm 850 */
BGl_search1436ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1149==BgL_l1435z00_5096))
{ /* Llib/block_ciphers.scm 850 */
return 
BINT((-1L));}  else 
{ /* Llib/block_ciphers.scm 850 */
if(
(BgL_iz00_1149==
(BgL_l1435z00_5096-1L)))
{ /* Llib/block_ciphers.scm 850 */
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(31)), BGl_string3436z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1433z00_5095)));}  else 
{ /* Llib/block_ciphers.scm 850 */
 obj_t BgL_vz00_1193;
BgL_vz00_1193 = 
VECTOR_REF(BgL_opt1433z00_5095,BgL_iz00_1149); 
if(
(BgL_vz00_1193==BgL_k1z00_1148))
{ /* Llib/block_ciphers.scm 850 */
return 
BINT(
(BgL_iz00_1149+1L));}  else 
{ 
 long BgL_iz00_9670;
BgL_iz00_9670 = 
(BgL_iz00_1149+2L); 
BgL_iz00_1149 = BgL_iz00_9670; 
goto BGl_search1436ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt */
BGL_EXPORTED_DEF obj_t BGl_decryptz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_298, obj_t BgL_ciphertextz00_299, obj_t BgL_passwordz00_300, obj_t BgL_ivz00_301, obj_t BgL_modez00_302, obj_t BgL_noncezd2initz12zc0_303, obj_t BgL_noncezd2updatez12zc0_304, obj_t BgL_padz00_305, obj_t BgL_stringzd2ze3keyz31_306)
{
{ /* Llib/block_ciphers.scm 850 */
{ /* Llib/block_ciphers.scm 854 */
 obj_t BgL_redirectz00_3143;
if(
STRINGP(BgL_ciphertextz00_299))
{ /* Llib/block_ciphers.scm 855 */
BgL_redirectz00_3143 = BGl_decryptzd2fastzd2stringzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 855 */
if(
BGL_MMAPP(BgL_ciphertextz00_299))
{ /* Llib/block_ciphers.scm 856 */
BgL_redirectz00_3143 = BGl_decryptzd2fastzd2mmapzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
 bool_t BgL_test4269z00_9676;
{ /* Llib/block_ciphers.scm 857 */
 bool_t BgL__ortest_1056z00_3147;
BgL__ortest_1056z00_3147 = 
OUTPUT_PORTP(BgL_ciphertextz00_299); 
if(BgL__ortest_1056z00_3147)
{ /* Llib/block_ciphers.scm 857 */
BgL_test4269z00_9676 = BgL__ortest_1056z00_3147
; }  else 
{ /* Llib/block_ciphers.scm 857 */
BgL_test4269z00_9676 = 
INPUT_PORTP(BgL_ciphertextz00_299)
; } } 
if(BgL_test4269z00_9676)
{ /* Llib/block_ciphers.scm 857 */
BgL_redirectz00_3143 = BGl_decryptzd2fastzd2portzd2envzd2zz__cryptozd2blockzd2ciphersz00; }  else 
{ /* Llib/block_ciphers.scm 857 */
((obj_t)
CNST_TABLE_REF(32)); 
BgL_redirectz00_3143 = BgL_ciphertextz00_299; } } } 
return 
BGL_PROCEDURE_CALL9(BgL_redirectz00_3143, BgL_cipherz00_298, BgL_ciphertextz00_299, BgL_passwordz00_300, BgL_ivz00_301, BgL_modez00_302, BgL_padz00_305, BgL_noncezd2initz12zc0_303, BgL_noncezd2updatez12zc0_304, BgL_stringzd2ze3keyz31_306);} } 

}



/* _decrypt-string */
obj_t BGl__decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1446z00_319, obj_t BgL_opt1445z00_318)
{
{ /* Llib/block_ciphers.scm 864 */
{ /* Llib/block_ciphers.scm 864 */
 long BgL_l1447z00_1200;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_vectorz00_3149;
if(
VECTORP(BgL_opt1445z00_318))
{ /* Llib/block_ciphers.scm 864 */
BgL_vectorz00_3149 = BgL_opt1445z00_318; }  else 
{ 
 obj_t BgL_auxz00_9696;
BgL_auxz00_9696 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1445z00_318); 
FAILURE(BgL_auxz00_9696,BFALSE,BFALSE);} 
BgL_l1447z00_1200 = 
VECTOR_LENGTH(BgL_vectorz00_3149); } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_cipherz00_1204; obj_t BgL_ciphertextz00_1205; obj_t BgL_passwordz00_1206;
{ 
 obj_t BgL_auxz00_9701;
if(
VECTORP(BgL_opt1445z00_318))
{ /* Llib/block_ciphers.scm 864 */
BgL_auxz00_9701 = BgL_opt1445z00_318
; }  else 
{ 
 obj_t BgL_auxz00_9704;
BgL_auxz00_9704 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1445z00_318); 
FAILURE(BgL_auxz00_9704,BFALSE,BFALSE);} 
BgL_cipherz00_1204 = 
VECTOR_REF(BgL_auxz00_9701,0L); } 
{ 
 obj_t BgL_auxz00_9709;
if(
VECTORP(BgL_opt1445z00_318))
{ /* Llib/block_ciphers.scm 864 */
BgL_auxz00_9709 = BgL_opt1445z00_318
; }  else 
{ 
 obj_t BgL_auxz00_9712;
BgL_auxz00_9712 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1445z00_318); 
FAILURE(BgL_auxz00_9712,BFALSE,BFALSE);} 
BgL_ciphertextz00_1205 = 
VECTOR_REF(BgL_auxz00_9709,1L); } 
{ 
 obj_t BgL_auxz00_9717;
if(
VECTORP(BgL_opt1445z00_318))
{ /* Llib/block_ciphers.scm 864 */
BgL_auxz00_9717 = BgL_opt1445z00_318
; }  else 
{ 
 obj_t BgL_auxz00_9720;
BgL_auxz00_9720 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1445z00_318); 
FAILURE(BgL_auxz00_9720,BFALSE,BFALSE);} 
BgL_passwordz00_1206 = 
VECTOR_REF(BgL_auxz00_9717,2L); } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_ivz00_1207;
BgL_ivz00_1207 = BFALSE; 
{ /* Llib/block_ciphers.scm 865 */
 obj_t BgL_modez00_1208;
BgL_modez00_1208 = 
((obj_t)
CNST_TABLE_REF(6)); 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_noncezd2initz12zc0_1209;
BgL_noncezd2initz12zc0_1209 = BFALSE; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_noncezd2updatez12zc0_1210;
BgL_noncezd2updatez12zc0_1210 = BFALSE; 
{ /* Llib/block_ciphers.scm 865 */
 obj_t BgL_padz00_1211;
BgL_padz00_1211 = 
((obj_t)
CNST_TABLE_REF(11)); 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_stringzd2ze3keyz31_1212;
BgL_stringzd2ze3keyz31_1212 = BFALSE; 
{ /* Llib/block_ciphers.scm 864 */

{ 
 long BgL_iz00_1213;
BgL_iz00_1213 = 3L; 
BgL_check1449z00_1214:
if(
(BgL_iz00_1213==BgL_l1447z00_1200))
{ /* Llib/block_ciphers.scm 864 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test4276z00_9731;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_arg2156z00_1220;
BgL_arg2156z00_1220 = 
VECTOR_REF(
((obj_t)BgL_opt1445z00_318),BgL_iz00_1213); 
BgL_test4276z00_9731 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2156z00_1220, 
((obj_t)
CNST_TABLE_REF(17)))); } 
if(BgL_test4276z00_9731)
{ 
 long BgL_iz00_9738;
BgL_iz00_9738 = 
(BgL_iz00_1213+2L); 
BgL_iz00_1213 = BgL_iz00_9738; 
goto BgL_check1449z00_1214;}  else 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_arg2155z00_1219;
BgL_arg2155z00_1219 = 
VECTOR_REF(
((obj_t)BgL_opt1445z00_318),BgL_iz00_1213); 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(33)), BGl_string3433z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2155z00_1219); } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_index1451z00_1221;
BgL_index1451z00_1221 = 
BGl_search1448ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1447z00_1200, BgL_opt1445z00_318, 
((obj_t)
CNST_TABLE_REF(19)), 3L); 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test4277z00_9748;
{ /* Llib/block_ciphers.scm 864 */
 long BgL_n1z00_3164;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_9749;
if(
INTEGERP(BgL_index1451z00_1221))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9749 = BgL_index1451z00_1221
; }  else 
{ 
 obj_t BgL_auxz00_9752;
BgL_auxz00_9752 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1451z00_1221); 
FAILURE(BgL_auxz00_9752,BFALSE,BFALSE);} 
BgL_n1z00_3164 = 
(long)CINT(BgL_tmpz00_9749); } 
BgL_test4277z00_9748 = 
(BgL_n1z00_3164>=0L); } 
if(BgL_test4277z00_9748)
{ 
 long BgL_auxz00_9765; obj_t BgL_auxz00_9758;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_9766;
if(
INTEGERP(BgL_index1451z00_1221))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9766 = BgL_index1451z00_1221
; }  else 
{ 
 obj_t BgL_auxz00_9769;
BgL_auxz00_9769 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1451z00_1221); 
FAILURE(BgL_auxz00_9769,BFALSE,BFALSE);} 
BgL_auxz00_9765 = 
(long)CINT(BgL_tmpz00_9766); } 
if(
VECTORP(BgL_opt1445z00_318))
{ /* Llib/block_ciphers.scm 864 */
BgL_auxz00_9758 = BgL_opt1445z00_318
; }  else 
{ 
 obj_t BgL_auxz00_9761;
BgL_auxz00_9761 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1445z00_318); 
FAILURE(BgL_auxz00_9761,BFALSE,BFALSE);} 
BgL_ivz00_1207 = 
VECTOR_REF(BgL_auxz00_9758,BgL_auxz00_9765); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_index1452z00_1223;
BgL_index1452z00_1223 = 
BGl_search1448ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1447z00_1200, BgL_opt1445z00_318, 
((obj_t)
CNST_TABLE_REF(20)), 3L); 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test4281z00_9778;
{ /* Llib/block_ciphers.scm 864 */
 long BgL_n1z00_3165;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_9779;
if(
INTEGERP(BgL_index1452z00_1223))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9779 = BgL_index1452z00_1223
; }  else 
{ 
 obj_t BgL_auxz00_9782;
BgL_auxz00_9782 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1452z00_1223); 
FAILURE(BgL_auxz00_9782,BFALSE,BFALSE);} 
BgL_n1z00_3165 = 
(long)CINT(BgL_tmpz00_9779); } 
BgL_test4281z00_9778 = 
(BgL_n1z00_3165>=0L); } 
if(BgL_test4281z00_9778)
{ 
 long BgL_auxz00_9795; obj_t BgL_auxz00_9788;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_9796;
if(
INTEGERP(BgL_index1452z00_1223))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9796 = BgL_index1452z00_1223
; }  else 
{ 
 obj_t BgL_auxz00_9799;
BgL_auxz00_9799 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1452z00_1223); 
FAILURE(BgL_auxz00_9799,BFALSE,BFALSE);} 
BgL_auxz00_9795 = 
(long)CINT(BgL_tmpz00_9796); } 
if(
VECTORP(BgL_opt1445z00_318))
{ /* Llib/block_ciphers.scm 864 */
BgL_auxz00_9788 = BgL_opt1445z00_318
; }  else 
{ 
 obj_t BgL_auxz00_9791;
BgL_auxz00_9791 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1445z00_318); 
FAILURE(BgL_auxz00_9791,BFALSE,BFALSE);} 
BgL_modez00_1208 = 
VECTOR_REF(BgL_auxz00_9788,BgL_auxz00_9795); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_index1453z00_1225;
BgL_index1453z00_1225 = 
BGl_search1448ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1447z00_1200, BgL_opt1445z00_318, 
((obj_t)
CNST_TABLE_REF(21)), 3L); 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test4285z00_9808;
{ /* Llib/block_ciphers.scm 864 */
 long BgL_n1z00_3166;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_9809;
if(
INTEGERP(BgL_index1453z00_1225))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9809 = BgL_index1453z00_1225
; }  else 
{ 
 obj_t BgL_auxz00_9812;
BgL_auxz00_9812 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1453z00_1225); 
FAILURE(BgL_auxz00_9812,BFALSE,BFALSE);} 
BgL_n1z00_3166 = 
(long)CINT(BgL_tmpz00_9809); } 
BgL_test4285z00_9808 = 
(BgL_n1z00_3166>=0L); } 
if(BgL_test4285z00_9808)
{ 
 long BgL_auxz00_9825; obj_t BgL_auxz00_9818;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_9826;
if(
INTEGERP(BgL_index1453z00_1225))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9826 = BgL_index1453z00_1225
; }  else 
{ 
 obj_t BgL_auxz00_9829;
BgL_auxz00_9829 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1453z00_1225); 
FAILURE(BgL_auxz00_9829,BFALSE,BFALSE);} 
BgL_auxz00_9825 = 
(long)CINT(BgL_tmpz00_9826); } 
if(
VECTORP(BgL_opt1445z00_318))
{ /* Llib/block_ciphers.scm 864 */
BgL_auxz00_9818 = BgL_opt1445z00_318
; }  else 
{ 
 obj_t BgL_auxz00_9821;
BgL_auxz00_9821 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1445z00_318); 
FAILURE(BgL_auxz00_9821,BFALSE,BFALSE);} 
BgL_noncezd2initz12zc0_1209 = 
VECTOR_REF(BgL_auxz00_9818,BgL_auxz00_9825); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_index1454z00_1227;
BgL_index1454z00_1227 = 
BGl_search1448ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1447z00_1200, BgL_opt1445z00_318, 
((obj_t)
CNST_TABLE_REF(22)), 3L); 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test4289z00_9838;
{ /* Llib/block_ciphers.scm 864 */
 long BgL_n1z00_3167;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_9839;
if(
INTEGERP(BgL_index1454z00_1227))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9839 = BgL_index1454z00_1227
; }  else 
{ 
 obj_t BgL_auxz00_9842;
BgL_auxz00_9842 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1454z00_1227); 
FAILURE(BgL_auxz00_9842,BFALSE,BFALSE);} 
BgL_n1z00_3167 = 
(long)CINT(BgL_tmpz00_9839); } 
BgL_test4289z00_9838 = 
(BgL_n1z00_3167>=0L); } 
if(BgL_test4289z00_9838)
{ 
 long BgL_auxz00_9855; obj_t BgL_auxz00_9848;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_9856;
if(
INTEGERP(BgL_index1454z00_1227))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9856 = BgL_index1454z00_1227
; }  else 
{ 
 obj_t BgL_auxz00_9859;
BgL_auxz00_9859 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1454z00_1227); 
FAILURE(BgL_auxz00_9859,BFALSE,BFALSE);} 
BgL_auxz00_9855 = 
(long)CINT(BgL_tmpz00_9856); } 
if(
VECTORP(BgL_opt1445z00_318))
{ /* Llib/block_ciphers.scm 864 */
BgL_auxz00_9848 = BgL_opt1445z00_318
; }  else 
{ 
 obj_t BgL_auxz00_9851;
BgL_auxz00_9851 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1445z00_318); 
FAILURE(BgL_auxz00_9851,BFALSE,BFALSE);} 
BgL_noncezd2updatez12zc0_1210 = 
VECTOR_REF(BgL_auxz00_9848,BgL_auxz00_9855); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_index1455z00_1229;
BgL_index1455z00_1229 = 
BGl_search1448ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1447z00_1200, BgL_opt1445z00_318, 
((obj_t)
CNST_TABLE_REF(23)), 3L); 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test4293z00_9868;
{ /* Llib/block_ciphers.scm 864 */
 long BgL_n1z00_3168;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_9869;
if(
INTEGERP(BgL_index1455z00_1229))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9869 = BgL_index1455z00_1229
; }  else 
{ 
 obj_t BgL_auxz00_9872;
BgL_auxz00_9872 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1455z00_1229); 
FAILURE(BgL_auxz00_9872,BFALSE,BFALSE);} 
BgL_n1z00_3168 = 
(long)CINT(BgL_tmpz00_9869); } 
BgL_test4293z00_9868 = 
(BgL_n1z00_3168>=0L); } 
if(BgL_test4293z00_9868)
{ 
 long BgL_auxz00_9885; obj_t BgL_auxz00_9878;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_9886;
if(
INTEGERP(BgL_index1455z00_1229))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9886 = BgL_index1455z00_1229
; }  else 
{ 
 obj_t BgL_auxz00_9889;
BgL_auxz00_9889 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1455z00_1229); 
FAILURE(BgL_auxz00_9889,BFALSE,BFALSE);} 
BgL_auxz00_9885 = 
(long)CINT(BgL_tmpz00_9886); } 
if(
VECTORP(BgL_opt1445z00_318))
{ /* Llib/block_ciphers.scm 864 */
BgL_auxz00_9878 = BgL_opt1445z00_318
; }  else 
{ 
 obj_t BgL_auxz00_9881;
BgL_auxz00_9881 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1445z00_318); 
FAILURE(BgL_auxz00_9881,BFALSE,BFALSE);} 
BgL_padz00_1211 = 
VECTOR_REF(BgL_auxz00_9878,BgL_auxz00_9885); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_index1456z00_1231;
BgL_index1456z00_1231 = 
BGl_search1448ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1447z00_1200, BgL_opt1445z00_318, 
((obj_t)
CNST_TABLE_REF(24)), 3L); 
{ /* Llib/block_ciphers.scm 864 */
 bool_t BgL_test4297z00_9898;
{ /* Llib/block_ciphers.scm 864 */
 long BgL_n1z00_3169;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_9899;
if(
INTEGERP(BgL_index1456z00_1231))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9899 = BgL_index1456z00_1231
; }  else 
{ 
 obj_t BgL_auxz00_9902;
BgL_auxz00_9902 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1456z00_1231); 
FAILURE(BgL_auxz00_9902,BFALSE,BFALSE);} 
BgL_n1z00_3169 = 
(long)CINT(BgL_tmpz00_9899); } 
BgL_test4297z00_9898 = 
(BgL_n1z00_3169>=0L); } 
if(BgL_test4297z00_9898)
{ 
 long BgL_auxz00_9915; obj_t BgL_auxz00_9908;
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_tmpz00_9916;
if(
INTEGERP(BgL_index1456z00_1231))
{ /* Llib/block_ciphers.scm 864 */
BgL_tmpz00_9916 = BgL_index1456z00_1231
; }  else 
{ 
 obj_t BgL_auxz00_9919;
BgL_auxz00_9919 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1456z00_1231); 
FAILURE(BgL_auxz00_9919,BFALSE,BFALSE);} 
BgL_auxz00_9915 = 
(long)CINT(BgL_tmpz00_9916); } 
if(
VECTORP(BgL_opt1445z00_318))
{ /* Llib/block_ciphers.scm 864 */
BgL_auxz00_9908 = BgL_opt1445z00_318
; }  else 
{ 
 obj_t BgL_auxz00_9911;
BgL_auxz00_9911 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1445z00_318); 
FAILURE(BgL_auxz00_9911,BFALSE,BFALSE);} 
BgL_stringzd2ze3keyz31_1212 = 
VECTOR_REF(BgL_auxz00_9908,BgL_auxz00_9915); }  else 
{ /* Llib/block_ciphers.scm 864 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_arg2163z00_1233; obj_t BgL_arg2164z00_1234; obj_t BgL_arg2165z00_1235;
{ 
 obj_t BgL_auxz00_9925;
if(
VECTORP(BgL_opt1445z00_318))
{ /* Llib/block_ciphers.scm 864 */
BgL_auxz00_9925 = BgL_opt1445z00_318
; }  else 
{ 
 obj_t BgL_auxz00_9928;
BgL_auxz00_9928 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1445z00_318); 
FAILURE(BgL_auxz00_9928,BFALSE,BFALSE);} 
BgL_arg2163z00_1233 = 
VECTOR_REF(BgL_auxz00_9925,0L); } 
{ 
 obj_t BgL_auxz00_9933;
if(
VECTORP(BgL_opt1445z00_318))
{ /* Llib/block_ciphers.scm 864 */
BgL_auxz00_9933 = BgL_opt1445z00_318
; }  else 
{ 
 obj_t BgL_auxz00_9936;
BgL_auxz00_9936 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1445z00_318); 
FAILURE(BgL_auxz00_9936,BFALSE,BFALSE);} 
BgL_arg2164z00_1234 = 
VECTOR_REF(BgL_auxz00_9933,1L); } 
{ 
 obj_t BgL_auxz00_9941;
if(
VECTORP(BgL_opt1445z00_318))
{ /* Llib/block_ciphers.scm 864 */
BgL_auxz00_9941 = BgL_opt1445z00_318
; }  else 
{ 
 obj_t BgL_auxz00_9944;
BgL_auxz00_9944 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1445z00_318); 
FAILURE(BgL_auxz00_9944,BFALSE,BFALSE);} 
BgL_arg2165z00_1235 = 
VECTOR_REF(BgL_auxz00_9941,2L); } 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_ivz00_1236;
BgL_ivz00_1236 = BgL_ivz00_1207; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_modez00_1237;
BgL_modez00_1237 = BgL_modez00_1208; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_noncezd2initz12zc0_1238;
BgL_noncezd2initz12zc0_1238 = BgL_noncezd2initz12zc0_1209; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_noncezd2updatez12zc0_1239;
BgL_noncezd2updatez12zc0_1239 = BgL_noncezd2updatez12zc0_1210; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_padz00_1240;
BgL_padz00_1240 = BgL_padz00_1211; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_stringzd2ze3keyz31_1241;
BgL_stringzd2ze3keyz31_1241 = BgL_stringzd2ze3keyz31_1212; 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_cipherz00_3170; obj_t BgL_ciphertextz00_3171; obj_t BgL_passwordz00_3172;
if(
SYMBOLP(BgL_arg2163z00_1233))
{ /* Llib/block_ciphers.scm 864 */
BgL_cipherz00_3170 = BgL_arg2163z00_1233; }  else 
{ 
 obj_t BgL_auxz00_9951;
BgL_auxz00_9951 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3434z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2163z00_1233); 
FAILURE(BgL_auxz00_9951,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2164z00_1234))
{ /* Llib/block_ciphers.scm 864 */
BgL_ciphertextz00_3171 = BgL_arg2164z00_1234; }  else 
{ 
 obj_t BgL_auxz00_9957;
BgL_auxz00_9957 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2164z00_1234); 
FAILURE(BgL_auxz00_9957,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2165z00_1235))
{ /* Llib/block_ciphers.scm 864 */
BgL_passwordz00_3172 = BgL_arg2165z00_1235; }  else 
{ 
 obj_t BgL_auxz00_9963;
BgL_auxz00_9963 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31286L), BGl_string3453z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2165z00_1235); 
FAILURE(BgL_auxz00_9963,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 874 */
 obj_t BgL_strz00_3175; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3176;
{ /* Llib/block_ciphers.scm 874 */
 long BgL_arg2173z00_3177;
BgL_arg2173z00_3177 = 
STRING_LENGTH(BgL_ciphertextz00_3171); 
{ /* Llib/block_ciphers.scm 874 */

BgL_strz00_3175 = 
make_string(BgL_arg2173z00_3177, ((unsigned char)' ')); } } 
BgL_statez00_3176 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3170, BgL_passwordz00_3172, BgL_ivz00_1236, BgL_modez00_1237, BgL_padz00_1240, BgL_noncezd2initz12zc0_1238, BgL_noncezd2updatez12zc0_1239, BgL_stringzd2ze3keyz31_1241); 
{ /* Llib/block_ciphers.scm 878 */
 long BgL_tmpz00_9970;
BgL_tmpz00_9970 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3176, BgL_ciphertextz00_3171, 0L, BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3175, 0L, BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3175, BgL_tmpz00_9970);} } } } } } } } } } } } } } } } } } } } 

}



/* search1448~0 */
obj_t BGl_search1448ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1447z00_5094, obj_t BgL_opt1445z00_5093, obj_t BgL_k1z00_1201, long BgL_iz00_1202)
{
{ /* Llib/block_ciphers.scm 864 */
BGl_search1448ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1202==BgL_l1447z00_5094))
{ /* Llib/block_ciphers.scm 864 */
return 
BINT((-1L));}  else 
{ /* Llib/block_ciphers.scm 864 */
if(
(BgL_iz00_1202==
(BgL_l1447z00_5094-1L)))
{ /* Llib/block_ciphers.scm 864 */
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(33)), BGl_string3436z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1445z00_5093)));}  else 
{ /* Llib/block_ciphers.scm 864 */
 obj_t BgL_vz00_1246;
BgL_vz00_1246 = 
VECTOR_REF(BgL_opt1445z00_5093,BgL_iz00_1202); 
if(
(BgL_vz00_1246==BgL_k1z00_1201))
{ /* Llib/block_ciphers.scm 864 */
return 
BINT(
(BgL_iz00_1202+1L));}  else 
{ 
 long BgL_iz00_9989;
BgL_iz00_9989 = 
(BgL_iz00_1202+2L); 
BgL_iz00_1202 = BgL_iz00_9989; 
goto BGl_search1448ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt-string */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2stringzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_309, obj_t BgL_ciphertextz00_310, obj_t BgL_passwordz00_311, obj_t BgL_ivz00_312, obj_t BgL_modez00_313, obj_t BgL_noncezd2initz12zc0_314, obj_t BgL_noncezd2updatez12zc0_315, obj_t BgL_padz00_316, obj_t BgL_stringzd2ze3keyz31_317)
{
{ /* Llib/block_ciphers.scm 864 */
{ /* Llib/block_ciphers.scm 874 */
 obj_t BgL_strz00_3187; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3188;
{ /* Llib/block_ciphers.scm 874 */
 long BgL_arg2173z00_3189;
BgL_arg2173z00_3189 = 
STRING_LENGTH(BgL_ciphertextz00_310); 
{ /* Llib/block_ciphers.scm 874 */

BgL_strz00_3187 = 
make_string(BgL_arg2173z00_3189, ((unsigned char)' ')); } } 
BgL_statez00_3188 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_309, BgL_passwordz00_311, BgL_ivz00_312, BgL_modez00_313, BgL_padz00_316, BgL_noncezd2initz12zc0_314, BgL_noncezd2updatez12zc0_315, BgL_stringzd2ze3keyz31_317); 
{ /* Llib/block_ciphers.scm 878 */
 long BgL_tmpz00_9994;
BgL_tmpz00_9994 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3188, BgL_ciphertextz00_310, 0L, BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3187, 0L, BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3187, BgL_tmpz00_9994);} } } 

}



/* &decrypt-fast-string */
obj_t BGl_z62decryptzd2fastzd2stringz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4459, obj_t BgL_cipherz00_4460, obj_t BgL_ciphertextz00_4461, obj_t BgL_passwordz00_4462, obj_t BgL_ivz00_4463, obj_t BgL_modez00_4464, obj_t BgL_padz00_4465, obj_t BgL_noncezd2initz12zc0_4466, obj_t BgL_noncezd2updatez12zc0_4467, obj_t BgL_stringzd2ze3keyz31_4468)
{
{ /* Llib/block_ciphers.scm 871 */
{ /* Llib/block_ciphers.scm 874 */
 obj_t BgL_ciphertextz00_5790; obj_t BgL_passwordz00_5791;
if(
STRINGP(BgL_ciphertextz00_4461))
{ /* Llib/block_ciphers.scm 874 */
BgL_ciphertextz00_5790 = BgL_ciphertextz00_4461; }  else 
{ 
 obj_t BgL_auxz00_9999;
BgL_auxz00_9999 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31735L), BGl_string3454z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_ciphertextz00_4461); 
FAILURE(BgL_auxz00_9999,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passwordz00_4462))
{ /* Llib/block_ciphers.scm 874 */
BgL_passwordz00_5791 = BgL_passwordz00_4462; }  else 
{ 
 obj_t BgL_auxz00_10005;
BgL_auxz00_10005 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(31735L), BGl_string3454z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_passwordz00_4462); 
FAILURE(BgL_auxz00_10005,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 874 */
 obj_t BgL_strz00_5792; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_5793;
{ /* Llib/block_ciphers.scm 874 */
 long BgL_arg2173z00_5794;
BgL_arg2173z00_5794 = 
STRING_LENGTH(BgL_ciphertextz00_5790); 
{ /* Llib/block_ciphers.scm 874 */

BgL_strz00_5792 = 
make_string(BgL_arg2173z00_5794, ((unsigned char)' ')); } } 
BgL_statez00_5793 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4460, BgL_passwordz00_5791, BgL_ivz00_4463, BgL_modez00_4464, BgL_padz00_4465, BgL_noncezd2initz12zc0_4466, BgL_noncezd2updatez12zc0_4467, BgL_stringzd2ze3keyz31_4468); 
{ /* Llib/block_ciphers.scm 878 */
 long BgL_tmpz00_10012;
BgL_tmpz00_10012 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_5793, BgL_ciphertextz00_5790, 0L, BGl_readzd2stringzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_5792, 0L, BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_5792, BgL_tmpz00_10012);} } } } 

}



/* _decrypt-mmap */
obj_t BGl__decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1458z00_339, obj_t BgL_opt1457z00_338)
{
{ /* Llib/block_ciphers.scm 883 */
{ /* Llib/block_ciphers.scm 883 */
 long BgL_l1459z00_1255;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_vectorz00_3207;
if(
VECTORP(BgL_opt1457z00_338))
{ /* Llib/block_ciphers.scm 883 */
BgL_vectorz00_3207 = BgL_opt1457z00_338; }  else 
{ 
 obj_t BgL_auxz00_10017;
BgL_auxz00_10017 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1457z00_338); 
FAILURE(BgL_auxz00_10017,BFALSE,BFALSE);} 
BgL_l1459z00_1255 = 
VECTOR_LENGTH(BgL_vectorz00_3207); } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_cipherz00_1259; obj_t BgL_ciphertextz00_1260; obj_t BgL_passwordz00_1261;
{ 
 obj_t BgL_auxz00_10022;
if(
VECTORP(BgL_opt1457z00_338))
{ /* Llib/block_ciphers.scm 883 */
BgL_auxz00_10022 = BgL_opt1457z00_338
; }  else 
{ 
 obj_t BgL_auxz00_10025;
BgL_auxz00_10025 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1457z00_338); 
FAILURE(BgL_auxz00_10025,BFALSE,BFALSE);} 
BgL_cipherz00_1259 = 
VECTOR_REF(BgL_auxz00_10022,0L); } 
{ 
 obj_t BgL_auxz00_10030;
if(
VECTORP(BgL_opt1457z00_338))
{ /* Llib/block_ciphers.scm 883 */
BgL_auxz00_10030 = BgL_opt1457z00_338
; }  else 
{ 
 obj_t BgL_auxz00_10033;
BgL_auxz00_10033 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1457z00_338); 
FAILURE(BgL_auxz00_10033,BFALSE,BFALSE);} 
BgL_ciphertextz00_1260 = 
VECTOR_REF(BgL_auxz00_10030,1L); } 
{ 
 obj_t BgL_auxz00_10038;
if(
VECTORP(BgL_opt1457z00_338))
{ /* Llib/block_ciphers.scm 883 */
BgL_auxz00_10038 = BgL_opt1457z00_338
; }  else 
{ 
 obj_t BgL_auxz00_10041;
BgL_auxz00_10041 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1457z00_338); 
FAILURE(BgL_auxz00_10041,BFALSE,BFALSE);} 
BgL_passwordz00_1261 = 
VECTOR_REF(BgL_auxz00_10038,2L); } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_ivz00_1262;
BgL_ivz00_1262 = BFALSE; 
{ /* Llib/block_ciphers.scm 884 */
 obj_t BgL_modez00_1263;
BgL_modez00_1263 = 
((obj_t)
CNST_TABLE_REF(6)); 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_noncezd2initz12zc0_1264;
BgL_noncezd2initz12zc0_1264 = BFALSE; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_noncezd2updatez12zc0_1265;
BgL_noncezd2updatez12zc0_1265 = BFALSE; 
{ /* Llib/block_ciphers.scm 884 */
 obj_t BgL_padz00_1266;
BgL_padz00_1266 = 
((obj_t)
CNST_TABLE_REF(11)); 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_stringzd2ze3keyz31_1267;
BgL_stringzd2ze3keyz31_1267 = BFALSE; 
{ /* Llib/block_ciphers.scm 883 */

{ 
 long BgL_iz00_1268;
BgL_iz00_1268 = 3L; 
BgL_check1461z00_1269:
if(
(BgL_iz00_1268==BgL_l1459z00_1255))
{ /* Llib/block_ciphers.scm 883 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test4317z00_10052;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_arg2179z00_1275;
BgL_arg2179z00_1275 = 
VECTOR_REF(
((obj_t)BgL_opt1457z00_338),BgL_iz00_1268); 
BgL_test4317z00_10052 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2179z00_1275, 
((obj_t)
CNST_TABLE_REF(17)))); } 
if(BgL_test4317z00_10052)
{ 
 long BgL_iz00_10059;
BgL_iz00_10059 = 
(BgL_iz00_1268+2L); 
BgL_iz00_1268 = BgL_iz00_10059; 
goto BgL_check1461z00_1269;}  else 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_arg2178z00_1274;
BgL_arg2178z00_1274 = 
VECTOR_REF(
((obj_t)BgL_opt1457z00_338),BgL_iz00_1268); 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(34)), BGl_string3433z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2178z00_1274); } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_index1463z00_1276;
BgL_index1463z00_1276 = 
BGl_search1460ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1459z00_1255, BgL_opt1457z00_338, 
((obj_t)
CNST_TABLE_REF(19)), 3L); 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test4318z00_10069;
{ /* Llib/block_ciphers.scm 883 */
 long BgL_n1z00_3222;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_10070;
if(
INTEGERP(BgL_index1463z00_1276))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_10070 = BgL_index1463z00_1276
; }  else 
{ 
 obj_t BgL_auxz00_10073;
BgL_auxz00_10073 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1463z00_1276); 
FAILURE(BgL_auxz00_10073,BFALSE,BFALSE);} 
BgL_n1z00_3222 = 
(long)CINT(BgL_tmpz00_10070); } 
BgL_test4318z00_10069 = 
(BgL_n1z00_3222>=0L); } 
if(BgL_test4318z00_10069)
{ 
 long BgL_auxz00_10086; obj_t BgL_auxz00_10079;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_10087;
if(
INTEGERP(BgL_index1463z00_1276))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_10087 = BgL_index1463z00_1276
; }  else 
{ 
 obj_t BgL_auxz00_10090;
BgL_auxz00_10090 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1463z00_1276); 
FAILURE(BgL_auxz00_10090,BFALSE,BFALSE);} 
BgL_auxz00_10086 = 
(long)CINT(BgL_tmpz00_10087); } 
if(
VECTORP(BgL_opt1457z00_338))
{ /* Llib/block_ciphers.scm 883 */
BgL_auxz00_10079 = BgL_opt1457z00_338
; }  else 
{ 
 obj_t BgL_auxz00_10082;
BgL_auxz00_10082 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1457z00_338); 
FAILURE(BgL_auxz00_10082,BFALSE,BFALSE);} 
BgL_ivz00_1262 = 
VECTOR_REF(BgL_auxz00_10079,BgL_auxz00_10086); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_index1464z00_1278;
BgL_index1464z00_1278 = 
BGl_search1460ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1459z00_1255, BgL_opt1457z00_338, 
((obj_t)
CNST_TABLE_REF(20)), 3L); 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test4322z00_10099;
{ /* Llib/block_ciphers.scm 883 */
 long BgL_n1z00_3223;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_10100;
if(
INTEGERP(BgL_index1464z00_1278))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_10100 = BgL_index1464z00_1278
; }  else 
{ 
 obj_t BgL_auxz00_10103;
BgL_auxz00_10103 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1464z00_1278); 
FAILURE(BgL_auxz00_10103,BFALSE,BFALSE);} 
BgL_n1z00_3223 = 
(long)CINT(BgL_tmpz00_10100); } 
BgL_test4322z00_10099 = 
(BgL_n1z00_3223>=0L); } 
if(BgL_test4322z00_10099)
{ 
 long BgL_auxz00_10116; obj_t BgL_auxz00_10109;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_10117;
if(
INTEGERP(BgL_index1464z00_1278))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_10117 = BgL_index1464z00_1278
; }  else 
{ 
 obj_t BgL_auxz00_10120;
BgL_auxz00_10120 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1464z00_1278); 
FAILURE(BgL_auxz00_10120,BFALSE,BFALSE);} 
BgL_auxz00_10116 = 
(long)CINT(BgL_tmpz00_10117); } 
if(
VECTORP(BgL_opt1457z00_338))
{ /* Llib/block_ciphers.scm 883 */
BgL_auxz00_10109 = BgL_opt1457z00_338
; }  else 
{ 
 obj_t BgL_auxz00_10112;
BgL_auxz00_10112 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1457z00_338); 
FAILURE(BgL_auxz00_10112,BFALSE,BFALSE);} 
BgL_modez00_1263 = 
VECTOR_REF(BgL_auxz00_10109,BgL_auxz00_10116); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_index1465z00_1280;
BgL_index1465z00_1280 = 
BGl_search1460ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1459z00_1255, BgL_opt1457z00_338, 
((obj_t)
CNST_TABLE_REF(21)), 3L); 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test4326z00_10129;
{ /* Llib/block_ciphers.scm 883 */
 long BgL_n1z00_3224;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_10130;
if(
INTEGERP(BgL_index1465z00_1280))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_10130 = BgL_index1465z00_1280
; }  else 
{ 
 obj_t BgL_auxz00_10133;
BgL_auxz00_10133 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1465z00_1280); 
FAILURE(BgL_auxz00_10133,BFALSE,BFALSE);} 
BgL_n1z00_3224 = 
(long)CINT(BgL_tmpz00_10130); } 
BgL_test4326z00_10129 = 
(BgL_n1z00_3224>=0L); } 
if(BgL_test4326z00_10129)
{ 
 long BgL_auxz00_10146; obj_t BgL_auxz00_10139;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_10147;
if(
INTEGERP(BgL_index1465z00_1280))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_10147 = BgL_index1465z00_1280
; }  else 
{ 
 obj_t BgL_auxz00_10150;
BgL_auxz00_10150 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1465z00_1280); 
FAILURE(BgL_auxz00_10150,BFALSE,BFALSE);} 
BgL_auxz00_10146 = 
(long)CINT(BgL_tmpz00_10147); } 
if(
VECTORP(BgL_opt1457z00_338))
{ /* Llib/block_ciphers.scm 883 */
BgL_auxz00_10139 = BgL_opt1457z00_338
; }  else 
{ 
 obj_t BgL_auxz00_10142;
BgL_auxz00_10142 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1457z00_338); 
FAILURE(BgL_auxz00_10142,BFALSE,BFALSE);} 
BgL_noncezd2initz12zc0_1264 = 
VECTOR_REF(BgL_auxz00_10139,BgL_auxz00_10146); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_index1466z00_1282;
BgL_index1466z00_1282 = 
BGl_search1460ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1459z00_1255, BgL_opt1457z00_338, 
((obj_t)
CNST_TABLE_REF(22)), 3L); 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test4330z00_10159;
{ /* Llib/block_ciphers.scm 883 */
 long BgL_n1z00_3225;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_10160;
if(
INTEGERP(BgL_index1466z00_1282))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_10160 = BgL_index1466z00_1282
; }  else 
{ 
 obj_t BgL_auxz00_10163;
BgL_auxz00_10163 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1466z00_1282); 
FAILURE(BgL_auxz00_10163,BFALSE,BFALSE);} 
BgL_n1z00_3225 = 
(long)CINT(BgL_tmpz00_10160); } 
BgL_test4330z00_10159 = 
(BgL_n1z00_3225>=0L); } 
if(BgL_test4330z00_10159)
{ 
 long BgL_auxz00_10176; obj_t BgL_auxz00_10169;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_10177;
if(
INTEGERP(BgL_index1466z00_1282))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_10177 = BgL_index1466z00_1282
; }  else 
{ 
 obj_t BgL_auxz00_10180;
BgL_auxz00_10180 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1466z00_1282); 
FAILURE(BgL_auxz00_10180,BFALSE,BFALSE);} 
BgL_auxz00_10176 = 
(long)CINT(BgL_tmpz00_10177); } 
if(
VECTORP(BgL_opt1457z00_338))
{ /* Llib/block_ciphers.scm 883 */
BgL_auxz00_10169 = BgL_opt1457z00_338
; }  else 
{ 
 obj_t BgL_auxz00_10172;
BgL_auxz00_10172 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1457z00_338); 
FAILURE(BgL_auxz00_10172,BFALSE,BFALSE);} 
BgL_noncezd2updatez12zc0_1265 = 
VECTOR_REF(BgL_auxz00_10169,BgL_auxz00_10176); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_index1467z00_1284;
BgL_index1467z00_1284 = 
BGl_search1460ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1459z00_1255, BgL_opt1457z00_338, 
((obj_t)
CNST_TABLE_REF(23)), 3L); 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test4334z00_10189;
{ /* Llib/block_ciphers.scm 883 */
 long BgL_n1z00_3226;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_10190;
if(
INTEGERP(BgL_index1467z00_1284))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_10190 = BgL_index1467z00_1284
; }  else 
{ 
 obj_t BgL_auxz00_10193;
BgL_auxz00_10193 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1467z00_1284); 
FAILURE(BgL_auxz00_10193,BFALSE,BFALSE);} 
BgL_n1z00_3226 = 
(long)CINT(BgL_tmpz00_10190); } 
BgL_test4334z00_10189 = 
(BgL_n1z00_3226>=0L); } 
if(BgL_test4334z00_10189)
{ 
 long BgL_auxz00_10206; obj_t BgL_auxz00_10199;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_10207;
if(
INTEGERP(BgL_index1467z00_1284))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_10207 = BgL_index1467z00_1284
; }  else 
{ 
 obj_t BgL_auxz00_10210;
BgL_auxz00_10210 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1467z00_1284); 
FAILURE(BgL_auxz00_10210,BFALSE,BFALSE);} 
BgL_auxz00_10206 = 
(long)CINT(BgL_tmpz00_10207); } 
if(
VECTORP(BgL_opt1457z00_338))
{ /* Llib/block_ciphers.scm 883 */
BgL_auxz00_10199 = BgL_opt1457z00_338
; }  else 
{ 
 obj_t BgL_auxz00_10202;
BgL_auxz00_10202 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1457z00_338); 
FAILURE(BgL_auxz00_10202,BFALSE,BFALSE);} 
BgL_padz00_1266 = 
VECTOR_REF(BgL_auxz00_10199,BgL_auxz00_10206); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_index1468z00_1286;
BgL_index1468z00_1286 = 
BGl_search1460ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1459z00_1255, BgL_opt1457z00_338, 
((obj_t)
CNST_TABLE_REF(24)), 3L); 
{ /* Llib/block_ciphers.scm 883 */
 bool_t BgL_test4338z00_10219;
{ /* Llib/block_ciphers.scm 883 */
 long BgL_n1z00_3227;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_10220;
if(
INTEGERP(BgL_index1468z00_1286))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_10220 = BgL_index1468z00_1286
; }  else 
{ 
 obj_t BgL_auxz00_10223;
BgL_auxz00_10223 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1468z00_1286); 
FAILURE(BgL_auxz00_10223,BFALSE,BFALSE);} 
BgL_n1z00_3227 = 
(long)CINT(BgL_tmpz00_10220); } 
BgL_test4338z00_10219 = 
(BgL_n1z00_3227>=0L); } 
if(BgL_test4338z00_10219)
{ 
 long BgL_auxz00_10236; obj_t BgL_auxz00_10229;
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_tmpz00_10237;
if(
INTEGERP(BgL_index1468z00_1286))
{ /* Llib/block_ciphers.scm 883 */
BgL_tmpz00_10237 = BgL_index1468z00_1286
; }  else 
{ 
 obj_t BgL_auxz00_10240;
BgL_auxz00_10240 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1468z00_1286); 
FAILURE(BgL_auxz00_10240,BFALSE,BFALSE);} 
BgL_auxz00_10236 = 
(long)CINT(BgL_tmpz00_10237); } 
if(
VECTORP(BgL_opt1457z00_338))
{ /* Llib/block_ciphers.scm 883 */
BgL_auxz00_10229 = BgL_opt1457z00_338
; }  else 
{ 
 obj_t BgL_auxz00_10232;
BgL_auxz00_10232 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1457z00_338); 
FAILURE(BgL_auxz00_10232,BFALSE,BFALSE);} 
BgL_stringzd2ze3keyz31_1267 = 
VECTOR_REF(BgL_auxz00_10229,BgL_auxz00_10236); }  else 
{ /* Llib/block_ciphers.scm 883 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_arg2186z00_1288; obj_t BgL_arg2187z00_1289; obj_t BgL_arg2188z00_1290;
{ 
 obj_t BgL_auxz00_10246;
if(
VECTORP(BgL_opt1457z00_338))
{ /* Llib/block_ciphers.scm 883 */
BgL_auxz00_10246 = BgL_opt1457z00_338
; }  else 
{ 
 obj_t BgL_auxz00_10249;
BgL_auxz00_10249 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1457z00_338); 
FAILURE(BgL_auxz00_10249,BFALSE,BFALSE);} 
BgL_arg2186z00_1288 = 
VECTOR_REF(BgL_auxz00_10246,0L); } 
{ 
 obj_t BgL_auxz00_10254;
if(
VECTORP(BgL_opt1457z00_338))
{ /* Llib/block_ciphers.scm 883 */
BgL_auxz00_10254 = BgL_opt1457z00_338
; }  else 
{ 
 obj_t BgL_auxz00_10257;
BgL_auxz00_10257 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1457z00_338); 
FAILURE(BgL_auxz00_10257,BFALSE,BFALSE);} 
BgL_arg2187z00_1289 = 
VECTOR_REF(BgL_auxz00_10254,1L); } 
{ 
 obj_t BgL_auxz00_10262;
if(
VECTORP(BgL_opt1457z00_338))
{ /* Llib/block_ciphers.scm 883 */
BgL_auxz00_10262 = BgL_opt1457z00_338
; }  else 
{ 
 obj_t BgL_auxz00_10265;
BgL_auxz00_10265 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1457z00_338); 
FAILURE(BgL_auxz00_10265,BFALSE,BFALSE);} 
BgL_arg2188z00_1290 = 
VECTOR_REF(BgL_auxz00_10262,2L); } 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_ivz00_1291;
BgL_ivz00_1291 = BgL_ivz00_1262; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_modez00_1292;
BgL_modez00_1292 = BgL_modez00_1263; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_noncezd2initz12zc0_1293;
BgL_noncezd2initz12zc0_1293 = BgL_noncezd2initz12zc0_1264; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_noncezd2updatez12zc0_1294;
BgL_noncezd2updatez12zc0_1294 = BgL_noncezd2updatez12zc0_1265; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_padz00_1295;
BgL_padz00_1295 = BgL_padz00_1266; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_stringzd2ze3keyz31_1296;
BgL_stringzd2ze3keyz31_1296 = BgL_stringzd2ze3keyz31_1267; 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_cipherz00_3228; obj_t BgL_ciphertextz00_3229; obj_t BgL_passwordz00_3230;
if(
SYMBOLP(BgL_arg2186z00_1288))
{ /* Llib/block_ciphers.scm 883 */
BgL_cipherz00_3228 = BgL_arg2186z00_1288; }  else 
{ 
 obj_t BgL_auxz00_10272;
BgL_auxz00_10272 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3434z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2186z00_1288); 
FAILURE(BgL_auxz00_10272,BFALSE,BFALSE);} 
if(
BGL_MMAPP(BgL_arg2187z00_1289))
{ /* Llib/block_ciphers.scm 883 */
BgL_ciphertextz00_3229 = BgL_arg2187z00_1289; }  else 
{ 
 obj_t BgL_auxz00_10278;
BgL_auxz00_10278 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3440z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2187z00_1289); 
FAILURE(BgL_auxz00_10278,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2188z00_1290))
{ /* Llib/block_ciphers.scm 883 */
BgL_passwordz00_3230 = BgL_arg2188z00_1290; }  else 
{ 
 obj_t BgL_auxz00_10284;
BgL_auxz00_10284 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32035L), BGl_string3455z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2188z00_1290); 
FAILURE(BgL_auxz00_10284,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 893 */
 long BgL_lenz00_3233;
BgL_lenz00_3233 = 
BGL_MMAP_LENGTH(BgL_ciphertextz00_3229); 
{ /* Llib/block_ciphers.scm 893 */
 obj_t BgL_strz00_3234;
{ /* Llib/block_ciphers.scm 894 */

{ /* Llib/block_ciphers.scm 894 */
 long BgL_kz00_3240;
BgL_kz00_3240 = 
(long)(BgL_lenz00_3233); 
BgL_strz00_3234 = 
make_string(BgL_kz00_3240, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 894 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3237;
BgL_statez00_3237 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3228, BgL_passwordz00_3230, BgL_ivz00_1291, BgL_modez00_1292, BgL_padz00_1295, BgL_noncezd2initz12zc0_1293, BgL_noncezd2updatez12zc0_1294, BgL_stringzd2ze3keyz31_1296); 
{ /* Llib/block_ciphers.scm 895 */

{ /* Llib/block_ciphers.scm 898 */
 long BgL_tmpz00_10292;
BgL_tmpz00_10292 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3237, BgL_ciphertextz00_3229, 0L, BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3234, 0L, BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3234, BgL_tmpz00_10292);} } } } } } } } } } } } } } } } } } } } } } } 

}



/* search1460~0 */
obj_t BGl_search1460ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1459z00_5092, obj_t BgL_opt1457z00_5091, obj_t BgL_k1z00_1256, long BgL_iz00_1257)
{
{ /* Llib/block_ciphers.scm 883 */
BGl_search1460ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1257==BgL_l1459z00_5092))
{ /* Llib/block_ciphers.scm 883 */
return 
BINT((-1L));}  else 
{ /* Llib/block_ciphers.scm 883 */
if(
(BgL_iz00_1257==
(BgL_l1459z00_5092-1L)))
{ /* Llib/block_ciphers.scm 883 */
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(34)), BGl_string3436z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1457z00_5091)));}  else 
{ /* Llib/block_ciphers.scm 883 */
 obj_t BgL_vz00_1301;
BgL_vz00_1301 = 
VECTOR_REF(BgL_opt1457z00_5091,BgL_iz00_1257); 
if(
(BgL_vz00_1301==BgL_k1z00_1256))
{ /* Llib/block_ciphers.scm 883 */
return 
BINT(
(BgL_iz00_1257+1L));}  else 
{ 
 long BgL_iz00_10311;
BgL_iz00_10311 = 
(BgL_iz00_1257+2L); 
BgL_iz00_1257 = BgL_iz00_10311; 
goto BGl_search1460ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt-mmap */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2mmapzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_329, obj_t BgL_ciphertextz00_330, obj_t BgL_passwordz00_331, obj_t BgL_ivz00_332, obj_t BgL_modez00_333, obj_t BgL_noncezd2initz12zc0_334, obj_t BgL_noncezd2updatez12zc0_335, obj_t BgL_padz00_336, obj_t BgL_stringzd2ze3keyz31_337)
{
{ /* Llib/block_ciphers.scm 883 */
{ /* Llib/block_ciphers.scm 893 */
 long BgL_lenz00_3245;
BgL_lenz00_3245 = 
BGL_MMAP_LENGTH(BgL_ciphertextz00_330); 
{ /* Llib/block_ciphers.scm 893 */
 obj_t BgL_strz00_3246;
{ /* Llib/block_ciphers.scm 894 */

{ /* Llib/block_ciphers.scm 894 */
 long BgL_kz00_3252;
BgL_kz00_3252 = 
(long)(BgL_lenz00_3245); 
BgL_strz00_3246 = 
make_string(BgL_kz00_3252, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 894 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3249;
BgL_statez00_3249 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_329, BgL_passwordz00_331, BgL_ivz00_332, BgL_modez00_333, BgL_padz00_336, BgL_noncezd2initz12zc0_334, BgL_noncezd2updatez12zc0_335, BgL_stringzd2ze3keyz31_337); 
{ /* Llib/block_ciphers.scm 895 */

{ /* Llib/block_ciphers.scm 898 */
 long BgL_tmpz00_10317;
BgL_tmpz00_10317 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3249, BgL_ciphertextz00_330, 0L, BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_3246, 0L, BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_3246, BgL_tmpz00_10317);} } } } } } 

}



/* &decrypt-fast-mmap */
obj_t BGl_z62decryptzd2fastzd2mmapz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4469, obj_t BgL_cipherz00_4470, obj_t BgL_ciphertextz00_4471, obj_t BgL_passwordz00_4472, obj_t BgL_ivz00_4473, obj_t BgL_modez00_4474, obj_t BgL_padz00_4475, obj_t BgL_noncezd2initz12zc0_4476, obj_t BgL_noncezd2updatez12zc0_4477, obj_t BgL_stringzd2ze3keyz31_4478)
{
{ /* Llib/block_ciphers.scm 890 */
{ /* Llib/block_ciphers.scm 893 */
 obj_t BgL_ciphertextz00_5795; obj_t BgL_passwordz00_5796;
if(
BGL_MMAPP(BgL_ciphertextz00_4471))
{ /* Llib/block_ciphers.scm 893 */
BgL_ciphertextz00_5795 = BgL_ciphertextz00_4471; }  else 
{ 
 obj_t BgL_auxz00_10322;
BgL_auxz00_10322 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32489L), BGl_string3456z00zz__cryptozd2blockzd2ciphersz00, BGl_string3440z00zz__cryptozd2blockzd2ciphersz00, BgL_ciphertextz00_4471); 
FAILURE(BgL_auxz00_10322,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passwordz00_4472))
{ /* Llib/block_ciphers.scm 893 */
BgL_passwordz00_5796 = BgL_passwordz00_4472; }  else 
{ 
 obj_t BgL_auxz00_10328;
BgL_auxz00_10328 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32489L), BGl_string3456z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_passwordz00_4472); 
FAILURE(BgL_auxz00_10328,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 893 */
 long BgL_lenz00_5797;
BgL_lenz00_5797 = 
BGL_MMAP_LENGTH(BgL_ciphertextz00_5795); 
{ /* Llib/block_ciphers.scm 893 */
 obj_t BgL_strz00_5798;
{ /* Llib/block_ciphers.scm 894 */

{ /* Llib/block_ciphers.scm 894 */
 long BgL_kz00_5799;
BgL_kz00_5799 = 
(long)(BgL_lenz00_5797); 
BgL_strz00_5798 = 
make_string(BgL_kz00_5799, ((unsigned char)' ')); } } 
{ /* Llib/block_ciphers.scm 894 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_5800;
BgL_statez00_5800 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4470, BgL_passwordz00_5796, BgL_ivz00_4473, BgL_modez00_4474, BgL_padz00_4475, BgL_noncezd2initz12zc0_4476, BgL_noncezd2updatez12zc0_4477, BgL_stringzd2ze3keyz31_4478); 
{ /* Llib/block_ciphers.scm 895 */

{ /* Llib/block_ciphers.scm 898 */
 long BgL_tmpz00_10336;
BgL_tmpz00_10336 = 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_5800, BgL_ciphertextz00_5795, 0L, BGl_readzd2mmapzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_strz00_5798, 0L, BGl_blitzd2stringzd2urz12zd2envzc0zz__r4_strings_6_7z00); 
return 
bgl_string_shrink(BgL_strz00_5798, BgL_tmpz00_10336);} } } } } } } 

}



/* _decrypt-port */
obj_t BGl__decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1470z00_359, obj_t BgL_opt1469z00_358)
{
{ /* Llib/block_ciphers.scm 903 */
{ /* Llib/block_ciphers.scm 903 */
 long BgL_l1471z00_1310;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_vectorz00_3265;
if(
VECTORP(BgL_opt1469z00_358))
{ /* Llib/block_ciphers.scm 903 */
BgL_vectorz00_3265 = BgL_opt1469z00_358; }  else 
{ 
 obj_t BgL_auxz00_10341;
BgL_auxz00_10341 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1469z00_358); 
FAILURE(BgL_auxz00_10341,BFALSE,BFALSE);} 
BgL_l1471z00_1310 = 
VECTOR_LENGTH(BgL_vectorz00_3265); } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_cipherz00_1314; obj_t BgL_ciphertextz00_1315; obj_t BgL_passwordz00_1316;
{ 
 obj_t BgL_auxz00_10346;
if(
VECTORP(BgL_opt1469z00_358))
{ /* Llib/block_ciphers.scm 903 */
BgL_auxz00_10346 = BgL_opt1469z00_358
; }  else 
{ 
 obj_t BgL_auxz00_10349;
BgL_auxz00_10349 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1469z00_358); 
FAILURE(BgL_auxz00_10349,BFALSE,BFALSE);} 
BgL_cipherz00_1314 = 
VECTOR_REF(BgL_auxz00_10346,0L); } 
{ 
 obj_t BgL_auxz00_10354;
if(
VECTORP(BgL_opt1469z00_358))
{ /* Llib/block_ciphers.scm 903 */
BgL_auxz00_10354 = BgL_opt1469z00_358
; }  else 
{ 
 obj_t BgL_auxz00_10357;
BgL_auxz00_10357 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1469z00_358); 
FAILURE(BgL_auxz00_10357,BFALSE,BFALSE);} 
BgL_ciphertextz00_1315 = 
VECTOR_REF(BgL_auxz00_10354,1L); } 
{ 
 obj_t BgL_auxz00_10362;
if(
VECTORP(BgL_opt1469z00_358))
{ /* Llib/block_ciphers.scm 903 */
BgL_auxz00_10362 = BgL_opt1469z00_358
; }  else 
{ 
 obj_t BgL_auxz00_10365;
BgL_auxz00_10365 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1469z00_358); 
FAILURE(BgL_auxz00_10365,BFALSE,BFALSE);} 
BgL_passwordz00_1316 = 
VECTOR_REF(BgL_auxz00_10362,2L); } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_ivz00_1317;
BgL_ivz00_1317 = BFALSE; 
{ /* Llib/block_ciphers.scm 904 */
 obj_t BgL_modez00_1318;
BgL_modez00_1318 = 
((obj_t)
CNST_TABLE_REF(6)); 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_noncezd2initz12zc0_1319;
BgL_noncezd2initz12zc0_1319 = BFALSE; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_noncezd2updatez12zc0_1320;
BgL_noncezd2updatez12zc0_1320 = BFALSE; 
{ /* Llib/block_ciphers.scm 904 */
 obj_t BgL_padz00_1321;
BgL_padz00_1321 = 
((obj_t)
CNST_TABLE_REF(11)); 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_stringzd2ze3keyz31_1322;
BgL_stringzd2ze3keyz31_1322 = BFALSE; 
{ /* Llib/block_ciphers.scm 903 */

{ 
 long BgL_iz00_1323;
BgL_iz00_1323 = 3L; 
BgL_check1473z00_1324:
if(
(BgL_iz00_1323==BgL_l1471z00_1310))
{ /* Llib/block_ciphers.scm 903 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test4358z00_10376;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_arg2201z00_1330;
BgL_arg2201z00_1330 = 
VECTOR_REF(
((obj_t)BgL_opt1469z00_358),BgL_iz00_1323); 
BgL_test4358z00_10376 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2201z00_1330, 
((obj_t)
CNST_TABLE_REF(17)))); } 
if(BgL_test4358z00_10376)
{ 
 long BgL_iz00_10383;
BgL_iz00_10383 = 
(BgL_iz00_1323+2L); 
BgL_iz00_1323 = BgL_iz00_10383; 
goto BgL_check1473z00_1324;}  else 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_arg2200z00_1329;
BgL_arg2200z00_1329 = 
VECTOR_REF(
((obj_t)BgL_opt1469z00_358),BgL_iz00_1323); 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(35)), BGl_string3433z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2200z00_1329); } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_index1475z00_1331;
BgL_index1475z00_1331 = 
BGl_search1472ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1471z00_1310, BgL_opt1469z00_358, 
((obj_t)
CNST_TABLE_REF(19)), 3L); 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test4359z00_10393;
{ /* Llib/block_ciphers.scm 903 */
 long BgL_n1z00_3280;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_10394;
if(
INTEGERP(BgL_index1475z00_1331))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_10394 = BgL_index1475z00_1331
; }  else 
{ 
 obj_t BgL_auxz00_10397;
BgL_auxz00_10397 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1475z00_1331); 
FAILURE(BgL_auxz00_10397,BFALSE,BFALSE);} 
BgL_n1z00_3280 = 
(long)CINT(BgL_tmpz00_10394); } 
BgL_test4359z00_10393 = 
(BgL_n1z00_3280>=0L); } 
if(BgL_test4359z00_10393)
{ 
 long BgL_auxz00_10410; obj_t BgL_auxz00_10403;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_10411;
if(
INTEGERP(BgL_index1475z00_1331))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_10411 = BgL_index1475z00_1331
; }  else 
{ 
 obj_t BgL_auxz00_10414;
BgL_auxz00_10414 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1475z00_1331); 
FAILURE(BgL_auxz00_10414,BFALSE,BFALSE);} 
BgL_auxz00_10410 = 
(long)CINT(BgL_tmpz00_10411); } 
if(
VECTORP(BgL_opt1469z00_358))
{ /* Llib/block_ciphers.scm 903 */
BgL_auxz00_10403 = BgL_opt1469z00_358
; }  else 
{ 
 obj_t BgL_auxz00_10406;
BgL_auxz00_10406 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1469z00_358); 
FAILURE(BgL_auxz00_10406,BFALSE,BFALSE);} 
BgL_ivz00_1317 = 
VECTOR_REF(BgL_auxz00_10403,BgL_auxz00_10410); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_index1476z00_1333;
BgL_index1476z00_1333 = 
BGl_search1472ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1471z00_1310, BgL_opt1469z00_358, 
((obj_t)
CNST_TABLE_REF(20)), 3L); 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test4363z00_10423;
{ /* Llib/block_ciphers.scm 903 */
 long BgL_n1z00_3281;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_10424;
if(
INTEGERP(BgL_index1476z00_1333))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_10424 = BgL_index1476z00_1333
; }  else 
{ 
 obj_t BgL_auxz00_10427;
BgL_auxz00_10427 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1476z00_1333); 
FAILURE(BgL_auxz00_10427,BFALSE,BFALSE);} 
BgL_n1z00_3281 = 
(long)CINT(BgL_tmpz00_10424); } 
BgL_test4363z00_10423 = 
(BgL_n1z00_3281>=0L); } 
if(BgL_test4363z00_10423)
{ 
 long BgL_auxz00_10440; obj_t BgL_auxz00_10433;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_10441;
if(
INTEGERP(BgL_index1476z00_1333))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_10441 = BgL_index1476z00_1333
; }  else 
{ 
 obj_t BgL_auxz00_10444;
BgL_auxz00_10444 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1476z00_1333); 
FAILURE(BgL_auxz00_10444,BFALSE,BFALSE);} 
BgL_auxz00_10440 = 
(long)CINT(BgL_tmpz00_10441); } 
if(
VECTORP(BgL_opt1469z00_358))
{ /* Llib/block_ciphers.scm 903 */
BgL_auxz00_10433 = BgL_opt1469z00_358
; }  else 
{ 
 obj_t BgL_auxz00_10436;
BgL_auxz00_10436 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1469z00_358); 
FAILURE(BgL_auxz00_10436,BFALSE,BFALSE);} 
BgL_modez00_1318 = 
VECTOR_REF(BgL_auxz00_10433,BgL_auxz00_10440); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_index1477z00_1335;
BgL_index1477z00_1335 = 
BGl_search1472ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1471z00_1310, BgL_opt1469z00_358, 
((obj_t)
CNST_TABLE_REF(21)), 3L); 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test4367z00_10453;
{ /* Llib/block_ciphers.scm 903 */
 long BgL_n1z00_3282;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_10454;
if(
INTEGERP(BgL_index1477z00_1335))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_10454 = BgL_index1477z00_1335
; }  else 
{ 
 obj_t BgL_auxz00_10457;
BgL_auxz00_10457 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1477z00_1335); 
FAILURE(BgL_auxz00_10457,BFALSE,BFALSE);} 
BgL_n1z00_3282 = 
(long)CINT(BgL_tmpz00_10454); } 
BgL_test4367z00_10453 = 
(BgL_n1z00_3282>=0L); } 
if(BgL_test4367z00_10453)
{ 
 long BgL_auxz00_10470; obj_t BgL_auxz00_10463;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_10471;
if(
INTEGERP(BgL_index1477z00_1335))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_10471 = BgL_index1477z00_1335
; }  else 
{ 
 obj_t BgL_auxz00_10474;
BgL_auxz00_10474 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1477z00_1335); 
FAILURE(BgL_auxz00_10474,BFALSE,BFALSE);} 
BgL_auxz00_10470 = 
(long)CINT(BgL_tmpz00_10471); } 
if(
VECTORP(BgL_opt1469z00_358))
{ /* Llib/block_ciphers.scm 903 */
BgL_auxz00_10463 = BgL_opt1469z00_358
; }  else 
{ 
 obj_t BgL_auxz00_10466;
BgL_auxz00_10466 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1469z00_358); 
FAILURE(BgL_auxz00_10466,BFALSE,BFALSE);} 
BgL_noncezd2initz12zc0_1319 = 
VECTOR_REF(BgL_auxz00_10463,BgL_auxz00_10470); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_index1478z00_1337;
BgL_index1478z00_1337 = 
BGl_search1472ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1471z00_1310, BgL_opt1469z00_358, 
((obj_t)
CNST_TABLE_REF(22)), 3L); 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test4371z00_10483;
{ /* Llib/block_ciphers.scm 903 */
 long BgL_n1z00_3283;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_10484;
if(
INTEGERP(BgL_index1478z00_1337))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_10484 = BgL_index1478z00_1337
; }  else 
{ 
 obj_t BgL_auxz00_10487;
BgL_auxz00_10487 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1478z00_1337); 
FAILURE(BgL_auxz00_10487,BFALSE,BFALSE);} 
BgL_n1z00_3283 = 
(long)CINT(BgL_tmpz00_10484); } 
BgL_test4371z00_10483 = 
(BgL_n1z00_3283>=0L); } 
if(BgL_test4371z00_10483)
{ 
 long BgL_auxz00_10500; obj_t BgL_auxz00_10493;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_10501;
if(
INTEGERP(BgL_index1478z00_1337))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_10501 = BgL_index1478z00_1337
; }  else 
{ 
 obj_t BgL_auxz00_10504;
BgL_auxz00_10504 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1478z00_1337); 
FAILURE(BgL_auxz00_10504,BFALSE,BFALSE);} 
BgL_auxz00_10500 = 
(long)CINT(BgL_tmpz00_10501); } 
if(
VECTORP(BgL_opt1469z00_358))
{ /* Llib/block_ciphers.scm 903 */
BgL_auxz00_10493 = BgL_opt1469z00_358
; }  else 
{ 
 obj_t BgL_auxz00_10496;
BgL_auxz00_10496 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1469z00_358); 
FAILURE(BgL_auxz00_10496,BFALSE,BFALSE);} 
BgL_noncezd2updatez12zc0_1320 = 
VECTOR_REF(BgL_auxz00_10493,BgL_auxz00_10500); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_index1479z00_1339;
BgL_index1479z00_1339 = 
BGl_search1472ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1471z00_1310, BgL_opt1469z00_358, 
((obj_t)
CNST_TABLE_REF(23)), 3L); 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test4375z00_10513;
{ /* Llib/block_ciphers.scm 903 */
 long BgL_n1z00_3284;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_10514;
if(
INTEGERP(BgL_index1479z00_1339))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_10514 = BgL_index1479z00_1339
; }  else 
{ 
 obj_t BgL_auxz00_10517;
BgL_auxz00_10517 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1479z00_1339); 
FAILURE(BgL_auxz00_10517,BFALSE,BFALSE);} 
BgL_n1z00_3284 = 
(long)CINT(BgL_tmpz00_10514); } 
BgL_test4375z00_10513 = 
(BgL_n1z00_3284>=0L); } 
if(BgL_test4375z00_10513)
{ 
 long BgL_auxz00_10530; obj_t BgL_auxz00_10523;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_10531;
if(
INTEGERP(BgL_index1479z00_1339))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_10531 = BgL_index1479z00_1339
; }  else 
{ 
 obj_t BgL_auxz00_10534;
BgL_auxz00_10534 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1479z00_1339); 
FAILURE(BgL_auxz00_10534,BFALSE,BFALSE);} 
BgL_auxz00_10530 = 
(long)CINT(BgL_tmpz00_10531); } 
if(
VECTORP(BgL_opt1469z00_358))
{ /* Llib/block_ciphers.scm 903 */
BgL_auxz00_10523 = BgL_opt1469z00_358
; }  else 
{ 
 obj_t BgL_auxz00_10526;
BgL_auxz00_10526 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1469z00_358); 
FAILURE(BgL_auxz00_10526,BFALSE,BFALSE);} 
BgL_padz00_1321 = 
VECTOR_REF(BgL_auxz00_10523,BgL_auxz00_10530); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_index1480z00_1341;
BgL_index1480z00_1341 = 
BGl_search1472ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1471z00_1310, BgL_opt1469z00_358, 
((obj_t)
CNST_TABLE_REF(24)), 3L); 
{ /* Llib/block_ciphers.scm 903 */
 bool_t BgL_test4379z00_10543;
{ /* Llib/block_ciphers.scm 903 */
 long BgL_n1z00_3285;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_10544;
if(
INTEGERP(BgL_index1480z00_1341))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_10544 = BgL_index1480z00_1341
; }  else 
{ 
 obj_t BgL_auxz00_10547;
BgL_auxz00_10547 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1480z00_1341); 
FAILURE(BgL_auxz00_10547,BFALSE,BFALSE);} 
BgL_n1z00_3285 = 
(long)CINT(BgL_tmpz00_10544); } 
BgL_test4379z00_10543 = 
(BgL_n1z00_3285>=0L); } 
if(BgL_test4379z00_10543)
{ 
 long BgL_auxz00_10560; obj_t BgL_auxz00_10553;
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_tmpz00_10561;
if(
INTEGERP(BgL_index1480z00_1341))
{ /* Llib/block_ciphers.scm 903 */
BgL_tmpz00_10561 = BgL_index1480z00_1341
; }  else 
{ 
 obj_t BgL_auxz00_10564;
BgL_auxz00_10564 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1480z00_1341); 
FAILURE(BgL_auxz00_10564,BFALSE,BFALSE);} 
BgL_auxz00_10560 = 
(long)CINT(BgL_tmpz00_10561); } 
if(
VECTORP(BgL_opt1469z00_358))
{ /* Llib/block_ciphers.scm 903 */
BgL_auxz00_10553 = BgL_opt1469z00_358
; }  else 
{ 
 obj_t BgL_auxz00_10556;
BgL_auxz00_10556 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1469z00_358); 
FAILURE(BgL_auxz00_10556,BFALSE,BFALSE);} 
BgL_stringzd2ze3keyz31_1322 = 
VECTOR_REF(BgL_auxz00_10553,BgL_auxz00_10560); }  else 
{ /* Llib/block_ciphers.scm 903 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_arg2208z00_1343; obj_t BgL_arg2209z00_1344; obj_t BgL_arg2210z00_1345;
{ 
 obj_t BgL_auxz00_10570;
if(
VECTORP(BgL_opt1469z00_358))
{ /* Llib/block_ciphers.scm 903 */
BgL_auxz00_10570 = BgL_opt1469z00_358
; }  else 
{ 
 obj_t BgL_auxz00_10573;
BgL_auxz00_10573 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1469z00_358); 
FAILURE(BgL_auxz00_10573,BFALSE,BFALSE);} 
BgL_arg2208z00_1343 = 
VECTOR_REF(BgL_auxz00_10570,0L); } 
{ 
 obj_t BgL_auxz00_10578;
if(
VECTORP(BgL_opt1469z00_358))
{ /* Llib/block_ciphers.scm 903 */
BgL_auxz00_10578 = BgL_opt1469z00_358
; }  else 
{ 
 obj_t BgL_auxz00_10581;
BgL_auxz00_10581 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1469z00_358); 
FAILURE(BgL_auxz00_10581,BFALSE,BFALSE);} 
BgL_arg2209z00_1344 = 
VECTOR_REF(BgL_auxz00_10578,1L); } 
{ 
 obj_t BgL_auxz00_10586;
if(
VECTORP(BgL_opt1469z00_358))
{ /* Llib/block_ciphers.scm 903 */
BgL_auxz00_10586 = BgL_opt1469z00_358
; }  else 
{ 
 obj_t BgL_auxz00_10589;
BgL_auxz00_10589 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1469z00_358); 
FAILURE(BgL_auxz00_10589,BFALSE,BFALSE);} 
BgL_arg2210z00_1345 = 
VECTOR_REF(BgL_auxz00_10586,2L); } 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_ivz00_1346;
BgL_ivz00_1346 = BgL_ivz00_1317; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_modez00_1347;
BgL_modez00_1347 = BgL_modez00_1318; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_noncezd2initz12zc0_1348;
BgL_noncezd2initz12zc0_1348 = BgL_noncezd2initz12zc0_1319; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_noncezd2updatez12zc0_1349;
BgL_noncezd2updatez12zc0_1349 = BgL_noncezd2updatez12zc0_1320; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_padz00_1350;
BgL_padz00_1350 = BgL_padz00_1321; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_stringzd2ze3keyz31_1351;
BgL_stringzd2ze3keyz31_1351 = BgL_stringzd2ze3keyz31_1322; 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_cipherz00_3286; obj_t BgL_ciphertextz00_3287; obj_t BgL_passwordz00_3288;
if(
SYMBOLP(BgL_arg2208z00_1343))
{ /* Llib/block_ciphers.scm 903 */
BgL_cipherz00_3286 = BgL_arg2208z00_1343; }  else 
{ 
 obj_t BgL_auxz00_10596;
BgL_auxz00_10596 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3434z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2208z00_1343); 
FAILURE(BgL_auxz00_10596,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg2209z00_1344))
{ /* Llib/block_ciphers.scm 903 */
BgL_ciphertextz00_3287 = BgL_arg2209z00_1344; }  else 
{ 
 obj_t BgL_auxz00_10602;
BgL_auxz00_10602 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3443z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2209z00_1344); 
FAILURE(BgL_auxz00_10602,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2210z00_1345))
{ /* Llib/block_ciphers.scm 903 */
BgL_passwordz00_3288 = BgL_arg2210z00_1345; }  else 
{ 
 obj_t BgL_auxz00_10608;
BgL_auxz00_10608 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(32802L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2210z00_1345); 
FAILURE(BgL_auxz00_10608,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 907 */
 obj_t BgL_res2745z00_3295;
{ /* Llib/block_ciphers.scm 913 */
 obj_t BgL_pz00_3291; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3292;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3291 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3292 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3286, BgL_passwordz00_3288, BgL_ivz00_1346, BgL_modez00_1347, BgL_padz00_1350, BgL_noncezd2initz12zc0_1348, BgL_noncezd2updatez12zc0_1349, BgL_stringzd2ze3keyz31_1351); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3292, BgL_ciphertextz00_3287, 0L, BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3291, 0L, BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
{ /* Llib/block_ciphers.scm 920 */
 obj_t BgL_aux3279z00_5593;
BgL_aux3279z00_5593 = 
bgl_close_output_port(BgL_pz00_3291); 
if(
STRINGP(BgL_aux3279z00_5593))
{ /* Llib/block_ciphers.scm 920 */
BgL_res2745z00_3295 = BgL_aux3279z00_5593; }  else 
{ 
 obj_t BgL_auxz00_10618;
BgL_auxz00_10618 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33510L), BGl_string3457z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_aux3279z00_5593); 
FAILURE(BgL_auxz00_10618,BFALSE,BFALSE);} } } 
return BgL_res2745z00_3295;} } } } } } } } } } } } } } } } } } } 

}



/* search1472~0 */
obj_t BGl_search1472ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1471z00_5090, obj_t BgL_opt1469z00_5089, obj_t BgL_k1z00_1311, long BgL_iz00_1312)
{
{ /* Llib/block_ciphers.scm 903 */
BGl_search1472ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1312==BgL_l1471z00_5090))
{ /* Llib/block_ciphers.scm 903 */
return 
BINT((-1L));}  else 
{ /* Llib/block_ciphers.scm 903 */
if(
(BgL_iz00_1312==
(BgL_l1471z00_5090-1L)))
{ /* Llib/block_ciphers.scm 903 */
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(35)), BGl_string3436z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1469z00_5089)));}  else 
{ /* Llib/block_ciphers.scm 903 */
 obj_t BgL_vz00_1356;
BgL_vz00_1356 = 
VECTOR_REF(BgL_opt1469z00_5089,BgL_iz00_1312); 
if(
(BgL_vz00_1356==BgL_k1z00_1311))
{ /* Llib/block_ciphers.scm 903 */
return 
BINT(
(BgL_iz00_1312+1L));}  else 
{ 
 long BgL_iz00_10638;
BgL_iz00_10638 = 
(BgL_iz00_1312+2L); 
BgL_iz00_1312 = BgL_iz00_10638; 
goto BGl_search1472ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt-port */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2portzd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_349, obj_t BgL_ciphertextz00_350, obj_t BgL_passwordz00_351, obj_t BgL_ivz00_352, obj_t BgL_modez00_353, obj_t BgL_noncezd2initz12zc0_354, obj_t BgL_noncezd2updatez12zc0_355, obj_t BgL_padz00_356, obj_t BgL_stringzd2ze3keyz31_357)
{
{ /* Llib/block_ciphers.scm 903 */
{ /* Llib/block_ciphers.scm 907 */
 obj_t BgL_res2746z00_3302;
{ /* Llib/block_ciphers.scm 913 */
 obj_t BgL_pz00_3298; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3299;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3298 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3299 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_349, BgL_passwordz00_351, BgL_ivz00_352, BgL_modez00_353, BgL_padz00_356, BgL_noncezd2initz12zc0_354, BgL_noncezd2updatez12zc0_355, BgL_stringzd2ze3keyz31_357); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3299, BgL_ciphertextz00_350, 0L, BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3298, 0L, BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_res2746z00_3302 = 
bgl_close_output_port(BgL_pz00_3298); } 
return BgL_res2746z00_3302;} } 

}



/* &decrypt-fast-port */
obj_t BGl_z62decryptzd2fastzd2portz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4479, obj_t BgL_cipherz00_4480, obj_t BgL_ciphertextz00_4481, obj_t BgL_passwordz00_4482, obj_t BgL_ivz00_4483, obj_t BgL_modez00_4484, obj_t BgL_padz00_4485, obj_t BgL_noncezd2initz12zc0_4486, obj_t BgL_noncezd2updatez12zc0_4487, obj_t BgL_stringzd2ze3keyz31_4488)
{
{ /* Llib/block_ciphers.scm 910 */
{ /* Llib/block_ciphers.scm 913 */
 obj_t BgL_ciphertextz00_5801; obj_t BgL_passwordz00_5802;
if(
INPUT_PORTP(BgL_ciphertextz00_4481))
{ /* Llib/block_ciphers.scm 913 */
BgL_ciphertextz00_5801 = BgL_ciphertextz00_4481; }  else 
{ 
 obj_t BgL_auxz00_10646;
BgL_auxz00_10646 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33267L), BGl_string3458z00zz__cryptozd2blockzd2ciphersz00, BGl_string3443z00zz__cryptozd2blockzd2ciphersz00, BgL_ciphertextz00_4481); 
FAILURE(BgL_auxz00_10646,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passwordz00_4482))
{ /* Llib/block_ciphers.scm 913 */
BgL_passwordz00_5802 = BgL_passwordz00_4482; }  else 
{ 
 obj_t BgL_auxz00_10652;
BgL_auxz00_10652 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33267L), BGl_string3458z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_passwordz00_4482); 
FAILURE(BgL_auxz00_10652,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 913 */
 obj_t BgL_pz00_5803; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_5804;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_5803 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_5804 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_4480, BgL_passwordz00_5802, BgL_ivz00_4483, BgL_modez00_4484, BgL_padz00_4485, BgL_noncezd2initz12zc0_4486, BgL_noncezd2updatez12zc0_4487, BgL_stringzd2ze3keyz31_4488); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_5804, BgL_ciphertextz00_5801, 0L, BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_5803, 0L, BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
return 
bgl_close_output_port(BgL_pz00_5803);} } } 

}



/* _decrypt-file */
obj_t BGl__decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1482z00_379, obj_t BgL_opt1481z00_378)
{
{ /* Llib/block_ciphers.scm 922 */
{ /* Llib/block_ciphers.scm 922 */
 long BgL_l1483z00_1362;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_vectorz00_3307;
if(
VECTORP(BgL_opt1481z00_378))
{ /* Llib/block_ciphers.scm 922 */
BgL_vectorz00_3307 = BgL_opt1481z00_378; }  else 
{ 
 obj_t BgL_auxz00_10662;
BgL_auxz00_10662 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1481z00_378); 
FAILURE(BgL_auxz00_10662,BFALSE,BFALSE);} 
BgL_l1483z00_1362 = 
VECTOR_LENGTH(BgL_vectorz00_3307); } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_cipherz00_1366; obj_t BgL_filenamez00_1367; obj_t BgL_passwordz00_1368;
{ 
 obj_t BgL_auxz00_10667;
if(
VECTORP(BgL_opt1481z00_378))
{ /* Llib/block_ciphers.scm 922 */
BgL_auxz00_10667 = BgL_opt1481z00_378
; }  else 
{ 
 obj_t BgL_auxz00_10670;
BgL_auxz00_10670 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1481z00_378); 
FAILURE(BgL_auxz00_10670,BFALSE,BFALSE);} 
BgL_cipherz00_1366 = 
VECTOR_REF(BgL_auxz00_10667,0L); } 
{ 
 obj_t BgL_auxz00_10675;
if(
VECTORP(BgL_opt1481z00_378))
{ /* Llib/block_ciphers.scm 922 */
BgL_auxz00_10675 = BgL_opt1481z00_378
; }  else 
{ 
 obj_t BgL_auxz00_10678;
BgL_auxz00_10678 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1481z00_378); 
FAILURE(BgL_auxz00_10678,BFALSE,BFALSE);} 
BgL_filenamez00_1367 = 
VECTOR_REF(BgL_auxz00_10675,1L); } 
{ 
 obj_t BgL_auxz00_10683;
if(
VECTORP(BgL_opt1481z00_378))
{ /* Llib/block_ciphers.scm 922 */
BgL_auxz00_10683 = BgL_opt1481z00_378
; }  else 
{ 
 obj_t BgL_auxz00_10686;
BgL_auxz00_10686 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1481z00_378); 
FAILURE(BgL_auxz00_10686,BFALSE,BFALSE);} 
BgL_passwordz00_1368 = 
VECTOR_REF(BgL_auxz00_10683,2L); } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_ivz00_1369;
BgL_ivz00_1369 = BFALSE; 
{ /* Llib/block_ciphers.scm 923 */
 obj_t BgL_modez00_1370;
BgL_modez00_1370 = 
((obj_t)
CNST_TABLE_REF(6)); 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_noncezd2initz12zc0_1371;
BgL_noncezd2initz12zc0_1371 = BFALSE; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_noncezd2updatez12zc0_1372;
BgL_noncezd2updatez12zc0_1372 = BFALSE; 
{ /* Llib/block_ciphers.scm 923 */
 obj_t BgL_padz00_1373;
BgL_padz00_1373 = 
((obj_t)
CNST_TABLE_REF(11)); 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_stringzd2ze3keyz31_1374;
BgL_stringzd2ze3keyz31_1374 = BFALSE; 
{ /* Llib/block_ciphers.scm 922 */

{ 
 long BgL_iz00_1375;
BgL_iz00_1375 = 3L; 
BgL_check1485z00_1376:
if(
(BgL_iz00_1375==BgL_l1483z00_1362))
{ /* Llib/block_ciphers.scm 922 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test4400z00_10697;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_arg2222z00_1382;
BgL_arg2222z00_1382 = 
VECTOR_REF(
((obj_t)BgL_opt1481z00_378),BgL_iz00_1375); 
BgL_test4400z00_10697 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2222z00_1382, 
((obj_t)
CNST_TABLE_REF(17)))); } 
if(BgL_test4400z00_10697)
{ 
 long BgL_iz00_10704;
BgL_iz00_10704 = 
(BgL_iz00_1375+2L); 
BgL_iz00_1375 = BgL_iz00_10704; 
goto BgL_check1485z00_1376;}  else 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_arg2221z00_1381;
BgL_arg2221z00_1381 = 
VECTOR_REF(
((obj_t)BgL_opt1481z00_378),BgL_iz00_1375); 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(36)), BGl_string3433z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2221z00_1381); } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_index1487z00_1383;
BgL_index1487z00_1383 = 
BGl_search1484ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1483z00_1362, BgL_opt1481z00_378, 
((obj_t)
CNST_TABLE_REF(19)), 3L); 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test4401z00_10714;
{ /* Llib/block_ciphers.scm 922 */
 long BgL_n1z00_3322;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_10715;
if(
INTEGERP(BgL_index1487z00_1383))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_10715 = BgL_index1487z00_1383
; }  else 
{ 
 obj_t BgL_auxz00_10718;
BgL_auxz00_10718 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1487z00_1383); 
FAILURE(BgL_auxz00_10718,BFALSE,BFALSE);} 
BgL_n1z00_3322 = 
(long)CINT(BgL_tmpz00_10715); } 
BgL_test4401z00_10714 = 
(BgL_n1z00_3322>=0L); } 
if(BgL_test4401z00_10714)
{ 
 long BgL_auxz00_10731; obj_t BgL_auxz00_10724;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_10732;
if(
INTEGERP(BgL_index1487z00_1383))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_10732 = BgL_index1487z00_1383
; }  else 
{ 
 obj_t BgL_auxz00_10735;
BgL_auxz00_10735 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1487z00_1383); 
FAILURE(BgL_auxz00_10735,BFALSE,BFALSE);} 
BgL_auxz00_10731 = 
(long)CINT(BgL_tmpz00_10732); } 
if(
VECTORP(BgL_opt1481z00_378))
{ /* Llib/block_ciphers.scm 922 */
BgL_auxz00_10724 = BgL_opt1481z00_378
; }  else 
{ 
 obj_t BgL_auxz00_10727;
BgL_auxz00_10727 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1481z00_378); 
FAILURE(BgL_auxz00_10727,BFALSE,BFALSE);} 
BgL_ivz00_1369 = 
VECTOR_REF(BgL_auxz00_10724,BgL_auxz00_10731); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_index1488z00_1385;
BgL_index1488z00_1385 = 
BGl_search1484ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1483z00_1362, BgL_opt1481z00_378, 
((obj_t)
CNST_TABLE_REF(20)), 3L); 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test4405z00_10744;
{ /* Llib/block_ciphers.scm 922 */
 long BgL_n1z00_3323;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_10745;
if(
INTEGERP(BgL_index1488z00_1385))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_10745 = BgL_index1488z00_1385
; }  else 
{ 
 obj_t BgL_auxz00_10748;
BgL_auxz00_10748 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1488z00_1385); 
FAILURE(BgL_auxz00_10748,BFALSE,BFALSE);} 
BgL_n1z00_3323 = 
(long)CINT(BgL_tmpz00_10745); } 
BgL_test4405z00_10744 = 
(BgL_n1z00_3323>=0L); } 
if(BgL_test4405z00_10744)
{ 
 long BgL_auxz00_10761; obj_t BgL_auxz00_10754;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_10762;
if(
INTEGERP(BgL_index1488z00_1385))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_10762 = BgL_index1488z00_1385
; }  else 
{ 
 obj_t BgL_auxz00_10765;
BgL_auxz00_10765 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1488z00_1385); 
FAILURE(BgL_auxz00_10765,BFALSE,BFALSE);} 
BgL_auxz00_10761 = 
(long)CINT(BgL_tmpz00_10762); } 
if(
VECTORP(BgL_opt1481z00_378))
{ /* Llib/block_ciphers.scm 922 */
BgL_auxz00_10754 = BgL_opt1481z00_378
; }  else 
{ 
 obj_t BgL_auxz00_10757;
BgL_auxz00_10757 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1481z00_378); 
FAILURE(BgL_auxz00_10757,BFALSE,BFALSE);} 
BgL_modez00_1370 = 
VECTOR_REF(BgL_auxz00_10754,BgL_auxz00_10761); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_index1489z00_1387;
BgL_index1489z00_1387 = 
BGl_search1484ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1483z00_1362, BgL_opt1481z00_378, 
((obj_t)
CNST_TABLE_REF(21)), 3L); 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test4409z00_10774;
{ /* Llib/block_ciphers.scm 922 */
 long BgL_n1z00_3324;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_10775;
if(
INTEGERP(BgL_index1489z00_1387))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_10775 = BgL_index1489z00_1387
; }  else 
{ 
 obj_t BgL_auxz00_10778;
BgL_auxz00_10778 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1489z00_1387); 
FAILURE(BgL_auxz00_10778,BFALSE,BFALSE);} 
BgL_n1z00_3324 = 
(long)CINT(BgL_tmpz00_10775); } 
BgL_test4409z00_10774 = 
(BgL_n1z00_3324>=0L); } 
if(BgL_test4409z00_10774)
{ 
 long BgL_auxz00_10791; obj_t BgL_auxz00_10784;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_10792;
if(
INTEGERP(BgL_index1489z00_1387))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_10792 = BgL_index1489z00_1387
; }  else 
{ 
 obj_t BgL_auxz00_10795;
BgL_auxz00_10795 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1489z00_1387); 
FAILURE(BgL_auxz00_10795,BFALSE,BFALSE);} 
BgL_auxz00_10791 = 
(long)CINT(BgL_tmpz00_10792); } 
if(
VECTORP(BgL_opt1481z00_378))
{ /* Llib/block_ciphers.scm 922 */
BgL_auxz00_10784 = BgL_opt1481z00_378
; }  else 
{ 
 obj_t BgL_auxz00_10787;
BgL_auxz00_10787 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1481z00_378); 
FAILURE(BgL_auxz00_10787,BFALSE,BFALSE);} 
BgL_noncezd2initz12zc0_1371 = 
VECTOR_REF(BgL_auxz00_10784,BgL_auxz00_10791); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_index1490z00_1389;
BgL_index1490z00_1389 = 
BGl_search1484ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1483z00_1362, BgL_opt1481z00_378, 
((obj_t)
CNST_TABLE_REF(22)), 3L); 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test4413z00_10804;
{ /* Llib/block_ciphers.scm 922 */
 long BgL_n1z00_3325;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_10805;
if(
INTEGERP(BgL_index1490z00_1389))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_10805 = BgL_index1490z00_1389
; }  else 
{ 
 obj_t BgL_auxz00_10808;
BgL_auxz00_10808 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1490z00_1389); 
FAILURE(BgL_auxz00_10808,BFALSE,BFALSE);} 
BgL_n1z00_3325 = 
(long)CINT(BgL_tmpz00_10805); } 
BgL_test4413z00_10804 = 
(BgL_n1z00_3325>=0L); } 
if(BgL_test4413z00_10804)
{ 
 long BgL_auxz00_10821; obj_t BgL_auxz00_10814;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_10822;
if(
INTEGERP(BgL_index1490z00_1389))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_10822 = BgL_index1490z00_1389
; }  else 
{ 
 obj_t BgL_auxz00_10825;
BgL_auxz00_10825 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1490z00_1389); 
FAILURE(BgL_auxz00_10825,BFALSE,BFALSE);} 
BgL_auxz00_10821 = 
(long)CINT(BgL_tmpz00_10822); } 
if(
VECTORP(BgL_opt1481z00_378))
{ /* Llib/block_ciphers.scm 922 */
BgL_auxz00_10814 = BgL_opt1481z00_378
; }  else 
{ 
 obj_t BgL_auxz00_10817;
BgL_auxz00_10817 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1481z00_378); 
FAILURE(BgL_auxz00_10817,BFALSE,BFALSE);} 
BgL_noncezd2updatez12zc0_1372 = 
VECTOR_REF(BgL_auxz00_10814,BgL_auxz00_10821); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_index1491z00_1391;
BgL_index1491z00_1391 = 
BGl_search1484ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1483z00_1362, BgL_opt1481z00_378, 
((obj_t)
CNST_TABLE_REF(23)), 3L); 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test4417z00_10834;
{ /* Llib/block_ciphers.scm 922 */
 long BgL_n1z00_3326;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_10835;
if(
INTEGERP(BgL_index1491z00_1391))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_10835 = BgL_index1491z00_1391
; }  else 
{ 
 obj_t BgL_auxz00_10838;
BgL_auxz00_10838 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1491z00_1391); 
FAILURE(BgL_auxz00_10838,BFALSE,BFALSE);} 
BgL_n1z00_3326 = 
(long)CINT(BgL_tmpz00_10835); } 
BgL_test4417z00_10834 = 
(BgL_n1z00_3326>=0L); } 
if(BgL_test4417z00_10834)
{ 
 long BgL_auxz00_10851; obj_t BgL_auxz00_10844;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_10852;
if(
INTEGERP(BgL_index1491z00_1391))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_10852 = BgL_index1491z00_1391
; }  else 
{ 
 obj_t BgL_auxz00_10855;
BgL_auxz00_10855 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1491z00_1391); 
FAILURE(BgL_auxz00_10855,BFALSE,BFALSE);} 
BgL_auxz00_10851 = 
(long)CINT(BgL_tmpz00_10852); } 
if(
VECTORP(BgL_opt1481z00_378))
{ /* Llib/block_ciphers.scm 922 */
BgL_auxz00_10844 = BgL_opt1481z00_378
; }  else 
{ 
 obj_t BgL_auxz00_10847;
BgL_auxz00_10847 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1481z00_378); 
FAILURE(BgL_auxz00_10847,BFALSE,BFALSE);} 
BgL_padz00_1373 = 
VECTOR_REF(BgL_auxz00_10844,BgL_auxz00_10851); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_index1492z00_1393;
BgL_index1492z00_1393 = 
BGl_search1484ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1483z00_1362, BgL_opt1481z00_378, 
((obj_t)
CNST_TABLE_REF(24)), 3L); 
{ /* Llib/block_ciphers.scm 922 */
 bool_t BgL_test4421z00_10864;
{ /* Llib/block_ciphers.scm 922 */
 long BgL_n1z00_3327;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_10865;
if(
INTEGERP(BgL_index1492z00_1393))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_10865 = BgL_index1492z00_1393
; }  else 
{ 
 obj_t BgL_auxz00_10868;
BgL_auxz00_10868 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1492z00_1393); 
FAILURE(BgL_auxz00_10868,BFALSE,BFALSE);} 
BgL_n1z00_3327 = 
(long)CINT(BgL_tmpz00_10865); } 
BgL_test4421z00_10864 = 
(BgL_n1z00_3327>=0L); } 
if(BgL_test4421z00_10864)
{ 
 long BgL_auxz00_10881; obj_t BgL_auxz00_10874;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_tmpz00_10882;
if(
INTEGERP(BgL_index1492z00_1393))
{ /* Llib/block_ciphers.scm 922 */
BgL_tmpz00_10882 = BgL_index1492z00_1393
; }  else 
{ 
 obj_t BgL_auxz00_10885;
BgL_auxz00_10885 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1492z00_1393); 
FAILURE(BgL_auxz00_10885,BFALSE,BFALSE);} 
BgL_auxz00_10881 = 
(long)CINT(BgL_tmpz00_10882); } 
if(
VECTORP(BgL_opt1481z00_378))
{ /* Llib/block_ciphers.scm 922 */
BgL_auxz00_10874 = BgL_opt1481z00_378
; }  else 
{ 
 obj_t BgL_auxz00_10877;
BgL_auxz00_10877 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1481z00_378); 
FAILURE(BgL_auxz00_10877,BFALSE,BFALSE);} 
BgL_stringzd2ze3keyz31_1374 = 
VECTOR_REF(BgL_auxz00_10874,BgL_auxz00_10881); }  else 
{ /* Llib/block_ciphers.scm 922 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_arg2229z00_1395; obj_t BgL_arg2230z00_1396; obj_t BgL_arg2231z00_1397;
{ 
 obj_t BgL_auxz00_10891;
if(
VECTORP(BgL_opt1481z00_378))
{ /* Llib/block_ciphers.scm 922 */
BgL_auxz00_10891 = BgL_opt1481z00_378
; }  else 
{ 
 obj_t BgL_auxz00_10894;
BgL_auxz00_10894 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1481z00_378); 
FAILURE(BgL_auxz00_10894,BFALSE,BFALSE);} 
BgL_arg2229z00_1395 = 
VECTOR_REF(BgL_auxz00_10891,0L); } 
{ 
 obj_t BgL_auxz00_10899;
if(
VECTORP(BgL_opt1481z00_378))
{ /* Llib/block_ciphers.scm 922 */
BgL_auxz00_10899 = BgL_opt1481z00_378
; }  else 
{ 
 obj_t BgL_auxz00_10902;
BgL_auxz00_10902 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1481z00_378); 
FAILURE(BgL_auxz00_10902,BFALSE,BFALSE);} 
BgL_arg2230z00_1396 = 
VECTOR_REF(BgL_auxz00_10899,1L); } 
{ 
 obj_t BgL_auxz00_10907;
if(
VECTORP(BgL_opt1481z00_378))
{ /* Llib/block_ciphers.scm 922 */
BgL_auxz00_10907 = BgL_opt1481z00_378
; }  else 
{ 
 obj_t BgL_auxz00_10910;
BgL_auxz00_10910 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1481z00_378); 
FAILURE(BgL_auxz00_10910,BFALSE,BFALSE);} 
BgL_arg2231z00_1397 = 
VECTOR_REF(BgL_auxz00_10907,2L); } 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_ivz00_1398;
BgL_ivz00_1398 = BgL_ivz00_1369; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_modez00_1399;
BgL_modez00_1399 = BgL_modez00_1370; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_noncezd2initz12zc0_1400;
BgL_noncezd2initz12zc0_1400 = BgL_noncezd2initz12zc0_1371; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_noncezd2updatez12zc0_1401;
BgL_noncezd2updatez12zc0_1401 = BgL_noncezd2updatez12zc0_1372; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_padz00_1402;
BgL_padz00_1402 = BgL_padz00_1373; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_stringzd2ze3keyz31_1403;
BgL_stringzd2ze3keyz31_1403 = BgL_stringzd2ze3keyz31_1374; 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_res2748z00_3354;
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_cipherz00_3328; obj_t BgL_filenamez00_3329; obj_t BgL_passwordz00_3330;
if(
SYMBOLP(BgL_arg2229z00_1395))
{ /* Llib/block_ciphers.scm 922 */
BgL_cipherz00_3328 = BgL_arg2229z00_1395; }  else 
{ 
 obj_t BgL_auxz00_10917;
BgL_auxz00_10917 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3434z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2229z00_1395); 
FAILURE(BgL_auxz00_10917,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2230z00_1396))
{ /* Llib/block_ciphers.scm 922 */
BgL_filenamez00_3329 = BgL_arg2230z00_1396; }  else 
{ 
 obj_t BgL_auxz00_10923;
BgL_auxz00_10923 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2230z00_1396); 
FAILURE(BgL_auxz00_10923,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2231z00_1397))
{ /* Llib/block_ciphers.scm 922 */
BgL_passwordz00_3330 = BgL_arg2231z00_1397; }  else 
{ 
 obj_t BgL_auxz00_10929;
BgL_auxz00_10929 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33535L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2231z00_1397); 
FAILURE(BgL_auxz00_10929,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 926 */
 obj_t BgL_pz00_3331;
{ /* Llib/block_ciphers.scm 926 */

BgL_pz00_3331 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_3329, BTRUE, 
BINT(5000000L)); } 
if(
CBOOL(BgL_pz00_3331))
{ /* Llib/block_ciphers.scm 927 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 927 */
BGl_errorz00zz__errorz00(BGl_string3460z00zz__cryptozd2blockzd2ciphersz00, BGl_string3447z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_3329); } 
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_exitd1241z00_3335;
BgL_exitd1241z00_3335 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 935 */
 obj_t BgL_zc3z04anonymousza32238ze3z87_4489;
BgL_zc3z04anonymousza32238ze3z87_4489 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32238ze3ze5zz__cryptozd2blockzd2ciphersz00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32238ze3z87_4489, 
(int)(0L), BgL_pz00_3331); 
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1846z00_3339;
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1847z00_3340;
BgL_arg1847z00_3340 = 
BGL_EXITD_PROTECT(BgL_exitd1241z00_3335); 
BgL_arg1846z00_3339 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32238ze3z87_4489, BgL_arg1847z00_3340); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1241z00_3335, BgL_arg1846z00_3339); BUNSPEC; } 
{ /* Llib/block_ciphers.scm 932 */
 obj_t BgL_tmp1243z00_3337;
{ /* Llib/block_ciphers.scm 932 */
 obj_t BgL_res2747z00_3347;
{ /* Llib/block_ciphers.scm 932 */
 obj_t BgL_ciphertextz00_3341;
if(
INPUT_PORTP(BgL_pz00_3331))
{ /* Llib/block_ciphers.scm 932 */
BgL_ciphertextz00_3341 = BgL_pz00_3331; }  else 
{ 
 obj_t BgL_auxz00_10949;
BgL_auxz00_10949 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33903L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3443z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3331); 
FAILURE(BgL_auxz00_10949,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 913 */
 obj_t BgL_pz00_3343; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3344;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3343 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3344 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3328, BgL_passwordz00_3330, BgL_ivz00_1398, BgL_modez00_1399, BgL_padz00_1402, BgL_noncezd2initz12zc0_1400, BgL_noncezd2updatez12zc0_1401, BgL_stringzd2ze3keyz31_1403); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3344, BgL_ciphertextz00_3341, 0L, BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3343, 0L, BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
{ /* Llib/block_ciphers.scm 920 */
 obj_t BgL_aux3331z00_5645;
BgL_aux3331z00_5645 = 
bgl_close_output_port(BgL_pz00_3343); 
if(
STRINGP(BgL_aux3331z00_5645))
{ /* Llib/block_ciphers.scm 920 */
BgL_res2747z00_3347 = BgL_aux3331z00_5645; }  else 
{ 
 obj_t BgL_auxz00_10959;
BgL_auxz00_10959 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33510L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_aux3331z00_5645); 
FAILURE(BgL_auxz00_10959,BFALSE,BFALSE);} } } } 
BgL_tmp1243z00_3337 = BgL_res2747z00_3347; } 
{ /* Llib/block_ciphers.scm 931 */
 bool_t BgL_test4434z00_10963;
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1845z00_3349;
BgL_arg1845z00_3349 = 
BGL_EXITD_PROTECT(BgL_exitd1241z00_3335); 
BgL_test4434z00_10963 = 
PAIRP(BgL_arg1845z00_3349); } 
if(BgL_test4434z00_10963)
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1843z00_3350;
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1844z00_3351;
BgL_arg1844z00_3351 = 
BGL_EXITD_PROTECT(BgL_exitd1241z00_3335); 
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_pairz00_3352;
if(
PAIRP(BgL_arg1844z00_3351))
{ /* Llib/block_ciphers.scm 931 */
BgL_pairz00_3352 = BgL_arg1844z00_3351; }  else 
{ 
 obj_t BgL_auxz00_10969;
BgL_auxz00_10969 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33859L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3448z00zz__cryptozd2blockzd2ciphersz00, BgL_arg1844z00_3351); 
FAILURE(BgL_auxz00_10969,BFALSE,BFALSE);} 
BgL_arg1843z00_3350 = 
CDR(BgL_pairz00_3352); } } 
BGL_EXITD_PROTECT_SET(BgL_exitd1241z00_3335, BgL_arg1843z00_3350); BUNSPEC; }  else 
{ /* Llib/block_ciphers.scm 931 */BFALSE; } } 
{ /* Llib/block_ciphers.scm 935 */
 obj_t BgL_portz00_3353;
if(
INPUT_PORTP(BgL_pz00_3331))
{ /* Llib/block_ciphers.scm 935 */
BgL_portz00_3353 = BgL_pz00_3331; }  else 
{ 
 obj_t BgL_auxz00_10977;
BgL_auxz00_10977 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(33999L), BGl_string3459z00zz__cryptozd2blockzd2ciphersz00, BGl_string3443z00zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3331); 
FAILURE(BgL_auxz00_10977,BFALSE,BFALSE);} 
bgl_close_input_port(BgL_portz00_3353); } 
BgL_res2748z00_3354 = BgL_tmp1243z00_3337; } } } } } 
return BgL_res2748z00_3354;} } } } } } } } } } } } } } } } } } 

}



/* search1484~0 */
obj_t BGl_search1484ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1483z00_5088, obj_t BgL_opt1481z00_5087, obj_t BgL_k1z00_1363, long BgL_iz00_1364)
{
{ /* Llib/block_ciphers.scm 922 */
BGl_search1484ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1364==BgL_l1483z00_5088))
{ /* Llib/block_ciphers.scm 922 */
return 
BINT((-1L));}  else 
{ /* Llib/block_ciphers.scm 922 */
if(
(BgL_iz00_1364==
(BgL_l1483z00_5088-1L)))
{ /* Llib/block_ciphers.scm 922 */
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(36)), BGl_string3436z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1481z00_5087)));}  else 
{ /* Llib/block_ciphers.scm 922 */
 obj_t BgL_vz00_1408;
BgL_vz00_1408 = 
VECTOR_REF(BgL_opt1481z00_5087,BgL_iz00_1364); 
if(
(BgL_vz00_1408==BgL_k1z00_1363))
{ /* Llib/block_ciphers.scm 922 */
return 
BINT(
(BgL_iz00_1364+1L));}  else 
{ 
 long BgL_iz00_10998;
BgL_iz00_10998 = 
(BgL_iz00_1364+2L); 
BgL_iz00_1364 = BgL_iz00_10998; 
goto BGl_search1484ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* &<@anonymous:2238> */
obj_t BGl_z62zc3z04anonymousza32238ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4490)
{
{ /* Llib/block_ciphers.scm 931 */
{ /* Llib/block_ciphers.scm 935 */
 obj_t BgL_pz00_4491;
BgL_pz00_4491 = 
PROCEDURE_REF(BgL_envz00_4490, 
(int)(0L)); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_4491));} } 

}



/* decrypt-file */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2filezd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_369, obj_t BgL_filenamez00_370, obj_t BgL_passwordz00_371, obj_t BgL_ivz00_372, obj_t BgL_modez00_373, obj_t BgL_noncezd2initz12zc0_374, obj_t BgL_noncezd2updatez12zc0_375, obj_t BgL_padz00_376, obj_t BgL_stringzd2ze3keyz31_377)
{
{ /* Llib/block_ciphers.scm 922 */
{ /* Llib/block_ciphers.scm 926 */
 obj_t BgL_pz00_3355;
{ /* Llib/block_ciphers.scm 926 */

BgL_pz00_3355 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filenamez00_370, BTRUE, 
BINT(5000000L)); } 
if(
CBOOL(BgL_pz00_3355))
{ /* Llib/block_ciphers.scm 927 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 927 */
BGl_errorz00zz__errorz00(BGl_string3460z00zz__cryptozd2blockzd2ciphersz00, BGl_string3447z00zz__cryptozd2blockzd2ciphersz00, BgL_filenamez00_370); } 
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_exitd1241z00_3359;
BgL_exitd1241z00_3359 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/block_ciphers.scm 935 */
 obj_t BgL_zc3z04anonymousza32238ze3z87_4492;
BgL_zc3z04anonymousza32238ze3z87_4492 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32238ze32798ze5zz__cryptozd2blockzd2ciphersz00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32238ze3z87_4492, 
(int)(0L), BgL_pz00_3355); 
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1846z00_3363;
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1847z00_3364;
BgL_arg1847z00_3364 = 
BGL_EXITD_PROTECT(BgL_exitd1241z00_3359); 
BgL_arg1846z00_3363 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32238ze3z87_4492, BgL_arg1847z00_3364); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1241z00_3359, BgL_arg1846z00_3363); BUNSPEC; } 
{ /* Llib/block_ciphers.scm 932 */
 obj_t BgL_tmp1243z00_3361;
{ /* Llib/block_ciphers.scm 932 */
 obj_t BgL_res2749z00_3371;
{ /* Llib/block_ciphers.scm 913 */
 obj_t BgL_pz00_3367; BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3368;
{ /* Llib/block_ciphers.scm 913 */

{ /* Llib/block_ciphers.scm 913 */

BgL_pz00_3367 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_statez00_3368 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_369, BgL_passwordz00_371, BgL_ivz00_372, BgL_modez00_373, BgL_padz00_376, BgL_noncezd2initz12zc0_374, BgL_noncezd2updatez12zc0_375, BgL_stringzd2ze3keyz31_377); 
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3368, 
((obj_t)BgL_pz00_3355), 0L, BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_pz00_3367, 0L, BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00); 
BgL_res2749z00_3371 = 
bgl_close_output_port(BgL_pz00_3367); } 
BgL_tmp1243z00_3361 = BgL_res2749z00_3371; } 
{ /* Llib/block_ciphers.scm 931 */
 bool_t BgL_test4441z00_11023;
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1845z00_3373;
BgL_arg1845z00_3373 = 
BGL_EXITD_PROTECT(BgL_exitd1241z00_3359); 
BgL_test4441z00_11023 = 
PAIRP(BgL_arg1845z00_3373); } 
if(BgL_test4441z00_11023)
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1843z00_3374;
{ /* Llib/block_ciphers.scm 931 */
 obj_t BgL_arg1844z00_3375;
BgL_arg1844z00_3375 = 
BGL_EXITD_PROTECT(BgL_exitd1241z00_3359); 
BgL_arg1843z00_3374 = 
CDR(
((obj_t)BgL_arg1844z00_3375)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1241z00_3359, BgL_arg1843z00_3374); BUNSPEC; }  else 
{ /* Llib/block_ciphers.scm 931 */BFALSE; } } 
bgl_close_input_port(
((obj_t)BgL_pz00_3355)); 
return BgL_tmp1243z00_3361;} } } } } 

}



/* &<@anonymous:2238>2798 */
obj_t BGl_z62zc3z04anonymousza32238ze32798ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4493)
{
{ /* Llib/block_ciphers.scm 931 */
{ /* Llib/block_ciphers.scm 935 */
 obj_t BgL_pz00_4494;
BgL_pz00_4494 = 
PROCEDURE_REF(BgL_envz00_4493, 
(int)(0L)); 
return 
bgl_close_input_port(
((obj_t)BgL_pz00_4494));} } 

}



/* _decrypt-sendchars */
obj_t BGl__decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_env1494z00_391, obj_t BgL_opt1493z00_390)
{
{ /* Llib/block_ciphers.scm 937 */
{ /* Llib/block_ciphers.scm 937 */
 long BgL_l1495z00_1420;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_vectorz00_3378;
if(
VECTORP(BgL_opt1493z00_390))
{ /* Llib/block_ciphers.scm 937 */
BgL_vectorz00_3378 = BgL_opt1493z00_390; }  else 
{ 
 obj_t BgL_auxz00_11038;
BgL_auxz00_11038 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1493z00_390); 
FAILURE(BgL_auxz00_11038,BFALSE,BFALSE);} 
BgL_l1495z00_1420 = 
VECTOR_LENGTH(BgL_vectorz00_3378); } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_cipherz00_1424; obj_t BgL_inz00_1425; obj_t BgL_outz00_1426; obj_t BgL_passwordz00_1427;
{ 
 obj_t BgL_auxz00_11043;
if(
VECTORP(BgL_opt1493z00_390))
{ /* Llib/block_ciphers.scm 937 */
BgL_auxz00_11043 = BgL_opt1493z00_390
; }  else 
{ 
 obj_t BgL_auxz00_11046;
BgL_auxz00_11046 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1493z00_390); 
FAILURE(BgL_auxz00_11046,BFALSE,BFALSE);} 
BgL_cipherz00_1424 = 
VECTOR_REF(BgL_auxz00_11043,0L); } 
{ 
 obj_t BgL_auxz00_11051;
if(
VECTORP(BgL_opt1493z00_390))
{ /* Llib/block_ciphers.scm 937 */
BgL_auxz00_11051 = BgL_opt1493z00_390
; }  else 
{ 
 obj_t BgL_auxz00_11054;
BgL_auxz00_11054 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1493z00_390); 
FAILURE(BgL_auxz00_11054,BFALSE,BFALSE);} 
BgL_inz00_1425 = 
VECTOR_REF(BgL_auxz00_11051,1L); } 
{ 
 obj_t BgL_auxz00_11059;
if(
VECTORP(BgL_opt1493z00_390))
{ /* Llib/block_ciphers.scm 937 */
BgL_auxz00_11059 = BgL_opt1493z00_390
; }  else 
{ 
 obj_t BgL_auxz00_11062;
BgL_auxz00_11062 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1493z00_390); 
FAILURE(BgL_auxz00_11062,BFALSE,BFALSE);} 
BgL_outz00_1426 = 
VECTOR_REF(BgL_auxz00_11059,2L); } 
{ 
 obj_t BgL_auxz00_11067;
if(
VECTORP(BgL_opt1493z00_390))
{ /* Llib/block_ciphers.scm 937 */
BgL_auxz00_11067 = BgL_opt1493z00_390
; }  else 
{ 
 obj_t BgL_auxz00_11070;
BgL_auxz00_11070 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1493z00_390); 
FAILURE(BgL_auxz00_11070,BFALSE,BFALSE);} 
BgL_passwordz00_1427 = 
VECTOR_REF(BgL_auxz00_11067,3L); } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_ivz00_1428;
BgL_ivz00_1428 = BFALSE; 
{ /* Llib/block_ciphers.scm 939 */
 obj_t BgL_modez00_1429;
BgL_modez00_1429 = 
((obj_t)
CNST_TABLE_REF(6)); 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_noncezd2initz12zc0_1430;
BgL_noncezd2initz12zc0_1430 = BFALSE; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_noncezd2updatez12zc0_1431;
BgL_noncezd2updatez12zc0_1431 = BFALSE; 
{ /* Llib/block_ciphers.scm 939 */
 obj_t BgL_padz00_1432;
BgL_padz00_1432 = 
((obj_t)
CNST_TABLE_REF(11)); 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_stringzd2ze3keyz31_1433;
BgL_stringzd2ze3keyz31_1433 = BFALSE; 
{ /* Llib/block_ciphers.scm 937 */

{ 
 long BgL_iz00_1434;
BgL_iz00_1434 = 4L; 
BgL_check1497z00_1435:
if(
(BgL_iz00_1434==BgL_l1495z00_1420))
{ /* Llib/block_ciphers.scm 937 */BNIL; }  else 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test4448z00_11081;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_arg2244z00_1441;
BgL_arg2244z00_1441 = 
VECTOR_REF(
((obj_t)BgL_opt1493z00_390),BgL_iz00_1434); 
BgL_test4448z00_11081 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2244z00_1441, 
((obj_t)
CNST_TABLE_REF(17)))); } 
if(BgL_test4448z00_11081)
{ 
 long BgL_iz00_11088;
BgL_iz00_11088 = 
(BgL_iz00_1434+2L); 
BgL_iz00_1434 = BgL_iz00_11088; 
goto BgL_check1497z00_1435;}  else 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_arg2243z00_1440;
BgL_arg2243z00_1440 = 
VECTOR_REF(
((obj_t)BgL_opt1493z00_390),BgL_iz00_1434); 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(37)), BGl_string3433z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2243z00_1440); } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_index1499z00_1442;
BgL_index1499z00_1442 = 
BGl_search1496ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1495z00_1420, BgL_opt1493z00_390, 
((obj_t)
CNST_TABLE_REF(19)), 4L); 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test4449z00_11098;
{ /* Llib/block_ciphers.scm 937 */
 long BgL_n1z00_3393;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_11099;
if(
INTEGERP(BgL_index1499z00_1442))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_11099 = BgL_index1499z00_1442
; }  else 
{ 
 obj_t BgL_auxz00_11102;
BgL_auxz00_11102 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1499z00_1442); 
FAILURE(BgL_auxz00_11102,BFALSE,BFALSE);} 
BgL_n1z00_3393 = 
(long)CINT(BgL_tmpz00_11099); } 
BgL_test4449z00_11098 = 
(BgL_n1z00_3393>=0L); } 
if(BgL_test4449z00_11098)
{ 
 long BgL_auxz00_11115; obj_t BgL_auxz00_11108;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_11116;
if(
INTEGERP(BgL_index1499z00_1442))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_11116 = BgL_index1499z00_1442
; }  else 
{ 
 obj_t BgL_auxz00_11119;
BgL_auxz00_11119 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1499z00_1442); 
FAILURE(BgL_auxz00_11119,BFALSE,BFALSE);} 
BgL_auxz00_11115 = 
(long)CINT(BgL_tmpz00_11116); } 
if(
VECTORP(BgL_opt1493z00_390))
{ /* Llib/block_ciphers.scm 937 */
BgL_auxz00_11108 = BgL_opt1493z00_390
; }  else 
{ 
 obj_t BgL_auxz00_11111;
BgL_auxz00_11111 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1493z00_390); 
FAILURE(BgL_auxz00_11111,BFALSE,BFALSE);} 
BgL_ivz00_1428 = 
VECTOR_REF(BgL_auxz00_11108,BgL_auxz00_11115); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_index1500z00_1444;
BgL_index1500z00_1444 = 
BGl_search1496ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1495z00_1420, BgL_opt1493z00_390, 
((obj_t)
CNST_TABLE_REF(20)), 4L); 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test4453z00_11128;
{ /* Llib/block_ciphers.scm 937 */
 long BgL_n1z00_3394;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_11129;
if(
INTEGERP(BgL_index1500z00_1444))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_11129 = BgL_index1500z00_1444
; }  else 
{ 
 obj_t BgL_auxz00_11132;
BgL_auxz00_11132 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1500z00_1444); 
FAILURE(BgL_auxz00_11132,BFALSE,BFALSE);} 
BgL_n1z00_3394 = 
(long)CINT(BgL_tmpz00_11129); } 
BgL_test4453z00_11128 = 
(BgL_n1z00_3394>=0L); } 
if(BgL_test4453z00_11128)
{ 
 long BgL_auxz00_11145; obj_t BgL_auxz00_11138;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_11146;
if(
INTEGERP(BgL_index1500z00_1444))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_11146 = BgL_index1500z00_1444
; }  else 
{ 
 obj_t BgL_auxz00_11149;
BgL_auxz00_11149 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1500z00_1444); 
FAILURE(BgL_auxz00_11149,BFALSE,BFALSE);} 
BgL_auxz00_11145 = 
(long)CINT(BgL_tmpz00_11146); } 
if(
VECTORP(BgL_opt1493z00_390))
{ /* Llib/block_ciphers.scm 937 */
BgL_auxz00_11138 = BgL_opt1493z00_390
; }  else 
{ 
 obj_t BgL_auxz00_11141;
BgL_auxz00_11141 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1493z00_390); 
FAILURE(BgL_auxz00_11141,BFALSE,BFALSE);} 
BgL_modez00_1429 = 
VECTOR_REF(BgL_auxz00_11138,BgL_auxz00_11145); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_index1501z00_1446;
BgL_index1501z00_1446 = 
BGl_search1496ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1495z00_1420, BgL_opt1493z00_390, 
((obj_t)
CNST_TABLE_REF(21)), 4L); 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test4457z00_11158;
{ /* Llib/block_ciphers.scm 937 */
 long BgL_n1z00_3395;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_11159;
if(
INTEGERP(BgL_index1501z00_1446))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_11159 = BgL_index1501z00_1446
; }  else 
{ 
 obj_t BgL_auxz00_11162;
BgL_auxz00_11162 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1501z00_1446); 
FAILURE(BgL_auxz00_11162,BFALSE,BFALSE);} 
BgL_n1z00_3395 = 
(long)CINT(BgL_tmpz00_11159); } 
BgL_test4457z00_11158 = 
(BgL_n1z00_3395>=0L); } 
if(BgL_test4457z00_11158)
{ 
 long BgL_auxz00_11175; obj_t BgL_auxz00_11168;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_11176;
if(
INTEGERP(BgL_index1501z00_1446))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_11176 = BgL_index1501z00_1446
; }  else 
{ 
 obj_t BgL_auxz00_11179;
BgL_auxz00_11179 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1501z00_1446); 
FAILURE(BgL_auxz00_11179,BFALSE,BFALSE);} 
BgL_auxz00_11175 = 
(long)CINT(BgL_tmpz00_11176); } 
if(
VECTORP(BgL_opt1493z00_390))
{ /* Llib/block_ciphers.scm 937 */
BgL_auxz00_11168 = BgL_opt1493z00_390
; }  else 
{ 
 obj_t BgL_auxz00_11171;
BgL_auxz00_11171 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1493z00_390); 
FAILURE(BgL_auxz00_11171,BFALSE,BFALSE);} 
BgL_noncezd2initz12zc0_1430 = 
VECTOR_REF(BgL_auxz00_11168,BgL_auxz00_11175); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_index1502z00_1448;
BgL_index1502z00_1448 = 
BGl_search1496ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1495z00_1420, BgL_opt1493z00_390, 
((obj_t)
CNST_TABLE_REF(22)), 4L); 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test4461z00_11188;
{ /* Llib/block_ciphers.scm 937 */
 long BgL_n1z00_3396;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_11189;
if(
INTEGERP(BgL_index1502z00_1448))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_11189 = BgL_index1502z00_1448
; }  else 
{ 
 obj_t BgL_auxz00_11192;
BgL_auxz00_11192 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1502z00_1448); 
FAILURE(BgL_auxz00_11192,BFALSE,BFALSE);} 
BgL_n1z00_3396 = 
(long)CINT(BgL_tmpz00_11189); } 
BgL_test4461z00_11188 = 
(BgL_n1z00_3396>=0L); } 
if(BgL_test4461z00_11188)
{ 
 long BgL_auxz00_11205; obj_t BgL_auxz00_11198;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_11206;
if(
INTEGERP(BgL_index1502z00_1448))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_11206 = BgL_index1502z00_1448
; }  else 
{ 
 obj_t BgL_auxz00_11209;
BgL_auxz00_11209 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1502z00_1448); 
FAILURE(BgL_auxz00_11209,BFALSE,BFALSE);} 
BgL_auxz00_11205 = 
(long)CINT(BgL_tmpz00_11206); } 
if(
VECTORP(BgL_opt1493z00_390))
{ /* Llib/block_ciphers.scm 937 */
BgL_auxz00_11198 = BgL_opt1493z00_390
; }  else 
{ 
 obj_t BgL_auxz00_11201;
BgL_auxz00_11201 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1493z00_390); 
FAILURE(BgL_auxz00_11201,BFALSE,BFALSE);} 
BgL_noncezd2updatez12zc0_1431 = 
VECTOR_REF(BgL_auxz00_11198,BgL_auxz00_11205); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_index1503z00_1450;
BgL_index1503z00_1450 = 
BGl_search1496ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1495z00_1420, BgL_opt1493z00_390, 
((obj_t)
CNST_TABLE_REF(23)), 4L); 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test4465z00_11218;
{ /* Llib/block_ciphers.scm 937 */
 long BgL_n1z00_3397;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_11219;
if(
INTEGERP(BgL_index1503z00_1450))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_11219 = BgL_index1503z00_1450
; }  else 
{ 
 obj_t BgL_auxz00_11222;
BgL_auxz00_11222 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1503z00_1450); 
FAILURE(BgL_auxz00_11222,BFALSE,BFALSE);} 
BgL_n1z00_3397 = 
(long)CINT(BgL_tmpz00_11219); } 
BgL_test4465z00_11218 = 
(BgL_n1z00_3397>=0L); } 
if(BgL_test4465z00_11218)
{ 
 long BgL_auxz00_11235; obj_t BgL_auxz00_11228;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_11236;
if(
INTEGERP(BgL_index1503z00_1450))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_11236 = BgL_index1503z00_1450
; }  else 
{ 
 obj_t BgL_auxz00_11239;
BgL_auxz00_11239 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1503z00_1450); 
FAILURE(BgL_auxz00_11239,BFALSE,BFALSE);} 
BgL_auxz00_11235 = 
(long)CINT(BgL_tmpz00_11236); } 
if(
VECTORP(BgL_opt1493z00_390))
{ /* Llib/block_ciphers.scm 937 */
BgL_auxz00_11228 = BgL_opt1493z00_390
; }  else 
{ 
 obj_t BgL_auxz00_11231;
BgL_auxz00_11231 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1493z00_390); 
FAILURE(BgL_auxz00_11231,BFALSE,BFALSE);} 
BgL_padz00_1432 = 
VECTOR_REF(BgL_auxz00_11228,BgL_auxz00_11235); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_index1504z00_1452;
BgL_index1504z00_1452 = 
BGl_search1496ze70ze7zz__cryptozd2blockzd2ciphersz00(BgL_l1495z00_1420, BgL_opt1493z00_390, 
((obj_t)
CNST_TABLE_REF(24)), 4L); 
{ /* Llib/block_ciphers.scm 937 */
 bool_t BgL_test4469z00_11248;
{ /* Llib/block_ciphers.scm 937 */
 long BgL_n1z00_3398;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_11249;
if(
INTEGERP(BgL_index1504z00_1452))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_11249 = BgL_index1504z00_1452
; }  else 
{ 
 obj_t BgL_auxz00_11252;
BgL_auxz00_11252 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1504z00_1452); 
FAILURE(BgL_auxz00_11252,BFALSE,BFALSE);} 
BgL_n1z00_3398 = 
(long)CINT(BgL_tmpz00_11249); } 
BgL_test4469z00_11248 = 
(BgL_n1z00_3398>=0L); } 
if(BgL_test4469z00_11248)
{ 
 long BgL_auxz00_11265; obj_t BgL_auxz00_11258;
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_tmpz00_11266;
if(
INTEGERP(BgL_index1504z00_1452))
{ /* Llib/block_ciphers.scm 937 */
BgL_tmpz00_11266 = BgL_index1504z00_1452
; }  else 
{ 
 obj_t BgL_auxz00_11269;
BgL_auxz00_11269 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_index1504z00_1452); 
FAILURE(BgL_auxz00_11269,BFALSE,BFALSE);} 
BgL_auxz00_11265 = 
(long)CINT(BgL_tmpz00_11266); } 
if(
VECTORP(BgL_opt1493z00_390))
{ /* Llib/block_ciphers.scm 937 */
BgL_auxz00_11258 = BgL_opt1493z00_390
; }  else 
{ 
 obj_t BgL_auxz00_11261;
BgL_auxz00_11261 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1493z00_390); 
FAILURE(BgL_auxz00_11261,BFALSE,BFALSE);} 
BgL_stringzd2ze3keyz31_1433 = 
VECTOR_REF(BgL_auxz00_11258,BgL_auxz00_11265); }  else 
{ /* Llib/block_ciphers.scm 937 */BFALSE; } } } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_arg2251z00_1454; obj_t BgL_arg2252z00_1455; obj_t BgL_arg2253z00_1456; obj_t BgL_arg2254z00_1457;
{ 
 obj_t BgL_auxz00_11275;
if(
VECTORP(BgL_opt1493z00_390))
{ /* Llib/block_ciphers.scm 937 */
BgL_auxz00_11275 = BgL_opt1493z00_390
; }  else 
{ 
 obj_t BgL_auxz00_11278;
BgL_auxz00_11278 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1493z00_390); 
FAILURE(BgL_auxz00_11278,BFALSE,BFALSE);} 
BgL_arg2251z00_1454 = 
VECTOR_REF(BgL_auxz00_11275,0L); } 
{ 
 obj_t BgL_auxz00_11283;
if(
VECTORP(BgL_opt1493z00_390))
{ /* Llib/block_ciphers.scm 937 */
BgL_auxz00_11283 = BgL_opt1493z00_390
; }  else 
{ 
 obj_t BgL_auxz00_11286;
BgL_auxz00_11286 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1493z00_390); 
FAILURE(BgL_auxz00_11286,BFALSE,BFALSE);} 
BgL_arg2252z00_1455 = 
VECTOR_REF(BgL_auxz00_11283,1L); } 
{ 
 obj_t BgL_auxz00_11291;
if(
VECTORP(BgL_opt1493z00_390))
{ /* Llib/block_ciphers.scm 937 */
BgL_auxz00_11291 = BgL_opt1493z00_390
; }  else 
{ 
 obj_t BgL_auxz00_11294;
BgL_auxz00_11294 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1493z00_390); 
FAILURE(BgL_auxz00_11294,BFALSE,BFALSE);} 
BgL_arg2253z00_1456 = 
VECTOR_REF(BgL_auxz00_11291,2L); } 
{ 
 obj_t BgL_auxz00_11299;
if(
VECTORP(BgL_opt1493z00_390))
{ /* Llib/block_ciphers.scm 937 */
BgL_auxz00_11299 = BgL_opt1493z00_390
; }  else 
{ 
 obj_t BgL_auxz00_11302;
BgL_auxz00_11302 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3432z00zz__cryptozd2blockzd2ciphersz00, BgL_opt1493z00_390); 
FAILURE(BgL_auxz00_11302,BFALSE,BFALSE);} 
BgL_arg2254z00_1457 = 
VECTOR_REF(BgL_auxz00_11299,3L); } 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_ivz00_1458;
BgL_ivz00_1458 = BgL_ivz00_1428; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_modez00_1459;
BgL_modez00_1459 = BgL_modez00_1429; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_noncezd2initz12zc0_1460;
BgL_noncezd2initz12zc0_1460 = BgL_noncezd2initz12zc0_1430; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_noncezd2updatez12zc0_1461;
BgL_noncezd2updatez12zc0_1461 = BgL_noncezd2updatez12zc0_1431; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_padz00_1462;
BgL_padz00_1462 = BgL_padz00_1432; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_stringzd2ze3keyz31_1463;
BgL_stringzd2ze3keyz31_1463 = BgL_stringzd2ze3keyz31_1433; 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_cipherz00_3399; obj_t BgL_inz00_3400; obj_t BgL_outz00_3401; obj_t BgL_passwordz00_3402;
if(
SYMBOLP(BgL_arg2251z00_1454))
{ /* Llib/block_ciphers.scm 937 */
BgL_cipherz00_3399 = BgL_arg2251z00_1454; }  else 
{ 
 obj_t BgL_auxz00_11309;
BgL_auxz00_11309 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3434z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2251z00_1454); 
FAILURE(BgL_auxz00_11309,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_arg2252z00_1455))
{ /* Llib/block_ciphers.scm 937 */
BgL_inz00_3400 = BgL_arg2252z00_1455; }  else 
{ 
 obj_t BgL_auxz00_11315;
BgL_auxz00_11315 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3443z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2252z00_1455); 
FAILURE(BgL_auxz00_11315,BFALSE,BFALSE);} 
if(
OUTPUT_PORTP(BgL_arg2253z00_1456))
{ /* Llib/block_ciphers.scm 937 */
BgL_outz00_3401 = BgL_arg2253z00_1456; }  else 
{ 
 obj_t BgL_auxz00_11321;
BgL_auxz00_11321 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3450z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2253z00_1456); 
FAILURE(BgL_auxz00_11321,BFALSE,BFALSE);} 
if(
STRINGP(BgL_arg2254z00_1457))
{ /* Llib/block_ciphers.scm 937 */
BgL_passwordz00_3402 = BgL_arg2254z00_1457; }  else 
{ 
 obj_t BgL_auxz00_11327;
BgL_auxz00_11327 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34006L), BGl_string3461z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_arg2254z00_1457); 
FAILURE(BgL_auxz00_11327,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 941 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3403;
BgL_statez00_3403 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_3399, BgL_passwordz00_3402, BgL_ivz00_1458, BgL_modez00_1459, BgL_padz00_1462, BgL_noncezd2initz12zc0_1460, BgL_noncezd2updatez12zc0_1461, BgL_stringzd2ze3keyz31_1463); 
return 
BINT(
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3403, BgL_inz00_3400, 0L, BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_3401, 0L, BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } } } } } } } } } } } } } } } } } } 

}



/* search1496~0 */
obj_t BGl_search1496ze70ze7zz__cryptozd2blockzd2ciphersz00(long BgL_l1495z00_5086, obj_t BgL_opt1493z00_5085, obj_t BgL_k1z00_1421, long BgL_iz00_1422)
{
{ /* Llib/block_ciphers.scm 937 */
BGl_search1496ze70ze7zz__cryptozd2blockzd2ciphersz00:
if(
(BgL_iz00_1422==BgL_l1495z00_5086))
{ /* Llib/block_ciphers.scm 937 */
return 
BINT((-1L));}  else 
{ /* Llib/block_ciphers.scm 937 */
if(
(BgL_iz00_1422==
(BgL_l1495z00_5086-1L)))
{ /* Llib/block_ciphers.scm 937 */
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(37)), BGl_string3451z00zz__cryptozd2blockzd2ciphersz00, 
BINT(
VECTOR_LENGTH(BgL_opt1493z00_5085)));}  else 
{ /* Llib/block_ciphers.scm 937 */
 obj_t BgL_vz00_1468;
BgL_vz00_1468 = 
VECTOR_REF(BgL_opt1493z00_5085,BgL_iz00_1422); 
if(
(BgL_vz00_1468==BgL_k1z00_1421))
{ /* Llib/block_ciphers.scm 937 */
return 
BINT(
(BgL_iz00_1422+1L));}  else 
{ 
 long BgL_iz00_11350;
BgL_iz00_11350 = 
(BgL_iz00_1422+2L); 
BgL_iz00_1422 = BgL_iz00_11350; 
goto BGl_search1496ze70ze7zz__cryptozd2blockzd2ciphersz00;} } } } 

}



/* decrypt-sendchars */
BGL_EXPORTED_DEF obj_t BGl_decryptzd2sendcharszd2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_cipherz00_380, obj_t BgL_inz00_381, obj_t BgL_outz00_382, obj_t BgL_passwordz00_383, obj_t BgL_ivz00_384, obj_t BgL_modez00_385, obj_t BgL_noncezd2initz12zc0_386, obj_t BgL_noncezd2updatez12zc0_387, obj_t BgL_padz00_388, obj_t BgL_stringzd2ze3keyz31_389)
{
{ /* Llib/block_ciphers.scm 937 */
{ /* Llib/block_ciphers.scm 941 */
 BgL_cipherzd2modezd2statez00_bglt BgL_statez00_3404;
BgL_statez00_3404 = 
BGl_createzd2decryptionzd2statez00zz__cryptozd2blockzd2ciphersz00(BgL_cipherz00_380, BgL_passwordz00_383, BgL_ivz00_384, BgL_modez00_385, BgL_padz00_388, BgL_noncezd2initz12zc0_386, BgL_noncezd2updatez12zc0_387, BgL_stringzd2ze3keyz31_389); 
return 
BINT(
BGl_decryptzd2inputz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_statez00_3404, BgL_inz00_381, 0L, BGl_readzd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BgL_outz00_382, 0L, BGl_writezd2portzd2atz12zd2envzc0zz__cryptozd2blockzd2ciphersz00));} } 

}



/* register-cipher! */
BGL_EXPORTED_DEF obj_t BGl_registerzd2cipherz12zc0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_lookupzd2namezd2_392, BgL_blockzd2cipherzd2_bglt BgL_descz00_393)
{
{ /* Llib/block_ciphers.scm 952 */
{ /* Llib/block_ciphers.scm 953 */
 obj_t BgL_arg2261z00_3405;
BgL_arg2261z00_3405 = 
MAKE_YOUNG_PAIR(BgL_lookupzd2namezd2_392, 
((obj_t)BgL_descz00_393)); 
return ( 
BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00 = 
MAKE_YOUNG_PAIR(BgL_arg2261z00_3405, BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00), BUNSPEC) ;} } 

}



/* &register-cipher! */
obj_t BGl_z62registerzd2cipherz12za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4495, obj_t BgL_lookupzd2namezd2_4496, obj_t BgL_descz00_4497)
{
{ /* Llib/block_ciphers.scm 952 */
{ /* Llib/block_ciphers.scm 953 */
 BgL_blockzd2cipherzd2_bglt BgL_auxz00_11365; obj_t BgL_auxz00_11358;
if(
BGl_isazf3zf3zz__objectz00(BgL_descz00_4497, BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00))
{ /* Llib/block_ciphers.scm 953 */
BgL_auxz00_11365 = 
((BgL_blockzd2cipherzd2_bglt)BgL_descz00_4497)
; }  else 
{ 
 obj_t BgL_auxz00_11369;
BgL_auxz00_11369 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34570L), BGl_string3462z00zz__cryptozd2blockzd2ciphersz00, BGl_string3463z00zz__cryptozd2blockzd2ciphersz00, BgL_descz00_4497); 
FAILURE(BgL_auxz00_11369,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_lookupzd2namezd2_4496))
{ /* Llib/block_ciphers.scm 953 */
BgL_auxz00_11358 = BgL_lookupzd2namezd2_4496
; }  else 
{ 
 obj_t BgL_auxz00_11361;
BgL_auxz00_11361 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34570L), BGl_string3462z00zz__cryptozd2blockzd2ciphersz00, BGl_string3434z00zz__cryptozd2blockzd2ciphersz00, BgL_lookupzd2namezd2_4496); 
FAILURE(BgL_auxz00_11361,BFALSE,BFALSE);} 
return 
BGl_registerzd2cipherz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_11358, BgL_auxz00_11365);} } 

}



/* block-cipher-description */
BGL_EXPORTED_DEF BgL_blockzd2cipherzd2_bglt BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(obj_t BgL_lookupzd2namezd2_394)
{
{ /* Llib/block_ciphers.scm 955 */
{ /* Llib/block_ciphers.scm 956 */
 obj_t BgL_desczd2pzd2_1473;
BgL_desczd2pzd2_1473 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_lookupzd2namezd2_394, BGl_za2ciphersza2z00zz__cryptozd2blockzd2ciphersz00); 
if(
CBOOL(BgL_desczd2pzd2_1473))
{ /* Llib/block_ciphers.scm 957 */BFALSE; }  else 
{ /* Llib/block_ciphers.scm 957 */
BGl_errorz00zz__errorz00(BGl_string3464z00zz__cryptozd2blockzd2ciphersz00, BGl_string3465z00zz__cryptozd2blockzd2ciphersz00, BgL_lookupzd2namezd2_394); } 
return 
((BgL_blockzd2cipherzd2_bglt)
CDR(
((obj_t)BgL_desczd2pzd2_1473)));} } 

}



/* &block-cipher-description */
BgL_blockzd2cipherzd2_bglt BGl_z62blockzd2cipherzd2descriptionz62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4498, obj_t BgL_lookupzd2namezd2_4499)
{
{ /* Llib/block_ciphers.scm 955 */
{ /* Llib/block_ciphers.scm 956 */
 obj_t BgL_auxz00_11381;
if(
SYMBOLP(BgL_lookupzd2namezd2_4499))
{ /* Llib/block_ciphers.scm 956 */
BgL_auxz00_11381 = BgL_lookupzd2namezd2_4499
; }  else 
{ 
 obj_t BgL_auxz00_11384;
BgL_auxz00_11384 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(34702L), BGl_string3466z00zz__cryptozd2blockzd2ciphersz00, BGl_string3434z00zz__cryptozd2blockzd2ciphersz00, BgL_lookupzd2namezd2_4499); 
FAILURE(BgL_auxz00_11384,BFALSE,BFALSE);} 
return 
BGl_blockzd2cipherzd2descriptionz00zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_11381);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__cryptozd2blockzd2ciphersz00(void)
{
{ /* Llib/block_ciphers.scm 1 */
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2265z00_1477; obj_t BgL_arg2266z00_1478;
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_v1283z00_1495;
BgL_v1283z00_1495 = 
create_vector(7L); 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2272z00_1496;
BgL_arg2272z00_1496 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(38)), BGl_proc3468z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3467z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(39))); 
VECTOR_SET(BgL_v1283z00_1495,0L,BgL_arg2272z00_1496); } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2277z00_1506;
BgL_arg2277z00_1506 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(40)), BGl_proc3470z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3469z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(41))); 
VECTOR_SET(BgL_v1283z00_1495,1L,BgL_arg2277z00_1506); } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2282z00_1516;
BgL_arg2282z00_1516 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(42)), BGl_proc3472z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3471z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(41))); 
VECTOR_SET(BgL_v1283z00_1495,2L,BgL_arg2282z00_1516); } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2287z00_1526;
BgL_arg2287z00_1526 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(43)), BGl_proc3474z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3473z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(44))); 
VECTOR_SET(BgL_v1283z00_1495,3L,BgL_arg2287z00_1526); } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2292z00_1536;
BgL_arg2292z00_1536 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(45)), BGl_proc3476z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3475z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(44))); 
VECTOR_SET(BgL_v1283z00_1495,4L,BgL_arg2292z00_1536); } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2297z00_1546;
BgL_arg2297z00_1546 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(46)), BGl_proc3478z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3477z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(44))); 
VECTOR_SET(BgL_v1283z00_1495,5L,BgL_arg2297z00_1546); } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_arg2302z00_1556;
BgL_arg2302z00_1556 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(47)), BGl_proc3480z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3479z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(44))); 
VECTOR_SET(BgL_v1283z00_1495,6L,BgL_arg2302z00_1556); } 
BgL_arg2265z00_1477 = BgL_v1283z00_1495; } 
{ /* Llib/block_ciphers.scm 6 */
 obj_t BgL_v1284z00_1566;
BgL_v1284z00_1566 = 
create_vector(0L); 
BgL_arg2266z00_1478 = BgL_v1284z00_1566; } 
BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(48)), 
((obj_t)
CNST_TABLE_REF(49)), BGl_objectz00zz__objectz00, 63399L, BGl_proc3483z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3482z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3481z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2265z00_1477, BgL_arg2266z00_1478); } 
{ /* Llib/block_ciphers.scm 77 */
 obj_t BgL_arg2309z00_1572; obj_t BgL_arg2310z00_1573;
{ /* Llib/block_ciphers.scm 77 */
 obj_t BgL_v1285z00_1579;
BgL_v1285z00_1579 = 
create_vector(3L); 
{ /* Llib/block_ciphers.scm 77 */
 obj_t BgL_arg2314z00_1580;
BgL_arg2314z00_1580 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(40)), BGl_proc3485z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3484z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(41))); 
VECTOR_SET(BgL_v1285z00_1579,0L,BgL_arg2314z00_1580); } 
{ /* Llib/block_ciphers.scm 77 */
 obj_t BgL_arg2319z00_1590;
BgL_arg2319z00_1590 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(50)), BGl_proc3487z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3486z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(44))); 
VECTOR_SET(BgL_v1285z00_1579,1L,BgL_arg2319z00_1590); } 
{ /* Llib/block_ciphers.scm 77 */
 obj_t BgL_arg2324z00_1600;
BgL_arg2324z00_1600 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(51)), BGl_proc3489z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3488z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(52))); 
VECTOR_SET(BgL_v1285z00_1579,2L,BgL_arg2324z00_1600); } 
BgL_arg2309z00_1572 = BgL_v1285z00_1579; } 
{ /* Llib/block_ciphers.scm 77 */
 obj_t BgL_v1286z00_1610;
BgL_v1286z00_1610 = 
create_vector(0L); 
BgL_arg2310z00_1573 = BgL_v1286z00_1610; } 
BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(53)), 
((obj_t)
CNST_TABLE_REF(49)), BGl_objectz00zz__objectz00, 46511L, BFALSE, BGl_proc3491z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3490z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2309z00_1572, BgL_arg2310z00_1573); } 
{ /* Llib/block_ciphers.scm 81 */
 obj_t BgL_arg2332z00_1616; obj_t BgL_arg2333z00_1617;
{ /* Llib/block_ciphers.scm 81 */
 obj_t BgL_v1287z00_1630;
BgL_v1287z00_1630 = 
create_vector(0L); 
BgL_arg2332z00_1616 = BgL_v1287z00_1630; } 
{ /* Llib/block_ciphers.scm 81 */
 obj_t BgL_v1288z00_1631;
BgL_v1288z00_1631 = 
create_vector(0L); 
BgL_arg2333z00_1617 = BgL_v1288z00_1631; } 
BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(54)), 
((obj_t)
CNST_TABLE_REF(49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, 15877L, BGl_proc3494z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3493z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3492z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2332z00_1616, BgL_arg2333z00_1617); } 
{ /* Llib/block_ciphers.scm 82 */
 obj_t BgL_arg2342z00_1638; obj_t BgL_arg2343z00_1639;
{ /* Llib/block_ciphers.scm 82 */
 obj_t BgL_v1289z00_1652;
BgL_v1289z00_1652 = 
create_vector(0L); 
BgL_arg2342z00_1638 = BgL_v1289z00_1652; } 
{ /* Llib/block_ciphers.scm 82 */
 obj_t BgL_v1290z00_1653;
BgL_v1290z00_1653 = 
create_vector(0L); 
BgL_arg2343z00_1639 = BgL_v1290z00_1653; } 
BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(55)), 
((obj_t)
CNST_TABLE_REF(49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, 55855L, BGl_proc3497z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3496z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3495z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2342z00_1638, BgL_arg2343z00_1639); } 
{ /* Llib/block_ciphers.scm 83 */
 obj_t BgL_arg2352z00_1660; obj_t BgL_arg2353z00_1661;
{ /* Llib/block_ciphers.scm 83 */
 obj_t BgL_v1291z00_1676;
BgL_v1291z00_1676 = 
create_vector(2L); 
{ /* Llib/block_ciphers.scm 83 */
 obj_t BgL_arg2359z00_1677;
BgL_arg2359z00_1677 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(56)), BGl_proc3499z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3498z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(39))); 
VECTOR_SET(BgL_v1291z00_1676,0L,BgL_arg2359z00_1677); } 
{ /* Llib/block_ciphers.scm 83 */
 obj_t BgL_arg2364z00_1687;
BgL_arg2364z00_1687 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(57)), BGl_proc3501z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3500z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(39))); 
VECTOR_SET(BgL_v1291z00_1676,1L,BgL_arg2364z00_1687); } 
BgL_arg2352z00_1660 = BgL_v1291z00_1676; } 
{ /* Llib/block_ciphers.scm 83 */
 obj_t BgL_v1292z00_1697;
BgL_v1292z00_1697 = 
create_vector(0L); 
BgL_arg2353z00_1661 = BgL_v1292z00_1697; } 
BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(58)), 
((obj_t)
CNST_TABLE_REF(49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, 16316L, BGl_proc3504z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3503z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3502z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2352z00_1660, BgL_arg2353z00_1661); } 
{ /* Llib/block_ciphers.scm 86 */
 obj_t BgL_arg2372z00_1704; obj_t BgL_arg2373z00_1705;
{ /* Llib/block_ciphers.scm 86 */
 obj_t BgL_v1293z00_1720;
BgL_v1293z00_1720 = 
create_vector(2L); 
{ /* Llib/block_ciphers.scm 86 */
 obj_t BgL_arg2379z00_1721;
BgL_arg2379z00_1721 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(56)), BGl_proc3506z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3505z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(39))); 
VECTOR_SET(BgL_v1293z00_1720,0L,BgL_arg2379z00_1721); } 
{ /* Llib/block_ciphers.scm 86 */
 obj_t BgL_arg2384z00_1731;
BgL_arg2384z00_1731 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(57)), BGl_proc3508z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3507z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(39))); 
VECTOR_SET(BgL_v1293z00_1720,1L,BgL_arg2384z00_1731); } 
BgL_arg2372z00_1704 = BgL_v1293z00_1720; } 
{ /* Llib/block_ciphers.scm 86 */
 obj_t BgL_v1294z00_1741;
BgL_v1294z00_1741 = 
create_vector(0L); 
BgL_arg2373z00_1705 = BgL_v1294z00_1741; } 
BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(59)), 
((obj_t)
CNST_TABLE_REF(49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, 41938L, BGl_proc3511z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3510z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3509z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2372z00_1704, BgL_arg2373z00_1705); } 
{ /* Llib/block_ciphers.scm 89 */
 obj_t BgL_arg2392z00_1748; obj_t BgL_arg2393z00_1749;
{ /* Llib/block_ciphers.scm 89 */
 obj_t BgL_v1295z00_1764;
BgL_v1295z00_1764 = 
create_vector(2L); 
{ /* Llib/block_ciphers.scm 89 */
 obj_t BgL_arg2399z00_1765;
BgL_arg2399z00_1765 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(56)), BGl_proc3513z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3512z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(39))); 
VECTOR_SET(BgL_v1295z00_1764,0L,BgL_arg2399z00_1765); } 
{ /* Llib/block_ciphers.scm 89 */
 obj_t BgL_arg2404z00_1775;
BgL_arg2404z00_1775 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(57)), BGl_proc3515z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3514z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(39))); 
VECTOR_SET(BgL_v1295z00_1764,1L,BgL_arg2404z00_1775); } 
BgL_arg2392z00_1748 = BgL_v1295z00_1764; } 
{ /* Llib/block_ciphers.scm 89 */
 obj_t BgL_v1296z00_1785;
BgL_v1296z00_1785 = 
create_vector(0L); 
BgL_arg2393z00_1749 = BgL_v1296z00_1785; } 
BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(60)), 
((obj_t)
CNST_TABLE_REF(49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, 34988L, BGl_proc3518z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3517z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3516z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2392z00_1748, BgL_arg2393z00_1749); } 
{ /* Llib/block_ciphers.scm 92 */
 obj_t BgL_arg2412z00_1792; obj_t BgL_arg2413z00_1793;
{ /* Llib/block_ciphers.scm 92 */
 obj_t BgL_v1297z00_1808;
BgL_v1297z00_1808 = 
create_vector(2L); 
{ /* Llib/block_ciphers.scm 92 */
 obj_t BgL_arg2419z00_1809;
BgL_arg2419z00_1809 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(56)), BGl_proc3520z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3519z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(39))); 
VECTOR_SET(BgL_v1297z00_1808,0L,BgL_arg2419z00_1809); } 
{ /* Llib/block_ciphers.scm 92 */
 obj_t BgL_arg2424z00_1819;
BgL_arg2424z00_1819 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(57)), BGl_proc3522z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3521z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(39))); 
VECTOR_SET(BgL_v1297z00_1808,1L,BgL_arg2424z00_1819); } 
BgL_arg2412z00_1792 = BgL_v1297z00_1808; } 
{ /* Llib/block_ciphers.scm 92 */
 obj_t BgL_v1298z00_1829;
BgL_v1298z00_1829 = 
create_vector(0L); 
BgL_arg2413z00_1793 = BgL_v1298z00_1829; } 
BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(61)), 
((obj_t)
CNST_TABLE_REF(49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, 11458L, BGl_proc3525z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3524z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3523z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2412z00_1792, BgL_arg2413z00_1793); } 
{ /* Llib/block_ciphers.scm 96 */
 obj_t BgL_arg2431z00_1835; obj_t BgL_arg2432z00_1836;
{ /* Llib/block_ciphers.scm 96 */
 obj_t BgL_v1299z00_1842;
BgL_v1299z00_1842 = 
create_vector(0L); 
BgL_arg2431z00_1835 = BgL_v1299z00_1842; } 
{ /* Llib/block_ciphers.scm 96 */
 obj_t BgL_v1300z00_1843;
BgL_v1300z00_1843 = 
create_vector(0L); 
BgL_arg2432z00_1836 = BgL_v1300z00_1843; } 
BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(62)), 
((obj_t)
CNST_TABLE_REF(49)), BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, 43473L, BFALSE, BGl_proc3527z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3526z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2431z00_1835, BgL_arg2432z00_1836); } 
{ /* Llib/block_ciphers.scm 97 */
 obj_t BgL_arg2439z00_1849; obj_t BgL_arg2440z00_1850;
{ /* Llib/block_ciphers.scm 97 */
 obj_t BgL_v1301z00_1864;
BgL_v1301z00_1864 = 
create_vector(1L); 
{ /* Llib/block_ciphers.scm 97 */
 obj_t BgL_arg2446z00_1865;
BgL_arg2446z00_1865 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(57)), BGl_proc3529z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3528z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(39))); 
VECTOR_SET(BgL_v1301z00_1864,0L,BgL_arg2446z00_1865); } 
BgL_arg2439z00_1849 = BgL_v1301z00_1864; } 
{ /* Llib/block_ciphers.scm 97 */
 obj_t BgL_v1302z00_1875;
BgL_v1302z00_1875 = 
create_vector(0L); 
BgL_arg2440z00_1850 = BgL_v1302z00_1875; } 
BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(63)), 
((obj_t)
CNST_TABLE_REF(49)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, 46218L, BGl_proc3532z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3531z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3530z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2439z00_1849, BgL_arg2440z00_1850); } 
{ /* Llib/block_ciphers.scm 99 */
 obj_t BgL_arg2454z00_1882; obj_t BgL_arg2455z00_1883;
{ /* Llib/block_ciphers.scm 99 */
 obj_t BgL_v1303z00_1898;
BgL_v1303z00_1898 = 
create_vector(2L); 
{ /* Llib/block_ciphers.scm 99 */
 obj_t BgL_arg2461z00_1899;
BgL_arg2461z00_1899 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(56)), BGl_proc3534z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3533z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(39))); 
VECTOR_SET(BgL_v1303z00_1898,0L,BgL_arg2461z00_1899); } 
{ /* Llib/block_ciphers.scm 99 */
 obj_t BgL_arg2466z00_1909;
BgL_arg2466z00_1909 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(57)), BGl_proc3536z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3535z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(39))); 
VECTOR_SET(BgL_v1303z00_1898,1L,BgL_arg2466z00_1909); } 
BgL_arg2454z00_1882 = BgL_v1303z00_1898; } 
{ /* Llib/block_ciphers.scm 99 */
 obj_t BgL_v1304z00_1919;
BgL_v1304z00_1919 = 
create_vector(0L); 
BgL_arg2455z00_1883 = BgL_v1304z00_1919; } 
BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(64)), 
((obj_t)
CNST_TABLE_REF(49)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, 63662L, BGl_proc3539z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3538z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3537z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2454z00_1882, BgL_arg2455z00_1883); } 
{ /* Llib/block_ciphers.scm 102 */
 obj_t BgL_arg2474z00_1926; obj_t BgL_arg2475z00_1927;
{ /* Llib/block_ciphers.scm 102 */
 obj_t BgL_v1305z00_1941;
BgL_v1305z00_1941 = 
create_vector(1L); 
{ /* Llib/block_ciphers.scm 102 */
 obj_t BgL_arg2481z00_1942;
BgL_arg2481z00_1942 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(57)), BGl_proc3541z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3540z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(39))); 
VECTOR_SET(BgL_v1305z00_1941,0L,BgL_arg2481z00_1942); } 
BgL_arg2474z00_1926 = BgL_v1305z00_1941; } 
{ /* Llib/block_ciphers.scm 102 */
 obj_t BgL_v1306z00_1952;
BgL_v1306z00_1952 = 
create_vector(0L); 
BgL_arg2475z00_1927 = BgL_v1306z00_1952; } 
BGl_OFBz00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(65)), 
((obj_t)
CNST_TABLE_REF(49)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, 15584L, BGl_proc3544z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3543z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3542z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2474z00_1926, BgL_arg2475z00_1927); } 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_arg2489z00_1959; obj_t BgL_arg2490z00_1960;
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_v1307z00_1978;
BgL_v1307z00_1978 = 
create_vector(5L); 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_arg2496z00_1979;
BgL_arg2496z00_1979 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(66)), BGl_proc3546z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3545z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(52))); 
VECTOR_SET(BgL_v1307z00_1978,0L,BgL_arg2496z00_1979); } 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_arg2501z00_1989;
BgL_arg2501z00_1989 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(67)), BGl_proc3548z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3547z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(39))); 
VECTOR_SET(BgL_v1307z00_1978,1L,BgL_arg2501z00_1989); } 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_arg2506z00_1999;
BgL_arg2506z00_1999 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(68)), BGl_proc3550z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3549z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(41))); 
VECTOR_SET(BgL_v1307z00_1978,2L,BgL_arg2506z00_1999); } 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_arg2511z00_2009;
BgL_arg2511z00_2009 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(69)), BGl_proc3552z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3551z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(44))); 
VECTOR_SET(BgL_v1307z00_1978,3L,BgL_arg2511z00_2009); } 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_arg2516z00_2019;
BgL_arg2516z00_2019 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(70)), BGl_proc3554z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3553z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(44))); 
VECTOR_SET(BgL_v1307z00_1978,4L,BgL_arg2516z00_2019); } 
BgL_arg2489z00_1959 = BgL_v1307z00_1978; } 
{ /* Llib/block_ciphers.scm 104 */
 obj_t BgL_v1308z00_2029;
BgL_v1308z00_2029 = 
create_vector(0L); 
BgL_arg2490z00_1960 = BgL_v1308z00_2029; } 
BGl_CTRz00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(71)), 
((obj_t)
CNST_TABLE_REF(49)), BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00, 15240L, BGl_proc3557z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3556z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3555z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2489z00_1959, BgL_arg2490z00_1960); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2524z00_2036; obj_t BgL_arg2525z00_2037;
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_v1309z00_2055;
BgL_v1309z00_2055 = 
create_vector(8L); 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2531z00_2056;
BgL_arg2531z00_2056 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(72)), BGl_proc3559z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3558z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(73))); 
VECTOR_SET(BgL_v1309z00_2055,0L,BgL_arg2531z00_2056); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2536z00_2066;
BgL_arg2536z00_2066 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(40)), BGl_proc3561z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3560z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(41))); 
VECTOR_SET(BgL_v1309z00_2055,1L,BgL_arg2536z00_2066); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2541z00_2076;
BgL_arg2541z00_2076 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(74)), BGl_proc3563z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3562z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00); 
VECTOR_SET(BgL_v1309z00_2055,2L,BgL_arg2541z00_2076); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2546z00_2086;
BgL_arg2546z00_2086 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(75)), BGl_proc3566z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3565z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3564z00zz__cryptozd2blockzd2ciphersz00, 
((obj_t)
CNST_TABLE_REF(76))); 
VECTOR_SET(BgL_v1309z00_2055,3L,BgL_arg2546z00_2086); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2553z00_2099;
BgL_arg2553z00_2099 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(77)), BGl_proc3569z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3568z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3567z00zz__cryptozd2blockzd2ciphersz00, 
((obj_t)
CNST_TABLE_REF(52))); 
VECTOR_SET(BgL_v1309z00_2055,4L,BgL_arg2553z00_2099); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2560z00_2112;
BgL_arg2560z00_2112 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(78)), BGl_proc3571z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3570z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(52))); 
VECTOR_SET(BgL_v1309z00_2055,5L,BgL_arg2560z00_2112); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2565z00_2122;
BgL_arg2565z00_2122 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(79)), BGl_proc3573z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3572z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(39))); 
VECTOR_SET(BgL_v1309z00_2055,6L,BgL_arg2565z00_2122); } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_arg2570z00_2132;
BgL_arg2570z00_2132 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(80)), BGl_proc3576z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3575z00zz__cryptozd2blockzd2ciphersz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3574z00zz__cryptozd2blockzd2ciphersz00, 
((obj_t)
CNST_TABLE_REF(41))); 
VECTOR_SET(BgL_v1309z00_2055,7L,BgL_arg2570z00_2132); } 
BgL_arg2524z00_2036 = BgL_v1309z00_2055; } 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_v1310z00_2145;
BgL_v1310z00_2145 = 
create_vector(0L); 
BgL_arg2525z00_2037 = BgL_v1310z00_2145; } 
return ( 
BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(81)), 
((obj_t)
CNST_TABLE_REF(49)), BGl_objectz00zz__objectz00, 41267L, BGl_proc3579z00zz__cryptozd2blockzd2ciphersz00, BGl_proc3578z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BGl_proc3577z00zz__cryptozd2blockzd2ciphersz00, BFALSE, BgL_arg2524z00_2036, BgL_arg2525z00_2037), BUNSPEC) ;} } 

}



/* &<@anonymous:2530> */
obj_t BGl_z62zc3z04anonymousza32530ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4616, obj_t BgL_new1149z00_4617)
{
{ /* Llib/block_ciphers.scm 111 */
{ 
 BgL_cipherzd2modezd2statez00_bglt BgL_auxz00_11695;
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1149z00_4617)))->BgL_encryptzf3zf3)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1149z00_4617)))->BgL_blockzd2siza7ez75)=((long)0L),BUNSPEC); 
{ 
 BgL_cipherzd2statezd2_bglt BgL_auxz00_11700;
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL_classz00_5806;
BgL_classz00_5806 = BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00; 
{ /* Llib/block_ciphers.scm 111 */
 obj_t BgL__ortest_1116z00_5807;
BgL__ortest_1116z00_5807 = 
BGL_CLASS_NIL(BgL_classz00_5806); 
if(
CBOOL(BgL__ortest_1116z00_5807))
{ /* Llib/block_ciphers.scm 111 */
BgL_auxz00_11700 = 
((BgL_cipherzd2statezd2_bglt)BgL__ortest_1116z00_5807)
; }  else 
{ /* Llib/block_ciphers.scm 111 */
BgL_auxz00_11700 = 
((BgL_cipherzd2statezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5806))
; } } } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1149z00_4617)))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)BgL_auxz00_11700),BUNSPEC); } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1149z00_4617)))->BgL_ivzd2actionzd2)=((obj_t)
((obj_t)
CNST_TABLE_REF(82))),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1149z00_4617)))->BgL_ivz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1149z00_4617)))->BgL_padzf2unpadzf2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1149z00_4617)))->BgL_loopzd2bufferzd2)=((obj_t)BGl_string3580z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1149z00_4617)))->BgL_posz00)=((long)0L),BUNSPEC); 
BgL_auxz00_11695 = 
((BgL_cipherzd2modezd2statez00_bglt)BgL_new1149z00_4617); 
return 
((obj_t)BgL_auxz00_11695);} } 

}



/* &lambda2528 */
BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2528z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4618)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1148z00_5808;
BgL_new1148z00_5808 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 111 */
 long BgL_arg2529z00_5809;
BgL_arg2529z00_5809 = 
BGL_CLASS_NUM(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1148z00_5808), BgL_arg2529z00_5809); } 
{ /* Llib/block_ciphers.scm 111 */
 BgL_objectz00_bglt BgL_tmpz00_11727;
BgL_tmpz00_11727 = 
((BgL_objectz00_bglt)BgL_new1148z00_5808); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11727, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1148z00_5808); 
return BgL_new1148z00_5808;} } 

}



/* &lambda2526 */
BgL_cipherzd2modezd2statez00_bglt BGl_z62lambda2526z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4619, obj_t BgL_encryptzf31140zf3_4620, obj_t BgL_blockzd2siza7e1141z75_4621, obj_t BgL_cipherzd2state1142zd2_4622, obj_t BgL_ivzd2action1143zd2_4623, obj_t BgL_iv1144z00_4624, obj_t BgL_padzf2unpad1145zf2_4625, obj_t BgL_loopzd2buffer1146zd2_4626, obj_t BgL_pos1147z00_4627)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
 bool_t BgL_encryptzf31140zf3_5810; long BgL_blockzd2siza7e1141z75_5811; long BgL_pos1147z00_5815;
BgL_encryptzf31140zf3_5810 = 
CBOOL(BgL_encryptzf31140zf3_4620); 
BgL_blockzd2siza7e1141z75_5811 = 
(long)CINT(BgL_blockzd2siza7e1141z75_4621); 
BgL_pos1147z00_5815 = 
(long)CINT(BgL_pos1147z00_4627); 
{ /* Llib/block_ciphers.scm 111 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1269z00_5816;
{ /* Llib/block_ciphers.scm 111 */
 BgL_cipherzd2modezd2statez00_bglt BgL_new1268z00_5817;
BgL_new1268z00_5817 = 
((BgL_cipherzd2modezd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2modezd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 111 */
 long BgL_arg2527z00_5818;
BgL_arg2527z00_5818 = 
BGL_CLASS_NUM(BGl_Cipherzd2Modezd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1268z00_5817), BgL_arg2527z00_5818); } 
{ /* Llib/block_ciphers.scm 111 */
 BgL_objectz00_bglt BgL_tmpz00_11738;
BgL_tmpz00_11738 = 
((BgL_objectz00_bglt)BgL_new1268z00_5817); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11738, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1268z00_5817); 
BgL_new1269z00_5816 = BgL_new1268z00_5817; } 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1269z00_5816))->BgL_encryptzf3zf3)=((bool_t)BgL_encryptzf31140zf3_5810),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1269z00_5816))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1141z75_5811),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1269z00_5816))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_cipherzd2state1142zd2_4622)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1269z00_5816))->BgL_ivzd2actionzd2)=((obj_t)
((obj_t)BgL_ivzd2action1143zd2_4623)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1269z00_5816))->BgL_ivz00)=((obj_t)BgL_iv1144z00_4624),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1269z00_5816))->BgL_padzf2unpadzf2)=((obj_t)BgL_padzf2unpad1145zf2_4625),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1269z00_5816))->BgL_loopzd2bufferzd2)=((obj_t)
((obj_t)BgL_loopzd2buffer1146zd2_4626)),BUNSPEC); 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(BgL_new1269z00_5816))->BgL_posz00)=((long)BgL_pos1147z00_5815),BUNSPEC); 
return BgL_new1269z00_5816;} } } 

}



/* &<@anonymous:2576> */
obj_t BGl_z62zc3z04anonymousza32576ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4628)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BINT(0L);} 

}



/* &lambda2575 */
obj_t BGl_z62lambda2575z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4629, obj_t BgL_oz00_4630, obj_t BgL_vz00_4631)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
 long BgL_vz00_5820;
BgL_vz00_5820 = 
(long)CINT(BgL_vz00_4631); 
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4630)))->BgL_posz00)=((long)BgL_vz00_5820),BUNSPEC);} } 

}



/* &lambda2574 */
obj_t BGl_z62lambda2574z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4632, obj_t BgL_oz00_4633)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BINT(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4633)))->BgL_posz00));} 

}



/* &lambda2569 */
obj_t BGl_z62lambda2569z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4634, obj_t BgL_oz00_4635, obj_t BgL_vz00_4636)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4635)))->BgL_loopzd2bufferzd2)=((obj_t)
((obj_t)BgL_vz00_4636)),BUNSPEC);} 

}



/* &lambda2568 */
obj_t BGl_z62lambda2568z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4637, obj_t BgL_oz00_4638)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4638)))->BgL_loopzd2bufferzd2);} 

}



/* &lambda2564 */
obj_t BGl_z62lambda2564z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4639, obj_t BgL_oz00_4640, obj_t BgL_vz00_4641)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4640)))->BgL_padzf2unpadzf2)=((obj_t)BgL_vz00_4641),BUNSPEC);} 

}



/* &lambda2563 */
obj_t BGl_z62lambda2563z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4642, obj_t BgL_oz00_4643)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4643)))->BgL_padzf2unpadzf2);} 

}



/* &<@anonymous:2559> */
obj_t BGl_z62zc3z04anonymousza32559ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4644)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2558 */
obj_t BGl_z62lambda2558z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4645, obj_t BgL_oz00_4646, obj_t BgL_vz00_4647)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4646)))->BgL_ivz00)=((obj_t)BgL_vz00_4647),BUNSPEC);} 

}



/* &lambda2557 */
obj_t BGl_z62lambda2557z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4648, obj_t BgL_oz00_4649)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4649)))->BgL_ivz00);} 

}



/* &<@anonymous:2552> */
obj_t BGl_z62zc3z04anonymousza32552ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4650)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((obj_t)
CNST_TABLE_REF(83));} 

}



/* &lambda2551 */
obj_t BGl_z62lambda2551z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4651, obj_t BgL_oz00_4652, obj_t BgL_vz00_4653)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4652)))->BgL_ivzd2actionzd2)=((obj_t)
((obj_t)BgL_vz00_4653)),BUNSPEC);} 

}



/* &lambda2550 */
obj_t BGl_z62lambda2550z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4654, obj_t BgL_oz00_4655)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4655)))->BgL_ivzd2actionzd2);} 

}



/* &lambda2545 */
obj_t BGl_z62lambda2545z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4656, obj_t BgL_oz00_4657, obj_t BgL_vz00_4658)
{
{ /* Llib/block_ciphers.scm 111 */
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4657)))->BgL_cipherzd2statezd2)=((BgL_cipherzd2statezd2_bglt)
((BgL_cipherzd2statezd2_bglt)BgL_vz00_4658)),BUNSPEC);} 

}



/* &lambda2544 */
BgL_cipherzd2statezd2_bglt BGl_z62lambda2544z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4659, obj_t BgL_oz00_4660)
{
{ /* Llib/block_ciphers.scm 111 */
return 
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4660)))->BgL_cipherzd2statezd2);} 

}



/* &lambda2540 */
obj_t BGl_z62lambda2540z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4661, obj_t BgL_oz00_4662, obj_t BgL_vz00_4663)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
 long BgL_vz00_5836;
BgL_vz00_5836 = 
(long)CINT(BgL_vz00_4663); 
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4662)))->BgL_blockzd2siza7ez75)=((long)BgL_vz00_5836),BUNSPEC);} } 

}



/* &lambda2539 */
obj_t BGl_z62lambda2539z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4664, obj_t BgL_oz00_4665)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BINT(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4665)))->BgL_blockzd2siza7ez75));} 

}



/* &lambda2535 */
obj_t BGl_z62lambda2535z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4666, obj_t BgL_oz00_4667, obj_t BgL_vz00_4668)
{
{ /* Llib/block_ciphers.scm 111 */
{ /* Llib/block_ciphers.scm 111 */
 bool_t BgL_vz00_5839;
BgL_vz00_5839 = 
CBOOL(BgL_vz00_4668); 
return 
((((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4667)))->BgL_encryptzf3zf3)=((bool_t)BgL_vz00_5839),BUNSPEC);} } 

}



/* &lambda2534 */
obj_t BGl_z62lambda2534z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4669, obj_t BgL_oz00_4670)
{
{ /* Llib/block_ciphers.scm 111 */
return 
BBOOL(
(((BgL_cipherzd2modezd2statez00_bglt)COBJECT(
((BgL_cipherzd2modezd2statez00_bglt)BgL_oz00_4670)))->BgL_encryptzf3zf3));} 

}



/* &<@anonymous:2495> */
obj_t BGl_z62zc3z04anonymousza32495ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4671, obj_t BgL_new1138z00_4672)
{
{ /* Llib/block_ciphers.scm 104 */
{ 
 BgL_ctrz00_bglt BgL_auxz00_11798;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_new1138z00_4672))))->BgL_blockzd2siza7ez75)=((long)0L),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_new1138z00_4672))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_new1138z00_4672))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1138z00_4672)))->BgL_noncez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1138z00_4672)))->BgL_noncezd2strzd2)=((obj_t)BGl_string3580z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1138z00_4672)))->BgL_blockzd2counterzd2)=((long)0L),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1138z00_4672)))->BgL_noncezd2initz12zc0)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_new1138z00_4672)))->BgL_noncezd2updatez12zc0)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_11798 = 
((BgL_ctrz00_bglt)BgL_new1138z00_4672); 
return 
((obj_t)BgL_auxz00_11798);} } 

}



/* &lambda2493 */
BgL_ctrz00_bglt BGl_z62lambda2493z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4673)
{
{ /* Llib/block_ciphers.scm 104 */
{ /* Llib/block_ciphers.scm 104 */
 BgL_ctrz00_bglt BgL_new1137z00_5842;
BgL_new1137z00_5842 = 
((BgL_ctrz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ctrz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 104 */
 long BgL_arg2494z00_5843;
BgL_arg2494z00_5843 = 
BGL_CLASS_NUM(BGl_CTRz00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1137z00_5842), BgL_arg2494z00_5843); } 
{ /* Llib/block_ciphers.scm 104 */
 BgL_objectz00_bglt BgL_tmpz00_11824;
BgL_tmpz00_11824 = 
((BgL_objectz00_bglt)BgL_new1137z00_5842); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11824, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1137z00_5842); 
return BgL_new1137z00_5842;} } 

}



/* &lambda2491 */
BgL_ctrz00_bglt BGl_z62lambda2491z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4674, obj_t BgL_blockzd2siza7e1129z75_4675, obj_t BgL_cipher1130z00_4676, obj_t BgL_param1131z00_4677, obj_t BgL_nonce1132z00_4678, obj_t BgL_noncezd2str1133zd2_4679, obj_t BgL_blockzd2counter1134zd2_4680, obj_t BgL_noncezd2initz121135zc0_4681, obj_t BgL_noncezd2updatez121136zc0_4682)
{
{ /* Llib/block_ciphers.scm 104 */
{ /* Llib/block_ciphers.scm 104 */
 long BgL_blockzd2siza7e1129z75_5844; long BgL_blockzd2counter1134zd2_5847;
BgL_blockzd2siza7e1129z75_5844 = 
(long)CINT(BgL_blockzd2siza7e1129z75_4675); 
BgL_blockzd2counter1134zd2_5847 = 
(long)CINT(BgL_blockzd2counter1134zd2_4680); 
{ /* Llib/block_ciphers.scm 104 */
 BgL_ctrz00_bglt BgL_new1267z00_5850;
{ /* Llib/block_ciphers.scm 104 */
 BgL_ctrz00_bglt BgL_new1266z00_5851;
BgL_new1266z00_5851 = 
((BgL_ctrz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ctrz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 104 */
 long BgL_arg2492z00_5852;
BgL_arg2492z00_5852 = 
BGL_CLASS_NUM(BGl_CTRz00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1266z00_5851), BgL_arg2492z00_5852); } 
{ /* Llib/block_ciphers.scm 104 */
 BgL_objectz00_bglt BgL_tmpz00_11834;
BgL_tmpz00_11834 = 
((BgL_objectz00_bglt)BgL_new1266z00_5851); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11834, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1266z00_5851); 
BgL_new1267z00_5850 = BgL_new1266z00_5851; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1267z00_5850)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1129z75_5844),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1267z00_5850)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1130z00_4676)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1267z00_5850)))->BgL_paramz00)=((obj_t)BgL_param1131z00_4677),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1267z00_5850))->BgL_noncez00)=((obj_t)BgL_nonce1132z00_4678),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1267z00_5850))->BgL_noncezd2strzd2)=((obj_t)
((obj_t)BgL_noncezd2str1133zd2_4679)),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1267z00_5850))->BgL_blockzd2counterzd2)=((long)BgL_blockzd2counter1134zd2_5847),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1267z00_5850))->BgL_noncezd2initz12zc0)=((obj_t)
((obj_t)BgL_noncezd2initz121135zc0_4681)),BUNSPEC); 
((((BgL_ctrz00_bglt)COBJECT(BgL_new1267z00_5850))->BgL_noncezd2updatez12zc0)=((obj_t)
((obj_t)BgL_noncezd2updatez121136zc0_4682)),BUNSPEC); 
return BgL_new1267z00_5850;} } } 

}



/* &lambda2520 */
obj_t BGl_z62lambda2520z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4683, obj_t BgL_oz00_4684, obj_t BgL_vz00_4685)
{
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4684)))->BgL_noncezd2updatez12zc0)=((obj_t)
((obj_t)BgL_vz00_4685)),BUNSPEC);} 

}



/* &lambda2519 */
obj_t BGl_z62lambda2519z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4686, obj_t BgL_oz00_4687)
{
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4687)))->BgL_noncezd2updatez12zc0);} 

}



/* &lambda2515 */
obj_t BGl_z62lambda2515z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4688, obj_t BgL_oz00_4689, obj_t BgL_vz00_4690)
{
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4689)))->BgL_noncezd2initz12zc0)=((obj_t)
((obj_t)BgL_vz00_4690)),BUNSPEC);} 

}



/* &lambda2514 */
obj_t BGl_z62lambda2514z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4691, obj_t BgL_oz00_4692)
{
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4692)))->BgL_noncezd2initz12zc0);} 

}



/* &lambda2510 */
obj_t BGl_z62lambda2510z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4693, obj_t BgL_oz00_4694, obj_t BgL_vz00_4695)
{
{ /* Llib/block_ciphers.scm 104 */
{ /* Llib/block_ciphers.scm 104 */
 long BgL_vz00_5860;
BgL_vz00_5860 = 
(long)CINT(BgL_vz00_4695); 
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4694)))->BgL_blockzd2counterzd2)=((long)BgL_vz00_5860),BUNSPEC);} } 

}



/* &lambda2509 */
obj_t BGl_z62lambda2509z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4696, obj_t BgL_oz00_4697)
{
{ /* Llib/block_ciphers.scm 104 */
return 
BINT(
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4697)))->BgL_blockzd2counterzd2));} 

}



/* &lambda2505 */
obj_t BGl_z62lambda2505z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4698, obj_t BgL_oz00_4699, obj_t BgL_vz00_4700)
{
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4699)))->BgL_noncezd2strzd2)=((obj_t)
((obj_t)BgL_vz00_4700)),BUNSPEC);} 

}



/* &lambda2504 */
obj_t BGl_z62lambda2504z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4701, obj_t BgL_oz00_4702)
{
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4702)))->BgL_noncezd2strzd2);} 

}



/* &lambda2500 */
obj_t BGl_z62lambda2500z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4703, obj_t BgL_oz00_4704, obj_t BgL_vz00_4705)
{
{ /* Llib/block_ciphers.scm 104 */
return 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4704)))->BgL_noncez00)=((obj_t)BgL_vz00_4705),BUNSPEC);} 

}



/* &lambda2499 */
obj_t BGl_z62lambda2499z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4706, obj_t BgL_oz00_4707)
{
{ /* Llib/block_ciphers.scm 104 */
return 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_oz00_4707)))->BgL_noncez00);} 

}



/* &<@anonymous:2480> */
obj_t BGl_z62zc3z04anonymousza32480ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4708, obj_t BgL_new1127z00_4709)
{
{ /* Llib/block_ciphers.scm 102 */
{ 
 BgL_ofbz00_bglt BgL_auxz00_11878;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_new1127z00_4709))))->BgL_blockzd2siza7ez75)=((long)0L),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_new1127z00_4709))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_new1127z00_4709))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_new1127z00_4709)))->BgL_chainz00)=((obj_t)BGl_string3580z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_11878 = 
((BgL_ofbz00_bglt)BgL_new1127z00_4709); 
return 
((obj_t)BgL_auxz00_11878);} } 

}



/* &lambda2478 */
BgL_ofbz00_bglt BGl_z62lambda2478z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4710)
{
{ /* Llib/block_ciphers.scm 102 */
{ /* Llib/block_ciphers.scm 102 */
 BgL_ofbz00_bglt BgL_new1126z00_5868;
BgL_new1126z00_5868 = 
((BgL_ofbz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ofbz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 102 */
 long BgL_arg2479z00_5869;
BgL_arg2479z00_5869 = 
BGL_CLASS_NUM(BGl_OFBz00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1126z00_5868), BgL_arg2479z00_5869); } 
{ /* Llib/block_ciphers.scm 102 */
 BgL_objectz00_bglt BgL_tmpz00_11896;
BgL_tmpz00_11896 = 
((BgL_objectz00_bglt)BgL_new1126z00_5868); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11896, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1126z00_5868); 
return BgL_new1126z00_5868;} } 

}



/* &lambda2476 */
BgL_ofbz00_bglt BGl_z62lambda2476z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4711, obj_t BgL_blockzd2siza7e1122z75_4712, obj_t BgL_cipher1123z00_4713, obj_t BgL_param1124z00_4714, obj_t BgL_chain1125z00_4715)
{
{ /* Llib/block_ciphers.scm 102 */
{ /* Llib/block_ciphers.scm 102 */
 long BgL_blockzd2siza7e1122z75_5870;
BgL_blockzd2siza7e1122z75_5870 = 
(long)CINT(BgL_blockzd2siza7e1122z75_4712); 
{ /* Llib/block_ciphers.scm 102 */
 BgL_ofbz00_bglt BgL_new1265z00_5873;
{ /* Llib/block_ciphers.scm 102 */
 BgL_ofbz00_bglt BgL_new1264z00_5874;
BgL_new1264z00_5874 = 
((BgL_ofbz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ofbz00_bgl) ))); 
{ /* Llib/block_ciphers.scm 102 */
 long BgL_arg2477z00_5875;
BgL_arg2477z00_5875 = 
BGL_CLASS_NUM(BGl_OFBz00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1264z00_5874), BgL_arg2477z00_5875); } 
{ /* Llib/block_ciphers.scm 102 */
 BgL_objectz00_bglt BgL_tmpz00_11905;
BgL_tmpz00_11905 = 
((BgL_objectz00_bglt)BgL_new1264z00_5874); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11905, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1264z00_5874); 
BgL_new1265z00_5873 = BgL_new1264z00_5874; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1265z00_5873)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1122z75_5870),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1265z00_5873)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1123z00_4713)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1265z00_5873)))->BgL_paramz00)=((obj_t)BgL_param1124z00_4714),BUNSPEC); 
((((BgL_ofbz00_bglt)COBJECT(BgL_new1265z00_5873))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1125z00_4715)),BUNSPEC); 
return BgL_new1265z00_5873;} } } 

}



/* &lambda2485 */
obj_t BGl_z62lambda2485z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4716, obj_t BgL_oz00_4717, obj_t BgL_vz00_4718)
{
{ /* Llib/block_ciphers.scm 102 */
return 
((((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_oz00_4717)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4718)),BUNSPEC);} 

}



/* &lambda2484 */
obj_t BGl_z62lambda2484z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4719, obj_t BgL_oz00_4720)
{
{ /* Llib/block_ciphers.scm 102 */
return 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_oz00_4720)))->BgL_chainz00);} 

}



/* &<@anonymous:2460> */
obj_t BGl_z62zc3z04anonymousza32460ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4721, obj_t BgL_new1120z00_4722)
{
{ /* Llib/block_ciphers.scm 99 */
{ 
 BgL_cfbzd2decryptzd2_bglt BgL_auxz00_11923;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_new1120z00_4722))))->BgL_blockzd2siza7ez75)=((long)0L),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_new1120z00_4722))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_new1120z00_4722))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_new1120z00_4722)))->BgL_bufferz00)=((obj_t)BGl_string3580z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_new1120z00_4722)))->BgL_chainz00)=((obj_t)BGl_string3580z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_11923 = 
((BgL_cfbzd2decryptzd2_bglt)BgL_new1120z00_4722); 
return 
((obj_t)BgL_auxz00_11923);} } 

}



/* &lambda2458 */
BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2458z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4723)
{
{ /* Llib/block_ciphers.scm 99 */
{ /* Llib/block_ciphers.scm 99 */
 BgL_cfbzd2decryptzd2_bglt BgL_new1119z00_5880;
BgL_new1119z00_5880 = 
((BgL_cfbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 99 */
 long BgL_arg2459z00_5881;
BgL_arg2459z00_5881 = 
BGL_CLASS_NUM(BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_5880), BgL_arg2459z00_5881); } 
{ /* Llib/block_ciphers.scm 99 */
 BgL_objectz00_bglt BgL_tmpz00_11943;
BgL_tmpz00_11943 = 
((BgL_objectz00_bglt)BgL_new1119z00_5880); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11943, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1119z00_5880); 
return BgL_new1119z00_5880;} } 

}



/* &lambda2456 */
BgL_cfbzd2decryptzd2_bglt BGl_z62lambda2456z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4724, obj_t BgL_blockzd2siza7e1114z75_4725, obj_t BgL_cipher1115z00_4726, obj_t BgL_param1116z00_4727, obj_t BgL_buffer1117z00_4728, obj_t BgL_chain1118z00_4729)
{
{ /* Llib/block_ciphers.scm 99 */
{ /* Llib/block_ciphers.scm 99 */
 long BgL_blockzd2siza7e1114z75_5882;
BgL_blockzd2siza7e1114z75_5882 = 
(long)CINT(BgL_blockzd2siza7e1114z75_4725); 
{ /* Llib/block_ciphers.scm 99 */
 BgL_cfbzd2decryptzd2_bglt BgL_new1263z00_5886;
{ /* Llib/block_ciphers.scm 99 */
 BgL_cfbzd2decryptzd2_bglt BgL_new1262z00_5887;
BgL_new1262z00_5887 = 
((BgL_cfbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 99 */
 long BgL_arg2457z00_5888;
BgL_arg2457z00_5888 = 
BGL_CLASS_NUM(BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1262z00_5887), BgL_arg2457z00_5888); } 
{ /* Llib/block_ciphers.scm 99 */
 BgL_objectz00_bglt BgL_tmpz00_11952;
BgL_tmpz00_11952 = 
((BgL_objectz00_bglt)BgL_new1262z00_5887); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11952, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1262z00_5887); 
BgL_new1263z00_5886 = BgL_new1262z00_5887; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1263z00_5886)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1114z75_5882),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1263z00_5886)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1115z00_4726)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1263z00_5886)))->BgL_paramz00)=((obj_t)BgL_param1116z00_4727),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1263z00_5886))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1117z00_4728)),BUNSPEC); 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(BgL_new1263z00_5886))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1118z00_4729)),BUNSPEC); 
return BgL_new1263z00_5886;} } } 

}



/* &lambda2470 */
obj_t BGl_z62lambda2470z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4730, obj_t BgL_oz00_4731, obj_t BgL_vz00_4732)
{
{ /* Llib/block_ciphers.scm 99 */
return 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_4731)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4732)),BUNSPEC);} 

}



/* &lambda2469 */
obj_t BGl_z62lambda2469z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4733, obj_t BgL_oz00_4734)
{
{ /* Llib/block_ciphers.scm 99 */
return 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_4734)))->BgL_chainz00);} 

}



/* &lambda2465 */
obj_t BGl_z62lambda2465z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4735, obj_t BgL_oz00_4736, obj_t BgL_vz00_4737)
{
{ /* Llib/block_ciphers.scm 99 */
return 
((((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_4736)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_4737)),BUNSPEC);} 

}



/* &lambda2464 */
obj_t BGl_z62lambda2464z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4738, obj_t BgL_oz00_4739)
{
{ /* Llib/block_ciphers.scm 99 */
return 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_oz00_4739)))->BgL_bufferz00);} 

}



/* &<@anonymous:2445> */
obj_t BGl_z62zc3z04anonymousza32445ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4740, obj_t BgL_new1112z00_4741)
{
{ /* Llib/block_ciphers.scm 97 */
{ 
 BgL_cfbzd2encryptzd2_bglt BgL_auxz00_11977;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_new1112z00_4741))))->BgL_blockzd2siza7ez75)=((long)0L),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_new1112z00_4741))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_new1112z00_4741))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_new1112z00_4741)))->BgL_chainz00)=((obj_t)BGl_string3580z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_11977 = 
((BgL_cfbzd2encryptzd2_bglt)BgL_new1112z00_4741); 
return 
((obj_t)BgL_auxz00_11977);} } 

}



/* &lambda2443 */
BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2443z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4742)
{
{ /* Llib/block_ciphers.scm 97 */
{ /* Llib/block_ciphers.scm 97 */
 BgL_cfbzd2encryptzd2_bglt BgL_new1111z00_5896;
BgL_new1111z00_5896 = 
((BgL_cfbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 97 */
 long BgL_arg2444z00_5897;
BgL_arg2444z00_5897 = 
BGL_CLASS_NUM(BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1111z00_5896), BgL_arg2444z00_5897); } 
{ /* Llib/block_ciphers.scm 97 */
 BgL_objectz00_bglt BgL_tmpz00_11995;
BgL_tmpz00_11995 = 
((BgL_objectz00_bglt)BgL_new1111z00_5896); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11995, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1111z00_5896); 
return BgL_new1111z00_5896;} } 

}



/* &lambda2441 */
BgL_cfbzd2encryptzd2_bglt BGl_z62lambda2441z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4743, obj_t BgL_blockzd2siza7e1107z75_4744, obj_t BgL_cipher1108z00_4745, obj_t BgL_param1109z00_4746, obj_t BgL_chain1110z00_4747)
{
{ /* Llib/block_ciphers.scm 97 */
{ /* Llib/block_ciphers.scm 97 */
 long BgL_blockzd2siza7e1107z75_5898;
BgL_blockzd2siza7e1107z75_5898 = 
(long)CINT(BgL_blockzd2siza7e1107z75_4744); 
{ /* Llib/block_ciphers.scm 97 */
 BgL_cfbzd2encryptzd2_bglt BgL_new1261z00_5901;
{ /* Llib/block_ciphers.scm 97 */
 BgL_cfbzd2encryptzd2_bglt BgL_new1260z00_5902;
BgL_new1260z00_5902 = 
((BgL_cfbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cfbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 97 */
 long BgL_arg2442z00_5903;
BgL_arg2442z00_5903 = 
BGL_CLASS_NUM(BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1260z00_5902), BgL_arg2442z00_5903); } 
{ /* Llib/block_ciphers.scm 97 */
 BgL_objectz00_bglt BgL_tmpz00_12004;
BgL_tmpz00_12004 = 
((BgL_objectz00_bglt)BgL_new1260z00_5902); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12004, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1260z00_5902); 
BgL_new1261z00_5901 = BgL_new1260z00_5902; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1261z00_5901)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1107z75_5898),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1261z00_5901)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1108z00_4745)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1261z00_5901)))->BgL_paramz00)=((obj_t)BgL_param1109z00_4746),BUNSPEC); 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(BgL_new1261z00_5901))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1110z00_4747)),BUNSPEC); 
return BgL_new1261z00_5901;} } } 

}



/* &lambda2450 */
obj_t BGl_z62lambda2450z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4748, obj_t BgL_oz00_4749, obj_t BgL_vz00_4750)
{
{ /* Llib/block_ciphers.scm 97 */
return 
((((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_oz00_4749)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4750)),BUNSPEC);} 

}



/* &lambda2449 */
obj_t BGl_z62lambda2449z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4751, obj_t BgL_oz00_4752)
{
{ /* Llib/block_ciphers.scm 97 */
return 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_oz00_4752)))->BgL_chainz00);} 

}



/* &<@anonymous:2435> */
obj_t BGl_z62zc3z04anonymousza32435ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4753, obj_t BgL_new1105z00_4754)
{
{ /* Llib/block_ciphers.scm 96 */
{ 
 BgL_streamzd2cipherzd2statez00_bglt BgL_auxz00_12022;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1105z00_4754))))->BgL_blockzd2siza7ez75)=((long)0L),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1105z00_4754))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1105z00_4754))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_12022 = 
((BgL_streamzd2cipherzd2statez00_bglt)BgL_new1105z00_4754); 
return 
((obj_t)BgL_auxz00_12022);} } 

}



/* &lambda2433 */
BgL_streamzd2cipherzd2statez00_bglt BGl_z62lambda2433z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4755)
{
{ /* Llib/block_ciphers.scm 96 */
{ /* Llib/block_ciphers.scm 96 */
 BgL_streamzd2cipherzd2statez00_bglt BgL_new1104z00_5908;
BgL_new1104z00_5908 = 
((BgL_streamzd2cipherzd2statez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_streamzd2cipherzd2statez00_bgl) ))); 
{ /* Llib/block_ciphers.scm 96 */
 long BgL_arg2434z00_5909;
BgL_arg2434z00_5909 = 
BGL_CLASS_NUM(BGl_Streamzd2Cipherzd2Statez00zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1104z00_5908), BgL_arg2434z00_5909); } 
return BgL_new1104z00_5908;} } 

}



/* &<@anonymous:2418> */
obj_t BGl_z62zc3z04anonymousza32418ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4756, obj_t BgL_new1102z00_4757)
{
{ /* Llib/block_ciphers.scm 92 */
{ 
 BgL_pcbczd2decryptzd2_bglt BgL_auxz00_12038;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_new1102z00_4757))))->BgL_blockzd2siza7ez75)=((long)0L),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_new1102z00_4757))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_new1102z00_4757))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_new1102z00_4757)))->BgL_bufferz00)=((obj_t)BGl_string3580z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_new1102z00_4757)))->BgL_chainz00)=((obj_t)BGl_string3580z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_12038 = 
((BgL_pcbczd2decryptzd2_bglt)BgL_new1102z00_4757); 
return 
((obj_t)BgL_auxz00_12038);} } 

}



/* &lambda2416 */
BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2416z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4758)
{
{ /* Llib/block_ciphers.scm 92 */
{ /* Llib/block_ciphers.scm 92 */
 BgL_pcbczd2decryptzd2_bglt BgL_new1101z00_5911;
BgL_new1101z00_5911 = 
((BgL_pcbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 92 */
 long BgL_arg2417z00_5912;
BgL_arg2417z00_5912 = 
BGL_CLASS_NUM(BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1101z00_5911), BgL_arg2417z00_5912); } 
{ /* Llib/block_ciphers.scm 92 */
 BgL_objectz00_bglt BgL_tmpz00_12058;
BgL_tmpz00_12058 = 
((BgL_objectz00_bglt)BgL_new1101z00_5911); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12058, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1101z00_5911); 
return BgL_new1101z00_5911;} } 

}



/* &lambda2414 */
BgL_pcbczd2decryptzd2_bglt BGl_z62lambda2414z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4759, obj_t BgL_blockzd2siza7e1096z75_4760, obj_t BgL_cipher1097z00_4761, obj_t BgL_param1098z00_4762, obj_t BgL_buffer1099z00_4763, obj_t BgL_chain1100z00_4764)
{
{ /* Llib/block_ciphers.scm 92 */
{ /* Llib/block_ciphers.scm 92 */
 long BgL_blockzd2siza7e1096z75_5913;
BgL_blockzd2siza7e1096z75_5913 = 
(long)CINT(BgL_blockzd2siza7e1096z75_4760); 
{ /* Llib/block_ciphers.scm 92 */
 BgL_pcbczd2decryptzd2_bglt BgL_new1259z00_5917;
{ /* Llib/block_ciphers.scm 92 */
 BgL_pcbczd2decryptzd2_bglt BgL_new1258z00_5918;
BgL_new1258z00_5918 = 
((BgL_pcbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 92 */
 long BgL_arg2415z00_5919;
BgL_arg2415z00_5919 = 
BGL_CLASS_NUM(BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1258z00_5918), BgL_arg2415z00_5919); } 
{ /* Llib/block_ciphers.scm 92 */
 BgL_objectz00_bglt BgL_tmpz00_12067;
BgL_tmpz00_12067 = 
((BgL_objectz00_bglt)BgL_new1258z00_5918); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12067, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1258z00_5918); 
BgL_new1259z00_5917 = BgL_new1258z00_5918; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1259z00_5917)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1096z75_5913),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1259z00_5917)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1097z00_4761)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1259z00_5917)))->BgL_paramz00)=((obj_t)BgL_param1098z00_4762),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1259z00_5917))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1099z00_4763)),BUNSPEC); 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(BgL_new1259z00_5917))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1100z00_4764)),BUNSPEC); 
return BgL_new1259z00_5917;} } } 

}



/* &lambda2428 */
obj_t BGl_z62lambda2428z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4765, obj_t BgL_oz00_4766, obj_t BgL_vz00_4767)
{
{ /* Llib/block_ciphers.scm 92 */
return 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_4766)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4767)),BUNSPEC);} 

}



/* &lambda2427 */
obj_t BGl_z62lambda2427z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4768, obj_t BgL_oz00_4769)
{
{ /* Llib/block_ciphers.scm 92 */
return 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_4769)))->BgL_chainz00);} 

}



/* &lambda2423 */
obj_t BGl_z62lambda2423z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4770, obj_t BgL_oz00_4771, obj_t BgL_vz00_4772)
{
{ /* Llib/block_ciphers.scm 92 */
return 
((((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_4771)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_4772)),BUNSPEC);} 

}



/* &lambda2422 */
obj_t BGl_z62lambda2422z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4773, obj_t BgL_oz00_4774)
{
{ /* Llib/block_ciphers.scm 92 */
return 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_oz00_4774)))->BgL_bufferz00);} 

}



/* &<@anonymous:2398> */
obj_t BGl_z62zc3z04anonymousza32398ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4775, obj_t BgL_new1094z00_4776)
{
{ /* Llib/block_ciphers.scm 89 */
{ 
 BgL_pcbczd2encryptzd2_bglt BgL_auxz00_12092;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_new1094z00_4776))))->BgL_blockzd2siza7ez75)=((long)0L),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_new1094z00_4776))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_new1094z00_4776))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_new1094z00_4776)))->BgL_bufferz00)=((obj_t)BGl_string3580z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_new1094z00_4776)))->BgL_chainz00)=((obj_t)BGl_string3580z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_12092 = 
((BgL_pcbczd2encryptzd2_bglt)BgL_new1094z00_4776); 
return 
((obj_t)BgL_auxz00_12092);} } 

}



/* &lambda2396 */
BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2396z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4777)
{
{ /* Llib/block_ciphers.scm 89 */
{ /* Llib/block_ciphers.scm 89 */
 BgL_pcbczd2encryptzd2_bglt BgL_new1093z00_5927;
BgL_new1093z00_5927 = 
((BgL_pcbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 89 */
 long BgL_arg2397z00_5928;
BgL_arg2397z00_5928 = 
BGL_CLASS_NUM(BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1093z00_5927), BgL_arg2397z00_5928); } 
{ /* Llib/block_ciphers.scm 89 */
 BgL_objectz00_bglt BgL_tmpz00_12112;
BgL_tmpz00_12112 = 
((BgL_objectz00_bglt)BgL_new1093z00_5927); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12112, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1093z00_5927); 
return BgL_new1093z00_5927;} } 

}



/* &lambda2394 */
BgL_pcbczd2encryptzd2_bglt BGl_z62lambda2394z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4778, obj_t BgL_blockzd2siza7e1088z75_4779, obj_t BgL_cipher1089z00_4780, obj_t BgL_param1090z00_4781, obj_t BgL_buffer1091z00_4782, obj_t BgL_chain1092z00_4783)
{
{ /* Llib/block_ciphers.scm 89 */
{ /* Llib/block_ciphers.scm 89 */
 long BgL_blockzd2siza7e1088z75_5929;
BgL_blockzd2siza7e1088z75_5929 = 
(long)CINT(BgL_blockzd2siza7e1088z75_4779); 
{ /* Llib/block_ciphers.scm 89 */
 BgL_pcbczd2encryptzd2_bglt BgL_new1257z00_5933;
{ /* Llib/block_ciphers.scm 89 */
 BgL_pcbczd2encryptzd2_bglt BgL_new1256z00_5934;
BgL_new1256z00_5934 = 
((BgL_pcbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pcbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 89 */
 long BgL_arg2395z00_5935;
BgL_arg2395z00_5935 = 
BGL_CLASS_NUM(BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1256z00_5934), BgL_arg2395z00_5935); } 
{ /* Llib/block_ciphers.scm 89 */
 BgL_objectz00_bglt BgL_tmpz00_12121;
BgL_tmpz00_12121 = 
((BgL_objectz00_bglt)BgL_new1256z00_5934); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12121, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1256z00_5934); 
BgL_new1257z00_5933 = BgL_new1256z00_5934; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1257z00_5933)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1088z75_5929),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1257z00_5933)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1089z00_4780)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1257z00_5933)))->BgL_paramz00)=((obj_t)BgL_param1090z00_4781),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1257z00_5933))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1091z00_4782)),BUNSPEC); 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(BgL_new1257z00_5933))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1092z00_4783)),BUNSPEC); 
return BgL_new1257z00_5933;} } } 

}



/* &lambda2408 */
obj_t BGl_z62lambda2408z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4784, obj_t BgL_oz00_4785, obj_t BgL_vz00_4786)
{
{ /* Llib/block_ciphers.scm 89 */
return 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_4785)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4786)),BUNSPEC);} 

}



/* &lambda2407 */
obj_t BGl_z62lambda2407z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4787, obj_t BgL_oz00_4788)
{
{ /* Llib/block_ciphers.scm 89 */
return 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_4788)))->BgL_chainz00);} 

}



/* &lambda2403 */
obj_t BGl_z62lambda2403z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4789, obj_t BgL_oz00_4790, obj_t BgL_vz00_4791)
{
{ /* Llib/block_ciphers.scm 89 */
return 
((((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_4790)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_4791)),BUNSPEC);} 

}



/* &lambda2402 */
obj_t BGl_z62lambda2402z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4792, obj_t BgL_oz00_4793)
{
{ /* Llib/block_ciphers.scm 89 */
return 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_oz00_4793)))->BgL_bufferz00);} 

}



/* &<@anonymous:2378> */
obj_t BGl_z62zc3z04anonymousza32378ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4794, obj_t BgL_new1086z00_4795)
{
{ /* Llib/block_ciphers.scm 86 */
{ 
 BgL_cbczd2decryptzd2_bglt BgL_auxz00_12146;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_new1086z00_4795))))->BgL_blockzd2siza7ez75)=((long)0L),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_new1086z00_4795))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_new1086z00_4795))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_new1086z00_4795)))->BgL_bufferz00)=((obj_t)BGl_string3580z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_new1086z00_4795)))->BgL_chainz00)=((obj_t)BGl_string3580z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_12146 = 
((BgL_cbczd2decryptzd2_bglt)BgL_new1086z00_4795); 
return 
((obj_t)BgL_auxz00_12146);} } 

}



/* &lambda2376 */
BgL_cbczd2decryptzd2_bglt BGl_z62lambda2376z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4796)
{
{ /* Llib/block_ciphers.scm 86 */
{ /* Llib/block_ciphers.scm 86 */
 BgL_cbczd2decryptzd2_bglt BgL_new1085z00_5943;
BgL_new1085z00_5943 = 
((BgL_cbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 86 */
 long BgL_arg2377z00_5944;
BgL_arg2377z00_5944 = 
BGL_CLASS_NUM(BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1085z00_5943), BgL_arg2377z00_5944); } 
{ /* Llib/block_ciphers.scm 86 */
 BgL_objectz00_bglt BgL_tmpz00_12166;
BgL_tmpz00_12166 = 
((BgL_objectz00_bglt)BgL_new1085z00_5943); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12166, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1085z00_5943); 
return BgL_new1085z00_5943;} } 

}



/* &lambda2374 */
BgL_cbczd2decryptzd2_bglt BGl_z62lambda2374z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4797, obj_t BgL_blockzd2siza7e1080z75_4798, obj_t BgL_cipher1081z00_4799, obj_t BgL_param1082z00_4800, obj_t BgL_buffer1083z00_4801, obj_t BgL_chain1084z00_4802)
{
{ /* Llib/block_ciphers.scm 86 */
{ /* Llib/block_ciphers.scm 86 */
 long BgL_blockzd2siza7e1080z75_5945;
BgL_blockzd2siza7e1080z75_5945 = 
(long)CINT(BgL_blockzd2siza7e1080z75_4798); 
{ /* Llib/block_ciphers.scm 86 */
 BgL_cbczd2decryptzd2_bglt BgL_new1255z00_5949;
{ /* Llib/block_ciphers.scm 86 */
 BgL_cbczd2decryptzd2_bglt BgL_new1254z00_5950;
BgL_new1254z00_5950 = 
((BgL_cbczd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 86 */
 long BgL_arg2375z00_5951;
BgL_arg2375z00_5951 = 
BGL_CLASS_NUM(BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1254z00_5950), BgL_arg2375z00_5951); } 
{ /* Llib/block_ciphers.scm 86 */
 BgL_objectz00_bglt BgL_tmpz00_12175;
BgL_tmpz00_12175 = 
((BgL_objectz00_bglt)BgL_new1254z00_5950); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12175, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1254z00_5950); 
BgL_new1255z00_5949 = BgL_new1254z00_5950; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1255z00_5949)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1080z75_5945),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1255z00_5949)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1081z00_4799)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1255z00_5949)))->BgL_paramz00)=((obj_t)BgL_param1082z00_4800),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1255z00_5949))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1083z00_4801)),BUNSPEC); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(BgL_new1255z00_5949))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1084z00_4802)),BUNSPEC); 
return BgL_new1255z00_5949;} } } 

}



/* &lambda2388 */
obj_t BGl_z62lambda2388z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4803, obj_t BgL_oz00_4804, obj_t BgL_vz00_4805)
{
{ /* Llib/block_ciphers.scm 86 */
return 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_4804)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4805)),BUNSPEC);} 

}



/* &lambda2387 */
obj_t BGl_z62lambda2387z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4806, obj_t BgL_oz00_4807)
{
{ /* Llib/block_ciphers.scm 86 */
return 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_4807)))->BgL_chainz00);} 

}



/* &lambda2383 */
obj_t BGl_z62lambda2383z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4808, obj_t BgL_oz00_4809, obj_t BgL_vz00_4810)
{
{ /* Llib/block_ciphers.scm 86 */
return 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_4809)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_4810)),BUNSPEC);} 

}



/* &lambda2382 */
obj_t BGl_z62lambda2382z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4811, obj_t BgL_oz00_4812)
{
{ /* Llib/block_ciphers.scm 86 */
return 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_oz00_4812)))->BgL_bufferz00);} 

}



/* &<@anonymous:2358> */
obj_t BGl_z62zc3z04anonymousza32358ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4813, obj_t BgL_new1078z00_4814)
{
{ /* Llib/block_ciphers.scm 83 */
{ 
 BgL_cbczd2encryptzd2_bglt BgL_auxz00_12200;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_new1078z00_4814))))->BgL_blockzd2siza7ez75)=((long)0L),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_new1078z00_4814))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_new1078z00_4814))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_new1078z00_4814)))->BgL_bufferz00)=((obj_t)BGl_string3580z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_new1078z00_4814)))->BgL_chainz00)=((obj_t)BGl_string3580z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
BgL_auxz00_12200 = 
((BgL_cbczd2encryptzd2_bglt)BgL_new1078z00_4814); 
return 
((obj_t)BgL_auxz00_12200);} } 

}



/* &lambda2356 */
BgL_cbczd2encryptzd2_bglt BGl_z62lambda2356z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4815)
{
{ /* Llib/block_ciphers.scm 83 */
{ /* Llib/block_ciphers.scm 83 */
 BgL_cbczd2encryptzd2_bglt BgL_new1077z00_5959;
BgL_new1077z00_5959 = 
((BgL_cbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 83 */
 long BgL_arg2357z00_5960;
BgL_arg2357z00_5960 = 
BGL_CLASS_NUM(BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1077z00_5959), BgL_arg2357z00_5960); } 
{ /* Llib/block_ciphers.scm 83 */
 BgL_objectz00_bglt BgL_tmpz00_12220;
BgL_tmpz00_12220 = 
((BgL_objectz00_bglt)BgL_new1077z00_5959); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12220, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1077z00_5959); 
return BgL_new1077z00_5959;} } 

}



/* &lambda2354 */
BgL_cbczd2encryptzd2_bglt BGl_z62lambda2354z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4816, obj_t BgL_blockzd2siza7e1072z75_4817, obj_t BgL_cipher1073z00_4818, obj_t BgL_param1074z00_4819, obj_t BgL_buffer1075z00_4820, obj_t BgL_chain1076z00_4821)
{
{ /* Llib/block_ciphers.scm 83 */
{ /* Llib/block_ciphers.scm 83 */
 long BgL_blockzd2siza7e1072z75_5961;
BgL_blockzd2siza7e1072z75_5961 = 
(long)CINT(BgL_blockzd2siza7e1072z75_4817); 
{ /* Llib/block_ciphers.scm 83 */
 BgL_cbczd2encryptzd2_bglt BgL_new1253z00_5965;
{ /* Llib/block_ciphers.scm 83 */
 BgL_cbczd2encryptzd2_bglt BgL_new1252z00_5966;
BgL_new1252z00_5966 = 
((BgL_cbczd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cbczd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 83 */
 long BgL_arg2355z00_5967;
BgL_arg2355z00_5967 = 
BGL_CLASS_NUM(BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1252z00_5966), BgL_arg2355z00_5967); } 
{ /* Llib/block_ciphers.scm 83 */
 BgL_objectz00_bglt BgL_tmpz00_12229;
BgL_tmpz00_12229 = 
((BgL_objectz00_bglt)BgL_new1252z00_5966); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12229, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1252z00_5966); 
BgL_new1253z00_5965 = BgL_new1252z00_5966; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1253z00_5965)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1072z75_5961),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1253z00_5965)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1073z00_4818)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1253z00_5965)))->BgL_paramz00)=((obj_t)BgL_param1074z00_4819),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1253z00_5965))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_buffer1075z00_4820)),BUNSPEC); 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(BgL_new1253z00_5965))->BgL_chainz00)=((obj_t)
((obj_t)BgL_chain1076z00_4821)),BUNSPEC); 
return BgL_new1253z00_5965;} } } 

}



/* &lambda2368 */
obj_t BGl_z62lambda2368z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4822, obj_t BgL_oz00_4823, obj_t BgL_vz00_4824)
{
{ /* Llib/block_ciphers.scm 83 */
return 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_4823)))->BgL_chainz00)=((obj_t)
((obj_t)BgL_vz00_4824)),BUNSPEC);} 

}



/* &lambda2367 */
obj_t BGl_z62lambda2367z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4825, obj_t BgL_oz00_4826)
{
{ /* Llib/block_ciphers.scm 83 */
return 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_4826)))->BgL_chainz00);} 

}



/* &lambda2363 */
obj_t BGl_z62lambda2363z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4827, obj_t BgL_oz00_4828, obj_t BgL_vz00_4829)
{
{ /* Llib/block_ciphers.scm 83 */
return 
((((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_4828)))->BgL_bufferz00)=((obj_t)
((obj_t)BgL_vz00_4829)),BUNSPEC);} 

}



/* &lambda2362 */
obj_t BGl_z62lambda2362z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4830, obj_t BgL_oz00_4831)
{
{ /* Llib/block_ciphers.scm 83 */
return 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_oz00_4831)))->BgL_bufferz00);} 

}



/* &<@anonymous:2348> */
obj_t BGl_z62zc3z04anonymousza32348ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4832, obj_t BgL_new1070z00_4833)
{
{ /* Llib/block_ciphers.scm 82 */
{ 
 BgL_ecbzd2decryptzd2_bglt BgL_auxz00_12254;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_new1070z00_4833))))->BgL_blockzd2siza7ez75)=((long)0L),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_new1070z00_4833))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_new1070z00_4833))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_12254 = 
((BgL_ecbzd2decryptzd2_bglt)BgL_new1070z00_4833); 
return 
((obj_t)BgL_auxz00_12254);} } 

}



/* &lambda2346 */
BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2346z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4834)
{
{ /* Llib/block_ciphers.scm 82 */
{ /* Llib/block_ciphers.scm 82 */
 BgL_ecbzd2decryptzd2_bglt BgL_new1069z00_5975;
BgL_new1069z00_5975 = 
((BgL_ecbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 82 */
 long BgL_arg2347z00_5976;
BgL_arg2347z00_5976 = 
BGL_CLASS_NUM(BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_5975), BgL_arg2347z00_5976); } 
{ /* Llib/block_ciphers.scm 82 */
 BgL_objectz00_bglt BgL_tmpz00_12270;
BgL_tmpz00_12270 = 
((BgL_objectz00_bglt)BgL_new1069z00_5975); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12270, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1069z00_5975); 
return BgL_new1069z00_5975;} } 

}



/* &lambda2344 */
BgL_ecbzd2decryptzd2_bglt BGl_z62lambda2344z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4835, obj_t BgL_blockzd2siza7e1066z75_4836, obj_t BgL_cipher1067z00_4837, obj_t BgL_param1068z00_4838)
{
{ /* Llib/block_ciphers.scm 82 */
{ /* Llib/block_ciphers.scm 82 */
 long BgL_blockzd2siza7e1066z75_5977;
BgL_blockzd2siza7e1066z75_5977 = 
(long)CINT(BgL_blockzd2siza7e1066z75_4836); 
{ /* Llib/block_ciphers.scm 82 */
 BgL_ecbzd2decryptzd2_bglt BgL_new1251z00_5979;
{ /* Llib/block_ciphers.scm 82 */
 BgL_ecbzd2decryptzd2_bglt BgL_new1250z00_5980;
BgL_new1250z00_5980 = 
((BgL_ecbzd2decryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2decryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 82 */
 long BgL_arg2345z00_5981;
BgL_arg2345z00_5981 = 
BGL_CLASS_NUM(BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1250z00_5980), BgL_arg2345z00_5981); } 
{ /* Llib/block_ciphers.scm 82 */
 BgL_objectz00_bglt BgL_tmpz00_12279;
BgL_tmpz00_12279 = 
((BgL_objectz00_bglt)BgL_new1250z00_5980); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12279, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1250z00_5980); 
BgL_new1251z00_5979 = BgL_new1250z00_5980; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1251z00_5979)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1066z75_5977),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1251z00_5979)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1067z00_4837)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1251z00_5979)))->BgL_paramz00)=((obj_t)BgL_param1068z00_4838),BUNSPEC); 
return BgL_new1251z00_5979;} } } 

}



/* &<@anonymous:2338> */
obj_t BGl_z62zc3z04anonymousza32338ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4839, obj_t BgL_new1064z00_4840)
{
{ /* Llib/block_ciphers.scm 81 */
{ 
 BgL_ecbzd2encryptzd2_bglt BgL_auxz00_12290;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_new1064z00_4840))))->BgL_blockzd2siza7ez75)=((long)0L),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_new1064z00_4840))))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_new1064z00_4840))))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_12290 = 
((BgL_ecbzd2encryptzd2_bglt)BgL_new1064z00_4840); 
return 
((obj_t)BgL_auxz00_12290);} } 

}



/* &lambda2336 */
BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2336z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4841)
{
{ /* Llib/block_ciphers.scm 81 */
{ /* Llib/block_ciphers.scm 81 */
 BgL_ecbzd2encryptzd2_bglt BgL_new1063z00_5983;
BgL_new1063z00_5983 = 
((BgL_ecbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 81 */
 long BgL_arg2337z00_5984;
BgL_arg2337z00_5984 = 
BGL_CLASS_NUM(BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1063z00_5983), BgL_arg2337z00_5984); } 
{ /* Llib/block_ciphers.scm 81 */
 BgL_objectz00_bglt BgL_tmpz00_12306;
BgL_tmpz00_12306 = 
((BgL_objectz00_bglt)BgL_new1063z00_5983); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12306, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1063z00_5983); 
return BgL_new1063z00_5983;} } 

}



/* &lambda2334 */
BgL_ecbzd2encryptzd2_bglt BGl_z62lambda2334z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4842, obj_t BgL_blockzd2siza7e1060z75_4843, obj_t BgL_cipher1061z00_4844, obj_t BgL_param1062z00_4845)
{
{ /* Llib/block_ciphers.scm 81 */
{ /* Llib/block_ciphers.scm 81 */
 long BgL_blockzd2siza7e1060z75_5985;
BgL_blockzd2siza7e1060z75_5985 = 
(long)CINT(BgL_blockzd2siza7e1060z75_4843); 
{ /* Llib/block_ciphers.scm 81 */
 BgL_ecbzd2encryptzd2_bglt BgL_new1249z00_5987;
{ /* Llib/block_ciphers.scm 81 */
 BgL_ecbzd2encryptzd2_bglt BgL_new1248z00_5988;
BgL_new1248z00_5988 = 
((BgL_ecbzd2encryptzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ecbzd2encryptzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 81 */
 long BgL_arg2335z00_5989;
BgL_arg2335z00_5989 = 
BGL_CLASS_NUM(BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1248z00_5988), BgL_arg2335z00_5989); } 
{ /* Llib/block_ciphers.scm 81 */
 BgL_objectz00_bglt BgL_tmpz00_12315;
BgL_tmpz00_12315 = 
((BgL_objectz00_bglt)BgL_new1248z00_5988); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12315, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1248z00_5988); 
BgL_new1249z00_5987 = BgL_new1248z00_5988; } 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1249z00_5987)))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1060z75_5985),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1249z00_5987)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_cipher1061z00_4844)),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1249z00_5987)))->BgL_paramz00)=((obj_t)BgL_param1062z00_4845),BUNSPEC); 
return BgL_new1249z00_5987;} } } 

}



/* &<@anonymous:2313> */
obj_t BGl_z62zc3z04anonymousza32313ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4846, obj_t BgL_new1058z00_4847)
{
{ /* Llib/block_ciphers.scm 77 */
{ 
 BgL_cipherzd2statezd2_bglt BgL_auxz00_12326;
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1058z00_4847)))->BgL_blockzd2siza7ez75)=((long)0L),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1058z00_4847)))->BgL_cipherz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_new1058z00_4847)))->BgL_paramz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_12326 = 
((BgL_cipherzd2statezd2_bglt)BgL_new1058z00_4847); 
return 
((obj_t)BgL_auxz00_12326);} } 

}



/* &lambda2311 */
BgL_cipherzd2statezd2_bglt BGl_z62lambda2311z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4848)
{
{ /* Llib/block_ciphers.scm 77 */
{ /* Llib/block_ciphers.scm 77 */
 BgL_cipherzd2statezd2_bglt BgL_new1057z00_5991;
BgL_new1057z00_5991 = 
((BgL_cipherzd2statezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_cipherzd2statezd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 77 */
 long BgL_arg2312z00_5992;
BgL_arg2312z00_5992 = 
BGL_CLASS_NUM(BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1057z00_5991), BgL_arg2312z00_5992); } 
return BgL_new1057z00_5991;} } 

}



/* &lambda2328 */
obj_t BGl_z62lambda2328z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4849, obj_t BgL_oz00_4850, obj_t BgL_vz00_4851)
{
{ /* Llib/block_ciphers.scm 77 */
return 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_4850)))->BgL_paramz00)=((obj_t)BgL_vz00_4851),BUNSPEC);} 

}



/* &lambda2327 */
obj_t BGl_z62lambda2327z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4852, obj_t BgL_oz00_4853)
{
{ /* Llib/block_ciphers.scm 77 */
return 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_4853)))->BgL_paramz00);} 

}



/* &lambda2323 */
obj_t BGl_z62lambda2323z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4854, obj_t BgL_oz00_4855, obj_t BgL_vz00_4856)
{
{ /* Llib/block_ciphers.scm 77 */
return 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_4855)))->BgL_cipherz00)=((obj_t)
((obj_t)BgL_vz00_4856)),BUNSPEC);} 

}



/* &lambda2322 */
obj_t BGl_z62lambda2322z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4857, obj_t BgL_oz00_4858)
{
{ /* Llib/block_ciphers.scm 77 */
return 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_4858)))->BgL_cipherz00);} 

}



/* &lambda2318 */
obj_t BGl_z62lambda2318z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4859, obj_t BgL_oz00_4860, obj_t BgL_vz00_4861)
{
{ /* Llib/block_ciphers.scm 77 */
{ /* Llib/block_ciphers.scm 77 */
 long BgL_vz00_5999;
BgL_vz00_5999 = 
(long)CINT(BgL_vz00_4861); 
return 
((((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_4860)))->BgL_blockzd2siza7ez75)=((long)BgL_vz00_5999),BUNSPEC);} } 

}



/* &lambda2317 */
obj_t BGl_z62lambda2317z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4862, obj_t BgL_oz00_4863)
{
{ /* Llib/block_ciphers.scm 77 */
return 
BINT(
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)BgL_oz00_4863)))->BgL_blockzd2siza7ez75));} 

}



/* &<@anonymous:2271> */
obj_t BGl_z62zc3z04anonymousza32271ze3ze5zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4864, obj_t BgL_new1055z00_4865)
{
{ /* Llib/block_ciphers.scm 6 */
{ 
 BgL_blockzd2cipherzd2_bglt BgL_auxz00_12354;
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_4865)))->BgL_namez00)=((obj_t)BGl_string3580z00zz__cryptozd2blockzd2ciphersz00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_4865)))->BgL_blockzd2siza7ez75)=((long)0L),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_4865)))->BgL_preferredzd2keyzd2lengthz00)=((long)0L),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_4865)))->BgL_encryptz12z12)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_4865)))->BgL_decryptz12z12)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_4865)))->BgL_keyzd2ze3encryptzd2paramze3)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_4865)))->BgL_keyzd2ze3decryptzd2paramze3)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_12354 = 
((BgL_blockzd2cipherzd2_bglt)BgL_new1055z00_4865); 
return 
((obj_t)BgL_auxz00_12354);} } 

}



/* &lambda2269 */
BgL_blockzd2cipherzd2_bglt BGl_z62lambda2269z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4866)
{
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
 BgL_blockzd2cipherzd2_bglt BgL_new1054z00_6002;
BgL_new1054z00_6002 = 
((BgL_blockzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_blockzd2cipherzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 6 */
 long BgL_arg2270z00_6003;
BgL_arg2270z00_6003 = 
BGL_CLASS_NUM(BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1054z00_6002), BgL_arg2270z00_6003); } 
{ /* Llib/block_ciphers.scm 6 */
 BgL_objectz00_bglt BgL_tmpz00_12375;
BgL_tmpz00_12375 = 
((BgL_objectz00_bglt)BgL_new1054z00_6002); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12375, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1054z00_6002); 
return BgL_new1054z00_6002;} } 

}



/* &lambda2267 */
BgL_blockzd2cipherzd2_bglt BGl_z62lambda2267z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4867, obj_t BgL_name1047z00_4868, obj_t BgL_blockzd2siza7e1048z75_4869, obj_t BgL_preferredzd2keyzd2length1049z00_4870, obj_t BgL_encryptz121050z12_4871, obj_t BgL_decryptz121051z12_4872, obj_t BgL_keyzd2ze3encryptzd2param1052ze3_4873, obj_t BgL_keyzd2ze3decryptzd2param1053ze3_4874)
{
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
 long BgL_blockzd2siza7e1048z75_6005; long BgL_preferredzd2keyzd2length1049z00_6006;
BgL_blockzd2siza7e1048z75_6005 = 
(long)CINT(BgL_blockzd2siza7e1048z75_4869); 
BgL_preferredzd2keyzd2length1049z00_6006 = 
(long)CINT(BgL_preferredzd2keyzd2length1049z00_4870); 
{ /* Llib/block_ciphers.scm 6 */
 BgL_blockzd2cipherzd2_bglt BgL_new1247z00_6011;
{ /* Llib/block_ciphers.scm 6 */
 BgL_blockzd2cipherzd2_bglt BgL_new1246z00_6012;
BgL_new1246z00_6012 = 
((BgL_blockzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_blockzd2cipherzd2_bgl) ))); 
{ /* Llib/block_ciphers.scm 6 */
 long BgL_arg2268z00_6013;
BgL_arg2268z00_6013 = 
BGL_CLASS_NUM(BGl_Blockzd2Cipherzd2zz__cryptozd2blockzd2ciphersz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1246z00_6012), BgL_arg2268z00_6013); } 
{ /* Llib/block_ciphers.scm 6 */
 BgL_objectz00_bglt BgL_tmpz00_12385;
BgL_tmpz00_12385 = 
((BgL_objectz00_bglt)BgL_new1246z00_6012); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12385, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1246z00_6012); 
BgL_new1247z00_6011 = BgL_new1246z00_6012; } 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1247z00_6011))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1047z00_4868)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1247z00_6011))->BgL_blockzd2siza7ez75)=((long)BgL_blockzd2siza7e1048z75_6005),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1247z00_6011))->BgL_preferredzd2keyzd2lengthz00)=((long)BgL_preferredzd2keyzd2length1049z00_6006),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1247z00_6011))->BgL_encryptz12z12)=((obj_t)
((obj_t)BgL_encryptz121050z12_4871)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1247z00_6011))->BgL_decryptz12z12)=((obj_t)
((obj_t)BgL_decryptz121051z12_4872)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1247z00_6011))->BgL_keyzd2ze3encryptzd2paramze3)=((obj_t)
((obj_t)BgL_keyzd2ze3encryptzd2param1052ze3_4873)),BUNSPEC); 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(BgL_new1247z00_6011))->BgL_keyzd2ze3decryptzd2paramze3)=((obj_t)
((obj_t)BgL_keyzd2ze3decryptzd2param1053ze3_4874)),BUNSPEC); 
return BgL_new1247z00_6011;} } } 

}



/* &lambda2306 */
obj_t BGl_z62lambda2306z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4875, obj_t BgL_oz00_4876, obj_t BgL_vz00_4877)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4876)))->BgL_keyzd2ze3decryptzd2paramze3)=((obj_t)
((obj_t)BgL_vz00_4877)),BUNSPEC);} 

}



/* &lambda2305 */
obj_t BGl_z62lambda2305z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4878, obj_t BgL_oz00_4879)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4879)))->BgL_keyzd2ze3decryptzd2paramze3);} 

}



/* &lambda2301 */
obj_t BGl_z62lambda2301z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4880, obj_t BgL_oz00_4881, obj_t BgL_vz00_4882)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4881)))->BgL_keyzd2ze3encryptzd2paramze3)=((obj_t)
((obj_t)BgL_vz00_4882)),BUNSPEC);} 

}



/* &lambda2300 */
obj_t BGl_z62lambda2300z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4883, obj_t BgL_oz00_4884)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4884)))->BgL_keyzd2ze3encryptzd2paramze3);} 

}



/* &lambda2296 */
obj_t BGl_z62lambda2296z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4885, obj_t BgL_oz00_4886, obj_t BgL_vz00_4887)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4886)))->BgL_decryptz12z12)=((obj_t)
((obj_t)BgL_vz00_4887)),BUNSPEC);} 

}



/* &lambda2295 */
obj_t BGl_z62lambda2295z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4888, obj_t BgL_oz00_4889)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4889)))->BgL_decryptz12z12);} 

}



/* &lambda2291 */
obj_t BGl_z62lambda2291z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4890, obj_t BgL_oz00_4891, obj_t BgL_vz00_4892)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4891)))->BgL_encryptz12z12)=((obj_t)
((obj_t)BgL_vz00_4892)),BUNSPEC);} 

}



/* &lambda2290 */
obj_t BGl_z62lambda2290z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4893, obj_t BgL_oz00_4894)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4894)))->BgL_encryptz12z12);} 

}



/* &lambda2286 */
obj_t BGl_z62lambda2286z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4895, obj_t BgL_oz00_4896, obj_t BgL_vz00_4897)
{
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
 long BgL_vz00_6027;
BgL_vz00_6027 = 
(long)CINT(BgL_vz00_4897); 
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4896)))->BgL_preferredzd2keyzd2lengthz00)=((long)BgL_vz00_6027),BUNSPEC);} } 

}



/* &lambda2285 */
obj_t BGl_z62lambda2285z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4898, obj_t BgL_oz00_4899)
{
{ /* Llib/block_ciphers.scm 6 */
return 
BINT(
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4899)))->BgL_preferredzd2keyzd2lengthz00));} 

}



/* &lambda2281 */
obj_t BGl_z62lambda2281z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4900, obj_t BgL_oz00_4901, obj_t BgL_vz00_4902)
{
{ /* Llib/block_ciphers.scm 6 */
{ /* Llib/block_ciphers.scm 6 */
 long BgL_vz00_6030;
BgL_vz00_6030 = 
(long)CINT(BgL_vz00_4902); 
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4901)))->BgL_blockzd2siza7ez75)=((long)BgL_vz00_6030),BUNSPEC);} } 

}



/* &lambda2280 */
obj_t BGl_z62lambda2280z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4903, obj_t BgL_oz00_4904)
{
{ /* Llib/block_ciphers.scm 6 */
return 
BINT(
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4904)))->BgL_blockzd2siza7ez75));} 

}



/* &lambda2276 */
obj_t BGl_z62lambda2276z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4905, obj_t BgL_oz00_4906, obj_t BgL_vz00_4907)
{
{ /* Llib/block_ciphers.scm 6 */
return 
((((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4906)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_4907)),BUNSPEC);} 

}



/* &lambda2275 */
obj_t BGl_z62lambda2275z62zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4908, obj_t BgL_oz00_4909)
{
{ /* Llib/block_ciphers.scm 6 */
return 
(((BgL_blockzd2cipherzd2_bglt)COBJECT(
((BgL_blockzd2cipherzd2_bglt)BgL_oz00_4909)))->BgL_namez00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__cryptozd2blockzd2ciphersz00(void)
{
{ /* Llib/block_ciphers.scm 1 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_proc3581z00zz__cryptozd2blockzd2ciphersz00, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, BGl_string3582z00zz__cryptozd2blockzd2ciphersz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_proc3583z00zz__cryptozd2blockzd2ciphersz00, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, BGl_string3584z00zz__cryptozd2blockzd2ciphersz00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_proc3585z00zz__cryptozd2blockzd2ciphersz00, BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00, BGl_string3586z00zz__cryptozd2blockzd2ciphersz00);} 

}



/* &do-cipher-partial-bl1315 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1315zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4913, obj_t BgL_statez00_4914, obj_t BgL_fromz00_4915, obj_t BgL_fromzd2blockzd2posz00_4916, obj_t BgL_toz00_4917, obj_t BgL_tozd2blockzd2posz00_4918, obj_t BgL_atz00_4919, obj_t BgL_lenz00_4920)
{
{ /* Llib/block_ciphers.scm 212 */
return 
BGl_errorz00zz__errorz00(BGl_string3587z00zz__cryptozd2blockzd2ciphersz00, BGl_string3588z00zz__cryptozd2blockzd2ciphersz00, 
((obj_t)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_4914)));} 

}



/* &do-cipher-block!1313 */
obj_t BGl_z62dozd2cipherzd2blockz121313z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4921, obj_t BgL_statez00_4922, obj_t BgL_fromz00_4923, obj_t BgL_fromzd2poszd2_4924, obj_t BgL_toz00_4925, obj_t BgL_tozd2poszd2_4926)
{
{ /* Llib/block_ciphers.scm 206 */
return 
BGl_errorz00zz__errorz00(BGl_string3589z00zz__cryptozd2blockzd2ciphersz00, BGl_string3588z00zz__cryptozd2blockzd2ciphersz00, 
((obj_t)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_4922)));} 

}



/* &do-cipher-IV-init!1311 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz121311za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4927, obj_t BgL_statez00_4928, obj_t BgL_ivz00_4929)
{
{ /* Llib/block_ciphers.scm 202 */
return 
BGl_errorz00zz__errorz00(BGl_string3590z00zz__cryptozd2blockzd2ciphersz00, BGl_string3588z00zz__cryptozd2blockzd2ciphersz00, 
((obj_t)
((BgL_cipherzd2statezd2_bglt)BgL_statez00_4928)));} 

}



/* do-cipher-IV-init! */
obj_t BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt BgL_statez00_36, obj_t BgL_ivz00_37)
{
{ /* Llib/block_ciphers.scm 202 */
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_method1312z00_2172;
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_res2754z00_3612;
{ /* Llib/block_ciphers.scm 202 */
 long BgL_objzd2classzd2numz00_3583;
BgL_objzd2classzd2numz00_3583 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_statez00_36)); 
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_arg1831z00_3584;
BgL_arg1831z00_3584 = 
PROCEDURE_REF(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, 
(int)(1L)); 
{ /* Llib/block_ciphers.scm 202 */
 int BgL_offsetz00_3587;
BgL_offsetz00_3587 = 
(int)(BgL_objzd2classzd2numz00_3583); 
{ /* Llib/block_ciphers.scm 202 */
 long BgL_offsetz00_3588;
BgL_offsetz00_3588 = 
(
(long)(BgL_offsetz00_3587)-OBJECT_TYPE); 
{ /* Llib/block_ciphers.scm 202 */
 long BgL_modz00_3589;
BgL_modz00_3589 = 
(BgL_offsetz00_3588 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/block_ciphers.scm 202 */
 long BgL_restz00_3591;
BgL_restz00_3591 = 
(BgL_offsetz00_3588 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/block_ciphers.scm 202 */

{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_bucketz00_3593;
BgL_bucketz00_3593 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3584),BgL_modz00_3589); 
BgL_res2754z00_3612 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3593),BgL_restz00_3591); } } } } } } } } 
BgL_method1312z00_2172 = BgL_res2754z00_3612; } 
return 
BGL_PROCEDURE_CALL2(BgL_method1312z00_2172, 
((obj_t)BgL_statez00_36), BgL_ivz00_37);} } 

}



/* &do-cipher-IV-init! */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4930, obj_t BgL_statez00_4931, obj_t BgL_ivz00_4932)
{
{ /* Llib/block_ciphers.scm 202 */
{ /* Llib/block_ciphers.scm 202 */
 BgL_cipherzd2statezd2_bglt BgL_auxz00_12481;
{ /* Llib/block_ciphers.scm 202 */
 bool_t BgL_test4489z00_12482;
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_classz00_6048;
BgL_classz00_6048 = BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00; 
if(
BGL_OBJECTP(BgL_statez00_4931))
{ /* Llib/block_ciphers.scm 202 */
 BgL_objectz00_bglt BgL_arg1829z00_6050; long BgL_arg1830z00_6051;
BgL_arg1829z00_6050 = 
(BgL_objectz00_bglt)(BgL_statez00_4931); 
BgL_arg1830z00_6051 = 
BGL_CLASS_DEPTH(BgL_classz00_6048); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/block_ciphers.scm 202 */
 long BgL_idxz00_6059;
BgL_idxz00_6059 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6050); 
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_arg1820z00_6060;
{ /* Llib/block_ciphers.scm 202 */
 long BgL_arg1821z00_6061;
BgL_arg1821z00_6061 = 
(BgL_idxz00_6059+BgL_arg1830z00_6051); 
BgL_arg1820z00_6060 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6061); } 
BgL_test4489z00_12482 = 
(BgL_arg1820z00_6060==BgL_classz00_6048); } }  else 
{ /* Llib/block_ciphers.scm 202 */
 bool_t BgL_res3623z00_6087;
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_oclassz00_6069;
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_arg1834z00_6077; long BgL_arg1835z00_6078;
BgL_arg1834z00_6077 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/block_ciphers.scm 202 */
 long BgL_arg1836z00_6079;
BgL_arg1836z00_6079 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6050); 
BgL_arg1835z00_6078 = 
(BgL_arg1836z00_6079-OBJECT_TYPE); } 
BgL_oclassz00_6069 = 
VECTOR_REF(BgL_arg1834z00_6077,BgL_arg1835z00_6078); } 
{ /* Llib/block_ciphers.scm 202 */
 bool_t BgL__ortest_1114z00_6070;
BgL__ortest_1114z00_6070 = 
(BgL_classz00_6048==BgL_oclassz00_6069); 
if(BgL__ortest_1114z00_6070)
{ /* Llib/block_ciphers.scm 202 */
BgL_res3623z00_6087 = BgL__ortest_1114z00_6070; }  else 
{ /* Llib/block_ciphers.scm 202 */
 long BgL_odepthz00_6071;
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_arg1824z00_6072;
BgL_arg1824z00_6072 = 
(BgL_oclassz00_6069); 
BgL_odepthz00_6071 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6072); } 
if(
(BgL_arg1830z00_6051<BgL_odepthz00_6071))
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_arg1822z00_6074;
{ /* Llib/block_ciphers.scm 202 */
 obj_t BgL_arg1823z00_6075;
BgL_arg1823z00_6075 = 
(BgL_oclassz00_6069); 
BgL_arg1822z00_6074 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6075, BgL_arg1830z00_6051); } 
BgL_res3623z00_6087 = 
(BgL_arg1822z00_6074==BgL_classz00_6048); }  else 
{ /* Llib/block_ciphers.scm 202 */
BgL_res3623z00_6087 = ((bool_t)0); } } } } 
BgL_test4489z00_12482 = BgL_res3623z00_6087; } }  else 
{ /* Llib/block_ciphers.scm 202 */
BgL_test4489z00_12482 = ((bool_t)0)
; } } 
if(BgL_test4489z00_12482)
{ /* Llib/block_ciphers.scm 202 */
BgL_auxz00_12481 = 
((BgL_cipherzd2statezd2_bglt)BgL_statez00_4931)
; }  else 
{ 
 obj_t BgL_auxz00_12507;
BgL_auxz00_12507 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(7145L), BGl_string3591z00zz__cryptozd2blockzd2ciphersz00, BGl_string3592z00zz__cryptozd2blockzd2ciphersz00, BgL_statez00_4931); 
FAILURE(BgL_auxz00_12507,BFALSE,BFALSE);} } 
return 
BGl_dozd2cipherzd2IVzd2initz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_12481, BgL_ivz00_4932);} } 

}



/* do-cipher-block! */
obj_t BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt BgL_statez00_38, obj_t BgL_fromz00_39, long BgL_fromzd2poszd2_40, obj_t BgL_toz00_41, long BgL_tozd2poszd2_42)
{
{ /* Llib/block_ciphers.scm 206 */
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_method1314z00_2173;
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_res2759z00_3643;
{ /* Llib/block_ciphers.scm 206 */
 long BgL_objzd2classzd2numz00_3614;
BgL_objzd2classzd2numz00_3614 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_statez00_38)); 
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_arg1831z00_3615;
BgL_arg1831z00_3615 = 
PROCEDURE_REF(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, 
(int)(1L)); 
{ /* Llib/block_ciphers.scm 206 */
 int BgL_offsetz00_3618;
BgL_offsetz00_3618 = 
(int)(BgL_objzd2classzd2numz00_3614); 
{ /* Llib/block_ciphers.scm 206 */
 long BgL_offsetz00_3619;
BgL_offsetz00_3619 = 
(
(long)(BgL_offsetz00_3618)-OBJECT_TYPE); 
{ /* Llib/block_ciphers.scm 206 */
 long BgL_modz00_3620;
BgL_modz00_3620 = 
(BgL_offsetz00_3619 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/block_ciphers.scm 206 */
 long BgL_restz00_3622;
BgL_restz00_3622 = 
(BgL_offsetz00_3619 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/block_ciphers.scm 206 */

{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_bucketz00_3624;
BgL_bucketz00_3624 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3615),BgL_modz00_3620); 
BgL_res2759z00_3643 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3624),BgL_restz00_3622); } } } } } } } } 
BgL_method1314z00_2173 = BgL_res2759z00_3643; } 
return 
BGL_PROCEDURE_CALL5(BgL_method1314z00_2173, 
((obj_t)BgL_statez00_38), BgL_fromz00_39, 
BINT(BgL_fromzd2poszd2_40), BgL_toz00_41, 
BINT(BgL_tozd2poszd2_42));} } 

}



/* &do-cipher-block! */
obj_t BGl_z62dozd2cipherzd2blockz12z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4933, obj_t BgL_statez00_4934, obj_t BgL_fromz00_4935, obj_t BgL_fromzd2poszd2_4936, obj_t BgL_toz00_4937, obj_t BgL_tozd2poszd2_4938)
{
{ /* Llib/block_ciphers.scm 206 */
{ /* Llib/block_ciphers.scm 206 */
 long BgL_auxz00_12601; obj_t BgL_auxz00_12594; long BgL_auxz00_12585; obj_t BgL_auxz00_12578; BgL_cipherzd2statezd2_bglt BgL_auxz00_12548;
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_tmpz00_12602;
if(
INTEGERP(BgL_tozd2poszd2_4938))
{ /* Llib/block_ciphers.scm 206 */
BgL_tmpz00_12602 = BgL_tozd2poszd2_4938
; }  else 
{ 
 obj_t BgL_auxz00_12605;
BgL_auxz00_12605 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(7296L), BGl_string3593z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_tozd2poszd2_4938); 
FAILURE(BgL_auxz00_12605,BFALSE,BFALSE);} 
BgL_auxz00_12601 = 
(long)CINT(BgL_tmpz00_12602); } 
if(
STRINGP(BgL_toz00_4937))
{ /* Llib/block_ciphers.scm 206 */
BgL_auxz00_12594 = BgL_toz00_4937
; }  else 
{ 
 obj_t BgL_auxz00_12597;
BgL_auxz00_12597 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(7296L), BGl_string3593z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_toz00_4937); 
FAILURE(BgL_auxz00_12597,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_tmpz00_12586;
if(
INTEGERP(BgL_fromzd2poszd2_4936))
{ /* Llib/block_ciphers.scm 206 */
BgL_tmpz00_12586 = BgL_fromzd2poszd2_4936
; }  else 
{ 
 obj_t BgL_auxz00_12589;
BgL_auxz00_12589 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(7296L), BGl_string3593z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_fromzd2poszd2_4936); 
FAILURE(BgL_auxz00_12589,BFALSE,BFALSE);} 
BgL_auxz00_12585 = 
(long)CINT(BgL_tmpz00_12586); } 
if(
STRINGP(BgL_fromz00_4935))
{ /* Llib/block_ciphers.scm 206 */
BgL_auxz00_12578 = BgL_fromz00_4935
; }  else 
{ 
 obj_t BgL_auxz00_12581;
BgL_auxz00_12581 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(7296L), BGl_string3593z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_fromz00_4935); 
FAILURE(BgL_auxz00_12581,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 206 */
 bool_t BgL_test4494z00_12549;
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_classz00_6088;
BgL_classz00_6088 = BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00; 
if(
BGL_OBJECTP(BgL_statez00_4934))
{ /* Llib/block_ciphers.scm 206 */
 BgL_objectz00_bglt BgL_arg1829z00_6090; long BgL_arg1830z00_6091;
BgL_arg1829z00_6090 = 
(BgL_objectz00_bglt)(BgL_statez00_4934); 
BgL_arg1830z00_6091 = 
BGL_CLASS_DEPTH(BgL_classz00_6088); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/block_ciphers.scm 206 */
 long BgL_idxz00_6099;
BgL_idxz00_6099 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6090); 
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_arg1820z00_6100;
{ /* Llib/block_ciphers.scm 206 */
 long BgL_arg1821z00_6101;
BgL_arg1821z00_6101 = 
(BgL_idxz00_6099+BgL_arg1830z00_6091); 
BgL_arg1820z00_6100 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6101); } 
BgL_test4494z00_12549 = 
(BgL_arg1820z00_6100==BgL_classz00_6088); } }  else 
{ /* Llib/block_ciphers.scm 206 */
 bool_t BgL_res3624z00_6127;
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_oclassz00_6109;
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_arg1834z00_6117; long BgL_arg1835z00_6118;
BgL_arg1834z00_6117 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/block_ciphers.scm 206 */
 long BgL_arg1836z00_6119;
BgL_arg1836z00_6119 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6090); 
BgL_arg1835z00_6118 = 
(BgL_arg1836z00_6119-OBJECT_TYPE); } 
BgL_oclassz00_6109 = 
VECTOR_REF(BgL_arg1834z00_6117,BgL_arg1835z00_6118); } 
{ /* Llib/block_ciphers.scm 206 */
 bool_t BgL__ortest_1114z00_6110;
BgL__ortest_1114z00_6110 = 
(BgL_classz00_6088==BgL_oclassz00_6109); 
if(BgL__ortest_1114z00_6110)
{ /* Llib/block_ciphers.scm 206 */
BgL_res3624z00_6127 = BgL__ortest_1114z00_6110; }  else 
{ /* Llib/block_ciphers.scm 206 */
 long BgL_odepthz00_6111;
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_arg1824z00_6112;
BgL_arg1824z00_6112 = 
(BgL_oclassz00_6109); 
BgL_odepthz00_6111 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6112); } 
if(
(BgL_arg1830z00_6091<BgL_odepthz00_6111))
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_arg1822z00_6114;
{ /* Llib/block_ciphers.scm 206 */
 obj_t BgL_arg1823z00_6115;
BgL_arg1823z00_6115 = 
(BgL_oclassz00_6109); 
BgL_arg1822z00_6114 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6115, BgL_arg1830z00_6091); } 
BgL_res3624z00_6127 = 
(BgL_arg1822z00_6114==BgL_classz00_6088); }  else 
{ /* Llib/block_ciphers.scm 206 */
BgL_res3624z00_6127 = ((bool_t)0); } } } } 
BgL_test4494z00_12549 = BgL_res3624z00_6127; } }  else 
{ /* Llib/block_ciphers.scm 206 */
BgL_test4494z00_12549 = ((bool_t)0)
; } } 
if(BgL_test4494z00_12549)
{ /* Llib/block_ciphers.scm 206 */
BgL_auxz00_12548 = 
((BgL_cipherzd2statezd2_bglt)BgL_statez00_4934)
; }  else 
{ 
 obj_t BgL_auxz00_12574;
BgL_auxz00_12574 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(7296L), BGl_string3593z00zz__cryptozd2blockzd2ciphersz00, BGl_string3592z00zz__cryptozd2blockzd2ciphersz00, BgL_statez00_4934); 
FAILURE(BgL_auxz00_12574,BFALSE,BFALSE);} } 
return 
BGl_dozd2cipherzd2blockz12z12zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_12548, BgL_auxz00_12578, BgL_auxz00_12585, BgL_auxz00_12594, BgL_auxz00_12601);} } 

}



/* do-cipher-partial-block! */
obj_t BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_cipherzd2statezd2_bglt BgL_statez00_43, obj_t BgL_fromz00_44, long BgL_fromzd2blockzd2posz00_45, obj_t BgL_toz00_46, long BgL_tozd2blockzd2posz00_47, long BgL_atz00_48, long BgL_lenz00_49)
{
{ /* Llib/block_ciphers.scm 212 */
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_method1316z00_2174;
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_res2764z00_3674;
{ /* Llib/block_ciphers.scm 212 */
 long BgL_objzd2classzd2numz00_3645;
BgL_objzd2classzd2numz00_3645 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_statez00_43)); 
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_arg1831z00_3646;
BgL_arg1831z00_3646 = 
PROCEDURE_REF(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, 
(int)(1L)); 
{ /* Llib/block_ciphers.scm 212 */
 int BgL_offsetz00_3649;
BgL_offsetz00_3649 = 
(int)(BgL_objzd2classzd2numz00_3645); 
{ /* Llib/block_ciphers.scm 212 */
 long BgL_offsetz00_3650;
BgL_offsetz00_3650 = 
(
(long)(BgL_offsetz00_3649)-OBJECT_TYPE); 
{ /* Llib/block_ciphers.scm 212 */
 long BgL_modz00_3651;
BgL_modz00_3651 = 
(BgL_offsetz00_3650 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/block_ciphers.scm 212 */
 long BgL_restz00_3653;
BgL_restz00_3653 = 
(BgL_offsetz00_3650 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/block_ciphers.scm 212 */

{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_bucketz00_3655;
BgL_bucketz00_3655 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3646),BgL_modz00_3651); 
BgL_res2764z00_3674 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3655),BgL_restz00_3653); } } } } } } } } 
BgL_method1316z00_2174 = BgL_res2764z00_3674; } 
return 
BGL_PROCEDURE_CALL7(BgL_method1316z00_2174, 
((obj_t)BgL_statez00_43), BgL_fromz00_44, 
BINT(BgL_fromzd2blockzd2posz00_45), BgL_toz00_46, 
BINT(BgL_tozd2blockzd2posz00_47), 
BINT(BgL_atz00_48), 
BINT(BgL_lenz00_49));} } 

}



/* &do-cipher-partial-block! */
obj_t BGl_z62dozd2cipherzd2partialzd2blockz12za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4939, obj_t BgL_statez00_4940, obj_t BgL_fromz00_4941, obj_t BgL_fromzd2blockzd2posz00_4942, obj_t BgL_toz00_4943, obj_t BgL_tozd2blockzd2posz00_4944, obj_t BgL_atz00_4945, obj_t BgL_lenz00_4946)
{
{ /* Llib/block_ciphers.scm 212 */
{ /* Llib/block_ciphers.scm 212 */
 long BgL_auxz00_12722; long BgL_auxz00_12713; long BgL_auxz00_12704; obj_t BgL_auxz00_12697; long BgL_auxz00_12688; obj_t BgL_auxz00_12681; BgL_cipherzd2statezd2_bglt BgL_auxz00_12651;
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_tmpz00_12723;
if(
INTEGERP(BgL_lenz00_4946))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_12723 = BgL_lenz00_4946
; }  else 
{ 
 obj_t BgL_auxz00_12726;
BgL_auxz00_12726 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(7510L), BGl_string3594z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_lenz00_4946); 
FAILURE(BgL_auxz00_12726,BFALSE,BFALSE);} 
BgL_auxz00_12722 = 
(long)CINT(BgL_tmpz00_12723); } 
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_tmpz00_12714;
if(
INTEGERP(BgL_atz00_4945))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_12714 = BgL_atz00_4945
; }  else 
{ 
 obj_t BgL_auxz00_12717;
BgL_auxz00_12717 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(7510L), BGl_string3594z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_atz00_4945); 
FAILURE(BgL_auxz00_12717,BFALSE,BFALSE);} 
BgL_auxz00_12713 = 
(long)CINT(BgL_tmpz00_12714); } 
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_tmpz00_12705;
if(
INTEGERP(BgL_tozd2blockzd2posz00_4944))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_12705 = BgL_tozd2blockzd2posz00_4944
; }  else 
{ 
 obj_t BgL_auxz00_12708;
BgL_auxz00_12708 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(7510L), BGl_string3594z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_tozd2blockzd2posz00_4944); 
FAILURE(BgL_auxz00_12708,BFALSE,BFALSE);} 
BgL_auxz00_12704 = 
(long)CINT(BgL_tmpz00_12705); } 
if(
STRINGP(BgL_toz00_4943))
{ /* Llib/block_ciphers.scm 212 */
BgL_auxz00_12697 = BgL_toz00_4943
; }  else 
{ 
 obj_t BgL_auxz00_12700;
BgL_auxz00_12700 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(7510L), BGl_string3594z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_toz00_4943); 
FAILURE(BgL_auxz00_12700,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_tmpz00_12689;
if(
INTEGERP(BgL_fromzd2blockzd2posz00_4942))
{ /* Llib/block_ciphers.scm 212 */
BgL_tmpz00_12689 = BgL_fromzd2blockzd2posz00_4942
; }  else 
{ 
 obj_t BgL_auxz00_12692;
BgL_auxz00_12692 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(7510L), BGl_string3594z00zz__cryptozd2blockzd2ciphersz00, BGl_string3415z00zz__cryptozd2blockzd2ciphersz00, BgL_fromzd2blockzd2posz00_4942); 
FAILURE(BgL_auxz00_12692,BFALSE,BFALSE);} 
BgL_auxz00_12688 = 
(long)CINT(BgL_tmpz00_12689); } 
if(
STRINGP(BgL_fromz00_4941))
{ /* Llib/block_ciphers.scm 212 */
BgL_auxz00_12681 = BgL_fromz00_4941
; }  else 
{ 
 obj_t BgL_auxz00_12684;
BgL_auxz00_12684 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(7510L), BGl_string3594z00zz__cryptozd2blockzd2ciphersz00, BGl_string3417z00zz__cryptozd2blockzd2ciphersz00, BgL_fromz00_4941); 
FAILURE(BgL_auxz00_12684,BFALSE,BFALSE);} 
{ /* Llib/block_ciphers.scm 212 */
 bool_t BgL_test4503z00_12652;
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_classz00_6128;
BgL_classz00_6128 = BGl_Cipherzd2Statezd2zz__cryptozd2blockzd2ciphersz00; 
if(
BGL_OBJECTP(BgL_statez00_4940))
{ /* Llib/block_ciphers.scm 212 */
 BgL_objectz00_bglt BgL_arg1829z00_6130; long BgL_arg1830z00_6131;
BgL_arg1829z00_6130 = 
(BgL_objectz00_bglt)(BgL_statez00_4940); 
BgL_arg1830z00_6131 = 
BGL_CLASS_DEPTH(BgL_classz00_6128); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/block_ciphers.scm 212 */
 long BgL_idxz00_6139;
BgL_idxz00_6139 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6130); 
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_arg1820z00_6140;
{ /* Llib/block_ciphers.scm 212 */
 long BgL_arg1821z00_6141;
BgL_arg1821z00_6141 = 
(BgL_idxz00_6139+BgL_arg1830z00_6131); 
BgL_arg1820z00_6140 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6141); } 
BgL_test4503z00_12652 = 
(BgL_arg1820z00_6140==BgL_classz00_6128); } }  else 
{ /* Llib/block_ciphers.scm 212 */
 bool_t BgL_res3625z00_6167;
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_oclassz00_6149;
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_arg1834z00_6157; long BgL_arg1835z00_6158;
BgL_arg1834z00_6157 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/block_ciphers.scm 212 */
 long BgL_arg1836z00_6159;
BgL_arg1836z00_6159 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6130); 
BgL_arg1835z00_6158 = 
(BgL_arg1836z00_6159-OBJECT_TYPE); } 
BgL_oclassz00_6149 = 
VECTOR_REF(BgL_arg1834z00_6157,BgL_arg1835z00_6158); } 
{ /* Llib/block_ciphers.scm 212 */
 bool_t BgL__ortest_1114z00_6150;
BgL__ortest_1114z00_6150 = 
(BgL_classz00_6128==BgL_oclassz00_6149); 
if(BgL__ortest_1114z00_6150)
{ /* Llib/block_ciphers.scm 212 */
BgL_res3625z00_6167 = BgL__ortest_1114z00_6150; }  else 
{ /* Llib/block_ciphers.scm 212 */
 long BgL_odepthz00_6151;
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_arg1824z00_6152;
BgL_arg1824z00_6152 = 
(BgL_oclassz00_6149); 
BgL_odepthz00_6151 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6152); } 
if(
(BgL_arg1830z00_6131<BgL_odepthz00_6151))
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_arg1822z00_6154;
{ /* Llib/block_ciphers.scm 212 */
 obj_t BgL_arg1823z00_6155;
BgL_arg1823z00_6155 = 
(BgL_oclassz00_6149); 
BgL_arg1822z00_6154 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6155, BgL_arg1830z00_6131); } 
BgL_res3625z00_6167 = 
(BgL_arg1822z00_6154==BgL_classz00_6128); }  else 
{ /* Llib/block_ciphers.scm 212 */
BgL_res3625z00_6167 = ((bool_t)0); } } } } 
BgL_test4503z00_12652 = BgL_res3625z00_6167; } }  else 
{ /* Llib/block_ciphers.scm 212 */
BgL_test4503z00_12652 = ((bool_t)0)
; } } 
if(BgL_test4503z00_12652)
{ /* Llib/block_ciphers.scm 212 */
BgL_auxz00_12651 = 
((BgL_cipherzd2statezd2_bglt)BgL_statez00_4940)
; }  else 
{ 
 obj_t BgL_auxz00_12677;
BgL_auxz00_12677 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3413z00zz__cryptozd2blockzd2ciphersz00, 
BINT(7510L), BGl_string3594z00zz__cryptozd2blockzd2ciphersz00, BGl_string3592z00zz__cryptozd2blockzd2ciphersz00, BgL_statez00_4940); 
FAILURE(BgL_auxz00_12677,BFALSE,BFALSE);} } 
return 
BGl_dozd2cipherzd2partialzd2blockz12zc0zz__cryptozd2blockzd2ciphersz00(BgL_auxz00_12651, BgL_auxz00_12681, BgL_auxz00_12688, BgL_auxz00_12697, BgL_auxz00_12704, BgL_auxz00_12713, BgL_auxz00_12722);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__cryptozd2blockzd2ciphersz00(void)
{
{ /* Llib/block_ciphers.scm 1 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_ECBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3595z00zz__cryptozd2blockzd2ciphersz00, BGl_string3596z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_ECBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3597z00zz__cryptozd2blockzd2ciphersz00, BGl_string3596z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3598z00zz__cryptozd2blockzd2ciphersz00, BGl_string3599z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3600z00zz__cryptozd2blockzd2ciphersz00, BGl_string3596z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3601z00zz__cryptozd2blockzd2ciphersz00, BGl_string3599z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3602z00zz__cryptozd2blockzd2ciphersz00, BGl_string3596z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3603z00zz__cryptozd2blockzd2ciphersz00, BGl_string3599z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3604z00zz__cryptozd2blockzd2ciphersz00, BGl_string3596z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3605z00zz__cryptozd2blockzd2ciphersz00, BGl_string3599z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_PCBCzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3606z00zz__cryptozd2blockzd2ciphersz00, BGl_string3596z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3607z00zz__cryptozd2blockzd2ciphersz00, BGl_string3599z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3608z00zz__cryptozd2blockzd2ciphersz00, BGl_string3596z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Encryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3609z00zz__cryptozd2blockzd2ciphersz00, BGl_string3610z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3611z00zz__cryptozd2blockzd2ciphersz00, BGl_string3599z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3612z00zz__cryptozd2blockzd2ciphersz00, BGl_string3596z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CFBzd2Decryptzd2zz__cryptozd2blockzd2ciphersz00, BGl_proc3613z00zz__cryptozd2blockzd2ciphersz00, BGl_string3610z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_OFBz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3614z00zz__cryptozd2blockzd2ciphersz00, BGl_string3599z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_OFBz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3615z00zz__cryptozd2blockzd2ciphersz00, BGl_string3596z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_OFBz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3616z00zz__cryptozd2blockzd2ciphersz00, BGl_string3610z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2IVzd2initz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CTRz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3617z00zz__cryptozd2blockzd2ciphersz00, BGl_string3599z00zz__cryptozd2blockzd2ciphersz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2blockz12zd2envzc0zz__cryptozd2blockzd2ciphersz00, BGl_CTRz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3618z00zz__cryptozd2blockzd2ciphersz00, BGl_string3596z00zz__cryptozd2blockzd2ciphersz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_dozd2cipherzd2partialzd2blockz12zd2envz12zz__cryptozd2blockzd2ciphersz00, BGl_CTRz00zz__cryptozd2blockzd2ciphersz00, BGl_proc3619z00zz__cryptozd2blockzd2ciphersz00, BGl_string3610z00zz__cryptozd2blockzd2ciphersz00);} 

}



/* &do-cipher-partial-bl1360 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1360zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4969, obj_t BgL_statez00_4970, obj_t BgL_fromz00_4971, obj_t BgL_fromzd2poszd2_4972, obj_t BgL_toz00_4973, obj_t BgL_tozd2poszd2_4974, obj_t BgL_atz00_4975, obj_t BgL_lenz00_4976)
{
{ /* Llib/block_ciphers.scm 417 */
{ /* Llib/block_ciphers.scm 419 */
 bool_t BgL_tmpz00_12754;
if(
(
(long)CINT(BgL_atz00_4975)==0L))
{ /* Llib/block_ciphers.scm 421 */
{ /* Llib/block_ciphers.scm 422 */
 obj_t BgL_fun2707z00_6169;
BgL_fun2707z00_6169 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4970)))->BgL_noncezd2updatez12zc0); 
{ /* Llib/block_ciphers.scm 422 */
 obj_t BgL_arg2704z00_6170; obj_t BgL_arg2705z00_6171; long BgL_arg2706z00_6172;
BgL_arg2704z00_6170 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4970)))->BgL_noncezd2strzd2); 
BgL_arg2705z00_6171 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4970)))->BgL_noncez00); 
BgL_arg2706z00_6172 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4970)))->BgL_blockzd2counterzd2); 
BGL_PROCEDURE_CALL3(BgL_fun2707z00_6169, BgL_arg2704z00_6170, BgL_arg2705z00_6171, 
BINT(BgL_arg2706z00_6172)); } } 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4970)))->BgL_blockzd2counterzd2)=((long)
(
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4970)))->BgL_blockzd2counterzd2)+1L)),BUNSPEC); 
{ /* Llib/block_ciphers.scm 424 */
 obj_t BgL_fun2712z00_6173;
BgL_fun2712z00_6173 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_4970))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 424 */
 obj_t BgL_arg2709z00_6174; obj_t BgL_arg2710z00_6175; obj_t BgL_arg2711z00_6176;
BgL_arg2709z00_6174 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4970)))->BgL_noncezd2strzd2); 
BgL_arg2710z00_6175 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4970)))->BgL_noncezd2strzd2); 
BgL_arg2711z00_6176 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_4970))))->BgL_paramz00); 
BGL_PROCEDURE_CALL5(BgL_fun2712z00_6173, BgL_arg2709z00_6174, 
BINT(0L), BgL_arg2710z00_6175, 
BINT(0L), BgL_arg2711z00_6176); } } }  else 
{ /* Llib/block_ciphers.scm 421 */BFALSE; } 
{ /* Llib/block_ciphers.scm 425 */
 long BgL_arg2713z00_6177; long BgL_arg2714z00_6178; obj_t BgL_arg2715z00_6179;
BgL_arg2713z00_6177 = 
(
(long)CINT(BgL_tozd2poszd2_4974)+
(long)CINT(BgL_atz00_4975)); 
BgL_arg2714z00_6178 = 
(
(long)CINT(BgL_fromzd2poszd2_4972)+
(long)CINT(BgL_atz00_4975)); 
BgL_arg2715z00_6179 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4970)))->BgL_noncezd2strzd2); 
{ 
 long BgL_iz00_6181;
BgL_iz00_6181 = 0L; 
BgL_loopz00_6180:
if(
(BgL_iz00_6181==
(BgL_arg2713z00_6177+
(long)CINT(BgL_lenz00_4976))))
{ /* Llib/block_ciphers.scm 128 */
BgL_tmpz00_12754 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
 long BgL_arg1582z00_6182; unsigned char BgL_arg1583z00_6183;
BgL_arg1582z00_6182 = 
(BgL_arg2713z00_6177+BgL_iz00_6181); 
BgL_arg1583z00_6183 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_4971), 
(BgL_arg2714z00_6178+BgL_iz00_6181))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2715z00_6179, 
(
(long)CINT(BgL_atz00_4975)+BgL_iz00_6181)))))))); 
{ /* Llib/block_ciphers.scm 129 */
 unsigned char BgL_charz00_6184;
BgL_charz00_6184 = 
(unsigned char)(BgL_arg1583z00_6183); 
{ /* Llib/block_ciphers.scm 129 */
 obj_t BgL_tmpz00_12827;
BgL_tmpz00_12827 = 
((obj_t)BgL_toz00_4973); 
STRING_SET(BgL_tmpz00_12827, BgL_arg1582z00_6182, BgL_charz00_6184); } } } 
{ 
 long BgL_iz00_12830;
BgL_iz00_12830 = 
(BgL_iz00_6181+1L); 
BgL_iz00_6181 = BgL_iz00_12830; 
goto BgL_loopz00_6180;} } } } 
return 
BBOOL(BgL_tmpz00_12754);} } 

}



/* &do-cipher-block!-CTR1358 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CTR1358za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4977, obj_t BgL_statez00_4978, obj_t BgL_fromz00_4979, obj_t BgL_fromzd2poszd2_4980, obj_t BgL_toz00_4981, obj_t BgL_tozd2poszd2_4982)
{
{ /* Llib/block_ciphers.scm 410 */
{ /* Llib/block_ciphers.scm 413 */
 obj_t BgL_fun2695z00_6186;
BgL_fun2695z00_6186 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4978)))->BgL_noncezd2updatez12zc0); 
{ /* Llib/block_ciphers.scm 413 */
 obj_t BgL_arg2692z00_6187; obj_t BgL_arg2693z00_6188; long BgL_arg2694z00_6189;
BgL_arg2692z00_6187 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4978)))->BgL_noncezd2strzd2); 
BgL_arg2693z00_6188 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4978)))->BgL_noncez00); 
BgL_arg2694z00_6189 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4978)))->BgL_blockzd2counterzd2); 
BGL_PROCEDURE_CALL3(BgL_fun2695z00_6186, BgL_arg2692z00_6187, BgL_arg2693z00_6188, 
BINT(BgL_arg2694z00_6189)); } } 
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4978)))->BgL_blockzd2counterzd2)=((long)
(
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4978)))->BgL_blockzd2counterzd2)+1L)),BUNSPEC); 
{ /* Llib/block_ciphers.scm 415 */
 obj_t BgL_fun2700z00_6190;
BgL_fun2700z00_6190 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_4978))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 415 */
 obj_t BgL_arg2697z00_6191; obj_t BgL_arg2698z00_6192; obj_t BgL_arg2699z00_6193;
BgL_arg2697z00_6191 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4978)))->BgL_noncezd2strzd2); 
BgL_arg2698z00_6192 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4978)))->BgL_noncezd2strzd2); 
BgL_arg2699z00_6193 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_4978))))->BgL_paramz00); 
BGL_PROCEDURE_CALL5(BgL_fun2700z00_6190, BgL_arg2697z00_6191, 
BINT(0L), BgL_arg2698z00_6192, 
BINT(0L), BgL_arg2699z00_6193); } } 
{ /* Llib/block_ciphers.scm 416 */
 obj_t BgL_arg2701z00_6194; long BgL_arg2702z00_6195;
BgL_arg2701z00_6194 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4978)))->BgL_noncezd2strzd2); 
BgL_arg2702z00_6195 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ctrz00_bglt)BgL_statez00_4978))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6197;
BgL_iz00_6197 = 0L; 
BgL_loopz00_6196:
if(
(BgL_iz00_6197==BgL_arg2702z00_6195))
{ /* Llib/block_ciphers.scm 416 */
return BgL_toz00_4981;}  else 
{ /* Llib/block_ciphers.scm 416 */
{ /* Llib/block_ciphers.scm 416 */
 long BgL_arg2718z00_6198; unsigned char BgL_arg2719z00_6199;
BgL_arg2718z00_6198 = 
(
(long)CINT(BgL_tozd2poszd2_4982)+BgL_iz00_6197); 
BgL_arg2719z00_6199 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_4979), 
(
(long)CINT(BgL_fromzd2poszd2_4980)+BgL_iz00_6197))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2701z00_6194, 
(0L+BgL_iz00_6197)))))))); 
{ /* Llib/block_ciphers.scm 416 */
 unsigned char BgL_charz00_6200;
BgL_charz00_6200 = 
(unsigned char)(BgL_arg2719z00_6199); 
{ /* Llib/block_ciphers.scm 416 */
 obj_t BgL_tmpz00_12898;
BgL_tmpz00_12898 = 
((obj_t)BgL_toz00_4981); 
STRING_SET(BgL_tmpz00_12898, BgL_arg2718z00_6198, BgL_charz00_6200); } } } 
{ 
 long BgL_iz00_12901;
BgL_iz00_12901 = 
(BgL_iz00_6197+1L); 
BgL_iz00_6197 = BgL_iz00_12901; 
goto BgL_loopz00_6196;} } } } } 

}



/* &do-cipher-IV-init!-C1356 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1356z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4983, obj_t BgL_statez00_4984, obj_t BgL_ivz00_4985)
{
{ /* Llib/block_ciphers.scm 406 */
((((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4984)))->BgL_noncez00)=((obj_t)BgL_ivz00_4985),BUNSPEC); 
{ /* Llib/block_ciphers.scm 409 */
 obj_t BgL_fun2691z00_6202;
BgL_fun2691z00_6202 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4984)))->BgL_noncezd2initz12zc0); 
{ /* Llib/block_ciphers.scm 409 */
 obj_t BgL_arg2689z00_6203; obj_t BgL_arg2690z00_6204;
BgL_arg2689z00_6203 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4984)))->BgL_noncezd2strzd2); 
BgL_arg2690z00_6204 = 
(((BgL_ctrz00_bglt)COBJECT(
((BgL_ctrz00_bglt)BgL_statez00_4984)))->BgL_noncez00); 
return 
BGL_PROCEDURE_CALL2(BgL_fun2691z00_6202, BgL_arg2689z00_6203, BgL_arg2690z00_6204);} } } 

}



/* &do-cipher-partial-bl1354 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1354zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4986, obj_t BgL_statez00_4987, obj_t BgL_fromz00_4988, obj_t BgL_fromzd2poszd2_4989, obj_t BgL_toz00_4990, obj_t BgL_tozd2poszd2_4991, obj_t BgL_atz00_4992, obj_t BgL_lenz00_4993)
{
{ /* Llib/block_ciphers.scm 382 */
{ /* Llib/block_ciphers.scm 384 */
 bool_t BgL_tmpz00_12916;
if(
(
(long)CINT(BgL_atz00_4992)==0L))
{ /* Llib/block_ciphers.scm 386 */
 obj_t BgL_fun2685z00_6206;
BgL_fun2685z00_6206 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_4987))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 386 */
 obj_t BgL_arg2682z00_6207; obj_t BgL_arg2683z00_6208; obj_t BgL_arg2684z00_6209;
BgL_arg2682z00_6207 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_4987)))->BgL_chainz00); 
BgL_arg2683z00_6208 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_4987)))->BgL_chainz00); 
BgL_arg2684z00_6209 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_4987))))->BgL_paramz00); 
BGL_PROCEDURE_CALL5(BgL_fun2685z00_6206, BgL_arg2682z00_6207, 
BINT(0L), BgL_arg2683z00_6208, 
BINT(0L), BgL_arg2684z00_6209); } }  else 
{ /* Llib/block_ciphers.scm 385 */BFALSE; } 
{ /* Llib/block_ciphers.scm 387 */
 long BgL_arg2686z00_6210; long BgL_arg2687z00_6211; obj_t BgL_arg2688z00_6212;
BgL_arg2686z00_6210 = 
(
(long)CINT(BgL_tozd2poszd2_4991)+
(long)CINT(BgL_atz00_4992)); 
BgL_arg2687z00_6211 = 
(
(long)CINT(BgL_fromzd2poszd2_4989)+
(long)CINT(BgL_atz00_4992)); 
BgL_arg2688z00_6212 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_4987)))->BgL_chainz00); 
{ 
 long BgL_iz00_6214;
BgL_iz00_6214 = 0L; 
BgL_loopz00_6213:
if(
(BgL_iz00_6214==
(BgL_arg2686z00_6210+
(long)CINT(BgL_lenz00_4993))))
{ /* Llib/block_ciphers.scm 128 */
BgL_tmpz00_12916 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
 long BgL_arg1582z00_6215; unsigned char BgL_arg1583z00_6216;
BgL_arg1582z00_6215 = 
(BgL_arg2686z00_6210+BgL_iz00_6214); 
BgL_arg1583z00_6216 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_4988), 
(BgL_arg2687z00_6211+BgL_iz00_6214))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2688z00_6212, 
(
(long)CINT(BgL_atz00_4992)+BgL_iz00_6214)))))))); 
{ /* Llib/block_ciphers.scm 129 */
 unsigned char BgL_charz00_6217;
BgL_charz00_6217 = 
(unsigned char)(BgL_arg1583z00_6216); 
{ /* Llib/block_ciphers.scm 129 */
 obj_t BgL_tmpz00_12969;
BgL_tmpz00_12969 = 
((obj_t)BgL_toz00_4990); 
STRING_SET(BgL_tmpz00_12969, BgL_arg1582z00_6215, BgL_charz00_6217); } } } 
{ 
 long BgL_iz00_12972;
BgL_iz00_12972 = 
(BgL_iz00_6214+1L); 
BgL_iz00_6214 = BgL_iz00_12972; 
goto BgL_loopz00_6213;} } } } 
return 
BBOOL(BgL_tmpz00_12916);} } 

}



/* &do-cipher-block!-OFB1352 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2OFB1352za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_4994, obj_t BgL_statez00_4995, obj_t BgL_fromz00_4996, obj_t BgL_fromzd2poszd2_4997, obj_t BgL_toz00_4998, obj_t BgL_tozd2poszd2_4999)
{
{ /* Llib/block_ciphers.scm 378 */
{ /* Llib/block_ciphers.scm 380 */
 obj_t BgL_fun2678z00_6219;
BgL_fun2678z00_6219 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_4995))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 380 */
 obj_t BgL_arg2675z00_6220; obj_t BgL_arg2676z00_6221; obj_t BgL_arg2677z00_6222;
BgL_arg2675z00_6220 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_4995)))->BgL_chainz00); 
BgL_arg2676z00_6221 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_4995)))->BgL_chainz00); 
BgL_arg2677z00_6222 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_4995))))->BgL_paramz00); 
BGL_PROCEDURE_CALL5(BgL_fun2678z00_6219, BgL_arg2675z00_6220, 
BINT(0L), BgL_arg2676z00_6221, 
BINT(0L), BgL_arg2677z00_6222); } } 
{ /* Llib/block_ciphers.scm 381 */
 obj_t BgL_arg2679z00_6223; long BgL_arg2680z00_6224;
BgL_arg2679z00_6223 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_4995)))->BgL_chainz00); 
BgL_arg2680z00_6224 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_4995))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6226;
BgL_iz00_6226 = 0L; 
BgL_loopz00_6225:
if(
(BgL_iz00_6226==BgL_arg2680z00_6224))
{ /* Llib/block_ciphers.scm 381 */
return BgL_toz00_4998;}  else 
{ /* Llib/block_ciphers.scm 381 */
{ /* Llib/block_ciphers.scm 381 */
 long BgL_arg2718z00_6227; unsigned char BgL_arg2719z00_6228;
BgL_arg2718z00_6227 = 
(
(long)CINT(BgL_tozd2poszd2_4999)+BgL_iz00_6226); 
BgL_arg2719z00_6228 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_4996), 
(
(long)CINT(BgL_fromzd2poszd2_4997)+BgL_iz00_6226))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2679z00_6223, 
(0L+BgL_iz00_6226)))))))); 
{ /* Llib/block_ciphers.scm 381 */
 unsigned char BgL_charz00_6229;
BgL_charz00_6229 = 
(unsigned char)(BgL_arg2719z00_6228); 
{ /* Llib/block_ciphers.scm 381 */
 obj_t BgL_tmpz00_13020;
BgL_tmpz00_13020 = 
((obj_t)BgL_toz00_4998); 
STRING_SET(BgL_tmpz00_13020, BgL_arg2718z00_6227, BgL_charz00_6229); } } } 
{ 
 long BgL_iz00_13023;
BgL_iz00_13023 = 
(BgL_iz00_6226+1L); 
BgL_iz00_6226 = BgL_iz00_13023; 
goto BgL_loopz00_6225;} } } } } 

}



/* &do-cipher-IV-init!-O1350 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2O1350z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5000, obj_t BgL_statez00_5001, obj_t BgL_ivz00_5002)
{
{ /* Llib/block_ciphers.scm 375 */
{ /* Llib/block_ciphers.scm 377 */
 obj_t BgL_arg2673z00_6231; long BgL_arg2674z00_6232;
BgL_arg2673z00_6231 = 
(((BgL_ofbz00_bglt)COBJECT(
((BgL_ofbz00_bglt)BgL_statez00_5001)))->BgL_chainz00); 
BgL_arg2674z00_6232 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ofbz00_bglt)BgL_statez00_5001))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5002), 0L, BgL_arg2673z00_6231, 0L, BgL_arg2674z00_6232);} } 

}



/* &do-cipher-partial-bl1348 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1348zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5003, obj_t BgL_statez00_5004, obj_t BgL_fromz00_5005, obj_t BgL_fromzd2poszd2_5006, obj_t BgL_toz00_5007, obj_t BgL_tozd2poszd2_5008, obj_t BgL_atz00_5009, obj_t BgL_lenz00_5010)
{
{ /* Llib/block_ciphers.scm 356 */
{ /* Llib/block_ciphers.scm 358 */
 bool_t BgL_tmpz00_13032;
if(
(
(long)CINT(BgL_atz00_5009)==0L))
{ /* Llib/block_ciphers.scm 360 */
 obj_t BgL_fun2667z00_6234;
BgL_fun2667z00_6234 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5004))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 360 */
 obj_t BgL_arg2664z00_6235; obj_t BgL_arg2665z00_6236; obj_t BgL_arg2666z00_6237;
BgL_arg2664z00_6235 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5004)))->BgL_chainz00); 
BgL_arg2665z00_6236 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5004)))->BgL_bufferz00); 
BgL_arg2666z00_6237 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5004))))->BgL_paramz00); 
BGL_PROCEDURE_CALL5(BgL_fun2667z00_6234, BgL_arg2664z00_6235, 
BINT(0L), BgL_arg2665z00_6236, 
BINT(0L), BgL_arg2666z00_6237); } }  else 
{ /* Llib/block_ciphers.scm 359 */BFALSE; } 
{ /* Llib/block_ciphers.scm 361 */
 long BgL_arg2668z00_6238; obj_t BgL_arg2669z00_6239;
BgL_arg2668z00_6238 = 
(
(long)CINT(BgL_fromzd2poszd2_5006)+
(long)CINT(BgL_atz00_5009)); 
BgL_arg2669z00_6239 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5004)))->BgL_chainz00); 
{ /* Llib/block_ciphers.scm 361 */
 long BgL_o2z00_6240; long BgL_lz00_6241;
BgL_o2z00_6240 = 
(long)CINT(BgL_atz00_5009); 
BgL_lz00_6241 = 
(long)CINT(BgL_lenz00_5010); 
blit_string(
((obj_t)BgL_fromz00_5005), BgL_arg2668z00_6238, BgL_arg2669z00_6239, BgL_o2z00_6240, BgL_lz00_6241); } } 
{ /* Llib/block_ciphers.scm 362 */
 long BgL_arg2670z00_6242; obj_t BgL_arg2671z00_6243; long BgL_arg2672z00_6244;
BgL_arg2670z00_6242 = 
(
(long)CINT(BgL_tozd2poszd2_5008)+
(long)CINT(BgL_atz00_5009)); 
BgL_arg2671z00_6243 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5004)))->BgL_bufferz00); 
BgL_arg2672z00_6244 = 
(
(long)CINT(BgL_fromzd2poszd2_5006)+
(long)CINT(BgL_atz00_5009)); 
{ 
 long BgL_iz00_6246;
BgL_iz00_6246 = 0L; 
BgL_loopz00_6245:
if(
(BgL_iz00_6246==
(BgL_arg2670z00_6242+
(long)CINT(BgL_lenz00_5010))))
{ /* Llib/block_ciphers.scm 128 */
BgL_tmpz00_13032 = ((bool_t)0)
; }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
 long BgL_arg1582z00_6247; unsigned char BgL_arg1583z00_6248;
BgL_arg1582z00_6247 = 
(BgL_arg2670z00_6242+BgL_iz00_6246); 
BgL_arg1583z00_6248 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2671z00_6243, 
(0L+BgL_iz00_6246))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5005), 
(BgL_arg2672z00_6244+BgL_iz00_6246)))))))); 
{ /* Llib/block_ciphers.scm 129 */
 unsigned char BgL_charz00_6249;
BgL_charz00_6249 = 
(unsigned char)(BgL_arg1583z00_6248); 
{ /* Llib/block_ciphers.scm 129 */
 obj_t BgL_tmpz00_13093;
BgL_tmpz00_13093 = 
((obj_t)BgL_toz00_5007); 
STRING_SET(BgL_tmpz00_13093, BgL_arg1582z00_6247, BgL_charz00_6249); } } } 
{ 
 long BgL_iz00_13096;
BgL_iz00_13096 = 
(BgL_iz00_6246+1L); 
BgL_iz00_6246 = BgL_iz00_13096; 
goto BgL_loopz00_6245;} } } } 
return 
BBOOL(BgL_tmpz00_13032);} } 

}



/* &do-cipher-block!-CFB1346 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1346za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5011, obj_t BgL_statez00_5012, obj_t BgL_fromz00_5013, obj_t BgL_fromzd2poszd2_5014, obj_t BgL_toz00_5015, obj_t BgL_tozd2poszd2_5016)
{
{ /* Llib/block_ciphers.scm 351 */
{ /* Llib/block_ciphers.scm 353 */
 obj_t BgL_fun2658z00_6251;
BgL_fun2658z00_6251 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5012))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 353 */
 obj_t BgL_arg2655z00_6252; obj_t BgL_arg2656z00_6253; obj_t BgL_arg2657z00_6254;
BgL_arg2655z00_6252 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5012)))->BgL_chainz00); 
BgL_arg2656z00_6253 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5012)))->BgL_bufferz00); 
BgL_arg2657z00_6254 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5012))))->BgL_paramz00); 
BGL_PROCEDURE_CALL5(BgL_fun2658z00_6251, BgL_arg2655z00_6252, 
BINT(0L), BgL_arg2656z00_6253, 
BINT(0L), BgL_arg2657z00_6254); } } 
{ /* Llib/block_ciphers.scm 354 */
 obj_t BgL_arg2659z00_6255; long BgL_arg2660z00_6256;
BgL_arg2659z00_6255 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5012)))->BgL_chainz00); 
BgL_arg2660z00_6256 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5012))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 354 */
 long BgL_o1z00_6257;
BgL_o1z00_6257 = 
(long)CINT(BgL_fromzd2poszd2_5014); 
blit_string(
((obj_t)BgL_fromz00_5013), BgL_o1z00_6257, BgL_arg2659z00_6255, 0L, BgL_arg2660z00_6256); } } 
{ /* Llib/block_ciphers.scm 355 */
 obj_t BgL_arg2661z00_6258; long BgL_arg2662z00_6259;
BgL_arg2661z00_6258 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5012)))->BgL_bufferz00); 
BgL_arg2662z00_6259 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5012))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6261;
BgL_iz00_6261 = 0L; 
BgL_loopz00_6260:
if(
(BgL_iz00_6261==BgL_arg2662z00_6259))
{ /* Llib/block_ciphers.scm 355 */
return BgL_toz00_5015;}  else 
{ /* Llib/block_ciphers.scm 355 */
{ /* Llib/block_ciphers.scm 355 */
 long BgL_arg2718z00_6262; unsigned char BgL_arg2719z00_6263;
BgL_arg2718z00_6262 = 
(
(long)CINT(BgL_tozd2poszd2_5016)+BgL_iz00_6261); 
BgL_arg2719z00_6263 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2661z00_6258, 
(0L+BgL_iz00_6261))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5013), 
(
(long)CINT(BgL_fromzd2poszd2_5014)+BgL_iz00_6261)))))))); 
{ /* Llib/block_ciphers.scm 355 */
 unsigned char BgL_charz00_6264;
BgL_charz00_6264 = 
(unsigned char)(BgL_arg2719z00_6263); 
{ /* Llib/block_ciphers.scm 355 */
 obj_t BgL_tmpz00_13152;
BgL_tmpz00_13152 = 
((obj_t)BgL_toz00_5015); 
STRING_SET(BgL_tmpz00_13152, BgL_arg2718z00_6262, BgL_charz00_6264); } } } 
{ 
 long BgL_iz00_13155;
BgL_iz00_13155 = 
(BgL_iz00_6261+1L); 
BgL_iz00_6261 = BgL_iz00_13155; 
goto BgL_loopz00_6260;} } } } } 

}



/* &do-cipher-IV-init!-C1344 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1344z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5017, obj_t BgL_statez00_5018, obj_t BgL_ivz00_5019)
{
{ /* Llib/block_ciphers.scm 348 */
{ /* Llib/block_ciphers.scm 350 */
 obj_t BgL_arg2653z00_6266; long BgL_arg2654z00_6267;
BgL_arg2653z00_6266 = 
(((BgL_cfbzd2decryptzd2_bglt)COBJECT(
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5018)))->BgL_chainz00); 
BgL_arg2654z00_6267 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2decryptzd2_bglt)BgL_statez00_5018))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5019), 0L, BgL_arg2653z00_6266, 0L, BgL_arg2654z00_6267);} } 

}



/* &do-cipher-partial-bl1342 */
obj_t BGl_z62dozd2cipherzd2partialzd2bl1342zb0zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5020, obj_t BgL_statez00_5021, obj_t BgL_fromz00_5022, obj_t BgL_fromzd2poszd2_5023, obj_t BgL_toz00_5024, obj_t BgL_tozd2poszd2_5025, obj_t BgL_atz00_5026, obj_t BgL_lenz00_5027)
{
{ /* Llib/block_ciphers.scm 332 */
if(
(
(long)CINT(BgL_atz00_5026)==0L))
{ /* Llib/block_ciphers.scm 336 */
 obj_t BgL_fun2647z00_6269;
BgL_fun2647z00_6269 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5021))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 336 */
 obj_t BgL_arg2644z00_6270; obj_t BgL_arg2645z00_6271; obj_t BgL_arg2646z00_6272;
BgL_arg2644z00_6270 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5021)))->BgL_chainz00); 
BgL_arg2645z00_6271 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5021)))->BgL_chainz00); 
BgL_arg2646z00_6272 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5021))))->BgL_paramz00); 
BGL_PROCEDURE_CALL5(BgL_fun2647z00_6269, BgL_arg2644z00_6270, 
BINT(0L), BgL_arg2645z00_6271, 
BINT(0L), BgL_arg2646z00_6272); } }  else 
{ /* Llib/block_ciphers.scm 335 */BFALSE; } 
{ /* Llib/block_ciphers.scm 337 */
 obj_t BgL_arg2648z00_6273; obj_t BgL_arg2649z00_6274; long BgL_arg2650z00_6275;
BgL_arg2648z00_6273 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5021)))->BgL_chainz00); 
BgL_arg2649z00_6274 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5021)))->BgL_chainz00); 
BgL_arg2650z00_6275 = 
(
(long)CINT(BgL_fromzd2poszd2_5023)+
(long)CINT(BgL_atz00_5026)); 
{ 
 long BgL_iz00_6277;
BgL_iz00_6277 = 0L; 
BgL_loopz00_6276:
if(
(BgL_iz00_6277==
(
(long)CINT(BgL_atz00_5026)+
(long)CINT(BgL_lenz00_5027))))
{ /* Llib/block_ciphers.scm 128 */((bool_t)0); }  else 
{ /* Llib/block_ciphers.scm 128 */
{ /* Llib/block_ciphers.scm 129 */
 long BgL_arg1582z00_6278; unsigned char BgL_arg1583z00_6279;
BgL_arg1582z00_6278 = 
(
(long)CINT(BgL_atz00_5026)+BgL_iz00_6277); 
BgL_arg1583z00_6279 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2649z00_6274, 
(
(long)CINT(BgL_atz00_5026)+BgL_iz00_6277))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5022), 
(BgL_arg2650z00_6275+BgL_iz00_6277)))))))); 
{ /* Llib/block_ciphers.scm 129 */
 unsigned char BgL_tmpz00_13216;
BgL_tmpz00_13216 = 
(unsigned char)(BgL_arg1583z00_6279); 
STRING_SET(BgL_arg2648z00_6273, BgL_arg1582z00_6278, BgL_tmpz00_13216); } } 
{ 
 long BgL_iz00_13219;
BgL_iz00_13219 = 
(BgL_iz00_6277+1L); 
BgL_iz00_6277 = BgL_iz00_13219; 
goto BgL_loopz00_6276;} } } } 
{ /* Llib/block_ciphers.scm 338 */
 obj_t BgL_arg2651z00_6280; long BgL_arg2652z00_6281;
BgL_arg2651z00_6280 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5021)))->BgL_chainz00); 
BgL_arg2652z00_6281 = 
(
(long)CINT(BgL_tozd2poszd2_5025)+
(long)CINT(BgL_atz00_5026)); 
{ /* Llib/block_ciphers.scm 338 */
 long BgL_o1z00_6282; long BgL_lz00_6283;
BgL_o1z00_6282 = 
(long)CINT(BgL_atz00_5026); 
BgL_lz00_6283 = 
(long)CINT(BgL_lenz00_5027); 
return 
blit_string(BgL_arg2651z00_6280, BgL_o1z00_6282, 
((obj_t)BgL_toz00_5024), BgL_arg2652z00_6281, BgL_lz00_6283);} } } 

}



/* &do-cipher-block!-CFB1340 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CFB1340za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5028, obj_t BgL_statez00_5029, obj_t BgL_fromz00_5030, obj_t BgL_fromzd2poszd2_5031, obj_t BgL_toz00_5032, obj_t BgL_tozd2poszd2_5033)
{
{ /* Llib/block_ciphers.scm 327 */
{ /* Llib/block_ciphers.scm 329 */
 obj_t BgL_fun2637z00_6285;
BgL_fun2637z00_6285 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5029))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 329 */
 obj_t BgL_arg2634z00_6286; obj_t BgL_arg2635z00_6287; obj_t BgL_arg2636z00_6288;
BgL_arg2634z00_6286 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5029)))->BgL_chainz00); 
BgL_arg2635z00_6287 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5029)))->BgL_chainz00); 
BgL_arg2636z00_6288 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5029))))->BgL_paramz00); 
BGL_PROCEDURE_CALL5(BgL_fun2637z00_6285, BgL_arg2634z00_6286, 
BINT(0L), BgL_arg2635z00_6287, 
BINT(0L), BgL_arg2636z00_6288); } } 
{ /* Llib/block_ciphers.scm 330 */
 obj_t BgL_arg2638z00_6289; obj_t BgL_arg2639z00_6290; long BgL_arg2640z00_6291;
BgL_arg2638z00_6289 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5029)))->BgL_chainz00); 
BgL_arg2639z00_6290 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5029)))->BgL_chainz00); 
BgL_arg2640z00_6291 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5029))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6293;
BgL_iz00_6293 = 0L; 
BgL_loopz00_6292:
if(
(BgL_iz00_6293==BgL_arg2640z00_6291))
{ /* Llib/block_ciphers.scm 330 */BgL_arg2638z00_6289; }  else 
{ /* Llib/block_ciphers.scm 330 */
{ /* Llib/block_ciphers.scm 330 */
 long BgL_arg2718z00_6294; unsigned char BgL_arg2719z00_6295;
BgL_arg2718z00_6294 = 
(0L+BgL_iz00_6293); 
BgL_arg2719z00_6295 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5030), 
(
(long)CINT(BgL_fromzd2poszd2_5031)+BgL_iz00_6293))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2639z00_6290, 
(0L+BgL_iz00_6293)))))))); 
{ /* Llib/block_ciphers.scm 330 */
 unsigned char BgL_tmpz00_13275;
BgL_tmpz00_13275 = 
(unsigned char)(BgL_arg2719z00_6295); 
STRING_SET(BgL_arg2638z00_6289, BgL_arg2718z00_6294, BgL_tmpz00_13275); } } 
{ 
 long BgL_iz00_13278;
BgL_iz00_13278 = 
(BgL_iz00_6293+1L); 
BgL_iz00_6293 = BgL_iz00_13278; 
goto BgL_loopz00_6292;} } } } 
{ /* Llib/block_ciphers.scm 331 */
 obj_t BgL_arg2641z00_6296; long BgL_arg2642z00_6297;
BgL_arg2641z00_6296 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5029)))->BgL_chainz00); 
BgL_arg2642z00_6297 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5029))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 331 */
 long BgL_o2z00_6298;
BgL_o2z00_6298 = 
(long)CINT(BgL_tozd2poszd2_5033); 
return 
blit_string(BgL_arg2641z00_6296, 0L, 
((obj_t)BgL_toz00_5032), BgL_o2z00_6298, BgL_arg2642z00_6297);} } } 

}



/* &do-cipher-IV-init!-C1338 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1338z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5034, obj_t BgL_statez00_5035, obj_t BgL_ivz00_5036)
{
{ /* Llib/block_ciphers.scm 324 */
{ /* Llib/block_ciphers.scm 326 */
 obj_t BgL_arg2632z00_6300; long BgL_arg2633z00_6301;
BgL_arg2632z00_6300 = 
(((BgL_cfbzd2encryptzd2_bglt)COBJECT(
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5035)))->BgL_chainz00); 
BgL_arg2633z00_6301 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cfbzd2encryptzd2_bglt)BgL_statez00_5035))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5036), 0L, BgL_arg2632z00_6300, 0L, BgL_arg2633z00_6301);} } 

}



/* &do-cipher-block!-PCB1336 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1336za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5037, obj_t BgL_statez00_5038, obj_t BgL_fromz00_5039, obj_t BgL_fromzd2poszd2_5040, obj_t BgL_toz00_5041, obj_t BgL_tozd2poszd2_5042)
{
{ /* Llib/block_ciphers.scm 308 */
{ /* Llib/block_ciphers.scm 310 */
 obj_t BgL_fun2622z00_6303;
BgL_fun2622z00_6303 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5038))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 310 */
 obj_t BgL_arg2620z00_6304; obj_t BgL_arg2621z00_6305;
BgL_arg2620z00_6304 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5038)))->BgL_bufferz00); 
BgL_arg2621z00_6305 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5038))))->BgL_paramz00); 
BGL_PROCEDURE_CALL5(BgL_fun2622z00_6303, BgL_fromz00_5039, BgL_fromzd2poszd2_5040, BgL_arg2620z00_6304, 
BINT(0L), BgL_arg2621z00_6305); } } 
{ /* Llib/block_ciphers.scm 311 */
 obj_t BgL_arg2623z00_6306; obj_t BgL_arg2624z00_6307; obj_t BgL_arg2625z00_6308; long BgL_arg2626z00_6309;
BgL_arg2623z00_6306 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5038)))->BgL_bufferz00); 
BgL_arg2624z00_6307 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5038)))->BgL_bufferz00); 
BgL_arg2625z00_6308 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5038)))->BgL_chainz00); 
BgL_arg2626z00_6309 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5038))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6311;
BgL_iz00_6311 = 0L; 
BgL_loopz00_6310:
if(
(BgL_iz00_6311==BgL_arg2626z00_6309))
{ /* Llib/block_ciphers.scm 311 */BgL_arg2623z00_6306; }  else 
{ /* Llib/block_ciphers.scm 311 */
{ /* Llib/block_ciphers.scm 311 */
 long BgL_arg2718z00_6312; unsigned char BgL_arg2719z00_6313;
BgL_arg2718z00_6312 = 
(0L+BgL_iz00_6311); 
BgL_arg2719z00_6313 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2624z00_6307, 
(0L+BgL_iz00_6311))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2625z00_6308, 
(0L+BgL_iz00_6311)))))))); 
{ /* Llib/block_ciphers.scm 311 */
 unsigned char BgL_tmpz00_13337;
BgL_tmpz00_13337 = 
(unsigned char)(BgL_arg2719z00_6313); 
STRING_SET(BgL_arg2623z00_6306, BgL_arg2718z00_6312, BgL_tmpz00_13337); } } 
{ 
 long BgL_iz00_13340;
BgL_iz00_13340 = 
(BgL_iz00_6311+1L); 
BgL_iz00_6311 = BgL_iz00_13340; 
goto BgL_loopz00_6310;} } } } 
{ /* Llib/block_ciphers.scm 312 */
 obj_t BgL_arg2627z00_6314; obj_t BgL_arg2628z00_6315; long BgL_arg2629z00_6316;
BgL_arg2627z00_6314 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5038)))->BgL_chainz00); 
BgL_arg2628z00_6315 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5038)))->BgL_bufferz00); 
BgL_arg2629z00_6316 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5038))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6318;
BgL_iz00_6318 = 0L; 
BgL_loopz00_6317:
if(
(BgL_iz00_6318==BgL_arg2629z00_6316))
{ /* Llib/block_ciphers.scm 312 */BgL_arg2627z00_6314; }  else 
{ /* Llib/block_ciphers.scm 312 */
{ /* Llib/block_ciphers.scm 312 */
 long BgL_arg2718z00_6319; unsigned char BgL_arg2719z00_6320;
BgL_arg2718z00_6319 = 
(0L+BgL_iz00_6318); 
BgL_arg2719z00_6320 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5039), 
(
(long)CINT(BgL_fromzd2poszd2_5040)+BgL_iz00_6318))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2628z00_6315, 
(0L+BgL_iz00_6318)))))))); 
{ /* Llib/block_ciphers.scm 312 */
 unsigned char BgL_tmpz00_13367;
BgL_tmpz00_13367 = 
(unsigned char)(BgL_arg2719z00_6320); 
STRING_SET(BgL_arg2627z00_6314, BgL_arg2718z00_6319, BgL_tmpz00_13367); } } 
{ 
 long BgL_iz00_13370;
BgL_iz00_13370 = 
(BgL_iz00_6318+1L); 
BgL_iz00_6318 = BgL_iz00_13370; 
goto BgL_loopz00_6317;} } } } 
{ /* Llib/block_ciphers.scm 313 */
 obj_t BgL_arg2630z00_6321; long BgL_arg2631z00_6322;
BgL_arg2630z00_6321 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5038)))->BgL_bufferz00); 
BgL_arg2631z00_6322 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5038))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 313 */
 long BgL_o2z00_6323;
BgL_o2z00_6323 = 
(long)CINT(BgL_tozd2poszd2_5042); 
return 
blit_string(BgL_arg2630z00_6321, 0L, 
((obj_t)BgL_toz00_5041), BgL_o2z00_6323, BgL_arg2631z00_6322);} } } 

}



/* &do-cipher-IV-init!-P1334 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1334z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5043, obj_t BgL_statez00_5044, obj_t BgL_ivz00_5045)
{
{ /* Llib/block_ciphers.scm 305 */
{ /* Llib/block_ciphers.scm 307 */
 obj_t BgL_arg2618z00_6325; long BgL_arg2619z00_6326;
BgL_arg2618z00_6325 = 
(((BgL_pcbczd2decryptzd2_bglt)COBJECT(
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5044)))->BgL_chainz00); 
BgL_arg2619z00_6326 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2decryptzd2_bglt)BgL_statez00_5044))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5045), 0L, BgL_arg2618z00_6325, 0L, BgL_arg2619z00_6326);} } 

}



/* &do-cipher-block!-PCB1332 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2PCB1332za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5046, obj_t BgL_statez00_5047, obj_t BgL_fromz00_5048, obj_t BgL_fromzd2poszd2_5049, obj_t BgL_toz00_5050, obj_t BgL_tozd2poszd2_5051)
{
{ /* Llib/block_ciphers.scm 290 */
{ /* Llib/block_ciphers.scm 292 */
 obj_t BgL_arg2606z00_6328; obj_t BgL_arg2607z00_6329; long BgL_arg2608z00_6330;
BgL_arg2606z00_6328 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5047)))->BgL_bufferz00); 
BgL_arg2607z00_6329 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5047)))->BgL_chainz00); 
BgL_arg2608z00_6330 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5047))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6332;
BgL_iz00_6332 = 0L; 
BgL_loopz00_6331:
if(
(BgL_iz00_6332==BgL_arg2608z00_6330))
{ /* Llib/block_ciphers.scm 292 */BgL_arg2606z00_6328; }  else 
{ /* Llib/block_ciphers.scm 292 */
{ /* Llib/block_ciphers.scm 292 */
 long BgL_arg2718z00_6333; unsigned char BgL_arg2719z00_6334;
BgL_arg2718z00_6333 = 
(0L+BgL_iz00_6332); 
BgL_arg2719z00_6334 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2607z00_6329, 
(0L+BgL_iz00_6332))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5048), 
(
(long)CINT(BgL_fromzd2poszd2_5049)+BgL_iz00_6332)))))))); 
{ /* Llib/block_ciphers.scm 292 */
 unsigned char BgL_tmpz00_13412;
BgL_tmpz00_13412 = 
(unsigned char)(BgL_arg2719z00_6334); 
STRING_SET(BgL_arg2606z00_6328, BgL_arg2718z00_6333, BgL_tmpz00_13412); } } 
{ 
 long BgL_iz00_13415;
BgL_iz00_13415 = 
(BgL_iz00_6332+1L); 
BgL_iz00_6332 = BgL_iz00_13415; 
goto BgL_loopz00_6331;} } } } 
{ /* Llib/block_ciphers.scm 293 */
 obj_t BgL_fun2612z00_6335;
BgL_fun2612z00_6335 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5047))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 293 */
 obj_t BgL_arg2609z00_6336; obj_t BgL_arg2610z00_6337; obj_t BgL_arg2611z00_6338;
BgL_arg2609z00_6336 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5047)))->BgL_bufferz00); 
BgL_arg2610z00_6337 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5047)))->BgL_bufferz00); 
BgL_arg2611z00_6338 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5047))))->BgL_paramz00); 
BGL_PROCEDURE_CALL5(BgL_fun2612z00_6335, BgL_arg2609z00_6336, 
BINT(0L), BgL_arg2610z00_6337, 
BINT(0L), BgL_arg2611z00_6338); } } 
{ /* Llib/block_ciphers.scm 294 */
 obj_t BgL_arg2613z00_6339; obj_t BgL_arg2614z00_6340; long BgL_arg2615z00_6341;
BgL_arg2613z00_6339 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5047)))->BgL_chainz00); 
BgL_arg2614z00_6340 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5047)))->BgL_bufferz00); 
BgL_arg2615z00_6341 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5047))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6343;
BgL_iz00_6343 = 0L; 
BgL_loopz00_6342:
if(
(BgL_iz00_6343==BgL_arg2615z00_6341))
{ /* Llib/block_ciphers.scm 294 */BgL_arg2613z00_6339; }  else 
{ /* Llib/block_ciphers.scm 294 */
{ /* Llib/block_ciphers.scm 294 */
 long BgL_arg2718z00_6344; unsigned char BgL_arg2719z00_6345;
BgL_arg2718z00_6344 = 
(0L+BgL_iz00_6343); 
BgL_arg2719z00_6345 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5048), 
(
(long)CINT(BgL_fromzd2poszd2_5049)+BgL_iz00_6343))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2614z00_6340, 
(0L+BgL_iz00_6343)))))))); 
{ /* Llib/block_ciphers.scm 294 */
 unsigned char BgL_tmpz00_13462;
BgL_tmpz00_13462 = 
(unsigned char)(BgL_arg2719z00_6345); 
STRING_SET(BgL_arg2613z00_6339, BgL_arg2718z00_6344, BgL_tmpz00_13462); } } 
{ 
 long BgL_iz00_13465;
BgL_iz00_13465 = 
(BgL_iz00_6343+1L); 
BgL_iz00_6343 = BgL_iz00_13465; 
goto BgL_loopz00_6342;} } } } 
{ /* Llib/block_ciphers.scm 295 */
 obj_t BgL_arg2616z00_6346; long BgL_arg2617z00_6347;
BgL_arg2616z00_6346 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5047)))->BgL_bufferz00); 
BgL_arg2617z00_6347 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5047))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 295 */
 long BgL_o2z00_6348;
BgL_o2z00_6348 = 
(long)CINT(BgL_tozd2poszd2_5051); 
return 
blit_string(BgL_arg2616z00_6346, 0L, 
((obj_t)BgL_toz00_5050), BgL_o2z00_6348, BgL_arg2617z00_6347);} } } 

}



/* &do-cipher-IV-init!-P1330 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2P1330z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5052, obj_t BgL_statez00_5053, obj_t BgL_ivz00_5054)
{
{ /* Llib/block_ciphers.scm 287 */
{ /* Llib/block_ciphers.scm 289 */
 obj_t BgL_arg2604z00_6350; long BgL_arg2605z00_6351;
BgL_arg2604z00_6350 = 
(((BgL_pcbczd2encryptzd2_bglt)COBJECT(
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5053)))->BgL_chainz00); 
BgL_arg2605z00_6351 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_pcbczd2encryptzd2_bglt)BgL_statez00_5053))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5054), 0L, BgL_arg2604z00_6350, 0L, BgL_arg2605z00_6351);} } 

}



/* &do-cipher-block!-CBC1328 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1328za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5055, obj_t BgL_statez00_5056, obj_t BgL_fromz00_5057, obj_t BgL_fromzd2poszd2_5058, obj_t BgL_toz00_5059, obj_t BgL_tozd2poszd2_5060)
{
{ /* Llib/block_ciphers.scm 269 */
{ /* Llib/block_ciphers.scm 271 */
 obj_t BgL_arg2597z00_6353; long BgL_arg2598z00_6354;
BgL_arg2597z00_6353 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5056)))->BgL_bufferz00); 
BgL_arg2598z00_6354 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5056))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 271 */
 long BgL_o1z00_6355;
BgL_o1z00_6355 = 
(long)CINT(BgL_fromzd2poszd2_5058); 
blit_string(
((obj_t)BgL_fromz00_5057), BgL_o1z00_6355, BgL_arg2597z00_6353, 0L, BgL_arg2598z00_6354); } } 
{ /* Llib/block_ciphers.scm 272 */
 obj_t BgL_fun2601z00_6356;
BgL_fun2601z00_6356 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5056))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 272 */
 obj_t BgL_arg2599z00_6357; obj_t BgL_arg2600z00_6358;
BgL_arg2599z00_6357 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5056)))->BgL_bufferz00); 
BgL_arg2600z00_6358 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5056))))->BgL_paramz00); 
BGL_PROCEDURE_CALL5(BgL_fun2601z00_6356, BgL_arg2599z00_6357, 
BINT(0L), BgL_toz00_5059, BgL_tozd2poszd2_5060, BgL_arg2600z00_6358); } } 
{ /* Llib/block_ciphers.scm 273 */
 obj_t BgL_arg2602z00_6359; long BgL_arg2603z00_6360;
BgL_arg2602z00_6359 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5056)))->BgL_chainz00); 
BgL_arg2603z00_6360 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5056))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6362;
BgL_iz00_6362 = 0L; 
BgL_loopz00_6361:
if(
(BgL_iz00_6362==BgL_arg2603z00_6360))
{ /* Llib/block_ciphers.scm 273 */BgL_toz00_5059; }  else 
{ /* Llib/block_ciphers.scm 273 */
{ /* Llib/block_ciphers.scm 273 */
 long BgL_arg2718z00_6363; unsigned char BgL_arg2719z00_6364;
BgL_arg2718z00_6363 = 
(
(long)CINT(BgL_tozd2poszd2_5060)+BgL_iz00_6362); 
BgL_arg2719z00_6364 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_toz00_5059), 
(
(long)CINT(BgL_tozd2poszd2_5060)+BgL_iz00_6362))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2602z00_6359, 
(0L+BgL_iz00_6362)))))))); 
{ /* Llib/block_ciphers.scm 273 */
 unsigned char BgL_charz00_6365;
BgL_charz00_6365 = 
(unsigned char)(BgL_arg2719z00_6364); 
{ /* Llib/block_ciphers.scm 273 */
 obj_t BgL_tmpz00_13532;
BgL_tmpz00_13532 = 
((obj_t)BgL_toz00_5059); 
STRING_SET(BgL_tmpz00_13532, BgL_arg2718z00_6363, BgL_charz00_6365); } } } 
{ 
 long BgL_iz00_13535;
BgL_iz00_13535 = 
(BgL_iz00_6362+1L); 
BgL_iz00_6362 = BgL_iz00_13535; 
goto BgL_loopz00_6361;} } } } 
{ /* Llib/block_ciphers.scm 274 */
 obj_t BgL_tmpz00_6366;
BgL_tmpz00_6366 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5056)))->BgL_chainz00); 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5056)))->BgL_chainz00)=((obj_t)
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5056)))->BgL_bufferz00)),BUNSPEC); 
return 
((((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5056)))->BgL_bufferz00)=((obj_t)BgL_tmpz00_6366),BUNSPEC);} } 

}



/* &do-cipher-IV-init!-C1326 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1326z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5061, obj_t BgL_statez00_5062, obj_t BgL_ivz00_5063)
{
{ /* Llib/block_ciphers.scm 266 */
{ /* Llib/block_ciphers.scm 268 */
 obj_t BgL_arg2595z00_6368; long BgL_arg2596z00_6369;
BgL_arg2595z00_6368 = 
(((BgL_cbczd2decryptzd2_bglt)COBJECT(
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5062)))->BgL_chainz00); 
BgL_arg2596z00_6369 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2decryptzd2_bglt)BgL_statez00_5062))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5063), 0L, BgL_arg2595z00_6368, 0L, BgL_arg2596z00_6369);} } 

}



/* &do-cipher-block!-CBC1324 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2CBC1324za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5064, obj_t BgL_statez00_5065, obj_t BgL_fromz00_5066, obj_t BgL_fromzd2poszd2_5067, obj_t BgL_toz00_5068, obj_t BgL_tozd2poszd2_5069)
{
{ /* Llib/block_ciphers.scm 252 */
{ /* Llib/block_ciphers.scm 254 */
 obj_t BgL_arg2586z00_6371; obj_t BgL_arg2587z00_6372; long BgL_arg2588z00_6373;
BgL_arg2586z00_6371 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5065)))->BgL_bufferz00); 
BgL_arg2587z00_6372 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5065)))->BgL_chainz00); 
BgL_arg2588z00_6373 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5065))))->BgL_blockzd2siza7ez75); 
{ 
 long BgL_iz00_6375;
BgL_iz00_6375 = 0L; 
BgL_loopz00_6374:
if(
(BgL_iz00_6375==BgL_arg2588z00_6373))
{ /* Llib/block_ciphers.scm 254 */BgL_arg2586z00_6371; }  else 
{ /* Llib/block_ciphers.scm 254 */
{ /* Llib/block_ciphers.scm 254 */
 long BgL_arg2718z00_6376; unsigned char BgL_arg2719z00_6377;
BgL_arg2718z00_6376 = 
(0L+BgL_iz00_6375); 
BgL_arg2719z00_6377 = 
(char)(
(
(
(
(unsigned char)(
(char)(
STRING_REF(BgL_arg2587z00_6372, 
(0L+BgL_iz00_6375))))) ^ 
(
(unsigned char)(
(char)(
STRING_REF(
((obj_t)BgL_fromz00_5066), 
(
(long)CINT(BgL_fromzd2poszd2_5067)+BgL_iz00_6375)))))))); 
{ /* Llib/block_ciphers.scm 254 */
 unsigned char BgL_tmpz00_13577;
BgL_tmpz00_13577 = 
(unsigned char)(BgL_arg2719z00_6377); 
STRING_SET(BgL_arg2586z00_6371, BgL_arg2718z00_6376, BgL_tmpz00_13577); } } 
{ 
 long BgL_iz00_13580;
BgL_iz00_13580 = 
(BgL_iz00_6375+1L); 
BgL_iz00_6375 = BgL_iz00_13580; 
goto BgL_loopz00_6374;} } } } 
{ /* Llib/block_ciphers.scm 255 */
 obj_t BgL_fun2592z00_6378;
BgL_fun2592z00_6378 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5065))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 255 */
 obj_t BgL_arg2589z00_6379; obj_t BgL_arg2590z00_6380; obj_t BgL_arg2591z00_6381;
BgL_arg2589z00_6379 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5065)))->BgL_bufferz00); 
BgL_arg2590z00_6380 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5065)))->BgL_chainz00); 
BgL_arg2591z00_6381 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5065))))->BgL_paramz00); 
BGL_PROCEDURE_CALL5(BgL_fun2592z00_6378, BgL_arg2589z00_6379, 
BINT(0L), BgL_arg2590z00_6380, 
BINT(0L), BgL_arg2591z00_6381); } } 
{ /* Llib/block_ciphers.scm 256 */
 obj_t BgL_arg2593z00_6382; long BgL_arg2594z00_6383;
BgL_arg2593z00_6382 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5065)))->BgL_chainz00); 
BgL_arg2594z00_6383 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5065))))->BgL_blockzd2siza7ez75); 
{ /* Llib/block_ciphers.scm 256 */
 long BgL_o2z00_6384;
BgL_o2z00_6384 = 
(long)CINT(BgL_tozd2poszd2_5069); 
return 
blit_string(BgL_arg2593z00_6382, 0L, 
((obj_t)BgL_toz00_5068), BgL_o2z00_6384, BgL_arg2594z00_6383);} } } 

}



/* &do-cipher-IV-init!-C1322 */
obj_t BGl_z62dozd2cipherzd2IVzd2initz12zd2C1322z70zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5070, obj_t BgL_statez00_5071, obj_t BgL_ivz00_5072)
{
{ /* Llib/block_ciphers.scm 249 */
{ /* Llib/block_ciphers.scm 251 */
 obj_t BgL_arg2584z00_6386; long BgL_arg2585z00_6387;
BgL_arg2584z00_6386 = 
(((BgL_cbczd2encryptzd2_bglt)COBJECT(
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5071)))->BgL_chainz00); 
BgL_arg2585z00_6387 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_cbczd2encryptzd2_bglt)BgL_statez00_5071))))->BgL_blockzd2siza7ez75); 
return 
blit_string(
((obj_t)BgL_ivz00_5072), 0L, BgL_arg2584z00_6386, 0L, BgL_arg2585z00_6387);} } 

}



/* &do-cipher-block!-ECB1320 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1320za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5073, obj_t BgL_statez00_5074, obj_t BgL_fromz00_5075, obj_t BgL_fromzd2poszd2_5076, obj_t BgL_toz00_5077, obj_t BgL_tozd2poszd2_5078)
{
{ /* Llib/block_ciphers.scm 236 */
{ /* Llib/block_ciphers.scm 238 */
 obj_t BgL_fun2583z00_6389;
BgL_fun2583z00_6389 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_statez00_5074))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 238 */
 obj_t BgL_arg2582z00_6390;
BgL_arg2582z00_6390 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2decryptzd2_bglt)BgL_statez00_5074))))->BgL_paramz00); 
return 
BGL_PROCEDURE_CALL5(BgL_fun2583z00_6389, BgL_fromz00_5075, BgL_fromzd2poszd2_5076, BgL_toz00_5077, BgL_tozd2poszd2_5078, BgL_arg2582z00_6390);} } } 

}



/* &do-cipher-block!-ECB1318 */
obj_t BGl_z62dozd2cipherzd2blockz12zd2ECB1318za2zz__cryptozd2blockzd2ciphersz00(obj_t BgL_envz00_5079, obj_t BgL_statez00_5080, obj_t BgL_fromz00_5081, obj_t BgL_fromzd2poszd2_5082, obj_t BgL_toz00_5083, obj_t BgL_tozd2poszd2_5084)
{
{ /* Llib/block_ciphers.scm 233 */
{ /* Llib/block_ciphers.scm 235 */
 obj_t BgL_fun2581z00_6392;
BgL_fun2581z00_6392 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_statez00_5080))))->BgL_cipherz00); 
{ /* Llib/block_ciphers.scm 235 */
 obj_t BgL_arg2580z00_6393;
BgL_arg2580z00_6393 = 
(((BgL_cipherzd2statezd2_bglt)COBJECT(
((BgL_cipherzd2statezd2_bglt)
((BgL_ecbzd2encryptzd2_bglt)BgL_statez00_5080))))->BgL_paramz00); 
return 
BGL_PROCEDURE_CALL5(BgL_fun2581z00_6392, BgL_fromz00_5081, BgL_fromzd2poszd2_5082, BgL_toz00_5083, BgL_tozd2poszd2_5084, BgL_arg2580z00_6393);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__cryptozd2blockzd2ciphersz00(void)
{
{ /* Llib/block_ciphers.scm 1 */
BGl_modulezd2initializa7ationz75zz__cryptozd2utilzd2(300158978L, 
BSTRING_TO_STRING(BGl_string3620z00zz__cryptozd2blockzd2ciphersz00)); 
BGl_modulezd2initializa7ationz75zz__cryptozd2cipherzd2paddingz00(63410218L, 
BSTRING_TO_STRING(BGl_string3620z00zz__cryptozd2blockzd2ciphersz00)); 
return 
BGl_modulezd2initializa7ationz75zz__cryptozd2string2keyzd2(210905795L, 
BSTRING_TO_STRING(BGl_string3620z00zz__cryptozd2blockzd2ciphersz00));} 

}

#ifdef __cplusplus
}
#endif
