/*===========================================================================*/
/*   (Llib/fs.scm)                                                           */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/fs.scm -o objs/fs.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___LIBUV_FS_TYPE_DEFINITIONS
#define BGL___LIBUV_FS_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvfilez00_bgl {
   header_t header;
   obj_t widening;
   int BgL_fdz00;
   obj_t BgL_pathz00;
} *BgL_uvfilez00_bglt;


#endif // BGL___LIBUV_FS_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2open4z00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static long BGl_search1430ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static obj_t BGl__uvzd2fszd2mkdirz00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31692ze3ze5zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31668ze3ze5zz__libuv_fsz00(obj_t, obj_t);
static long BGl_search1497ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static long BGl_search1399ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
extern int bgl_uv_fs_rename(char *, char *, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_fsync(BgL_uvfilez00_bglt, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_ftruncate(BgL_uvfilez00_bglt, int64_t, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zz__libuv_fsz00 = BUNSPEC;
static obj_t BGl__uvzd2fszd2write2z00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2write3z00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_copyfile(obj_t, obj_t, int, obj_t, BgL_uvloopz00_bglt);
extern BgL_uvloopz00_bglt BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(void);
extern obj_t bgl_uv_fs_lstat(char *, obj_t, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(obj_t);
static long BGl_search1512ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static obj_t BGl__uvzd2fszd2fdatasyncz00zz__libuv_fsz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl__uvzd2fszd2truncatez00zz__libuv_fsz00(obj_t, obj_t);
extern obj_t bgl_uv_fs_readlink(char *, obj_t, BgL_uvloopz00_bglt);
static long BGl_search1440ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static long BGl_search1342ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static obj_t BGl_z62UV_FS_COPYFILE_FICLONE_FORCEz62zz__libuv_fsz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2mkdirz00zz__libuv_fsz00(obj_t, int, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2copyfilez00zz__libuv_fsz00(obj_t, obj_t, int, obj_t, obj_t);
static obj_t BGl_z62UV_FS_COPYFILE_FICLONEz62zz__libuv_fsz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__libuv_fsz00(void);
static long BGl_search1236ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
extern int bgl_uv_fs_fchmod(BgL_uvfilez00_bglt, int, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2readlinkz00zz__libuv_fsz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_UV_FS_COPYFILE_EXCLz00zz__libuv_fsz00(void);
BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl__uvzd2fszd2unlinkz00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_search1181ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2write2z00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, int, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2write3z00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, int, obj_t, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt, obj_t, obj_t);
extern int bgl_uv_fs_read(BgL_uvfilez00_bglt, obj_t, long, long, int64_t, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_genericzd2initzd2zz__libuv_fsz00(void);
static long BGl_O_RDONLYz00zz__libuv_fsz00 = 0L;
static obj_t BGl__uvzd2fszd2renamez00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__libuv_fsz00(void);
static obj_t BGl__uvzd2fszd2chmodz00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_futime(BgL_uvfilez00_bglt, double, double, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl__uvzd2fszd2openz00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_search1246ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
extern obj_t bgl_uv_fs_stat(char *, obj_t, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_write(BgL_uvfilez00_bglt, obj_t, long, long, int64_t, obj_t, BgL_uvloopz00_bglt);
static long BGl_search1353ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
extern int bgl_uv_fs_chown(char *, int, int, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2truncatez00zz__libuv_fsz00(obj_t, long, obj_t, obj_t);
extern obj_t BGl_UvFilez00zz__libuv_typesz00;
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2unlinkz00zz__libuv_fsz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2openz00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern int bgl_uv_fs_link(char *, char *, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2fdatasyncz00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
static obj_t BGl__uvzd2fszd2utimez00zz__libuv_fsz00(obj_t, obj_t);
extern obj_t bgl_uv_fs_fstat(BgL_uvfilez00_bglt, obj_t, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2chmodz00zz__libuv_fsz00(obj_t, int, obj_t, obj_t);
static obj_t BGl_z62uvzd2fszd2dupz62zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2fchmodz00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_read2(BgL_uvfilez00_bglt, obj_t, long, long, int64_t, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_z62uvzd2fszd2flagsz62zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_read3(BgL_uvfilez00_bglt, obj_t, long, long, int64_t, obj_t, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt);
static long BGl_search1256ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2renamez00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__libuv_fsz00(void);
extern int bgl_uv_fs_fdatasync(BgL_uvfilez00_bglt, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl__uvzd2fszd2fsyncz00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_symlink(char *, char *, obj_t, BgL_uvloopz00_bglt);
static long BGl_search1453ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2utimez00zz__libuv_fsz00(obj_t, double, double, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2symlinkz00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2lstatz00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2futimez00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_search1364ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static long BGl_search1266ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2dupz00zz__libuv_fsz00(int);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2fchmodz00zz__libuv_fsz00(BgL_uvfilez00_bglt, int, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2fsyncz00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, obj_t);
extern int bgl_uv_fs_close2(BgL_uvfilez00_bglt, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern int bgl_uv_fs_lchown(char *, int, int, obj_t, BgL_uvloopz00_bglt);
static long BGl_search1169ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static long BGl_O_TRUNCz00zz__libuv_fsz00 = 0L;
extern int bgl_uv_fs_rmdir(char *, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2lstatz00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t);
static long BGl_search1276ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
extern int bgl_uv_fs_close(BgL_uvfilez00_bglt, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_fchown(BgL_uvfilez00_bglt, int, int, obj_t, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2futimez00zz__libuv_fsz00(BgL_uvfilez00_bglt, double, double, obj_t, obj_t);
static long BGl_O_RDWRz00zz__libuv_fsz00 = 0L;
static long BGl_search1285ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2symlinkz00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_uv_fs_open4(obj_t, int, int, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt);
static long BGl_search1294ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_fsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_loopz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static long BGl_O_APPENDz00zz__libuv_fsz00 = 0L;
static obj_t BGl__uvzd2fszd2writez00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_search1202ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static obj_t BGl__uvzd2fszd2chownz00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2fstatz00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2close2z00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl__uvzd2fszd2lchownz00zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_UV_FS_COPYFILE_FICLONE_FORCEz00zz__libuv_fsz00(void);
static obj_t BGl__uvzd2fszd2read2z00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_O_SYNCz00zz__libuv_fsz00 = 0L;
static obj_t BGl__uvzd2fszd2read3z00zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__libuv_fsz00(void);
static obj_t BGl__uvzd2fszd2readz00zz__libuv_fsz00(obj_t, obj_t);
extern int bgl_uv_fs_mkdir(char *, int, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_fsz00(void);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2writez00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, int, obj_t, BgL_uvloopz00_bglt, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__libuv_fsz00(void);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2statzd2cbzd2vectorzd2propszd2zz__libuv_fsz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_fsz00(void);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2chownz00zz__libuv_fsz00(obj_t, int, int, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2fchownz00zz__libuv_fsz00(obj_t, obj_t);
extern obj_t bgl_uv_fs_open(obj_t, int, int, obj_t, BgL_uvloopz00_bglt);
static long BGl_search1484ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static obj_t BGl__uvzd2fszd2statz00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_O_WRONLYz00zz__libuv_fsz00 = 0L;
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2readz00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, int, obj_t, BgL_uvloopz00_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2fstatz00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2ftruncatez00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_search1213ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2read2z00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, int, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2read3z00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, int, obj_t, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31652ze3ze5zz__libuv_fsz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2fszd2statzd2cbzd2vectorzd2propszb0zz__libuv_fsz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2close2z00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2lchownz00zz__libuv_fsz00(obj_t, int, int, obj_t, obj_t);
static long BGl_search1303ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static obj_t BGl__uvzd2fszd2linkz00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_search1468ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2statz00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_UV_FS_COPYFILE_FICLONEz00zz__libuv_fsz00(void);
static long BGl_search1410ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static long BGl_search1379ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static obj_t BGl__uvzd2fszd2rmdirz00zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2fchownz00zz__libuv_fsz00(BgL_uvfilez00_bglt, int, int, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2linkz00zz__libuv_fsz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__uvzd2fszd2closez00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_search1388ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
extern int bgl_uv_fs_write2(BgL_uvfilez00_bglt, obj_t, long, long, int64_t, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt);
extern int bgl_uv_fs_write3(BgL_uvfilez00_bglt, obj_t, long, long, int64_t, obj_t, obj_t, obj_t, obj_t, BgL_uvloopz00_bglt);
static long BGl_search1313ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
extern int bgl_uv_fs_chmod(char *, int, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl__uvzd2fszd2open4z00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_search1420ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static long BGl_search1322ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static long BGl_search1224ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
static obj_t BGl_z62UV_FS_COPYFILE_EXCLz62zz__libuv_fsz00(obj_t);
static obj_t BGl__uvzd2fszd2copyfilez00zz__libuv_fsz00(obj_t, obj_t);
static long BGl_O_EXCLz00zz__libuv_fsz00 = 0L;
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2rmdirz00zz__libuv_fsz00(obj_t, obj_t, obj_t);
static long BGl_O_CREATz00zz__libuv_fsz00 = 0L;
static long BGl_search1331ze70ze7zz__libuv_fsz00(long, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_uvzd2fszd2closez00zz__libuv_fsz00(BgL_uvfilez00_bglt, obj_t, obj_t);
extern int bgl_uv_fs_utime(char *, double, double, obj_t, BgL_uvloopz00_bglt);
static obj_t BGl__uvzd2fszd2readlinkz00zz__libuv_fsz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2fszd2ftruncatez00zz__libuv_fsz00(BgL_uvfilez00_bglt, int64_t, obj_t, obj_t);
extern int bgl_uv_fs_unlink(char *, obj_t, BgL_uvloopz00_bglt);
static obj_t __cnst[ 26 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2statzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2statza72038za7, opt_generic_entry, BGl__uvzd2fszd2statz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2renamezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2renam2039z00, opt_generic_entry, BGl__uvzd2fszd2renamez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2readlinkzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2readl2040z00, opt_generic_entry, BGl__uvzd2fszd2readlinkz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UV_FS_COPYFILE_EXCLzd2envzd2zz__libuv_fsz00, BgL_bgl_za762uv_fs_copyfil2041za7, BGl_z62UV_FS_COPYFILE_EXCLz62zz__libuv_fsz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2unlinkzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2unlin2042z00, opt_generic_entry, BGl__uvzd2fszd2unlinkz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2symlinkzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2symli2043z00, opt_generic_entry, BGl__uvzd2fszd2symlinkz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fchownzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fchow2044z00, opt_generic_entry, BGl__uvzd2fszd2fchownz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2ftruncatezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2ftrun2045z00, opt_generic_entry, BGl__uvzd2fszd2ftruncatez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2copyfilezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2copyf2046z00, opt_generic_entry, BGl__uvzd2fszd2copyfilez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2lstatzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2lstat2047z00, opt_generic_entry, BGl__uvzd2fszd2lstatz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2read2zd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2read22048z00, opt_generic_entry, BGl__uvzd2fszd2read2z00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2openzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2openza72049za7, opt_generic_entry, BGl__uvzd2fszd2openz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UV_FS_COPYFILE_FICLONEzd2envzd2zz__libuv_fsz00, BgL_bgl_za762uv_fs_copyfil2050za7, BGl_z62UV_FS_COPYFILE_FICLONEz62zz__libuv_fsz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2dupzd2envzd2zz__libuv_fsz00, BgL_bgl_za762uvza7d2fsza7d2dup2051za7, BGl_z62uvzd2fszd2dupz62zz__libuv_fsz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2statzd2cbzd2vectorzd2propszd2envz00zz__libuv_fsz00, BgL_bgl_za762uvza7d2fsza7d2sta2052za7, BGl_z62uvzd2fszd2statzd2cbzd2vectorzd2propszb0zz__libuv_fsz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fchmodzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fchmo2053z00, opt_generic_entry, BGl__uvzd2fszd2fchmodz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2chownzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2chown2054z00, opt_generic_entry, BGl__uvzd2fszd2chownz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2linkzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2linkza72055za7, opt_generic_entry, BGl__uvzd2fszd2linkz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2read3zd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2read32056z00, opt_generic_entry, BGl__uvzd2fszd2read3z00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2rmdirzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2rmdir2057z00, opt_generic_entry, BGl__uvzd2fszd2rmdirz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2chmodzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2chmod2058z00, opt_generic_entry, BGl__uvzd2fszd2chmodz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2flagszd2envzd2zz__libuv_fsz00, BgL_bgl_za762uvza7d2fsza7d2fla2059za7, BGl_z62uvzd2fszd2flagsz62zz__libuv_fsz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2closezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2close2060z00, opt_generic_entry, BGl__uvzd2fszd2closez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2open4zd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2open42061z00, opt_generic_entry, BGl__uvzd2fszd2open4z00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2close2zd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2close2062z00, opt_generic_entry, BGl__uvzd2fszd2close2z00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2futimezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2futim2063z00, opt_generic_entry, BGl__uvzd2fszd2futimez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2write2zd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2write2064z00, opt_generic_entry, BGl__uvzd2fszd2write2z00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fsynczd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fsync2065z00, opt_generic_entry, BGl__uvzd2fszd2fsyncz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2utimezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2utime2066z00, opt_generic_entry, BGl__uvzd2fszd2utimez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fdatasynczd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fdata2067z00, opt_generic_entry, BGl__uvzd2fszd2fdatasyncz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2write3zd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2write2068z00, opt_generic_entry, BGl__uvzd2fszd2write3z00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2mkdirzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2mkdir2069z00, opt_generic_entry, BGl__uvzd2fszd2mkdirz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2fstatzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2fstat2070z00, opt_generic_entry, BGl__uvzd2fszd2fstatz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2truncatezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2trunc2071z00, opt_generic_entry, BGl__uvzd2fszd2truncatez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2writezd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2write2072z00, opt_generic_entry, BGl__uvzd2fszd2writez00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2lchownzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2lchow2073z00, opt_generic_entry, BGl__uvzd2fszd2lchownz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_UV_FS_COPYFILE_FICLONE_FORCEzd2envzd2zz__libuv_fsz00, BgL_bgl_za762uv_fs_copyfil2074za7, BGl_z62UV_FS_COPYFILE_FICLONE_FORCEz62zz__libuv_fsz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2fszd2readzd2envzd2zz__libuv_fsz00, BgL_bgl__uvza7d2fsza7d2readza72075za7, opt_generic_entry, BGl__uvzd2fszd2readz00zz__libuv_fsz00, BFALSE, -1 );
DEFINE_STRING( BGl_string2031z00zz__libuv_fsz00, BgL_bgl_string2031za700za7za7_2076za7, "uv-fs-open", 10 );
DEFINE_STRING( BGl_string2032z00zz__libuv_fsz00, BgL_bgl_string2032za700za7za7_2077za7, "Wrong flags", 11 );
DEFINE_STRING( BGl_string2033z00zz__libuv_fsz00, BgL_bgl_string2033za700za7za7_2078za7, "uv-fs-flags", 11 );
DEFINE_STRING( BGl_string2034z00zz__libuv_fsz00, BgL_bgl_string2034za700za7za7_2079za7, "Illegal flag", 12 );
DEFINE_STRING( BGl_string2035z00zz__libuv_fsz00, BgL_bgl_string2035za700za7za7_2080za7, "__libuv_fs", 10 );
DEFINE_STRING( BGl_string2036z00zz__libuv_fsz00, BgL_bgl_string2036za700za7za7_2081za7, "xa+ ax+ a+ xa ax wx+ xw+ w+ xw wx w rs+ r+ r :position :offset :vector :arg3 :arg2 :arg1 :arg0 :mode a :loop :callback #(\"ctime\" \"mtime\" \"atime\" \"birthtime\" \"gen\" \"flags\" \"blocks\" \"blksize\" \"size\" \"ino\" \"rdev\" \"gid\" \"uid\" \"nlink\" \"mode\" \"dev\" \"ctime-ns\" \"mtime-ns\" \"atime-ns\" \"birthtime-ns\") ", 292 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_fsz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_fsz00(long BgL_checksumz00_2865, char * BgL_fromz00_2866)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_fsz00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_fsz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libuv_fsz00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_fsz00(); 
BGl_cnstzd2initzd2zz__libuv_fsz00(); 
BGl_importedzd2moduleszd2initz00zz__libuv_fsz00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_fsz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__bitz00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L, "__libuv_fs"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__libuv_fs"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
{ /* Llib/fs.scm 15 */
 obj_t BgL_cportz00_2394;
{ /* Llib/fs.scm 15 */
 obj_t BgL_stringz00_2401;
BgL_stringz00_2401 = BGl_string2036z00zz__libuv_fsz00; 
{ /* Llib/fs.scm 15 */
 obj_t BgL_startz00_2402;
BgL_startz00_2402 = 
BINT(0L); 
{ /* Llib/fs.scm 15 */
 obj_t BgL_endz00_2403;
BgL_endz00_2403 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2401))); 
{ /* Llib/fs.scm 15 */

BgL_cportz00_2394 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2401, BgL_startz00_2402, BgL_endz00_2403); } } } } 
{ 
 long BgL_iz00_2395;
BgL_iz00_2395 = 25L; 
BgL_loopz00_2396:
if(
(BgL_iz00_2395==(-1L)))
{ /* Llib/fs.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/fs.scm 15 */
{ /* Llib/fs.scm 15 */
 obj_t BgL_arg2037z00_2397;
{ /* Llib/fs.scm 15 */

{ /* Llib/fs.scm 15 */
 obj_t BgL_locationz00_2399;
BgL_locationz00_2399 = 
BBOOL(((bool_t)0)); 
{ /* Llib/fs.scm 15 */

BgL_arg2037z00_2397 = 
BGl_readz00zz__readerz00(BgL_cportz00_2394, BgL_locationz00_2399); } } } 
{ /* Llib/fs.scm 15 */
 int BgL_tmpz00_2895;
BgL_tmpz00_2895 = 
(int)(BgL_iz00_2395); 
CNST_TABLE_SET(BgL_tmpz00_2895, BgL_arg2037z00_2397); } } 
{ /* Llib/fs.scm 15 */
 int BgL_auxz00_2400;
BgL_auxz00_2400 = 
(int)(
(BgL_iz00_2395-1L)); 
{ 
 long BgL_iz00_2900;
BgL_iz00_2900 = 
(long)(BgL_auxz00_2400); 
BgL_iz00_2395 = BgL_iz00_2900; 
goto BgL_loopz00_2396;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
BGl_O_RDONLYz00zz__libuv_fsz00 = 
O_RDONLY; 
BGl_O_WRONLYz00zz__libuv_fsz00 = 
O_WRONLY; 
BGl_O_RDWRz00zz__libuv_fsz00 = 
O_RDWR; 
BGl_O_CREATz00zz__libuv_fsz00 = 
O_CREAT; 
BGl_O_EXCLz00zz__libuv_fsz00 = 
O_EXCL; 
BGl_O_TRUNCz00zz__libuv_fsz00 = 
O_TRUNC; 
BGl_O_APPENDz00zz__libuv_fsz00 = 
O_APPEND; 
return ( 
BGl_O_SYNCz00zz__libuv_fsz00 = 
O_SYNC, BUNSPEC) ;} 

}



/* UV_FS_COPYFILE_EXCL */
BGL_EXPORTED_DEF int BGl_UV_FS_COPYFILE_EXCLz00zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 128 */
return 
(int)(
UV_FS_COPYFILE_EXCL);} 

}



/* &UV_FS_COPYFILE_EXCL */
obj_t BGl_z62UV_FS_COPYFILE_EXCLz62zz__libuv_fsz00(obj_t BgL_envz00_2307)
{
{ /* Llib/fs.scm 128 */
return 
BINT(
BGl_UV_FS_COPYFILE_EXCLz00zz__libuv_fsz00());} 

}



/* UV_FS_COPYFILE_FICLONE */
BGL_EXPORTED_DEF int BGl_UV_FS_COPYFILE_FICLONEz00zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 130 */
return 
(int)(
UV_FS_COPYFILE_FICLONE);} 

}



/* &UV_FS_COPYFILE_FICLONE */
obj_t BGl_z62UV_FS_COPYFILE_FICLONEz62zz__libuv_fsz00(obj_t BgL_envz00_2308)
{
{ /* Llib/fs.scm 130 */
return 
BINT(
BGl_UV_FS_COPYFILE_FICLONEz00zz__libuv_fsz00());} 

}



/* UV_FS_COPYFILE_FICLONE_FORCE */
BGL_EXPORTED_DEF int BGl_UV_FS_COPYFILE_FICLONE_FORCEz00zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 132 */
return 
(int)(
UV_FS_COPYFILE_FICLONE_FORCE);} 

}



/* &UV_FS_COPYFILE_FICLONE_FORCE */
obj_t BGl_z62UV_FS_COPYFILE_FICLONE_FORCEz62zz__libuv_fsz00(obj_t BgL_envz00_2309)
{
{ /* Llib/fs.scm 132 */
return 
BINT(
BGl_UV_FS_COPYFILE_FICLONE_FORCEz00zz__libuv_fsz00());} 

}



/* uv-fs-stat-cb-vector-props */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2statzd2cbzd2vectorzd2propszd2zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 153 */
return 
((obj_t)
CNST_TABLE_REF(0));} 

}



/* &uv-fs-stat-cb-vector-props */
obj_t BGl_z62uvzd2fszd2statzd2cbzd2vectorzd2propszb0zz__libuv_fsz00(obj_t BgL_envz00_2310)
{
{ /* Llib/fs.scm 153 */
return 
BGl_uvzd2fszd2statzd2cbzd2vectorzd2propszd2zz__libuv_fsz00();} 

}



/* uv-fs-dup */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2dupz00zz__libuv_fsz00(int BgL_oldz00_3)
{
{ /* Llib/fs.scm 163 */
return 
dup(BgL_oldz00_3);} 

}



/* &uv-fs-dup */
obj_t BGl_z62uvzd2fszd2dupz62zz__libuv_fsz00(obj_t BgL_envz00_2311, obj_t BgL_oldz00_2312)
{
{ /* Llib/fs.scm 163 */
return 
BINT(
BGl_uvzd2fszd2dupz00zz__libuv_fsz00(
CINT(BgL_oldz00_2312)));} 

}



/* _uv-fs-rename */
obj_t BGl__uvzd2fszd2renamez00zz__libuv_fsz00(obj_t BgL_env1167z00_9, obj_t BgL_opt1166z00_8)
{
{ /* Llib/fs.scm 169 */
{ /* Llib/fs.scm 169 */
 obj_t BgL_g1176z00_2405; obj_t BgL_g1177z00_2406;
BgL_g1176z00_2405 = 
VECTOR_REF(BgL_opt1166z00_8,0L); 
BgL_g1177z00_2406 = 
VECTOR_REF(BgL_opt1166z00_8,1L); 
{ /* Llib/fs.scm 169 */
 obj_t BgL_callbackz00_2407;
BgL_callbackz00_2407 = BFALSE; 
{ /* Llib/fs.scm 169 */
 obj_t BgL_loopz00_2408;
BgL_loopz00_2408 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 169 */

{ /* Llib/fs.scm 169 */
 long BgL_index1172z00_2409;
BgL_index1172z00_2409 = 
BGl_search1169ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1166z00_8)), BgL_opt1166z00_8, 
((obj_t)
CNST_TABLE_REF(1)), 2L); 
if(
(BgL_index1172z00_2409>=0L))
{ /* Llib/fs.scm 169 */
BgL_callbackz00_2407 = 
VECTOR_REF(BgL_opt1166z00_8,BgL_index1172z00_2409); }  else 
{ /* Llib/fs.scm 169 */BFALSE; } } 
{ /* Llib/fs.scm 169 */
 long BgL_index1173z00_2410;
BgL_index1173z00_2410 = 
BGl_search1169ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1166z00_8)), BgL_opt1166z00_8, 
((obj_t)
CNST_TABLE_REF(2)), 2L); 
if(
(BgL_index1173z00_2410>=0L))
{ /* Llib/fs.scm 169 */
BgL_loopz00_2408 = 
VECTOR_REF(BgL_opt1166z00_8,BgL_index1173z00_2410); }  else 
{ /* Llib/fs.scm 169 */BFALSE; } } 
{ /* Llib/fs.scm 169 */
 obj_t BgL_arg1578z00_2411; obj_t BgL_arg1582z00_2412;
BgL_arg1578z00_2411 = 
VECTOR_REF(BgL_opt1166z00_8,0L); 
BgL_arg1582z00_2412 = 
VECTOR_REF(BgL_opt1166z00_8,1L); 
{ /* Llib/fs.scm 169 */
 obj_t BgL_callbackz00_2413;
BgL_callbackz00_2413 = BgL_callbackz00_2407; 
{ /* Llib/fs.scm 169 */
 obj_t BgL_loopz00_2414;
BgL_loopz00_2414 = BgL_loopz00_2408; 
return 
BINT(
bgl_uv_fs_rename(
BSTRING_TO_STRING(
((obj_t)BgL_arg1578z00_2411)), 
BSTRING_TO_STRING(
((obj_t)BgL_arg1582z00_2412)), BgL_callbackz00_2413, 
((BgL_uvloopz00_bglt)BgL_loopz00_2414)));} } } } } } } } 

}



/* search1169~0 */
long BGl_search1169ze70ze7zz__libuv_fsz00(long BgL_l1168z00_2393, obj_t BgL_opt1166z00_2392, obj_t BgL_k1z00_1071, long BgL_iz00_1072)
{
{ /* Llib/fs.scm 169 */
BGl_search1169ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1072==BgL_l1168z00_2393))
{ /* Llib/fs.scm 169 */
return (-1L);}  else 
{ /* Llib/fs.scm 169 */
 obj_t BgL_vz00_1074;
BgL_vz00_1074 = 
VECTOR_REF(BgL_opt1166z00_2392,BgL_iz00_1072); 
if(
(BgL_vz00_1074==BgL_k1z00_1071))
{ /* Llib/fs.scm 169 */
return 
(BgL_iz00_1072+1L);}  else 
{ 
 long BgL_iz00_2965;
BgL_iz00_2965 = 
(BgL_iz00_1072+2L); 
BgL_iz00_1072 = BgL_iz00_2965; 
goto BGl_search1169ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-rename */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2renamez00zz__libuv_fsz00(obj_t BgL_oldz00_4, obj_t BgL_newz00_5, obj_t BgL_callbackz00_6, obj_t BgL_loopz00_7)
{
{ /* Llib/fs.scm 169 */
return 
bgl_uv_fs_rename(
BSTRING_TO_STRING(BgL_oldz00_4), 
BSTRING_TO_STRING(BgL_newz00_5), BgL_callbackz00_6, 
((BgL_uvloopz00_bglt)BgL_loopz00_7));} 

}



/* _uv-fs-ftruncate */
obj_t BGl__uvzd2fszd2ftruncatez00zz__libuv_fsz00(obj_t BgL_env1179z00_15, obj_t BgL_opt1178z00_14)
{
{ /* Llib/fs.scm 175 */
{ /* Llib/fs.scm 175 */
 obj_t BgL_g1186z00_2415; obj_t BgL_g1187z00_2416;
BgL_g1186z00_2415 = 
VECTOR_REF(BgL_opt1178z00_14,0L); 
BgL_g1187z00_2416 = 
VECTOR_REF(BgL_opt1178z00_14,1L); 
{ /* Llib/fs.scm 175 */
 obj_t BgL_callbackz00_2417;
BgL_callbackz00_2417 = BFALSE; 
{ /* Llib/fs.scm 175 */
 obj_t BgL_loopz00_2418;
BgL_loopz00_2418 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 175 */

{ /* Llib/fs.scm 175 */
 long BgL_index1184z00_2419;
BgL_index1184z00_2419 = 
BGl_search1181ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1178z00_14)), BgL_opt1178z00_14, 
((obj_t)
CNST_TABLE_REF(1)), 2L); 
if(
(BgL_index1184z00_2419>=0L))
{ /* Llib/fs.scm 175 */
BgL_callbackz00_2417 = 
VECTOR_REF(BgL_opt1178z00_14,BgL_index1184z00_2419); }  else 
{ /* Llib/fs.scm 175 */BFALSE; } } 
{ /* Llib/fs.scm 175 */
 long BgL_index1185z00_2420;
BgL_index1185z00_2420 = 
BGl_search1181ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1178z00_14)), BgL_opt1178z00_14, 
((obj_t)
CNST_TABLE_REF(2)), 2L); 
if(
(BgL_index1185z00_2420>=0L))
{ /* Llib/fs.scm 175 */
BgL_loopz00_2418 = 
VECTOR_REF(BgL_opt1178z00_14,BgL_index1185z00_2420); }  else 
{ /* Llib/fs.scm 175 */BFALSE; } } 
{ /* Llib/fs.scm 175 */
 obj_t BgL_arg1603z00_2421; obj_t BgL_arg1610z00_2422;
BgL_arg1603z00_2421 = 
VECTOR_REF(BgL_opt1178z00_14,0L); 
BgL_arg1610z00_2422 = 
VECTOR_REF(BgL_opt1178z00_14,1L); 
{ /* Llib/fs.scm 175 */
 obj_t BgL_callbackz00_2423;
BgL_callbackz00_2423 = BgL_callbackz00_2417; 
{ /* Llib/fs.scm 175 */
 obj_t BgL_loopz00_2424;
BgL_loopz00_2424 = BgL_loopz00_2418; 
{ /* Llib/fs.scm 175 */
 int64_t BgL_offsetz00_2425;
BgL_offsetz00_2425 = 
BGL_BINT64_TO_INT64(BgL_arg1610z00_2422); 
return 
BINT(
bgl_uv_fs_ftruncate(
((BgL_uvfilez00_bglt)BgL_arg1603z00_2421), BgL_offsetz00_2425, BgL_callbackz00_2423, 
((BgL_uvloopz00_bglt)BgL_loopz00_2424)));} } } } } } } } } 

}



/* search1181~0 */
long BGl_search1181ze70ze7zz__libuv_fsz00(long BgL_l1180z00_2391, obj_t BgL_opt1178z00_2390, obj_t BgL_k1z00_1099, long BgL_iz00_1100)
{
{ /* Llib/fs.scm 175 */
BGl_search1181ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1100==BgL_l1180z00_2391))
{ /* Llib/fs.scm 175 */
return (-1L);}  else 
{ /* Llib/fs.scm 175 */
 obj_t BgL_vz00_1102;
BgL_vz00_1102 = 
VECTOR_REF(BgL_opt1178z00_2390,BgL_iz00_1100); 
if(
(BgL_vz00_1102==BgL_k1z00_1099))
{ /* Llib/fs.scm 175 */
return 
(BgL_iz00_1100+1L);}  else 
{ 
 long BgL_iz00_3004;
BgL_iz00_3004 = 
(BgL_iz00_1100+2L); 
BgL_iz00_1100 = BgL_iz00_3004; 
goto BGl_search1181ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-ftruncate */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2ftruncatez00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_filez00_10, int64_t BgL_offsetz00_11, obj_t BgL_callbackz00_12, obj_t BgL_loopz00_13)
{
{ /* Llib/fs.scm 175 */
return 
bgl_uv_fs_ftruncate(BgL_filez00_10, BgL_offsetz00_11, BgL_callbackz00_12, 
((BgL_uvloopz00_bglt)BgL_loopz00_13));} 

}



/* _uv-fs-truncate */
obj_t BGl__uvzd2fszd2truncatez00zz__libuv_fsz00(obj_t BgL_env1189z00_21, obj_t BgL_opt1188z00_20)
{
{ /* Llib/fs.scm 181 */
{ /* Llib/fs.scm 181 */
 obj_t BgL_g1196z00_286; obj_t BgL_g1198z00_287;
BgL_g1196z00_286 = 
VECTOR_REF(BgL_opt1188z00_20,0L); 
BgL_g1198z00_287 = 
VECTOR_REF(BgL_opt1188z00_20,1L); 
{ /* Llib/fs.scm 181 */
 obj_t BgL_callbackz00_288;
BgL_callbackz00_288 = BFALSE; 
{ /* Llib/fs.scm 181 */
 obj_t BgL_loopz00_289;
BgL_loopz00_289 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 181 */

{ /* Llib/fs.scm 181 */
 long BgL_index1194z00_290;
{ 
 long BgL_iz00_1131;
BgL_iz00_1131 = 2L; 
BgL_search1191z00_1130:
if(
(BgL_iz00_1131==
VECTOR_LENGTH(
((obj_t)BgL_opt1188z00_20))))
{ /* Llib/fs.scm 181 */
BgL_index1194z00_290 = (-1L); }  else 
{ /* Llib/fs.scm 181 */
 obj_t BgL_vz00_1135;
BgL_vz00_1135 = 
VECTOR_REF(BgL_opt1188z00_20,BgL_iz00_1131); 
if(
(BgL_vz00_1135==
((obj_t)
CNST_TABLE_REF(1))))
{ /* Llib/fs.scm 181 */
BgL_index1194z00_290 = 
(BgL_iz00_1131+1L); }  else 
{ 
 long BgL_iz00_3022;
BgL_iz00_3022 = 
(BgL_iz00_1131+2L); 
BgL_iz00_1131 = BgL_iz00_3022; 
goto BgL_search1191z00_1130;} } } 
if(
(BgL_index1194z00_290>=0L))
{ /* Llib/fs.scm 181 */
BgL_callbackz00_288 = 
VECTOR_REF(BgL_opt1188z00_20,BgL_index1194z00_290); }  else 
{ /* Llib/fs.scm 181 */BFALSE; } } 
{ /* Llib/fs.scm 181 */
 long BgL_index1195z00_292;
{ 
 long BgL_iz00_1141;
BgL_iz00_1141 = 2L; 
BgL_search1191z00_1140:
if(
(BgL_iz00_1141==
VECTOR_LENGTH(
((obj_t)BgL_opt1188z00_20))))
{ /* Llib/fs.scm 181 */
BgL_index1195z00_292 = (-1L); }  else 
{ /* Llib/fs.scm 181 */
 obj_t BgL_vz00_1145;
BgL_vz00_1145 = 
VECTOR_REF(BgL_opt1188z00_20,BgL_iz00_1141); 
if(
(BgL_vz00_1145==
((obj_t)
CNST_TABLE_REF(2))))
{ /* Llib/fs.scm 181 */
BgL_index1195z00_292 = 
(BgL_iz00_1141+1L); }  else 
{ 
 long BgL_iz00_3037;
BgL_iz00_3037 = 
(BgL_iz00_1141+2L); 
BgL_iz00_1141 = BgL_iz00_3037; 
goto BgL_search1191z00_1140;} } } 
if(
(BgL_index1195z00_292>=0L))
{ /* Llib/fs.scm 181 */
BgL_loopz00_289 = 
VECTOR_REF(BgL_opt1188z00_20,BgL_index1195z00_292); }  else 
{ /* Llib/fs.scm 181 */BFALSE; } } 
{ /* Llib/fs.scm 181 */
 obj_t BgL_arg1620z00_294; obj_t BgL_arg1632z00_295;
BgL_arg1620z00_294 = 
VECTOR_REF(BgL_opt1188z00_20,0L); 
BgL_arg1632z00_295 = 
VECTOR_REF(BgL_opt1188z00_20,1L); 
{ /* Llib/fs.scm 181 */
 obj_t BgL_callbackz00_296;
BgL_callbackz00_296 = BgL_callbackz00_288; 
{ /* Llib/fs.scm 181 */
 obj_t BgL_loopz00_297;
BgL_loopz00_297 = BgL_loopz00_289; 
return 
BINT(
BGl_uvzd2fszd2truncatez00zz__libuv_fsz00(BgL_arg1620z00_294, 
(long)CINT(BgL_arg1632z00_295), BgL_callbackz00_296, BgL_loopz00_297));} } } } } } } } 

}



/* uv-fs-truncate */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2truncatez00zz__libuv_fsz00(obj_t BgL_pathz00_16, long BgL_offsetz00_17, obj_t BgL_callbackz00_18, obj_t BgL_loopz00_19)
{
{ /* Llib/fs.scm 181 */
if(
PROCEDUREP(BgL_callbackz00_18))
{ /* Llib/fs.scm 186 */
 obj_t BgL_zc3z04anonymousza31652ze3z87_2315;
BgL_zc3z04anonymousza31652ze3z87_2315 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31652ze3ze5zz__libuv_fsz00, 
(int)(1L), 
(int)(3L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31652ze3z87_2315, 
(int)(0L), BgL_callbackz00_18); 
PROCEDURE_SET(BgL_zc3z04anonymousza31652ze3z87_2315, 
(int)(1L), 
BINT(BgL_offsetz00_17)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31652ze3z87_2315, 
(int)(2L), BgL_loopz00_19); 
{ /* Llib/fs.scm 183 */
 obj_t BgL_flagsz00_1193;
BgL_flagsz00_1193 = 
((obj_t)
CNST_TABLE_REF(3)); 
{ /* Llib/fs.scm 299 */
 obj_t BgL_fz00_1194;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_flagsz00_1193))
{ /* Llib/fs.scm 300 */
BgL_fz00_1194 = BgL_flagsz00_1193; }  else 
{ /* Llib/fs.scm 300 */
if(
SYMBOLP(BgL_flagsz00_1193))
{ /* Llib/fs.scm 301 */
BgL_fz00_1194 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_flagsz00_1193)); }  else 
{ /* Llib/fs.scm 301 */
if(
STRINGP(BgL_flagsz00_1193))
{ /* Llib/fs.scm 302 */
 obj_t BgL_arg1883z00_1198;
BgL_arg1883z00_1198 = 
bstring_to_symbol(BgL_flagsz00_1193); 
BgL_fz00_1194 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_arg1883z00_1198)); }  else 
{ /* Llib/fs.scm 302 */
BgL_fz00_1194 = 
BGl_errorz00zz__errorz00(BGl_string2031z00zz__libuv_fsz00, BGl_string2032z00zz__libuv_fsz00, BgL_flagsz00_1193); } } } 
return 
CINT(
bgl_uv_fs_open(BgL_pathz00_16, 
CINT(BgL_fz00_1194), 
(int)(438L), BgL_zc3z04anonymousza31652ze3z87_2315, 
((BgL_uvloopz00_bglt)BgL_loopz00_19)));} } }  else 
{ /* Llib/fs.scm 196 */
 obj_t BgL_fdz00_323;
{ /* Llib/fs.scm 196 */
 BgL_uvloopz00_bglt BgL_loopz00_331;
BgL_loopz00_331 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 196 */
 obj_t BgL_flagsz00_1201;
BgL_flagsz00_1201 = 
((obj_t)
CNST_TABLE_REF(3)); 
{ /* Llib/fs.scm 299 */
 obj_t BgL_fz00_1202;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_flagsz00_1201))
{ /* Llib/fs.scm 300 */
BgL_fz00_1202 = BgL_flagsz00_1201; }  else 
{ /* Llib/fs.scm 300 */
if(
SYMBOLP(BgL_flagsz00_1201))
{ /* Llib/fs.scm 301 */
BgL_fz00_1202 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_flagsz00_1201)); }  else 
{ /* Llib/fs.scm 301 */
if(
STRINGP(BgL_flagsz00_1201))
{ /* Llib/fs.scm 302 */
 obj_t BgL_arg1883z00_1206;
BgL_arg1883z00_1206 = 
bstring_to_symbol(BgL_flagsz00_1201); 
BgL_fz00_1202 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_arg1883z00_1206)); }  else 
{ /* Llib/fs.scm 302 */
BgL_fz00_1202 = 
BGl_errorz00zz__errorz00(BGl_string2031z00zz__libuv_fsz00, BGl_string2032z00zz__libuv_fsz00, BgL_flagsz00_1201); } } } 
BgL_fdz00_323 = 
bgl_uv_fs_open(BgL_pathz00_16, 
CINT(BgL_fz00_1202), 
(int)(438L), BFALSE, BgL_loopz00_331); } } } 
{ /* Llib/fs.scm 197 */
 bool_t BgL_test2105z00_3096;
{ /* Llib/fs.scm 197 */
 obj_t BgL_classz00_1208;
BgL_classz00_1208 = BGl_UvFilez00zz__libuv_typesz00; 
if(
BGL_OBJECTP(BgL_fdz00_323))
{ /* Llib/fs.scm 197 */
 BgL_objectz00_bglt BgL_arg1827z00_1210;
BgL_arg1827z00_1210 = 
(BgL_objectz00_bglt)(BgL_fdz00_323); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/fs.scm 197 */
 long BgL_idxz00_1216;
BgL_idxz00_1216 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1210); 
BgL_test2105z00_3096 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1216+1L))==BgL_classz00_1208); }  else 
{ /* Llib/fs.scm 197 */
 bool_t BgL_res2030z00_1241;
{ /* Llib/fs.scm 197 */
 obj_t BgL_oclassz00_1224;
{ /* Llib/fs.scm 197 */
 obj_t BgL_arg1834z00_1232; long BgL_arg1835z00_1233;
BgL_arg1834z00_1232 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/fs.scm 197 */
 long BgL_arg1836z00_1234;
BgL_arg1836z00_1234 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1210); 
BgL_arg1835z00_1233 = 
(BgL_arg1836z00_1234-OBJECT_TYPE); } 
BgL_oclassz00_1224 = 
VECTOR_REF(BgL_arg1834z00_1232,BgL_arg1835z00_1233); } 
{ /* Llib/fs.scm 197 */
 bool_t BgL__ortest_1114z00_1225;
BgL__ortest_1114z00_1225 = 
(BgL_classz00_1208==BgL_oclassz00_1224); 
if(BgL__ortest_1114z00_1225)
{ /* Llib/fs.scm 197 */
BgL_res2030z00_1241 = BgL__ortest_1114z00_1225; }  else 
{ /* Llib/fs.scm 197 */
 long BgL_odepthz00_1226;
{ /* Llib/fs.scm 197 */
 obj_t BgL_arg1824z00_1227;
BgL_arg1824z00_1227 = 
(BgL_oclassz00_1224); 
BgL_odepthz00_1226 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1227); } 
if(
(1L<BgL_odepthz00_1226))
{ /* Llib/fs.scm 197 */
 obj_t BgL_arg1822z00_1229;
{ /* Llib/fs.scm 197 */
 obj_t BgL_arg1823z00_1230;
BgL_arg1823z00_1230 = 
(BgL_oclassz00_1224); 
BgL_arg1822z00_1229 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1230, 1L); } 
BgL_res2030z00_1241 = 
(BgL_arg1822z00_1229==BgL_classz00_1208); }  else 
{ /* Llib/fs.scm 197 */
BgL_res2030z00_1241 = ((bool_t)0); } } } } 
BgL_test2105z00_3096 = BgL_res2030z00_1241; } }  else 
{ /* Llib/fs.scm 197 */
BgL_test2105z00_3096 = ((bool_t)0)
; } } 
if(BgL_test2105z00_3096)
{ /* Llib/fs.scm 198 */
 int BgL_resz00_325;
{ /* Llib/fs.scm 198 */
 BgL_uvloopz00_bglt BgL_loopz00_329;
BgL_loopz00_329 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 198 */
 int64_t BgL_offsetz00_1243;
BgL_offsetz00_1243 = 
(int64_t)(BgL_offsetz00_17); 
BgL_resz00_325 = 
bgl_uv_fs_ftruncate(
((BgL_uvfilez00_bglt)BgL_fdz00_323), BgL_offsetz00_1243, BFALSE, BgL_loopz00_329); } } 
{ /* Llib/fs.scm 199 */
 BgL_uvloopz00_bglt BgL_loopz00_327;
BgL_loopz00_327 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
bgl_uv_fs_close(
((BgL_uvfilez00_bglt)BgL_fdz00_323), BFALSE, BgL_loopz00_327); } 
return BgL_resz00_325;}  else 
{ /* Llib/fs.scm 197 */
return 
CINT(BgL_fdz00_323);} } } } 

}



/* &<@anonymous:1652> */
obj_t BGl_z62zc3z04anonymousza31652ze3ze5zz__libuv_fsz00(obj_t BgL_envz00_2316, obj_t BgL_fdz00_2320)
{
{ /* Llib/fs.scm 185 */
{ /* Llib/fs.scm 186 */
 obj_t BgL_callbackz00_2317; long BgL_offsetz00_2318; obj_t BgL_loopz00_2319;
BgL_callbackz00_2317 = 
PROCEDURE_REF(BgL_envz00_2316, 
(int)(0L)); 
BgL_offsetz00_2318 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_2316, 
(int)(1L))); 
BgL_loopz00_2319 = 
PROCEDURE_REF(BgL_envz00_2316, 
(int)(2L)); 
{ /* Llib/fs.scm 186 */
 bool_t BgL_test2110z00_3134;
{ /* Llib/fs.scm 186 */
 obj_t BgL_classz00_2426;
BgL_classz00_2426 = BGl_UvFilez00zz__libuv_typesz00; 
if(
BGL_OBJECTP(BgL_fdz00_2320))
{ /* Llib/fs.scm 186 */
 BgL_objectz00_bglt BgL_arg1827z00_2427;
BgL_arg1827z00_2427 = 
(BgL_objectz00_bglt)(BgL_fdz00_2320); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/fs.scm 186 */
 long BgL_idxz00_2428;
BgL_idxz00_2428 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_2427); 
BgL_test2110z00_3134 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2428+1L))==BgL_classz00_2426); }  else 
{ /* Llib/fs.scm 186 */
 bool_t BgL_res2029z00_2431;
{ /* Llib/fs.scm 186 */
 obj_t BgL_oclassz00_2432;
{ /* Llib/fs.scm 186 */
 obj_t BgL_arg1834z00_2433; long BgL_arg1835z00_2434;
BgL_arg1834z00_2433 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/fs.scm 186 */
 long BgL_arg1836z00_2435;
BgL_arg1836z00_2435 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_2427); 
BgL_arg1835z00_2434 = 
(BgL_arg1836z00_2435-OBJECT_TYPE); } 
BgL_oclassz00_2432 = 
VECTOR_REF(BgL_arg1834z00_2433,BgL_arg1835z00_2434); } 
{ /* Llib/fs.scm 186 */
 bool_t BgL__ortest_1114z00_2436;
BgL__ortest_1114z00_2436 = 
(BgL_classz00_2426==BgL_oclassz00_2432); 
if(BgL__ortest_1114z00_2436)
{ /* Llib/fs.scm 186 */
BgL_res2029z00_2431 = BgL__ortest_1114z00_2436; }  else 
{ /* Llib/fs.scm 186 */
 long BgL_odepthz00_2437;
{ /* Llib/fs.scm 186 */
 obj_t BgL_arg1824z00_2438;
BgL_arg1824z00_2438 = 
(BgL_oclassz00_2432); 
BgL_odepthz00_2437 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_2438); } 
if(
(1L<BgL_odepthz00_2437))
{ /* Llib/fs.scm 186 */
 obj_t BgL_arg1822z00_2439;
{ /* Llib/fs.scm 186 */
 obj_t BgL_arg1823z00_2440;
BgL_arg1823z00_2440 = 
(BgL_oclassz00_2432); 
BgL_arg1822z00_2439 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_2440, 1L); } 
BgL_res2029z00_2431 = 
(BgL_arg1822z00_2439==BgL_classz00_2426); }  else 
{ /* Llib/fs.scm 186 */
BgL_res2029z00_2431 = ((bool_t)0); } } } } 
BgL_test2110z00_3134 = BgL_res2029z00_2431; } }  else 
{ /* Llib/fs.scm 186 */
BgL_test2110z00_3134 = ((bool_t)0)
; } } 
if(BgL_test2110z00_3134)
{ /* Llib/fs.scm 187 */
 int64_t BgL_arg1654z00_2441;
BgL_arg1654z00_2441 = 
(int64_t)(BgL_offsetz00_2318); 
{ /* Llib/fs.scm 191 */
 obj_t BgL_zc3z04anonymousza31668ze3z87_2442;
BgL_zc3z04anonymousza31668ze3z87_2442 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31668ze3ze5zz__libuv_fsz00, 
(int)(1L), 
(int)(3L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31668ze3z87_2442, 
(int)(0L), BgL_callbackz00_2317); 
PROCEDURE_SET(BgL_zc3z04anonymousza31668ze3z87_2442, 
(int)(1L), BgL_fdz00_2320); 
PROCEDURE_SET(BgL_zc3z04anonymousza31668ze3z87_2442, 
(int)(2L), BgL_loopz00_2319); 
return 
BINT(
bgl_uv_fs_ftruncate(
((BgL_uvfilez00_bglt)BgL_fdz00_2320), BgL_arg1654z00_2441, BgL_zc3z04anonymousza31668ze3z87_2442, 
((BgL_uvloopz00_bglt)BgL_loopz00_2319)));} }  else 
{ /* Llib/fs.scm 186 */
return 
BGL_PROCEDURE_CALL1(BgL_callbackz00_2317, BgL_fdz00_2320);} } } } 

}



/* &<@anonymous:1668> */
obj_t BGl_z62zc3z04anonymousza31668ze3ze5zz__libuv_fsz00(obj_t BgL_envz00_2321, obj_t BgL_resz00_2325)
{
{ /* Llib/fs.scm 189 */
{ /* Llib/fs.scm 191 */
 obj_t BgL_callbackz00_2322; obj_t BgL_fdz00_2323; obj_t BgL_loopz00_2324;
BgL_callbackz00_2322 = 
PROCEDURE_REF(BgL_envz00_2321, 
(int)(0L)); 
BgL_fdz00_2323 = 
PROCEDURE_REF(BgL_envz00_2321, 
(int)(1L)); 
BgL_loopz00_2324 = 
PROCEDURE_REF(BgL_envz00_2321, 
(int)(2L)); 
{ /* Llib/fs.scm 191 */
 int BgL_tmpz00_3181;
{ /* Llib/fs.scm 191 */
 obj_t BgL_zc3z04anonymousza31692ze3z87_2443;
BgL_zc3z04anonymousza31692ze3z87_2443 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31692ze3ze5zz__libuv_fsz00, 
(int)(1L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31692ze3z87_2443, 
(int)(0L), BgL_callbackz00_2322); 
PROCEDURE_SET(BgL_zc3z04anonymousza31692ze3z87_2443, 
(int)(1L), BgL_resz00_2325); 
BgL_tmpz00_3181 = 
bgl_uv_fs_close(
((BgL_uvfilez00_bglt)BgL_fdz00_2323), BgL_zc3z04anonymousza31692ze3z87_2443, 
((BgL_uvloopz00_bglt)BgL_loopz00_2324)); } 
return 
BINT(BgL_tmpz00_3181);} } } 

}



/* &<@anonymous:1692> */
obj_t BGl_z62zc3z04anonymousza31692ze3ze5zz__libuv_fsz00(obj_t BgL_envz00_2326, obj_t BgL_objz00_2329)
{
{ /* Llib/fs.scm 191 */
{ /* Llib/fs.scm 191 */
 obj_t BgL_callbackz00_2327; obj_t BgL_resz00_2328;
BgL_callbackz00_2327 = 
PROCEDURE_REF(BgL_envz00_2326, 
(int)(0L)); 
BgL_resz00_2328 = 
PROCEDURE_REF(BgL_envz00_2326, 
(int)(1L)); 
return 
BGL_PROCEDURE_CALL1(BgL_callbackz00_2327, BgL_resz00_2328);} } 

}



/* _uv-fs-chown */
obj_t BGl__uvzd2fszd2chownz00zz__libuv_fsz00(obj_t BgL_env1200z00_28, obj_t BgL_opt1199z00_27)
{
{ /* Llib/fs.scm 206 */
{ /* Llib/fs.scm 206 */
 obj_t BgL_g1207z00_2444; obj_t BgL_g1208z00_2445; obj_t BgL_g1209z00_2446;
BgL_g1207z00_2444 = 
VECTOR_REF(BgL_opt1199z00_27,0L); 
BgL_g1208z00_2445 = 
VECTOR_REF(BgL_opt1199z00_27,1L); 
BgL_g1209z00_2446 = 
VECTOR_REF(BgL_opt1199z00_27,2L); 
{ /* Llib/fs.scm 206 */
 obj_t BgL_callbackz00_2447;
BgL_callbackz00_2447 = BFALSE; 
{ /* Llib/fs.scm 206 */
 obj_t BgL_loopz00_2448;
BgL_loopz00_2448 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 206 */

{ /* Llib/fs.scm 206 */
 long BgL_index1205z00_2449;
BgL_index1205z00_2449 = 
BGl_search1202ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1199z00_27)), BgL_opt1199z00_27, 
((obj_t)
CNST_TABLE_REF(1)), 3L); 
if(
(BgL_index1205z00_2449>=0L))
{ /* Llib/fs.scm 206 */
BgL_callbackz00_2447 = 
VECTOR_REF(BgL_opt1199z00_27,BgL_index1205z00_2449); }  else 
{ /* Llib/fs.scm 206 */BFALSE; } } 
{ /* Llib/fs.scm 206 */
 long BgL_index1206z00_2450;
BgL_index1206z00_2450 = 
BGl_search1202ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1199z00_27)), BgL_opt1199z00_27, 
((obj_t)
CNST_TABLE_REF(2)), 3L); 
if(
(BgL_index1206z00_2450>=0L))
{ /* Llib/fs.scm 206 */
BgL_loopz00_2448 = 
VECTOR_REF(BgL_opt1199z00_27,BgL_index1206z00_2450); }  else 
{ /* Llib/fs.scm 206 */BFALSE; } } 
{ /* Llib/fs.scm 206 */
 obj_t BgL_arg1698z00_2451; obj_t BgL_arg1705z00_2452; obj_t BgL_arg1707z00_2453;
BgL_arg1698z00_2451 = 
VECTOR_REF(BgL_opt1199z00_27,0L); 
BgL_arg1705z00_2452 = 
VECTOR_REF(BgL_opt1199z00_27,1L); 
BgL_arg1707z00_2453 = 
VECTOR_REF(BgL_opt1199z00_27,2L); 
{ /* Llib/fs.scm 206 */
 obj_t BgL_callbackz00_2454;
BgL_callbackz00_2454 = BgL_callbackz00_2447; 
{ /* Llib/fs.scm 206 */
 obj_t BgL_loopz00_2455;
BgL_loopz00_2455 = BgL_loopz00_2448; 
{ /* Llib/fs.scm 206 */
 int BgL_uidz00_2456; int BgL_gidz00_2457;
BgL_uidz00_2456 = 
CINT(BgL_arg1705z00_2452); 
BgL_gidz00_2457 = 
CINT(BgL_arg1707z00_2453); 
return 
BINT(
bgl_uv_fs_chown(
BSTRING_TO_STRING(
((obj_t)BgL_arg1698z00_2451)), BgL_uidz00_2456, BgL_gidz00_2457, BgL_callbackz00_2454, 
((BgL_uvloopz00_bglt)BgL_loopz00_2455)));} } } } } } } } } 

}



/* search1202~0 */
long BGl_search1202ze70ze7zz__libuv_fsz00(long BgL_l1201z00_2389, obj_t BgL_opt1199z00_2388, obj_t BgL_k1z00_1247, long BgL_iz00_1248)
{
{ /* Llib/fs.scm 206 */
BGl_search1202ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1248==BgL_l1201z00_2389))
{ /* Llib/fs.scm 206 */
return (-1L);}  else 
{ /* Llib/fs.scm 206 */
 obj_t BgL_vz00_1250;
BgL_vz00_1250 = 
VECTOR_REF(BgL_opt1199z00_2388,BgL_iz00_1248); 
if(
(BgL_vz00_1250==BgL_k1z00_1247))
{ /* Llib/fs.scm 206 */
return 
(BgL_iz00_1248+1L);}  else 
{ 
 long BgL_iz00_3238;
BgL_iz00_3238 = 
(BgL_iz00_1248+2L); 
BgL_iz00_1248 = BgL_iz00_3238; 
goto BGl_search1202ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-chown */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2chownz00zz__libuv_fsz00(obj_t BgL_pathz00_22, int BgL_uidz00_23, int BgL_gidz00_24, obj_t BgL_callbackz00_25, obj_t BgL_loopz00_26)
{
{ /* Llib/fs.scm 206 */
return 
bgl_uv_fs_chown(
BSTRING_TO_STRING(BgL_pathz00_22), BgL_uidz00_23, BgL_gidz00_24, BgL_callbackz00_25, 
((BgL_uvloopz00_bglt)BgL_loopz00_26));} 

}



/* _uv-fs-fchown */
obj_t BGl__uvzd2fszd2fchownz00zz__libuv_fsz00(obj_t BgL_env1211z00_35, obj_t BgL_opt1210z00_34)
{
{ /* Llib/fs.scm 212 */
{ /* Llib/fs.scm 212 */
 obj_t BgL_g1218z00_2458; obj_t BgL_g1219z00_2459; obj_t BgL_g1220z00_2460;
BgL_g1218z00_2458 = 
VECTOR_REF(BgL_opt1210z00_34,0L); 
BgL_g1219z00_2459 = 
VECTOR_REF(BgL_opt1210z00_34,1L); 
BgL_g1220z00_2460 = 
VECTOR_REF(BgL_opt1210z00_34,2L); 
{ /* Llib/fs.scm 212 */
 obj_t BgL_callbackz00_2461;
BgL_callbackz00_2461 = BFALSE; 
{ /* Llib/fs.scm 212 */
 obj_t BgL_loopz00_2462;
BgL_loopz00_2462 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 212 */

{ /* Llib/fs.scm 212 */
 long BgL_index1216z00_2463;
BgL_index1216z00_2463 = 
BGl_search1213ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1210z00_34)), BgL_opt1210z00_34, 
((obj_t)
CNST_TABLE_REF(1)), 3L); 
if(
(BgL_index1216z00_2463>=0L))
{ /* Llib/fs.scm 212 */
BgL_callbackz00_2461 = 
VECTOR_REF(BgL_opt1210z00_34,BgL_index1216z00_2463); }  else 
{ /* Llib/fs.scm 212 */BFALSE; } } 
{ /* Llib/fs.scm 212 */
 long BgL_index1217z00_2464;
BgL_index1217z00_2464 = 
BGl_search1213ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1210z00_34)), BgL_opt1210z00_34, 
((obj_t)
CNST_TABLE_REF(2)), 3L); 
if(
(BgL_index1217z00_2464>=0L))
{ /* Llib/fs.scm 212 */
BgL_loopz00_2462 = 
VECTOR_REF(BgL_opt1210z00_34,BgL_index1217z00_2464); }  else 
{ /* Llib/fs.scm 212 */BFALSE; } } 
{ /* Llib/fs.scm 212 */
 obj_t BgL_arg1716z00_2465; obj_t BgL_arg1722z00_2466; obj_t BgL_arg1724z00_2467;
BgL_arg1716z00_2465 = 
VECTOR_REF(BgL_opt1210z00_34,0L); 
BgL_arg1722z00_2466 = 
VECTOR_REF(BgL_opt1210z00_34,1L); 
BgL_arg1724z00_2467 = 
VECTOR_REF(BgL_opt1210z00_34,2L); 
{ /* Llib/fs.scm 212 */
 obj_t BgL_callbackz00_2468;
BgL_callbackz00_2468 = BgL_callbackz00_2461; 
{ /* Llib/fs.scm 212 */
 obj_t BgL_loopz00_2469;
BgL_loopz00_2469 = BgL_loopz00_2462; 
{ /* Llib/fs.scm 212 */
 int BgL_uidz00_2470; int BgL_gidz00_2471;
BgL_uidz00_2470 = 
CINT(BgL_arg1722z00_2466); 
BgL_gidz00_2471 = 
CINT(BgL_arg1724z00_2467); 
return 
BINT(
bgl_uv_fs_fchown(
((BgL_uvfilez00_bglt)BgL_arg1716z00_2465), BgL_uidz00_2470, BgL_gidz00_2471, BgL_callbackz00_2468, 
((BgL_uvloopz00_bglt)BgL_loopz00_2469)));} } } } } } } } } 

}



/* search1213~0 */
long BGl_search1213ze70ze7zz__libuv_fsz00(long BgL_l1212z00_2387, obj_t BgL_opt1210z00_2386, obj_t BgL_k1z00_1278, long BgL_iz00_1279)
{
{ /* Llib/fs.scm 212 */
BGl_search1213ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1279==BgL_l1212z00_2387))
{ /* Llib/fs.scm 212 */
return (-1L);}  else 
{ /* Llib/fs.scm 212 */
 obj_t BgL_vz00_1281;
BgL_vz00_1281 = 
VECTOR_REF(BgL_opt1210z00_2386,BgL_iz00_1279); 
if(
(BgL_vz00_1281==BgL_k1z00_1278))
{ /* Llib/fs.scm 212 */
return 
(BgL_iz00_1279+1L);}  else 
{ 
 long BgL_iz00_3279;
BgL_iz00_3279 = 
(BgL_iz00_1279+2L); 
BgL_iz00_1279 = BgL_iz00_3279; 
goto BGl_search1213ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-fchown */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2fchownz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_29, int BgL_uidz00_30, int BgL_gidz00_31, obj_t BgL_callbackz00_32, obj_t BgL_loopz00_33)
{
{ /* Llib/fs.scm 212 */
return 
bgl_uv_fs_fchown(BgL_fdz00_29, BgL_uidz00_30, BgL_gidz00_31, BgL_callbackz00_32, 
((BgL_uvloopz00_bglt)BgL_loopz00_33));} 

}



/* _uv-fs-lchown */
obj_t BGl__uvzd2fszd2lchownz00zz__libuv_fsz00(obj_t BgL_env1222z00_42, obj_t BgL_opt1221z00_41)
{
{ /* Llib/fs.scm 218 */
{ /* Llib/fs.scm 218 */
 obj_t BgL_g1229z00_2472; obj_t BgL_g1231z00_2473; obj_t BgL_g1232z00_2474;
BgL_g1229z00_2472 = 
VECTOR_REF(BgL_opt1221z00_41,0L); 
BgL_g1231z00_2473 = 
VECTOR_REF(BgL_opt1221z00_41,1L); 
BgL_g1232z00_2474 = 
VECTOR_REF(BgL_opt1221z00_41,2L); 
{ /* Llib/fs.scm 218 */
 obj_t BgL_callbackz00_2475;
BgL_callbackz00_2475 = BFALSE; 
{ /* Llib/fs.scm 218 */
 obj_t BgL_loopz00_2476;
BgL_loopz00_2476 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 218 */

{ /* Llib/fs.scm 218 */
 long BgL_index1227z00_2477;
BgL_index1227z00_2477 = 
BGl_search1224ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1221z00_41)), BgL_opt1221z00_41, 
((obj_t)
CNST_TABLE_REF(1)), 3L); 
if(
(BgL_index1227z00_2477>=0L))
{ /* Llib/fs.scm 218 */
BgL_callbackz00_2475 = 
VECTOR_REF(BgL_opt1221z00_41,BgL_index1227z00_2477); }  else 
{ /* Llib/fs.scm 218 */BFALSE; } } 
{ /* Llib/fs.scm 218 */
 long BgL_index1228z00_2478;
BgL_index1228z00_2478 = 
BGl_search1224ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1221z00_41)), BgL_opt1221z00_41, 
((obj_t)
CNST_TABLE_REF(2)), 3L); 
if(
(BgL_index1228z00_2478>=0L))
{ /* Llib/fs.scm 218 */
BgL_loopz00_2476 = 
VECTOR_REF(BgL_opt1221z00_41,BgL_index1228z00_2478); }  else 
{ /* Llib/fs.scm 218 */BFALSE; } } 
{ /* Llib/fs.scm 218 */
 obj_t BgL_arg1737z00_2479; obj_t BgL_arg1738z00_2480; obj_t BgL_arg1740z00_2481;
BgL_arg1737z00_2479 = 
VECTOR_REF(BgL_opt1221z00_41,0L); 
BgL_arg1738z00_2480 = 
VECTOR_REF(BgL_opt1221z00_41,1L); 
BgL_arg1740z00_2481 = 
VECTOR_REF(BgL_opt1221z00_41,2L); 
{ /* Llib/fs.scm 218 */
 obj_t BgL_callbackz00_2482;
BgL_callbackz00_2482 = BgL_callbackz00_2475; 
{ /* Llib/fs.scm 218 */
 obj_t BgL_loopz00_2483;
BgL_loopz00_2483 = BgL_loopz00_2476; 
{ /* Llib/fs.scm 218 */
 int BgL_uidz00_2484; int BgL_gidz00_2485;
BgL_uidz00_2484 = 
CINT(BgL_arg1738z00_2480); 
BgL_gidz00_2485 = 
CINT(BgL_arg1740z00_2481); 
return 
BINT(
bgl_uv_fs_lchown(
BSTRING_TO_STRING(
((obj_t)BgL_arg1737z00_2479)), BgL_uidz00_2484, BgL_gidz00_2485, BgL_callbackz00_2482, 
((BgL_uvloopz00_bglt)BgL_loopz00_2483)));} } } } } } } } } 

}



/* search1224~0 */
long BGl_search1224ze70ze7zz__libuv_fsz00(long BgL_l1223z00_2385, obj_t BgL_opt1221z00_2384, obj_t BgL_k1z00_1309, long BgL_iz00_1310)
{
{ /* Llib/fs.scm 218 */
BGl_search1224ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1310==BgL_l1223z00_2385))
{ /* Llib/fs.scm 218 */
return (-1L);}  else 
{ /* Llib/fs.scm 218 */
 obj_t BgL_vz00_1312;
BgL_vz00_1312 = 
VECTOR_REF(BgL_opt1221z00_2384,BgL_iz00_1310); 
if(
(BgL_vz00_1312==BgL_k1z00_1309))
{ /* Llib/fs.scm 218 */
return 
(BgL_iz00_1310+1L);}  else 
{ 
 long BgL_iz00_3320;
BgL_iz00_3320 = 
(BgL_iz00_1310+2L); 
BgL_iz00_1310 = BgL_iz00_3320; 
goto BGl_search1224ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-lchown */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2lchownz00zz__libuv_fsz00(obj_t BgL_pathz00_36, int BgL_uidz00_37, int BgL_gidz00_38, obj_t BgL_callbackz00_39, obj_t BgL_loopz00_40)
{
{ /* Llib/fs.scm 218 */
return 
bgl_uv_fs_lchown(
BSTRING_TO_STRING(BgL_pathz00_36), BgL_uidz00_37, BgL_gidz00_38, BgL_callbackz00_39, 
((BgL_uvloopz00_bglt)BgL_loopz00_40));} 

}



/* _uv-fs-chmod */
obj_t BGl__uvzd2fszd2chmodz00zz__libuv_fsz00(obj_t BgL_env1234z00_48, obj_t BgL_opt1233z00_47)
{
{ /* Llib/fs.scm 224 */
{ /* Llib/fs.scm 224 */
 obj_t BgL_g1241z00_2486; obj_t BgL_g1242z00_2487;
BgL_g1241z00_2486 = 
VECTOR_REF(BgL_opt1233z00_47,0L); 
BgL_g1242z00_2487 = 
VECTOR_REF(BgL_opt1233z00_47,1L); 
{ /* Llib/fs.scm 224 */
 obj_t BgL_callbackz00_2488;
BgL_callbackz00_2488 = BFALSE; 
{ /* Llib/fs.scm 224 */
 obj_t BgL_loopz00_2489;
BgL_loopz00_2489 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 224 */

{ /* Llib/fs.scm 224 */
 long BgL_index1239z00_2490;
BgL_index1239z00_2490 = 
BGl_search1236ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1233z00_47)), BgL_opt1233z00_47, 
((obj_t)
CNST_TABLE_REF(1)), 2L); 
if(
(BgL_index1239z00_2490>=0L))
{ /* Llib/fs.scm 224 */
BgL_callbackz00_2488 = 
VECTOR_REF(BgL_opt1233z00_47,BgL_index1239z00_2490); }  else 
{ /* Llib/fs.scm 224 */BFALSE; } } 
{ /* Llib/fs.scm 224 */
 long BgL_index1240z00_2491;
BgL_index1240z00_2491 = 
BGl_search1236ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1233z00_47)), BgL_opt1233z00_47, 
((obj_t)
CNST_TABLE_REF(2)), 2L); 
if(
(BgL_index1240z00_2491>=0L))
{ /* Llib/fs.scm 224 */
BgL_loopz00_2489 = 
VECTOR_REF(BgL_opt1233z00_47,BgL_index1240z00_2491); }  else 
{ /* Llib/fs.scm 224 */BFALSE; } } 
{ /* Llib/fs.scm 224 */
 obj_t BgL_arg1755z00_2492; obj_t BgL_arg1756z00_2493;
BgL_arg1755z00_2492 = 
VECTOR_REF(BgL_opt1233z00_47,0L); 
BgL_arg1756z00_2493 = 
VECTOR_REF(BgL_opt1233z00_47,1L); 
{ /* Llib/fs.scm 224 */
 obj_t BgL_callbackz00_2494;
BgL_callbackz00_2494 = BgL_callbackz00_2488; 
{ /* Llib/fs.scm 224 */
 obj_t BgL_loopz00_2495;
BgL_loopz00_2495 = BgL_loopz00_2489; 
{ /* Llib/fs.scm 224 */
 int BgL_modez00_2496;
BgL_modez00_2496 = 
CINT(BgL_arg1756z00_2493); 
return 
BINT(
bgl_uv_fs_chmod(
BSTRING_TO_STRING(
((obj_t)BgL_arg1755z00_2492)), BgL_modez00_2496, BgL_callbackz00_2494, 
((BgL_uvloopz00_bglt)BgL_loopz00_2495)));} } } } } } } } } 

}



/* search1236~0 */
long BGl_search1236ze70ze7zz__libuv_fsz00(long BgL_l1235z00_2383, obj_t BgL_opt1233z00_2382, obj_t BgL_k1z00_1340, long BgL_iz00_1341)
{
{ /* Llib/fs.scm 224 */
BGl_search1236ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1341==BgL_l1235z00_2383))
{ /* Llib/fs.scm 224 */
return (-1L);}  else 
{ /* Llib/fs.scm 224 */
 obj_t BgL_vz00_1343;
BgL_vz00_1343 = 
VECTOR_REF(BgL_opt1233z00_2382,BgL_iz00_1341); 
if(
(BgL_vz00_1343==BgL_k1z00_1340))
{ /* Llib/fs.scm 224 */
return 
(BgL_iz00_1341+1L);}  else 
{ 
 long BgL_iz00_3359;
BgL_iz00_3359 = 
(BgL_iz00_1341+2L); 
BgL_iz00_1341 = BgL_iz00_3359; 
goto BGl_search1236ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-chmod */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2chmodz00zz__libuv_fsz00(obj_t BgL_pathz00_43, int BgL_modez00_44, obj_t BgL_callbackz00_45, obj_t BgL_loopz00_46)
{
{ /* Llib/fs.scm 224 */
return 
bgl_uv_fs_chmod(
BSTRING_TO_STRING(BgL_pathz00_43), BgL_modez00_44, BgL_callbackz00_45, 
((BgL_uvloopz00_bglt)BgL_loopz00_46));} 

}



/* _uv-fs-fchmod */
obj_t BGl__uvzd2fszd2fchmodz00zz__libuv_fsz00(obj_t BgL_env1244z00_54, obj_t BgL_opt1243z00_53)
{
{ /* Llib/fs.scm 230 */
{ /* Llib/fs.scm 230 */
 obj_t BgL_g1251z00_2497; obj_t BgL_g1252z00_2498;
BgL_g1251z00_2497 = 
VECTOR_REF(BgL_opt1243z00_53,0L); 
BgL_g1252z00_2498 = 
VECTOR_REF(BgL_opt1243z00_53,1L); 
{ /* Llib/fs.scm 230 */
 obj_t BgL_callbackz00_2499;
BgL_callbackz00_2499 = BFALSE; 
{ /* Llib/fs.scm 230 */
 obj_t BgL_loopz00_2500;
BgL_loopz00_2500 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 230 */

{ /* Llib/fs.scm 230 */
 long BgL_index1249z00_2501;
BgL_index1249z00_2501 = 
BGl_search1246ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1243z00_53)), BgL_opt1243z00_53, 
((obj_t)
CNST_TABLE_REF(1)), 2L); 
if(
(BgL_index1249z00_2501>=0L))
{ /* Llib/fs.scm 230 */
BgL_callbackz00_2499 = 
VECTOR_REF(BgL_opt1243z00_53,BgL_index1249z00_2501); }  else 
{ /* Llib/fs.scm 230 */BFALSE; } } 
{ /* Llib/fs.scm 230 */
 long BgL_index1250z00_2502;
BgL_index1250z00_2502 = 
BGl_search1246ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1243z00_53)), BgL_opt1243z00_53, 
((obj_t)
CNST_TABLE_REF(2)), 2L); 
if(
(BgL_index1250z00_2502>=0L))
{ /* Llib/fs.scm 230 */
BgL_loopz00_2500 = 
VECTOR_REF(BgL_opt1243z00_53,BgL_index1250z00_2502); }  else 
{ /* Llib/fs.scm 230 */BFALSE; } } 
{ /* Llib/fs.scm 230 */
 obj_t BgL_arg1761z00_2503; obj_t BgL_arg1762z00_2504;
BgL_arg1761z00_2503 = 
VECTOR_REF(BgL_opt1243z00_53,0L); 
BgL_arg1762z00_2504 = 
VECTOR_REF(BgL_opt1243z00_53,1L); 
{ /* Llib/fs.scm 230 */
 obj_t BgL_callbackz00_2505;
BgL_callbackz00_2505 = BgL_callbackz00_2499; 
{ /* Llib/fs.scm 230 */
 obj_t BgL_loopz00_2506;
BgL_loopz00_2506 = BgL_loopz00_2500; 
{ /* Llib/fs.scm 230 */
 int BgL_modez00_2507;
BgL_modez00_2507 = 
CINT(BgL_arg1762z00_2504); 
return 
BINT(
bgl_uv_fs_fchmod(
((BgL_uvfilez00_bglt)BgL_arg1761z00_2503), BgL_modez00_2507, BgL_callbackz00_2505, 
((BgL_uvloopz00_bglt)BgL_loopz00_2506)));} } } } } } } } } 

}



/* search1246~0 */
long BGl_search1246ze70ze7zz__libuv_fsz00(long BgL_l1245z00_2381, obj_t BgL_opt1243z00_2380, obj_t BgL_k1z00_1368, long BgL_iz00_1369)
{
{ /* Llib/fs.scm 230 */
BGl_search1246ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1369==BgL_l1245z00_2381))
{ /* Llib/fs.scm 230 */
return (-1L);}  else 
{ /* Llib/fs.scm 230 */
 obj_t BgL_vz00_1371;
BgL_vz00_1371 = 
VECTOR_REF(BgL_opt1243z00_2380,BgL_iz00_1369); 
if(
(BgL_vz00_1371==BgL_k1z00_1368))
{ /* Llib/fs.scm 230 */
return 
(BgL_iz00_1369+1L);}  else 
{ 
 long BgL_iz00_3397;
BgL_iz00_3397 = 
(BgL_iz00_1369+2L); 
BgL_iz00_1369 = BgL_iz00_3397; 
goto BGl_search1246ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-fchmod */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2fchmodz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_49, int BgL_modez00_50, obj_t BgL_callbackz00_51, obj_t BgL_loopz00_52)
{
{ /* Llib/fs.scm 230 */
return 
bgl_uv_fs_fchmod(BgL_fdz00_49, BgL_modez00_50, BgL_callbackz00_51, 
((BgL_uvloopz00_bglt)BgL_loopz00_52));} 

}



/* _uv-fs-link */
obj_t BGl__uvzd2fszd2linkz00zz__libuv_fsz00(obj_t BgL_env1254z00_60, obj_t BgL_opt1253z00_59)
{
{ /* Llib/fs.scm 236 */
{ /* Llib/fs.scm 236 */
 obj_t BgL_g1261z00_2508; obj_t BgL_g1262z00_2509;
BgL_g1261z00_2508 = 
VECTOR_REF(BgL_opt1253z00_59,0L); 
BgL_g1262z00_2509 = 
VECTOR_REF(BgL_opt1253z00_59,1L); 
{ /* Llib/fs.scm 236 */
 obj_t BgL_callbackz00_2510;
BgL_callbackz00_2510 = BFALSE; 
{ /* Llib/fs.scm 236 */
 obj_t BgL_loopz00_2511;
BgL_loopz00_2511 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 236 */

{ /* Llib/fs.scm 236 */
 long BgL_index1259z00_2512;
BgL_index1259z00_2512 = 
BGl_search1256ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1253z00_59)), BgL_opt1253z00_59, 
((obj_t)
CNST_TABLE_REF(1)), 2L); 
if(
(BgL_index1259z00_2512>=0L))
{ /* Llib/fs.scm 236 */
BgL_callbackz00_2510 = 
VECTOR_REF(BgL_opt1253z00_59,BgL_index1259z00_2512); }  else 
{ /* Llib/fs.scm 236 */BFALSE; } } 
{ /* Llib/fs.scm 236 */
 long BgL_index1260z00_2513;
BgL_index1260z00_2513 = 
BGl_search1256ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1253z00_59)), BgL_opt1253z00_59, 
((obj_t)
CNST_TABLE_REF(2)), 2L); 
if(
(BgL_index1260z00_2513>=0L))
{ /* Llib/fs.scm 236 */
BgL_loopz00_2511 = 
VECTOR_REF(BgL_opt1253z00_59,BgL_index1260z00_2513); }  else 
{ /* Llib/fs.scm 236 */BFALSE; } } 
{ /* Llib/fs.scm 236 */
 obj_t BgL_arg1772z00_2514; obj_t BgL_arg1773z00_2515;
BgL_arg1772z00_2514 = 
VECTOR_REF(BgL_opt1253z00_59,0L); 
BgL_arg1773z00_2515 = 
VECTOR_REF(BgL_opt1253z00_59,1L); 
{ /* Llib/fs.scm 236 */
 obj_t BgL_callbackz00_2516;
BgL_callbackz00_2516 = BgL_callbackz00_2510; 
{ /* Llib/fs.scm 236 */
 obj_t BgL_loopz00_2517;
BgL_loopz00_2517 = BgL_loopz00_2511; 
return 
BINT(
bgl_uv_fs_link(
BSTRING_TO_STRING(
((obj_t)BgL_arg1772z00_2514)), 
BSTRING_TO_STRING(
((obj_t)BgL_arg1773z00_2515)), BgL_callbackz00_2516, 
((BgL_uvloopz00_bglt)BgL_loopz00_2517)));} } } } } } } } 

}



/* search1256~0 */
long BGl_search1256ze70ze7zz__libuv_fsz00(long BgL_l1255z00_2379, obj_t BgL_opt1253z00_2378, obj_t BgL_k1z00_1396, long BgL_iz00_1397)
{
{ /* Llib/fs.scm 236 */
BGl_search1256ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1397==BgL_l1255z00_2379))
{ /* Llib/fs.scm 236 */
return (-1L);}  else 
{ /* Llib/fs.scm 236 */
 obj_t BgL_vz00_1399;
BgL_vz00_1399 = 
VECTOR_REF(BgL_opt1253z00_2378,BgL_iz00_1397); 
if(
(BgL_vz00_1399==BgL_k1z00_1396))
{ /* Llib/fs.scm 236 */
return 
(BgL_iz00_1397+1L);}  else 
{ 
 long BgL_iz00_3436;
BgL_iz00_3436 = 
(BgL_iz00_1397+2L); 
BgL_iz00_1397 = BgL_iz00_3436; 
goto BGl_search1256ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-link */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2linkz00zz__libuv_fsz00(obj_t BgL_oldz00_55, obj_t BgL_newz00_56, obj_t BgL_callbackz00_57, obj_t BgL_loopz00_58)
{
{ /* Llib/fs.scm 236 */
return 
bgl_uv_fs_link(
BSTRING_TO_STRING(BgL_oldz00_55), 
BSTRING_TO_STRING(BgL_newz00_56), BgL_callbackz00_57, 
((BgL_uvloopz00_bglt)BgL_loopz00_58));} 

}



/* _uv-fs-symlink */
obj_t BGl__uvzd2fszd2symlinkz00zz__libuv_fsz00(obj_t BgL_env1264z00_66, obj_t BgL_opt1263z00_65)
{
{ /* Llib/fs.scm 242 */
{ /* Llib/fs.scm 242 */
 obj_t BgL_g1271z00_2518; obj_t BgL_g1272z00_2519;
BgL_g1271z00_2518 = 
VECTOR_REF(BgL_opt1263z00_65,0L); 
BgL_g1272z00_2519 = 
VECTOR_REF(BgL_opt1263z00_65,1L); 
{ /* Llib/fs.scm 242 */
 obj_t BgL_callbackz00_2520;
BgL_callbackz00_2520 = BFALSE; 
{ /* Llib/fs.scm 242 */
 obj_t BgL_loopz00_2521;
BgL_loopz00_2521 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 242 */

{ /* Llib/fs.scm 242 */
 long BgL_index1269z00_2522;
BgL_index1269z00_2522 = 
BGl_search1266ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1263z00_65)), BgL_opt1263z00_65, 
((obj_t)
CNST_TABLE_REF(1)), 2L); 
if(
(BgL_index1269z00_2522>=0L))
{ /* Llib/fs.scm 242 */
BgL_callbackz00_2520 = 
VECTOR_REF(BgL_opt1263z00_65,BgL_index1269z00_2522); }  else 
{ /* Llib/fs.scm 242 */BFALSE; } } 
{ /* Llib/fs.scm 242 */
 long BgL_index1270z00_2523;
BgL_index1270z00_2523 = 
BGl_search1266ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1263z00_65)), BgL_opt1263z00_65, 
((obj_t)
CNST_TABLE_REF(2)), 2L); 
if(
(BgL_index1270z00_2523>=0L))
{ /* Llib/fs.scm 242 */
BgL_loopz00_2521 = 
VECTOR_REF(BgL_opt1263z00_65,BgL_index1270z00_2523); }  else 
{ /* Llib/fs.scm 242 */BFALSE; } } 
{ /* Llib/fs.scm 242 */
 obj_t BgL_arg1778z00_2524; obj_t BgL_arg1784z00_2525;
BgL_arg1778z00_2524 = 
VECTOR_REF(BgL_opt1263z00_65,0L); 
BgL_arg1784z00_2525 = 
VECTOR_REF(BgL_opt1263z00_65,1L); 
{ /* Llib/fs.scm 242 */
 obj_t BgL_callbackz00_2526;
BgL_callbackz00_2526 = BgL_callbackz00_2520; 
{ /* Llib/fs.scm 242 */
 obj_t BgL_loopz00_2527;
BgL_loopz00_2527 = BgL_loopz00_2521; 
return 
BINT(
bgl_uv_fs_symlink(
BSTRING_TO_STRING(
((obj_t)BgL_arg1778z00_2524)), 
BSTRING_TO_STRING(
((obj_t)BgL_arg1784z00_2525)), BgL_callbackz00_2526, 
((BgL_uvloopz00_bglt)BgL_loopz00_2527)));} } } } } } } } 

}



/* search1266~0 */
long BGl_search1266ze70ze7zz__libuv_fsz00(long BgL_l1265z00_2377, obj_t BgL_opt1263z00_2376, obj_t BgL_k1z00_1424, long BgL_iz00_1425)
{
{ /* Llib/fs.scm 242 */
BGl_search1266ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1425==BgL_l1265z00_2377))
{ /* Llib/fs.scm 242 */
return (-1L);}  else 
{ /* Llib/fs.scm 242 */
 obj_t BgL_vz00_1427;
BgL_vz00_1427 = 
VECTOR_REF(BgL_opt1263z00_2376,BgL_iz00_1425); 
if(
(BgL_vz00_1427==BgL_k1z00_1424))
{ /* Llib/fs.scm 242 */
return 
(BgL_iz00_1425+1L);}  else 
{ 
 long BgL_iz00_3477;
BgL_iz00_3477 = 
(BgL_iz00_1425+2L); 
BgL_iz00_1425 = BgL_iz00_3477; 
goto BGl_search1266ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-symlink */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2symlinkz00zz__libuv_fsz00(obj_t BgL_oldz00_61, obj_t BgL_newz00_62, obj_t BgL_callbackz00_63, obj_t BgL_loopz00_64)
{
{ /* Llib/fs.scm 242 */
return 
bgl_uv_fs_symlink(
BSTRING_TO_STRING(BgL_oldz00_61), 
BSTRING_TO_STRING(BgL_newz00_62), BgL_callbackz00_63, 
((BgL_uvloopz00_bglt)BgL_loopz00_64));} 

}



/* _uv-fs-readlink */
obj_t BGl__uvzd2fszd2readlinkz00zz__libuv_fsz00(obj_t BgL_env1274z00_71, obj_t BgL_opt1273z00_70)
{
{ /* Llib/fs.scm 248 */
{ /* Llib/fs.scm 248 */
 obj_t BgL_g1281z00_2528;
BgL_g1281z00_2528 = 
VECTOR_REF(BgL_opt1273z00_70,0L); 
{ /* Llib/fs.scm 248 */
 obj_t BgL_callbackz00_2529;
BgL_callbackz00_2529 = BFALSE; 
{ /* Llib/fs.scm 248 */
 obj_t BgL_loopz00_2530;
BgL_loopz00_2530 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 248 */

{ /* Llib/fs.scm 248 */
 long BgL_index1279z00_2531;
BgL_index1279z00_2531 = 
BGl_search1276ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1273z00_70)), BgL_opt1273z00_70, 
((obj_t)
CNST_TABLE_REF(1)), 1L); 
if(
(BgL_index1279z00_2531>=0L))
{ /* Llib/fs.scm 248 */
BgL_callbackz00_2529 = 
VECTOR_REF(BgL_opt1273z00_70,BgL_index1279z00_2531); }  else 
{ /* Llib/fs.scm 248 */BFALSE; } } 
{ /* Llib/fs.scm 248 */
 long BgL_index1280z00_2532;
BgL_index1280z00_2532 = 
BGl_search1276ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1273z00_70)), BgL_opt1273z00_70, 
((obj_t)
CNST_TABLE_REF(2)), 1L); 
if(
(BgL_index1280z00_2532>=0L))
{ /* Llib/fs.scm 248 */
BgL_loopz00_2530 = 
VECTOR_REF(BgL_opt1273z00_70,BgL_index1280z00_2532); }  else 
{ /* Llib/fs.scm 248 */BFALSE; } } 
{ /* Llib/fs.scm 248 */
 obj_t BgL_arg1792z00_2533;
BgL_arg1792z00_2533 = 
VECTOR_REF(BgL_opt1273z00_70,0L); 
{ /* Llib/fs.scm 248 */
 obj_t BgL_callbackz00_2534;
BgL_callbackz00_2534 = BgL_callbackz00_2529; 
{ /* Llib/fs.scm 248 */
 obj_t BgL_loopz00_2535;
BgL_loopz00_2535 = BgL_loopz00_2530; 
return 
bgl_uv_fs_readlink(
BSTRING_TO_STRING(
((obj_t)BgL_arg1792z00_2533)), BgL_callbackz00_2534, 
((BgL_uvloopz00_bglt)BgL_loopz00_2535));} } } } } } } } 

}



/* search1276~0 */
long BGl_search1276ze70ze7zz__libuv_fsz00(long BgL_l1275z00_2375, obj_t BgL_opt1273z00_2374, obj_t BgL_k1z00_1452, long BgL_iz00_1453)
{
{ /* Llib/fs.scm 248 */
BGl_search1276ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1453==BgL_l1275z00_2375))
{ /* Llib/fs.scm 248 */
return (-1L);}  else 
{ /* Llib/fs.scm 248 */
 obj_t BgL_vz00_1455;
BgL_vz00_1455 = 
VECTOR_REF(BgL_opt1273z00_2374,BgL_iz00_1453); 
if(
(BgL_vz00_1455==BgL_k1z00_1452))
{ /* Llib/fs.scm 248 */
return 
(BgL_iz00_1453+1L);}  else 
{ 
 long BgL_iz00_3513;
BgL_iz00_3513 = 
(BgL_iz00_1453+2L); 
BgL_iz00_1453 = BgL_iz00_3513; 
goto BGl_search1276ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-readlink */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2readlinkz00zz__libuv_fsz00(obj_t BgL_pathz00_67, obj_t BgL_callbackz00_68, obj_t BgL_loopz00_69)
{
{ /* Llib/fs.scm 248 */
return 
bgl_uv_fs_readlink(
BSTRING_TO_STRING(BgL_pathz00_67), BgL_callbackz00_68, 
((BgL_uvloopz00_bglt)BgL_loopz00_69));} 

}



/* _uv-fs-unlink */
obj_t BGl__uvzd2fszd2unlinkz00zz__libuv_fsz00(obj_t BgL_env1283z00_76, obj_t BgL_opt1282z00_75)
{
{ /* Llib/fs.scm 254 */
{ /* Llib/fs.scm 254 */
 obj_t BgL_g1290z00_2536;
BgL_g1290z00_2536 = 
VECTOR_REF(BgL_opt1282z00_75,0L); 
{ /* Llib/fs.scm 254 */
 obj_t BgL_callbackz00_2537;
BgL_callbackz00_2537 = BFALSE; 
{ /* Llib/fs.scm 254 */
 obj_t BgL_loopz00_2538;
BgL_loopz00_2538 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 254 */

{ /* Llib/fs.scm 254 */
 long BgL_index1288z00_2539;
BgL_index1288z00_2539 = 
BGl_search1285ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1282z00_75)), BgL_opt1282z00_75, 
((obj_t)
CNST_TABLE_REF(1)), 1L); 
if(
(BgL_index1288z00_2539>=0L))
{ /* Llib/fs.scm 254 */
BgL_callbackz00_2537 = 
VECTOR_REF(BgL_opt1282z00_75,BgL_index1288z00_2539); }  else 
{ /* Llib/fs.scm 254 */BFALSE; } } 
{ /* Llib/fs.scm 254 */
 long BgL_index1289z00_2540;
BgL_index1289z00_2540 = 
BGl_search1285ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1282z00_75)), BgL_opt1282z00_75, 
((obj_t)
CNST_TABLE_REF(2)), 1L); 
if(
(BgL_index1289z00_2540>=0L))
{ /* Llib/fs.scm 254 */
BgL_loopz00_2538 = 
VECTOR_REF(BgL_opt1282z00_75,BgL_index1289z00_2540); }  else 
{ /* Llib/fs.scm 254 */BFALSE; } } 
{ /* Llib/fs.scm 254 */
 obj_t BgL_arg1799z00_2541;
BgL_arg1799z00_2541 = 
VECTOR_REF(BgL_opt1282z00_75,0L); 
{ /* Llib/fs.scm 254 */
 obj_t BgL_callbackz00_2542;
BgL_callbackz00_2542 = BgL_callbackz00_2537; 
{ /* Llib/fs.scm 254 */
 obj_t BgL_loopz00_2543;
BgL_loopz00_2543 = BgL_loopz00_2538; 
return 
BINT(
bgl_uv_fs_unlink(
BSTRING_TO_STRING(
((obj_t)BgL_arg1799z00_2541)), BgL_callbackz00_2542, 
((BgL_uvloopz00_bglt)BgL_loopz00_2543)));} } } } } } } } 

}



/* search1285~0 */
long BGl_search1285ze70ze7zz__libuv_fsz00(long BgL_l1284z00_2373, obj_t BgL_opt1282z00_2372, obj_t BgL_k1z00_1477, long BgL_iz00_1478)
{
{ /* Llib/fs.scm 254 */
BGl_search1285ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1478==BgL_l1284z00_2373))
{ /* Llib/fs.scm 254 */
return (-1L);}  else 
{ /* Llib/fs.scm 254 */
 obj_t BgL_vz00_1480;
BgL_vz00_1480 = 
VECTOR_REF(BgL_opt1282z00_2372,BgL_iz00_1478); 
if(
(BgL_vz00_1480==BgL_k1z00_1477))
{ /* Llib/fs.scm 254 */
return 
(BgL_iz00_1478+1L);}  else 
{ 
 long BgL_iz00_3549;
BgL_iz00_3549 = 
(BgL_iz00_1478+2L); 
BgL_iz00_1478 = BgL_iz00_3549; 
goto BGl_search1285ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-unlink */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2unlinkz00zz__libuv_fsz00(obj_t BgL_pathz00_72, obj_t BgL_callbackz00_73, obj_t BgL_loopz00_74)
{
{ /* Llib/fs.scm 254 */
return 
BINT(
bgl_uv_fs_unlink(
BSTRING_TO_STRING(BgL_pathz00_72), BgL_callbackz00_73, 
((BgL_uvloopz00_bglt)BgL_loopz00_74)));} 

}



/* _uv-fs-rmdir */
obj_t BGl__uvzd2fszd2rmdirz00zz__libuv_fsz00(obj_t BgL_env1292z00_81, obj_t BgL_opt1291z00_80)
{
{ /* Llib/fs.scm 260 */
{ /* Llib/fs.scm 260 */
 obj_t BgL_g1299z00_2544;
BgL_g1299z00_2544 = 
VECTOR_REF(BgL_opt1291z00_80,0L); 
{ /* Llib/fs.scm 260 */
 obj_t BgL_callbackz00_2545;
BgL_callbackz00_2545 = BFALSE; 
{ /* Llib/fs.scm 260 */
 obj_t BgL_loopz00_2546;
BgL_loopz00_2546 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 260 */

{ /* Llib/fs.scm 260 */
 long BgL_index1297z00_2547;
BgL_index1297z00_2547 = 
BGl_search1294ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1291z00_80)), BgL_opt1291z00_80, 
((obj_t)
CNST_TABLE_REF(1)), 1L); 
if(
(BgL_index1297z00_2547>=0L))
{ /* Llib/fs.scm 260 */
BgL_callbackz00_2545 = 
VECTOR_REF(BgL_opt1291z00_80,BgL_index1297z00_2547); }  else 
{ /* Llib/fs.scm 260 */BFALSE; } } 
{ /* Llib/fs.scm 260 */
 long BgL_index1298z00_2548;
BgL_index1298z00_2548 = 
BGl_search1294ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1291z00_80)), BgL_opt1291z00_80, 
((obj_t)
CNST_TABLE_REF(2)), 1L); 
if(
(BgL_index1298z00_2548>=0L))
{ /* Llib/fs.scm 260 */
BgL_loopz00_2546 = 
VECTOR_REF(BgL_opt1291z00_80,BgL_index1298z00_2548); }  else 
{ /* Llib/fs.scm 260 */BFALSE; } } 
{ /* Llib/fs.scm 260 */
 obj_t BgL_arg1825z00_2549;
BgL_arg1825z00_2549 = 
VECTOR_REF(BgL_opt1291z00_80,0L); 
{ /* Llib/fs.scm 260 */
 obj_t BgL_callbackz00_2550;
BgL_callbackz00_2550 = BgL_callbackz00_2545; 
{ /* Llib/fs.scm 260 */
 obj_t BgL_loopz00_2551;
BgL_loopz00_2551 = BgL_loopz00_2546; 
return 
BINT(
bgl_uv_fs_rmdir(
BSTRING_TO_STRING(
((obj_t)BgL_arg1825z00_2549)), BgL_callbackz00_2550, 
((BgL_uvloopz00_bglt)BgL_loopz00_2551)));} } } } } } } } 

}



/* search1294~0 */
long BGl_search1294ze70ze7zz__libuv_fsz00(long BgL_l1293z00_2371, obj_t BgL_opt1291z00_2370, obj_t BgL_k1z00_1502, long BgL_iz00_1503)
{
{ /* Llib/fs.scm 260 */
BGl_search1294ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1503==BgL_l1293z00_2371))
{ /* Llib/fs.scm 260 */
return (-1L);}  else 
{ /* Llib/fs.scm 260 */
 obj_t BgL_vz00_1505;
BgL_vz00_1505 = 
VECTOR_REF(BgL_opt1291z00_2370,BgL_iz00_1503); 
if(
(BgL_vz00_1505==BgL_k1z00_1502))
{ /* Llib/fs.scm 260 */
return 
(BgL_iz00_1503+1L);}  else 
{ 
 long BgL_iz00_3586;
BgL_iz00_3586 = 
(BgL_iz00_1503+2L); 
BgL_iz00_1503 = BgL_iz00_3586; 
goto BGl_search1294ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-rmdir */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2rmdirz00zz__libuv_fsz00(obj_t BgL_pathz00_77, obj_t BgL_callbackz00_78, obj_t BgL_loopz00_79)
{
{ /* Llib/fs.scm 260 */
return 
BINT(
bgl_uv_fs_rmdir(
BSTRING_TO_STRING(BgL_pathz00_77), BgL_callbackz00_78, 
((BgL_uvloopz00_bglt)BgL_loopz00_79)));} 

}



/* _uv-fs-mkdir */
obj_t BGl__uvzd2fszd2mkdirz00zz__libuv_fsz00(obj_t BgL_env1301z00_87, obj_t BgL_opt1300z00_86)
{
{ /* Llib/fs.scm 266 */
{ /* Llib/fs.scm 266 */
 obj_t BgL_g1308z00_2552; obj_t BgL_g1309z00_2553;
BgL_g1308z00_2552 = 
VECTOR_REF(BgL_opt1300z00_86,0L); 
BgL_g1309z00_2553 = 
VECTOR_REF(BgL_opt1300z00_86,1L); 
{ /* Llib/fs.scm 266 */
 obj_t BgL_callbackz00_2554;
BgL_callbackz00_2554 = BFALSE; 
{ /* Llib/fs.scm 266 */
 obj_t BgL_loopz00_2555;
BgL_loopz00_2555 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 266 */

{ /* Llib/fs.scm 266 */
 long BgL_index1306z00_2556;
BgL_index1306z00_2556 = 
BGl_search1303ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1300z00_86)), BgL_opt1300z00_86, 
((obj_t)
CNST_TABLE_REF(1)), 2L); 
if(
(BgL_index1306z00_2556>=0L))
{ /* Llib/fs.scm 266 */
BgL_callbackz00_2554 = 
VECTOR_REF(BgL_opt1300z00_86,BgL_index1306z00_2556); }  else 
{ /* Llib/fs.scm 266 */BFALSE; } } 
{ /* Llib/fs.scm 266 */
 long BgL_index1307z00_2557;
BgL_index1307z00_2557 = 
BGl_search1303ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1300z00_86)), BgL_opt1300z00_86, 
((obj_t)
CNST_TABLE_REF(2)), 2L); 
if(
(BgL_index1307z00_2557>=0L))
{ /* Llib/fs.scm 266 */
BgL_loopz00_2555 = 
VECTOR_REF(BgL_opt1300z00_86,BgL_index1307z00_2557); }  else 
{ /* Llib/fs.scm 266 */BFALSE; } } 
{ /* Llib/fs.scm 266 */
 obj_t BgL_arg1839z00_2558; obj_t BgL_arg1841z00_2559;
BgL_arg1839z00_2558 = 
VECTOR_REF(BgL_opt1300z00_86,0L); 
BgL_arg1841z00_2559 = 
VECTOR_REF(BgL_opt1300z00_86,1L); 
{ /* Llib/fs.scm 266 */
 obj_t BgL_callbackz00_2560;
BgL_callbackz00_2560 = BgL_callbackz00_2554; 
{ /* Llib/fs.scm 266 */
 obj_t BgL_loopz00_2561;
BgL_loopz00_2561 = BgL_loopz00_2555; 
{ /* Llib/fs.scm 266 */
 int BgL_modz00_2562;
BgL_modz00_2562 = 
CINT(BgL_arg1841z00_2559); 
return 
BINT(
bgl_uv_fs_mkdir(
BSTRING_TO_STRING(
((obj_t)BgL_arg1839z00_2558)), BgL_modz00_2562, BgL_callbackz00_2560, 
((BgL_uvloopz00_bglt)BgL_loopz00_2561)));} } } } } } } } } 

}



/* search1303~0 */
long BGl_search1303ze70ze7zz__libuv_fsz00(long BgL_l1302z00_2369, obj_t BgL_opt1300z00_2368, obj_t BgL_k1z00_1527, long BgL_iz00_1528)
{
{ /* Llib/fs.scm 266 */
BGl_search1303ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1528==BgL_l1302z00_2369))
{ /* Llib/fs.scm 266 */
return (-1L);}  else 
{ /* Llib/fs.scm 266 */
 obj_t BgL_vz00_1530;
BgL_vz00_1530 = 
VECTOR_REF(BgL_opt1300z00_2368,BgL_iz00_1528); 
if(
(BgL_vz00_1530==BgL_k1z00_1527))
{ /* Llib/fs.scm 266 */
return 
(BgL_iz00_1528+1L);}  else 
{ 
 long BgL_iz00_3626;
BgL_iz00_3626 = 
(BgL_iz00_1528+2L); 
BgL_iz00_1528 = BgL_iz00_3626; 
goto BGl_search1303ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-mkdir */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2mkdirz00zz__libuv_fsz00(obj_t BgL_pathz00_82, int BgL_modz00_83, obj_t BgL_callbackz00_84, obj_t BgL_loopz00_85)
{
{ /* Llib/fs.scm 266 */
return 
BINT(
bgl_uv_fs_mkdir(
BSTRING_TO_STRING(BgL_pathz00_82), BgL_modz00_83, BgL_callbackz00_84, 
((BgL_uvloopz00_bglt)BgL_loopz00_85)));} 

}



/* _uv-fs-fsync */
obj_t BGl__uvzd2fszd2fsyncz00zz__libuv_fsz00(obj_t BgL_env1311z00_92, obj_t BgL_opt1310z00_91)
{
{ /* Llib/fs.scm 272 */
{ /* Llib/fs.scm 272 */
 obj_t BgL_g1318z00_2563;
BgL_g1318z00_2563 = 
VECTOR_REF(BgL_opt1310z00_91,0L); 
{ /* Llib/fs.scm 272 */
 obj_t BgL_callbackz00_2564;
BgL_callbackz00_2564 = BFALSE; 
{ /* Llib/fs.scm 272 */
 obj_t BgL_loopz00_2565;
BgL_loopz00_2565 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 272 */

{ /* Llib/fs.scm 272 */
 long BgL_index1316z00_2566;
BgL_index1316z00_2566 = 
BGl_search1313ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1310z00_91)), BgL_opt1310z00_91, 
((obj_t)
CNST_TABLE_REF(1)), 1L); 
if(
(BgL_index1316z00_2566>=0L))
{ /* Llib/fs.scm 272 */
BgL_callbackz00_2564 = 
VECTOR_REF(BgL_opt1310z00_91,BgL_index1316z00_2566); }  else 
{ /* Llib/fs.scm 272 */BFALSE; } } 
{ /* Llib/fs.scm 272 */
 long BgL_index1317z00_2567;
BgL_index1317z00_2567 = 
BGl_search1313ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1310z00_91)), BgL_opt1310z00_91, 
((obj_t)
CNST_TABLE_REF(2)), 1L); 
if(
(BgL_index1317z00_2567>=0L))
{ /* Llib/fs.scm 272 */
BgL_loopz00_2565 = 
VECTOR_REF(BgL_opt1310z00_91,BgL_index1317z00_2567); }  else 
{ /* Llib/fs.scm 272 */BFALSE; } } 
{ /* Llib/fs.scm 272 */
 obj_t BgL_arg1851z00_2568;
BgL_arg1851z00_2568 = 
VECTOR_REF(BgL_opt1310z00_91,0L); 
{ /* Llib/fs.scm 272 */
 obj_t BgL_callbackz00_2569;
BgL_callbackz00_2569 = BgL_callbackz00_2564; 
{ /* Llib/fs.scm 272 */
 obj_t BgL_loopz00_2570;
BgL_loopz00_2570 = BgL_loopz00_2565; 
return 
BINT(
bgl_uv_fs_fsync(
((BgL_uvfilez00_bglt)BgL_arg1851z00_2568), BgL_callbackz00_2569, 
((BgL_uvloopz00_bglt)BgL_loopz00_2570)));} } } } } } } } 

}



/* search1313~0 */
long BGl_search1313ze70ze7zz__libuv_fsz00(long BgL_l1312z00_2367, obj_t BgL_opt1310z00_2366, obj_t BgL_k1z00_1555, long BgL_iz00_1556)
{
{ /* Llib/fs.scm 272 */
BGl_search1313ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1556==BgL_l1312z00_2367))
{ /* Llib/fs.scm 272 */
return (-1L);}  else 
{ /* Llib/fs.scm 272 */
 obj_t BgL_vz00_1558;
BgL_vz00_1558 = 
VECTOR_REF(BgL_opt1310z00_2366,BgL_iz00_1556); 
if(
(BgL_vz00_1558==BgL_k1z00_1555))
{ /* Llib/fs.scm 272 */
return 
(BgL_iz00_1556+1L);}  else 
{ 
 long BgL_iz00_3662;
BgL_iz00_3662 = 
(BgL_iz00_1556+2L); 
BgL_iz00_1556 = BgL_iz00_3662; 
goto BGl_search1313ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-fsync */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2fsyncz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_88, obj_t BgL_callbackz00_89, obj_t BgL_loopz00_90)
{
{ /* Llib/fs.scm 272 */
return 
BINT(
bgl_uv_fs_fsync(BgL_fdz00_88, BgL_callbackz00_89, 
((BgL_uvloopz00_bglt)BgL_loopz00_90)));} 

}



/* _uv-fs-fdatasync */
obj_t BGl__uvzd2fszd2fdatasyncz00zz__libuv_fsz00(obj_t BgL_env1320z00_97, obj_t BgL_opt1319z00_96)
{
{ /* Llib/fs.scm 278 */
{ /* Llib/fs.scm 278 */
 obj_t BgL_g1327z00_2571;
BgL_g1327z00_2571 = 
VECTOR_REF(BgL_opt1319z00_96,0L); 
{ /* Llib/fs.scm 278 */
 obj_t BgL_callbackz00_2572;
BgL_callbackz00_2572 = BFALSE; 
{ /* Llib/fs.scm 278 */
 obj_t BgL_loopz00_2573;
BgL_loopz00_2573 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 278 */

{ /* Llib/fs.scm 278 */
 long BgL_index1325z00_2574;
BgL_index1325z00_2574 = 
BGl_search1322ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1319z00_96)), BgL_opt1319z00_96, 
((obj_t)
CNST_TABLE_REF(1)), 1L); 
if(
(BgL_index1325z00_2574>=0L))
{ /* Llib/fs.scm 278 */
BgL_callbackz00_2572 = 
VECTOR_REF(BgL_opt1319z00_96,BgL_index1325z00_2574); }  else 
{ /* Llib/fs.scm 278 */BFALSE; } } 
{ /* Llib/fs.scm 278 */
 long BgL_index1326z00_2575;
BgL_index1326z00_2575 = 
BGl_search1322ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1319z00_96)), BgL_opt1319z00_96, 
((obj_t)
CNST_TABLE_REF(2)), 1L); 
if(
(BgL_index1326z00_2575>=0L))
{ /* Llib/fs.scm 278 */
BgL_loopz00_2573 = 
VECTOR_REF(BgL_opt1319z00_96,BgL_index1326z00_2575); }  else 
{ /* Llib/fs.scm 278 */BFALSE; } } 
{ /* Llib/fs.scm 278 */
 obj_t BgL_arg1856z00_2576;
BgL_arg1856z00_2576 = 
VECTOR_REF(BgL_opt1319z00_96,0L); 
{ /* Llib/fs.scm 278 */
 obj_t BgL_callbackz00_2577;
BgL_callbackz00_2577 = BgL_callbackz00_2572; 
{ /* Llib/fs.scm 278 */
 obj_t BgL_loopz00_2578;
BgL_loopz00_2578 = BgL_loopz00_2573; 
return 
BINT(
bgl_uv_fs_fdatasync(
((BgL_uvfilez00_bglt)BgL_arg1856z00_2576), BgL_callbackz00_2577, 
((BgL_uvloopz00_bglt)BgL_loopz00_2578)));} } } } } } } } 

}



/* search1322~0 */
long BGl_search1322ze70ze7zz__libuv_fsz00(long BgL_l1321z00_2365, obj_t BgL_opt1319z00_2364, obj_t BgL_k1z00_1580, long BgL_iz00_1581)
{
{ /* Llib/fs.scm 278 */
BGl_search1322ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1581==BgL_l1321z00_2365))
{ /* Llib/fs.scm 278 */
return (-1L);}  else 
{ /* Llib/fs.scm 278 */
 obj_t BgL_vz00_1583;
BgL_vz00_1583 = 
VECTOR_REF(BgL_opt1319z00_2364,BgL_iz00_1581); 
if(
(BgL_vz00_1583==BgL_k1z00_1580))
{ /* Llib/fs.scm 278 */
return 
(BgL_iz00_1581+1L);}  else 
{ 
 long BgL_iz00_3697;
BgL_iz00_3697 = 
(BgL_iz00_1581+2L); 
BgL_iz00_1581 = BgL_iz00_3697; 
goto BGl_search1322ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-fdatasync */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2fdatasyncz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_93, obj_t BgL_callbackz00_94, obj_t BgL_loopz00_95)
{
{ /* Llib/fs.scm 278 */
return 
BINT(
bgl_uv_fs_fdatasync(BgL_fdz00_93, BgL_callbackz00_94, 
((BgL_uvloopz00_bglt)BgL_loopz00_95)));} 

}



/* _uv-fs-futime */
obj_t BGl__uvzd2fszd2futimez00zz__libuv_fsz00(obj_t BgL_env1329z00_104, obj_t BgL_opt1328z00_103)
{
{ /* Llib/fs.scm 284 */
{ /* Llib/fs.scm 284 */
 obj_t BgL_g1336z00_2579; obj_t BgL_g1337z00_2580; obj_t BgL_g1338z00_2581;
BgL_g1336z00_2579 = 
VECTOR_REF(BgL_opt1328z00_103,0L); 
BgL_g1337z00_2580 = 
VECTOR_REF(BgL_opt1328z00_103,1L); 
BgL_g1338z00_2581 = 
VECTOR_REF(BgL_opt1328z00_103,2L); 
{ /* Llib/fs.scm 284 */
 obj_t BgL_callbackz00_2582;
BgL_callbackz00_2582 = BFALSE; 
{ /* Llib/fs.scm 285 */
 obj_t BgL_loopz00_2583;
BgL_loopz00_2583 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 284 */

{ /* Llib/fs.scm 284 */
 long BgL_index1334z00_2584;
BgL_index1334z00_2584 = 
BGl_search1331ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1328z00_103)), BgL_opt1328z00_103, 
((obj_t)
CNST_TABLE_REF(1)), 3L); 
if(
(BgL_index1334z00_2584>=0L))
{ /* Llib/fs.scm 284 */
BgL_callbackz00_2582 = 
VECTOR_REF(BgL_opt1328z00_103,BgL_index1334z00_2584); }  else 
{ /* Llib/fs.scm 284 */BFALSE; } } 
{ /* Llib/fs.scm 284 */
 long BgL_index1335z00_2585;
BgL_index1335z00_2585 = 
BGl_search1331ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1328z00_103)), BgL_opt1328z00_103, 
((obj_t)
CNST_TABLE_REF(2)), 3L); 
if(
(BgL_index1335z00_2585>=0L))
{ /* Llib/fs.scm 284 */
BgL_loopz00_2583 = 
VECTOR_REF(BgL_opt1328z00_103,BgL_index1335z00_2585); }  else 
{ /* Llib/fs.scm 284 */BFALSE; } } 
{ /* Llib/fs.scm 284 */
 obj_t BgL_arg1861z00_2586; obj_t BgL_arg1862z00_2587; obj_t BgL_arg1863z00_2588;
BgL_arg1861z00_2586 = 
VECTOR_REF(BgL_opt1328z00_103,0L); 
BgL_arg1862z00_2587 = 
VECTOR_REF(BgL_opt1328z00_103,1L); 
BgL_arg1863z00_2588 = 
VECTOR_REF(BgL_opt1328z00_103,2L); 
{ /* Llib/fs.scm 284 */
 obj_t BgL_callbackz00_2589;
BgL_callbackz00_2589 = BgL_callbackz00_2582; 
{ /* Llib/fs.scm 284 */
 obj_t BgL_loopz00_2590;
BgL_loopz00_2590 = BgL_loopz00_2583; 
{ /* Llib/fs.scm 284 */
 double BgL_atimez00_2591; double BgL_mtimez00_2592;
BgL_atimez00_2591 = 
REAL_TO_DOUBLE(BgL_arg1862z00_2587); 
BgL_mtimez00_2592 = 
REAL_TO_DOUBLE(BgL_arg1863z00_2588); 
return 
BINT(
bgl_uv_fs_futime(
((BgL_uvfilez00_bglt)BgL_arg1861z00_2586), BgL_atimez00_2591, BgL_mtimez00_2592, BgL_callbackz00_2589, 
((BgL_uvloopz00_bglt)BgL_loopz00_2590)));} } } } } } } } } 

}



/* search1331~0 */
long BGl_search1331ze70ze7zz__libuv_fsz00(long BgL_l1330z00_2363, obj_t BgL_opt1328z00_2362, obj_t BgL_k1z00_1605, long BgL_iz00_1606)
{
{ /* Llib/fs.scm 284 */
BGl_search1331ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1606==BgL_l1330z00_2363))
{ /* Llib/fs.scm 284 */
return (-1L);}  else 
{ /* Llib/fs.scm 284 */
 obj_t BgL_vz00_1608;
BgL_vz00_1608 = 
VECTOR_REF(BgL_opt1328z00_2362,BgL_iz00_1606); 
if(
(BgL_vz00_1608==BgL_k1z00_1605))
{ /* Llib/fs.scm 284 */
return 
(BgL_iz00_1606+1L);}  else 
{ 
 long BgL_iz00_3738;
BgL_iz00_3738 = 
(BgL_iz00_1606+2L); 
BgL_iz00_1606 = BgL_iz00_3738; 
goto BGl_search1331ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-futime */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2futimez00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_98, double BgL_atimez00_99, double BgL_mtimez00_100, obj_t BgL_callbackz00_101, obj_t BgL_loopz00_102)
{
{ /* Llib/fs.scm 284 */
return 
BINT(
bgl_uv_fs_futime(BgL_fdz00_98, BgL_atimez00_99, BgL_mtimez00_100, BgL_callbackz00_101, 
((BgL_uvloopz00_bglt)BgL_loopz00_102)));} 

}



/* _uv-fs-utime */
obj_t BGl__uvzd2fszd2utimez00zz__libuv_fsz00(obj_t BgL_env1340z00_111, obj_t BgL_opt1339z00_110)
{
{ /* Llib/fs.scm 291 */
{ /* Llib/fs.scm 291 */
 obj_t BgL_g1347z00_2593; obj_t BgL_g1348z00_2594; obj_t BgL_g1349z00_2595;
BgL_g1347z00_2593 = 
VECTOR_REF(BgL_opt1339z00_110,0L); 
BgL_g1348z00_2594 = 
VECTOR_REF(BgL_opt1339z00_110,1L); 
BgL_g1349z00_2595 = 
VECTOR_REF(BgL_opt1339z00_110,2L); 
{ /* Llib/fs.scm 291 */
 obj_t BgL_callbackz00_2596;
BgL_callbackz00_2596 = BFALSE; 
{ /* Llib/fs.scm 292 */
 obj_t BgL_loopz00_2597;
BgL_loopz00_2597 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 291 */

{ /* Llib/fs.scm 291 */
 long BgL_index1345z00_2598;
BgL_index1345z00_2598 = 
BGl_search1342ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1339z00_110)), BgL_opt1339z00_110, 
((obj_t)
CNST_TABLE_REF(1)), 3L); 
if(
(BgL_index1345z00_2598>=0L))
{ /* Llib/fs.scm 291 */
BgL_callbackz00_2596 = 
VECTOR_REF(BgL_opt1339z00_110,BgL_index1345z00_2598); }  else 
{ /* Llib/fs.scm 291 */BFALSE; } } 
{ /* Llib/fs.scm 291 */
 long BgL_index1346z00_2599;
BgL_index1346z00_2599 = 
BGl_search1342ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1339z00_110)), BgL_opt1339z00_110, 
((obj_t)
CNST_TABLE_REF(2)), 3L); 
if(
(BgL_index1346z00_2599>=0L))
{ /* Llib/fs.scm 291 */
BgL_loopz00_2597 = 
VECTOR_REF(BgL_opt1339z00_110,BgL_index1346z00_2599); }  else 
{ /* Llib/fs.scm 291 */BFALSE; } } 
{ /* Llib/fs.scm 291 */
 obj_t BgL_arg1868z00_2600; obj_t BgL_arg1869z00_2601; obj_t BgL_arg1870z00_2602;
BgL_arg1868z00_2600 = 
VECTOR_REF(BgL_opt1339z00_110,0L); 
BgL_arg1869z00_2601 = 
VECTOR_REF(BgL_opt1339z00_110,1L); 
BgL_arg1870z00_2602 = 
VECTOR_REF(BgL_opt1339z00_110,2L); 
{ /* Llib/fs.scm 291 */
 obj_t BgL_callbackz00_2603;
BgL_callbackz00_2603 = BgL_callbackz00_2596; 
{ /* Llib/fs.scm 291 */
 obj_t BgL_loopz00_2604;
BgL_loopz00_2604 = BgL_loopz00_2597; 
{ /* Llib/fs.scm 291 */
 double BgL_atimez00_2605; double BgL_mtimez00_2606;
BgL_atimez00_2605 = 
REAL_TO_DOUBLE(BgL_arg1869z00_2601); 
BgL_mtimez00_2606 = 
REAL_TO_DOUBLE(BgL_arg1870z00_2602); 
return 
BINT(
bgl_uv_fs_utime(
BSTRING_TO_STRING(
((obj_t)BgL_arg1868z00_2600)), BgL_atimez00_2605, BgL_mtimez00_2606, BgL_callbackz00_2603, 
((BgL_uvloopz00_bglt)BgL_loopz00_2604)));} } } } } } } } } 

}



/* search1342~0 */
long BGl_search1342ze70ze7zz__libuv_fsz00(long BgL_l1341z00_2361, obj_t BgL_opt1339z00_2360, obj_t BgL_k1z00_1636, long BgL_iz00_1637)
{
{ /* Llib/fs.scm 291 */
BGl_search1342ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1637==BgL_l1341z00_2361))
{ /* Llib/fs.scm 291 */
return (-1L);}  else 
{ /* Llib/fs.scm 291 */
 obj_t BgL_vz00_1639;
BgL_vz00_1639 = 
VECTOR_REF(BgL_opt1339z00_2360,BgL_iz00_1637); 
if(
(BgL_vz00_1639==BgL_k1z00_1636))
{ /* Llib/fs.scm 291 */
return 
(BgL_iz00_1637+1L);}  else 
{ 
 long BgL_iz00_3780;
BgL_iz00_3780 = 
(BgL_iz00_1637+2L); 
BgL_iz00_1637 = BgL_iz00_3780; 
goto BGl_search1342ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-utime */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2utimez00zz__libuv_fsz00(obj_t BgL_pathz00_105, double BgL_atimez00_106, double BgL_mtimez00_107, obj_t BgL_callbackz00_108, obj_t BgL_loopz00_109)
{
{ /* Llib/fs.scm 291 */
return 
BINT(
bgl_uv_fs_utime(
BSTRING_TO_STRING(BgL_pathz00_105), BgL_atimez00_106, BgL_mtimez00_107, BgL_callbackz00_108, 
((BgL_uvloopz00_bglt)BgL_loopz00_109)));} 

}



/* _uv-fs-open */
obj_t BGl__uvzd2fszd2openz00zz__libuv_fsz00(obj_t BgL_env1351z00_118, obj_t BgL_opt1350z00_117)
{
{ /* Llib/fs.scm 298 */
{ /* Llib/fs.scm 298 */
 obj_t BgL_g1359z00_2607; obj_t BgL_g1360z00_2608;
BgL_g1359z00_2607 = 
VECTOR_REF(BgL_opt1350z00_117,0L); 
BgL_g1360z00_2608 = 
VECTOR_REF(BgL_opt1350z00_117,1L); 
{ /* Llib/fs.scm 298 */
 obj_t BgL_callbackz00_2609;
BgL_callbackz00_2609 = BFALSE; 
{ /* Llib/fs.scm 298 */
 obj_t BgL_loopz00_2610;
BgL_loopz00_2610 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 298 */
 obj_t BgL_modez00_2611;
BgL_modez00_2611 = 
BINT(438L); 
{ /* Llib/fs.scm 298 */

{ /* Llib/fs.scm 298 */
 long BgL_index1356z00_2612;
BgL_index1356z00_2612 = 
BGl_search1353ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1350z00_117)), BgL_opt1350z00_117, 
((obj_t)
CNST_TABLE_REF(1)), 2L); 
if(
(BgL_index1356z00_2612>=0L))
{ /* Llib/fs.scm 298 */
BgL_callbackz00_2609 = 
VECTOR_REF(BgL_opt1350z00_117,BgL_index1356z00_2612); }  else 
{ /* Llib/fs.scm 298 */BFALSE; } } 
{ /* Llib/fs.scm 298 */
 long BgL_index1357z00_2613;
BgL_index1357z00_2613 = 
BGl_search1353ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1350z00_117)), BgL_opt1350z00_117, 
((obj_t)
CNST_TABLE_REF(2)), 2L); 
if(
(BgL_index1357z00_2613>=0L))
{ /* Llib/fs.scm 298 */
BgL_loopz00_2610 = 
VECTOR_REF(BgL_opt1350z00_117,BgL_index1357z00_2613); }  else 
{ /* Llib/fs.scm 298 */BFALSE; } } 
{ /* Llib/fs.scm 298 */
 long BgL_index1358z00_2614;
BgL_index1358z00_2614 = 
BGl_search1353ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1350z00_117)), BgL_opt1350z00_117, 
((obj_t)
CNST_TABLE_REF(4)), 2L); 
if(
(BgL_index1358z00_2614>=0L))
{ /* Llib/fs.scm 298 */
BgL_modez00_2611 = 
VECTOR_REF(BgL_opt1350z00_117,BgL_index1358z00_2614); }  else 
{ /* Llib/fs.scm 298 */BFALSE; } } 
{ /* Llib/fs.scm 298 */
 obj_t BgL_arg1876z00_2615; obj_t BgL_arg1877z00_2616;
BgL_arg1876z00_2615 = 
VECTOR_REF(BgL_opt1350z00_117,0L); 
BgL_arg1877z00_2616 = 
VECTOR_REF(BgL_opt1350z00_117,1L); 
{ /* Llib/fs.scm 298 */
 obj_t BgL_callbackz00_2617;
BgL_callbackz00_2617 = BgL_callbackz00_2609; 
{ /* Llib/fs.scm 298 */
 obj_t BgL_loopz00_2618;
BgL_loopz00_2618 = BgL_loopz00_2610; 
{ /* Llib/fs.scm 298 */
 obj_t BgL_modez00_2619;
BgL_modez00_2619 = BgL_modez00_2611; 
{ /* Llib/fs.scm 299 */
 obj_t BgL_fz00_2620;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_arg1877z00_2616))
{ /* Llib/fs.scm 300 */
BgL_fz00_2620 = BgL_arg1877z00_2616; }  else 
{ /* Llib/fs.scm 300 */
if(
SYMBOLP(BgL_arg1877z00_2616))
{ /* Llib/fs.scm 301 */
BgL_fz00_2620 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_arg1877z00_2616)); }  else 
{ /* Llib/fs.scm 301 */
if(
STRINGP(BgL_arg1877z00_2616))
{ /* Llib/fs.scm 302 */
 obj_t BgL_arg1883z00_2621;
BgL_arg1883z00_2621 = 
bstring_to_symbol(BgL_arg1877z00_2616); 
BgL_fz00_2620 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_arg1883z00_2621)); }  else 
{ /* Llib/fs.scm 302 */
BgL_fz00_2620 = 
BGl_errorz00zz__errorz00(BGl_string2031z00zz__libuv_fsz00, BGl_string2032z00zz__libuv_fsz00, BgL_arg1877z00_2616); } } } 
return 
bgl_uv_fs_open(
((obj_t)BgL_arg1876z00_2615), 
CINT(BgL_fz00_2620), 
CINT(BgL_modez00_2619), BgL_callbackz00_2617, 
((BgL_uvloopz00_bglt)BgL_loopz00_2618));} } } } } } } } } } } 

}



/* search1353~0 */
long BGl_search1353ze70ze7zz__libuv_fsz00(long BgL_l1352z00_2359, obj_t BgL_opt1350z00_2358, obj_t BgL_k1z00_1667, long BgL_iz00_1668)
{
{ /* Llib/fs.scm 298 */
BGl_search1353ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1668==BgL_l1352z00_2359))
{ /* Llib/fs.scm 298 */
return (-1L);}  else 
{ /* Llib/fs.scm 298 */
 obj_t BgL_vz00_1670;
BgL_vz00_1670 = 
VECTOR_REF(BgL_opt1350z00_2358,BgL_iz00_1668); 
if(
(BgL_vz00_1670==BgL_k1z00_1667))
{ /* Llib/fs.scm 298 */
return 
(BgL_iz00_1668+1L);}  else 
{ 
 long BgL_iz00_3840;
BgL_iz00_3840 = 
(BgL_iz00_1668+2L); 
BgL_iz00_1668 = BgL_iz00_3840; 
goto BGl_search1353ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-open */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2openz00zz__libuv_fsz00(obj_t BgL_pathz00_112, obj_t BgL_flagsz00_113, obj_t BgL_callbackz00_114, obj_t BgL_loopz00_115, obj_t BgL_modez00_116)
{
{ /* Llib/fs.scm 298 */
{ /* Llib/fs.scm 299 */
 obj_t BgL_fz00_2622;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_flagsz00_113))
{ /* Llib/fs.scm 300 */
BgL_fz00_2622 = BgL_flagsz00_113; }  else 
{ /* Llib/fs.scm 300 */
if(
SYMBOLP(BgL_flagsz00_113))
{ /* Llib/fs.scm 301 */
BgL_fz00_2622 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_flagsz00_113)); }  else 
{ /* Llib/fs.scm 301 */
if(
STRINGP(BgL_flagsz00_113))
{ /* Llib/fs.scm 302 */
 obj_t BgL_arg1883z00_2623;
BgL_arg1883z00_2623 = 
bstring_to_symbol(BgL_flagsz00_113); 
BgL_fz00_2622 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_arg1883z00_2623)); }  else 
{ /* Llib/fs.scm 302 */
BgL_fz00_2622 = 
BGl_errorz00zz__errorz00(BGl_string2031z00zz__libuv_fsz00, BGl_string2032z00zz__libuv_fsz00, BgL_flagsz00_113); } } } 
return 
bgl_uv_fs_open(BgL_pathz00_112, 
CINT(BgL_fz00_2622), 
CINT(BgL_modez00_116), BgL_callbackz00_114, 
((BgL_uvloopz00_bglt)BgL_loopz00_115));} } 

}



/* _uv-fs-open4 */
obj_t BGl__uvzd2fszd2open4z00zz__libuv_fsz00(obj_t BgL_env1362z00_129, obj_t BgL_opt1361z00_128)
{
{ /* Llib/fs.scm 309 */
{ /* Llib/fs.scm 309 */
 obj_t BgL_g1374z00_2624; obj_t BgL_g1375z00_2625;
BgL_g1374z00_2624 = 
VECTOR_REF(BgL_opt1361z00_128,0L); 
BgL_g1375z00_2625 = 
VECTOR_REF(BgL_opt1361z00_128,1L); 
{ /* Llib/fs.scm 309 */
 obj_t BgL_arg0z00_2626;
BgL_arg0z00_2626 = BFALSE; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_arg1z00_2627;
BgL_arg1z00_2627 = BFALSE; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_arg2z00_2628;
BgL_arg2z00_2628 = BFALSE; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_arg3z00_2629;
BgL_arg3z00_2629 = BFALSE; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_callbackz00_2630;
BgL_callbackz00_2630 = BFALSE; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_loopz00_2631;
BgL_loopz00_2631 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 309 */
 obj_t BgL_modez00_2632;
BgL_modez00_2632 = 
BINT(438L); 
{ /* Llib/fs.scm 309 */

{ /* Llib/fs.scm 309 */
 long BgL_index1367z00_2633;
BgL_index1367z00_2633 = 
BGl_search1364ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1361z00_128)), BgL_opt1361z00_128, 
((obj_t)
CNST_TABLE_REF(5)), 2L); 
if(
(BgL_index1367z00_2633>=0L))
{ /* Llib/fs.scm 309 */
BgL_arg0z00_2626 = 
VECTOR_REF(BgL_opt1361z00_128,BgL_index1367z00_2633); }  else 
{ /* Llib/fs.scm 309 */BFALSE; } } 
{ /* Llib/fs.scm 309 */
 long BgL_index1368z00_2634;
BgL_index1368z00_2634 = 
BGl_search1364ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1361z00_128)), BgL_opt1361z00_128, 
((obj_t)
CNST_TABLE_REF(6)), 2L); 
if(
(BgL_index1368z00_2634>=0L))
{ /* Llib/fs.scm 309 */
BgL_arg1z00_2627 = 
VECTOR_REF(BgL_opt1361z00_128,BgL_index1368z00_2634); }  else 
{ /* Llib/fs.scm 309 */BFALSE; } } 
{ /* Llib/fs.scm 309 */
 long BgL_index1369z00_2635;
BgL_index1369z00_2635 = 
BGl_search1364ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1361z00_128)), BgL_opt1361z00_128, 
((obj_t)
CNST_TABLE_REF(7)), 2L); 
if(
(BgL_index1369z00_2635>=0L))
{ /* Llib/fs.scm 309 */
BgL_arg2z00_2628 = 
VECTOR_REF(BgL_opt1361z00_128,BgL_index1369z00_2635); }  else 
{ /* Llib/fs.scm 309 */BFALSE; } } 
{ /* Llib/fs.scm 309 */
 long BgL_index1370z00_2636;
BgL_index1370z00_2636 = 
BGl_search1364ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1361z00_128)), BgL_opt1361z00_128, 
((obj_t)
CNST_TABLE_REF(8)), 2L); 
if(
(BgL_index1370z00_2636>=0L))
{ /* Llib/fs.scm 309 */
BgL_arg3z00_2629 = 
VECTOR_REF(BgL_opt1361z00_128,BgL_index1370z00_2636); }  else 
{ /* Llib/fs.scm 309 */BFALSE; } } 
{ /* Llib/fs.scm 309 */
 long BgL_index1371z00_2637;
BgL_index1371z00_2637 = 
BGl_search1364ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1361z00_128)), BgL_opt1361z00_128, 
((obj_t)
CNST_TABLE_REF(1)), 2L); 
if(
(BgL_index1371z00_2637>=0L))
{ /* Llib/fs.scm 309 */
BgL_callbackz00_2630 = 
VECTOR_REF(BgL_opt1361z00_128,BgL_index1371z00_2637); }  else 
{ /* Llib/fs.scm 309 */BFALSE; } } 
{ /* Llib/fs.scm 309 */
 long BgL_index1372z00_2638;
BgL_index1372z00_2638 = 
BGl_search1364ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1361z00_128)), BgL_opt1361z00_128, 
((obj_t)
CNST_TABLE_REF(2)), 2L); 
if(
(BgL_index1372z00_2638>=0L))
{ /* Llib/fs.scm 309 */
BgL_loopz00_2631 = 
VECTOR_REF(BgL_opt1361z00_128,BgL_index1372z00_2638); }  else 
{ /* Llib/fs.scm 309 */BFALSE; } } 
{ /* Llib/fs.scm 309 */
 long BgL_index1373z00_2639;
BgL_index1373z00_2639 = 
BGl_search1364ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1361z00_128)), BgL_opt1361z00_128, 
((obj_t)
CNST_TABLE_REF(4)), 2L); 
if(
(BgL_index1373z00_2639>=0L))
{ /* Llib/fs.scm 309 */
BgL_modez00_2632 = 
VECTOR_REF(BgL_opt1361z00_128,BgL_index1373z00_2639); }  else 
{ /* Llib/fs.scm 309 */BFALSE; } } 
{ /* Llib/fs.scm 309 */
 obj_t BgL_arg1891z00_2640; obj_t BgL_arg1892z00_2641;
BgL_arg1891z00_2640 = 
VECTOR_REF(BgL_opt1361z00_128,0L); 
BgL_arg1892z00_2641 = 
VECTOR_REF(BgL_opt1361z00_128,1L); 
{ /* Llib/fs.scm 309 */
 obj_t BgL_arg0z00_2642;
BgL_arg0z00_2642 = BgL_arg0z00_2626; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_arg1z00_2643;
BgL_arg1z00_2643 = BgL_arg1z00_2627; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_arg2z00_2644;
BgL_arg2z00_2644 = BgL_arg2z00_2628; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_arg3z00_2645;
BgL_arg3z00_2645 = BgL_arg3z00_2629; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_callbackz00_2646;
BgL_callbackz00_2646 = BgL_callbackz00_2630; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_loopz00_2647;
BgL_loopz00_2647 = BgL_loopz00_2631; 
{ /* Llib/fs.scm 309 */
 obj_t BgL_modez00_2648;
BgL_modez00_2648 = BgL_modez00_2632; 
{ /* Llib/fs.scm 310 */
 obj_t BgL_fz00_2649;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_arg1892z00_2641))
{ /* Llib/fs.scm 311 */
BgL_fz00_2649 = BgL_arg1892z00_2641; }  else 
{ /* Llib/fs.scm 311 */
if(
SYMBOLP(BgL_arg1892z00_2641))
{ /* Llib/fs.scm 312 */
BgL_fz00_2649 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_arg1892z00_2641)); }  else 
{ /* Llib/fs.scm 312 */
if(
STRINGP(BgL_arg1892z00_2641))
{ /* Llib/fs.scm 313 */
 obj_t BgL_arg1898z00_2650;
BgL_arg1898z00_2650 = 
bstring_to_symbol(BgL_arg1892z00_2641); 
BgL_fz00_2649 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_arg1898z00_2650)); }  else 
{ /* Llib/fs.scm 313 */
BgL_fz00_2649 = 
BGl_errorz00zz__errorz00(BGl_string2031z00zz__libuv_fsz00, BGl_string2032z00zz__libuv_fsz00, BgL_arg1892z00_2641); } } } 
return 
bgl_uv_fs_open4(
((obj_t)BgL_arg1891z00_2640), 
CINT(BgL_fz00_2649), 
CINT(BgL_modez00_2648), BgL_callbackz00_2646, BgL_arg0z00_2642, BgL_arg1z00_2643, BgL_arg2z00_2644, BgL_arg3z00_2645, 
((BgL_uvloopz00_bglt)BgL_loopz00_2647));} } } } } } } } } } } } } } } } } } } 

}



/* search1364~0 */
long BGl_search1364ze70ze7zz__libuv_fsz00(long BgL_l1363z00_2357, obj_t BgL_opt1361z00_2356, obj_t BgL_k1z00_1711, long BgL_iz00_1712)
{
{ /* Llib/fs.scm 309 */
BGl_search1364ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1712==BgL_l1363z00_2357))
{ /* Llib/fs.scm 309 */
return (-1L);}  else 
{ /* Llib/fs.scm 309 */
 obj_t BgL_vz00_1714;
BgL_vz00_1714 = 
VECTOR_REF(BgL_opt1361z00_2356,BgL_iz00_1712); 
if(
(BgL_vz00_1714==BgL_k1z00_1711))
{ /* Llib/fs.scm 309 */
return 
(BgL_iz00_1712+1L);}  else 
{ 
 long BgL_iz00_3944;
BgL_iz00_3944 = 
(BgL_iz00_1712+2L); 
BgL_iz00_1712 = BgL_iz00_3944; 
goto BGl_search1364ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-open4 */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2open4z00zz__libuv_fsz00(obj_t BgL_pathz00_119, obj_t BgL_flagsz00_120, obj_t BgL_arg0z00_121, obj_t BgL_arg1z00_122, obj_t BgL_arg2z00_123, obj_t BgL_arg3z00_124, obj_t BgL_callbackz00_125, obj_t BgL_loopz00_126, obj_t BgL_modez00_127)
{
{ /* Llib/fs.scm 309 */
{ /* Llib/fs.scm 310 */
 obj_t BgL_fz00_2651;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_flagsz00_120))
{ /* Llib/fs.scm 311 */
BgL_fz00_2651 = BgL_flagsz00_120; }  else 
{ /* Llib/fs.scm 311 */
if(
SYMBOLP(BgL_flagsz00_120))
{ /* Llib/fs.scm 312 */
BgL_fz00_2651 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_flagsz00_120)); }  else 
{ /* Llib/fs.scm 312 */
if(
STRINGP(BgL_flagsz00_120))
{ /* Llib/fs.scm 313 */
 obj_t BgL_arg1898z00_2652;
BgL_arg1898z00_2652 = 
bstring_to_symbol(BgL_flagsz00_120); 
BgL_fz00_2651 = 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_arg1898z00_2652)); }  else 
{ /* Llib/fs.scm 313 */
BgL_fz00_2651 = 
BGl_errorz00zz__errorz00(BGl_string2031z00zz__libuv_fsz00, BGl_string2032z00zz__libuv_fsz00, BgL_flagsz00_120); } } } 
return 
bgl_uv_fs_open4(BgL_pathz00_119, 
CINT(BgL_fz00_2651), 
CINT(BgL_modez00_127), BgL_callbackz00_125, BgL_arg0z00_121, BgL_arg1z00_122, BgL_arg2z00_123, BgL_arg3z00_124, 
((BgL_uvloopz00_bglt)BgL_loopz00_126));} } 

}



/* _uv-fs-close */
obj_t BGl__uvzd2fszd2closez00zz__libuv_fsz00(obj_t BgL_env1377z00_134, obj_t BgL_opt1376z00_133)
{
{ /* Llib/fs.scm 320 */
{ /* Llib/fs.scm 320 */
 obj_t BgL_g1384z00_2653;
BgL_g1384z00_2653 = 
VECTOR_REF(BgL_opt1376z00_133,0L); 
{ /* Llib/fs.scm 320 */
 obj_t BgL_callbackz00_2654;
BgL_callbackz00_2654 = BFALSE; 
{ /* Llib/fs.scm 320 */
 obj_t BgL_loopz00_2655;
BgL_loopz00_2655 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 320 */

{ /* Llib/fs.scm 320 */
 long BgL_index1382z00_2656;
BgL_index1382z00_2656 = 
BGl_search1379ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1376z00_133)), BgL_opt1376z00_133, 
((obj_t)
CNST_TABLE_REF(1)), 1L); 
if(
(BgL_index1382z00_2656>=0L))
{ /* Llib/fs.scm 320 */
BgL_callbackz00_2654 = 
VECTOR_REF(BgL_opt1376z00_133,BgL_index1382z00_2656); }  else 
{ /* Llib/fs.scm 320 */BFALSE; } } 
{ /* Llib/fs.scm 320 */
 long BgL_index1383z00_2657;
BgL_index1383z00_2657 = 
BGl_search1379ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1376z00_133)), BgL_opt1376z00_133, 
((obj_t)
CNST_TABLE_REF(2)), 1L); 
if(
(BgL_index1383z00_2657>=0L))
{ /* Llib/fs.scm 320 */
BgL_loopz00_2655 = 
VECTOR_REF(BgL_opt1376z00_133,BgL_index1383z00_2657); }  else 
{ /* Llib/fs.scm 320 */BFALSE; } } 
{ /* Llib/fs.scm 320 */
 obj_t BgL_arg1901z00_2658;
BgL_arg1901z00_2658 = 
VECTOR_REF(BgL_opt1376z00_133,0L); 
{ /* Llib/fs.scm 320 */
 obj_t BgL_callbackz00_2659;
BgL_callbackz00_2659 = BgL_callbackz00_2654; 
{ /* Llib/fs.scm 320 */
 obj_t BgL_loopz00_2660;
BgL_loopz00_2660 = BgL_loopz00_2655; 
return 
BINT(
bgl_uv_fs_close(
((BgL_uvfilez00_bglt)BgL_arg1901z00_2658), BgL_callbackz00_2659, 
((BgL_uvloopz00_bglt)BgL_loopz00_2660)));} } } } } } } } 

}



/* search1379~0 */
long BGl_search1379ze70ze7zz__libuv_fsz00(long BgL_l1378z00_2355, obj_t BgL_opt1376z00_2354, obj_t BgL_k1z00_1775, long BgL_iz00_1776)
{
{ /* Llib/fs.scm 320 */
BGl_search1379ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1776==BgL_l1378z00_2355))
{ /* Llib/fs.scm 320 */
return (-1L);}  else 
{ /* Llib/fs.scm 320 */
 obj_t BgL_vz00_1778;
BgL_vz00_1778 = 
VECTOR_REF(BgL_opt1376z00_2354,BgL_iz00_1776); 
if(
(BgL_vz00_1778==BgL_k1z00_1775))
{ /* Llib/fs.scm 320 */
return 
(BgL_iz00_1776+1L);}  else 
{ 
 long BgL_iz00_3992;
BgL_iz00_3992 = 
(BgL_iz00_1776+2L); 
BgL_iz00_1776 = BgL_iz00_3992; 
goto BGl_search1379ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-close */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2closez00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_130, obj_t BgL_callbackz00_131, obj_t BgL_loopz00_132)
{
{ /* Llib/fs.scm 320 */
return 
BINT(
bgl_uv_fs_close(BgL_fdz00_130, BgL_callbackz00_131, 
((BgL_uvloopz00_bglt)BgL_loopz00_132)));} 

}



/* _uv-fs-close2 */
obj_t BGl__uvzd2fszd2close2z00zz__libuv_fsz00(obj_t BgL_env1386z00_141, obj_t BgL_opt1385z00_140)
{
{ /* Llib/fs.scm 326 */
{ /* Llib/fs.scm 326 */
 obj_t BgL_g1395z00_2661;
BgL_g1395z00_2661 = 
VECTOR_REF(BgL_opt1385z00_140,0L); 
{ /* Llib/fs.scm 326 */
 obj_t BgL_arg0z00_2662;
BgL_arg0z00_2662 = BFALSE; 
{ /* Llib/fs.scm 326 */
 obj_t BgL_arg1z00_2663;
BgL_arg1z00_2663 = BFALSE; 
{ /* Llib/fs.scm 326 */
 obj_t BgL_callbackz00_2664;
BgL_callbackz00_2664 = BFALSE; 
{ /* Llib/fs.scm 326 */
 obj_t BgL_loopz00_2665;
BgL_loopz00_2665 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 326 */

{ /* Llib/fs.scm 326 */
 long BgL_index1391z00_2666;
BgL_index1391z00_2666 = 
BGl_search1388ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1385z00_140)), BgL_opt1385z00_140, 
((obj_t)
CNST_TABLE_REF(5)), 1L); 
if(
(BgL_index1391z00_2666>=0L))
{ /* Llib/fs.scm 326 */
BgL_arg0z00_2662 = 
VECTOR_REF(BgL_opt1385z00_140,BgL_index1391z00_2666); }  else 
{ /* Llib/fs.scm 326 */BFALSE; } } 
{ /* Llib/fs.scm 326 */
 long BgL_index1392z00_2667;
BgL_index1392z00_2667 = 
BGl_search1388ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1385z00_140)), BgL_opt1385z00_140, 
((obj_t)
CNST_TABLE_REF(6)), 1L); 
if(
(BgL_index1392z00_2667>=0L))
{ /* Llib/fs.scm 326 */
BgL_arg1z00_2663 = 
VECTOR_REF(BgL_opt1385z00_140,BgL_index1392z00_2667); }  else 
{ /* Llib/fs.scm 326 */BFALSE; } } 
{ /* Llib/fs.scm 326 */
 long BgL_index1393z00_2668;
BgL_index1393z00_2668 = 
BGl_search1388ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1385z00_140)), BgL_opt1385z00_140, 
((obj_t)
CNST_TABLE_REF(1)), 1L); 
if(
(BgL_index1393z00_2668>=0L))
{ /* Llib/fs.scm 326 */
BgL_callbackz00_2664 = 
VECTOR_REF(BgL_opt1385z00_140,BgL_index1393z00_2668); }  else 
{ /* Llib/fs.scm 326 */BFALSE; } } 
{ /* Llib/fs.scm 326 */
 long BgL_index1394z00_2669;
BgL_index1394z00_2669 = 
BGl_search1388ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1385z00_140)), BgL_opt1385z00_140, 
((obj_t)
CNST_TABLE_REF(2)), 1L); 
if(
(BgL_index1394z00_2669>=0L))
{ /* Llib/fs.scm 326 */
BgL_loopz00_2665 = 
VECTOR_REF(BgL_opt1385z00_140,BgL_index1394z00_2669); }  else 
{ /* Llib/fs.scm 326 */BFALSE; } } 
{ /* Llib/fs.scm 326 */
 obj_t BgL_arg1908z00_2670;
BgL_arg1908z00_2670 = 
VECTOR_REF(BgL_opt1385z00_140,0L); 
{ /* Llib/fs.scm 326 */
 obj_t BgL_arg0z00_2671;
BgL_arg0z00_2671 = BgL_arg0z00_2662; 
{ /* Llib/fs.scm 326 */
 obj_t BgL_arg1z00_2672;
BgL_arg1z00_2672 = BgL_arg1z00_2663; 
{ /* Llib/fs.scm 326 */
 obj_t BgL_callbackz00_2673;
BgL_callbackz00_2673 = BgL_callbackz00_2664; 
{ /* Llib/fs.scm 326 */
 obj_t BgL_loopz00_2674;
BgL_loopz00_2674 = BgL_loopz00_2665; 
return 
BINT(
bgl_uv_fs_close2(
((BgL_uvfilez00_bglt)BgL_arg1908z00_2670), BgL_callbackz00_2673, BgL_arg0z00_2671, BgL_arg1z00_2672, 
((BgL_uvloopz00_bglt)BgL_loopz00_2674)));} } } } } } } } } } } } 

}



/* search1388~0 */
long BGl_search1388ze70ze7zz__libuv_fsz00(long BgL_l1387z00_2353, obj_t BgL_opt1385z00_2352, obj_t BgL_k1z00_1800, long BgL_iz00_1801)
{
{ /* Llib/fs.scm 326 */
BGl_search1388ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1801==BgL_l1387z00_2353))
{ /* Llib/fs.scm 326 */
return (-1L);}  else 
{ /* Llib/fs.scm 326 */
 obj_t BgL_vz00_1803;
BgL_vz00_1803 = 
VECTOR_REF(BgL_opt1385z00_2352,BgL_iz00_1801); 
if(
(BgL_vz00_1803==BgL_k1z00_1800))
{ /* Llib/fs.scm 326 */
return 
(BgL_iz00_1801+1L);}  else 
{ 
 long BgL_iz00_4043;
BgL_iz00_4043 = 
(BgL_iz00_1801+2L); 
BgL_iz00_1801 = BgL_iz00_4043; 
goto BGl_search1388ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-close2 */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2close2z00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_135, obj_t BgL_arg0z00_136, obj_t BgL_arg1z00_137, obj_t BgL_callbackz00_138, obj_t BgL_loopz00_139)
{
{ /* Llib/fs.scm 326 */
return 
BINT(
bgl_uv_fs_close2(BgL_fdz00_135, BgL_callbackz00_138, BgL_arg0z00_136, BgL_arg1z00_137, 
((BgL_uvloopz00_bglt)BgL_loopz00_139)));} 

}



/* _uv-fs-copyfile */
obj_t BGl__uvzd2fszd2copyfilez00zz__libuv_fsz00(obj_t BgL_env1397z00_148, obj_t BgL_opt1396z00_147)
{
{ /* Llib/fs.scm 332 */
{ /* Llib/fs.scm 332 */
 obj_t BgL_g1404z00_2675; obj_t BgL_g1405z00_2676; obj_t BgL_g1406z00_2677;
BgL_g1404z00_2675 = 
VECTOR_REF(BgL_opt1396z00_147,0L); 
BgL_g1405z00_2676 = 
VECTOR_REF(BgL_opt1396z00_147,1L); 
BgL_g1406z00_2677 = 
VECTOR_REF(BgL_opt1396z00_147,2L); 
{ /* Llib/fs.scm 332 */
 obj_t BgL_callbackz00_2678;
BgL_callbackz00_2678 = BFALSE; 
{ /* Llib/fs.scm 333 */
 obj_t BgL_loopz00_2679;
BgL_loopz00_2679 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 332 */

{ /* Llib/fs.scm 332 */
 long BgL_index1402z00_2680;
BgL_index1402z00_2680 = 
BGl_search1399ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1396z00_147)), BgL_opt1396z00_147, 
((obj_t)
CNST_TABLE_REF(1)), 3L); 
if(
(BgL_index1402z00_2680>=0L))
{ /* Llib/fs.scm 332 */
BgL_callbackz00_2678 = 
VECTOR_REF(BgL_opt1396z00_147,BgL_index1402z00_2680); }  else 
{ /* Llib/fs.scm 332 */BFALSE; } } 
{ /* Llib/fs.scm 332 */
 long BgL_index1403z00_2681;
BgL_index1403z00_2681 = 
BGl_search1399ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1396z00_147)), BgL_opt1396z00_147, 
((obj_t)
CNST_TABLE_REF(2)), 3L); 
if(
(BgL_index1403z00_2681>=0L))
{ /* Llib/fs.scm 332 */
BgL_loopz00_2679 = 
VECTOR_REF(BgL_opt1396z00_147,BgL_index1403z00_2681); }  else 
{ /* Llib/fs.scm 332 */BFALSE; } } 
{ /* Llib/fs.scm 332 */
 obj_t BgL_arg1913z00_2682; obj_t BgL_arg1914z00_2683; obj_t BgL_arg1915z00_2684;
BgL_arg1913z00_2682 = 
VECTOR_REF(BgL_opt1396z00_147,0L); 
BgL_arg1914z00_2683 = 
VECTOR_REF(BgL_opt1396z00_147,1L); 
BgL_arg1915z00_2684 = 
VECTOR_REF(BgL_opt1396z00_147,2L); 
{ /* Llib/fs.scm 332 */
 obj_t BgL_callbackz00_2685;
BgL_callbackz00_2685 = BgL_callbackz00_2678; 
{ /* Llib/fs.scm 332 */
 obj_t BgL_loopz00_2686;
BgL_loopz00_2686 = BgL_loopz00_2679; 
{ /* Llib/fs.scm 332 */
 int BgL_flagsz00_2687;
BgL_flagsz00_2687 = 
CINT(BgL_arg1915z00_2684); 
return 
BINT(
bgl_uv_fs_copyfile(
((obj_t)BgL_arg1913z00_2682), 
((obj_t)BgL_arg1914z00_2683), BgL_flagsz00_2687, BgL_callbackz00_2685, 
((BgL_uvloopz00_bglt)BgL_loopz00_2686)));} } } } } } } } } 

}



/* search1399~0 */
long BGl_search1399ze70ze7zz__libuv_fsz00(long BgL_l1398z00_2351, obj_t BgL_opt1396z00_2350, obj_t BgL_k1z00_1835, long BgL_iz00_1836)
{
{ /* Llib/fs.scm 332 */
BGl_search1399ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1836==BgL_l1398z00_2351))
{ /* Llib/fs.scm 332 */
return (-1L);}  else 
{ /* Llib/fs.scm 332 */
 obj_t BgL_vz00_1838;
BgL_vz00_1838 = 
VECTOR_REF(BgL_opt1396z00_2350,BgL_iz00_1836); 
if(
(BgL_vz00_1838==BgL_k1z00_1835))
{ /* Llib/fs.scm 332 */
return 
(BgL_iz00_1836+1L);}  else 
{ 
 long BgL_iz00_4084;
BgL_iz00_4084 = 
(BgL_iz00_1836+2L); 
BgL_iz00_1836 = BgL_iz00_4084; 
goto BGl_search1399ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-copyfile */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2copyfilez00zz__libuv_fsz00(obj_t BgL_pathz00_142, obj_t BgL_newpathz00_143, int BgL_flagsz00_144, obj_t BgL_callbackz00_145, obj_t BgL_loopz00_146)
{
{ /* Llib/fs.scm 332 */
return 
BINT(
bgl_uv_fs_copyfile(BgL_pathz00_142, BgL_newpathz00_143, BgL_flagsz00_144, BgL_callbackz00_145, 
((BgL_uvloopz00_bglt)BgL_loopz00_146)));} 

}



/* _uv-fs-fstat */
obj_t BGl__uvzd2fszd2fstatz00zz__libuv_fsz00(obj_t BgL_env1408z00_154, obj_t BgL_opt1407z00_153)
{
{ /* Llib/fs.scm 339 */
{ /* Llib/fs.scm 339 */
 obj_t BgL_g1416z00_2688;
BgL_g1416z00_2688 = 
VECTOR_REF(BgL_opt1407z00_153,0L); 
{ /* Llib/fs.scm 339 */
 obj_t BgL_callbackz00_2689;
BgL_callbackz00_2689 = BFALSE; 
{ /* Llib/fs.scm 339 */
 obj_t BgL_loopz00_2690;
BgL_loopz00_2690 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 339 */
 obj_t BgL_vectorz00_2691;
BgL_vectorz00_2691 = BFALSE; 
{ /* Llib/fs.scm 339 */

{ /* Llib/fs.scm 339 */
 long BgL_index1413z00_2692;
BgL_index1413z00_2692 = 
BGl_search1410ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1407z00_153)), BgL_opt1407z00_153, 
((obj_t)
CNST_TABLE_REF(1)), 1L); 
if(
(BgL_index1413z00_2692>=0L))
{ /* Llib/fs.scm 339 */
BgL_callbackz00_2689 = 
VECTOR_REF(BgL_opt1407z00_153,BgL_index1413z00_2692); }  else 
{ /* Llib/fs.scm 339 */BFALSE; } } 
{ /* Llib/fs.scm 339 */
 long BgL_index1414z00_2693;
BgL_index1414z00_2693 = 
BGl_search1410ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1407z00_153)), BgL_opt1407z00_153, 
((obj_t)
CNST_TABLE_REF(2)), 1L); 
if(
(BgL_index1414z00_2693>=0L))
{ /* Llib/fs.scm 339 */
BgL_loopz00_2690 = 
VECTOR_REF(BgL_opt1407z00_153,BgL_index1414z00_2693); }  else 
{ /* Llib/fs.scm 339 */BFALSE; } } 
{ /* Llib/fs.scm 339 */
 long BgL_index1415z00_2694;
BgL_index1415z00_2694 = 
BGl_search1410ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1407z00_153)), BgL_opt1407z00_153, 
((obj_t)
CNST_TABLE_REF(9)), 1L); 
if(
(BgL_index1415z00_2694>=0L))
{ /* Llib/fs.scm 339 */
BgL_vectorz00_2691 = 
VECTOR_REF(BgL_opt1407z00_153,BgL_index1415z00_2694); }  else 
{ /* Llib/fs.scm 339 */BFALSE; } } 
{ /* Llib/fs.scm 339 */
 obj_t BgL_arg1921z00_2695;
BgL_arg1921z00_2695 = 
VECTOR_REF(BgL_opt1407z00_153,0L); 
{ /* Llib/fs.scm 339 */
 obj_t BgL_callbackz00_2696;
BgL_callbackz00_2696 = BgL_callbackz00_2689; 
{ /* Llib/fs.scm 339 */
 obj_t BgL_loopz00_2697;
BgL_loopz00_2697 = BgL_loopz00_2690; 
{ /* Llib/fs.scm 339 */
 obj_t BgL_vectorz00_2698;
BgL_vectorz00_2698 = BgL_vectorz00_2691; 
return 
bgl_uv_fs_fstat(
((BgL_uvfilez00_bglt)BgL_arg1921z00_2695), BgL_callbackz00_2696, BgL_vectorz00_2698, 
((BgL_uvloopz00_bglt)BgL_loopz00_2697));} } } } } } } } } } 

}



/* search1410~0 */
long BGl_search1410ze70ze7zz__libuv_fsz00(long BgL_l1409z00_2349, obj_t BgL_opt1407z00_2348, obj_t BgL_k1z00_1866, long BgL_iz00_1867)
{
{ /* Llib/fs.scm 339 */
BGl_search1410ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1867==BgL_l1409z00_2349))
{ /* Llib/fs.scm 339 */
return (-1L);}  else 
{ /* Llib/fs.scm 339 */
 obj_t BgL_vz00_1869;
BgL_vz00_1869 = 
VECTOR_REF(BgL_opt1407z00_2348,BgL_iz00_1867); 
if(
(BgL_vz00_1869==BgL_k1z00_1866))
{ /* Llib/fs.scm 339 */
return 
(BgL_iz00_1867+1L);}  else 
{ 
 long BgL_iz00_4126;
BgL_iz00_4126 = 
(BgL_iz00_1867+2L); 
BgL_iz00_1867 = BgL_iz00_4126; 
goto BGl_search1410ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-fstat */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2fstatz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_149, obj_t BgL_callbackz00_150, obj_t BgL_loopz00_151, obj_t BgL_vectorz00_152)
{
{ /* Llib/fs.scm 339 */
return 
bgl_uv_fs_fstat(BgL_fdz00_149, BgL_callbackz00_150, BgL_vectorz00_152, 
((BgL_uvloopz00_bglt)BgL_loopz00_151));} 

}



/* _uv-fs-lstat */
obj_t BGl__uvzd2fszd2lstatz00zz__libuv_fsz00(obj_t BgL_env1418z00_160, obj_t BgL_opt1417z00_159)
{
{ /* Llib/fs.scm 345 */
{ /* Llib/fs.scm 345 */
 obj_t BgL_g1426z00_2699;
BgL_g1426z00_2699 = 
VECTOR_REF(BgL_opt1417z00_159,0L); 
{ /* Llib/fs.scm 345 */
 obj_t BgL_callbackz00_2700;
BgL_callbackz00_2700 = BFALSE; 
{ /* Llib/fs.scm 345 */
 obj_t BgL_loopz00_2701;
BgL_loopz00_2701 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 345 */
 obj_t BgL_vectorz00_2702;
BgL_vectorz00_2702 = BFALSE; 
{ /* Llib/fs.scm 345 */

{ /* Llib/fs.scm 345 */
 long BgL_index1423z00_2703;
BgL_index1423z00_2703 = 
BGl_search1420ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1417z00_159)), BgL_opt1417z00_159, 
((obj_t)
CNST_TABLE_REF(1)), 1L); 
if(
(BgL_index1423z00_2703>=0L))
{ /* Llib/fs.scm 345 */
BgL_callbackz00_2700 = 
VECTOR_REF(BgL_opt1417z00_159,BgL_index1423z00_2703); }  else 
{ /* Llib/fs.scm 345 */BFALSE; } } 
{ /* Llib/fs.scm 345 */
 long BgL_index1424z00_2704;
BgL_index1424z00_2704 = 
BGl_search1420ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1417z00_159)), BgL_opt1417z00_159, 
((obj_t)
CNST_TABLE_REF(2)), 1L); 
if(
(BgL_index1424z00_2704>=0L))
{ /* Llib/fs.scm 345 */
BgL_loopz00_2701 = 
VECTOR_REF(BgL_opt1417z00_159,BgL_index1424z00_2704); }  else 
{ /* Llib/fs.scm 345 */BFALSE; } } 
{ /* Llib/fs.scm 345 */
 long BgL_index1425z00_2705;
BgL_index1425z00_2705 = 
BGl_search1420ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1417z00_159)), BgL_opt1417z00_159, 
((obj_t)
CNST_TABLE_REF(9)), 1L); 
if(
(BgL_index1425z00_2705>=0L))
{ /* Llib/fs.scm 345 */
BgL_vectorz00_2702 = 
VECTOR_REF(BgL_opt1417z00_159,BgL_index1425z00_2705); }  else 
{ /* Llib/fs.scm 345 */BFALSE; } } 
{ /* Llib/fs.scm 345 */
 obj_t BgL_arg1927z00_2706;
BgL_arg1927z00_2706 = 
VECTOR_REF(BgL_opt1417z00_159,0L); 
{ /* Llib/fs.scm 345 */
 obj_t BgL_callbackz00_2707;
BgL_callbackz00_2707 = BgL_callbackz00_2700; 
{ /* Llib/fs.scm 345 */
 obj_t BgL_loopz00_2708;
BgL_loopz00_2708 = BgL_loopz00_2701; 
{ /* Llib/fs.scm 345 */
 obj_t BgL_vectorz00_2709;
BgL_vectorz00_2709 = BgL_vectorz00_2702; 
return 
bgl_uv_fs_lstat(
BSTRING_TO_STRING(
((obj_t)BgL_arg1927z00_2706)), BgL_callbackz00_2707, BgL_vectorz00_2709, 
((BgL_uvloopz00_bglt)BgL_loopz00_2708));} } } } } } } } } } 

}



/* search1420~0 */
long BGl_search1420ze70ze7zz__libuv_fsz00(long BgL_l1419z00_2347, obj_t BgL_opt1417z00_2346, obj_t BgL_k1z00_1896, long BgL_iz00_1897)
{
{ /* Llib/fs.scm 345 */
BGl_search1420ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1897==BgL_l1419z00_2347))
{ /* Llib/fs.scm 345 */
return (-1L);}  else 
{ /* Llib/fs.scm 345 */
 obj_t BgL_vz00_1899;
BgL_vz00_1899 = 
VECTOR_REF(BgL_opt1417z00_2346,BgL_iz00_1897); 
if(
(BgL_vz00_1899==BgL_k1z00_1896))
{ /* Llib/fs.scm 345 */
return 
(BgL_iz00_1897+1L);}  else 
{ 
 long BgL_iz00_4168;
BgL_iz00_4168 = 
(BgL_iz00_1897+2L); 
BgL_iz00_1897 = BgL_iz00_4168; 
goto BGl_search1420ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-lstat */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2lstatz00zz__libuv_fsz00(obj_t BgL_pathz00_155, obj_t BgL_callbackz00_156, obj_t BgL_loopz00_157, obj_t BgL_vectorz00_158)
{
{ /* Llib/fs.scm 345 */
return 
bgl_uv_fs_lstat(
BSTRING_TO_STRING(BgL_pathz00_155), BgL_callbackz00_156, BgL_vectorz00_158, 
((BgL_uvloopz00_bglt)BgL_loopz00_157));} 

}



/* _uv-fs-stat */
obj_t BGl__uvzd2fszd2statz00zz__libuv_fsz00(obj_t BgL_env1428z00_166, obj_t BgL_opt1427z00_165)
{
{ /* Llib/fs.scm 351 */
{ /* Llib/fs.scm 351 */
 obj_t BgL_g1436z00_2710;
BgL_g1436z00_2710 = 
VECTOR_REF(BgL_opt1427z00_165,0L); 
{ /* Llib/fs.scm 351 */
 obj_t BgL_callbackz00_2711;
BgL_callbackz00_2711 = BFALSE; 
{ /* Llib/fs.scm 351 */
 obj_t BgL_loopz00_2712;
BgL_loopz00_2712 = 
((obj_t)
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00()); 
{ /* Llib/fs.scm 351 */
 obj_t BgL_vectorz00_2713;
BgL_vectorz00_2713 = BFALSE; 
{ /* Llib/fs.scm 351 */

{ /* Llib/fs.scm 351 */
 long BgL_index1433z00_2714;
BgL_index1433z00_2714 = 
BGl_search1430ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1427z00_165)), BgL_opt1427z00_165, 
((obj_t)
CNST_TABLE_REF(1)), 1L); 
if(
(BgL_index1433z00_2714>=0L))
{ /* Llib/fs.scm 351 */
BgL_callbackz00_2711 = 
VECTOR_REF(BgL_opt1427z00_165,BgL_index1433z00_2714); }  else 
{ /* Llib/fs.scm 351 */BFALSE; } } 
{ /* Llib/fs.scm 351 */
 long BgL_index1434z00_2715;
BgL_index1434z00_2715 = 
BGl_search1430ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1427z00_165)), BgL_opt1427z00_165, 
((obj_t)
CNST_TABLE_REF(2)), 1L); 
if(
(BgL_index1434z00_2715>=0L))
{ /* Llib/fs.scm 351 */
BgL_loopz00_2712 = 
VECTOR_REF(BgL_opt1427z00_165,BgL_index1434z00_2715); }  else 
{ /* Llib/fs.scm 351 */BFALSE; } } 
{ /* Llib/fs.scm 351 */
 long BgL_index1435z00_2716;
BgL_index1435z00_2716 = 
BGl_search1430ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1427z00_165)), BgL_opt1427z00_165, 
((obj_t)
CNST_TABLE_REF(9)), 1L); 
if(
(BgL_index1435z00_2716>=0L))
{ /* Llib/fs.scm 351 */
BgL_vectorz00_2713 = 
VECTOR_REF(BgL_opt1427z00_165,BgL_index1435z00_2716); }  else 
{ /* Llib/fs.scm 351 */BFALSE; } } 
{ /* Llib/fs.scm 351 */
 obj_t BgL_arg1933z00_2717;
BgL_arg1933z00_2717 = 
VECTOR_REF(BgL_opt1427z00_165,0L); 
{ /* Llib/fs.scm 351 */
 obj_t BgL_callbackz00_2718;
BgL_callbackz00_2718 = BgL_callbackz00_2711; 
{ /* Llib/fs.scm 351 */
 obj_t BgL_loopz00_2719;
BgL_loopz00_2719 = BgL_loopz00_2712; 
{ /* Llib/fs.scm 351 */
 obj_t BgL_vectorz00_2720;
BgL_vectorz00_2720 = BgL_vectorz00_2713; 
return 
bgl_uv_fs_stat(
BSTRING_TO_STRING(
((obj_t)BgL_arg1933z00_2717)), BgL_callbackz00_2718, BgL_vectorz00_2720, 
((BgL_uvloopz00_bglt)BgL_loopz00_2719));} } } } } } } } } } 

}



/* search1430~0 */
long BGl_search1430ze70ze7zz__libuv_fsz00(long BgL_l1429z00_2345, obj_t BgL_opt1427z00_2344, obj_t BgL_k1z00_1926, long BgL_iz00_1927)
{
{ /* Llib/fs.scm 351 */
BGl_search1430ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1927==BgL_l1429z00_2345))
{ /* Llib/fs.scm 351 */
return (-1L);}  else 
{ /* Llib/fs.scm 351 */
 obj_t BgL_vz00_1929;
BgL_vz00_1929 = 
VECTOR_REF(BgL_opt1427z00_2344,BgL_iz00_1927); 
if(
(BgL_vz00_1929==BgL_k1z00_1926))
{ /* Llib/fs.scm 351 */
return 
(BgL_iz00_1927+1L);}  else 
{ 
 long BgL_iz00_4211;
BgL_iz00_4211 = 
(BgL_iz00_1927+2L); 
BgL_iz00_1927 = BgL_iz00_4211; 
goto BGl_search1430ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-stat */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2statz00zz__libuv_fsz00(obj_t BgL_pathz00_161, obj_t BgL_callbackz00_162, obj_t BgL_loopz00_163, obj_t BgL_vectorz00_164)
{
{ /* Llib/fs.scm 351 */
return 
bgl_uv_fs_stat(
BSTRING_TO_STRING(BgL_pathz00_161), BgL_callbackz00_162, BgL_vectorz00_164, 
((BgL_uvloopz00_bglt)BgL_loopz00_163));} 

}



/* _uv-fs-write */
obj_t BGl__uvzd2fszd2writez00zz__libuv_fsz00(obj_t BgL_env1438z00_175, obj_t BgL_opt1437z00_174)
{
{ /* Llib/fs.scm 357 */
{ /* Llib/fs.scm 357 */
 obj_t BgL_g1447z00_2721; obj_t BgL_g1448z00_2722; obj_t BgL_g1449z00_2723;
BgL_g1447z00_2721 = 
VECTOR_REF(BgL_opt1437z00_174,0L); 
BgL_g1448z00_2722 = 
VECTOR_REF(BgL_opt1437z00_174,1L); 
BgL_g1449z00_2723 = 
VECTOR_REF(BgL_opt1437z00_174,2L); 
{ /* Llib/fs.scm 357 */
 obj_t BgL_callbackz00_2724;
BgL_callbackz00_2724 = BFALSE; 
{ /* Llib/fs.scm 359 */
 BgL_uvloopz00_bglt BgL_loopz00_2725;
BgL_loopz00_2725 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 357 */
 obj_t BgL_offsetz00_2726;
BgL_offsetz00_2726 = 
BINT(0L); 
{ /* Llib/fs.scm 357 */
 obj_t BgL_positionz00_2727;
BgL_positionz00_2727 = 
BINT((-1L)); 
{ /* Llib/fs.scm 357 */

{ /* Llib/fs.scm 357 */
 long BgL_index1443z00_2728;
BgL_index1443z00_2728 = 
BGl_search1440ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1437z00_174)), BgL_opt1437z00_174, 
((obj_t)
CNST_TABLE_REF(1)), 3L); 
if(
(BgL_index1443z00_2728>=0L))
{ /* Llib/fs.scm 357 */
BgL_callbackz00_2724 = 
VECTOR_REF(BgL_opt1437z00_174,BgL_index1443z00_2728); }  else 
{ /* Llib/fs.scm 357 */BFALSE; } } 
{ /* Llib/fs.scm 357 */
 long BgL_index1444z00_2729;
BgL_index1444z00_2729 = 
BGl_search1440ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1437z00_174)), BgL_opt1437z00_174, 
((obj_t)
CNST_TABLE_REF(2)), 3L); 
if(
(BgL_index1444z00_2729>=0L))
{ /* Llib/fs.scm 357 */
BgL_loopz00_2725 = 
((BgL_uvloopz00_bglt)
VECTOR_REF(BgL_opt1437z00_174,BgL_index1444z00_2729)); }  else 
{ /* Llib/fs.scm 357 */BFALSE; } } 
{ /* Llib/fs.scm 357 */
 long BgL_index1445z00_2730;
BgL_index1445z00_2730 = 
BGl_search1440ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1437z00_174)), BgL_opt1437z00_174, 
((obj_t)
CNST_TABLE_REF(10)), 3L); 
if(
(BgL_index1445z00_2730>=0L))
{ /* Llib/fs.scm 357 */
BgL_offsetz00_2726 = 
VECTOR_REF(BgL_opt1437z00_174,BgL_index1445z00_2730); }  else 
{ /* Llib/fs.scm 357 */BFALSE; } } 
{ /* Llib/fs.scm 357 */
 long BgL_index1446z00_2731;
BgL_index1446z00_2731 = 
BGl_search1440ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1437z00_174)), BgL_opt1437z00_174, 
((obj_t)
CNST_TABLE_REF(11)), 3L); 
if(
(BgL_index1446z00_2731>=0L))
{ /* Llib/fs.scm 357 */
BgL_positionz00_2727 = 
VECTOR_REF(BgL_opt1437z00_174,BgL_index1446z00_2731); }  else 
{ /* Llib/fs.scm 357 */BFALSE; } } 
{ /* Llib/fs.scm 357 */
 obj_t BgL_arg1940z00_2732; obj_t BgL_arg1941z00_2733; obj_t BgL_arg1942z00_2734;
BgL_arg1940z00_2732 = 
VECTOR_REF(BgL_opt1437z00_174,0L); 
BgL_arg1941z00_2733 = 
VECTOR_REF(BgL_opt1437z00_174,1L); 
BgL_arg1942z00_2734 = 
VECTOR_REF(BgL_opt1437z00_174,2L); 
{ /* Llib/fs.scm 357 */
 obj_t BgL_callbackz00_2735;
BgL_callbackz00_2735 = BgL_callbackz00_2724; 
{ /* Llib/fs.scm 357 */
 BgL_uvloopz00_bglt BgL_loopz00_2736;
BgL_loopz00_2736 = BgL_loopz00_2725; 
{ /* Llib/fs.scm 357 */
 obj_t BgL_offsetz00_2737;
BgL_offsetz00_2737 = BgL_offsetz00_2726; 
{ /* Llib/fs.scm 357 */
 obj_t BgL_positionz00_2738;
BgL_positionz00_2738 = BgL_positionz00_2727; 
{ /* Llib/fs.scm 357 */
 int BgL_lengthz00_2739;
BgL_lengthz00_2739 = 
CINT(BgL_arg1942z00_2734); 
return 
BINT(
bgl_uv_fs_write(
((BgL_uvfilez00_bglt)BgL_arg1940z00_2732), 
((obj_t)BgL_arg1941z00_2733), 
(long)CINT(BgL_offsetz00_2737), 
(long)(BgL_lengthz00_2739), 
BGL_BINT64_TO_INT64(BgL_positionz00_2738), BgL_callbackz00_2735, BgL_loopz00_2736));} } } } } } } } } } } } } 

}



/* search1440~0 */
long BGl_search1440ze70ze7zz__libuv_fsz00(long BgL_l1439z00_2343, obj_t BgL_opt1437z00_2342, obj_t BgL_k1z00_1956, long BgL_iz00_1957)
{
{ /* Llib/fs.scm 357 */
BGl_search1440ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1957==BgL_l1439z00_2343))
{ /* Llib/fs.scm 357 */
return (-1L);}  else 
{ /* Llib/fs.scm 357 */
 obj_t BgL_vz00_1959;
BgL_vz00_1959 = 
VECTOR_REF(BgL_opt1437z00_2342,BgL_iz00_1957); 
if(
(BgL_vz00_1959==BgL_k1z00_1956))
{ /* Llib/fs.scm 357 */
return 
(BgL_iz00_1957+1L);}  else 
{ 
 long BgL_iz00_4272;
BgL_iz00_4272 = 
(BgL_iz00_1957+2L); 
BgL_iz00_1957 = BgL_iz00_4272; 
goto BGl_search1440ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-write */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2writez00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_167, obj_t BgL_bufferz00_168, int BgL_lengthz00_169, obj_t BgL_callbackz00_170, BgL_uvloopz00_bglt BgL_loopz00_171, obj_t BgL_offsetz00_172, obj_t BgL_positionz00_173)
{
{ /* Llib/fs.scm 357 */
return 
BINT(
bgl_uv_fs_write(BgL_fdz00_167, BgL_bufferz00_168, 
(long)CINT(BgL_offsetz00_172), 
(long)(BgL_lengthz00_169), 
BGL_BINT64_TO_INT64(BgL_positionz00_173), BgL_callbackz00_170, BgL_loopz00_171));} 

}



/* _uv-fs-write2 */
obj_t BGl__uvzd2fszd2write2z00zz__libuv_fsz00(obj_t BgL_env1451z00_186, obj_t BgL_opt1450z00_185)
{
{ /* Llib/fs.scm 365 */
{ /* Llib/fs.scm 365 */
 obj_t BgL_g1462z00_2740; obj_t BgL_g1463z00_2741; obj_t BgL_g1464z00_2742;
BgL_g1462z00_2740 = 
VECTOR_REF(BgL_opt1450z00_185,0L); 
BgL_g1463z00_2741 = 
VECTOR_REF(BgL_opt1450z00_185,1L); 
BgL_g1464z00_2742 = 
VECTOR_REF(BgL_opt1450z00_185,2L); 
{ /* Llib/fs.scm 365 */
 obj_t BgL_arg0z00_2743;
BgL_arg0z00_2743 = BFALSE; 
{ /* Llib/fs.scm 365 */
 obj_t BgL_arg1z00_2744;
BgL_arg1z00_2744 = BFALSE; 
{ /* Llib/fs.scm 365 */
 obj_t BgL_callbackz00_2745;
BgL_callbackz00_2745 = BFALSE; 
{ /* Llib/fs.scm 367 */
 BgL_uvloopz00_bglt BgL_loopz00_2746;
BgL_loopz00_2746 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 365 */
 obj_t BgL_offsetz00_2747;
BgL_offsetz00_2747 = 
BINT(0L); 
{ /* Llib/fs.scm 365 */
 obj_t BgL_positionz00_2748;
BgL_positionz00_2748 = 
BINT((-1L)); 
{ /* Llib/fs.scm 365 */

{ /* Llib/fs.scm 365 */
 long BgL_index1456z00_2749;
BgL_index1456z00_2749 = 
BGl_search1453ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1450z00_185)), BgL_opt1450z00_185, 
((obj_t)
CNST_TABLE_REF(5)), 3L); 
if(
(BgL_index1456z00_2749>=0L))
{ /* Llib/fs.scm 365 */
BgL_arg0z00_2743 = 
VECTOR_REF(BgL_opt1450z00_185,BgL_index1456z00_2749); }  else 
{ /* Llib/fs.scm 365 */BFALSE; } } 
{ /* Llib/fs.scm 365 */
 long BgL_index1457z00_2750;
BgL_index1457z00_2750 = 
BGl_search1453ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1450z00_185)), BgL_opt1450z00_185, 
((obj_t)
CNST_TABLE_REF(6)), 3L); 
if(
(BgL_index1457z00_2750>=0L))
{ /* Llib/fs.scm 365 */
BgL_arg1z00_2744 = 
VECTOR_REF(BgL_opt1450z00_185,BgL_index1457z00_2750); }  else 
{ /* Llib/fs.scm 365 */BFALSE; } } 
{ /* Llib/fs.scm 365 */
 long BgL_index1458z00_2751;
BgL_index1458z00_2751 = 
BGl_search1453ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1450z00_185)), BgL_opt1450z00_185, 
((obj_t)
CNST_TABLE_REF(1)), 3L); 
if(
(BgL_index1458z00_2751>=0L))
{ /* Llib/fs.scm 365 */
BgL_callbackz00_2745 = 
VECTOR_REF(BgL_opt1450z00_185,BgL_index1458z00_2751); }  else 
{ /* Llib/fs.scm 365 */BFALSE; } } 
{ /* Llib/fs.scm 365 */
 long BgL_index1459z00_2752;
BgL_index1459z00_2752 = 
BGl_search1453ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1450z00_185)), BgL_opt1450z00_185, 
((obj_t)
CNST_TABLE_REF(2)), 3L); 
if(
(BgL_index1459z00_2752>=0L))
{ /* Llib/fs.scm 365 */
BgL_loopz00_2746 = 
((BgL_uvloopz00_bglt)
VECTOR_REF(BgL_opt1450z00_185,BgL_index1459z00_2752)); }  else 
{ /* Llib/fs.scm 365 */BFALSE; } } 
{ /* Llib/fs.scm 365 */
 long BgL_index1460z00_2753;
BgL_index1460z00_2753 = 
BGl_search1453ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1450z00_185)), BgL_opt1450z00_185, 
((obj_t)
CNST_TABLE_REF(10)), 3L); 
if(
(BgL_index1460z00_2753>=0L))
{ /* Llib/fs.scm 365 */
BgL_offsetz00_2747 = 
VECTOR_REF(BgL_opt1450z00_185,BgL_index1460z00_2753); }  else 
{ /* Llib/fs.scm 365 */BFALSE; } } 
{ /* Llib/fs.scm 365 */
 long BgL_index1461z00_2754;
BgL_index1461z00_2754 = 
BGl_search1453ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1450z00_185)), BgL_opt1450z00_185, 
((obj_t)
CNST_TABLE_REF(11)), 3L); 
if(
(BgL_index1461z00_2754>=0L))
{ /* Llib/fs.scm 365 */
BgL_positionz00_2748 = 
VECTOR_REF(BgL_opt1450z00_185,BgL_index1461z00_2754); }  else 
{ /* Llib/fs.scm 365 */BFALSE; } } 
{ /* Llib/fs.scm 365 */
 obj_t BgL_arg1951z00_2755; obj_t BgL_arg1952z00_2756; obj_t BgL_arg1953z00_2757;
BgL_arg1951z00_2755 = 
VECTOR_REF(BgL_opt1450z00_185,0L); 
BgL_arg1952z00_2756 = 
VECTOR_REF(BgL_opt1450z00_185,1L); 
BgL_arg1953z00_2757 = 
VECTOR_REF(BgL_opt1450z00_185,2L); 
{ /* Llib/fs.scm 365 */
 obj_t BgL_arg0z00_2758;
BgL_arg0z00_2758 = BgL_arg0z00_2743; 
{ /* Llib/fs.scm 365 */
 obj_t BgL_arg1z00_2759;
BgL_arg1z00_2759 = BgL_arg1z00_2744; 
{ /* Llib/fs.scm 365 */
 obj_t BgL_callbackz00_2760;
BgL_callbackz00_2760 = BgL_callbackz00_2745; 
{ /* Llib/fs.scm 365 */
 BgL_uvloopz00_bglt BgL_loopz00_2761;
BgL_loopz00_2761 = BgL_loopz00_2746; 
{ /* Llib/fs.scm 365 */
 obj_t BgL_offsetz00_2762;
BgL_offsetz00_2762 = BgL_offsetz00_2747; 
{ /* Llib/fs.scm 365 */
 obj_t BgL_positionz00_2763;
BgL_positionz00_2763 = BgL_positionz00_2748; 
{ /* Llib/fs.scm 365 */
 int BgL_lengthz00_2764;
BgL_lengthz00_2764 = 
CINT(BgL_arg1953z00_2757); 
return 
BINT(
bgl_uv_fs_write2(
((BgL_uvfilez00_bglt)BgL_arg1951z00_2755), 
((obj_t)BgL_arg1952z00_2756), 
(long)CINT(BgL_offsetz00_2762), 
(long)(BgL_lengthz00_2764), 
BGL_BINT64_TO_INT64(BgL_positionz00_2763), BgL_callbackz00_2760, BgL_arg0z00_2758, BgL_arg1z00_2759, BgL_loopz00_2761));} } } } } } } } } } } } } } } } } 

}



/* search1453~0 */
long BGl_search1453ze70ze7zz__libuv_fsz00(long BgL_l1452z00_2341, obj_t BgL_opt1450z00_2340, obj_t BgL_k1z00_1998, long BgL_iz00_1999)
{
{ /* Llib/fs.scm 365 */
BGl_search1453ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_1999==BgL_l1452z00_2341))
{ /* Llib/fs.scm 365 */
return (-1L);}  else 
{ /* Llib/fs.scm 365 */
 obj_t BgL_vz00_2001;
BgL_vz00_2001 = 
VECTOR_REF(BgL_opt1450z00_2340,BgL_iz00_1999); 
if(
(BgL_vz00_2001==BgL_k1z00_1998))
{ /* Llib/fs.scm 365 */
return 
(BgL_iz00_1999+1L);}  else 
{ 
 long BgL_iz00_4351;
BgL_iz00_4351 = 
(BgL_iz00_1999+2L); 
BgL_iz00_1999 = BgL_iz00_4351; 
goto BGl_search1453ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-write2 */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2write2z00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_176, obj_t BgL_bufferz00_177, int BgL_lengthz00_178, obj_t BgL_arg0z00_179, obj_t BgL_arg1z00_180, obj_t BgL_callbackz00_181, BgL_uvloopz00_bglt BgL_loopz00_182, obj_t BgL_offsetz00_183, obj_t BgL_positionz00_184)
{
{ /* Llib/fs.scm 365 */
return 
BINT(
bgl_uv_fs_write2(BgL_fdz00_176, BgL_bufferz00_177, 
(long)CINT(BgL_offsetz00_183), 
(long)(BgL_lengthz00_178), 
BGL_BINT64_TO_INT64(BgL_positionz00_184), BgL_callbackz00_181, BgL_arg0z00_179, BgL_arg1z00_180, BgL_loopz00_182));} 

}



/* _uv-fs-write3 */
obj_t BGl__uvzd2fszd2write3z00zz__libuv_fsz00(obj_t BgL_env1466z00_198, obj_t BgL_opt1465z00_197)
{
{ /* Llib/fs.scm 373 */
{ /* Llib/fs.scm 373 */
 obj_t BgL_g1478z00_2765; obj_t BgL_g1479z00_2766; obj_t BgL_g1480z00_2767;
BgL_g1478z00_2765 = 
VECTOR_REF(BgL_opt1465z00_197,0L); 
BgL_g1479z00_2766 = 
VECTOR_REF(BgL_opt1465z00_197,1L); 
BgL_g1480z00_2767 = 
VECTOR_REF(BgL_opt1465z00_197,2L); 
{ /* Llib/fs.scm 373 */
 obj_t BgL_arg0z00_2768;
BgL_arg0z00_2768 = BFALSE; 
{ /* Llib/fs.scm 373 */
 obj_t BgL_arg1z00_2769;
BgL_arg1z00_2769 = BFALSE; 
{ /* Llib/fs.scm 373 */
 obj_t BgL_arg2z00_2770;
BgL_arg2z00_2770 = BFALSE; 
{ /* Llib/fs.scm 373 */
 obj_t BgL_callbackz00_2771;
BgL_callbackz00_2771 = BFALSE; 
{ /* Llib/fs.scm 375 */
 BgL_uvloopz00_bglt BgL_loopz00_2772;
BgL_loopz00_2772 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 373 */
 obj_t BgL_offsetz00_2773;
BgL_offsetz00_2773 = 
BINT(0L); 
{ /* Llib/fs.scm 373 */
 obj_t BgL_positionz00_2774;
BgL_positionz00_2774 = 
BINT((-1L)); 
{ /* Llib/fs.scm 373 */

{ /* Llib/fs.scm 373 */
 long BgL_index1471z00_2775;
BgL_index1471z00_2775 = 
BGl_search1468ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1465z00_197)), BgL_opt1465z00_197, 
((obj_t)
CNST_TABLE_REF(5)), 3L); 
if(
(BgL_index1471z00_2775>=0L))
{ /* Llib/fs.scm 373 */
BgL_arg0z00_2768 = 
VECTOR_REF(BgL_opt1465z00_197,BgL_index1471z00_2775); }  else 
{ /* Llib/fs.scm 373 */BFALSE; } } 
{ /* Llib/fs.scm 373 */
 long BgL_index1472z00_2776;
BgL_index1472z00_2776 = 
BGl_search1468ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1465z00_197)), BgL_opt1465z00_197, 
((obj_t)
CNST_TABLE_REF(6)), 3L); 
if(
(BgL_index1472z00_2776>=0L))
{ /* Llib/fs.scm 373 */
BgL_arg1z00_2769 = 
VECTOR_REF(BgL_opt1465z00_197,BgL_index1472z00_2776); }  else 
{ /* Llib/fs.scm 373 */BFALSE; } } 
{ /* Llib/fs.scm 373 */
 long BgL_index1473z00_2777;
BgL_index1473z00_2777 = 
BGl_search1468ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1465z00_197)), BgL_opt1465z00_197, 
((obj_t)
CNST_TABLE_REF(7)), 3L); 
if(
(BgL_index1473z00_2777>=0L))
{ /* Llib/fs.scm 373 */
BgL_arg2z00_2770 = 
VECTOR_REF(BgL_opt1465z00_197,BgL_index1473z00_2777); }  else 
{ /* Llib/fs.scm 373 */BFALSE; } } 
{ /* Llib/fs.scm 373 */
 long BgL_index1474z00_2778;
BgL_index1474z00_2778 = 
BGl_search1468ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1465z00_197)), BgL_opt1465z00_197, 
((obj_t)
CNST_TABLE_REF(1)), 3L); 
if(
(BgL_index1474z00_2778>=0L))
{ /* Llib/fs.scm 373 */
BgL_callbackz00_2771 = 
VECTOR_REF(BgL_opt1465z00_197,BgL_index1474z00_2778); }  else 
{ /* Llib/fs.scm 373 */BFALSE; } } 
{ /* Llib/fs.scm 373 */
 long BgL_index1475z00_2779;
BgL_index1475z00_2779 = 
BGl_search1468ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1465z00_197)), BgL_opt1465z00_197, 
((obj_t)
CNST_TABLE_REF(2)), 3L); 
if(
(BgL_index1475z00_2779>=0L))
{ /* Llib/fs.scm 373 */
BgL_loopz00_2772 = 
((BgL_uvloopz00_bglt)
VECTOR_REF(BgL_opt1465z00_197,BgL_index1475z00_2779)); }  else 
{ /* Llib/fs.scm 373 */BFALSE; } } 
{ /* Llib/fs.scm 373 */
 long BgL_index1476z00_2780;
BgL_index1476z00_2780 = 
BGl_search1468ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1465z00_197)), BgL_opt1465z00_197, 
((obj_t)
CNST_TABLE_REF(10)), 3L); 
if(
(BgL_index1476z00_2780>=0L))
{ /* Llib/fs.scm 373 */
BgL_offsetz00_2773 = 
VECTOR_REF(BgL_opt1465z00_197,BgL_index1476z00_2780); }  else 
{ /* Llib/fs.scm 373 */BFALSE; } } 
{ /* Llib/fs.scm 373 */
 long BgL_index1477z00_2781;
BgL_index1477z00_2781 = 
BGl_search1468ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1465z00_197)), BgL_opt1465z00_197, 
((obj_t)
CNST_TABLE_REF(11)), 3L); 
if(
(BgL_index1477z00_2781>=0L))
{ /* Llib/fs.scm 373 */
BgL_positionz00_2774 = 
VECTOR_REF(BgL_opt1465z00_197,BgL_index1477z00_2781); }  else 
{ /* Llib/fs.scm 373 */BFALSE; } } 
{ /* Llib/fs.scm 373 */
 obj_t BgL_arg1963z00_2782; obj_t BgL_arg1964z00_2783; obj_t BgL_arg1965z00_2784;
BgL_arg1963z00_2782 = 
VECTOR_REF(BgL_opt1465z00_197,0L); 
BgL_arg1964z00_2783 = 
VECTOR_REF(BgL_opt1465z00_197,1L); 
BgL_arg1965z00_2784 = 
VECTOR_REF(BgL_opt1465z00_197,2L); 
{ /* Llib/fs.scm 373 */
 obj_t BgL_arg0z00_2785;
BgL_arg0z00_2785 = BgL_arg0z00_2768; 
{ /* Llib/fs.scm 373 */
 obj_t BgL_arg1z00_2786;
BgL_arg1z00_2786 = BgL_arg1z00_2769; 
{ /* Llib/fs.scm 373 */
 obj_t BgL_arg2z00_2787;
BgL_arg2z00_2787 = BgL_arg2z00_2770; 
{ /* Llib/fs.scm 373 */
 obj_t BgL_callbackz00_2788;
BgL_callbackz00_2788 = BgL_callbackz00_2771; 
{ /* Llib/fs.scm 373 */
 BgL_uvloopz00_bglt BgL_loopz00_2789;
BgL_loopz00_2789 = BgL_loopz00_2772; 
{ /* Llib/fs.scm 373 */
 obj_t BgL_offsetz00_2790;
BgL_offsetz00_2790 = BgL_offsetz00_2773; 
{ /* Llib/fs.scm 373 */
 obj_t BgL_positionz00_2791;
BgL_positionz00_2791 = BgL_positionz00_2774; 
{ /* Llib/fs.scm 373 */
 int BgL_lengthz00_2792;
BgL_lengthz00_2792 = 
CINT(BgL_arg1965z00_2784); 
return 
BINT(
bgl_uv_fs_write3(
((BgL_uvfilez00_bglt)BgL_arg1963z00_2782), 
((obj_t)BgL_arg1964z00_2783), 
(long)CINT(BgL_offsetz00_2790), 
(long)(BgL_lengthz00_2792), 
BGL_BINT64_TO_INT64(BgL_positionz00_2791), BgL_callbackz00_2788, BgL_arg0z00_2785, BgL_arg1z00_2786, BgL_arg2z00_2787, BgL_loopz00_2789));} } } } } } } } } } } } } } } } } } } 

}



/* search1468~0 */
long BGl_search1468ze70ze7zz__libuv_fsz00(long BgL_l1467z00_2339, obj_t BgL_opt1465z00_2338, obj_t BgL_k1z00_2050, long BgL_iz00_2051)
{
{ /* Llib/fs.scm 373 */
BGl_search1468ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_2051==BgL_l1467z00_2339))
{ /* Llib/fs.scm 373 */
return (-1L);}  else 
{ /* Llib/fs.scm 373 */
 obj_t BgL_vz00_2053;
BgL_vz00_2053 = 
VECTOR_REF(BgL_opt1465z00_2338,BgL_iz00_2051); 
if(
(BgL_vz00_2053==BgL_k1z00_2050))
{ /* Llib/fs.scm 373 */
return 
(BgL_iz00_2051+1L);}  else 
{ 
 long BgL_iz00_4438;
BgL_iz00_4438 = 
(BgL_iz00_2051+2L); 
BgL_iz00_2051 = BgL_iz00_4438; 
goto BGl_search1468ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-write3 */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2write3z00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_187, obj_t BgL_bufferz00_188, int BgL_lengthz00_189, obj_t BgL_arg0z00_190, obj_t BgL_arg1z00_191, obj_t BgL_arg2z00_192, obj_t BgL_callbackz00_193, BgL_uvloopz00_bglt BgL_loopz00_194, obj_t BgL_offsetz00_195, obj_t BgL_positionz00_196)
{
{ /* Llib/fs.scm 373 */
return 
BINT(
bgl_uv_fs_write3(BgL_fdz00_187, BgL_bufferz00_188, 
(long)CINT(BgL_offsetz00_195), 
(long)(BgL_lengthz00_189), 
BGL_BINT64_TO_INT64(BgL_positionz00_196), BgL_callbackz00_193, BgL_arg0z00_190, BgL_arg1z00_191, BgL_arg2z00_192, BgL_loopz00_194));} 

}



/* _uv-fs-read */
obj_t BGl__uvzd2fszd2readz00zz__libuv_fsz00(obj_t BgL_env1482z00_207, obj_t BgL_opt1481z00_206)
{
{ /* Llib/fs.scm 381 */
{ /* Llib/fs.scm 381 */
 obj_t BgL_g1491z00_2793; obj_t BgL_g1492z00_2794; obj_t BgL_g1493z00_2795;
BgL_g1491z00_2793 = 
VECTOR_REF(BgL_opt1481z00_206,0L); 
BgL_g1492z00_2794 = 
VECTOR_REF(BgL_opt1481z00_206,1L); 
BgL_g1493z00_2795 = 
VECTOR_REF(BgL_opt1481z00_206,2L); 
{ /* Llib/fs.scm 381 */
 obj_t BgL_callbackz00_2796;
BgL_callbackz00_2796 = BFALSE; 
{ /* Llib/fs.scm 383 */
 BgL_uvloopz00_bglt BgL_loopz00_2797;
BgL_loopz00_2797 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 381 */
 obj_t BgL_offsetz00_2798;
BgL_offsetz00_2798 = 
BINT(0L); 
{ /* Llib/fs.scm 381 */
 obj_t BgL_positionz00_2799;
BgL_positionz00_2799 = 
BINT((-1L)); 
{ /* Llib/fs.scm 381 */

{ /* Llib/fs.scm 381 */
 long BgL_index1487z00_2800;
BgL_index1487z00_2800 = 
BGl_search1484ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1481z00_206)), BgL_opt1481z00_206, 
((obj_t)
CNST_TABLE_REF(1)), 3L); 
if(
(BgL_index1487z00_2800>=0L))
{ /* Llib/fs.scm 381 */
BgL_callbackz00_2796 = 
VECTOR_REF(BgL_opt1481z00_206,BgL_index1487z00_2800); }  else 
{ /* Llib/fs.scm 381 */BFALSE; } } 
{ /* Llib/fs.scm 381 */
 long BgL_index1488z00_2801;
BgL_index1488z00_2801 = 
BGl_search1484ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1481z00_206)), BgL_opt1481z00_206, 
((obj_t)
CNST_TABLE_REF(2)), 3L); 
if(
(BgL_index1488z00_2801>=0L))
{ /* Llib/fs.scm 381 */
BgL_loopz00_2797 = 
((BgL_uvloopz00_bglt)
VECTOR_REF(BgL_opt1481z00_206,BgL_index1488z00_2801)); }  else 
{ /* Llib/fs.scm 381 */BFALSE; } } 
{ /* Llib/fs.scm 381 */
 long BgL_index1489z00_2802;
BgL_index1489z00_2802 = 
BGl_search1484ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1481z00_206)), BgL_opt1481z00_206, 
((obj_t)
CNST_TABLE_REF(10)), 3L); 
if(
(BgL_index1489z00_2802>=0L))
{ /* Llib/fs.scm 381 */
BgL_offsetz00_2798 = 
VECTOR_REF(BgL_opt1481z00_206,BgL_index1489z00_2802); }  else 
{ /* Llib/fs.scm 381 */BFALSE; } } 
{ /* Llib/fs.scm 381 */
 long BgL_index1490z00_2803;
BgL_index1490z00_2803 = 
BGl_search1484ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1481z00_206)), BgL_opt1481z00_206, 
((obj_t)
CNST_TABLE_REF(11)), 3L); 
if(
(BgL_index1490z00_2803>=0L))
{ /* Llib/fs.scm 381 */
BgL_positionz00_2799 = 
VECTOR_REF(BgL_opt1481z00_206,BgL_index1490z00_2803); }  else 
{ /* Llib/fs.scm 381 */BFALSE; } } 
{ /* Llib/fs.scm 381 */
 obj_t BgL_arg1972z00_2804; obj_t BgL_arg1973z00_2805; obj_t BgL_arg1974z00_2806;
BgL_arg1972z00_2804 = 
VECTOR_REF(BgL_opt1481z00_206,0L); 
BgL_arg1973z00_2805 = 
VECTOR_REF(BgL_opt1481z00_206,1L); 
BgL_arg1974z00_2806 = 
VECTOR_REF(BgL_opt1481z00_206,2L); 
{ /* Llib/fs.scm 381 */
 obj_t BgL_callbackz00_2807;
BgL_callbackz00_2807 = BgL_callbackz00_2796; 
{ /* Llib/fs.scm 381 */
 BgL_uvloopz00_bglt BgL_loopz00_2808;
BgL_loopz00_2808 = BgL_loopz00_2797; 
{ /* Llib/fs.scm 381 */
 obj_t BgL_offsetz00_2809;
BgL_offsetz00_2809 = BgL_offsetz00_2798; 
{ /* Llib/fs.scm 381 */
 obj_t BgL_positionz00_2810;
BgL_positionz00_2810 = BgL_positionz00_2799; 
{ /* Llib/fs.scm 381 */
 int BgL_lengthz00_2811;
BgL_lengthz00_2811 = 
CINT(BgL_arg1974z00_2806); 
return 
BINT(
bgl_uv_fs_read(
((BgL_uvfilez00_bglt)BgL_arg1972z00_2804), 
((obj_t)BgL_arg1973z00_2805), 
(long)CINT(BgL_offsetz00_2809), 
(long)(BgL_lengthz00_2811), 
BGL_BINT64_TO_INT64(BgL_positionz00_2810), BgL_callbackz00_2807, BgL_loopz00_2808));} } } } } } } } } } } } } 

}



/* search1484~0 */
long BGl_search1484ze70ze7zz__libuv_fsz00(long BgL_l1483z00_2337, obj_t BgL_opt1481z00_2336, obj_t BgL_k1z00_2107, long BgL_iz00_2108)
{
{ /* Llib/fs.scm 381 */
BGl_search1484ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_2108==BgL_l1483z00_2337))
{ /* Llib/fs.scm 381 */
return (-1L);}  else 
{ /* Llib/fs.scm 381 */
 obj_t BgL_vz00_2110;
BgL_vz00_2110 = 
VECTOR_REF(BgL_opt1481z00_2336,BgL_iz00_2108); 
if(
(BgL_vz00_2110==BgL_k1z00_2107))
{ /* Llib/fs.scm 381 */
return 
(BgL_iz00_2108+1L);}  else 
{ 
 long BgL_iz00_4501;
BgL_iz00_4501 = 
(BgL_iz00_2108+2L); 
BgL_iz00_2108 = BgL_iz00_4501; 
goto BGl_search1484ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-read */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2readz00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_199, obj_t BgL_bufferz00_200, int BgL_lengthz00_201, obj_t BgL_callbackz00_202, BgL_uvloopz00_bglt BgL_loopz00_203, obj_t BgL_offsetz00_204, obj_t BgL_positionz00_205)
{
{ /* Llib/fs.scm 381 */
return 
BINT(
bgl_uv_fs_read(BgL_fdz00_199, BgL_bufferz00_200, 
(long)CINT(BgL_offsetz00_204), 
(long)(BgL_lengthz00_201), 
BGL_BINT64_TO_INT64(BgL_positionz00_205), BgL_callbackz00_202, BgL_loopz00_203));} 

}



/* _uv-fs-read2 */
obj_t BGl__uvzd2fszd2read2z00zz__libuv_fsz00(obj_t BgL_env1495z00_218, obj_t BgL_opt1494z00_217)
{
{ /* Llib/fs.scm 389 */
{ /* Llib/fs.scm 389 */
 obj_t BgL_g1506z00_2812; obj_t BgL_g1507z00_2813; obj_t BgL_g1508z00_2814;
BgL_g1506z00_2812 = 
VECTOR_REF(BgL_opt1494z00_217,0L); 
BgL_g1507z00_2813 = 
VECTOR_REF(BgL_opt1494z00_217,1L); 
BgL_g1508z00_2814 = 
VECTOR_REF(BgL_opt1494z00_217,2L); 
{ /* Llib/fs.scm 389 */
 obj_t BgL_arg0z00_2815;
BgL_arg0z00_2815 = BFALSE; 
{ /* Llib/fs.scm 389 */
 obj_t BgL_arg1z00_2816;
BgL_arg1z00_2816 = BFALSE; 
{ /* Llib/fs.scm 389 */
 obj_t BgL_callbackz00_2817;
BgL_callbackz00_2817 = BFALSE; 
{ /* Llib/fs.scm 391 */
 BgL_uvloopz00_bglt BgL_loopz00_2818;
BgL_loopz00_2818 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 389 */
 obj_t BgL_offsetz00_2819;
BgL_offsetz00_2819 = 
BINT(0L); 
{ /* Llib/fs.scm 389 */
 obj_t BgL_positionz00_2820;
BgL_positionz00_2820 = 
BINT((-1L)); 
{ /* Llib/fs.scm 389 */

{ /* Llib/fs.scm 389 */
 long BgL_index1500z00_2821;
BgL_index1500z00_2821 = 
BGl_search1497ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1494z00_217)), BgL_opt1494z00_217, 
((obj_t)
CNST_TABLE_REF(5)), 3L); 
if(
(BgL_index1500z00_2821>=0L))
{ /* Llib/fs.scm 389 */
BgL_arg0z00_2815 = 
VECTOR_REF(BgL_opt1494z00_217,BgL_index1500z00_2821); }  else 
{ /* Llib/fs.scm 389 */BFALSE; } } 
{ /* Llib/fs.scm 389 */
 long BgL_index1501z00_2822;
BgL_index1501z00_2822 = 
BGl_search1497ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1494z00_217)), BgL_opt1494z00_217, 
((obj_t)
CNST_TABLE_REF(6)), 3L); 
if(
(BgL_index1501z00_2822>=0L))
{ /* Llib/fs.scm 389 */
BgL_arg1z00_2816 = 
VECTOR_REF(BgL_opt1494z00_217,BgL_index1501z00_2822); }  else 
{ /* Llib/fs.scm 389 */BFALSE; } } 
{ /* Llib/fs.scm 389 */
 long BgL_index1502z00_2823;
BgL_index1502z00_2823 = 
BGl_search1497ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1494z00_217)), BgL_opt1494z00_217, 
((obj_t)
CNST_TABLE_REF(1)), 3L); 
if(
(BgL_index1502z00_2823>=0L))
{ /* Llib/fs.scm 389 */
BgL_callbackz00_2817 = 
VECTOR_REF(BgL_opt1494z00_217,BgL_index1502z00_2823); }  else 
{ /* Llib/fs.scm 389 */BFALSE; } } 
{ /* Llib/fs.scm 389 */
 long BgL_index1503z00_2824;
BgL_index1503z00_2824 = 
BGl_search1497ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1494z00_217)), BgL_opt1494z00_217, 
((obj_t)
CNST_TABLE_REF(2)), 3L); 
if(
(BgL_index1503z00_2824>=0L))
{ /* Llib/fs.scm 389 */
BgL_loopz00_2818 = 
((BgL_uvloopz00_bglt)
VECTOR_REF(BgL_opt1494z00_217,BgL_index1503z00_2824)); }  else 
{ /* Llib/fs.scm 389 */BFALSE; } } 
{ /* Llib/fs.scm 389 */
 long BgL_index1504z00_2825;
BgL_index1504z00_2825 = 
BGl_search1497ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1494z00_217)), BgL_opt1494z00_217, 
((obj_t)
CNST_TABLE_REF(10)), 3L); 
if(
(BgL_index1504z00_2825>=0L))
{ /* Llib/fs.scm 389 */
BgL_offsetz00_2819 = 
VECTOR_REF(BgL_opt1494z00_217,BgL_index1504z00_2825); }  else 
{ /* Llib/fs.scm 389 */BFALSE; } } 
{ /* Llib/fs.scm 389 */
 long BgL_index1505z00_2826;
BgL_index1505z00_2826 = 
BGl_search1497ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1494z00_217)), BgL_opt1494z00_217, 
((obj_t)
CNST_TABLE_REF(11)), 3L); 
if(
(BgL_index1505z00_2826>=0L))
{ /* Llib/fs.scm 389 */
BgL_positionz00_2820 = 
VECTOR_REF(BgL_opt1494z00_217,BgL_index1505z00_2826); }  else 
{ /* Llib/fs.scm 389 */BFALSE; } } 
{ /* Llib/fs.scm 389 */
 obj_t BgL_arg1983z00_2827; obj_t BgL_arg1984z00_2828; obj_t BgL_arg1985z00_2829;
BgL_arg1983z00_2827 = 
VECTOR_REF(BgL_opt1494z00_217,0L); 
BgL_arg1984z00_2828 = 
VECTOR_REF(BgL_opt1494z00_217,1L); 
BgL_arg1985z00_2829 = 
VECTOR_REF(BgL_opt1494z00_217,2L); 
{ /* Llib/fs.scm 389 */
 obj_t BgL_arg0z00_2830;
BgL_arg0z00_2830 = BgL_arg0z00_2815; 
{ /* Llib/fs.scm 389 */
 obj_t BgL_arg1z00_2831;
BgL_arg1z00_2831 = BgL_arg1z00_2816; 
{ /* Llib/fs.scm 389 */
 obj_t BgL_callbackz00_2832;
BgL_callbackz00_2832 = BgL_callbackz00_2817; 
{ /* Llib/fs.scm 389 */
 BgL_uvloopz00_bglt BgL_loopz00_2833;
BgL_loopz00_2833 = BgL_loopz00_2818; 
{ /* Llib/fs.scm 389 */
 obj_t BgL_offsetz00_2834;
BgL_offsetz00_2834 = BgL_offsetz00_2819; 
{ /* Llib/fs.scm 389 */
 obj_t BgL_positionz00_2835;
BgL_positionz00_2835 = BgL_positionz00_2820; 
{ /* Llib/fs.scm 389 */
 int BgL_lengthz00_2836;
BgL_lengthz00_2836 = 
CINT(BgL_arg1985z00_2829); 
return 
BINT(
bgl_uv_fs_read2(
((BgL_uvfilez00_bglt)BgL_arg1983z00_2827), 
((obj_t)BgL_arg1984z00_2828), 
(long)CINT(BgL_offsetz00_2834), 
(long)(BgL_lengthz00_2836), 
BGL_BINT64_TO_INT64(BgL_positionz00_2835), BgL_callbackz00_2832, BgL_arg0z00_2830, BgL_arg1z00_2831, BgL_loopz00_2833));} } } } } } } } } } } } } } } } } 

}



/* search1497~0 */
long BGl_search1497ze70ze7zz__libuv_fsz00(long BgL_l1496z00_2335, obj_t BgL_opt1494z00_2334, obj_t BgL_k1z00_2149, long BgL_iz00_2150)
{
{ /* Llib/fs.scm 389 */
BGl_search1497ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_2150==BgL_l1496z00_2335))
{ /* Llib/fs.scm 389 */
return (-1L);}  else 
{ /* Llib/fs.scm 389 */
 obj_t BgL_vz00_2152;
BgL_vz00_2152 = 
VECTOR_REF(BgL_opt1494z00_2334,BgL_iz00_2150); 
if(
(BgL_vz00_2152==BgL_k1z00_2149))
{ /* Llib/fs.scm 389 */
return 
(BgL_iz00_2150+1L);}  else 
{ 
 long BgL_iz00_4580;
BgL_iz00_4580 = 
(BgL_iz00_2150+2L); 
BgL_iz00_2150 = BgL_iz00_4580; 
goto BGl_search1497ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-read2 */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2read2z00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_208, obj_t BgL_bufferz00_209, int BgL_lengthz00_210, obj_t BgL_arg0z00_211, obj_t BgL_arg1z00_212, obj_t BgL_callbackz00_213, BgL_uvloopz00_bglt BgL_loopz00_214, obj_t BgL_offsetz00_215, obj_t BgL_positionz00_216)
{
{ /* Llib/fs.scm 389 */
return 
BINT(
bgl_uv_fs_read2(BgL_fdz00_208, BgL_bufferz00_209, 
(long)CINT(BgL_offsetz00_215), 
(long)(BgL_lengthz00_210), 
BGL_BINT64_TO_INT64(BgL_positionz00_216), BgL_callbackz00_213, BgL_arg0z00_211, BgL_arg1z00_212, BgL_loopz00_214));} 

}



/* _uv-fs-read3 */
obj_t BGl__uvzd2fszd2read3z00zz__libuv_fsz00(obj_t BgL_env1510z00_230, obj_t BgL_opt1509z00_229)
{
{ /* Llib/fs.scm 397 */
{ /* Llib/fs.scm 397 */
 obj_t BgL_g1522z00_2837; obj_t BgL_g1523z00_2838; obj_t BgL_g1524z00_2839;
BgL_g1522z00_2837 = 
VECTOR_REF(BgL_opt1509z00_229,0L); 
BgL_g1523z00_2838 = 
VECTOR_REF(BgL_opt1509z00_229,1L); 
BgL_g1524z00_2839 = 
VECTOR_REF(BgL_opt1509z00_229,2L); 
{ /* Llib/fs.scm 397 */
 obj_t BgL_arg0z00_2840;
BgL_arg0z00_2840 = BFALSE; 
{ /* Llib/fs.scm 397 */
 obj_t BgL_arg1z00_2841;
BgL_arg1z00_2841 = BFALSE; 
{ /* Llib/fs.scm 397 */
 obj_t BgL_arg2z00_2842;
BgL_arg2z00_2842 = BFALSE; 
{ /* Llib/fs.scm 397 */
 obj_t BgL_callbackz00_2843;
BgL_callbackz00_2843 = BFALSE; 
{ /* Llib/fs.scm 399 */
 BgL_uvloopz00_bglt BgL_loopz00_2844;
BgL_loopz00_2844 = 
BGl_uvzd2defaultzd2loopz00zz__libuv_loopz00(); 
{ /* Llib/fs.scm 397 */
 obj_t BgL_offsetz00_2845;
BgL_offsetz00_2845 = 
BINT(0L); 
{ /* Llib/fs.scm 397 */
 obj_t BgL_positionz00_2846;
BgL_positionz00_2846 = 
BINT((-1L)); 
{ /* Llib/fs.scm 397 */

{ /* Llib/fs.scm 397 */
 long BgL_index1515z00_2847;
BgL_index1515z00_2847 = 
BGl_search1512ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1509z00_229)), BgL_opt1509z00_229, 
((obj_t)
CNST_TABLE_REF(5)), 3L); 
if(
(BgL_index1515z00_2847>=0L))
{ /* Llib/fs.scm 397 */
BgL_arg0z00_2840 = 
VECTOR_REF(BgL_opt1509z00_229,BgL_index1515z00_2847); }  else 
{ /* Llib/fs.scm 397 */BFALSE; } } 
{ /* Llib/fs.scm 397 */
 long BgL_index1516z00_2848;
BgL_index1516z00_2848 = 
BGl_search1512ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1509z00_229)), BgL_opt1509z00_229, 
((obj_t)
CNST_TABLE_REF(6)), 3L); 
if(
(BgL_index1516z00_2848>=0L))
{ /* Llib/fs.scm 397 */
BgL_arg1z00_2841 = 
VECTOR_REF(BgL_opt1509z00_229,BgL_index1516z00_2848); }  else 
{ /* Llib/fs.scm 397 */BFALSE; } } 
{ /* Llib/fs.scm 397 */
 long BgL_index1517z00_2849;
BgL_index1517z00_2849 = 
BGl_search1512ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1509z00_229)), BgL_opt1509z00_229, 
((obj_t)
CNST_TABLE_REF(7)), 3L); 
if(
(BgL_index1517z00_2849>=0L))
{ /* Llib/fs.scm 397 */
BgL_arg2z00_2842 = 
VECTOR_REF(BgL_opt1509z00_229,BgL_index1517z00_2849); }  else 
{ /* Llib/fs.scm 397 */BFALSE; } } 
{ /* Llib/fs.scm 397 */
 long BgL_index1518z00_2850;
BgL_index1518z00_2850 = 
BGl_search1512ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1509z00_229)), BgL_opt1509z00_229, 
((obj_t)
CNST_TABLE_REF(1)), 3L); 
if(
(BgL_index1518z00_2850>=0L))
{ /* Llib/fs.scm 397 */
BgL_callbackz00_2843 = 
VECTOR_REF(BgL_opt1509z00_229,BgL_index1518z00_2850); }  else 
{ /* Llib/fs.scm 397 */BFALSE; } } 
{ /* Llib/fs.scm 397 */
 long BgL_index1519z00_2851;
BgL_index1519z00_2851 = 
BGl_search1512ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1509z00_229)), BgL_opt1509z00_229, 
((obj_t)
CNST_TABLE_REF(2)), 3L); 
if(
(BgL_index1519z00_2851>=0L))
{ /* Llib/fs.scm 397 */
BgL_loopz00_2844 = 
((BgL_uvloopz00_bglt)
VECTOR_REF(BgL_opt1509z00_229,BgL_index1519z00_2851)); }  else 
{ /* Llib/fs.scm 397 */BFALSE; } } 
{ /* Llib/fs.scm 397 */
 long BgL_index1520z00_2852;
BgL_index1520z00_2852 = 
BGl_search1512ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1509z00_229)), BgL_opt1509z00_229, 
((obj_t)
CNST_TABLE_REF(10)), 3L); 
if(
(BgL_index1520z00_2852>=0L))
{ /* Llib/fs.scm 397 */
BgL_offsetz00_2845 = 
VECTOR_REF(BgL_opt1509z00_229,BgL_index1520z00_2852); }  else 
{ /* Llib/fs.scm 397 */BFALSE; } } 
{ /* Llib/fs.scm 397 */
 long BgL_index1521z00_2853;
BgL_index1521z00_2853 = 
BGl_search1512ze70ze7zz__libuv_fsz00(
VECTOR_LENGTH(
((obj_t)BgL_opt1509z00_229)), BgL_opt1509z00_229, 
((obj_t)
CNST_TABLE_REF(11)), 3L); 
if(
(BgL_index1521z00_2853>=0L))
{ /* Llib/fs.scm 397 */
BgL_positionz00_2846 = 
VECTOR_REF(BgL_opt1509z00_229,BgL_index1521z00_2853); }  else 
{ /* Llib/fs.scm 397 */BFALSE; } } 
{ /* Llib/fs.scm 397 */
 obj_t BgL_arg1995z00_2854; obj_t BgL_arg1996z00_2855; obj_t BgL_arg1997z00_2856;
BgL_arg1995z00_2854 = 
VECTOR_REF(BgL_opt1509z00_229,0L); 
BgL_arg1996z00_2855 = 
VECTOR_REF(BgL_opt1509z00_229,1L); 
BgL_arg1997z00_2856 = 
VECTOR_REF(BgL_opt1509z00_229,2L); 
{ /* Llib/fs.scm 397 */
 obj_t BgL_arg0z00_2857;
BgL_arg0z00_2857 = BgL_arg0z00_2840; 
{ /* Llib/fs.scm 397 */
 obj_t BgL_arg1z00_2858;
BgL_arg1z00_2858 = BgL_arg1z00_2841; 
{ /* Llib/fs.scm 397 */
 obj_t BgL_arg2z00_2859;
BgL_arg2z00_2859 = BgL_arg2z00_2842; 
{ /* Llib/fs.scm 397 */
 obj_t BgL_callbackz00_2860;
BgL_callbackz00_2860 = BgL_callbackz00_2843; 
{ /* Llib/fs.scm 397 */
 BgL_uvloopz00_bglt BgL_loopz00_2861;
BgL_loopz00_2861 = BgL_loopz00_2844; 
{ /* Llib/fs.scm 397 */
 obj_t BgL_offsetz00_2862;
BgL_offsetz00_2862 = BgL_offsetz00_2845; 
{ /* Llib/fs.scm 397 */
 obj_t BgL_positionz00_2863;
BgL_positionz00_2863 = BgL_positionz00_2846; 
{ /* Llib/fs.scm 397 */
 int BgL_lengthz00_2864;
BgL_lengthz00_2864 = 
CINT(BgL_arg1997z00_2856); 
return 
BINT(
bgl_uv_fs_read3(
((BgL_uvfilez00_bglt)BgL_arg1995z00_2854), 
((obj_t)BgL_arg1996z00_2855), 
(long)CINT(BgL_offsetz00_2862), 
(long)(BgL_lengthz00_2864), 
BGL_BINT64_TO_INT64(BgL_positionz00_2863), BgL_callbackz00_2860, BgL_arg0z00_2857, BgL_arg1z00_2858, BgL_arg2z00_2859, BgL_loopz00_2861));} } } } } } } } } } } } } } } } } } } 

}



/* search1512~0 */
long BGl_search1512ze70ze7zz__libuv_fsz00(long BgL_l1511z00_2333, obj_t BgL_opt1509z00_2332, obj_t BgL_k1z00_2201, long BgL_iz00_2202)
{
{ /* Llib/fs.scm 397 */
BGl_search1512ze70ze7zz__libuv_fsz00:
if(
(BgL_iz00_2202==BgL_l1511z00_2333))
{ /* Llib/fs.scm 397 */
return (-1L);}  else 
{ /* Llib/fs.scm 397 */
 obj_t BgL_vz00_2204;
BgL_vz00_2204 = 
VECTOR_REF(BgL_opt1509z00_2332,BgL_iz00_2202); 
if(
(BgL_vz00_2204==BgL_k1z00_2201))
{ /* Llib/fs.scm 397 */
return 
(BgL_iz00_2202+1L);}  else 
{ 
 long BgL_iz00_4667;
BgL_iz00_4667 = 
(BgL_iz00_2202+2L); 
BgL_iz00_2202 = BgL_iz00_4667; 
goto BGl_search1512ze70ze7zz__libuv_fsz00;} } } 

}



/* uv-fs-read3 */
BGL_EXPORTED_DEF obj_t BGl_uvzd2fszd2read3z00zz__libuv_fsz00(BgL_uvfilez00_bglt BgL_fdz00_219, obj_t BgL_bufferz00_220, int BgL_lengthz00_221, obj_t BgL_arg0z00_222, obj_t BgL_arg1z00_223, obj_t BgL_arg2z00_224, obj_t BgL_callbackz00_225, BgL_uvloopz00_bglt BgL_loopz00_226, obj_t BgL_offsetz00_227, obj_t BgL_positionz00_228)
{
{ /* Llib/fs.scm 397 */
return 
BINT(
bgl_uv_fs_read3(BgL_fdz00_219, BgL_bufferz00_220, 
(long)CINT(BgL_offsetz00_227), 
(long)(BgL_lengthz00_221), 
BGL_BINT64_TO_INT64(BgL_positionz00_228), BgL_callbackz00_225, BgL_arg0z00_222, BgL_arg1z00_223, BgL_arg2z00_224, BgL_loopz00_226));} 

}



/* uv-fs-flags */
BGL_EXPORTED_DEF int BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(obj_t BgL_flagz00_231)
{
{ /* Llib/fs.scm 405 */
if(
(BgL_flagz00_231==
((obj_t)
CNST_TABLE_REF(12))))
{ /* Llib/fs.scm 406 */
return 
(int)(BGl_O_RDONLYz00zz__libuv_fsz00);}  else 
{ /* Llib/fs.scm 406 */
if(
(BgL_flagz00_231==
((obj_t)
CNST_TABLE_REF(13))))
{ /* Llib/fs.scm 408 */
 long BgL_xz00_2258; long BgL_yz00_2259;
BgL_xz00_2258 = BGl_O_RDONLYz00zz__libuv_fsz00; 
BgL_yz00_2259 = BGl_O_SYNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2258 | BgL_yz00_2259));}  else 
{ /* Llib/fs.scm 406 */
if(
(BgL_flagz00_231==
((obj_t)
CNST_TABLE_REF(14))))
{ /* Llib/fs.scm 409 */
 long BgL_xz00_2261; long BgL_yz00_2262;
BgL_xz00_2261 = BGl_O_RDWRz00zz__libuv_fsz00; 
BgL_yz00_2262 = BGl_O_SYNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2261 | BgL_yz00_2262));}  else 
{ /* Llib/fs.scm 406 */
if(
(BgL_flagz00_231==
((obj_t)
CNST_TABLE_REF(15))))
{ /* Llib/fs.scm 410 */
 long BgL_xz00_2266;
BgL_xz00_2266 = BGl_O_TRUNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2266 | 
(BGl_O_CREATz00zz__libuv_fsz00 | BGl_O_WRONLYz00zz__libuv_fsz00)));}  else 
{ /* Llib/fs.scm 406 */
 bool_t BgL_test2280z00_4698;
{ /* Llib/fs.scm 406 */
 bool_t BgL__ortest_1129z00_1061;
BgL__ortest_1129z00_1061 = 
(BgL_flagz00_231==
((obj_t)
CNST_TABLE_REF(16))); 
if(BgL__ortest_1129z00_1061)
{ /* Llib/fs.scm 406 */
BgL_test2280z00_4698 = BgL__ortest_1129z00_1061
; }  else 
{ /* Llib/fs.scm 406 */
BgL_test2280z00_4698 = 
(BgL_flagz00_231==
((obj_t)
CNST_TABLE_REF(17)))
; } } 
if(BgL_test2280z00_4698)
{ /* Llib/fs.scm 411 */
 long BgL_arg2006z00_1038;
{ /* Llib/fs.scm 411 */
 long BgL_xz00_2270;
BgL_xz00_2270 = BGl_O_CREATz00zz__libuv_fsz00; 
BgL_arg2006z00_1038 = 
(BgL_xz00_2270 | 
(BGl_O_WRONLYz00zz__libuv_fsz00 | BGl_O_EXCLz00zz__libuv_fsz00)); } 
{ /* Llib/fs.scm 411 */
 long BgL_xz00_2272;
BgL_xz00_2272 = BGl_O_TRUNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2272 | BgL_arg2006z00_1038));} }  else 
{ /* Llib/fs.scm 406 */
if(
(BgL_flagz00_231==
((obj_t)
CNST_TABLE_REF(18))))
{ /* Llib/fs.scm 412 */
 long BgL_xz00_2277;
BgL_xz00_2277 = BGl_O_TRUNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2277 | 
(BGl_O_CREATz00zz__libuv_fsz00 | BGl_O_RDWRz00zz__libuv_fsz00)));}  else 
{ /* Llib/fs.scm 406 */
 bool_t BgL_test2283z00_4717;
{ /* Llib/fs.scm 406 */
 bool_t BgL__ortest_1130z00_1060;
BgL__ortest_1130z00_1060 = 
(BgL_flagz00_231==
((obj_t)
CNST_TABLE_REF(19))); 
if(BgL__ortest_1130z00_1060)
{ /* Llib/fs.scm 406 */
BgL_test2283z00_4717 = BgL__ortest_1130z00_1060
; }  else 
{ /* Llib/fs.scm 406 */
BgL_test2283z00_4717 = 
(BgL_flagz00_231==
((obj_t)
CNST_TABLE_REF(20)))
; } } 
if(BgL_test2283z00_4717)
{ /* Llib/fs.scm 413 */
 long BgL_arg2011z00_1044;
{ /* Llib/fs.scm 413 */
 long BgL_xz00_2281;
BgL_xz00_2281 = BGl_O_CREATz00zz__libuv_fsz00; 
BgL_arg2011z00_1044 = 
(BgL_xz00_2281 | 
(BGl_O_RDWRz00zz__libuv_fsz00 | BGl_O_EXCLz00zz__libuv_fsz00)); } 
{ /* Llib/fs.scm 413 */
 long BgL_xz00_2283;
BgL_xz00_2283 = BGl_O_TRUNCz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2283 | BgL_arg2011z00_1044));} }  else 
{ /* Llib/fs.scm 406 */
if(
(BgL_flagz00_231==
((obj_t)
CNST_TABLE_REF(3))))
{ /* Llib/fs.scm 414 */
 long BgL_xz00_2288;
BgL_xz00_2288 = BGl_O_APPENDz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2288 | 
(BGl_O_CREATz00zz__libuv_fsz00 | BGl_O_WRONLYz00zz__libuv_fsz00)));}  else 
{ /* Llib/fs.scm 406 */
 bool_t BgL_test2286z00_4736;
{ /* Llib/fs.scm 406 */
 bool_t BgL__ortest_1131z00_1059;
BgL__ortest_1131z00_1059 = 
(BgL_flagz00_231==
((obj_t)
CNST_TABLE_REF(21))); 
if(BgL__ortest_1131z00_1059)
{ /* Llib/fs.scm 406 */
BgL_test2286z00_4736 = BgL__ortest_1131z00_1059
; }  else 
{ /* Llib/fs.scm 406 */
BgL_test2286z00_4736 = 
(BgL_flagz00_231==
((obj_t)
CNST_TABLE_REF(22)))
; } } 
if(BgL_test2286z00_4736)
{ /* Llib/fs.scm 415 */
 long BgL_arg2016z00_1050;
{ /* Llib/fs.scm 415 */
 long BgL_xz00_2292;
BgL_xz00_2292 = BGl_O_CREATz00zz__libuv_fsz00; 
BgL_arg2016z00_1050 = 
(BgL_xz00_2292 | 
(BGl_O_WRONLYz00zz__libuv_fsz00 | BGl_O_EXCLz00zz__libuv_fsz00)); } 
{ /* Llib/fs.scm 415 */
 long BgL_xz00_2294;
BgL_xz00_2294 = BGl_O_APPENDz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2294 | BgL_arg2016z00_1050));} }  else 
{ /* Llib/fs.scm 406 */
if(
(BgL_flagz00_231==
((obj_t)
CNST_TABLE_REF(23))))
{ /* Llib/fs.scm 416 */
 long BgL_xz00_2299;
BgL_xz00_2299 = BGl_O_APPENDz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2299 | 
(BGl_O_CREATz00zz__libuv_fsz00 | BGl_O_RDWRz00zz__libuv_fsz00)));}  else 
{ /* Llib/fs.scm 406 */
 bool_t BgL_test2289z00_4755;
{ /* Llib/fs.scm 406 */
 bool_t BgL__ortest_1132z00_1058;
BgL__ortest_1132z00_1058 = 
(BgL_flagz00_231==
((obj_t)
CNST_TABLE_REF(24))); 
if(BgL__ortest_1132z00_1058)
{ /* Llib/fs.scm 406 */
BgL_test2289z00_4755 = BgL__ortest_1132z00_1058
; }  else 
{ /* Llib/fs.scm 406 */
BgL_test2289z00_4755 = 
(BgL_flagz00_231==
((obj_t)
CNST_TABLE_REF(25)))
; } } 
if(BgL_test2289z00_4755)
{ /* Llib/fs.scm 417 */
 long BgL_arg2021z00_1056;
{ /* Llib/fs.scm 417 */
 long BgL_xz00_2303;
BgL_xz00_2303 = BGl_O_CREATz00zz__libuv_fsz00; 
BgL_arg2021z00_1056 = 
(BgL_xz00_2303 | 
(BGl_O_RDWRz00zz__libuv_fsz00 | BGl_O_EXCLz00zz__libuv_fsz00)); } 
{ /* Llib/fs.scm 417 */
 long BgL_xz00_2305;
BgL_xz00_2305 = BGl_O_APPENDz00zz__libuv_fsz00; 
return 
(int)(
(BgL_xz00_2305 | BgL_arg2021z00_1056));} }  else 
{ /* Llib/fs.scm 406 */
return 
CINT(
BGl_errorz00zz__errorz00(BGl_string2033z00zz__libuv_fsz00, BGl_string2034z00zz__libuv_fsz00, BgL_flagz00_231));} } } } } } } } } } } } 

}



/* &uv-fs-flags */
obj_t BGl_z62uvzd2fszd2flagsz62zz__libuv_fsz00(obj_t BgL_envz00_2330, obj_t BgL_flagz00_2331)
{
{ /* Llib/fs.scm 405 */
return 
BINT(
BGl_uvzd2fszd2flagsz00zz__libuv_fsz00(BgL_flagz00_2331));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__libuv_fsz00(void)
{
{ /* Llib/fs.scm 15 */
BGl_modulezd2initializa7ationz75zz__libuv_typesz00(129964225L, 
BSTRING_TO_STRING(BGl_string2035z00zz__libuv_fsz00)); 
return 
BGl_modulezd2initializa7ationz75zz__libuv_loopz00(516475009L, 
BSTRING_TO_STRING(BGl_string2035z00zz__libuv_fsz00));} 

}

#ifdef __cplusplus
}
#endif
