/*===========================================================================*/
/*   (Llib/sqlite.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -srfi sqlite -unsafe -safee -copt -fPIC -copt -IPosix Llib/sqlite.scm -o objs/sqlite.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <sqlite3.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___SQLITE_SQLITE_TYPE_DEFINITIONS
#define BGL___SQLITE_SQLITE_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_z42sqltinyz42_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_z42versionz42;
   obj_t BgL_pathz00;
   obj_t BgL_syncz00;
   obj_t BgL_tablesz00;
   obj_t BgL_mutexz00;
   bool_t BgL_transactionz00;
} *BgL_z42sqltinyz42_bglt;

typedef struct BgL_sqlitez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pathz00;
   void * BgL_z42builtinz42;
} *BgL_sqlitez00_bglt;

typedef struct BgL_z52sqlitez52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pathz00;
} *BgL_z52sqlitez52_bglt;

typedef struct BgL_sqltinyz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_pathz00;
   obj_t BgL_syncz00;
   struct BgL_z42sqltinyz42_bgl * BgL_z42builtinz42;
} *BgL_sqltinyz00_bglt;


#endif // BGL___SQLITE_SQLITE_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62sqlitezd2getzd2sqlite1489z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_sqlite_for_each(void *, obj_t, char *, obj_t);
static obj_t BGl_zc3z04exitza32184ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_zc3z04exitza32158ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31951ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62lambda1931z62zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2dumpzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
static obj_t BGl_z62lambda1932z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static BgL_z42sqltinyz42_bglt BGl_z62lambda1938z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62lambda1939z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t);
static obj_t BGl_sqlitezd2evalzd2sqlite1485ze70ze7zz__sqlite_sqlitez00(BgL_sqlitez00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32100ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_zc3z04exitza32086ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2evalzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
extern void * bgl_sqlite_open(char *);
static obj_t BGl_z62zc3z04anonymousza31669ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static BgL_sqlitez00_bglt BGl_z62lambda1946z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static BgL_sqlitez00_bglt BGl_z62lambda1949z62zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(obj_t, obj_t, long);
static obj_t BGl_zc3z04exitza32122ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2forzd2eachzd2sqli1497zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32004ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2tablezd2numberzd2ofzd2rowsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2eval1482zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1956z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62lambda1957z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza32110ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_displayzd2sqlitezd2quotezd2listze70z35zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_zc3z04exitza32194ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__sqlite_sqlitez00(void);
static obj_t BGl_z62zc3z04anonymousza32120ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2forzd2eachz42zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62objectzd2displayzd2sqlit1469z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2dumpzd2tablez42zz__sqlite_sqltinyz00(obj_t, BgL_z42sqltinyz42_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2closezd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt);
static obj_t BGl_z62sqlitezd2dumpzd2table1502z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__sqlite_sqlitez00(void);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2tablezd2namezd2ofzd2columnsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32105ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52setupzd2sqltinyz12z92zz__sqlite_sqlitez00(BgL_sqltinyz00_bglt);
static obj_t BGl_objectzd2initzd2zz__sqlite_sqlitez00(void);
static obj_t BGl_z62z52setupzd2sqltinyz12zf0zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2runzd2sqlite1501z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DEF obj_t BGl_sqlitez00zz__sqlite_sqlitez00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31958ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32115ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2evalz90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2run1498zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2dumpzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2getzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32107ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z42sqlitezd2nilz90zz__sqlite_sqlitez00(void);
static obj_t BGl_z62sqlitezd2execzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2configzb0zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32141ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2tablezd2informationsz62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2tablezd2numberzd2ofzd2rowsz62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__sqlite_sqlitez00(void);
static obj_t BGl_z62sqlitezd2getzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_sqlite_eval(void *, obj_t, char *, obj_t);
static obj_t BGl_z62sqlitezd2formatzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32179ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectzd2writezd2zz__objectz00(BgL_objectz00_bglt, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z52sqlitez52zz__sqlite_sqlitez00 = BUNSPEC;
static obj_t BGl_z62sqlitezd2close1474zb0zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32151ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32135ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62sqlitezd2get1486zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62z52setupzd2sqlitez12zf0zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_zc3z04exitza32143ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32117ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32063ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32136ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32039ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62sqlitezd2map1490zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
static obj_t BGl_z62sqlitezd2evalzd2sqlite1485z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31636ze32254ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_zc3z04exitza32071ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2lastzd2insertzd2rowidzb0zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2tablezd2informationsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32064ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31669ze32255ze5zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
static obj_t BGl_zc3z04exitza32189ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32146ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2runzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2execz90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32171ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32074ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_sqlitezd2getzd2sqlite1489ze70ze7zz__sqlite_sqlitez00(BgL_sqlitez00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62objectzd2printzd2sqlite1473z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32153ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62z42sqlitezd2nilzf2zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32172ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32156ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2runzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2getz90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32081ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32084ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2mapzd2sqlite1493z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52setupzd2sqlitez12z92zz__sqlite_sqlitez00(BgL_sqlitez00_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sqlite_sqlitez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__sqlite_sqltinyz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2mapzb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_sqlite_exec(void *, char *, obj_t);
static obj_t BGl_z62zc3z04anonymousza32182ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32069ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2closezb0zz__sqlite_sqlitez00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_z62sqlitezd2tablezd2namezd2ofzd2columnsz62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2execzd2sqlite1481z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2forzd2each1494z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2namezd2ofzd2tableszd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt);
static obj_t BGl_z62zc3z04anonymousza32192ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32079ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2configzd2zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__sqlite_sqlitez00(void);
static obj_t BGl_sqlitezd2mapzd2sqlite1493ze70ze7zz__sqlite_sqlitez00(BgL_sqlitez00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__sqlite_sqlitez00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__sqlite_sqlitez00(void);
static obj_t BGl_gczd2rootszd2initz00zz__sqlite_sqlitez00(void);
static obj_t BGl_z62zc3z04anonymousza32177ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sqltinyz00zz__sqlite_sqlitez00 = BUNSPEC;
extern obj_t bgl_sqlite_get(void *, obj_t, char *, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_sqlitezd2forzd2eachzd2sqli1497ze70z35zz__sqlite_sqlitez00(BgL_sqlitez00_bglt, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2lastzd2insertzd2rowidzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt);
static obj_t BGl_zc3z04exitza32138ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31636ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32187ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_z42sqltinyz42zz__sqlite_sqltinyz00;
BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32066ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2closezd2sqlite1477z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62sqlitezd2namezd2ofzd2tableszb0zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32099ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_zc3z04exitza32102ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2mapz90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza31654ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
extern obj_t BGl_z42sqltinyzd2closez90zz__sqlite_sqltinyz00(BgL_z42sqltinyz42_bglt, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern void bgl_sqlite_close(void *, obj_t);
static obj_t BGl_zc3z04exitza32174ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32148ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT long bgl_date_to_seconds(obj_t);
static obj_t BGl_z62zc3z04anonymousza31915ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62objectzd2writezd2sqlite1471z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32076ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31940ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31908ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static BgL_z52sqlitez52_bglt BGl_z62lambda1906z62zz__sqlite_sqlitez00(obj_t);
extern obj_t bgl_sqlite_run(void *, char *, obj_t);
static obj_t BGl_z62sqlitezd2exec1478zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3z04exitza32112ze3ze70z60zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sqlitezd2forzd2eachz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2forzd2eachz62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2dumpzd2tablezd2sq1505zb0zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sqlitezd2dumpzd2tablez62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31933ze3ze5zz__sqlite_sqlitez00(obj_t);
static obj_t BGl_z62lambda1913z62zz__sqlite_sqlitez00(obj_t, obj_t);
static obj_t BGl_z62lambda1914z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t);
extern BgL_z42sqltinyz42_bglt BGl_z42sqltinyzd2openz90zz__sqlite_sqltinyz00(obj_t, obj_t);
extern obj_t bgl_sqlite_map(void *, obj_t, char *, obj_t);
static BgL_sqltinyz00_bglt BGl_z62lambda1921z62zz__sqlite_sqlitez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31926ze3ze5zz__sqlite_sqlitez00(obj_t, obj_t);
static BgL_sqltinyz00_bglt BGl_z62lambda1924z62zz__sqlite_sqlitez00(obj_t);
static obj_t __cnst[ 40 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42sqlitezd2nilzd2envz42zz__sqlite_sqlitez00, BgL_bgl_za762za742sqliteza7d2n2459za7, BGl_z62z42sqlitezd2nilzf2zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2tablezd2informationszd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2tabl2460z00, BGl_z62sqlitezd2tablezd2informationsz62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2mapza72461za7, va_generic_entry, BGl_z62sqlitezd2mapzb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2getzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2getza72462za7, va_generic_entry, BGl_z62sqlitezd2getzb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STRING( BGl_string2400z00zz__sqlite_sqlitez00, BgL_bgl_string2400za700za7za7_2463za7, "sqlite-eval1482", 15 );
DEFINE_STRING( BGl_string2402z00zz__sqlite_sqlitez00, BgL_bgl_string2402za700za7za7_2464za7, "sqlite-get1486", 14 );
DEFINE_STRING( BGl_string2404z00zz__sqlite_sqlitez00, BgL_bgl_string2404za700za7za7_2465za7, "sqlite-map1490", 14 );
DEFINE_STRING( BGl_string2406z00zz__sqlite_sqlitez00, BgL_bgl_string2406za700za7za7_2466za7, "sqlite-for-each1494", 19 );
DEFINE_STRING( BGl_string2408z00zz__sqlite_sqlitez00, BgL_bgl_string2408za700za7za7_2467za7, "sqlite-run1498", 14 );
DEFINE_STRING( BGl_string2329z00zz__sqlite_sqlitez00, BgL_bgl_string2329za700za7za7_2468za7, "/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/api/sqlite/src/Llib/sqlite.scm", 82 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2401z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2get12469z00, va_generic_entry, BGl_z62sqlitezd2get1486zb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2403z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2map12470z00, va_generic_entry, BGl_z62sqlitezd2map1490zb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STRING( BGl_string2410z00zz__sqlite_sqlitez00, BgL_bgl_string2410za700za7za7_2471za7, "sqlite-dump-table1502", 21 );
DEFINE_STRING( BGl_string2411z00zz__sqlite_sqlitez00, BgL_bgl_string2411za700za7za7_2472za7, "sqlite-for-each", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2405z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2forza72473za7, va_generic_entry, BGl_z62sqlitezd2forzd2each1494z62zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STRING( BGl_string2330z00zz__sqlite_sqlitez00, BgL_bgl_string2330za700za7za7_2474za7, "&%setup-sqlite!", 15 );
DEFINE_STRING( BGl_string2412z00zz__sqlite_sqlitez00, BgL_bgl_string2412za700za7za7_2475za7, "wrong callback arity", 20 );
DEFINE_STRING( BGl_string2331z00zz__sqlite_sqlitez00, BgL_bgl_string2331za700za7za7_2476za7, "sqlite", 6 );
DEFINE_STRING( BGl_string2413z00zz__sqlite_sqlitez00, BgL_bgl_string2413za700za7za7_2477za7, "sqlite-get", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2407z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2run12478z00, va_generic_entry, BGl_z62sqlitezd2run1498zb0zz__sqlite_sqlitez00, BUNSPEC, -3 );
DEFINE_STRING( BGl_string2332z00zz__sqlite_sqlitez00, BgL_bgl_string2332za700za7za7_2479za7, "&%setup-sqltiny!", 16 );
DEFINE_STRING( BGl_string2414z00zz__sqlite_sqlitez00, BgL_bgl_string2414za700za7za7_2480za7, "&sqlite-close", 13 );
DEFINE_STRING( BGl_string2333z00zz__sqlite_sqlitez00, BgL_bgl_string2333za700za7za7_2481za7, "sqltiny", 7 );
DEFINE_STRING( BGl_string2415z00zz__sqlite_sqlitez00, BgL_bgl_string2415za700za7za7_2482za7, "&sqlite-exec", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2409z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2483z00, BGl_z62sqlitezd2dumpzd2table1502z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2334z00zz__sqlite_sqlitez00, BgL_bgl_string2334za700za7za7_2484za7, "sqlite-config", 13 );
DEFINE_STRING( BGl_string2416z00zz__sqlite_sqlitez00, BgL_bgl_string2416za700za7za7_2485za7, "&sqlite-eval", 12 );
DEFINE_STRING( BGl_string2335z00zz__sqlite_sqlitez00, BgL_bgl_string2335za700za7za7_2486za7, "illegal configuration", 21 );
DEFINE_STRING( BGl_string2417z00zz__sqlite_sqlitez00, BgL_bgl_string2417za700za7za7_2487za7, "procedure", 9 );
DEFINE_STRING( BGl_string2336z00zz__sqlite_sqlitez00, BgL_bgl_string2336za700za7za7_2488za7, "PRAGMA table_info(~a)", 21 );
DEFINE_STRING( BGl_string2418z00zz__sqlite_sqlitez00, BgL_bgl_string2418za700za7za7_2489za7, "&sqlite-get", 11 );
DEFINE_STRING( BGl_string2419z00zz__sqlite_sqlitez00, BgL_bgl_string2419za700za7za7_2490za7, "&sqlite-map", 11 );
DEFINE_STRING( BGl_string2338z00zz__sqlite_sqlitez00, BgL_bgl_string2338za700za7za7_2491za7, "&sqlite-table-informations", 26 );
DEFINE_STRING( BGl_string2339z00zz__sqlite_sqlitez00, BgL_bgl_string2339za700za7za7_2492za7, "%sqlite", 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52setupzd2sqltinyz12zd2envz40zz__sqlite_sqlitez00, BgL_bgl_za762za752setupza7d2sq2493za7, BGl_z62z52setupzd2sqltinyz12zf0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2420z00zz__sqlite_sqlitez00, BgL_bgl_string2420za700za7za7_2494za7, "&sqlite-for-each", 16 );
DEFINE_STRING( BGl_string2421z00zz__sqlite_sqlitez00, BgL_bgl_string2421za700za7za7_2495za7, "&sqlite-run", 11 );
DEFINE_STRING( BGl_string2340z00zz__sqlite_sqlitez00, BgL_bgl_string2340za700za7za7_2496za7, "bstring", 7 );
DEFINE_STRING( BGl_string2422z00zz__sqlite_sqlitez00, BgL_bgl_string2422za700za7za7_2497za7, "&sqlite-dump-table", 18 );
DEFINE_STRING( BGl_string2341z00zz__sqlite_sqlitez00, BgL_bgl_string2341za700za7za7_2498za7, "SELECT MAX(rowid) FROM ~A", 25 );
DEFINE_STRING( BGl_string2424z00zz__sqlite_sqlitez00, BgL_bgl_string2424za700za7za7_2499za7, "object-display", 14 );
DEFINE_STRING( BGl_string2343z00zz__sqlite_sqlitez00, BgL_bgl_string2343za700za7za7_2500za7, "&sqlite-table-number-of-rows", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2337z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2501za7, BGl_z62zc3z04anonymousza31636ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2426z00zz__sqlite_sqlitez00, BgL_bgl_string2426za700za7za7_2502za7, "object-write", 12 );
DEFINE_STRING( BGl_string2345z00zz__sqlite_sqlitez00, BgL_bgl_string2345za700za7za7_2503za7, "&sqlite-table-name-of-columns", 29 );
BGL_IMPORT obj_t BGl_objectzd2writezd2envz00zz__objectz00;
DEFINE_STRING( BGl_string2428z00zz__sqlite_sqlitez00, BgL_bgl_string2428za700za7za7_2504za7, "object-print", 12 );
DEFINE_STRING( BGl_string2347z00zz__sqlite_sqlitez00, BgL_bgl_string2347za700za7za7_2505za7, "SELECT name FROM sqlite_master WHERE type='table'", 49 );
DEFINE_STRING( BGl_string2348z00zz__sqlite_sqlitez00, BgL_bgl_string2348za700za7za7_2506za7, "&sqlite-name-of-tables", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2423z00zz__sqlite_sqlitez00, BgL_bgl_za762objectza7d2disp2507z00, va_generic_entry, BGl_z62objectzd2displayzd2sqlit1469z62zz__sqlite_sqlitez00, BUNSPEC, -2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2342z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2508za7, BGl_z62zc3z04anonymousza31654ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2430z00zz__sqlite_sqlitez00, BgL_bgl_string2430za700za7za7_2509za7, "sqlite-close", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2425z00zz__sqlite_sqlitez00, BgL_bgl_za762objectza7d2writ2510z00, va_generic_entry, BGl_z62objectzd2writezd2sqlite1471z62zz__sqlite_sqlitez00, BUNSPEC, -2 );
DEFINE_STRING( BGl_string2350z00zz__sqlite_sqlitez00, BgL_bgl_string2350za700za7za7_2511za7, "&sqlite-dump", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2344z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2512za7, BGl_z62zc3z04anonymousza31636ze32254ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2432z00zz__sqlite_sqlitez00, BgL_bgl_string2432za700za7za7_2513za7, "sqlite-exec", 11 );
DEFINE_STRING( BGl_string2351z00zz__sqlite_sqlitez00, BgL_bgl_string2351za700za7za7_2514za7, "output-port", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2427z00zz__sqlite_sqlitez00, BgL_bgl_za762objectza7d2prin2515z00, BGl_z62objectzd2printzd2sqlite1473z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2352z00zz__sqlite_sqlitez00, BgL_bgl_string2352za700za7za7_2516za7, ",", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2346z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2517za7, BGl_z62zc3z04anonymousza31669ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2434z00zz__sqlite_sqlitez00, BgL_bgl_string2434za700za7za7_2518za7, "sqlite-eval", 11 );
DEFINE_STRING( BGl_string2353z00zz__sqlite_sqlitez00, BgL_bgl_string2353za700za7za7_2519za7, "sqlite-form", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2429z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2clos2520z00, BGl_z62sqlitezd2closezd2sqlite1477z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2354z00zz__sqlite_sqlitez00, BgL_bgl_string2354za700za7za7_2521za7, "Illegal list", 12 );
DEFINE_STRING( BGl_string2355z00zz__sqlite_sqlitez00, BgL_bgl_string2355za700za7za7_2522za7, "sqlite-format", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2349z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2523za7, BGl_z62zc3z04anonymousza31669ze32255ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2437z00zz__sqlite_sqlitez00, BgL_bgl_string2437za700za7za7_2524za7, "sqlite-map", 10 );
DEFINE_STRING( BGl_string2356z00zz__sqlite_sqlitez00, BgL_bgl_string2356za700za7za7_2525za7, "Tag not allowd here", 19 );
DEFINE_STRING( BGl_string2357z00zz__sqlite_sqlitez00, BgL_bgl_string2357za700za7za7_2526za7, "Insufficient number of arguments", 32 );
DEFINE_STRING( BGl_string2358z00zz__sqlite_sqlitez00, BgL_bgl_string2358za700za7za7_2527za7, "Illegal char", 12 );
DEFINE_STRING( BGl_string2359z00zz__sqlite_sqlitez00, BgL_bgl_string2359za700za7za7_2528za7, "Illegal number", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2431z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2exec2529z00, va_generic_entry, BGl_z62sqlitezd2execzd2sqlite1481z62zz__sqlite_sqlitez00, BUNSPEC, -3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2433z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2eval2530z00, va_generic_entry, BGl_z62sqlitezd2evalzd2sqlite1485z62zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STRING( BGl_string2440z00zz__sqlite_sqlitez00, BgL_bgl_string2440za700za7za7_2531za7, "sqlite-run", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2435z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2getza72532za7, va_generic_entry, BGl_z62sqlitezd2getzd2sqlite1489z62zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STRING( BGl_string2360z00zz__sqlite_sqlitez00, BgL_bgl_string2360za700za7za7_2533za7, "Illegal tag", 11 );
DEFINE_STRING( BGl_string2442z00zz__sqlite_sqlitez00, BgL_bgl_string2442za700za7za7_2534za7, "sqlite-dump-table", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2436z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2mapza72535za7, va_generic_entry, BGl_z62sqlitezd2mapzd2sqlite1493z62zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STRING( BGl_string2361z00zz__sqlite_sqlitez00, BgL_bgl_string2361za700za7za7_2536za7, "#{", 2 );
DEFINE_STRING( BGl_string2443z00zz__sqlite_sqlitez00, BgL_bgl_string2443za700za7za7_2537za7, ".dump ", 6 );
DEFINE_STRING( BGl_string2362z00zz__sqlite_sqlitez00, BgL_bgl_string2362za700za7za7_2538za7, "}", 1 );
DEFINE_STRING( BGl_string2444z00zz__sqlite_sqlitez00, BgL_bgl_string2444za700za7za7_2539za7, ">", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2438z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2forza72540za7, va_generic_entry, BGl_z62sqlitezd2forzd2eachzd2sqli1497zb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_STRING( BGl_string2363z00zz__sqlite_sqlitez00, BgL_bgl_string2363za700za7za7_2541za7, " ", 1 );
DEFINE_STRING( BGl_string2445z00zz__sqlite_sqlitez00, BgL_bgl_string2445za700za7za7_2542za7, "#<sqlite:", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2439z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2runza72543za7, va_generic_entry, BGl_z62sqlitezd2runzd2sqlite1501z62zz__sqlite_sqlitez00, BUNSPEC, -3 );
DEFINE_STRING( BGl_string2364z00zz__sqlite_sqlitez00, BgL_bgl_string2364za700za7za7_2544za7, "#(", 2 );
DEFINE_STRING( BGl_string2446z00zz__sqlite_sqlitez00, BgL_bgl_string2446za700za7za7_2545za7, "__sqlite_sqlite", 15 );
DEFINE_STRING( BGl_string2365z00zz__sqlite_sqlitez00, BgL_bgl_string2365za700za7za7_2546za7, ")", 1 );
DEFINE_STRING( BGl_string2447z00zz__sqlite_sqlitez00, BgL_bgl_string2447za700za7za7_2547za7, "automatic _ sqlite $sqlite sqltiny $builtin symbol sync __sqlite_sqlite %sqlite bstring path SQLITE_CONFIG_MEMDB_MAXSIZE SQLITE_CONFIG_SORTERREF_SIZE SQLITE_CONFIG_SMALL_MALLOC SQLITE_CONFIG_STMTJRNL_SPILL SQLITE_CONFIG_PMASZ SQLITE_CONFIG_PCACHE_HDRSZ SQLITE_CONFIG_WIN32_HEAPSIZE SQLITE_CONFIG_MMAP_SIZE SQLITE_CONFIG_SQLLOG SQLITE_CONFIG_COVERING_INDEX_SCAN SQLITE_CONFIG_GETPCACHE2 SQLITE_CONFIG_PCACHE2 SQLITE_CONFIG_URI SQLITE_CONFIG_LOG SQLITE_CONFIG_GETPCACHE SQLITE_CONFIG_PCACHE SQLITE_CONFIG_LOOKASIDE SQLITE_CONFIG_GETMUTEX SQLITE_CONFIG_MUTEX SQLITE_CONFIG_MEMSTATUS SQLITE_CONFIG_HEAP SQLITE_CONFIG_PAGECACHE SQLITE_CONFIG_SCRATCH SQLITE_CONFIG_GETMALLOC SQLITE_CONFIG_MALLOC SQLITE_CONFIG_SERIALIZED SQLITE_CONFIG_SINGLETHREAD SQLITE_CONFIG_MULTITHREAD ", 768 );
DEFINE_STRING( BGl_string2366z00zz__sqlite_sqlitez00, BgL_bgl_string2366za700za7za7_2548za7, "(", 1 );
DEFINE_STRING( BGl_string2367z00zz__sqlite_sqlitez00, BgL_bgl_string2367za700za7za7_2549za7, " . ", 3 );
DEFINE_STRING( BGl_string2368z00zz__sqlite_sqlitez00, BgL_bgl_string2368za700za7za7_2550za7, "\"\"", 2 );
DEFINE_STRING( BGl_string2369z00zz__sqlite_sqlitez00, BgL_bgl_string2369za700za7za7_2551za7, "NULL", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2configzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2conf2552z00, va_generic_entry, BGl_z62sqlitezd2configzb0zz__sqlite_sqlitez00, BUNSPEC, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2441z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2553z00, BGl_z62sqlitezd2dumpzd2tablezd2sq1505zb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2370z00zz__sqlite_sqlitez00, BgL_bgl_string2370za700za7za7_2554za7, "&sqlite-format", 14 );
DEFINE_STRING( BGl_string2371z00zz__sqlite_sqlitez00, BgL_bgl_string2371za700za7za7_2555za7, "SELECT last_insert_rowid()", 26 );
DEFINE_STRING( BGl_string2372z00zz__sqlite_sqlitez00, BgL_bgl_string2372za700za7za7_2556za7, "&sqlite-last-insert-rowid", 25 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52setupzd2sqlitez12zd2envz40zz__sqlite_sqlitez00, BgL_bgl_za762za752setupza7d2sq2557za7, BGl_z62z52setupzd2sqlitez12zf0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2373z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2558za7, BGl_z62zc3z04anonymousza31915ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2374z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1914za7622559z00, BGl_z62lambda1914z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2375z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1913za7622560z00, BGl_z62lambda1913z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2376z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2561za7, BGl_z62zc3z04anonymousza31908ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2377z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1906za7622562z00, BGl_z62lambda1906z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2378z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2563za7, BGl_z62zc3z04anonymousza31933ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2379z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1932za7622564z00, BGl_z62lambda1932z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2380z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1931za7622565z00, BGl_z62lambda1931z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2381z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2566za7, BGl_z62zc3z04anonymousza31940ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2382z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1939za7622567z00, BGl_z62lambda1939z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2383z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1938za7622568z00, BGl_z62lambda1938z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2384z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2569za7, BGl_z62zc3z04anonymousza31926ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2385z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1924za7622570z00, BGl_z62lambda1924z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2386z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1921za7622571z00, BGl_z62lambda1921z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2393z00zz__sqlite_sqlitez00, BgL_bgl_string2393za700za7za7_2572za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2387z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2573za7, BGl_z62zc3z04anonymousza31958ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2394z00zz__sqlite_sqlitez00, BgL_bgl_string2394za700za7za7_2574za7, ":memory:", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2388z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1957za7622575z00, BGl_z62lambda1957z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2389z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1956za7622576z00, BGl_z62lambda1956z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2396z00zz__sqlite_sqlitez00, BgL_bgl_string2396za700za7za7_2577za7, "sqlite-close1474", 16 );
DEFINE_STRING( BGl_string2398z00zz__sqlite_sqlitez00, BgL_bgl_string2398za700za7za7_2578za7, "sqlite-exec1478", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2390z00zz__sqlite_sqlitez00, BgL_bgl_za762za7c3za704anonymo2579za7, BGl_z62zc3z04anonymousza31951ze3ze5zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2391z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1949za7622580z00, BGl_z62lambda1949z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2392z00zz__sqlite_sqlitez00, BgL_bgl_za762lambda1946za7622581z00, BGl_z62lambda1946z62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2395z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2clos2582z00, BGl_z62sqlitezd2close1474zb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2397z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2exec2583z00, va_generic_entry, BGl_z62sqlitezd2exec1478zb0zz__sqlite_sqlitez00, BUNSPEC, -3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2399z00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2eval2584z00, va_generic_entry, BGl_z62sqlitezd2eval1482zb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2forzd2eachzd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2forza72585za7, va_generic_entry, BGl_z62sqlitezd2forzd2eachz62zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2exec2586z00, va_generic_entry, BGl_z62sqlitezd2execzb0zz__sqlite_sqlitez00, BUNSPEC, -3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2lastzd2insertzd2rowidzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2last2587z00, BGl_z62sqlitezd2lastzd2insertzd2rowidzb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2dumpzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2588z00, BGl_z62sqlitezd2dumpzb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2eval2589z00, va_generic_entry, BGl_z62sqlitezd2evalzb0zz__sqlite_sqlitez00, BUNSPEC, -4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2formatzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2form2590z00, va_generic_entry, BGl_z62sqlitezd2formatzb0zz__sqlite_sqlitez00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2clos2591z00, BGl_z62sqlitezd2closezb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2tablezd2namezd2ofzd2columnszd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2tabl2592z00, BGl_z62sqlitezd2tablezd2namezd2ofzd2columnsz62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2dump2593z00, BGl_z62sqlitezd2dumpzd2tablez62zz__sqlite_sqlitez00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2namezd2ofzd2tableszd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2name2594z00, BGl_z62sqlitezd2namezd2ofzd2tableszb0zz__sqlite_sqlitez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sqlitezd2tablezd2numberzd2ofzd2rowszd2envzd2zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2tabl2595z00, BGl_z62sqlitezd2tablezd2numberzd2ofzd2rowsz62zz__sqlite_sqlitez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sqlitezd2runzd2envz00zz__sqlite_sqlitez00, BgL_bgl_za762sqliteza7d2runza72596za7, va_generic_entry, BGl_z62sqlitezd2runzb0zz__sqlite_sqlitez00, BUNSPEC, -3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00) );
ADD_ROOT( (void *)(&BGl_sqlitez00zz__sqlite_sqlitez00) );
ADD_ROOT( (void *)(&BGl_z52sqlitez52zz__sqlite_sqlitez00) );
ADD_ROOT( (void *)(&BGl_sqltinyz00zz__sqlite_sqlitez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sqlite_sqlitez00(long BgL_checksumz00_3155, char * BgL_fromz00_3156)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00))
{ 
BGl_requirezd2initializa7ationz75zz__sqlite_sqlitez00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__sqlite_sqlitez00(); 
BGl_libraryzd2moduleszd2initz00zz__sqlite_sqlitez00(); 
BGl_cnstzd2initzd2zz__sqlite_sqlitez00(); 
BGl_importedzd2moduleszd2initz00zz__sqlite_sqlitez00(); 
BGl_objectzd2initzd2zz__sqlite_sqlitez00(); 
BGl_genericzd2initzd2zz__sqlite_sqlitez00(); 
BGl_methodzd2initzd2zz__sqlite_sqlitez00(); 
return 
BGl_toplevelzd2initzd2zz__sqlite_sqlitez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__osz00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__bitz00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__structurez00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__datez00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__sqlite_sqlite"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__sqlite_sqlite"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_cportz00_2527;
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_stringz00_2534;
BgL_stringz00_2534 = BGl_string2447z00zz__sqlite_sqlitez00; 
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_startz00_2535;
BgL_startz00_2535 = 
BINT(0L); 
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_endz00_2536;
BgL_endz00_2536 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2534))); 
{ /* Llib/sqlite.scm 15 */

BgL_cportz00_2527 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2534, BgL_startz00_2535, BgL_endz00_2536); } } } } 
{ 
 long BgL_iz00_2528;
BgL_iz00_2528 = 39L; 
BgL_loopz00_2529:
if(
(BgL_iz00_2528==(-1L)))
{ /* Llib/sqlite.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/sqlite.scm 15 */
{ /* Llib/sqlite.scm 15 */
 obj_t BgL_arg2448z00_2530;
{ /* Llib/sqlite.scm 15 */

{ /* Llib/sqlite.scm 15 */
 obj_t BgL_locationz00_2532;
BgL_locationz00_2532 = 
BBOOL(((bool_t)0)); 
{ /* Llib/sqlite.scm 15 */

BgL_arg2448z00_2530 = 
BGl_readz00zz__readerz00(BgL_cportz00_2527, BgL_locationz00_2532); } } } 
{ /* Llib/sqlite.scm 15 */
 int BgL_tmpz00_3196;
BgL_tmpz00_3196 = 
(int)(BgL_iz00_2528); 
CNST_TABLE_SET(BgL_tmpz00_3196, BgL_arg2448z00_2530); } } 
{ /* Llib/sqlite.scm 15 */
 int BgL_auxz00_2533;
BgL_auxz00_2533 = 
(int)(
(BgL_iz00_2528-1L)); 
{ 
 long BgL_iz00_3201;
BgL_iz00_3201 = 
(long)(BgL_auxz00_2533); 
BgL_iz00_2528 = BgL_iz00_3201; 
goto BgL_loopz00_2529;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
return BUNSPEC;} 

}



/* $sqlite-nil */
BGL_EXPORTED_DEF obj_t BGl_z42sqlitezd2nilz90zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 71 */
return 
void_star_to_obj(
(0L));} 

}



/* &$sqlite-nil */
obj_t BGl_z62z42sqlitezd2nilzf2zz__sqlite_sqlitez00(obj_t BgL_envz00_1906)
{
{ /* Llib/sqlite.scm 71 */
return 
BGl_z42sqlitezd2nilz90zz__sqlite_sqlitez00();} 

}



/* %setup-sqlite! */
BGL_EXPORTED_DEF obj_t BGl_z52setupzd2sqlitez12z92zz__sqlite_sqlitez00(BgL_sqlitez00_bglt BgL_oz00_10)
{
{ /* Llib/sqlite.scm 101 */
{ 
 void * BgL_auxz00_3207;
{ /* Llib/sqlite.scm 105 */
 obj_t BgL_arg1578z00_1209;
BgL_arg1578z00_1209 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_10)))->BgL_pathz00); 
BgL_auxz00_3207 = 
bgl_sqlite_open(
BSTRING_TO_STRING(BgL_arg1578z00_1209)); } 
return 
((((BgL_sqlitez00_bglt)COBJECT(BgL_oz00_10))->BgL_z42builtinz42)=((void *)BgL_auxz00_3207),BUNSPEC);} } 

}



/* &%setup-sqlite! */
obj_t BGl_z62z52setupzd2sqlitez12zf0zz__sqlite_sqlitez00(obj_t BgL_envz00_1907, obj_t BgL_oz00_1908)
{
{ /* Llib/sqlite.scm 101 */
{ /* Llib/sqlite.scm 104 */
 BgL_sqlitez00_bglt BgL_auxz00_3213;
{ /* Llib/sqlite.scm 104 */
 bool_t BgL_test2599z00_3214;
{ /* Llib/sqlite.scm 104 */
 obj_t BgL_classz00_2538;
BgL_classz00_2538 = BGl_sqlitez00zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_1908))
{ /* Llib/sqlite.scm 104 */
 BgL_objectz00_bglt BgL_arg1829z00_2540; long BgL_arg1830z00_2541;
BgL_arg1829z00_2540 = 
(BgL_objectz00_bglt)(BgL_oz00_1908); 
BgL_arg1830z00_2541 = 
BGL_CLASS_DEPTH(BgL_classz00_2538); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 104 */
 long BgL_idxz00_2549;
BgL_idxz00_2549 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_2540); 
{ /* Llib/sqlite.scm 104 */
 obj_t BgL_arg1820z00_2550;
{ /* Llib/sqlite.scm 104 */
 long BgL_arg1821z00_2551;
BgL_arg1821z00_2551 = 
(BgL_idxz00_2549+BgL_arg1830z00_2541); 
BgL_arg1820z00_2550 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_2551); } 
BgL_test2599z00_3214 = 
(BgL_arg1820z00_2550==BgL_classz00_2538); } }  else 
{ /* Llib/sqlite.scm 104 */
 bool_t BgL_res2449z00_2577;
{ /* Llib/sqlite.scm 104 */
 obj_t BgL_oclassz00_2559;
{ /* Llib/sqlite.scm 104 */
 obj_t BgL_arg1834z00_2567; long BgL_arg1835z00_2568;
BgL_arg1834z00_2567 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/sqlite.scm 104 */
 long BgL_arg1836z00_2569;
BgL_arg1836z00_2569 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_2540); 
BgL_arg1835z00_2568 = 
(BgL_arg1836z00_2569-OBJECT_TYPE); } 
BgL_oclassz00_2559 = 
VECTOR_REF(BgL_arg1834z00_2567,BgL_arg1835z00_2568); } 
{ /* Llib/sqlite.scm 104 */
 bool_t BgL__ortest_1114z00_2560;
BgL__ortest_1114z00_2560 = 
(BgL_classz00_2538==BgL_oclassz00_2559); 
if(BgL__ortest_1114z00_2560)
{ /* Llib/sqlite.scm 104 */
BgL_res2449z00_2577 = BgL__ortest_1114z00_2560; }  else 
{ /* Llib/sqlite.scm 104 */
 long BgL_odepthz00_2561;
{ /* Llib/sqlite.scm 104 */
 obj_t BgL_arg1824z00_2562;
BgL_arg1824z00_2562 = 
(BgL_oclassz00_2559); 
BgL_odepthz00_2561 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_2562); } 
if(
(BgL_arg1830z00_2541<BgL_odepthz00_2561))
{ /* Llib/sqlite.scm 104 */
 obj_t BgL_arg1822z00_2564;
{ /* Llib/sqlite.scm 104 */
 obj_t BgL_arg1823z00_2565;
BgL_arg1823z00_2565 = 
(BgL_oclassz00_2559); 
BgL_arg1822z00_2564 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_2565, BgL_arg1830z00_2541); } 
BgL_res2449z00_2577 = 
(BgL_arg1822z00_2564==BgL_classz00_2538); }  else 
{ /* Llib/sqlite.scm 104 */
BgL_res2449z00_2577 = ((bool_t)0); } } } } 
BgL_test2599z00_3214 = BgL_res2449z00_2577; } }  else 
{ /* Llib/sqlite.scm 104 */
BgL_test2599z00_3214 = ((bool_t)0)
; } } 
if(BgL_test2599z00_3214)
{ /* Llib/sqlite.scm 104 */
BgL_auxz00_3213 = 
((BgL_sqlitez00_bglt)BgL_oz00_1908)
; }  else 
{ 
 obj_t BgL_auxz00_3239;
BgL_auxz00_3239 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(4431L), BGl_string2330z00zz__sqlite_sqlitez00, BGl_string2331z00zz__sqlite_sqlitez00, BgL_oz00_1908); 
FAILURE(BgL_auxz00_3239,BFALSE,BFALSE);} } 
return 
BGl_z52setupzd2sqlitez12z92zz__sqlite_sqlitez00(BgL_auxz00_3213);} } 

}



/* %setup-sqltiny! */
BGL_EXPORTED_DEF obj_t BGl_z52setupzd2sqltinyz12z92zz__sqlite_sqlitez00(BgL_sqltinyz00_bglt BgL_oz00_11)
{
{ /* Llib/sqlite.scm 113 */
{ 
 BgL_z42sqltinyz42_bglt BgL_auxz00_3244;
{ /* Llib/sqlite.scm 115 */
 obj_t BgL_arg1582z00_1211; obj_t BgL_arg1583z00_1212;
BgL_arg1582z00_1211 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_11)))->BgL_pathz00); 
BgL_arg1583z00_1212 = 
(((BgL_sqltinyz00_bglt)COBJECT(BgL_oz00_11))->BgL_syncz00); 
BgL_auxz00_3244 = 
BGl_z42sqltinyzd2openz90zz__sqlite_sqltinyz00(BgL_arg1582z00_1211, BgL_arg1583z00_1212); } 
return 
((((BgL_sqltinyz00_bglt)COBJECT(BgL_oz00_11))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)BgL_auxz00_3244),BUNSPEC);} } 

}



/* &%setup-sqltiny! */
obj_t BGl_z62z52setupzd2sqltinyz12zf0zz__sqlite_sqlitez00(obj_t BgL_envz00_1909, obj_t BgL_oz00_1910)
{
{ /* Llib/sqlite.scm 113 */
{ /* Llib/sqlite.scm 114 */
 BgL_sqltinyz00_bglt BgL_auxz00_3250;
{ /* Llib/sqlite.scm 114 */
 bool_t BgL_test2604z00_3251;
{ /* Llib/sqlite.scm 114 */
 obj_t BgL_classz00_2578;
BgL_classz00_2578 = BGl_sqltinyz00zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_1910))
{ /* Llib/sqlite.scm 114 */
 BgL_objectz00_bglt BgL_arg1829z00_2580; long BgL_arg1830z00_2581;
BgL_arg1829z00_2580 = 
(BgL_objectz00_bglt)(BgL_oz00_1910); 
BgL_arg1830z00_2581 = 
BGL_CLASS_DEPTH(BgL_classz00_2578); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 114 */
 long BgL_idxz00_2589;
BgL_idxz00_2589 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_2580); 
{ /* Llib/sqlite.scm 114 */
 obj_t BgL_arg1820z00_2590;
{ /* Llib/sqlite.scm 114 */
 long BgL_arg1821z00_2591;
BgL_arg1821z00_2591 = 
(BgL_idxz00_2589+BgL_arg1830z00_2581); 
BgL_arg1820z00_2590 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_2591); } 
BgL_test2604z00_3251 = 
(BgL_arg1820z00_2590==BgL_classz00_2578); } }  else 
{ /* Llib/sqlite.scm 114 */
 bool_t BgL_res2450z00_2617;
{ /* Llib/sqlite.scm 114 */
 obj_t BgL_oclassz00_2599;
{ /* Llib/sqlite.scm 114 */
 obj_t BgL_arg1834z00_2607; long BgL_arg1835z00_2608;
BgL_arg1834z00_2607 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/sqlite.scm 114 */
 long BgL_arg1836z00_2609;
BgL_arg1836z00_2609 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_2580); 
BgL_arg1835z00_2608 = 
(BgL_arg1836z00_2609-OBJECT_TYPE); } 
BgL_oclassz00_2599 = 
VECTOR_REF(BgL_arg1834z00_2607,BgL_arg1835z00_2608); } 
{ /* Llib/sqlite.scm 114 */
 bool_t BgL__ortest_1114z00_2600;
BgL__ortest_1114z00_2600 = 
(BgL_classz00_2578==BgL_oclassz00_2599); 
if(BgL__ortest_1114z00_2600)
{ /* Llib/sqlite.scm 114 */
BgL_res2450z00_2617 = BgL__ortest_1114z00_2600; }  else 
{ /* Llib/sqlite.scm 114 */
 long BgL_odepthz00_2601;
{ /* Llib/sqlite.scm 114 */
 obj_t BgL_arg1824z00_2602;
BgL_arg1824z00_2602 = 
(BgL_oclassz00_2599); 
BgL_odepthz00_2601 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_2602); } 
if(
(BgL_arg1830z00_2581<BgL_odepthz00_2601))
{ /* Llib/sqlite.scm 114 */
 obj_t BgL_arg1822z00_2604;
{ /* Llib/sqlite.scm 114 */
 obj_t BgL_arg1823z00_2605;
BgL_arg1823z00_2605 = 
(BgL_oclassz00_2599); 
BgL_arg1822z00_2604 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_2605, BgL_arg1830z00_2581); } 
BgL_res2450z00_2617 = 
(BgL_arg1822z00_2604==BgL_classz00_2578); }  else 
{ /* Llib/sqlite.scm 114 */
BgL_res2450z00_2617 = ((bool_t)0); } } } } 
BgL_test2604z00_3251 = BgL_res2450z00_2617; } }  else 
{ /* Llib/sqlite.scm 114 */
BgL_test2604z00_3251 = ((bool_t)0)
; } } 
if(BgL_test2604z00_3251)
{ /* Llib/sqlite.scm 114 */
BgL_auxz00_3250 = 
((BgL_sqltinyz00_bglt)BgL_oz00_1910)
; }  else 
{ 
 obj_t BgL_auxz00_3276;
BgL_auxz00_3276 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(4886L), BGl_string2332z00zz__sqlite_sqlitez00, BGl_string2333z00zz__sqlite_sqlitez00, BgL_oz00_1910); 
FAILURE(BgL_auxz00_3276,BFALSE,BFALSE);} } 
return 
BGl_z52setupzd2sqltinyz12z92zz__sqlite_sqlitez00(BgL_auxz00_3250);} } 

}



/* sqlite-config */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2configzd2zz__sqlite_sqlitez00(obj_t BgL_argsz00_12)
{
{ /* Llib/sqlite.scm 120 */
{ 
 obj_t BgL_l1457z00_92;
{ /* Llib/sqlite.scm 123 */
 bool_t BgL_tmpz00_3281;
BgL_l1457z00_92 = BgL_argsz00_12; 
BgL_zc3z04anonymousza31584ze3z87_93:
if(
PAIRP(BgL_l1457z00_92))
{ /* Llib/sqlite.scm 123 */
{ /* Llib/sqlite.scm 124 */
 obj_t BgL_argz00_95;
BgL_argz00_95 = 
CAR(BgL_l1457z00_92); 
{ /* Llib/sqlite.scm 124 */
 obj_t BgL_cfgz00_96;
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(0))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_MULTITHREAD); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(1))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_SINGLETHREAD); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(0))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_MULTITHREAD); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(2))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_SERIALIZED); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(3))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_MALLOC); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(4))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_GETMALLOC); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(5))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_SCRATCH); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(6))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_PAGECACHE); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(7))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_HEAP); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(8))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_MEMSTATUS); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(9))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_MUTEX); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(10))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_GETMUTEX); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(11))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_LOOKASIDE); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(12))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_PCACHE); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(13))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_GETPCACHE); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(14))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_LOG); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(15))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_URI); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(16))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_PCACHE2); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(17))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_GETPCACHE2); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(18))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_COVERING_INDEX_SCAN); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(19))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_SQLLOG); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(20))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_MMAP_SIZE); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(21))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_WIN32_HEAPSIZE); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(22))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_PCACHE_HDRSZ); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(23))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_PMASZ); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(24))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_STMTJRNL_SPILL); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(25))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_SMALL_MALLOC); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(26))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_SORTERREF_SIZE); }  else 
{ /* Llib/sqlite.scm 124 */
if(
(BgL_argz00_95==
((obj_t)
CNST_TABLE_REF(27))))
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BINT(SQLITE_CONFIG_MEMDB_MAXSIZE); }  else 
{ /* Llib/sqlite.scm 124 */
BgL_cfgz00_96 = 
BGl_errorz00zz__errorz00(BGl_string2334z00zz__sqlite_sqlitez00, BGl_string2335z00zz__sqlite_sqlitez00, BgL_argz00_95); } } } } } } } } } } } } } } } } } } } } } } } } } } } } } 
{ /* Llib/sqlite.scm 156 */
 int BgL_tmpz00_3431;
BgL_tmpz00_3431 = 
CINT(BgL_cfgz00_96); 
sqlite3_config(BgL_tmpz00_3431); } } } 
{ 
 obj_t BgL_l1457z00_3434;
BgL_l1457z00_3434 = 
CDR(BgL_l1457z00_92); 
BgL_l1457z00_92 = BgL_l1457z00_3434; 
goto BgL_zc3z04anonymousza31584ze3z87_93;} }  else 
{ /* Llib/sqlite.scm 123 */
BgL_tmpz00_3281 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_3281);} } } 

}



/* &sqlite-config */
obj_t BGl_z62sqlitezd2configzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1911, obj_t BgL_argsz00_1912)
{
{ /* Llib/sqlite.scm 120 */
return 
BGl_sqlitezd2configzd2zz__sqlite_sqlitez00(BgL_argsz00_1912);} 

}



/* sqlite-table-informations */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2tablezd2informationsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_59, obj_t BgL_namez00_60)
{
{ /* Llib/sqlite.scm 323 */
{ /* Llib/sqlite.scm 325 */
 obj_t BgL_arg1634z00_1244;
{ /* Llib/sqlite.scm 326 */
 obj_t BgL_list1637z00_1245;
BgL_list1637z00_1245 = 
MAKE_YOUNG_PAIR(BgL_namez00_60, BNIL); 
BgL_arg1634z00_1244 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2336z00zz__sqlite_sqlitez00, BgL_list1637z00_1245); } 
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_59, BGl_proc2337z00zz__sqlite_sqlitez00, BgL_arg1634z00_1244, BNIL);} } 

}



/* &sqlite-table-informations */
obj_t BGl_z62sqlitezd2tablezd2informationsz62zz__sqlite_sqlitez00(obj_t BgL_envz00_1914, obj_t BgL_dbz00_1915, obj_t BgL_namez00_1916)
{
{ /* Llib/sqlite.scm 323 */
{ /* Llib/sqlite.scm 325 */
 obj_t BgL_auxz00_3449; BgL_z52sqlitez52_bglt BgL_auxz00_3441;
if(
STRINGP(BgL_namez00_1916))
{ /* Llib/sqlite.scm 325 */
BgL_auxz00_3449 = BgL_namez00_1916
; }  else 
{ 
 obj_t BgL_auxz00_3452;
BgL_auxz00_3452 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(13976L), BGl_string2338z00zz__sqlite_sqlitez00, BGl_string2340z00zz__sqlite_sqlitez00, BgL_namez00_1916); 
FAILURE(BgL_auxz00_3452,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1915, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 325 */
BgL_auxz00_3441 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1915)
; }  else 
{ 
 obj_t BgL_auxz00_3445;
BgL_auxz00_3445 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(13976L), BGl_string2338z00zz__sqlite_sqlitez00, BGl_string2339z00zz__sqlite_sqlitez00, BgL_dbz00_1915); 
FAILURE(BgL_auxz00_3445,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2tablezd2informationsz00zz__sqlite_sqlitez00(BgL_auxz00_3441, BgL_auxz00_3449);} } 

}



/* &<@anonymous:1636> */
obj_t BGl_z62zc3z04anonymousza31636ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1917, obj_t BgL_xz00_1918, obj_t BgL_yz00_1919)
{
{ /* Llib/sqlite.scm 325 */
return BgL_yz00_1919;} 

}



/* sqlite-table-number-of-rows */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2tablezd2numberzd2ofzd2rowsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_61, obj_t BgL_namez00_62)
{
{ /* Llib/sqlite.scm 331 */
{ /* Llib/sqlite.scm 333 */
 obj_t BgL_arg1652z00_139;
{ /* Llib/sqlite.scm 337 */
 obj_t BgL_list1656z00_144;
BgL_list1656z00_144 = 
MAKE_YOUNG_PAIR(BgL_namez00_62, BNIL); 
BgL_arg1652z00_139 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2341z00zz__sqlite_sqlitez00, BgL_list1656z00_144); } 
return 
BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_dbz00_61, BGl_proc2342z00zz__sqlite_sqlitez00, BgL_arg1652z00_139, BNIL);} } 

}



/* &sqlite-table-number-of-rows */
obj_t BGl_z62sqlitezd2tablezd2numberzd2ofzd2rowsz62zz__sqlite_sqlitez00(obj_t BgL_envz00_1921, obj_t BgL_dbz00_1922, obj_t BgL_namez00_1923)
{
{ /* Llib/sqlite.scm 331 */
{ /* Llib/sqlite.scm 333 */
 obj_t BgL_auxz00_3468; BgL_z52sqlitez52_bglt BgL_auxz00_3460;
if(
STRINGP(BgL_namez00_1923))
{ /* Llib/sqlite.scm 333 */
BgL_auxz00_3468 = BgL_namez00_1923
; }  else 
{ 
 obj_t BgL_auxz00_3471;
BgL_auxz00_3471 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(14333L), BGl_string2343z00zz__sqlite_sqlitez00, BGl_string2340z00zz__sqlite_sqlitez00, BgL_namez00_1923); 
FAILURE(BgL_auxz00_3471,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1922, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 333 */
BgL_auxz00_3460 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1922)
; }  else 
{ 
 obj_t BgL_auxz00_3464;
BgL_auxz00_3464 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(14333L), BGl_string2343z00zz__sqlite_sqlitez00, BGl_string2339z00zz__sqlite_sqlitez00, BgL_dbz00_1922); 
FAILURE(BgL_auxz00_3464,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2tablezd2numberzd2ofzd2rowsz00zz__sqlite_sqlitez00(BgL_auxz00_3460, BgL_auxz00_3468);} } 

}



/* &<@anonymous:1654> */
obj_t BGl_z62zc3z04anonymousza31654ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1924, obj_t BgL_xz00_1925)
{
{ /* Llib/sqlite.scm 333 */
{ /* Llib/sqlite.scm 334 */
 long BgL_tmpz00_3476;
if(
STRINGP(BgL_xz00_1925))
{ /* Llib/sqlite.scm 335 */
 char * BgL_tmpz00_3479;
BgL_tmpz00_3479 = 
BSTRING_TO_STRING(BgL_xz00_1925); 
BgL_tmpz00_3476 = 
BGL_STRTOL(BgL_tmpz00_3479, 0L, 10L); }  else 
{ /* Llib/sqlite.scm 334 */
BgL_tmpz00_3476 = 0L
; } 
return 
BINT(BgL_tmpz00_3476);} } 

}



/* sqlite-table-name-of-columns */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2tablezd2namezd2ofzd2columnsz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_63, obj_t BgL_namez00_64)
{
{ /* Llib/sqlite.scm 342 */
{ /* Llib/sqlite.scm 325 */
 obj_t BgL_arg1634z00_1253;
{ /* Llib/sqlite.scm 326 */
 obj_t BgL_list1637z00_1254;
BgL_list1637z00_1254 = 
MAKE_YOUNG_PAIR(BgL_namez00_64, BNIL); 
BgL_arg1634z00_1253 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2336z00zz__sqlite_sqlitez00, BgL_list1637z00_1254); } 
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_63, BGl_proc2344z00zz__sqlite_sqlitez00, BgL_arg1634z00_1253, BNIL);} } 

}



/* &sqlite-table-name-of-columns */
obj_t BGl_z62sqlitezd2tablezd2namezd2ofzd2columnsz62zz__sqlite_sqlitez00(obj_t BgL_envz00_1927, obj_t BgL_dbz00_1928, obj_t BgL_namez00_1929)
{
{ /* Llib/sqlite.scm 342 */
{ /* Llib/sqlite.scm 325 */
 obj_t BgL_auxz00_3494; BgL_z52sqlitez52_bglt BgL_auxz00_3486;
if(
STRINGP(BgL_namez00_1929))
{ /* Llib/sqlite.scm 325 */
BgL_auxz00_3494 = BgL_namez00_1929
; }  else 
{ 
 obj_t BgL_auxz00_3497;
BgL_auxz00_3497 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(13976L), BGl_string2345z00zz__sqlite_sqlitez00, BGl_string2340z00zz__sqlite_sqlitez00, BgL_namez00_1929); 
FAILURE(BgL_auxz00_3497,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1928, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 325 */
BgL_auxz00_3486 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1928)
; }  else 
{ 
 obj_t BgL_auxz00_3490;
BgL_auxz00_3490 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(13976L), BGl_string2345z00zz__sqlite_sqlitez00, BGl_string2339z00zz__sqlite_sqlitez00, BgL_dbz00_1928); 
FAILURE(BgL_auxz00_3490,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2tablezd2namezd2ofzd2columnsz00zz__sqlite_sqlitez00(BgL_auxz00_3486, BgL_auxz00_3494);} } 

}



/* &<@anonymous:1636>2254 */
obj_t BGl_z62zc3z04anonymousza31636ze32254ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1930, obj_t BgL_xz00_1931, obj_t BgL_yz00_1932)
{
{ /* Llib/sqlite.scm 325 */
return BgL_yz00_1932;} 

}



/* sqlite-name-of-tables */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2namezd2ofzd2tableszd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_65)
{
{ /* Llib/sqlite.scm 348 */
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_65, BGl_proc2346z00zz__sqlite_sqlitez00, BGl_string2347z00zz__sqlite_sqlitez00, BNIL);} 

}



/* &sqlite-name-of-tables */
obj_t BGl_z62sqlitezd2namezd2ofzd2tableszb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1934, obj_t BgL_dbz00_1935)
{
{ /* Llib/sqlite.scm 348 */
{ /* Llib/sqlite.scm 350 */
 BgL_z52sqlitez52_bglt BgL_auxz00_3503;
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1935, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 350 */
BgL_auxz00_3503 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1935)
; }  else 
{ 
 obj_t BgL_auxz00_3507;
BgL_auxz00_3507 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(15041L), BGl_string2348z00zz__sqlite_sqlitez00, BGl_string2339z00zz__sqlite_sqlitez00, BgL_dbz00_1935); 
FAILURE(BgL_auxz00_3507,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2namezd2ofzd2tableszd2zz__sqlite_sqlitez00(BgL_auxz00_3503);} } 

}



/* &<@anonymous:1669> */
obj_t BGl_z62zc3z04anonymousza31669ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1936, obj_t BgL_xz00_1937)
{
{ /* Llib/sqlite.scm 350 */
return BgL_xz00_1937;} 

}



/* sqlite-dump */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2dumpzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_66, obj_t BgL_outz00_67)
{
{ /* Llib/sqlite.scm 356 */
{ /* Llib/sqlite.scm 357 */
 obj_t BgL_g1461z00_151;
BgL_g1461z00_151 = 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_dbz00_66, BGl_proc2349z00zz__sqlite_sqlitez00, BGl_string2347z00zz__sqlite_sqlitez00, BNIL); 
{ 
 obj_t BgL_l1459z00_153;
{ /* Llib/sqlite.scm 359 */
 bool_t BgL_tmpz00_3513;
BgL_l1459z00_153 = BgL_g1461z00_151; 
BgL_zc3z04anonymousza31670ze3z87_154:
if(
PAIRP(BgL_l1459z00_153))
{ /* Llib/sqlite.scm 359 */
BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_dbz00_66, 
CAR(BgL_l1459z00_153), BgL_outz00_67); 
{ 
 obj_t BgL_l1459z00_3518;
BgL_l1459z00_3518 = 
CDR(BgL_l1459z00_153); 
BgL_l1459z00_153 = BgL_l1459z00_3518; 
goto BgL_zc3z04anonymousza31670ze3z87_154;} }  else 
{ /* Llib/sqlite.scm 359 */
BgL_tmpz00_3513 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_3513);} } } } 

}



/* &sqlite-dump */
obj_t BGl_z62sqlitezd2dumpzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1939, obj_t BgL_dbz00_1940, obj_t BgL_outz00_1941)
{
{ /* Llib/sqlite.scm 356 */
{ /* Llib/sqlite.scm 357 */
 obj_t BgL_auxz00_3529; BgL_z52sqlitez52_bglt BgL_auxz00_3521;
if(
OUTPUT_PORTP(BgL_outz00_1941))
{ /* Llib/sqlite.scm 357 */
BgL_auxz00_3529 = BgL_outz00_1941
; }  else 
{ 
 obj_t BgL_auxz00_3532;
BgL_auxz00_3532 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(15393L), BGl_string2350z00zz__sqlite_sqlitez00, BGl_string2351z00zz__sqlite_sqlitez00, BgL_outz00_1941); 
FAILURE(BgL_auxz00_3532,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1940, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 357 */
BgL_auxz00_3521 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1940)
; }  else 
{ 
 obj_t BgL_auxz00_3525;
BgL_auxz00_3525 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(15393L), BGl_string2350z00zz__sqlite_sqlitez00, BGl_string2339z00zz__sqlite_sqlitez00, BgL_dbz00_1940); 
FAILURE(BgL_auxz00_3525,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2dumpzd2zz__sqlite_sqlitez00(BgL_auxz00_3521, BgL_auxz00_3529);} } 

}



/* &<@anonymous:1669>2255 */
obj_t BGl_z62zc3z04anonymousza31669ze32255ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1942, obj_t BgL_xz00_1943)
{
{ /* Llib/sqlite.scm 350 */
return BgL_xz00_1943;} 

}



/* sqlite-format */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(obj_t BgL_fmtz00_74, obj_t BgL_objsz00_75)
{
{ /* Llib/sqlite.scm 377 */
{ /* Llib/sqlite.scm 378 */
 obj_t BgL_pz00_159; long BgL_lenz00_160;
{ /* Llib/sqlite.scm 378 */

{ /* Llib/sqlite.scm 378 */

BgL_pz00_159 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BgL_lenz00_160 = 
STRING_LENGTH(BgL_fmtz00_74); 
{ 
 long BgL_iz00_162; obj_t BgL_osz00_163;
BgL_iz00_162 = 0L; 
BgL_osz00_163 = BgL_objsz00_75; 
BgL_zc3z04anonymousza31692ze3z87_164:
{ 
 obj_t BgL_objz00_295; obj_t BgL_pz00_296;
if(
(BgL_iz00_162<BgL_lenz00_160))
{ /* Llib/sqlite.scm 493 */
 unsigned char BgL_cz00_174;
BgL_cz00_174 = 
STRING_REF(BgL_fmtz00_74, BgL_iz00_162); 
if(
(BgL_cz00_174==((unsigned char)'~')))
{ /* Llib/sqlite.scm 494 */
if(
(BgL_iz00_162==
(BgL_lenz00_160-1L)))
{ /* Llib/sqlite.scm 495 */
return 
BGl_errorz00zz__errorz00(BGl_string2355z00zz__sqlite_sqlitez00, BGl_string2356z00zz__sqlite_sqlitez00, 
c_substring(BgL_fmtz00_74, BgL_iz00_162, BgL_lenz00_160));}  else 
{ /* Llib/sqlite.scm 499 */
 unsigned char BgL_fz00_179;
BgL_fz00_179 = 
STRING_REF(BgL_fmtz00_74, 
(BgL_iz00_162+1L)); 
switch( BgL_fz00_179) { case ((unsigned char)'a') : 
case ((unsigned char)'A') : 

{ /* Llib/sqlite.scm 502 */
 obj_t BgL_arg1707z00_183;
if(
NULLP(BgL_osz00_163))
{ /* Llib/sqlite.scm 383 */
BgL_arg1707z00_183 = 
BGl_errorz00zz__errorz00(BGl_string2355z00zz__sqlite_sqlitez00, BGl_string2357z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_179)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_arg1707z00_183 = 
CAR(
((obj_t)BgL_osz00_163)); } 
bgl_display_obj(BgL_arg1707z00_183, BgL_pz00_159); } 
{ /* Llib/sqlite.scm 503 */
 long BgL_arg1708z00_184; obj_t BgL_arg1711z00_185;
BgL_arg1708z00_184 = 
(BgL_iz00_162+2L); 
BgL_arg1711z00_185 = 
CDR(
((obj_t)BgL_osz00_163)); 
{ 
 obj_t BgL_osz00_3562; long BgL_iz00_3561;
BgL_iz00_3561 = BgL_arg1708z00_184; 
BgL_osz00_3562 = BgL_arg1711z00_185; 
BgL_osz00_163 = BgL_osz00_3562; 
BgL_iz00_162 = BgL_iz00_3561; 
goto BgL_zc3z04anonymousza31692ze3z87_164;} } break;case ((unsigned char)'q') : 
case ((unsigned char)'Q') : 

{ /* Llib/sqlite.scm 505 */
 obj_t BgL_arg1716z00_186;
if(
NULLP(BgL_osz00_163))
{ /* Llib/sqlite.scm 383 */
BgL_arg1716z00_186 = 
BGl_errorz00zz__errorz00(BGl_string2355z00zz__sqlite_sqlitez00, BGl_string2357z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_179)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_arg1716z00_186 = 
CAR(
((obj_t)BgL_osz00_163)); } 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1716z00_186, BgL_pz00_159, 0L); } 
{ /* Llib/sqlite.scm 506 */
 long BgL_arg1722z00_187; obj_t BgL_arg1724z00_188;
BgL_arg1722z00_187 = 
(BgL_iz00_162+2L); 
BgL_arg1724z00_188 = 
CDR(
((obj_t)BgL_osz00_163)); 
{ 
 obj_t BgL_osz00_3574; long BgL_iz00_3573;
BgL_iz00_3573 = BgL_arg1722z00_187; 
BgL_osz00_3574 = BgL_arg1724z00_188; 
BgL_osz00_163 = BgL_osz00_3574; 
BgL_iz00_162 = BgL_iz00_3573; 
goto BgL_zc3z04anonymousza31692ze3z87_164;} } break;case ((unsigned char)'l') : 
case ((unsigned char)'L') : 

{ /* Llib/sqlite.scm 508 */
 obj_t BgL_arg1731z00_189;
if(
NULLP(BgL_osz00_163))
{ /* Llib/sqlite.scm 383 */
BgL_arg1731z00_189 = 
BGl_errorz00zz__errorz00(BGl_string2355z00zz__sqlite_sqlitez00, BGl_string2357z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_179)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_arg1731z00_189 = 
CAR(
((obj_t)BgL_osz00_163)); } 
BgL_objz00_295 = BgL_arg1731z00_189; 
BgL_pz00_296 = BgL_pz00_159; 
if(
NULLP(BgL_objz00_295))
{ /* Llib/sqlite.scm 456 */BUNSPEC; }  else 
{ /* Llib/sqlite.scm 456 */
if(
PAIRP(BgL_objz00_295))
{ /* Llib/sqlite.scm 458 */
if(
NULLP(
CDR(BgL_objz00_295)))
{ /* Llib/sqlite.scm 460 */
bgl_display_obj(
CAR(BgL_objz00_295), BgL_pz00_296); }  else 
{ 
 obj_t BgL_oz00_304;
BgL_oz00_304 = BgL_objz00_295; 
BgL_zc3z04anonymousza31872ze3z87_305:
{ /* Llib/sqlite.scm 465 */
 bool_t BgL_test2659z00_3590;
{ /* Llib/sqlite.scm 465 */
 obj_t BgL_tmpz00_3591;
BgL_tmpz00_3591 = 
CDR(
((obj_t)BgL_oz00_304)); 
BgL_test2659z00_3590 = 
PAIRP(BgL_tmpz00_3591); } 
if(BgL_test2659z00_3590)
{ /* Llib/sqlite.scm 465 */
{ /* Llib/sqlite.scm 466 */
 obj_t BgL_arg1875z00_308;
BgL_arg1875z00_308 = 
CAR(
((obj_t)BgL_oz00_304)); 
bgl_display_obj(BgL_arg1875z00_308, BgL_pz00_296); } 
bgl_display_string(BGl_string2352z00zz__sqlite_sqlitez00, BgL_pz00_296); 
{ /* Llib/sqlite.scm 468 */
 obj_t BgL_arg1876z00_309;
BgL_arg1876z00_309 = 
CDR(
((obj_t)BgL_oz00_304)); 
{ 
 obj_t BgL_oz00_3601;
BgL_oz00_3601 = BgL_arg1876z00_309; 
BgL_oz00_304 = BgL_oz00_3601; 
goto BgL_zc3z04anonymousza31872ze3z87_305;} } }  else 
{ /* Llib/sqlite.scm 465 */
if(
NULLP(
CDR(
((obj_t)BgL_oz00_304))))
{ /* Llib/sqlite.scm 470 */
 obj_t BgL_arg1879z00_312;
BgL_arg1879z00_312 = 
CAR(
((obj_t)BgL_oz00_304)); 
bgl_display_obj(BgL_arg1879z00_312, BgL_pz00_296); }  else 
{ /* Llib/sqlite.scm 469 */
BGl_errorz00zz__errorz00(BGl_string2353z00zz__sqlite_sqlitez00, BGl_string2354z00zz__sqlite_sqlitez00, BgL_objz00_295); } } } } }  else 
{ /* Llib/sqlite.scm 458 */
BGl_errorz00zz__errorz00(BGl_string2355z00zz__sqlite_sqlitez00, BGl_string2354z00zz__sqlite_sqlitez00, BgL_objz00_295); } } } 
{ /* Llib/sqlite.scm 509 */
 long BgL_arg1732z00_190; obj_t BgL_arg1737z00_191;
BgL_arg1732z00_190 = 
(BgL_iz00_162+2L); 
BgL_arg1737z00_191 = 
CDR(
((obj_t)BgL_osz00_163)); 
{ 
 obj_t BgL_osz00_3615; long BgL_iz00_3614;
BgL_iz00_3614 = BgL_arg1732z00_190; 
BgL_osz00_3615 = BgL_arg1737z00_191; 
BgL_osz00_163 = BgL_osz00_3615; 
BgL_iz00_162 = BgL_iz00_3614; 
goto BgL_zc3z04anonymousza31692ze3z87_164;} } break;case ((unsigned char)'k') : 
case ((unsigned char)'K') : 

{ /* Llib/sqlite.scm 511 */
 obj_t BgL_arg1738z00_192;
if(
NULLP(BgL_osz00_163))
{ /* Llib/sqlite.scm 383 */
BgL_arg1738z00_192 = 
BGl_errorz00zz__errorz00(BGl_string2355z00zz__sqlite_sqlitez00, BGl_string2357z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_179)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_arg1738z00_192 = 
CAR(
((obj_t)BgL_osz00_163)); } 
BGl_displayzd2sqlitezd2quotezd2listze70z35zz__sqlite_sqlitez00(BgL_arg1738z00_192, BgL_pz00_159); } 
{ /* Llib/sqlite.scm 512 */
 long BgL_arg1740z00_193; obj_t BgL_arg1741z00_194;
BgL_arg1740z00_193 = 
(BgL_iz00_162+2L); 
BgL_arg1741z00_194 = 
CDR(
((obj_t)BgL_osz00_163)); 
{ 
 obj_t BgL_osz00_3627; long BgL_iz00_3626;
BgL_iz00_3626 = BgL_arg1740z00_193; 
BgL_osz00_3627 = BgL_arg1741z00_194; 
BgL_osz00_163 = BgL_osz00_3627; 
BgL_iz00_162 = BgL_iz00_3626; 
goto BgL_zc3z04anonymousza31692ze3z87_164;} } break;case ((unsigned char)'s') : 
case ((unsigned char)'S') : 

{ /* Llib/sqlite.scm 514 */
 obj_t BgL_arg1743z00_195;
if(
NULLP(BgL_osz00_163))
{ /* Llib/sqlite.scm 383 */
BgL_arg1743z00_195 = 
BGl_errorz00zz__errorz00(BGl_string2355z00zz__sqlite_sqlitez00, BGl_string2357z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_179)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_arg1743z00_195 = 
CAR(
((obj_t)BgL_osz00_163)); } 
{ /* Llib/sqlite.scm 514 */
 obj_t BgL_list1744z00_196;
BgL_list1744z00_196 = 
MAKE_YOUNG_PAIR(BgL_pz00_159, BNIL); 
BGl_writez00zz__r4_output_6_10_3z00(BgL_arg1743z00_195, BgL_list1744z00_196); } } 
{ /* Llib/sqlite.scm 515 */
 long BgL_arg1746z00_197; obj_t BgL_arg1755z00_198;
BgL_arg1746z00_197 = 
(BgL_iz00_162+2L); 
BgL_arg1755z00_198 = 
CDR(
((obj_t)BgL_osz00_163)); 
{ 
 obj_t BgL_osz00_3640; long BgL_iz00_3639;
BgL_iz00_3639 = BgL_arg1746z00_197; 
BgL_osz00_3640 = BgL_arg1755z00_198; 
BgL_osz00_163 = BgL_osz00_3640; 
BgL_iz00_162 = BgL_iz00_3639; 
goto BgL_zc3z04anonymousza31692ze3z87_164;} } break;case ((unsigned char)'v') : 
case ((unsigned char)'V') : 

{ /* Llib/sqlite.scm 517 */
 obj_t BgL_arg1756z00_199;
if(
NULLP(BgL_osz00_163))
{ /* Llib/sqlite.scm 383 */
BgL_arg1756z00_199 = 
BGl_errorz00zz__errorz00(BGl_string2355z00zz__sqlite_sqlitez00, BGl_string2357z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_179)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_arg1756z00_199 = 
CAR(
((obj_t)BgL_osz00_163)); } 
bgl_display_obj(BgL_arg1756z00_199, BgL_pz00_159); } 
bgl_display_char(((unsigned char)10), BgL_pz00_159); 
{ /* Llib/sqlite.scm 519 */
 long BgL_arg1757z00_200; obj_t BgL_arg1758z00_201;
BgL_arg1757z00_200 = 
(BgL_iz00_162+2L); 
BgL_arg1758z00_201 = 
CDR(
((obj_t)BgL_osz00_163)); 
{ 
 obj_t BgL_osz00_3653; long BgL_iz00_3652;
BgL_iz00_3652 = BgL_arg1757z00_200; 
BgL_osz00_3653 = BgL_arg1758z00_201; 
BgL_osz00_163 = BgL_osz00_3653; 
BgL_iz00_162 = BgL_iz00_3652; 
goto BgL_zc3z04anonymousza31692ze3z87_164;} } break;case ((unsigned char)'c') : 
case ((unsigned char)'C') : 

{ /* Llib/sqlite.scm 521 */
 obj_t BgL_oz00_202;
if(
NULLP(BgL_osz00_163))
{ /* Llib/sqlite.scm 383 */
BgL_oz00_202 = 
BGl_errorz00zz__errorz00(BGl_string2355z00zz__sqlite_sqlitez00, BGl_string2357z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_179)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_oz00_202 = 
CAR(
((obj_t)BgL_osz00_163)); } 
if(
CHARP(BgL_oz00_202))
{ /* Llib/sqlite.scm 522 */
{ /* Llib/sqlite.scm 525 */
 unsigned char BgL_tmpz00_3662;
BgL_tmpz00_3662 = 
CCHAR(BgL_oz00_202); 
bgl_display_char(BgL_tmpz00_3662, BgL_pz00_159); } 
{ /* Llib/sqlite.scm 526 */
 long BgL_arg1760z00_204; obj_t BgL_arg1761z00_205;
BgL_arg1760z00_204 = 
(BgL_iz00_162+2L); 
BgL_arg1761z00_205 = 
CDR(
((obj_t)BgL_osz00_163)); 
{ 
 obj_t BgL_osz00_3669; long BgL_iz00_3668;
BgL_iz00_3668 = BgL_arg1760z00_204; 
BgL_osz00_3669 = BgL_arg1761z00_205; 
BgL_osz00_163 = BgL_osz00_3669; 
BgL_iz00_162 = BgL_iz00_3668; 
goto BgL_zc3z04anonymousza31692ze3z87_164;} } }  else 
{ /* Llib/sqlite.scm 522 */
return 
BGl_errorz00zz__errorz00(BGl_string2355z00zz__sqlite_sqlitez00, BGl_string2358z00zz__sqlite_sqlitez00, BgL_oz00_202);} } break;case ((unsigned char)'x') : 
case ((unsigned char)'X') : 

{ /* Llib/sqlite.scm 528 */
 obj_t BgL_arg1762z00_206;
if(
NULLP(BgL_osz00_163))
{ /* Llib/sqlite.scm 383 */
BgL_arg1762z00_206 = 
BGl_errorz00zz__errorz00(BGl_string2355z00zz__sqlite_sqlitez00, BGl_string2357z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_179)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_arg1762z00_206 = 
CAR(
((obj_t)BgL_osz00_163)); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_arg1762z00_206))
{ /* Llib/sqlite.scm 387 */
bgl_display_obj(
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg1762z00_206, 
BINT(16L)), BgL_pz00_159); }  else 
{ /* Llib/sqlite.scm 387 */
BGl_errorz00zz__errorz00(BGl_string2355z00zz__sqlite_sqlitez00, BGl_string2359z00zz__sqlite_sqlitez00, BgL_arg1762z00_206); } } 
{ /* Llib/sqlite.scm 529 */
 long BgL_arg1763z00_207; obj_t BgL_arg1769z00_208;
BgL_arg1763z00_207 = 
(BgL_iz00_162+2L); 
BgL_arg1769z00_208 = 
CDR(
((obj_t)BgL_osz00_163)); 
{ 
 obj_t BgL_osz00_3687; long BgL_iz00_3686;
BgL_iz00_3686 = BgL_arg1763z00_207; 
BgL_osz00_3687 = BgL_arg1769z00_208; 
BgL_osz00_163 = BgL_osz00_3687; 
BgL_iz00_162 = BgL_iz00_3686; 
goto BgL_zc3z04anonymousza31692ze3z87_164;} } break;case ((unsigned char)'o') : 
case ((unsigned char)'O') : 

{ /* Llib/sqlite.scm 531 */
 obj_t BgL_arg1771z00_209;
if(
NULLP(BgL_osz00_163))
{ /* Llib/sqlite.scm 383 */
BgL_arg1771z00_209 = 
BGl_errorz00zz__errorz00(BGl_string2355z00zz__sqlite_sqlitez00, BGl_string2357z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_179)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_arg1771z00_209 = 
CAR(
((obj_t)BgL_osz00_163)); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_arg1771z00_209))
{ /* Llib/sqlite.scm 387 */
bgl_display_obj(
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg1771z00_209, 
BINT(8L)), BgL_pz00_159); }  else 
{ /* Llib/sqlite.scm 387 */
BGl_errorz00zz__errorz00(BGl_string2355z00zz__sqlite_sqlitez00, BGl_string2359z00zz__sqlite_sqlitez00, BgL_arg1771z00_209); } } 
{ /* Llib/sqlite.scm 532 */
 long BgL_arg1772z00_210; obj_t BgL_arg1773z00_211;
BgL_arg1772z00_210 = 
(BgL_iz00_162+2L); 
BgL_arg1773z00_211 = 
CDR(
((obj_t)BgL_osz00_163)); 
{ 
 obj_t BgL_osz00_3704; long BgL_iz00_3703;
BgL_iz00_3703 = BgL_arg1772z00_210; 
BgL_osz00_3704 = BgL_arg1773z00_211; 
BgL_osz00_163 = BgL_osz00_3704; 
BgL_iz00_162 = BgL_iz00_3703; 
goto BgL_zc3z04anonymousza31692ze3z87_164;} } break;case ((unsigned char)'b') : 
case ((unsigned char)'B') : 

{ /* Llib/sqlite.scm 534 */
 obj_t BgL_arg1774z00_212;
if(
NULLP(BgL_osz00_163))
{ /* Llib/sqlite.scm 383 */
BgL_arg1774z00_212 = 
BGl_errorz00zz__errorz00(BGl_string2355z00zz__sqlite_sqlitez00, BGl_string2357z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_179)); }  else 
{ /* Llib/sqlite.scm 383 */
BgL_arg1774z00_212 = 
CAR(
((obj_t)BgL_osz00_163)); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_arg1774z00_212))
{ /* Llib/sqlite.scm 387 */
bgl_display_obj(
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg1774z00_212, 
BINT(2L)), BgL_pz00_159); }  else 
{ /* Llib/sqlite.scm 387 */
BGl_errorz00zz__errorz00(BGl_string2355z00zz__sqlite_sqlitez00, BGl_string2359z00zz__sqlite_sqlitez00, BgL_arg1774z00_212); } } 
{ /* Llib/sqlite.scm 535 */
 long BgL_arg1775z00_213; obj_t BgL_arg1776z00_214;
BgL_arg1775z00_213 = 
(BgL_iz00_162+2L); 
BgL_arg1776z00_214 = 
CDR(
((obj_t)BgL_osz00_163)); 
{ 
 obj_t BgL_osz00_3721; long BgL_iz00_3720;
BgL_iz00_3720 = BgL_arg1775z00_213; 
BgL_osz00_3721 = BgL_arg1776z00_214; 
BgL_osz00_163 = BgL_osz00_3721; 
BgL_iz00_162 = BgL_iz00_3720; 
goto BgL_zc3z04anonymousza31692ze3z87_164;} } break;case ((unsigned char)'%') : 
case ((unsigned char)'n') : 

bgl_display_char(((unsigned char)10), BgL_pz00_159); 
{ 
 long BgL_iz00_3723;
BgL_iz00_3723 = 
(BgL_iz00_162+2L); 
BgL_iz00_162 = BgL_iz00_3723; 
goto BgL_zc3z04anonymousza31692ze3z87_164;} break;case ((unsigned char)'r') : 

bgl_display_char(((unsigned char)13), BgL_pz00_159); 
{ 
 long BgL_iz00_3726;
BgL_iz00_3726 = 
(BgL_iz00_162+2L); 
BgL_iz00_162 = BgL_iz00_3726; 
goto BgL_zc3z04anonymousza31692ze3z87_164;} break;case ((unsigned char)'~') : 

bgl_display_char(((unsigned char)'~'), BgL_pz00_159); 
{ 
 long BgL_iz00_3729;
BgL_iz00_3729 = 
(BgL_iz00_162+2L); 
BgL_iz00_162 = BgL_iz00_3729; 
goto BgL_zc3z04anonymousza31692ze3z87_164;} break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string2355z00zz__sqlite_sqlitez00, BGl_string2360z00zz__sqlite_sqlitez00, 
BCHAR(BgL_fz00_179));} } }  else 
{ /* Llib/sqlite.scm 494 */
bgl_display_char(BgL_cz00_174, BgL_pz00_159); 
{ 
 long BgL_iz00_3735;
BgL_iz00_3735 = 
(BgL_iz00_162+1L); 
BgL_iz00_162 = BgL_iz00_3735; 
goto BgL_zc3z04anonymousza31692ze3z87_164;} } }  else 
{ /* Llib/sqlite.scm 492 */
return 
bgl_close_output_port(BgL_pz00_159);} } } } } 

}



/* display-sqlite~0 */
obj_t BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(obj_t BgL_objz00_230, obj_t BgL_pz00_231, long BgL_lz00_232)
{
{ /* Llib/sqlite.scm 418 */
{ 
 obj_t BgL_objz00_256; obj_t BgL_pz00_257; obj_t BgL_objz00_272; obj_t BgL_pz00_273; obj_t BgL_objz00_283; obj_t BgL_pz00_284;
if(
STRINGP(BgL_objz00_230))
{ /* Llib/sqlite.scm 392 */
if(
(BgL_lz00_232==0L))
{ /* Llib/sqlite.scm 393 */
bgl_display_char(((unsigned char)'\''), BgL_pz00_231); }  else 
{ /* Llib/sqlite.scm 393 */
bgl_display_string(BGl_string2368z00zz__sqlite_sqlitez00, BgL_pz00_231); } 
{ /* Llib/sqlite.scm 396 */
 long BgL_lenz00_236;
BgL_lenz00_236 = 
STRING_LENGTH(BgL_objz00_230); 
{ 
 long BgL_iz00_238;
BgL_iz00_238 = 0L; 
BgL_zc3z04anonymousza31803ze3z87_239:
if(
(BgL_iz00_238==BgL_lenz00_236))
{ /* Llib/sqlite.scm 397 */((bool_t)0); }  else 
{ /* Llib/sqlite.scm 397 */
{ /* Llib/sqlite.scm 399 */
 unsigned char BgL_cz00_241;
BgL_cz00_241 = 
STRING_REF(
((obj_t)BgL_objz00_230), BgL_iz00_238); 
bgl_display_char(BgL_cz00_241, BgL_pz00_231); 
if(
(((unsigned char)'\'')==BgL_cz00_241))
{ /* Llib/sqlite.scm 401 */
bgl_display_char(((unsigned char)'\''), BgL_pz00_231); }  else 
{ /* Llib/sqlite.scm 401 */BFALSE; } } 
{ 
 long BgL_iz00_3753;
BgL_iz00_3753 = 
(BgL_iz00_238+1L); 
BgL_iz00_238 = BgL_iz00_3753; 
goto BgL_zc3z04anonymousza31803ze3z87_239;} } } } 
if(
(BgL_lz00_232==0L))
{ /* Llib/sqlite.scm 402 */
return 
bgl_display_char(((unsigned char)'\''), BgL_pz00_231);}  else 
{ /* Llib/sqlite.scm 402 */
return 
bgl_display_string(BGl_string2368z00zz__sqlite_sqlitez00, BgL_pz00_231);} }  else 
{ /* Llib/sqlite.scm 392 */
if(
BGL_DATEP(BgL_objz00_230))
{ /* Llib/sqlite.scm 406 */
 long BgL_arg1825z00_247;
BgL_arg1825z00_247 = 
bgl_date_to_seconds(BgL_objz00_230); 
return 
bgl_display_obj(
make_belong(BgL_arg1825z00_247), BgL_pz00_231);}  else 
{ /* Llib/sqlite.scm 407 */
 bool_t BgL_test2678z00_3764;
if(
ELONGP(BgL_objz00_230))
{ /* Llib/sqlite.scm 407 */
BgL_test2678z00_3764 = ((bool_t)1)
; }  else 
{ /* Llib/sqlite.scm 407 */
BgL_test2678z00_3764 = 
LLONGP(BgL_objz00_230)
; } 
if(BgL_test2678z00_3764)
{ /* Llib/sqlite.scm 408 */
 obj_t BgL_list1830z00_250;
BgL_list1830z00_250 = 
MAKE_YOUNG_PAIR(BgL_pz00_231, BNIL); 
return 
BGl_writez00zz__r4_output_6_10_3z00(BgL_objz00_230, BgL_list1830z00_250);}  else 
{ /* Llib/sqlite.scm 409 */
 bool_t BgL_test2680z00_3770;
if(
(BgL_objz00_230==BUNSPEC))
{ /* Llib/sqlite.scm 409 */
BgL_test2680z00_3770 = ((bool_t)1)
; }  else 
{ /* Llib/sqlite.scm 409 */
BgL_test2680z00_3770 = 
(BgL_objz00_230==BFALSE)
; } 
if(BgL_test2680z00_3770)
{ /* Llib/sqlite.scm 409 */
return 
bgl_display_string(BGl_string2369z00zz__sqlite_sqlitez00, BgL_pz00_231);}  else 
{ /* Llib/sqlite.scm 409 */
if(
PAIRP(BgL_objz00_230))
{ /* Llib/sqlite.scm 411 */
BgL_objz00_256 = BgL_objz00_230; 
BgL_pz00_257 = BgL_pz00_231; 
bgl_display_string(BGl_string2366z00zz__sqlite_sqlitez00, BgL_pz00_257); 
{ 
 obj_t BgL_objz00_260;
BgL_objz00_260 = BgL_objz00_256; 
BgL_zc3z04anonymousza31836ze3z87_261:
{ /* Llib/sqlite.scm 422 */
 obj_t BgL_arg1839z00_262;
BgL_arg1839z00_262 = 
CAR(
((obj_t)BgL_objz00_260)); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1839z00_262, BgL_pz00_257, 1L); } 
if(
NULLP(
CDR(
((obj_t)BgL_objz00_260))))
{ /* Llib/sqlite.scm 424 */
return 
bgl_display_string(BGl_string2365z00zz__sqlite_sqlitez00, BgL_pz00_257);}  else 
{ /* Llib/sqlite.scm 426 */
 bool_t BgL_test2684z00_3786;
{ /* Llib/sqlite.scm 426 */
 obj_t BgL_tmpz00_3787;
BgL_tmpz00_3787 = 
CDR(
((obj_t)BgL_objz00_260)); 
BgL_test2684z00_3786 = 
PAIRP(BgL_tmpz00_3787); } 
if(BgL_test2684z00_3786)
{ /* Llib/sqlite.scm 426 */
bgl_display_string(BGl_string2363z00zz__sqlite_sqlitez00, BgL_pz00_257); 
{ /* Llib/sqlite.scm 432 */
 obj_t BgL_arg1850z00_267;
BgL_arg1850z00_267 = 
CDR(
((obj_t)BgL_objz00_260)); 
{ 
 obj_t BgL_objz00_3794;
BgL_objz00_3794 = BgL_arg1850z00_267; 
BgL_objz00_260 = BgL_objz00_3794; 
goto BgL_zc3z04anonymousza31836ze3z87_261;} } }  else 
{ /* Llib/sqlite.scm 426 */
bgl_display_string(BGl_string2367z00zz__sqlite_sqlitez00, BgL_pz00_257); 
{ /* Llib/sqlite.scm 428 */
 obj_t BgL_arg1851z00_268;
BgL_arg1851z00_268 = 
CDR(
((obj_t)BgL_objz00_260)); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1851z00_268, BgL_pz00_257, 1L); } 
return 
bgl_display_string(BGl_string2365z00zz__sqlite_sqlitez00, BgL_pz00_257);} } } }  else 
{ /* Llib/sqlite.scm 411 */
if(
VECTORP(BgL_objz00_230))
{ /* Llib/sqlite.scm 413 */
BgL_objz00_272 = BgL_objz00_230; 
BgL_pz00_273 = BgL_pz00_231; 
bgl_display_string(BGl_string2364z00zz__sqlite_sqlitez00, BgL_pz00_273); 
{ 
 long BgL_iz00_277;
BgL_iz00_277 = 0L; 
BgL_zc3z04anonymousza31855ze3z87_278:
if(
(BgL_iz00_277==
VECTOR_LENGTH(BgL_objz00_272)))
{ /* Llib/sqlite.scm 437 */
return 
bgl_display_string(BGl_string2365z00zz__sqlite_sqlitez00, BgL_pz00_273);}  else 
{ /* Llib/sqlite.scm 437 */
bgl_display_string(BGl_string2363z00zz__sqlite_sqlitez00, BgL_pz00_273); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(
VECTOR_REF(BgL_objz00_272,BgL_iz00_277), BgL_pz00_273, 1L); 
{ 
 long BgL_iz00_3810;
BgL_iz00_3810 = 
(BgL_iz00_277+1L); 
BgL_iz00_277 = BgL_iz00_3810; 
goto BgL_zc3z04anonymousza31855ze3z87_278;} } } }  else 
{ /* Llib/sqlite.scm 413 */
if(
STRUCTP(BgL_objz00_230))
{ /* Llib/sqlite.scm 415 */
BgL_objz00_283 = BgL_objz00_230; 
BgL_pz00_284 = BgL_pz00_231; 
bgl_display_string(BGl_string2361z00zz__sqlite_sqlitez00, BgL_pz00_284); 
bgl_display_obj(
STRUCT_KEY(BgL_objz00_283), BgL_pz00_284); 
{ /* Llib/sqlite.scm 446 */
 int BgL_lenz00_287;
BgL_lenz00_287 = 
STRUCT_LENGTH(BgL_objz00_283); 
{ 
 long BgL_iz00_289;
BgL_iz00_289 = 0L; 
BgL_zc3z04anonymousza31862ze3z87_290:
if(
(BgL_iz00_289==
(long)(BgL_lenz00_287)))
{ /* Llib/sqlite.scm 448 */
return 
bgl_display_string(BGl_string2362z00zz__sqlite_sqlitez00, BgL_pz00_284);}  else 
{ /* Llib/sqlite.scm 448 */
bgl_display_string(BGl_string2363z00zz__sqlite_sqlitez00, BgL_pz00_284); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(
STRUCT_REF(BgL_objz00_283, 
(int)(BgL_iz00_289)), BgL_pz00_284, 1L); 
{ 
 long BgL_iz00_3826;
BgL_iz00_3826 = 
(BgL_iz00_289+1L); 
BgL_iz00_289 = BgL_iz00_3826; 
goto BgL_zc3z04anonymousza31862ze3z87_290;} } } } }  else 
{ /* Llib/sqlite.scm 415 */
return 
bgl_display_obj(BgL_objz00_230, BgL_pz00_231);} } } } } } } } } 

}



/* display-sqlite-quote-list~0 */
obj_t BGl_displayzd2sqlitezd2quotezd2listze70z35zz__sqlite_sqlitez00(obj_t BgL_objz00_317, obj_t BgL_pz00_318)
{
{ /* Llib/sqlite.scm 491 */
if(
PAIRP(BgL_objz00_317))
{ /* Llib/sqlite.scm 475 */
if(
NULLP(
CDR(BgL_objz00_317)))
{ /* Llib/sqlite.scm 479 */
return 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(
CAR(BgL_objz00_317), BgL_pz00_318, 0L);}  else 
{ 
 obj_t BgL_oz00_326;
BgL_oz00_326 = BgL_objz00_317; 
BgL_zc3z04anonymousza31889ze3z87_327:
{ /* Llib/sqlite.scm 484 */
 bool_t BgL_test2691z00_3836;
{ /* Llib/sqlite.scm 484 */
 obj_t BgL_tmpz00_3837;
BgL_tmpz00_3837 = 
CDR(
((obj_t)BgL_oz00_326)); 
BgL_test2691z00_3836 = 
PAIRP(BgL_tmpz00_3837); } 
if(BgL_test2691z00_3836)
{ /* Llib/sqlite.scm 484 */
{ /* Llib/sqlite.scm 485 */
 obj_t BgL_arg1892z00_330;
BgL_arg1892z00_330 = 
CAR(
((obj_t)BgL_oz00_326)); 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1892z00_330, BgL_pz00_318, 0L); } 
bgl_display_string(BGl_string2352z00zz__sqlite_sqlitez00, BgL_pz00_318); 
{ /* Llib/sqlite.scm 487 */
 obj_t BgL_arg1893z00_331;
BgL_arg1893z00_331 = 
CDR(
((obj_t)BgL_oz00_326)); 
{ 
 obj_t BgL_oz00_3847;
BgL_oz00_3847 = BgL_arg1893z00_331; 
BgL_oz00_326 = BgL_oz00_3847; 
goto BgL_zc3z04anonymousza31889ze3z87_327;} } }  else 
{ /* Llib/sqlite.scm 484 */
if(
NULLP(
CDR(
((obj_t)BgL_oz00_326))))
{ /* Llib/sqlite.scm 489 */
 obj_t BgL_arg1897z00_334;
BgL_arg1897z00_334 = 
CAR(
((obj_t)BgL_oz00_326)); 
return 
BGl_displayzd2sqliteze70z35zz__sqlite_sqlitez00(BgL_arg1897z00_334, BgL_pz00_318, 0L);}  else 
{ /* Llib/sqlite.scm 488 */
return 
BGl_errorz00zz__errorz00(BGl_string2353z00zz__sqlite_sqlitez00, BGl_string2354z00zz__sqlite_sqlitez00, BgL_objz00_317);} } } } }  else 
{ /* Llib/sqlite.scm 475 */
return 
BGl_errorz00zz__errorz00(BGl_string2355z00zz__sqlite_sqlitez00, BGl_string2354z00zz__sqlite_sqlitez00, BgL_objz00_317);} } 

}



/* &sqlite-format */
obj_t BGl_z62sqlitezd2formatzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1944, obj_t BgL_fmtz00_1945, obj_t BgL_objsz00_1946)
{
{ /* Llib/sqlite.scm 377 */
{ /* Llib/sqlite.scm 378 */
 obj_t BgL_auxz00_3857;
if(
STRINGP(BgL_fmtz00_1945))
{ /* Llib/sqlite.scm 378 */
BgL_auxz00_3857 = BgL_fmtz00_1945
; }  else 
{ 
 obj_t BgL_auxz00_3860;
BgL_auxz00_3860 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(16325L), BGl_string2370z00zz__sqlite_sqlitez00, BGl_string2340z00zz__sqlite_sqlitez00, BgL_fmtz00_1945); 
FAILURE(BgL_auxz00_3860,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_auxz00_3857, BgL_objsz00_1946);} } 

}



/* sqlite-last-insert-rowid */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2lastzd2insertzd2rowidzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_76)
{
{ /* Llib/sqlite.scm 555 */
return 
BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_dbz00_76, BGl_string2371z00zz__sqlite_sqlitez00, BNIL);} 

}



/* &sqlite-last-insert-rowid */
obj_t BGl_z62sqlitezd2lastzd2insertzd2rowidzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_1947, obj_t BgL_dbz00_1948)
{
{ /* Llib/sqlite.scm 555 */
{ /* Llib/sqlite.scm 556 */
 BgL_z52sqlitez52_bglt BgL_auxz00_3866;
if(
BGl_isazf3zf3zz__objectz00(BgL_dbz00_1948, BGl_z52sqlitez52zz__sqlite_sqlitez00))
{ /* Llib/sqlite.scm 556 */
BgL_auxz00_3866 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_1948)
; }  else 
{ 
 obj_t BgL_auxz00_3870;
BgL_auxz00_3870 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(21440L), BGl_string2372z00zz__sqlite_sqlitez00, BGl_string2339z00zz__sqlite_sqlitez00, BgL_dbz00_1948); 
FAILURE(BgL_auxz00_3870,BFALSE,BFALSE);} 
return 
BGl_sqlitezd2lastzd2insertzd2rowidzd2zz__sqlite_sqlitez00(BgL_auxz00_3866);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
{ /* Llib/sqlite.scm 34 */
 obj_t BgL_arg1904z00_352; obj_t BgL_arg1905z00_353;
{ /* Llib/sqlite.scm 34 */
 obj_t BgL_v1462z00_359;
BgL_v1462z00_359 = 
create_vector(1L); 
{ /* Llib/sqlite.scm 34 */
 obj_t BgL_arg1909z00_360;
BgL_arg1909z00_360 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(28)), BGl_proc2375z00zz__sqlite_sqlitez00, BGl_proc2374z00zz__sqlite_sqlitez00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2373z00zz__sqlite_sqlitez00, 
((obj_t)
CNST_TABLE_REF(29))); 
VECTOR_SET(BgL_v1462z00_359,0L,BgL_arg1909z00_360); } 
BgL_arg1904z00_352 = BgL_v1462z00_359; } 
{ /* Llib/sqlite.scm 34 */
 obj_t BgL_v1463z00_373;
BgL_v1463z00_373 = 
create_vector(0L); 
BgL_arg1905z00_353 = BgL_v1463z00_373; } 
BGl_z52sqlitez52zz__sqlite_sqlitez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(30)), 
((obj_t)
CNST_TABLE_REF(31)), BGl_objectz00zz__objectz00, 41441L, BFALSE, BGl_proc2377z00zz__sqlite_sqlitez00, BFALSE, BGl_proc2376z00zz__sqlite_sqlitez00, BFALSE, BgL_arg1904z00_352, BgL_arg1905z00_353); } 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_arg1919z00_379; obj_t BgL_arg1920z00_380;
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_v1464z00_394;
BgL_v1464z00_394 = 
create_vector(2L); 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_arg1927z00_395;
BgL_arg1927z00_395 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(32)), BGl_proc2380z00zz__sqlite_sqlitez00, BGl_proc2379z00zz__sqlite_sqlitez00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2378z00zz__sqlite_sqlitez00, 
((obj_t)
CNST_TABLE_REF(33))); 
VECTOR_SET(BgL_v1464z00_394,0L,BgL_arg1927z00_395); } 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_arg1934z00_408;
BgL_arg1934z00_408 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(34)), BGl_proc2383z00zz__sqlite_sqlitez00, BGl_proc2382z00zz__sqlite_sqlitez00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2381z00zz__sqlite_sqlitez00, BGl_z42sqltinyz42zz__sqlite_sqltinyz00); 
VECTOR_SET(BgL_v1464z00_394,1L,BgL_arg1934z00_408); } 
BgL_arg1919z00_379 = BgL_v1464z00_394; } 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_v1465z00_421;
BgL_v1465z00_421 = 
create_vector(0L); 
BgL_arg1920z00_380 = BgL_v1465z00_421; } 
BGl_sqltinyz00zz__sqlite_sqlitez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(35)), 
((obj_t)
CNST_TABLE_REF(31)), BGl_z52sqlitez52zz__sqlite_sqlitez00, 6234L, BGl_proc2386z00zz__sqlite_sqlitez00, BGl_proc2385z00zz__sqlite_sqlitez00, BGl_z52setupzd2sqltinyz12zd2envz40zz__sqlite_sqlitez00, BGl_proc2384z00zz__sqlite_sqlitez00, BFALSE, BgL_arg1919z00_379, BgL_arg1920z00_380); } 
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_arg1944z00_428; obj_t BgL_arg1945z00_429;
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_v1466z00_442;
BgL_v1466z00_442 = 
create_vector(1L); 
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_arg1952z00_443;
BgL_arg1952z00_443 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(34)), BGl_proc2389z00zz__sqlite_sqlitez00, BGl_proc2388z00zz__sqlite_sqlitez00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2387z00zz__sqlite_sqlitez00, 
((obj_t)
CNST_TABLE_REF(36))); 
VECTOR_SET(BgL_v1466z00_442,0L,BgL_arg1952z00_443); } 
BgL_arg1944z00_428 = BgL_v1466z00_442; } 
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_v1467z00_456;
BgL_v1467z00_456 = 
create_vector(0L); 
BgL_arg1945z00_429 = BgL_v1467z00_456; } 
return ( 
BGl_sqlitez00zz__sqlite_sqlitez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(37)), 
((obj_t)
CNST_TABLE_REF(31)), BGl_z52sqlitez52zz__sqlite_sqlitez00, 51526L, BGl_proc2392z00zz__sqlite_sqlitez00, BGl_proc2391z00zz__sqlite_sqlitez00, BGl_z52setupzd2sqlitez12zd2envz40zz__sqlite_sqlitez00, BGl_proc2390z00zz__sqlite_sqlitez00, BFALSE, BgL_arg1944z00_428, BgL_arg1945z00_429), BUNSPEC) ;} } 

}



/* &<@anonymous:1951> */
obj_t BGl_z62zc3z04anonymousza31951ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1969, obj_t BgL_new1063z00_1970)
{
{ /* Llib/sqlite.scm 25 */
{ 
 BgL_sqlitez00_bglt BgL_auxz00_3918;
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)
((BgL_sqlitez00_bglt)BgL_new1063z00_1970))))->BgL_pathz00)=((obj_t)BGl_string2393z00zz__sqlite_sqlitez00),BUNSPEC); 
((((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_new1063z00_1970)))->BgL_z42builtinz42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_3918 = 
((BgL_sqlitez00_bglt)BgL_new1063z00_1970); 
return 
((obj_t)BgL_auxz00_3918);} } 

}



/* &lambda1949 */
BgL_sqlitez00_bglt BGl_z62lambda1949z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1971)
{
{ /* Llib/sqlite.scm 25 */
{ /* Llib/sqlite.scm 25 */
 BgL_sqlitez00_bglt BgL_new1061z00_2619;
BgL_new1061z00_2619 = 
((BgL_sqlitez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqlitez00_bgl) ))); 
{ /* Llib/sqlite.scm 25 */
 long BgL_arg1950z00_2620;
BgL_arg1950z00_2620 = 
BGL_CLASS_NUM(BGl_sqlitez00zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1061z00_2619), BgL_arg1950z00_2620); } 
return BgL_new1061z00_2619;} } 

}



/* &lambda1946 */
BgL_sqlitez00_bglt BGl_z62lambda1946z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1972, obj_t BgL_path1059z00_1973, obj_t BgL_z42builtin1060z42_1974)
{
{ /* Llib/sqlite.scm 25 */
{ /* Llib/sqlite.scm 25 */
 void * BgL_z42builtin1060z42_2622;
BgL_z42builtin1060z42_2622 = 
FOREIGN_TO_COBJ(BgL_z42builtin1060z42_1974); 
{ /* Llib/sqlite.scm 25 */
 BgL_sqlitez00_bglt BgL_new1456z00_2623;
{ /* Llib/sqlite.scm 25 */
 BgL_sqlitez00_bglt BgL_new1455z00_2624;
BgL_new1455z00_2624 = 
((BgL_sqlitez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqlitez00_bgl) ))); 
{ /* Llib/sqlite.scm 25 */
 long BgL_arg1948z00_2625;
BgL_arg1948z00_2625 = 
BGL_CLASS_NUM(BGl_sqlitez00zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1455z00_2624), BgL_arg1948z00_2625); } 
BgL_new1456z00_2623 = BgL_new1455z00_2624; } 
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_new1456z00_2623)))->BgL_pathz00)=((obj_t)
((obj_t)BgL_path1059z00_1973)),BUNSPEC); 
((((BgL_sqlitez00_bglt)COBJECT(BgL_new1456z00_2623))->BgL_z42builtinz42)=((void *)BgL_z42builtin1060z42_2622),BUNSPEC); 
{ /* Llib/sqlite.scm 25 */
 obj_t BgL_fun1947z00_2626;
BgL_fun1947z00_2626 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sqlitez00zz__sqlite_sqlitez00); 
BGL_PROCEDURE_CALL1(BgL_fun1947z00_2626, 
((obj_t)BgL_new1456z00_2623)); } 
return BgL_new1456z00_2623;} } } 

}



/* &<@anonymous:1958> */
obj_t BGl_z62zc3z04anonymousza31958ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1975)
{
{ /* Llib/sqlite.scm 25 */
return 
void_star_to_obj(
(0L));} 

}



/* &lambda1957 */
obj_t BGl_z62lambda1957z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1976, obj_t BgL_oz00_1977, obj_t BgL_vz00_1978)
{
{ /* Llib/sqlite.scm 25 */
{ /* Llib/sqlite.scm 25 */
 void * BgL_vz00_2628;
BgL_vz00_2628 = 
FOREIGN_TO_COBJ(BgL_vz00_1978); 
return 
((((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1977)))->BgL_z42builtinz42)=((void *)BgL_vz00_2628),BUNSPEC);} } 

}



/* &lambda1956 */
obj_t BGl_z62lambda1956z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1979, obj_t BgL_oz00_1980)
{
{ /* Llib/sqlite.scm 25 */
return 
void_star_to_obj(
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_1980)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1926> */
obj_t BGl_z62zc3z04anonymousza31926ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1981, obj_t BgL_new1057z00_1982)
{
{ /* Llib/sqlite.scm 37 */
{ 
 BgL_sqltinyz00_bglt BgL_auxz00_3954;
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)
((BgL_sqltinyz00_bglt)BgL_new1057z00_1982))))->BgL_pathz00)=((obj_t)BGl_string2393z00zz__sqlite_sqlitez00),BUNSPEC); 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_new1057z00_1982)))->BgL_syncz00)=((obj_t)
((obj_t)
CNST_TABLE_REF(38))),BUNSPEC); 
{ 
 BgL_z42sqltinyz42_bglt BgL_auxz00_3962;
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_classz00_2631;
BgL_classz00_2631 = BGl_z42sqltinyz42zz__sqlite_sqltinyz00; 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL__ortest_1116z00_2632;
BgL__ortest_1116z00_2632 = 
BGL_CLASS_NIL(BgL_classz00_2631); 
if(
CBOOL(BgL__ortest_1116z00_2632))
{ /* Llib/sqlite.scm 37 */
BgL_auxz00_3962 = 
((BgL_z42sqltinyz42_bglt)BgL__ortest_1116z00_2632)
; }  else 
{ /* Llib/sqlite.scm 37 */
BgL_auxz00_3962 = 
((BgL_z42sqltinyz42_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2631))
; } } } 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_new1057z00_1982)))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)BgL_auxz00_3962),BUNSPEC); } 
BgL_auxz00_3954 = 
((BgL_sqltinyz00_bglt)BgL_new1057z00_1982); 
return 
((obj_t)BgL_auxz00_3954);} } 

}



/* &lambda1924 */
BgL_sqltinyz00_bglt BGl_z62lambda1924z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1983)
{
{ /* Llib/sqlite.scm 37 */
{ /* Llib/sqlite.scm 37 */
 BgL_sqltinyz00_bglt BgL_new1056z00_2633;
BgL_new1056z00_2633 = 
((BgL_sqltinyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqltinyz00_bgl) ))); 
{ /* Llib/sqlite.scm 37 */
 long BgL_arg1925z00_2634;
BgL_arg1925z00_2634 = 
BGL_CLASS_NUM(BGl_sqltinyz00zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1056z00_2633), BgL_arg1925z00_2634); } 
return BgL_new1056z00_2633;} } 

}



/* &lambda1921 */
BgL_sqltinyz00_bglt BGl_z62lambda1921z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1984, obj_t BgL_path1053z00_1985, obj_t BgL_sync1054z00_1986, obj_t BgL_z42builtin1055z42_1987)
{
{ /* Llib/sqlite.scm 37 */
{ /* Llib/sqlite.scm 37 */
 BgL_sqltinyz00_bglt BgL_new1454z00_2638;
{ /* Llib/sqlite.scm 37 */
 BgL_sqltinyz00_bglt BgL_new1453z00_2639;
BgL_new1453z00_2639 = 
((BgL_sqltinyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sqltinyz00_bgl) ))); 
{ /* Llib/sqlite.scm 37 */
 long BgL_arg1923z00_2640;
BgL_arg1923z00_2640 = 
BGL_CLASS_NUM(BGl_sqltinyz00zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1453z00_2639), BgL_arg1923z00_2640); } 
BgL_new1454z00_2638 = BgL_new1453z00_2639; } 
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_new1454z00_2638)))->BgL_pathz00)=((obj_t)
((obj_t)BgL_path1053z00_1985)),BUNSPEC); 
((((BgL_sqltinyz00_bglt)COBJECT(BgL_new1454z00_2638))->BgL_syncz00)=((obj_t)
((obj_t)BgL_sync1054z00_1986)),BUNSPEC); 
((((BgL_sqltinyz00_bglt)COBJECT(BgL_new1454z00_2638))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)
((BgL_z42sqltinyz42_bglt)BgL_z42builtin1055z42_1987)),BUNSPEC); 
{ /* Llib/sqlite.scm 37 */
 obj_t BgL_fun1922z00_2641;
BgL_fun1922z00_2641 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sqltinyz00zz__sqlite_sqlitez00); 
BGL_PROCEDURE_CALL1(BgL_fun1922z00_2641, 
((obj_t)BgL_new1454z00_2638)); } 
return BgL_new1454z00_2638;} } 

}



/* &<@anonymous:1940> */
obj_t BGl_z62zc3z04anonymousza31940ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1988)
{
{ /* Llib/sqlite.scm 37 */
{ /* Llib/sqlite.scm 40 */
 obj_t BgL_classz00_2642;
BgL_classz00_2642 = BGl_z42sqltinyz42zz__sqlite_sqltinyz00; 
{ /* Llib/sqlite.scm 40 */
 obj_t BgL__ortest_1116z00_2643;
BgL__ortest_1116z00_2643 = 
BGL_CLASS_NIL(BgL_classz00_2642); 
if(
CBOOL(BgL__ortest_1116z00_2643))
{ /* Llib/sqlite.scm 40 */
return BgL__ortest_1116z00_2643;}  else 
{ /* Llib/sqlite.scm 40 */
return 
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2642);} } } } 

}



/* &lambda1939 */
obj_t BGl_z62lambda1939z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1989, obj_t BgL_oz00_1990, obj_t BgL_vz00_1991)
{
{ /* Llib/sqlite.scm 37 */
return 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1990)))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)
((BgL_z42sqltinyz42_bglt)BgL_vz00_1991)),BUNSPEC);} 

}



/* &lambda1938 */
BgL_z42sqltinyz42_bglt BGl_z62lambda1938z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1992, obj_t BgL_oz00_1993)
{
{ /* Llib/sqlite.scm 37 */
return 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1993)))->BgL_z42builtinz42);} 

}



/* &<@anonymous:1933> */
obj_t BGl_z62zc3z04anonymousza31933ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_1994)
{
{ /* Llib/sqlite.scm 37 */
return 
((obj_t)
CNST_TABLE_REF(39));} 

}



/* &lambda1932 */
obj_t BGl_z62lambda1932z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1995, obj_t BgL_oz00_1996, obj_t BgL_vz00_1997)
{
{ /* Llib/sqlite.scm 37 */
return 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1996)))->BgL_syncz00)=((obj_t)
((obj_t)BgL_vz00_1997)),BUNSPEC);} 

}



/* &lambda1931 */
obj_t BGl_z62lambda1931z62zz__sqlite_sqlitez00(obj_t BgL_envz00_1998, obj_t BgL_oz00_1999)
{
{ /* Llib/sqlite.scm 37 */
return 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)BgL_oz00_1999)))->BgL_syncz00);} 

}



/* &<@anonymous:1908> */
obj_t BGl_z62zc3z04anonymousza31908ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2000, obj_t BgL_new1051z00_2001)
{
{ /* Llib/sqlite.scm 34 */
{ 
 BgL_z52sqlitez52_bglt BgL_auxz00_4010;
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_new1051z00_2001)))->BgL_pathz00)=((obj_t)BGl_string2393z00zz__sqlite_sqlitez00),BUNSPEC); 
BgL_auxz00_4010 = 
((BgL_z52sqlitez52_bglt)BgL_new1051z00_2001); 
return 
((obj_t)BgL_auxz00_4010);} } 

}



/* &lambda1906 */
BgL_z52sqlitez52_bglt BGl_z62lambda1906z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2002)
{
{ /* Llib/sqlite.scm 34 */
{ /* Llib/sqlite.scm 34 */
 BgL_z52sqlitez52_bglt BgL_new1050z00_2651;
BgL_new1050z00_2651 = 
((BgL_z52sqlitez52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sqlitez52_bgl) ))); 
{ /* Llib/sqlite.scm 34 */
 long BgL_arg1907z00_2652;
BgL_arg1907z00_2652 = 
BGL_CLASS_NUM(BGl_z52sqlitez52zz__sqlite_sqlitez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1050z00_2651), BgL_arg1907z00_2652); } 
return BgL_new1050z00_2651;} } 

}



/* &<@anonymous:1915> */
obj_t BGl_z62zc3z04anonymousza31915ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2003)
{
{ /* Llib/sqlite.scm 34 */
return BGl_string2394z00zz__sqlite_sqlitez00;} 

}



/* &lambda1914 */
obj_t BGl_z62lambda1914z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2004, obj_t BgL_oz00_2005, obj_t BgL_vz00_2006)
{
{ /* Llib/sqlite.scm 34 */
return 
((((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_2005)))->BgL_pathz00)=((obj_t)
((obj_t)BgL_vz00_2006)),BUNSPEC);} 

}



/* &lambda1913 */
obj_t BGl_z62lambda1913z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2007, obj_t BgL_oz00_2008)
{
{ /* Llib/sqlite.scm 34 */
return 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_2008)))->BgL_pathz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, BGl_proc2395z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2396z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, BGl_proc2397z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2398z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, BGl_proc2399z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2400z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2getzd2envz00zz__sqlite_sqlitez00, BGl_proc2401z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2402z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, BGl_proc2403z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2404z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2forzd2eachzd2envzd2zz__sqlite_sqlitez00, BGl_proc2405z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2406z00zz__sqlite_sqlitez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2runzd2envz00zz__sqlite_sqlitez00, BGl_proc2407z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2408z00zz__sqlite_sqlitez00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, BGl_proc2409z00zz__sqlite_sqlitez00, BGl_z52sqlitez52zz__sqlite_sqlitez00, BGl_string2410z00zz__sqlite_sqlitez00);} 

}



/* &sqlite-dump-table1502 */
obj_t BGl_z62sqlitezd2dumpzd2table1502z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2018, obj_t BgL_dbz00_2019, obj_t BgL_tablez00_2020, obj_t BgL_outz00_2021)
{
{ /* Llib/sqlite.scm 364 */
{ /* Llib/sqlite.scm 366 */
 BgL_z42sqltinyz42_bglt BgL_arg2010z00_2659;
BgL_arg2010z00_2659 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_dbz00_2019))))->BgL_z42builtinz42); 
BGl_z42sqltinyzd2dumpzd2tablez42zz__sqlite_sqltinyz00(
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_dbz00_2019)), BgL_arg2010z00_2659, 
((obj_t)BgL_tablez00_2020), 
((obj_t)BgL_outz00_2021)); } 
return BUNSPEC;} 

}



/* &sqlite-run1498 */
obj_t BGl_z62sqlitezd2run1498zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2022, obj_t BgL_oz00_2023, obj_t BgL_fmtz00_2024, obj_t BgL_argsz00_2025)
{
{ /* Llib/sqlite.scm 308 */
{ /* Llib/sqlite.scm 310 */
 obj_t BgL_runner2008z00_2662;
{ /* Llib/sqlite.scm 310 */
 obj_t BgL_zc3z04anonymousza32004ze3z87_2663;
BgL_zc3z04anonymousza32004ze3z87_2663 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32004ze3ze5zz__sqlite_sqlitez00, 
(int)(2L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32004ze3z87_2663, 
(int)(0L), BgL_argsz00_2025); 
{ /* Llib/sqlite.scm 310 */
 obj_t BgL_list2003z00_2664;
BgL_list2003z00_2664 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32004ze3z87_2663, BNIL); 
BgL_runner2008z00_2662 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2023)), BgL_list2003z00_2664); } } 
{ /* Llib/sqlite.scm 310 */
 BgL_z52sqlitez52_bglt BgL_aux2005z00_2665;
{ /* Llib/sqlite.scm 310 */
 obj_t BgL_pairz00_2666;
BgL_pairz00_2666 = BgL_runner2008z00_2662; 
BgL_aux2005z00_2665 = 
((BgL_z52sqlitez52_bglt)
CAR(BgL_pairz00_2666)); } 
BgL_runner2008z00_2662 = 
CDR(BgL_runner2008z00_2662); 
{ /* Llib/sqlite.scm 310 */
 obj_t BgL_aux2006z00_2667;
BgL_aux2006z00_2667 = 
CAR(BgL_runner2008z00_2662); 
BgL_runner2008z00_2662 = 
CDR(BgL_runner2008z00_2662); 
{ /* Llib/sqlite.scm 310 */
 obj_t BgL_aux2007z00_2668;
BgL_aux2007z00_2668 = 
CAR(BgL_runner2008z00_2662); 
BgL_runner2008z00_2662 = 
CDR(BgL_runner2008z00_2662); 
return 
BGl_sqlitezd2getzd2zz__sqlite_sqlitez00(BgL_aux2005z00_2665, BgL_aux2006z00_2667, BgL_aux2007z00_2668, BgL_runner2008z00_2662);} } } } } 

}



/* &<@anonymous:2004> */
obj_t BGl_z62zc3z04anonymousza32004ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2026, obj_t BgL_xz00_2028, obj_t BgL_yz00_2029)
{
{ /* Llib/sqlite.scm 310 */
return 
PROCEDURE_REF(BgL_envz00_2026, 
(int)(0L));} 

}



/* &sqlite-for-each1494 */
obj_t BGl_z62sqlitezd2forzd2each1494z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2030, obj_t BgL_oz00_2031, obj_t BgL_pz00_2032, obj_t BgL_fmtz00_2033, obj_t BgL_argsz00_2034)
{
{ /* Llib/sqlite.scm 283 */
if(
PROCEDURE_CORRECT_ARITYP(
((obj_t)BgL_pz00_2032), 
(int)(2L)))
{ /* Llib/sqlite.scm 285 */
if(
NULLP(BgL_argsz00_2034))
{ /* Llib/sqlite.scm 287 */
 BgL_z42sqltinyz42_bglt BgL_arg1995z00_2672;
BgL_arg1995z00_2672 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2031))))->BgL_z42builtinz42); 
return 
BGl_z42sqltinyzd2forzd2eachz42zz__sqlite_sqltinyz00(BgL_arg1995z00_2672, 
((obj_t)BgL_pz00_2032), 
((obj_t)BgL_fmtz00_2033), 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2031)));}  else 
{ /* Llib/sqlite.scm 288 */
 BgL_z42sqltinyz42_bglt BgL_arg1996z00_2673; obj_t BgL_arg1997z00_2674;
BgL_arg1996z00_2673 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2031))))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 288 */
 obj_t BgL_runner2000z00_2675;
{ /* Llib/sqlite.scm 288 */
 obj_t BgL_list1998z00_2676;
BgL_list1998z00_2676 = 
MAKE_YOUNG_PAIR(BgL_argsz00_2034, BNIL); 
BgL_runner2000z00_2675 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_2033), BgL_list1998z00_2676); } 
{ /* Llib/sqlite.scm 288 */
 obj_t BgL_aux1999z00_2677;
BgL_aux1999z00_2677 = 
CAR(BgL_runner2000z00_2675); 
BgL_runner2000z00_2675 = 
CDR(BgL_runner2000z00_2675); 
BgL_arg1997z00_2674 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1999z00_2677, BgL_runner2000z00_2675); } } 
return 
BGl_z42sqltinyzd2forzd2eachz42zz__sqlite_sqltinyz00(BgL_arg1996z00_2673, 
((obj_t)BgL_pz00_2032), BgL_arg1997z00_2674, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2031)));} }  else 
{ /* Llib/sqlite.scm 285 */
return 
BGl_errorz00zz__errorz00(BGl_string2411z00zz__sqlite_sqlitez00, BGl_string2412z00zz__sqlite_sqlitez00, 
((obj_t)BgL_pz00_2032));} } 

}



/* &sqlite-map1490 */
obj_t BGl_z62sqlitezd2map1490zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2035, obj_t BgL_oz00_2036, obj_t BgL_pz00_2037, obj_t BgL_fmtz00_2038, obj_t BgL_argsz00_2039)
{
{ /* Llib/sqlite.scm 262 */
if(
NULLP(BgL_argsz00_2039))
{ /* Llib/sqlite.scm 265 */
 BgL_z42sqltinyz42_bglt BgL_arg1987z00_2681;
BgL_arg1987z00_2681 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2036))))->BgL_z42builtinz42); 
return 
BGl_z42sqltinyzd2mapz90zz__sqlite_sqltinyz00(BgL_arg1987z00_2681, 
((obj_t)BgL_pz00_2037), 
((obj_t)BgL_fmtz00_2038), 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2036)));}  else 
{ /* Llib/sqlite.scm 266 */
 BgL_z42sqltinyz42_bglt BgL_arg1988z00_2682; obj_t BgL_arg1989z00_2683;
BgL_arg1988z00_2682 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2036))))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 266 */
 obj_t BgL_runner1992z00_2684;
{ /* Llib/sqlite.scm 266 */
 obj_t BgL_list1990z00_2685;
BgL_list1990z00_2685 = 
MAKE_YOUNG_PAIR(BgL_argsz00_2039, BNIL); 
BgL_runner1992z00_2684 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_2038), BgL_list1990z00_2685); } 
{ /* Llib/sqlite.scm 266 */
 obj_t BgL_aux1991z00_2686;
BgL_aux1991z00_2686 = 
CAR(BgL_runner1992z00_2684); 
BgL_runner1992z00_2684 = 
CDR(BgL_runner1992z00_2684); 
BgL_arg1989z00_2683 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1991z00_2686, BgL_runner1992z00_2684); } } 
return 
BGl_z42sqltinyzd2mapz90zz__sqlite_sqltinyz00(BgL_arg1988z00_2682, 
((obj_t)BgL_pz00_2037), BgL_arg1989z00_2683, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2036)));} } 

}



/* &sqlite-get1486 */
obj_t BGl_z62sqlitezd2get1486zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2040, obj_t BgL_oz00_2041, obj_t BgL_pz00_2042, obj_t BgL_fmtz00_2043, obj_t BgL_argsz00_2044)
{
{ /* Llib/sqlite.scm 237 */
if(
PROCEDURE_CORRECT_ARITYP(
((obj_t)BgL_pz00_2042), 
(int)(2L)))
{ /* Llib/sqlite.scm 239 */
if(
NULLP(BgL_argsz00_2044))
{ /* Llib/sqlite.scm 241 */
 BgL_z42sqltinyz42_bglt BgL_arg1979z00_2690;
BgL_arg1979z00_2690 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2041))))->BgL_z42builtinz42); 
return 
BGl_z42sqltinyzd2getz90zz__sqlite_sqltinyz00(BgL_arg1979z00_2690, 
((obj_t)BgL_pz00_2042), 
((obj_t)BgL_fmtz00_2043), 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2041)));}  else 
{ /* Llib/sqlite.scm 242 */
 BgL_z42sqltinyz42_bglt BgL_arg1980z00_2691; obj_t BgL_arg1981z00_2692;
BgL_arg1980z00_2691 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2041))))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 242 */
 obj_t BgL_runner1984z00_2693;
{ /* Llib/sqlite.scm 242 */
 obj_t BgL_list1982z00_2694;
BgL_list1982z00_2694 = 
MAKE_YOUNG_PAIR(BgL_argsz00_2044, BNIL); 
BgL_runner1984z00_2693 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_2043), BgL_list1982z00_2694); } 
{ /* Llib/sqlite.scm 242 */
 obj_t BgL_aux1983z00_2695;
BgL_aux1983z00_2695 = 
CAR(BgL_runner1984z00_2693); 
BgL_runner1984z00_2693 = 
CDR(BgL_runner1984z00_2693); 
BgL_arg1981z00_2692 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1983z00_2695, BgL_runner1984z00_2693); } } 
return 
BGl_z42sqltinyzd2getz90zz__sqlite_sqltinyz00(BgL_arg1980z00_2691, 
((obj_t)BgL_pz00_2042), BgL_arg1981z00_2692, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2041)));} }  else 
{ /* Llib/sqlite.scm 239 */
return 
BGl_errorz00zz__errorz00(BGl_string2413z00zz__sqlite_sqlitez00, BGl_string2412z00zz__sqlite_sqlitez00, 
((obj_t)BgL_pz00_2042));} } 

}



/* &sqlite-eval1482 */
obj_t BGl_z62sqlitezd2eval1482zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2045, obj_t BgL_oz00_2046, obj_t BgL_pz00_2047, obj_t BgL_fmtz00_2048, obj_t BgL_argsz00_2049)
{
{ /* Llib/sqlite.scm 216 */
if(
NULLP(BgL_argsz00_2049))
{ /* Llib/sqlite.scm 219 */
 BgL_z42sqltinyz42_bglt BgL_arg1971z00_2699;
BgL_arg1971z00_2699 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2046))))->BgL_z42builtinz42); 
return 
BGl_z42sqltinyzd2evalz90zz__sqlite_sqltinyz00(BgL_arg1971z00_2699, 
((obj_t)BgL_pz00_2047), 
((obj_t)BgL_fmtz00_2048), 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2046)));}  else 
{ /* Llib/sqlite.scm 220 */
 BgL_z42sqltinyz42_bglt BgL_arg1972z00_2700; obj_t BgL_arg1973z00_2701;
BgL_arg1972z00_2700 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2046))))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 220 */
 obj_t BgL_runner1976z00_2702;
{ /* Llib/sqlite.scm 220 */
 obj_t BgL_list1974z00_2703;
BgL_list1974z00_2703 = 
MAKE_YOUNG_PAIR(BgL_argsz00_2049, BNIL); 
BgL_runner1976z00_2702 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_2048), BgL_list1974z00_2703); } 
{ /* Llib/sqlite.scm 220 */
 obj_t BgL_aux1975z00_2704;
BgL_aux1975z00_2704 = 
CAR(BgL_runner1976z00_2702); 
BgL_runner1976z00_2702 = 
CDR(BgL_runner1976z00_2702); 
BgL_arg1973z00_2701 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1975z00_2704, BgL_runner1976z00_2702); } } 
return 
BGl_z42sqltinyzd2evalz90zz__sqlite_sqltinyz00(BgL_arg1972z00_2700, 
((obj_t)BgL_pz00_2047), BgL_arg1973z00_2701, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2046)));} } 

}



/* &sqlite-exec1478 */
obj_t BGl_z62sqlitezd2exec1478zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2050, obj_t BgL_oz00_2051, obj_t BgL_fmtz00_2052, obj_t BgL_argsz00_2053)
{
{ /* Llib/sqlite.scm 178 */
if(
NULLP(BgL_argsz00_2053))
{ /* Llib/sqlite.scm 181 */
 BgL_z42sqltinyz42_bglt BgL_arg1963z00_2707;
BgL_arg1963z00_2707 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2051))))->BgL_z42builtinz42); 
return 
BGl_z42sqltinyzd2execz90zz__sqlite_sqltinyz00(BgL_arg1963z00_2707, 
((obj_t)BgL_fmtz00_2052), 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2051)));}  else 
{ /* Llib/sqlite.scm 182 */
 BgL_z42sqltinyz42_bglt BgL_arg1964z00_2708; obj_t BgL_arg1965z00_2709;
BgL_arg1964z00_2708 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2051))))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 182 */
 obj_t BgL_runner1968z00_2710;
{ /* Llib/sqlite.scm 182 */
 obj_t BgL_list1966z00_2711;
BgL_list1966z00_2711 = 
MAKE_YOUNG_PAIR(BgL_argsz00_2053, BNIL); 
BgL_runner1968z00_2710 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_2052), BgL_list1966z00_2711); } 
{ /* Llib/sqlite.scm 182 */
 obj_t BgL_aux1967z00_2712;
BgL_aux1967z00_2712 = 
CAR(BgL_runner1968z00_2710); 
BgL_runner1968z00_2710 = 
CDR(BgL_runner1968z00_2710); 
BgL_arg1965z00_2709 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux1967z00_2712, BgL_runner1968z00_2710); } } 
return 
BGl_z42sqltinyzd2execz90zz__sqlite_sqltinyz00(BgL_arg1964z00_2708, BgL_arg1965z00_2709, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2051)));} } 

}



/* &sqlite-close1474 */
obj_t BGl_z62sqlitezd2close1474zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2054, obj_t BgL_oz00_2055)
{
{ /* Llib/sqlite.scm 164 */
{ /* Llib/sqlite.scm 166 */
 BgL_z42sqltinyz42_bglt BgL_arg1960z00_2714;
BgL_arg1960z00_2714 = 
(((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2055))))->BgL_z42builtinz42); 
BGl_z42sqltinyzd2closez90zz__sqlite_sqltinyz00(BgL_arg1960z00_2714, 
((obj_t)
((BgL_z52sqlitez52_bglt)BgL_oz00_2055))); } 
{ 
 BgL_z42sqltinyz42_bglt BgL_auxz00_4190;
{ /* Llib/sqlite.scm 167 */
 obj_t BgL_classz00_2715;
BgL_classz00_2715 = BGl_z42sqltinyz42zz__sqlite_sqltinyz00; 
{ /* Llib/sqlite.scm 167 */
 obj_t BgL__ortest_1116z00_2716;
BgL__ortest_1116z00_2716 = 
BGL_CLASS_NIL(BgL_classz00_2715); 
if(
CBOOL(BgL__ortest_1116z00_2716))
{ /* Llib/sqlite.scm 167 */
BgL_auxz00_4190 = 
((BgL_z42sqltinyz42_bglt)BgL__ortest_1116z00_2716)
; }  else 
{ /* Llib/sqlite.scm 167 */
BgL_auxz00_4190 = 
((BgL_z42sqltinyz42_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2715))
; } } } 
return 
((((BgL_sqltinyz00_bglt)COBJECT(
((BgL_sqltinyz00_bglt)
((BgL_z52sqlitez52_bglt)BgL_oz00_2055))))->BgL_z42builtinz42)=((BgL_z42sqltinyz42_bglt)BgL_auxz00_4190),BUNSPEC);} } 

}



/* sqlite-close */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2closezd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_13)
{
{ /* Llib/sqlite.scm 164 */
{ /* Llib/sqlite.scm 164 */
 obj_t BgL_method1475z00_565;
{ /* Llib/sqlite.scm 164 */
 obj_t BgL_res2218z00_1513;
{ /* Llib/sqlite.scm 164 */
 long BgL_objzd2classzd2numz00_1484;
BgL_objzd2classzd2numz00_1484 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_13)); 
{ /* Llib/sqlite.scm 164 */
 obj_t BgL_arg1831z00_1485;
BgL_arg1831z00_1485 = 
PROCEDURE_REF(BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, 
(int)(1L)); 
{ /* Llib/sqlite.scm 164 */
 int BgL_offsetz00_1488;
BgL_offsetz00_1488 = 
(int)(BgL_objzd2classzd2numz00_1484); 
{ /* Llib/sqlite.scm 164 */
 long BgL_offsetz00_1489;
BgL_offsetz00_1489 = 
(
(long)(BgL_offsetz00_1488)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 164 */
 long BgL_modz00_1490;
BgL_modz00_1490 = 
(BgL_offsetz00_1489 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/sqlite.scm 164 */
 long BgL_restz00_1492;
BgL_restz00_1492 = 
(BgL_offsetz00_1489 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/sqlite.scm 164 */

{ /* Llib/sqlite.scm 164 */
 obj_t BgL_bucketz00_1494;
BgL_bucketz00_1494 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_1485),BgL_modz00_1490); 
BgL_res2218z00_1513 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1494),BgL_restz00_1492); } } } } } } } } 
BgL_method1475z00_565 = BgL_res2218z00_1513; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1475z00_565, 
((obj_t)BgL_oz00_13));} } 

}



/* &sqlite-close */
obj_t BGl_z62sqlitezd2closezb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2056, obj_t BgL_oz00_2057)
{
{ /* Llib/sqlite.scm 164 */
{ /* Llib/sqlite.scm 164 */
 BgL_z52sqlitez52_bglt BgL_auxz00_4230;
{ /* Llib/sqlite.scm 164 */
 bool_t BgL_test2705z00_4231;
{ /* Llib/sqlite.scm 164 */
 obj_t BgL_classz00_2717;
BgL_classz00_2717 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_2057))
{ /* Llib/sqlite.scm 164 */
 BgL_objectz00_bglt BgL_arg1829z00_2719; long BgL_arg1830z00_2720;
BgL_arg1829z00_2719 = 
(BgL_objectz00_bglt)(BgL_oz00_2057); 
BgL_arg1830z00_2720 = 
BGL_CLASS_DEPTH(BgL_classz00_2717); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 164 */
 long BgL_idxz00_2728;
BgL_idxz00_2728 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_2719); 
{ /* Llib/sqlite.scm 164 */
 obj_t BgL_arg1820z00_2729;
{ /* Llib/sqlite.scm 164 */
 long BgL_arg1821z00_2730;
BgL_arg1821z00_2730 = 
(BgL_idxz00_2728+BgL_arg1830z00_2720); 
BgL_arg1820z00_2729 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_2730); } 
BgL_test2705z00_4231 = 
(BgL_arg1820z00_2729==BgL_classz00_2717); } }  else 
{ /* Llib/sqlite.scm 164 */
 bool_t BgL_res2451z00_2756;
{ /* Llib/sqlite.scm 164 */
 obj_t BgL_oclassz00_2738;
{ /* Llib/sqlite.scm 164 */
 obj_t BgL_arg1834z00_2746; long BgL_arg1835z00_2747;
BgL_arg1834z00_2746 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/sqlite.scm 164 */
 long BgL_arg1836z00_2748;
BgL_arg1836z00_2748 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_2719); 
BgL_arg1835z00_2747 = 
(BgL_arg1836z00_2748-OBJECT_TYPE); } 
BgL_oclassz00_2738 = 
VECTOR_REF(BgL_arg1834z00_2746,BgL_arg1835z00_2747); } 
{ /* Llib/sqlite.scm 164 */
 bool_t BgL__ortest_1114z00_2739;
BgL__ortest_1114z00_2739 = 
(BgL_classz00_2717==BgL_oclassz00_2738); 
if(BgL__ortest_1114z00_2739)
{ /* Llib/sqlite.scm 164 */
BgL_res2451z00_2756 = BgL__ortest_1114z00_2739; }  else 
{ /* Llib/sqlite.scm 164 */
 long BgL_odepthz00_2740;
{ /* Llib/sqlite.scm 164 */
 obj_t BgL_arg1824z00_2741;
BgL_arg1824z00_2741 = 
(BgL_oclassz00_2738); 
BgL_odepthz00_2740 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_2741); } 
if(
(BgL_arg1830z00_2720<BgL_odepthz00_2740))
{ /* Llib/sqlite.scm 164 */
 obj_t BgL_arg1822z00_2743;
{ /* Llib/sqlite.scm 164 */
 obj_t BgL_arg1823z00_2744;
BgL_arg1823z00_2744 = 
(BgL_oclassz00_2738); 
BgL_arg1822z00_2743 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_2744, BgL_arg1830z00_2720); } 
BgL_res2451z00_2756 = 
(BgL_arg1822z00_2743==BgL_classz00_2717); }  else 
{ /* Llib/sqlite.scm 164 */
BgL_res2451z00_2756 = ((bool_t)0); } } } } 
BgL_test2705z00_4231 = BgL_res2451z00_2756; } }  else 
{ /* Llib/sqlite.scm 164 */
BgL_test2705z00_4231 = ((bool_t)0)
; } } 
if(BgL_test2705z00_4231)
{ /* Llib/sqlite.scm 164 */
BgL_auxz00_4230 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_2057)
; }  else 
{ 
 obj_t BgL_auxz00_4256;
BgL_auxz00_4256 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(7441L), BGl_string2414z00zz__sqlite_sqlitez00, BGl_string2339z00zz__sqlite_sqlitez00, BgL_oz00_2057); 
FAILURE(BgL_auxz00_4256,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2closezd2zz__sqlite_sqlitez00(BgL_auxz00_4230);} } 

}



/* sqlite-exec */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_15, obj_t BgL_fmtz00_16, obj_t BgL_argsz00_17)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_method1479z00_566;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_res2223z00_1544;
{ /* Llib/sqlite.scm 178 */
 long BgL_objzd2classzd2numz00_1515;
BgL_objzd2classzd2numz00_1515 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_15)); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1831z00_1516;
BgL_arg1831z00_1516 = 
PROCEDURE_REF(BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, 
(int)(1L)); 
{ /* Llib/sqlite.scm 178 */
 int BgL_offsetz00_1519;
BgL_offsetz00_1519 = 
(int)(BgL_objzd2classzd2numz00_1515); 
{ /* Llib/sqlite.scm 178 */
 long BgL_offsetz00_1520;
BgL_offsetz00_1520 = 
(
(long)(BgL_offsetz00_1519)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 178 */
 long BgL_modz00_1521;
BgL_modz00_1521 = 
(BgL_offsetz00_1520 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/sqlite.scm 178 */
 long BgL_restz00_1523;
BgL_restz00_1523 = 
(BgL_offsetz00_1520 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/sqlite.scm 178 */

{ /* Llib/sqlite.scm 178 */
 obj_t BgL_bucketz00_1525;
BgL_bucketz00_1525 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_1516),BgL_modz00_1521); 
BgL_res2223z00_1544 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1525),BgL_restz00_1523); } } } } } } } } 
BgL_method1479z00_566 = BgL_res2223z00_1544; } 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_auxz00_4286;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_list2011z00_567;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg2012z00_568;
BgL_arg2012z00_568 = 
MAKE_YOUNG_PAIR(BgL_argsz00_17, BNIL); 
BgL_list2011z00_567 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_16, BgL_arg2012z00_568); } 
BgL_auxz00_4286 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_15), BgL_list2011z00_567); } 
return 
apply(BgL_method1479z00_566, BgL_auxz00_4286);} } } 

}



/* &sqlite-exec */
obj_t BGl_z62sqlitezd2execzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2058, obj_t BgL_oz00_2059, obj_t BgL_fmtz00_2060, obj_t BgL_argsz00_2061)
{
{ /* Llib/sqlite.scm 178 */
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_auxz00_4322; BgL_z52sqlitez52_bglt BgL_auxz00_4292;
if(
STRINGP(BgL_fmtz00_2060))
{ /* Llib/sqlite.scm 178 */
BgL_auxz00_4322 = BgL_fmtz00_2060
; }  else 
{ 
 obj_t BgL_auxz00_4325;
BgL_auxz00_4325 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(7989L), BGl_string2415z00zz__sqlite_sqlitez00, BGl_string2340z00zz__sqlite_sqlitez00, BgL_fmtz00_2060); 
FAILURE(BgL_auxz00_4325,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 178 */
 bool_t BgL_test2710z00_4293;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_classz00_2757;
BgL_classz00_2757 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_2059))
{ /* Llib/sqlite.scm 178 */
 BgL_objectz00_bglt BgL_arg1829z00_2759; long BgL_arg1830z00_2760;
BgL_arg1829z00_2759 = 
(BgL_objectz00_bglt)(BgL_oz00_2059); 
BgL_arg1830z00_2760 = 
BGL_CLASS_DEPTH(BgL_classz00_2757); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 178 */
 long BgL_idxz00_2768;
BgL_idxz00_2768 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_2759); 
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1820z00_2769;
{ /* Llib/sqlite.scm 178 */
 long BgL_arg1821z00_2770;
BgL_arg1821z00_2770 = 
(BgL_idxz00_2768+BgL_arg1830z00_2760); 
BgL_arg1820z00_2769 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_2770); } 
BgL_test2710z00_4293 = 
(BgL_arg1820z00_2769==BgL_classz00_2757); } }  else 
{ /* Llib/sqlite.scm 178 */
 bool_t BgL_res2452z00_2796;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_oclassz00_2778;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1834z00_2786; long BgL_arg1835z00_2787;
BgL_arg1834z00_2786 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/sqlite.scm 178 */
 long BgL_arg1836z00_2788;
BgL_arg1836z00_2788 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_2759); 
BgL_arg1835z00_2787 = 
(BgL_arg1836z00_2788-OBJECT_TYPE); } 
BgL_oclassz00_2778 = 
VECTOR_REF(BgL_arg1834z00_2786,BgL_arg1835z00_2787); } 
{ /* Llib/sqlite.scm 178 */
 bool_t BgL__ortest_1114z00_2779;
BgL__ortest_1114z00_2779 = 
(BgL_classz00_2757==BgL_oclassz00_2778); 
if(BgL__ortest_1114z00_2779)
{ /* Llib/sqlite.scm 178 */
BgL_res2452z00_2796 = BgL__ortest_1114z00_2779; }  else 
{ /* Llib/sqlite.scm 178 */
 long BgL_odepthz00_2780;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1824z00_2781;
BgL_arg1824z00_2781 = 
(BgL_oclassz00_2778); 
BgL_odepthz00_2780 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_2781); } 
if(
(BgL_arg1830z00_2760<BgL_odepthz00_2780))
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1822z00_2783;
{ /* Llib/sqlite.scm 178 */
 obj_t BgL_arg1823z00_2784;
BgL_arg1823z00_2784 = 
(BgL_oclassz00_2778); 
BgL_arg1822z00_2783 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_2784, BgL_arg1830z00_2760); } 
BgL_res2452z00_2796 = 
(BgL_arg1822z00_2783==BgL_classz00_2757); }  else 
{ /* Llib/sqlite.scm 178 */
BgL_res2452z00_2796 = ((bool_t)0); } } } } 
BgL_test2710z00_4293 = BgL_res2452z00_2796; } }  else 
{ /* Llib/sqlite.scm 178 */
BgL_test2710z00_4293 = ((bool_t)0)
; } } 
if(BgL_test2710z00_4293)
{ /* Llib/sqlite.scm 178 */
BgL_auxz00_4292 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_2059)
; }  else 
{ 
 obj_t BgL_auxz00_4318;
BgL_auxz00_4318 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(7989L), BGl_string2415z00zz__sqlite_sqlitez00, BGl_string2339z00zz__sqlite_sqlitez00, BgL_oz00_2059); 
FAILURE(BgL_auxz00_4318,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(BgL_auxz00_4292, BgL_auxz00_4322, BgL_argsz00_2061);} } 

}



/* sqlite-eval */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_21, obj_t BgL_pz00_22, obj_t BgL_fmtz00_23, obj_t BgL_argsz00_24)
{
{ /* Llib/sqlite.scm 216 */
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_method1483z00_569;
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_res2228z00_1575;
{ /* Llib/sqlite.scm 216 */
 long BgL_objzd2classzd2numz00_1546;
BgL_objzd2classzd2numz00_1546 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_21)); 
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_arg1831z00_1547;
BgL_arg1831z00_1547 = 
PROCEDURE_REF(BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, 
(int)(1L)); 
{ /* Llib/sqlite.scm 216 */
 int BgL_offsetz00_1550;
BgL_offsetz00_1550 = 
(int)(BgL_objzd2classzd2numz00_1546); 
{ /* Llib/sqlite.scm 216 */
 long BgL_offsetz00_1551;
BgL_offsetz00_1551 = 
(
(long)(BgL_offsetz00_1550)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 216 */
 long BgL_modz00_1552;
BgL_modz00_1552 = 
(BgL_offsetz00_1551 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/sqlite.scm 216 */
 long BgL_restz00_1554;
BgL_restz00_1554 = 
(BgL_offsetz00_1551 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/sqlite.scm 216 */

{ /* Llib/sqlite.scm 216 */
 obj_t BgL_bucketz00_1556;
BgL_bucketz00_1556 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_1547),BgL_modz00_1552); 
BgL_res2228z00_1575 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1556),BgL_restz00_1554); } } } } } } } } 
BgL_method1483z00_569 = BgL_res2228z00_1575; } 
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_auxz00_4355;
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_list2013z00_570;
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_arg2014z00_571;
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_arg2015z00_572;
BgL_arg2015z00_572 = 
MAKE_YOUNG_PAIR(BgL_argsz00_24, BNIL); 
BgL_arg2014z00_571 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_23, BgL_arg2015z00_572); } 
BgL_list2013z00_570 = 
MAKE_YOUNG_PAIR(BgL_pz00_22, BgL_arg2014z00_571); } 
BgL_auxz00_4355 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_21), BgL_list2013z00_570); } 
return 
apply(BgL_method1483z00_569, BgL_auxz00_4355);} } } 

}



/* &sqlite-eval */
obj_t BGl_z62sqlitezd2evalzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2062, obj_t BgL_oz00_2063, obj_t BgL_pz00_2064, obj_t BgL_fmtz00_2065, obj_t BgL_argsz00_2066)
{
{ /* Llib/sqlite.scm 216 */
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_auxz00_4399; obj_t BgL_auxz00_4392; BgL_z52sqlitez52_bglt BgL_auxz00_4362;
if(
STRINGP(BgL_fmtz00_2065))
{ /* Llib/sqlite.scm 216 */
BgL_auxz00_4399 = BgL_fmtz00_2065
; }  else 
{ 
 obj_t BgL_auxz00_4402;
BgL_auxz00_4402 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(9460L), BGl_string2416z00zz__sqlite_sqlitez00, BGl_string2340z00zz__sqlite_sqlitez00, BgL_fmtz00_2065); 
FAILURE(BgL_auxz00_4402,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_pz00_2064))
{ /* Llib/sqlite.scm 216 */
BgL_auxz00_4392 = BgL_pz00_2064
; }  else 
{ 
 obj_t BgL_auxz00_4395;
BgL_auxz00_4395 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(9460L), BGl_string2416z00zz__sqlite_sqlitez00, BGl_string2417z00zz__sqlite_sqlitez00, BgL_pz00_2064); 
FAILURE(BgL_auxz00_4395,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 216 */
 bool_t BgL_test2716z00_4363;
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_classz00_2797;
BgL_classz00_2797 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_2063))
{ /* Llib/sqlite.scm 216 */
 BgL_objectz00_bglt BgL_arg1829z00_2799; long BgL_arg1830z00_2800;
BgL_arg1829z00_2799 = 
(BgL_objectz00_bglt)(BgL_oz00_2063); 
BgL_arg1830z00_2800 = 
BGL_CLASS_DEPTH(BgL_classz00_2797); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 216 */
 long BgL_idxz00_2808;
BgL_idxz00_2808 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_2799); 
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_arg1820z00_2809;
{ /* Llib/sqlite.scm 216 */
 long BgL_arg1821z00_2810;
BgL_arg1821z00_2810 = 
(BgL_idxz00_2808+BgL_arg1830z00_2800); 
BgL_arg1820z00_2809 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_2810); } 
BgL_test2716z00_4363 = 
(BgL_arg1820z00_2809==BgL_classz00_2797); } }  else 
{ /* Llib/sqlite.scm 216 */
 bool_t BgL_res2453z00_2836;
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_oclassz00_2818;
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_arg1834z00_2826; long BgL_arg1835z00_2827;
BgL_arg1834z00_2826 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/sqlite.scm 216 */
 long BgL_arg1836z00_2828;
BgL_arg1836z00_2828 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_2799); 
BgL_arg1835z00_2827 = 
(BgL_arg1836z00_2828-OBJECT_TYPE); } 
BgL_oclassz00_2818 = 
VECTOR_REF(BgL_arg1834z00_2826,BgL_arg1835z00_2827); } 
{ /* Llib/sqlite.scm 216 */
 bool_t BgL__ortest_1114z00_2819;
BgL__ortest_1114z00_2819 = 
(BgL_classz00_2797==BgL_oclassz00_2818); 
if(BgL__ortest_1114z00_2819)
{ /* Llib/sqlite.scm 216 */
BgL_res2453z00_2836 = BgL__ortest_1114z00_2819; }  else 
{ /* Llib/sqlite.scm 216 */
 long BgL_odepthz00_2820;
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_arg1824z00_2821;
BgL_arg1824z00_2821 = 
(BgL_oclassz00_2818); 
BgL_odepthz00_2820 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_2821); } 
if(
(BgL_arg1830z00_2800<BgL_odepthz00_2820))
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_arg1822z00_2823;
{ /* Llib/sqlite.scm 216 */
 obj_t BgL_arg1823z00_2824;
BgL_arg1823z00_2824 = 
(BgL_oclassz00_2818); 
BgL_arg1822z00_2823 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_2824, BgL_arg1830z00_2800); } 
BgL_res2453z00_2836 = 
(BgL_arg1822z00_2823==BgL_classz00_2797); }  else 
{ /* Llib/sqlite.scm 216 */
BgL_res2453z00_2836 = ((bool_t)0); } } } } 
BgL_test2716z00_4363 = BgL_res2453z00_2836; } }  else 
{ /* Llib/sqlite.scm 216 */
BgL_test2716z00_4363 = ((bool_t)0)
; } } 
if(BgL_test2716z00_4363)
{ /* Llib/sqlite.scm 216 */
BgL_auxz00_4362 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_2063)
; }  else 
{ 
 obj_t BgL_auxz00_4388;
BgL_auxz00_4388 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(9460L), BGl_string2416z00zz__sqlite_sqlitez00, BGl_string2339z00zz__sqlite_sqlitez00, BgL_oz00_2063); 
FAILURE(BgL_auxz00_4388,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2evalzd2zz__sqlite_sqlitez00(BgL_auxz00_4362, BgL_auxz00_4392, BgL_auxz00_4399, BgL_argsz00_2066);} } 

}



/* sqlite-get */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2getzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_29, obj_t BgL_pz00_30, obj_t BgL_fmtz00_31, obj_t BgL_argsz00_32)
{
{ /* Llib/sqlite.scm 237 */
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_method1487z00_573;
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_res2233z00_1606;
{ /* Llib/sqlite.scm 237 */
 long BgL_objzd2classzd2numz00_1577;
BgL_objzd2classzd2numz00_1577 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_29)); 
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_arg1831z00_1578;
BgL_arg1831z00_1578 = 
PROCEDURE_REF(BGl_sqlitezd2getzd2envz00zz__sqlite_sqlitez00, 
(int)(1L)); 
{ /* Llib/sqlite.scm 237 */
 int BgL_offsetz00_1581;
BgL_offsetz00_1581 = 
(int)(BgL_objzd2classzd2numz00_1577); 
{ /* Llib/sqlite.scm 237 */
 long BgL_offsetz00_1582;
BgL_offsetz00_1582 = 
(
(long)(BgL_offsetz00_1581)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 237 */
 long BgL_modz00_1583;
BgL_modz00_1583 = 
(BgL_offsetz00_1582 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/sqlite.scm 237 */
 long BgL_restz00_1585;
BgL_restz00_1585 = 
(BgL_offsetz00_1582 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/sqlite.scm 237 */

{ /* Llib/sqlite.scm 237 */
 obj_t BgL_bucketz00_1587;
BgL_bucketz00_1587 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_1578),BgL_modz00_1583); 
BgL_res2233z00_1606 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1587),BgL_restz00_1585); } } } } } } } } 
BgL_method1487z00_573 = BgL_res2233z00_1606; } 
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_auxz00_4432;
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_list2016z00_574;
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_arg2017z00_575;
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_arg2018z00_576;
BgL_arg2018z00_576 = 
MAKE_YOUNG_PAIR(BgL_argsz00_32, BNIL); 
BgL_arg2017z00_575 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_31, BgL_arg2018z00_576); } 
BgL_list2016z00_574 = 
MAKE_YOUNG_PAIR(BgL_pz00_30, BgL_arg2017z00_575); } 
BgL_auxz00_4432 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_29), BgL_list2016z00_574); } 
return 
apply(BgL_method1487z00_573, BgL_auxz00_4432);} } } 

}



/* &sqlite-get */
obj_t BGl_z62sqlitezd2getzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2067, obj_t BgL_oz00_2068, obj_t BgL_pz00_2069, obj_t BgL_fmtz00_2070, obj_t BgL_argsz00_2071)
{
{ /* Llib/sqlite.scm 237 */
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_auxz00_4476; obj_t BgL_auxz00_4469; BgL_z52sqlitez52_bglt BgL_auxz00_4439;
if(
STRINGP(BgL_fmtz00_2070))
{ /* Llib/sqlite.scm 237 */
BgL_auxz00_4476 = BgL_fmtz00_2070
; }  else 
{ 
 obj_t BgL_auxz00_4479;
BgL_auxz00_4479 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(10319L), BGl_string2418z00zz__sqlite_sqlitez00, BGl_string2340z00zz__sqlite_sqlitez00, BgL_fmtz00_2070); 
FAILURE(BgL_auxz00_4479,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_pz00_2069))
{ /* Llib/sqlite.scm 237 */
BgL_auxz00_4469 = BgL_pz00_2069
; }  else 
{ 
 obj_t BgL_auxz00_4472;
BgL_auxz00_4472 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(10319L), BGl_string2418z00zz__sqlite_sqlitez00, BGl_string2417z00zz__sqlite_sqlitez00, BgL_pz00_2069); 
FAILURE(BgL_auxz00_4472,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 237 */
 bool_t BgL_test2723z00_4440;
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_classz00_2837;
BgL_classz00_2837 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_2068))
{ /* Llib/sqlite.scm 237 */
 BgL_objectz00_bglt BgL_arg1829z00_2839; long BgL_arg1830z00_2840;
BgL_arg1829z00_2839 = 
(BgL_objectz00_bglt)(BgL_oz00_2068); 
BgL_arg1830z00_2840 = 
BGL_CLASS_DEPTH(BgL_classz00_2837); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 237 */
 long BgL_idxz00_2848;
BgL_idxz00_2848 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_2839); 
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_arg1820z00_2849;
{ /* Llib/sqlite.scm 237 */
 long BgL_arg1821z00_2850;
BgL_arg1821z00_2850 = 
(BgL_idxz00_2848+BgL_arg1830z00_2840); 
BgL_arg1820z00_2849 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_2850); } 
BgL_test2723z00_4440 = 
(BgL_arg1820z00_2849==BgL_classz00_2837); } }  else 
{ /* Llib/sqlite.scm 237 */
 bool_t BgL_res2454z00_2876;
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_oclassz00_2858;
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_arg1834z00_2866; long BgL_arg1835z00_2867;
BgL_arg1834z00_2866 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/sqlite.scm 237 */
 long BgL_arg1836z00_2868;
BgL_arg1836z00_2868 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_2839); 
BgL_arg1835z00_2867 = 
(BgL_arg1836z00_2868-OBJECT_TYPE); } 
BgL_oclassz00_2858 = 
VECTOR_REF(BgL_arg1834z00_2866,BgL_arg1835z00_2867); } 
{ /* Llib/sqlite.scm 237 */
 bool_t BgL__ortest_1114z00_2859;
BgL__ortest_1114z00_2859 = 
(BgL_classz00_2837==BgL_oclassz00_2858); 
if(BgL__ortest_1114z00_2859)
{ /* Llib/sqlite.scm 237 */
BgL_res2454z00_2876 = BgL__ortest_1114z00_2859; }  else 
{ /* Llib/sqlite.scm 237 */
 long BgL_odepthz00_2860;
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_arg1824z00_2861;
BgL_arg1824z00_2861 = 
(BgL_oclassz00_2858); 
BgL_odepthz00_2860 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_2861); } 
if(
(BgL_arg1830z00_2840<BgL_odepthz00_2860))
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_arg1822z00_2863;
{ /* Llib/sqlite.scm 237 */
 obj_t BgL_arg1823z00_2864;
BgL_arg1823z00_2864 = 
(BgL_oclassz00_2858); 
BgL_arg1822z00_2863 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_2864, BgL_arg1830z00_2840); } 
BgL_res2454z00_2876 = 
(BgL_arg1822z00_2863==BgL_classz00_2837); }  else 
{ /* Llib/sqlite.scm 237 */
BgL_res2454z00_2876 = ((bool_t)0); } } } } 
BgL_test2723z00_4440 = BgL_res2454z00_2876; } }  else 
{ /* Llib/sqlite.scm 237 */
BgL_test2723z00_4440 = ((bool_t)0)
; } } 
if(BgL_test2723z00_4440)
{ /* Llib/sqlite.scm 237 */
BgL_auxz00_4439 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_2068)
; }  else 
{ 
 obj_t BgL_auxz00_4465;
BgL_auxz00_4465 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(10319L), BGl_string2418z00zz__sqlite_sqlitez00, BGl_string2339z00zz__sqlite_sqlitez00, BgL_oz00_2068); 
FAILURE(BgL_auxz00_4465,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2getzd2zz__sqlite_sqlitez00(BgL_auxz00_4439, BgL_auxz00_4469, BgL_auxz00_4476, BgL_argsz00_2071);} } 

}



/* sqlite-map */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_37, obj_t BgL_pz00_38, obj_t BgL_fmtz00_39, obj_t BgL_argsz00_40)
{
{ /* Llib/sqlite.scm 262 */
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_method1491z00_577;
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_res2238z00_1637;
{ /* Llib/sqlite.scm 262 */
 long BgL_objzd2classzd2numz00_1608;
BgL_objzd2classzd2numz00_1608 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_37)); 
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_arg1831z00_1609;
BgL_arg1831z00_1609 = 
PROCEDURE_REF(BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, 
(int)(1L)); 
{ /* Llib/sqlite.scm 262 */
 int BgL_offsetz00_1612;
BgL_offsetz00_1612 = 
(int)(BgL_objzd2classzd2numz00_1608); 
{ /* Llib/sqlite.scm 262 */
 long BgL_offsetz00_1613;
BgL_offsetz00_1613 = 
(
(long)(BgL_offsetz00_1612)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 262 */
 long BgL_modz00_1614;
BgL_modz00_1614 = 
(BgL_offsetz00_1613 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/sqlite.scm 262 */
 long BgL_restz00_1616;
BgL_restz00_1616 = 
(BgL_offsetz00_1613 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/sqlite.scm 262 */

{ /* Llib/sqlite.scm 262 */
 obj_t BgL_bucketz00_1618;
BgL_bucketz00_1618 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_1609),BgL_modz00_1614); 
BgL_res2238z00_1637 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1618),BgL_restz00_1616); } } } } } } } } 
BgL_method1491z00_577 = BgL_res2238z00_1637; } 
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_auxz00_4509;
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_list2019z00_578;
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_arg2020z00_579;
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_arg2021z00_580;
BgL_arg2021z00_580 = 
MAKE_YOUNG_PAIR(BgL_argsz00_40, BNIL); 
BgL_arg2020z00_579 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_39, BgL_arg2021z00_580); } 
BgL_list2019z00_578 = 
MAKE_YOUNG_PAIR(BgL_pz00_38, BgL_arg2020z00_579); } 
BgL_auxz00_4509 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_37), BgL_list2019z00_578); } 
return 
apply(BgL_method1491z00_577, BgL_auxz00_4509);} } } 

}



/* &sqlite-map */
obj_t BGl_z62sqlitezd2mapzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2072, obj_t BgL_oz00_2073, obj_t BgL_pz00_2074, obj_t BgL_fmtz00_2075, obj_t BgL_argsz00_2076)
{
{ /* Llib/sqlite.scm 262 */
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_auxz00_4553; obj_t BgL_auxz00_4546; BgL_z52sqlitez52_bglt BgL_auxz00_4516;
if(
STRINGP(BgL_fmtz00_2075))
{ /* Llib/sqlite.scm 262 */
BgL_auxz00_4553 = BgL_fmtz00_2075
; }  else 
{ 
 obj_t BgL_auxz00_4556;
BgL_auxz00_4556 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(11335L), BGl_string2419z00zz__sqlite_sqlitez00, BGl_string2340z00zz__sqlite_sqlitez00, BgL_fmtz00_2075); 
FAILURE(BgL_auxz00_4556,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_pz00_2074))
{ /* Llib/sqlite.scm 262 */
BgL_auxz00_4546 = BgL_pz00_2074
; }  else 
{ 
 obj_t BgL_auxz00_4549;
BgL_auxz00_4549 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(11335L), BGl_string2419z00zz__sqlite_sqlitez00, BGl_string2417z00zz__sqlite_sqlitez00, BgL_pz00_2074); 
FAILURE(BgL_auxz00_4549,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 262 */
 bool_t BgL_test2730z00_4517;
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_classz00_2877;
BgL_classz00_2877 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_2073))
{ /* Llib/sqlite.scm 262 */
 BgL_objectz00_bglt BgL_arg1829z00_2879; long BgL_arg1830z00_2880;
BgL_arg1829z00_2879 = 
(BgL_objectz00_bglt)(BgL_oz00_2073); 
BgL_arg1830z00_2880 = 
BGL_CLASS_DEPTH(BgL_classz00_2877); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 262 */
 long BgL_idxz00_2888;
BgL_idxz00_2888 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_2879); 
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_arg1820z00_2889;
{ /* Llib/sqlite.scm 262 */
 long BgL_arg1821z00_2890;
BgL_arg1821z00_2890 = 
(BgL_idxz00_2888+BgL_arg1830z00_2880); 
BgL_arg1820z00_2889 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_2890); } 
BgL_test2730z00_4517 = 
(BgL_arg1820z00_2889==BgL_classz00_2877); } }  else 
{ /* Llib/sqlite.scm 262 */
 bool_t BgL_res2455z00_2916;
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_oclassz00_2898;
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_arg1834z00_2906; long BgL_arg1835z00_2907;
BgL_arg1834z00_2906 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/sqlite.scm 262 */
 long BgL_arg1836z00_2908;
BgL_arg1836z00_2908 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_2879); 
BgL_arg1835z00_2907 = 
(BgL_arg1836z00_2908-OBJECT_TYPE); } 
BgL_oclassz00_2898 = 
VECTOR_REF(BgL_arg1834z00_2906,BgL_arg1835z00_2907); } 
{ /* Llib/sqlite.scm 262 */
 bool_t BgL__ortest_1114z00_2899;
BgL__ortest_1114z00_2899 = 
(BgL_classz00_2877==BgL_oclassz00_2898); 
if(BgL__ortest_1114z00_2899)
{ /* Llib/sqlite.scm 262 */
BgL_res2455z00_2916 = BgL__ortest_1114z00_2899; }  else 
{ /* Llib/sqlite.scm 262 */
 long BgL_odepthz00_2900;
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_arg1824z00_2901;
BgL_arg1824z00_2901 = 
(BgL_oclassz00_2898); 
BgL_odepthz00_2900 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_2901); } 
if(
(BgL_arg1830z00_2880<BgL_odepthz00_2900))
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_arg1822z00_2903;
{ /* Llib/sqlite.scm 262 */
 obj_t BgL_arg1823z00_2904;
BgL_arg1823z00_2904 = 
(BgL_oclassz00_2898); 
BgL_arg1822z00_2903 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_2904, BgL_arg1830z00_2880); } 
BgL_res2455z00_2916 = 
(BgL_arg1822z00_2903==BgL_classz00_2877); }  else 
{ /* Llib/sqlite.scm 262 */
BgL_res2455z00_2916 = ((bool_t)0); } } } } 
BgL_test2730z00_4517 = BgL_res2455z00_2916; } }  else 
{ /* Llib/sqlite.scm 262 */
BgL_test2730z00_4517 = ((bool_t)0)
; } } 
if(BgL_test2730z00_4517)
{ /* Llib/sqlite.scm 262 */
BgL_auxz00_4516 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_2073)
; }  else 
{ 
 obj_t BgL_auxz00_4542;
BgL_auxz00_4542 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(11335L), BGl_string2419z00zz__sqlite_sqlitez00, BGl_string2339z00zz__sqlite_sqlitez00, BgL_oz00_2073); 
FAILURE(BgL_auxz00_4542,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2mapzd2zz__sqlite_sqlitez00(BgL_auxz00_4516, BgL_auxz00_4546, BgL_auxz00_4553, BgL_argsz00_2076);} } 

}



/* sqlite-for-each */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2forzd2eachz00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_45, obj_t BgL_pz00_46, obj_t BgL_fmtz00_47, obj_t BgL_argsz00_48)
{
{ /* Llib/sqlite.scm 283 */
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_method1495z00_581;
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_res2243z00_1668;
{ /* Llib/sqlite.scm 283 */
 long BgL_objzd2classzd2numz00_1639;
BgL_objzd2classzd2numz00_1639 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_45)); 
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_arg1831z00_1640;
BgL_arg1831z00_1640 = 
PROCEDURE_REF(BGl_sqlitezd2forzd2eachzd2envzd2zz__sqlite_sqlitez00, 
(int)(1L)); 
{ /* Llib/sqlite.scm 283 */
 int BgL_offsetz00_1643;
BgL_offsetz00_1643 = 
(int)(BgL_objzd2classzd2numz00_1639); 
{ /* Llib/sqlite.scm 283 */
 long BgL_offsetz00_1644;
BgL_offsetz00_1644 = 
(
(long)(BgL_offsetz00_1643)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 283 */
 long BgL_modz00_1645;
BgL_modz00_1645 = 
(BgL_offsetz00_1644 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/sqlite.scm 283 */
 long BgL_restz00_1647;
BgL_restz00_1647 = 
(BgL_offsetz00_1644 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/sqlite.scm 283 */

{ /* Llib/sqlite.scm 283 */
 obj_t BgL_bucketz00_1649;
BgL_bucketz00_1649 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_1640),BgL_modz00_1645); 
BgL_res2243z00_1668 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1649),BgL_restz00_1647); } } } } } } } } 
BgL_method1495z00_581 = BgL_res2243z00_1668; } 
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_auxz00_4586;
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_list2022z00_582;
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_arg2023z00_583;
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_arg2024z00_584;
BgL_arg2024z00_584 = 
MAKE_YOUNG_PAIR(BgL_argsz00_48, BNIL); 
BgL_arg2023z00_583 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_47, BgL_arg2024z00_584); } 
BgL_list2022z00_582 = 
MAKE_YOUNG_PAIR(BgL_pz00_46, BgL_arg2023z00_583); } 
BgL_auxz00_4586 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_45), BgL_list2022z00_582); } 
return 
apply(BgL_method1495z00_581, BgL_auxz00_4586);} } } 

}



/* &sqlite-for-each */
obj_t BGl_z62sqlitezd2forzd2eachz62zz__sqlite_sqlitez00(obj_t BgL_envz00_2077, obj_t BgL_oz00_2078, obj_t BgL_pz00_2079, obj_t BgL_fmtz00_2080, obj_t BgL_argsz00_2081)
{
{ /* Llib/sqlite.scm 283 */
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_auxz00_4630; obj_t BgL_auxz00_4623; BgL_z52sqlitez52_bglt BgL_auxz00_4593;
if(
STRINGP(BgL_fmtz00_2080))
{ /* Llib/sqlite.scm 283 */
BgL_auxz00_4630 = BgL_fmtz00_2080
; }  else 
{ 
 obj_t BgL_auxz00_4633;
BgL_auxz00_4633 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(12188L), BGl_string2420z00zz__sqlite_sqlitez00, BGl_string2340z00zz__sqlite_sqlitez00, BgL_fmtz00_2080); 
FAILURE(BgL_auxz00_4633,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_pz00_2079))
{ /* Llib/sqlite.scm 283 */
BgL_auxz00_4623 = BgL_pz00_2079
; }  else 
{ 
 obj_t BgL_auxz00_4626;
BgL_auxz00_4626 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(12188L), BGl_string2420z00zz__sqlite_sqlitez00, BGl_string2417z00zz__sqlite_sqlitez00, BgL_pz00_2079); 
FAILURE(BgL_auxz00_4626,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 283 */
 bool_t BgL_test2737z00_4594;
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_classz00_2917;
BgL_classz00_2917 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_2078))
{ /* Llib/sqlite.scm 283 */
 BgL_objectz00_bglt BgL_arg1829z00_2919; long BgL_arg1830z00_2920;
BgL_arg1829z00_2919 = 
(BgL_objectz00_bglt)(BgL_oz00_2078); 
BgL_arg1830z00_2920 = 
BGL_CLASS_DEPTH(BgL_classz00_2917); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 283 */
 long BgL_idxz00_2928;
BgL_idxz00_2928 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_2919); 
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_arg1820z00_2929;
{ /* Llib/sqlite.scm 283 */
 long BgL_arg1821z00_2930;
BgL_arg1821z00_2930 = 
(BgL_idxz00_2928+BgL_arg1830z00_2920); 
BgL_arg1820z00_2929 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_2930); } 
BgL_test2737z00_4594 = 
(BgL_arg1820z00_2929==BgL_classz00_2917); } }  else 
{ /* Llib/sqlite.scm 283 */
 bool_t BgL_res2456z00_2956;
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_oclassz00_2938;
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_arg1834z00_2946; long BgL_arg1835z00_2947;
BgL_arg1834z00_2946 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/sqlite.scm 283 */
 long BgL_arg1836z00_2948;
BgL_arg1836z00_2948 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_2919); 
BgL_arg1835z00_2947 = 
(BgL_arg1836z00_2948-OBJECT_TYPE); } 
BgL_oclassz00_2938 = 
VECTOR_REF(BgL_arg1834z00_2946,BgL_arg1835z00_2947); } 
{ /* Llib/sqlite.scm 283 */
 bool_t BgL__ortest_1114z00_2939;
BgL__ortest_1114z00_2939 = 
(BgL_classz00_2917==BgL_oclassz00_2938); 
if(BgL__ortest_1114z00_2939)
{ /* Llib/sqlite.scm 283 */
BgL_res2456z00_2956 = BgL__ortest_1114z00_2939; }  else 
{ /* Llib/sqlite.scm 283 */
 long BgL_odepthz00_2940;
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_arg1824z00_2941;
BgL_arg1824z00_2941 = 
(BgL_oclassz00_2938); 
BgL_odepthz00_2940 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_2941); } 
if(
(BgL_arg1830z00_2920<BgL_odepthz00_2940))
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_arg1822z00_2943;
{ /* Llib/sqlite.scm 283 */
 obj_t BgL_arg1823z00_2944;
BgL_arg1823z00_2944 = 
(BgL_oclassz00_2938); 
BgL_arg1822z00_2943 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_2944, BgL_arg1830z00_2920); } 
BgL_res2456z00_2956 = 
(BgL_arg1822z00_2943==BgL_classz00_2917); }  else 
{ /* Llib/sqlite.scm 283 */
BgL_res2456z00_2956 = ((bool_t)0); } } } } 
BgL_test2737z00_4594 = BgL_res2456z00_2956; } }  else 
{ /* Llib/sqlite.scm 283 */
BgL_test2737z00_4594 = ((bool_t)0)
; } } 
if(BgL_test2737z00_4594)
{ /* Llib/sqlite.scm 283 */
BgL_auxz00_4593 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_2078)
; }  else 
{ 
 obj_t BgL_auxz00_4619;
BgL_auxz00_4619 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(12188L), BGl_string2420z00zz__sqlite_sqlitez00, BGl_string2339z00zz__sqlite_sqlitez00, BgL_oz00_2078); 
FAILURE(BgL_auxz00_4619,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2forzd2eachz00zz__sqlite_sqlitez00(BgL_auxz00_4593, BgL_auxz00_4623, BgL_auxz00_4630, BgL_argsz00_2081);} } 

}



/* sqlite-run */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2runzd2zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_oz00_53, obj_t BgL_fmtz00_54, obj_t BgL_argsz00_55)
{
{ /* Llib/sqlite.scm 308 */
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_method1499z00_585;
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_res2248z00_1699;
{ /* Llib/sqlite.scm 308 */
 long BgL_objzd2classzd2numz00_1670;
BgL_objzd2classzd2numz00_1670 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_53)); 
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_arg1831z00_1671;
BgL_arg1831z00_1671 = 
PROCEDURE_REF(BGl_sqlitezd2runzd2envz00zz__sqlite_sqlitez00, 
(int)(1L)); 
{ /* Llib/sqlite.scm 308 */
 int BgL_offsetz00_1674;
BgL_offsetz00_1674 = 
(int)(BgL_objzd2classzd2numz00_1670); 
{ /* Llib/sqlite.scm 308 */
 long BgL_offsetz00_1675;
BgL_offsetz00_1675 = 
(
(long)(BgL_offsetz00_1674)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 308 */
 long BgL_modz00_1676;
BgL_modz00_1676 = 
(BgL_offsetz00_1675 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/sqlite.scm 308 */
 long BgL_restz00_1678;
BgL_restz00_1678 = 
(BgL_offsetz00_1675 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/sqlite.scm 308 */

{ /* Llib/sqlite.scm 308 */
 obj_t BgL_bucketz00_1680;
BgL_bucketz00_1680 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_1671),BgL_modz00_1676); 
BgL_res2248z00_1699 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1680),BgL_restz00_1678); } } } } } } } } 
BgL_method1499z00_585 = BgL_res2248z00_1699; } 
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_auxz00_4663;
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_list2025z00_586;
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_arg2026z00_587;
BgL_arg2026z00_587 = 
MAKE_YOUNG_PAIR(BgL_argsz00_55, BNIL); 
BgL_list2025z00_586 = 
MAKE_YOUNG_PAIR(BgL_fmtz00_54, BgL_arg2026z00_587); } 
BgL_auxz00_4663 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_oz00_53), BgL_list2025z00_586); } 
return 
apply(BgL_method1499z00_585, BgL_auxz00_4663);} } } 

}



/* &sqlite-run */
obj_t BGl_z62sqlitezd2runzb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2082, obj_t BgL_oz00_2083, obj_t BgL_fmtz00_2084, obj_t BgL_argsz00_2085)
{
{ /* Llib/sqlite.scm 308 */
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_auxz00_4699; BgL_z52sqlitez52_bglt BgL_auxz00_4669;
if(
STRINGP(BgL_fmtz00_2084))
{ /* Llib/sqlite.scm 308 */
BgL_auxz00_4699 = BgL_fmtz00_2084
; }  else 
{ 
 obj_t BgL_auxz00_4702;
BgL_auxz00_4702 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(13247L), BGl_string2421z00zz__sqlite_sqlitez00, BGl_string2340z00zz__sqlite_sqlitez00, BgL_fmtz00_2084); 
FAILURE(BgL_auxz00_4702,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 308 */
 bool_t BgL_test2744z00_4670;
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_classz00_2957;
BgL_classz00_2957 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_oz00_2083))
{ /* Llib/sqlite.scm 308 */
 BgL_objectz00_bglt BgL_arg1829z00_2959; long BgL_arg1830z00_2960;
BgL_arg1829z00_2959 = 
(BgL_objectz00_bglt)(BgL_oz00_2083); 
BgL_arg1830z00_2960 = 
BGL_CLASS_DEPTH(BgL_classz00_2957); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 308 */
 long BgL_idxz00_2968;
BgL_idxz00_2968 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_2959); 
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_arg1820z00_2969;
{ /* Llib/sqlite.scm 308 */
 long BgL_arg1821z00_2970;
BgL_arg1821z00_2970 = 
(BgL_idxz00_2968+BgL_arg1830z00_2960); 
BgL_arg1820z00_2969 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_2970); } 
BgL_test2744z00_4670 = 
(BgL_arg1820z00_2969==BgL_classz00_2957); } }  else 
{ /* Llib/sqlite.scm 308 */
 bool_t BgL_res2457z00_2996;
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_oclassz00_2978;
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_arg1834z00_2986; long BgL_arg1835z00_2987;
BgL_arg1834z00_2986 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/sqlite.scm 308 */
 long BgL_arg1836z00_2988;
BgL_arg1836z00_2988 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_2959); 
BgL_arg1835z00_2987 = 
(BgL_arg1836z00_2988-OBJECT_TYPE); } 
BgL_oclassz00_2978 = 
VECTOR_REF(BgL_arg1834z00_2986,BgL_arg1835z00_2987); } 
{ /* Llib/sqlite.scm 308 */
 bool_t BgL__ortest_1114z00_2979;
BgL__ortest_1114z00_2979 = 
(BgL_classz00_2957==BgL_oclassz00_2978); 
if(BgL__ortest_1114z00_2979)
{ /* Llib/sqlite.scm 308 */
BgL_res2457z00_2996 = BgL__ortest_1114z00_2979; }  else 
{ /* Llib/sqlite.scm 308 */
 long BgL_odepthz00_2980;
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_arg1824z00_2981;
BgL_arg1824z00_2981 = 
(BgL_oclassz00_2978); 
BgL_odepthz00_2980 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_2981); } 
if(
(BgL_arg1830z00_2960<BgL_odepthz00_2980))
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_arg1822z00_2983;
{ /* Llib/sqlite.scm 308 */
 obj_t BgL_arg1823z00_2984;
BgL_arg1823z00_2984 = 
(BgL_oclassz00_2978); 
BgL_arg1822z00_2983 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_2984, BgL_arg1830z00_2960); } 
BgL_res2457z00_2996 = 
(BgL_arg1822z00_2983==BgL_classz00_2957); }  else 
{ /* Llib/sqlite.scm 308 */
BgL_res2457z00_2996 = ((bool_t)0); } } } } 
BgL_test2744z00_4670 = BgL_res2457z00_2996; } }  else 
{ /* Llib/sqlite.scm 308 */
BgL_test2744z00_4670 = ((bool_t)0)
; } } 
if(BgL_test2744z00_4670)
{ /* Llib/sqlite.scm 308 */
BgL_auxz00_4669 = 
((BgL_z52sqlitez52_bglt)BgL_oz00_2083)
; }  else 
{ 
 obj_t BgL_auxz00_4695;
BgL_auxz00_4695 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(13247L), BGl_string2421z00zz__sqlite_sqlitez00, BGl_string2339z00zz__sqlite_sqlitez00, BgL_oz00_2083); 
FAILURE(BgL_auxz00_4695,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2runzd2zz__sqlite_sqlitez00(BgL_auxz00_4669, BgL_auxz00_4699, BgL_argsz00_2085);} } 

}



/* sqlite-dump-table */
BGL_EXPORTED_DEF obj_t BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_z52sqlitez52_bglt BgL_dbz00_68, obj_t BgL_tablez00_69, obj_t BgL_outz00_70)
{
{ /* Llib/sqlite.scm 364 */
{ /* Llib/sqlite.scm 364 */
 obj_t BgL_method1503z00_588;
{ /* Llib/sqlite.scm 364 */
 obj_t BgL_res2253z00_1730;
{ /* Llib/sqlite.scm 364 */
 long BgL_objzd2classzd2numz00_1701;
BgL_objzd2classzd2numz00_1701 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dbz00_68)); 
{ /* Llib/sqlite.scm 364 */
 obj_t BgL_arg1831z00_1702;
BgL_arg1831z00_1702 = 
PROCEDURE_REF(BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, 
(int)(1L)); 
{ /* Llib/sqlite.scm 364 */
 int BgL_offsetz00_1705;
BgL_offsetz00_1705 = 
(int)(BgL_objzd2classzd2numz00_1701); 
{ /* Llib/sqlite.scm 364 */
 long BgL_offsetz00_1706;
BgL_offsetz00_1706 = 
(
(long)(BgL_offsetz00_1705)-OBJECT_TYPE); 
{ /* Llib/sqlite.scm 364 */
 long BgL_modz00_1707;
BgL_modz00_1707 = 
(BgL_offsetz00_1706 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/sqlite.scm 364 */
 long BgL_restz00_1709;
BgL_restz00_1709 = 
(BgL_offsetz00_1706 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/sqlite.scm 364 */

{ /* Llib/sqlite.scm 364 */
 obj_t BgL_bucketz00_1711;
BgL_bucketz00_1711 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_1702),BgL_modz00_1707); 
BgL_res2253z00_1730 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1711),BgL_restz00_1709); } } } } } } } } 
BgL_method1503z00_588 = BgL_res2253z00_1730; } 
return 
BGL_PROCEDURE_CALL3(BgL_method1503z00_588, 
((obj_t)BgL_dbz00_68), BgL_tablez00_69, BgL_outz00_70);} } 

}



/* &sqlite-dump-table */
obj_t BGl_z62sqlitezd2dumpzd2tablez62zz__sqlite_sqlitez00(obj_t BgL_envz00_2086, obj_t BgL_dbz00_2087, obj_t BgL_tablez00_2088, obj_t BgL_outz00_2089)
{
{ /* Llib/sqlite.scm 364 */
{ /* Llib/sqlite.scm 364 */
 obj_t BgL_auxz00_4776; obj_t BgL_auxz00_4769; BgL_z52sqlitez52_bglt BgL_auxz00_4739;
if(
OUTPUT_PORTP(BgL_outz00_2089))
{ /* Llib/sqlite.scm 364 */
BgL_auxz00_4776 = BgL_outz00_2089
; }  else 
{ 
 obj_t BgL_auxz00_4779;
BgL_auxz00_4779 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(15713L), BGl_string2422z00zz__sqlite_sqlitez00, BGl_string2351z00zz__sqlite_sqlitez00, BgL_outz00_2089); 
FAILURE(BgL_auxz00_4779,BFALSE,BFALSE);} 
if(
STRINGP(BgL_tablez00_2088))
{ /* Llib/sqlite.scm 364 */
BgL_auxz00_4769 = BgL_tablez00_2088
; }  else 
{ 
 obj_t BgL_auxz00_4772;
BgL_auxz00_4772 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(15713L), BGl_string2422z00zz__sqlite_sqlitez00, BGl_string2340z00zz__sqlite_sqlitez00, BgL_tablez00_2088); 
FAILURE(BgL_auxz00_4772,BFALSE,BFALSE);} 
{ /* Llib/sqlite.scm 364 */
 bool_t BgL_test2750z00_4740;
{ /* Llib/sqlite.scm 364 */
 obj_t BgL_classz00_2997;
BgL_classz00_2997 = BGl_z52sqlitez52zz__sqlite_sqlitez00; 
if(
BGL_OBJECTP(BgL_dbz00_2087))
{ /* Llib/sqlite.scm 364 */
 BgL_objectz00_bglt BgL_arg1829z00_2999; long BgL_arg1830z00_3000;
BgL_arg1829z00_2999 = 
(BgL_objectz00_bglt)(BgL_dbz00_2087); 
BgL_arg1830z00_3000 = 
BGL_CLASS_DEPTH(BgL_classz00_2997); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/sqlite.scm 364 */
 long BgL_idxz00_3008;
BgL_idxz00_3008 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_2999); 
{ /* Llib/sqlite.scm 364 */
 obj_t BgL_arg1820z00_3009;
{ /* Llib/sqlite.scm 364 */
 long BgL_arg1821z00_3010;
BgL_arg1821z00_3010 = 
(BgL_idxz00_3008+BgL_arg1830z00_3000); 
BgL_arg1820z00_3009 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_3010); } 
BgL_test2750z00_4740 = 
(BgL_arg1820z00_3009==BgL_classz00_2997); } }  else 
{ /* Llib/sqlite.scm 364 */
 bool_t BgL_res2458z00_3036;
{ /* Llib/sqlite.scm 364 */
 obj_t BgL_oclassz00_3018;
{ /* Llib/sqlite.scm 364 */
 obj_t BgL_arg1834z00_3026; long BgL_arg1835z00_3027;
BgL_arg1834z00_3026 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/sqlite.scm 364 */
 long BgL_arg1836z00_3028;
BgL_arg1836z00_3028 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_2999); 
BgL_arg1835z00_3027 = 
(BgL_arg1836z00_3028-OBJECT_TYPE); } 
BgL_oclassz00_3018 = 
VECTOR_REF(BgL_arg1834z00_3026,BgL_arg1835z00_3027); } 
{ /* Llib/sqlite.scm 364 */
 bool_t BgL__ortest_1114z00_3019;
BgL__ortest_1114z00_3019 = 
(BgL_classz00_2997==BgL_oclassz00_3018); 
if(BgL__ortest_1114z00_3019)
{ /* Llib/sqlite.scm 364 */
BgL_res2458z00_3036 = BgL__ortest_1114z00_3019; }  else 
{ /* Llib/sqlite.scm 364 */
 long BgL_odepthz00_3020;
{ /* Llib/sqlite.scm 364 */
 obj_t BgL_arg1824z00_3021;
BgL_arg1824z00_3021 = 
(BgL_oclassz00_3018); 
BgL_odepthz00_3020 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_3021); } 
if(
(BgL_arg1830z00_3000<BgL_odepthz00_3020))
{ /* Llib/sqlite.scm 364 */
 obj_t BgL_arg1822z00_3023;
{ /* Llib/sqlite.scm 364 */
 obj_t BgL_arg1823z00_3024;
BgL_arg1823z00_3024 = 
(BgL_oclassz00_3018); 
BgL_arg1822z00_3023 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_3024, BgL_arg1830z00_3000); } 
BgL_res2458z00_3036 = 
(BgL_arg1822z00_3023==BgL_classz00_2997); }  else 
{ /* Llib/sqlite.scm 364 */
BgL_res2458z00_3036 = ((bool_t)0); } } } } 
BgL_test2750z00_4740 = BgL_res2458z00_3036; } }  else 
{ /* Llib/sqlite.scm 364 */
BgL_test2750z00_4740 = ((bool_t)0)
; } } 
if(BgL_test2750z00_4740)
{ /* Llib/sqlite.scm 364 */
BgL_auxz00_4739 = 
((BgL_z52sqlitez52_bglt)BgL_dbz00_2087)
; }  else 
{ 
 obj_t BgL_auxz00_4765;
BgL_auxz00_4765 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2329z00zz__sqlite_sqlitez00, 
BINT(15713L), BGl_string2422z00zz__sqlite_sqlitez00, BGl_string2339z00zz__sqlite_sqlitez00, BgL_dbz00_2087); 
FAILURE(BgL_auxz00_4765,BFALSE,BFALSE);} } 
return 
BGl_sqlitezd2dumpzd2tablez00zz__sqlite_sqlitez00(BgL_auxz00_4739, BgL_auxz00_4769, BgL_auxz00_4776);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2423z00zz__sqlite_sqlitez00, BGl_string2424z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2writezd2envz00zz__objectz00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2425z00zz__sqlite_sqlitez00, BGl_string2426z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2427z00zz__sqlite_sqlitez00, BGl_string2428z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2closezd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2429z00zz__sqlite_sqlitez00, BGl_string2430z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2execzd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2431z00zz__sqlite_sqlitez00, BGl_string2432z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2evalzd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2433z00zz__sqlite_sqlitez00, BGl_string2434z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2getzd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2435z00zz__sqlite_sqlitez00, BGl_string2413z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2mapzd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2436z00zz__sqlite_sqlitez00, BGl_string2437z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2forzd2eachzd2envzd2zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2438z00zz__sqlite_sqlitez00, BGl_string2411z00zz__sqlite_sqlitez00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2runzd2envz00zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2439z00zz__sqlite_sqlitez00, BGl_string2440z00zz__sqlite_sqlitez00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_sqlitezd2dumpzd2tablezd2envzd2zz__sqlite_sqlitez00, BGl_sqlitez00zz__sqlite_sqlitez00, BGl_proc2441z00zz__sqlite_sqlitez00, BGl_string2442z00zz__sqlite_sqlitez00);} 

}



/* &sqlite-dump-table-sq1505 */
obj_t BGl_z62sqlitezd2dumpzd2tablezd2sq1505zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2127, obj_t BgL_dbz00_2128, obj_t BgL_tablez00_2129, obj_t BgL_outz00_2130)
{
{ /* Llib/sqlite.scm 371 */
{ /* Llib/sqlite.scm 372 */
 obj_t BgL_arg2209z00_3038;
{ /* Llib/sqlite.scm 372 */
 obj_t BgL_arg2211z00_3039;
BgL_arg2211z00_3039 = 
string_append(BGl_string2443z00zz__sqlite_sqlitez00, BgL_tablez00_2129); 
BgL_arg2209z00_3038 = 
BGl_sqlitezd2execzd2zz__sqlite_sqlitez00(
((BgL_z52sqlitez52_bglt)
((BgL_sqlitez00_bglt)BgL_dbz00_2128)), BgL_arg2211z00_3039, BNIL); } 
{ /* Llib/sqlite.scm 372 */
 obj_t BgL_list2210z00_3040;
BgL_list2210z00_3040 = 
MAKE_YOUNG_PAIR(BgL_outz00_2130, BNIL); 
return 
BGl_writez00zz__r4_output_6_10_3z00(BgL_arg2209z00_3038, BgL_list2210z00_3040);} } } 

}



/* &sqlite-run-sqlite1501 */
obj_t BGl_z62sqlitezd2runzd2sqlite1501z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2131, obj_t BgL_oz00_2132, obj_t BgL_fmtz00_2133, obj_t BgL_argsz00_2134)
{
{ /* Llib/sqlite.scm 314 */
if(
NULLP(BgL_argsz00_2134))
{ /* Llib/sqlite.scm 317 */
 void * BgL_arg2201z00_3043;
BgL_arg2201z00_3043 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_2132)))->BgL_z42builtinz42); 
return 
bgl_sqlite_run(BgL_arg2201z00_3043, 
BSTRING_TO_STRING(
((obj_t)BgL_fmtz00_2133)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2132)));}  else 
{ /* Llib/sqlite.scm 318 */
 void * BgL_arg2202z00_3044; obj_t BgL_arg2203z00_3045;
BgL_arg2202z00_3044 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_2132)))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 318 */
 obj_t BgL_runner2206z00_3046;
{ /* Llib/sqlite.scm 318 */
 obj_t BgL_list2204z00_3047;
BgL_list2204z00_3047 = 
MAKE_YOUNG_PAIR(BgL_argsz00_2134, BNIL); 
BgL_runner2206z00_3046 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_2133), BgL_list2204z00_3047); } 
{ /* Llib/sqlite.scm 318 */
 obj_t BgL_aux2205z00_3048;
BgL_aux2205z00_3048 = 
CAR(BgL_runner2206z00_3046); 
BgL_runner2206z00_3046 = 
CDR(BgL_runner2206z00_3046); 
BgL_arg2203z00_3045 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux2205z00_3048, BgL_runner2206z00_3046); } } 
return 
bgl_sqlite_run(BgL_arg2202z00_3044, 
BSTRING_TO_STRING(BgL_arg2203z00_3045), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2132)));} } 

}



/* &sqlite-for-each-sqli1497 */
obj_t BGl_z62sqlitezd2forzd2eachzd2sqli1497zb0zz__sqlite_sqlitez00(obj_t BgL_envz00_2135, obj_t BgL_oz00_2136, obj_t BgL_pz00_2137, obj_t BgL_fmtz00_2138, obj_t BgL_argsz00_2139)
{
{ /* Llib/sqlite.scm 293 */
return 
BGl_sqlitezd2forzd2eachzd2sqli1497ze70z35zz__sqlite_sqlitez00(
((BgL_sqlitez00_bglt)BgL_oz00_2136), BgL_pz00_2137, BgL_fmtz00_2138, BgL_argsz00_2139);} 

}



/* sqlite-for-each-sqli1497~0 */
obj_t BGl_sqlitezd2forzd2eachzd2sqli1497ze70z35zz__sqlite_sqlitez00(BgL_sqlitez00_bglt BgL_oz00_1049, obj_t BgL_pz00_1050, obj_t BgL_fmtz00_1051, obj_t BgL_argsz00_1052)
{
{ /* Llib/sqlite.scm 293 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_pz00_1050, 
(int)(2L)))
{ /* Llib/sqlite.scm 295 */
 obj_t BgL_excz00_2140;
BgL_excz00_2140 = 
BGL_MAKE_UNSAFE_CELL(BFALSE); 
{ /* Llib/sqlite.scm 295 */
 obj_t BgL_pz00_1056;
{ 

{ /* Llib/sqlite.scm 296 */
 int BgL_aux1373z00_1071;
BgL_aux1373z00_1071 = 
PROCEDURE_ARITY(BgL_pz00_1050); 
switch( 
(long)(BgL_aux1373z00_1071)) { case 1L : 

{ /* Llib/sqlite.scm 296 */
 obj_t BgL_zc3z04anonymousza32172ze3z87_2092;
BgL_zc3z04anonymousza32172ze3z87_2092 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32172ze3ze5zz__sqlite_sqlitez00, 
(int)(1L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32172ze3z87_2092, 
(int)(0L), BgL_pz00_1050); 
PROCEDURE_SET(BgL_zc3z04anonymousza32172ze3z87_2092, 
(int)(1L), 
((obj_t)BgL_excz00_2140)); 
BgL_pz00_1056 = BgL_zc3z04anonymousza32172ze3z87_2092; } break;case 2L : 

{ /* Llib/sqlite.scm 296 */
 obj_t BgL_zc3z04anonymousza32177ze3z87_2093;
BgL_zc3z04anonymousza32177ze3z87_2093 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32177ze3ze5zz__sqlite_sqlitez00, 
(int)(2L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_2093, 
(int)(0L), BgL_pz00_1050); 
PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_2093, 
(int)(1L), 
((obj_t)BgL_excz00_2140)); 
BgL_pz00_1056 = BgL_zc3z04anonymousza32177ze3z87_2093; } break;case 3L : 

{ /* Llib/sqlite.scm 296 */
 obj_t BgL_zc3z04anonymousza32182ze3z87_2094;
BgL_zc3z04anonymousza32182ze3z87_2094 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32182ze3ze5zz__sqlite_sqlitez00, 
(int)(3L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32182ze3z87_2094, 
(int)(0L), BgL_pz00_1050); 
PROCEDURE_SET(BgL_zc3z04anonymousza32182ze3z87_2094, 
(int)(1L), 
((obj_t)BgL_excz00_2140)); 
BgL_pz00_1056 = BgL_zc3z04anonymousza32182ze3z87_2094; } break;case 4L : 

{ /* Llib/sqlite.scm 296 */
 obj_t BgL_zc3z04anonymousza32187ze3z87_2095;
BgL_zc3z04anonymousza32187ze3z87_2095 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32187ze3ze5zz__sqlite_sqlitez00, 
(int)(4L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32187ze3z87_2095, 
(int)(0L), BgL_pz00_1050); 
PROCEDURE_SET(BgL_zc3z04anonymousza32187ze3z87_2095, 
(int)(1L), 
((obj_t)BgL_excz00_2140)); 
BgL_pz00_1056 = BgL_zc3z04anonymousza32187ze3z87_2095; } break;
default: 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_zc3z04anonymousza32192ze3z87_2097;
BgL_zc3z04anonymousza32192ze3z87_2097 = 
MAKE_VA_PROCEDURE(BGl_z62zc3z04anonymousza32192ze3ze5zz__sqlite_sqlitez00, 
(int)((-1L)), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32192ze3z87_2097, 
(int)(0L), BgL_pz00_1050); 
PROCEDURE_SET(BgL_zc3z04anonymousza32192ze3z87_2097, 
(int)(1L), 
((obj_t)BgL_excz00_2140)); 
BgL_pz00_1056 = BgL_zc3z04anonymousza32192ze3z87_2097; } } } } 
{ /* Llib/sqlite.scm 296 */

{ /* Llib/sqlite.scm 297 */
 obj_t BgL_exitd1442z00_1057;
BgL_exitd1442z00_1057 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/sqlite.scm 302 */
 obj_t BgL_zc3z04anonymousza32171ze3z87_2096;
BgL_zc3z04anonymousza32171ze3z87_2096 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32171ze3ze5zz__sqlite_sqlitez00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32171ze3z87_2096, 
(int)(0L), 
((obj_t)BgL_excz00_2140)); 
{ /* Llib/sqlite.scm 297 */
 obj_t BgL_arg1846z00_1891;
{ /* Llib/sqlite.scm 297 */
 obj_t BgL_arg1847z00_1892;
BgL_arg1847z00_1892 = 
BGL_EXITD_PROTECT(BgL_exitd1442z00_1057); 
BgL_arg1846z00_1891 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32171ze3z87_2096, BgL_arg1847z00_1892); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1442z00_1057, BgL_arg1846z00_1891); BUNSPEC; } 
{ /* Llib/sqlite.scm 298 */
 obj_t BgL_tmp1444z00_1059;
if(
NULLP(BgL_argsz00_1052))
{ /* Llib/sqlite.scm 300 */
 void * BgL_arg2165z00_1062;
BgL_arg2165z00_1062 = 
(((BgL_sqlitez00_bglt)COBJECT(BgL_oz00_1049))->BgL_z42builtinz42); 
BgL_tmp1444z00_1059 = 
bgl_sqlite_for_each(BgL_arg2165z00_1062, BgL_pz00_1056, 
BSTRING_TO_STRING(BgL_fmtz00_1051), 
((obj_t)BgL_oz00_1049)); }  else 
{ /* Llib/sqlite.scm 301 */
 void * BgL_arg2166z00_1063; obj_t BgL_arg2167z00_1064;
BgL_arg2166z00_1063 = 
(((BgL_sqlitez00_bglt)COBJECT(BgL_oz00_1049))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 301 */
 obj_t BgL_runner2170z00_1067;
{ /* Llib/sqlite.scm 301 */
 obj_t BgL_list2168z00_1065;
BgL_list2168z00_1065 = 
MAKE_YOUNG_PAIR(BgL_argsz00_1052, BNIL); 
BgL_runner2170z00_1067 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_fmtz00_1051, BgL_list2168z00_1065); } 
{ /* Llib/sqlite.scm 301 */
 obj_t BgL_aux2169z00_1066;
BgL_aux2169z00_1066 = 
CAR(BgL_runner2170z00_1067); 
BgL_runner2170z00_1067 = 
CDR(BgL_runner2170z00_1067); 
BgL_arg2167z00_1064 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux2169z00_1066, BgL_runner2170z00_1067); } } 
BgL_tmp1444z00_1059 = 
bgl_sqlite_for_each(BgL_arg2166z00_1063, BgL_pz00_1056, 
BSTRING_TO_STRING(BgL_arg2167z00_1064), 
((obj_t)BgL_oz00_1049)); } 
{ /* Llib/sqlite.scm 297 */
 bool_t BgL_test2760z00_4895;
{ /* Llib/sqlite.scm 297 */
 obj_t BgL_arg1845z00_1896;
BgL_arg1845z00_1896 = 
BGL_EXITD_PROTECT(BgL_exitd1442z00_1057); 
BgL_test2760z00_4895 = 
PAIRP(BgL_arg1845z00_1896); } 
if(BgL_test2760z00_4895)
{ /* Llib/sqlite.scm 297 */
 obj_t BgL_arg1843z00_1897;
{ /* Llib/sqlite.scm 297 */
 obj_t BgL_arg1844z00_1898;
BgL_arg1844z00_1898 = 
BGL_EXITD_PROTECT(BgL_exitd1442z00_1057); 
BgL_arg1843z00_1897 = 
CDR(
((obj_t)BgL_arg1844z00_1898)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1442z00_1057, BgL_arg1843z00_1897); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 297 */BFALSE; } } 
if(
CBOOL(
BGL_UNSAFE_CELL_REF(BgL_excz00_2140)))
{ /* Llib/sqlite.scm 302 */
BGl_raisez00zz__errorz00(
BGL_UNSAFE_CELL_REF(BgL_excz00_2140)); }  else 
{ /* Llib/sqlite.scm 302 */BFALSE; } BgL_tmp1444z00_1059; } } } 
return 
BGl_errorz00zz__errorz00(BGl_string2411z00zz__sqlite_sqlitez00, BGl_string2412z00zz__sqlite_sqlitez00, BgL_pz00_1056);} } }  else 
{ /* Llib/sqlite.scm 294 */
return BFALSE;} } 

}



/* &<@anonymous:2171> */
obj_t BGl_z62zc3z04anonymousza32171ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2142)
{
{ /* Llib/sqlite.scm 297 */
{ /* Llib/sqlite.scm 302 */
 obj_t BgL_excz00_2143;
BgL_excz00_2143 = 
PROCEDURE_REF(BgL_envz00_2142, 
(int)(0L)); 
if(
CBOOL(
BGL_UNSAFE_CELL_REF(BgL_excz00_2143)))
{ /* Llib/sqlite.scm 302 */
return 
BGl_raisez00zz__errorz00(
BGL_UNSAFE_CELL_REF(BgL_excz00_2143));}  else 
{ /* Llib/sqlite.scm 302 */
return BFALSE;} } } 

}



/* &<@anonymous:2187> */
obj_t BGl_z62zc3z04anonymousza32187ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2144, obj_t BgL_xz00_2147, obj_t BgL_yz00_2148, obj_t BgL_za7za7_2149, obj_t BgL_tz00_2150)
{
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_pz00_2145; obj_t BgL_excz00_2146;
BgL_pz00_2145 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2144, 
(int)(0L))); 
BgL_excz00_2146 = 
PROCEDURE_REF(BgL_envz00_2144, 
(int)(1L)); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_env1433z00_3049;
BgL_env1433z00_3049 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_cell1428z00_3050;
BgL_cell1428z00_3050 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_val1432z00_3051;
BgL_val1432z00_3051 = 
BGl_zc3z04exitza32189ze3ze70z60zz__sqlite_sqlitez00(BgL_tz00_2150, BgL_za7za7_2149, BgL_yz00_2148, BgL_xz00_2147, BgL_pz00_2145, BgL_cell1428z00_3050, BgL_env1433z00_3049); 
if(
(BgL_val1432z00_3051==BgL_cell1428z00_3050))
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 int BgL_tmpz00_4921;
BgL_tmpz00_4921 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_4921); } 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2188z00_3052;
BgL_arg2188z00_3052 = 
CELL_REF(
((obj_t)BgL_val1432z00_3051)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2146, BgL_arg2188z00_3052);} }  else 
{ /* Llib/sqlite.scm 296 */
return BgL_val1432z00_3051;} } } } } } 

}



/* <@exit:2189>~0 */
obj_t BGl_zc3z04exitza32189ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_tz00_2428, obj_t BgL_za7za7_2427, obj_t BgL_yz00_2426, obj_t BgL_xz00_2425, obj_t BgL_pz00_2424, obj_t BgL_cell1428z00_2423, obj_t BgL_env1433z00_2422)
{
{ /* Llib/sqlite.scm 296 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1437z00_1146;
if (SET_EXIT(BgL_an_exit1437z00_1146)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1437z00_1146 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1433z00_2422, BgL_an_exit1437z00_1146, 1L); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_escape1429z00_1147;
BgL_escape1429z00_1147 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1433z00_2422); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_res1440z00_1148;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_ohs1425z00_1149;
BgL_ohs1425z00_1149 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1433z00_2422); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_hds1426z00_1150;
BgL_hds1426z00_1150 = 
MAKE_STACK_PAIR(BgL_escape1429z00_1147, BgL_cell1428z00_2423); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1433z00_2422, BgL_hds1426z00_1150); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_exitd1434z00_1151;
BgL_exitd1434z00_1151 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1433z00_2422); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1436z00_1152;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2190z00_1154;
BgL_arg2190z00_1154 = 
BGL_EXITD_PROTECT(BgL_exitd1434z00_1151); 
BgL_tmp1436z00_1152 = 
MAKE_YOUNG_PAIR(BgL_ohs1425z00_1149, BgL_arg2190z00_1154); } 
{ /* Llib/sqlite.scm 296 */

BGL_EXITD_PROTECT_SET(BgL_exitd1434z00_1151, BgL_tmp1436z00_1152); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1435z00_1153;
BgL_tmp1435z00_1153 = 
BGL_PROCEDURE_CALL4(BgL_pz00_2424, BgL_xz00_2425, BgL_yz00_2426, BgL_za7za7_2427, BgL_tz00_2428); 
{ /* Llib/sqlite.scm 296 */
 bool_t BgL_test2764z00_4944;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1845z00_1886;
BgL_arg1845z00_1886 = 
BGL_EXITD_PROTECT(BgL_exitd1434z00_1151); 
BgL_test2764z00_4944 = 
PAIRP(BgL_arg1845z00_1886); } 
if(BgL_test2764z00_4944)
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1843z00_1887;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1844z00_1888;
BgL_arg1844z00_1888 = 
BGL_EXITD_PROTECT(BgL_exitd1434z00_1151); 
BgL_arg1843z00_1887 = 
CDR(
((obj_t)BgL_arg1844z00_1888)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1434z00_1151, BgL_arg1843z00_1887); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 296 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1433z00_2422, BgL_ohs1425z00_1149); BUNSPEC; 
BgL_res1440z00_1148 = BgL_tmp1435z00_1153; } } } } } } 
POP_ENV_EXIT(BgL_env1433z00_2422); 
return BgL_res1440z00_1148;} } 
}} 

}



/* &<@anonymous:2182> */
obj_t BGl_z62zc3z04anonymousza32182ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2152, obj_t BgL_xz00_2155, obj_t BgL_yz00_2156, obj_t BgL_za7za7_2157)
{
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_pz00_2153; obj_t BgL_excz00_2154;
BgL_pz00_2153 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2152, 
(int)(0L))); 
BgL_excz00_2154 = 
PROCEDURE_REF(BgL_envz00_2152, 
(int)(1L)); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_env1416z00_3053;
BgL_env1416z00_3053 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_cell1411z00_3054;
BgL_cell1411z00_3054 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_val1415z00_3055;
BgL_val1415z00_3055 = 
BGl_zc3z04exitza32184ze3ze70z60zz__sqlite_sqlitez00(BgL_za7za7_2157, BgL_yz00_2156, BgL_xz00_2155, BgL_pz00_2153, BgL_cell1411z00_3054, BgL_env1416z00_3053); 
if(
(BgL_val1415z00_3055==BgL_cell1411z00_3054))
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 int BgL_tmpz00_4963;
BgL_tmpz00_4963 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_4963); } 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2183z00_3056;
BgL_arg2183z00_3056 = 
CELL_REF(
((obj_t)BgL_val1415z00_3055)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2154, BgL_arg2183z00_3056);} }  else 
{ /* Llib/sqlite.scm 296 */
return BgL_val1415z00_3055;} } } } } } 

}



/* <@exit:2184>~0 */
obj_t BGl_zc3z04exitza32184ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_za7za7_2421, obj_t BgL_yz00_2420, obj_t BgL_xz00_2419, obj_t BgL_pz00_2418, obj_t BgL_cell1411z00_2417, obj_t BgL_env1416z00_2416)
{
{ /* Llib/sqlite.scm 296 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1420z00_1123;
if (SET_EXIT(BgL_an_exit1420z00_1123)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1420z00_1123 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1416z00_2416, BgL_an_exit1420z00_1123, 1L); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_escape1412z00_1124;
BgL_escape1412z00_1124 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1416z00_2416); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_res1423z00_1125;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_ohs1408z00_1126;
BgL_ohs1408z00_1126 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1416z00_2416); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_hds1409z00_1127;
BgL_hds1409z00_1127 = 
MAKE_STACK_PAIR(BgL_escape1412z00_1124, BgL_cell1411z00_2417); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1416z00_2416, BgL_hds1409z00_1127); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_exitd1417z00_1128;
BgL_exitd1417z00_1128 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1416z00_2416); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1419z00_1129;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2185z00_1131;
BgL_arg2185z00_1131 = 
BGL_EXITD_PROTECT(BgL_exitd1417z00_1128); 
BgL_tmp1419z00_1129 = 
MAKE_YOUNG_PAIR(BgL_ohs1408z00_1126, BgL_arg2185z00_1131); } 
{ /* Llib/sqlite.scm 296 */

BGL_EXITD_PROTECT_SET(BgL_exitd1417z00_1128, BgL_tmp1419z00_1129); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1418z00_1130;
BgL_tmp1418z00_1130 = 
BGL_PROCEDURE_CALL3(BgL_pz00_2418, BgL_xz00_2419, BgL_yz00_2420, BgL_za7za7_2421); 
{ /* Llib/sqlite.scm 296 */
 bool_t BgL_test2766z00_4985;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1845z00_1880;
BgL_arg1845z00_1880 = 
BGL_EXITD_PROTECT(BgL_exitd1417z00_1128); 
BgL_test2766z00_4985 = 
PAIRP(BgL_arg1845z00_1880); } 
if(BgL_test2766z00_4985)
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1843z00_1881;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1844z00_1882;
BgL_arg1844z00_1882 = 
BGL_EXITD_PROTECT(BgL_exitd1417z00_1128); 
BgL_arg1843z00_1881 = 
CDR(
((obj_t)BgL_arg1844z00_1882)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1417z00_1128, BgL_arg1843z00_1881); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 296 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1416z00_2416, BgL_ohs1408z00_1126); BUNSPEC; 
BgL_res1423z00_1125 = BgL_tmp1418z00_1130; } } } } } } 
POP_ENV_EXIT(BgL_env1416z00_2416); 
return BgL_res1423z00_1125;} } 
}} 

}



/* &<@anonymous:2177> */
obj_t BGl_z62zc3z04anonymousza32177ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2159, obj_t BgL_xz00_2162, obj_t BgL_yz00_2163)
{
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_pz00_2160; obj_t BgL_excz00_2161;
BgL_pz00_2160 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2159, 
(int)(0L))); 
BgL_excz00_2161 = 
PROCEDURE_REF(BgL_envz00_2159, 
(int)(1L)); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_env1399z00_3057;
BgL_env1399z00_3057 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_cell1394z00_3058;
BgL_cell1394z00_3058 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_val1398z00_3059;
BgL_val1398z00_3059 = 
BGl_zc3z04exitza32179ze3ze70z60zz__sqlite_sqlitez00(BgL_yz00_2163, BgL_xz00_2162, BgL_pz00_2160, BgL_cell1394z00_3058, BgL_env1399z00_3057); 
if(
(BgL_val1398z00_3059==BgL_cell1394z00_3058))
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 int BgL_tmpz00_5004;
BgL_tmpz00_5004 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5004); } 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2178z00_3060;
BgL_arg2178z00_3060 = 
CELL_REF(
((obj_t)BgL_val1398z00_3059)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2161, BgL_arg2178z00_3060);} }  else 
{ /* Llib/sqlite.scm 296 */
return BgL_val1398z00_3059;} } } } } } 

}



/* <@exit:2179>~0 */
obj_t BGl_zc3z04exitza32179ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_yz00_2415, obj_t BgL_xz00_2414, obj_t BgL_pz00_2413, obj_t BgL_cell1394z00_2412, obj_t BgL_env1399z00_2411)
{
{ /* Llib/sqlite.scm 296 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1403z00_1101;
if (SET_EXIT(BgL_an_exit1403z00_1101)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1403z00_1101 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1399z00_2411, BgL_an_exit1403z00_1101, 1L); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_escape1395z00_1102;
BgL_escape1395z00_1102 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1399z00_2411); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_res1406z00_1103;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_ohs1391z00_1104;
BgL_ohs1391z00_1104 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1399z00_2411); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_hds1392z00_1105;
BgL_hds1392z00_1105 = 
MAKE_STACK_PAIR(BgL_escape1395z00_1102, BgL_cell1394z00_2412); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1399z00_2411, BgL_hds1392z00_1105); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_exitd1400z00_1106;
BgL_exitd1400z00_1106 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1399z00_2411); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1402z00_1107;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2180z00_1109;
BgL_arg2180z00_1109 = 
BGL_EXITD_PROTECT(BgL_exitd1400z00_1106); 
BgL_tmp1402z00_1107 = 
MAKE_YOUNG_PAIR(BgL_ohs1391z00_1104, BgL_arg2180z00_1109); } 
{ /* Llib/sqlite.scm 296 */

BGL_EXITD_PROTECT_SET(BgL_exitd1400z00_1106, BgL_tmp1402z00_1107); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1401z00_1108;
BgL_tmp1401z00_1108 = 
BGL_PROCEDURE_CALL2(BgL_pz00_2413, BgL_xz00_2414, BgL_yz00_2415); 
{ /* Llib/sqlite.scm 296 */
 bool_t BgL_test2768z00_5025;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1845z00_1874;
BgL_arg1845z00_1874 = 
BGL_EXITD_PROTECT(BgL_exitd1400z00_1106); 
BgL_test2768z00_5025 = 
PAIRP(BgL_arg1845z00_1874); } 
if(BgL_test2768z00_5025)
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1843z00_1875;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1844z00_1876;
BgL_arg1844z00_1876 = 
BGL_EXITD_PROTECT(BgL_exitd1400z00_1106); 
BgL_arg1843z00_1875 = 
CDR(
((obj_t)BgL_arg1844z00_1876)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1400z00_1106, BgL_arg1843z00_1875); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 296 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1399z00_2411, BgL_ohs1391z00_1104); BUNSPEC; 
BgL_res1406z00_1103 = BgL_tmp1401z00_1108; } } } } } } 
POP_ENV_EXIT(BgL_env1399z00_2411); 
return BgL_res1406z00_1103;} } 
}} 

}



/* &<@anonymous:2172> */
obj_t BGl_z62zc3z04anonymousza32172ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2165, obj_t BgL_xz00_2168)
{
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_pz00_2166; obj_t BgL_excz00_2167;
BgL_pz00_2166 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2165, 
(int)(0L))); 
BgL_excz00_2167 = 
PROCEDURE_REF(BgL_envz00_2165, 
(int)(1L)); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_env1382z00_3061;
BgL_env1382z00_3061 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_cell1377z00_3062;
BgL_cell1377z00_3062 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_val1381z00_3063;
BgL_val1381z00_3063 = 
BGl_zc3z04exitza32174ze3ze70z60zz__sqlite_sqlitez00(BgL_xz00_2168, BgL_pz00_2166, BgL_cell1377z00_3062, BgL_env1382z00_3061); 
if(
(BgL_val1381z00_3063==BgL_cell1377z00_3062))
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 int BgL_tmpz00_5044;
BgL_tmpz00_5044 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5044); } 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2173z00_3064;
BgL_arg2173z00_3064 = 
CELL_REF(
((obj_t)BgL_val1381z00_3063)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2167, BgL_arg2173z00_3064);} }  else 
{ /* Llib/sqlite.scm 296 */
return BgL_val1381z00_3063;} } } } } } 

}



/* <@exit:2174>~0 */
obj_t BGl_zc3z04exitza32174ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_xz00_2410, obj_t BgL_pz00_2409, obj_t BgL_cell1377z00_2408, obj_t BgL_env1382z00_2407)
{
{ /* Llib/sqlite.scm 296 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1386z00_1080;
if (SET_EXIT(BgL_an_exit1386z00_1080)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1386z00_1080 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1382z00_2407, BgL_an_exit1386z00_1080, 1L); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_escape1378z00_1081;
BgL_escape1378z00_1081 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1382z00_2407); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_res1389z00_1082;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_ohs1374z00_1083;
BgL_ohs1374z00_1083 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1382z00_2407); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_hds1375z00_1084;
BgL_hds1375z00_1084 = 
MAKE_STACK_PAIR(BgL_escape1378z00_1081, BgL_cell1377z00_2408); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1382z00_2407, BgL_hds1375z00_1084); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_exitd1383z00_1085;
BgL_exitd1383z00_1085 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1382z00_2407); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1385z00_1086;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2175z00_1088;
BgL_arg2175z00_1088 = 
BGL_EXITD_PROTECT(BgL_exitd1383z00_1085); 
BgL_tmp1385z00_1086 = 
MAKE_YOUNG_PAIR(BgL_ohs1374z00_1083, BgL_arg2175z00_1088); } 
{ /* Llib/sqlite.scm 296 */

BGL_EXITD_PROTECT_SET(BgL_exitd1383z00_1085, BgL_tmp1385z00_1086); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1384z00_1087;
BgL_tmp1384z00_1087 = 
BGL_PROCEDURE_CALL1(BgL_pz00_2409, BgL_xz00_2410); 
{ /* Llib/sqlite.scm 296 */
 bool_t BgL_test2770z00_5064;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1845z00_1868;
BgL_arg1845z00_1868 = 
BGL_EXITD_PROTECT(BgL_exitd1383z00_1085); 
BgL_test2770z00_5064 = 
PAIRP(BgL_arg1845z00_1868); } 
if(BgL_test2770z00_5064)
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1843z00_1869;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1844z00_1870;
BgL_arg1844z00_1870 = 
BGL_EXITD_PROTECT(BgL_exitd1383z00_1085); 
BgL_arg1843z00_1869 = 
CDR(
((obj_t)BgL_arg1844z00_1870)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1383z00_1085, BgL_arg1843z00_1869); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 296 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1382z00_2407, BgL_ohs1374z00_1083); BUNSPEC; 
BgL_res1389z00_1082 = BgL_tmp1384z00_1087; } } } } } } 
POP_ENV_EXIT(BgL_env1382z00_2407); 
return BgL_res1389z00_1082;} } 
}} 

}



/* &<@anonymous:2192> */
obj_t BGl_z62zc3z04anonymousza32192ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2170, obj_t BgL_lz00_2173)
{
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_pz00_2171; obj_t BgL_excz00_2172;
BgL_pz00_2171 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2170, 
(int)(0L))); 
BgL_excz00_2172 = 
PROCEDURE_REF(BgL_envz00_2170, 
(int)(1L)); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_env1363z00_3065;
BgL_env1363z00_3065 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_cell1358z00_3066;
BgL_cell1358z00_3066 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_val1362z00_3067;
BgL_val1362z00_3067 = 
BGl_zc3z04exitza32194ze3ze70z60zz__sqlite_sqlitez00(BgL_pz00_2171, BgL_lz00_2173, BgL_cell1358z00_3066, BgL_env1363z00_3065); 
if(
(BgL_val1362z00_3067==BgL_cell1358z00_3066))
{ /* Llib/sqlite.scm 296 */
{ /* Llib/sqlite.scm 296 */
 int BgL_tmpz00_5083;
BgL_tmpz00_5083 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5083); } 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2193z00_3068;
BgL_arg2193z00_3068 = 
CELL_REF(
((obj_t)BgL_val1362z00_3067)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2172, BgL_arg2193z00_3068);} }  else 
{ /* Llib/sqlite.scm 296 */
return BgL_val1362z00_3067;} } } } } } 

}



/* <@exit:2194>~0 */
obj_t BGl_zc3z04exitza32194ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_pz00_2406, obj_t BgL_lz00_2405, obj_t BgL_cell1358z00_2404, obj_t BgL_env1363z00_2403)
{
{ /* Llib/sqlite.scm 296 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1367z00_1166;
if (SET_EXIT(BgL_an_exit1367z00_1166)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1367z00_1166 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1363z00_2403, BgL_an_exit1367z00_1166, 1L); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_escape1359z00_1167;
BgL_escape1359z00_1167 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1363z00_2403); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_res1370z00_1168;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_ohs1355z00_1169;
BgL_ohs1355z00_1169 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1363z00_2403); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_hds1356z00_1170;
BgL_hds1356z00_1170 = 
MAKE_STACK_PAIR(BgL_escape1359z00_1167, BgL_cell1358z00_2404); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1363z00_2403, BgL_hds1356z00_1170); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_exitd1364z00_1171;
BgL_exitd1364z00_1171 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1363z00_2403); 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1366z00_1172;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg2195z00_1174;
BgL_arg2195z00_1174 = 
BGL_EXITD_PROTECT(BgL_exitd1364z00_1171); 
BgL_tmp1366z00_1172 = 
MAKE_YOUNG_PAIR(BgL_ohs1355z00_1169, BgL_arg2195z00_1174); } 
{ /* Llib/sqlite.scm 296 */

BGL_EXITD_PROTECT_SET(BgL_exitd1364z00_1171, BgL_tmp1366z00_1172); BUNSPEC; 
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_tmp1365z00_1173;
BgL_tmp1365z00_1173 = 
apply(BgL_pz00_2406, BgL_lz00_2405); 
{ /* Llib/sqlite.scm 296 */
 bool_t BgL_test2772z00_5101;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1845z00_1861;
BgL_arg1845z00_1861 = 
BGL_EXITD_PROTECT(BgL_exitd1364z00_1171); 
BgL_test2772z00_5101 = 
PAIRP(BgL_arg1845z00_1861); } 
if(BgL_test2772z00_5101)
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1843z00_1862;
{ /* Llib/sqlite.scm 296 */
 obj_t BgL_arg1844z00_1863;
BgL_arg1844z00_1863 = 
BGL_EXITD_PROTECT(BgL_exitd1364z00_1171); 
BgL_arg1843z00_1862 = 
CDR(
((obj_t)BgL_arg1844z00_1863)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1364z00_1171, BgL_arg1843z00_1862); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 296 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1363z00_2403, BgL_ohs1355z00_1169); BUNSPEC; 
BgL_res1370z00_1168 = BgL_tmp1365z00_1173; } } } } } } 
POP_ENV_EXIT(BgL_env1363z00_2403); 
return BgL_res1370z00_1168;} } 
}} 

}



/* &sqlite-map-sqlite1493 */
obj_t BGl_z62sqlitezd2mapzd2sqlite1493z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2175, obj_t BgL_oz00_2176, obj_t BgL_pz00_2177, obj_t BgL_fmtz00_2178, obj_t BgL_argsz00_2179)
{
{ /* Llib/sqlite.scm 270 */
return 
BGl_sqlitezd2mapzd2sqlite1493ze70ze7zz__sqlite_sqlitez00(
((BgL_sqlitez00_bglt)BgL_oz00_2176), BgL_pz00_2177, BgL_fmtz00_2178, BgL_argsz00_2179);} 

}



/* sqlite-map-sqlite1493~0 */
obj_t BGl_sqlitezd2mapzd2sqlite1493ze70ze7zz__sqlite_sqlitez00(BgL_sqlitez00_bglt BgL_oz00_916, obj_t BgL_pz00_917, obj_t BgL_fmtz00_918, obj_t BgL_argsz00_919)
{
{ /* Llib/sqlite.scm 270 */
{ /* Llib/sqlite.scm 271 */
 obj_t BgL_excz00_2180;
BgL_excz00_2180 = 
BGL_MAKE_UNSAFE_CELL(BFALSE); 
{ /* Llib/sqlite.scm 271 */
 obj_t BgL_pz00_923;
{ 

{ /* Llib/sqlite.scm 272 */
 int BgL_aux1280z00_938;
BgL_aux1280z00_938 = 
PROCEDURE_ARITY(BgL_pz00_917); 
switch( 
(long)(BgL_aux1280z00_938)) { case 1L : 

{ /* Llib/sqlite.scm 272 */
 obj_t BgL_zc3z04anonymousza32136ze3z87_2099;
BgL_zc3z04anonymousza32136ze3z87_2099 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32136ze3ze5zz__sqlite_sqlitez00, 
(int)(1L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32136ze3z87_2099, 
(int)(0L), BgL_pz00_917); 
PROCEDURE_SET(BgL_zc3z04anonymousza32136ze3z87_2099, 
(int)(1L), 
((obj_t)BgL_excz00_2180)); 
BgL_pz00_923 = BgL_zc3z04anonymousza32136ze3z87_2099; } break;case 2L : 

{ /* Llib/sqlite.scm 272 */
 obj_t BgL_zc3z04anonymousza32141ze3z87_2100;
BgL_zc3z04anonymousza32141ze3z87_2100 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32141ze3ze5zz__sqlite_sqlitez00, 
(int)(2L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32141ze3z87_2100, 
(int)(0L), BgL_pz00_917); 
PROCEDURE_SET(BgL_zc3z04anonymousza32141ze3z87_2100, 
(int)(1L), 
((obj_t)BgL_excz00_2180)); 
BgL_pz00_923 = BgL_zc3z04anonymousza32141ze3z87_2100; } break;case 3L : 

{ /* Llib/sqlite.scm 272 */
 obj_t BgL_zc3z04anonymousza32146ze3z87_2101;
BgL_zc3z04anonymousza32146ze3z87_2101 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32146ze3ze5zz__sqlite_sqlitez00, 
(int)(3L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32146ze3z87_2101, 
(int)(0L), BgL_pz00_917); 
PROCEDURE_SET(BgL_zc3z04anonymousza32146ze3z87_2101, 
(int)(1L), 
((obj_t)BgL_excz00_2180)); 
BgL_pz00_923 = BgL_zc3z04anonymousza32146ze3z87_2101; } break;case 4L : 

{ /* Llib/sqlite.scm 272 */
 obj_t BgL_zc3z04anonymousza32151ze3z87_2102;
BgL_zc3z04anonymousza32151ze3z87_2102 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32151ze3ze5zz__sqlite_sqlitez00, 
(int)(4L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32151ze3z87_2102, 
(int)(0L), BgL_pz00_917); 
PROCEDURE_SET(BgL_zc3z04anonymousza32151ze3z87_2102, 
(int)(1L), 
((obj_t)BgL_excz00_2180)); 
BgL_pz00_923 = BgL_zc3z04anonymousza32151ze3z87_2102; } break;
default: 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_zc3z04anonymousza32156ze3z87_2104;
BgL_zc3z04anonymousza32156ze3z87_2104 = 
MAKE_VA_PROCEDURE(BGl_z62zc3z04anonymousza32156ze3ze5zz__sqlite_sqlitez00, 
(int)((-1L)), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32156ze3z87_2104, 
(int)(0L), BgL_pz00_917); 
PROCEDURE_SET(BgL_zc3z04anonymousza32156ze3z87_2104, 
(int)(1L), 
((obj_t)BgL_excz00_2180)); 
BgL_pz00_923 = BgL_zc3z04anonymousza32156ze3z87_2104; } } } } 
{ /* Llib/sqlite.scm 272 */

{ /* Llib/sqlite.scm 273 */
 obj_t BgL_exitd1349z00_924;
BgL_exitd1349z00_924 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/sqlite.scm 278 */
 obj_t BgL_zc3z04anonymousza32135ze3z87_2103;
BgL_zc3z04anonymousza32135ze3z87_2103 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32135ze3ze5zz__sqlite_sqlitez00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32135ze3z87_2103, 
(int)(0L), 
((obj_t)BgL_excz00_2180)); 
{ /* Llib/sqlite.scm 273 */
 obj_t BgL_arg1846z00_1851;
{ /* Llib/sqlite.scm 273 */
 obj_t BgL_arg1847z00_1852;
BgL_arg1847z00_1852 = 
BGL_EXITD_PROTECT(BgL_exitd1349z00_924); 
BgL_arg1846z00_1851 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32135ze3z87_2103, BgL_arg1847z00_1852); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1349z00_924, BgL_arg1846z00_1851); BUNSPEC; } 
{ /* Llib/sqlite.scm 274 */
 obj_t BgL_tmp1351z00_926;
if(
NULLP(BgL_argsz00_919))
{ /* Llib/sqlite.scm 276 */
 void * BgL_arg2129z00_929;
BgL_arg2129z00_929 = 
(((BgL_sqlitez00_bglt)COBJECT(BgL_oz00_916))->BgL_z42builtinz42); 
BgL_tmp1351z00_926 = 
bgl_sqlite_map(BgL_arg2129z00_929, BgL_pz00_923, 
BSTRING_TO_STRING(BgL_fmtz00_918), 
((obj_t)BgL_oz00_916)); }  else 
{ /* Llib/sqlite.scm 277 */
 void * BgL_arg2130z00_930; obj_t BgL_arg2131z00_931;
BgL_arg2130z00_930 = 
(((BgL_sqlitez00_bglt)COBJECT(BgL_oz00_916))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 277 */
 obj_t BgL_runner2134z00_934;
{ /* Llib/sqlite.scm 277 */
 obj_t BgL_list2132z00_932;
BgL_list2132z00_932 = 
MAKE_YOUNG_PAIR(BgL_argsz00_919, BNIL); 
BgL_runner2134z00_934 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_fmtz00_918, BgL_list2132z00_932); } 
{ /* Llib/sqlite.scm 277 */
 obj_t BgL_aux2133z00_933;
BgL_aux2133z00_933 = 
CAR(BgL_runner2134z00_934); 
BgL_runner2134z00_934 = 
CDR(BgL_runner2134z00_934); 
BgL_arg2131z00_931 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux2133z00_933, BgL_runner2134z00_934); } } 
BgL_tmp1351z00_926 = 
bgl_sqlite_map(BgL_arg2130z00_930, BgL_pz00_923, 
BSTRING_TO_STRING(BgL_arg2131z00_931), 
((obj_t)BgL_oz00_916)); } 
{ /* Llib/sqlite.scm 273 */
 bool_t BgL_test2774z00_5180;
{ /* Llib/sqlite.scm 273 */
 obj_t BgL_arg1845z00_1856;
BgL_arg1845z00_1856 = 
BGL_EXITD_PROTECT(BgL_exitd1349z00_924); 
BgL_test2774z00_5180 = 
PAIRP(BgL_arg1845z00_1856); } 
if(BgL_test2774z00_5180)
{ /* Llib/sqlite.scm 273 */
 obj_t BgL_arg1843z00_1857;
{ /* Llib/sqlite.scm 273 */
 obj_t BgL_arg1844z00_1858;
BgL_arg1844z00_1858 = 
BGL_EXITD_PROTECT(BgL_exitd1349z00_924); 
BgL_arg1843z00_1857 = 
CDR(
((obj_t)BgL_arg1844z00_1858)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1349z00_924, BgL_arg1843z00_1857); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 273 */BFALSE; } } 
if(
CBOOL(
BGL_UNSAFE_CELL_REF(BgL_excz00_2180)))
{ /* Llib/sqlite.scm 278 */
BGl_raisez00zz__errorz00(
BGL_UNSAFE_CELL_REF(BgL_excz00_2180)); }  else 
{ /* Llib/sqlite.scm 278 */BFALSE; } 
return BgL_tmp1351z00_926;} } } } } } } 

}



/* &<@anonymous:2135> */
obj_t BGl_z62zc3z04anonymousza32135ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2182)
{
{ /* Llib/sqlite.scm 273 */
{ /* Llib/sqlite.scm 278 */
 obj_t BgL_excz00_2183;
BgL_excz00_2183 = 
PROCEDURE_REF(BgL_envz00_2182, 
(int)(0L)); 
if(
CBOOL(
BGL_UNSAFE_CELL_REF(BgL_excz00_2183)))
{ /* Llib/sqlite.scm 278 */
return 
BGl_raisez00zz__errorz00(
BGL_UNSAFE_CELL_REF(BgL_excz00_2183));}  else 
{ /* Llib/sqlite.scm 278 */
return BFALSE;} } } 

}



/* &<@anonymous:2151> */
obj_t BGl_z62zc3z04anonymousza32151ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2184, obj_t BgL_xz00_2187, obj_t BgL_yz00_2188, obj_t BgL_za7za7_2189, obj_t BgL_tz00_2190)
{
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_pz00_2185; obj_t BgL_excz00_2186;
BgL_pz00_2185 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2184, 
(int)(0L))); 
BgL_excz00_2186 = 
PROCEDURE_REF(BgL_envz00_2184, 
(int)(1L)); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_env1340z00_3069;
BgL_env1340z00_3069 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_cell1335z00_3070;
BgL_cell1335z00_3070 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_val1339z00_3071;
BgL_val1339z00_3071 = 
BGl_zc3z04exitza32153ze3ze70z60zz__sqlite_sqlitez00(BgL_tz00_2190, BgL_za7za7_2189, BgL_yz00_2188, BgL_xz00_2187, BgL_pz00_2185, BgL_cell1335z00_3070, BgL_env1340z00_3069); 
if(
(BgL_val1339z00_3071==BgL_cell1335z00_3070))
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 int BgL_tmpz00_5205;
BgL_tmpz00_5205 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5205); } 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2152z00_3072;
BgL_arg2152z00_3072 = 
CELL_REF(
((obj_t)BgL_val1339z00_3071)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2186, BgL_arg2152z00_3072);} }  else 
{ /* Llib/sqlite.scm 272 */
return BgL_val1339z00_3071;} } } } } } 

}



/* <@exit:2153>~0 */
obj_t BGl_zc3z04exitza32153ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_tz00_2402, obj_t BgL_za7za7_2401, obj_t BgL_yz00_2400, obj_t BgL_xz00_2399, obj_t BgL_pz00_2398, obj_t BgL_cell1335z00_2397, obj_t BgL_env1340z00_2396)
{
{ /* Llib/sqlite.scm 272 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1344z00_1013;
if (SET_EXIT(BgL_an_exit1344z00_1013)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1344z00_1013 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1340z00_2396, BgL_an_exit1344z00_1013, 1L); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_escape1336z00_1014;
BgL_escape1336z00_1014 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1340z00_2396); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_res1347z00_1015;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_ohs1332z00_1016;
BgL_ohs1332z00_1016 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1340z00_2396); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_hds1333z00_1017;
BgL_hds1333z00_1017 = 
MAKE_STACK_PAIR(BgL_escape1336z00_1014, BgL_cell1335z00_2397); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1340z00_2396, BgL_hds1333z00_1017); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_exitd1341z00_1018;
BgL_exitd1341z00_1018 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1340z00_2396); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1343z00_1019;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2154z00_1021;
BgL_arg2154z00_1021 = 
BGL_EXITD_PROTECT(BgL_exitd1341z00_1018); 
BgL_tmp1343z00_1019 = 
MAKE_YOUNG_PAIR(BgL_ohs1332z00_1016, BgL_arg2154z00_1021); } 
{ /* Llib/sqlite.scm 272 */

BGL_EXITD_PROTECT_SET(BgL_exitd1341z00_1018, BgL_tmp1343z00_1019); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1342z00_1020;
BgL_tmp1342z00_1020 = 
BGL_PROCEDURE_CALL4(BgL_pz00_2398, BgL_xz00_2399, BgL_yz00_2400, BgL_za7za7_2401, BgL_tz00_2402); 
{ /* Llib/sqlite.scm 272 */
 bool_t BgL_test2778z00_5228;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1845z00_1846;
BgL_arg1845z00_1846 = 
BGL_EXITD_PROTECT(BgL_exitd1341z00_1018); 
BgL_test2778z00_5228 = 
PAIRP(BgL_arg1845z00_1846); } 
if(BgL_test2778z00_5228)
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1843z00_1847;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1844z00_1848;
BgL_arg1844z00_1848 = 
BGL_EXITD_PROTECT(BgL_exitd1341z00_1018); 
BgL_arg1843z00_1847 = 
CDR(
((obj_t)BgL_arg1844z00_1848)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1341z00_1018, BgL_arg1843z00_1847); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 272 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1340z00_2396, BgL_ohs1332z00_1016); BUNSPEC; 
BgL_res1347z00_1015 = BgL_tmp1342z00_1020; } } } } } } 
POP_ENV_EXIT(BgL_env1340z00_2396); 
return BgL_res1347z00_1015;} } 
}} 

}



/* &<@anonymous:2146> */
obj_t BGl_z62zc3z04anonymousza32146ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2192, obj_t BgL_xz00_2195, obj_t BgL_yz00_2196, obj_t BgL_za7za7_2197)
{
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_pz00_2193; obj_t BgL_excz00_2194;
BgL_pz00_2193 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2192, 
(int)(0L))); 
BgL_excz00_2194 = 
PROCEDURE_REF(BgL_envz00_2192, 
(int)(1L)); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_env1323z00_3073;
BgL_env1323z00_3073 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_cell1318z00_3074;
BgL_cell1318z00_3074 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_val1322z00_3075;
BgL_val1322z00_3075 = 
BGl_zc3z04exitza32148ze3ze70z60zz__sqlite_sqlitez00(BgL_za7za7_2197, BgL_yz00_2196, BgL_xz00_2195, BgL_pz00_2193, BgL_cell1318z00_3074, BgL_env1323z00_3073); 
if(
(BgL_val1322z00_3075==BgL_cell1318z00_3074))
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 int BgL_tmpz00_5247;
BgL_tmpz00_5247 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5247); } 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2147z00_3076;
BgL_arg2147z00_3076 = 
CELL_REF(
((obj_t)BgL_val1322z00_3075)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2194, BgL_arg2147z00_3076);} }  else 
{ /* Llib/sqlite.scm 272 */
return BgL_val1322z00_3075;} } } } } } 

}



/* <@exit:2148>~0 */
obj_t BGl_zc3z04exitza32148ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_za7za7_2395, obj_t BgL_yz00_2394, obj_t BgL_xz00_2393, obj_t BgL_pz00_2392, obj_t BgL_cell1318z00_2391, obj_t BgL_env1323z00_2390)
{
{ /* Llib/sqlite.scm 272 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1327z00_990;
if (SET_EXIT(BgL_an_exit1327z00_990)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1327z00_990 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1323z00_2390, BgL_an_exit1327z00_990, 1L); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_escape1319z00_991;
BgL_escape1319z00_991 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1323z00_2390); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_res1330z00_992;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_ohs1315z00_993;
BgL_ohs1315z00_993 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1323z00_2390); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_hds1316z00_994;
BgL_hds1316z00_994 = 
MAKE_STACK_PAIR(BgL_escape1319z00_991, BgL_cell1318z00_2391); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1323z00_2390, BgL_hds1316z00_994); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_exitd1324z00_995;
BgL_exitd1324z00_995 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1323z00_2390); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1326z00_996;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2149z00_998;
BgL_arg2149z00_998 = 
BGL_EXITD_PROTECT(BgL_exitd1324z00_995); 
BgL_tmp1326z00_996 = 
MAKE_YOUNG_PAIR(BgL_ohs1315z00_993, BgL_arg2149z00_998); } 
{ /* Llib/sqlite.scm 272 */

BGL_EXITD_PROTECT_SET(BgL_exitd1324z00_995, BgL_tmp1326z00_996); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1325z00_997;
BgL_tmp1325z00_997 = 
BGL_PROCEDURE_CALL3(BgL_pz00_2392, BgL_xz00_2393, BgL_yz00_2394, BgL_za7za7_2395); 
{ /* Llib/sqlite.scm 272 */
 bool_t BgL_test2780z00_5269;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1845z00_1840;
BgL_arg1845z00_1840 = 
BGL_EXITD_PROTECT(BgL_exitd1324z00_995); 
BgL_test2780z00_5269 = 
PAIRP(BgL_arg1845z00_1840); } 
if(BgL_test2780z00_5269)
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1843z00_1841;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1844z00_1842;
BgL_arg1844z00_1842 = 
BGL_EXITD_PROTECT(BgL_exitd1324z00_995); 
BgL_arg1843z00_1841 = 
CDR(
((obj_t)BgL_arg1844z00_1842)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1324z00_995, BgL_arg1843z00_1841); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 272 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1323z00_2390, BgL_ohs1315z00_993); BUNSPEC; 
BgL_res1330z00_992 = BgL_tmp1325z00_997; } } } } } } 
POP_ENV_EXIT(BgL_env1323z00_2390); 
return BgL_res1330z00_992;} } 
}} 

}



/* &<@anonymous:2141> */
obj_t BGl_z62zc3z04anonymousza32141ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2199, obj_t BgL_xz00_2202, obj_t BgL_yz00_2203)
{
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_pz00_2200; obj_t BgL_excz00_2201;
BgL_pz00_2200 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2199, 
(int)(0L))); 
BgL_excz00_2201 = 
PROCEDURE_REF(BgL_envz00_2199, 
(int)(1L)); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_env1306z00_3077;
BgL_env1306z00_3077 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_cell1301z00_3078;
BgL_cell1301z00_3078 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_val1305z00_3079;
BgL_val1305z00_3079 = 
BGl_zc3z04exitza32143ze3ze70z60zz__sqlite_sqlitez00(BgL_yz00_2203, BgL_xz00_2202, BgL_pz00_2200, BgL_cell1301z00_3078, BgL_env1306z00_3077); 
if(
(BgL_val1305z00_3079==BgL_cell1301z00_3078))
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 int BgL_tmpz00_5288;
BgL_tmpz00_5288 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5288); } 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2142z00_3080;
BgL_arg2142z00_3080 = 
CELL_REF(
((obj_t)BgL_val1305z00_3079)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2201, BgL_arg2142z00_3080);} }  else 
{ /* Llib/sqlite.scm 272 */
return BgL_val1305z00_3079;} } } } } } 

}



/* <@exit:2143>~0 */
obj_t BGl_zc3z04exitza32143ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_yz00_2389, obj_t BgL_xz00_2388, obj_t BgL_pz00_2387, obj_t BgL_cell1301z00_2386, obj_t BgL_env1306z00_2385)
{
{ /* Llib/sqlite.scm 272 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1310z00_968;
if (SET_EXIT(BgL_an_exit1310z00_968)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1310z00_968 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1306z00_2385, BgL_an_exit1310z00_968, 1L); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_escape1302z00_969;
BgL_escape1302z00_969 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1306z00_2385); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_res1313z00_970;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_ohs1298z00_971;
BgL_ohs1298z00_971 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1306z00_2385); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_hds1299z00_972;
BgL_hds1299z00_972 = 
MAKE_STACK_PAIR(BgL_escape1302z00_969, BgL_cell1301z00_2386); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1306z00_2385, BgL_hds1299z00_972); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_exitd1307z00_973;
BgL_exitd1307z00_973 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1306z00_2385); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1309z00_974;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2144z00_976;
BgL_arg2144z00_976 = 
BGL_EXITD_PROTECT(BgL_exitd1307z00_973); 
BgL_tmp1309z00_974 = 
MAKE_YOUNG_PAIR(BgL_ohs1298z00_971, BgL_arg2144z00_976); } 
{ /* Llib/sqlite.scm 272 */

BGL_EXITD_PROTECT_SET(BgL_exitd1307z00_973, BgL_tmp1309z00_974); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1308z00_975;
BgL_tmp1308z00_975 = 
BGL_PROCEDURE_CALL2(BgL_pz00_2387, BgL_xz00_2388, BgL_yz00_2389); 
{ /* Llib/sqlite.scm 272 */
 bool_t BgL_test2782z00_5309;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1845z00_1834;
BgL_arg1845z00_1834 = 
BGL_EXITD_PROTECT(BgL_exitd1307z00_973); 
BgL_test2782z00_5309 = 
PAIRP(BgL_arg1845z00_1834); } 
if(BgL_test2782z00_5309)
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1843z00_1835;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1844z00_1836;
BgL_arg1844z00_1836 = 
BGL_EXITD_PROTECT(BgL_exitd1307z00_973); 
BgL_arg1843z00_1835 = 
CDR(
((obj_t)BgL_arg1844z00_1836)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1307z00_973, BgL_arg1843z00_1835); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 272 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1306z00_2385, BgL_ohs1298z00_971); BUNSPEC; 
BgL_res1313z00_970 = BgL_tmp1308z00_975; } } } } } } 
POP_ENV_EXIT(BgL_env1306z00_2385); 
return BgL_res1313z00_970;} } 
}} 

}



/* &<@anonymous:2136> */
obj_t BGl_z62zc3z04anonymousza32136ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2205, obj_t BgL_xz00_2208)
{
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_pz00_2206; obj_t BgL_excz00_2207;
BgL_pz00_2206 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2205, 
(int)(0L))); 
BgL_excz00_2207 = 
PROCEDURE_REF(BgL_envz00_2205, 
(int)(1L)); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_env1289z00_3081;
BgL_env1289z00_3081 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_cell1284z00_3082;
BgL_cell1284z00_3082 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_val1288z00_3083;
BgL_val1288z00_3083 = 
BGl_zc3z04exitza32138ze3ze70z60zz__sqlite_sqlitez00(BgL_xz00_2208, BgL_pz00_2206, BgL_cell1284z00_3082, BgL_env1289z00_3081); 
if(
(BgL_val1288z00_3083==BgL_cell1284z00_3082))
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 int BgL_tmpz00_5328;
BgL_tmpz00_5328 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5328); } 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2137z00_3084;
BgL_arg2137z00_3084 = 
CELL_REF(
((obj_t)BgL_val1288z00_3083)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2207, BgL_arg2137z00_3084);} }  else 
{ /* Llib/sqlite.scm 272 */
return BgL_val1288z00_3083;} } } } } } 

}



/* <@exit:2138>~0 */
obj_t BGl_zc3z04exitza32138ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_xz00_2384, obj_t BgL_pz00_2383, obj_t BgL_cell1284z00_2382, obj_t BgL_env1289z00_2381)
{
{ /* Llib/sqlite.scm 272 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1293z00_947;
if (SET_EXIT(BgL_an_exit1293z00_947)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1293z00_947 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1289z00_2381, BgL_an_exit1293z00_947, 1L); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_escape1285z00_948;
BgL_escape1285z00_948 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1289z00_2381); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_res1296z00_949;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_ohs1281z00_950;
BgL_ohs1281z00_950 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1289z00_2381); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_hds1282z00_951;
BgL_hds1282z00_951 = 
MAKE_STACK_PAIR(BgL_escape1285z00_948, BgL_cell1284z00_2382); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1289z00_2381, BgL_hds1282z00_951); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_exitd1290z00_952;
BgL_exitd1290z00_952 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1289z00_2381); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1292z00_953;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2139z00_955;
BgL_arg2139z00_955 = 
BGL_EXITD_PROTECT(BgL_exitd1290z00_952); 
BgL_tmp1292z00_953 = 
MAKE_YOUNG_PAIR(BgL_ohs1281z00_950, BgL_arg2139z00_955); } 
{ /* Llib/sqlite.scm 272 */

BGL_EXITD_PROTECT_SET(BgL_exitd1290z00_952, BgL_tmp1292z00_953); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1291z00_954;
BgL_tmp1291z00_954 = 
BGL_PROCEDURE_CALL1(BgL_pz00_2383, BgL_xz00_2384); 
{ /* Llib/sqlite.scm 272 */
 bool_t BgL_test2784z00_5348;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1845z00_1828;
BgL_arg1845z00_1828 = 
BGL_EXITD_PROTECT(BgL_exitd1290z00_952); 
BgL_test2784z00_5348 = 
PAIRP(BgL_arg1845z00_1828); } 
if(BgL_test2784z00_5348)
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1843z00_1829;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1844z00_1830;
BgL_arg1844z00_1830 = 
BGL_EXITD_PROTECT(BgL_exitd1290z00_952); 
BgL_arg1843z00_1829 = 
CDR(
((obj_t)BgL_arg1844z00_1830)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1290z00_952, BgL_arg1843z00_1829); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 272 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1289z00_2381, BgL_ohs1281z00_950); BUNSPEC; 
BgL_res1296z00_949 = BgL_tmp1291z00_954; } } } } } } 
POP_ENV_EXIT(BgL_env1289z00_2381); 
return BgL_res1296z00_949;} } 
}} 

}



/* &<@anonymous:2156> */
obj_t BGl_z62zc3z04anonymousza32156ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2210, obj_t BgL_lz00_2213)
{
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_pz00_2211; obj_t BgL_excz00_2212;
BgL_pz00_2211 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2210, 
(int)(0L))); 
BgL_excz00_2212 = 
PROCEDURE_REF(BgL_envz00_2210, 
(int)(1L)); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_env1270z00_3085;
BgL_env1270z00_3085 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_cell1265z00_3086;
BgL_cell1265z00_3086 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_val1269z00_3087;
BgL_val1269z00_3087 = 
BGl_zc3z04exitza32158ze3ze70z60zz__sqlite_sqlitez00(BgL_pz00_2211, BgL_lz00_2213, BgL_cell1265z00_3086, BgL_env1270z00_3085); 
if(
(BgL_val1269z00_3087==BgL_cell1265z00_3086))
{ /* Llib/sqlite.scm 272 */
{ /* Llib/sqlite.scm 272 */
 int BgL_tmpz00_5367;
BgL_tmpz00_5367 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5367); } 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2157z00_3088;
BgL_arg2157z00_3088 = 
CELL_REF(
((obj_t)BgL_val1269z00_3087)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2212, BgL_arg2157z00_3088);} }  else 
{ /* Llib/sqlite.scm 272 */
return BgL_val1269z00_3087;} } } } } } 

}



/* <@exit:2158>~0 */
obj_t BGl_zc3z04exitza32158ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_pz00_2380, obj_t BgL_lz00_2379, obj_t BgL_cell1265z00_2378, obj_t BgL_env1270z00_2377)
{
{ /* Llib/sqlite.scm 272 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1274z00_1033;
if (SET_EXIT(BgL_an_exit1274z00_1033)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1274z00_1033 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1270z00_2377, BgL_an_exit1274z00_1033, 1L); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_escape1266z00_1034;
BgL_escape1266z00_1034 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1270z00_2377); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_res1277z00_1035;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_ohs1262z00_1036;
BgL_ohs1262z00_1036 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1270z00_2377); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_hds1263z00_1037;
BgL_hds1263z00_1037 = 
MAKE_STACK_PAIR(BgL_escape1266z00_1034, BgL_cell1265z00_2378); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1270z00_2377, BgL_hds1263z00_1037); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_exitd1271z00_1038;
BgL_exitd1271z00_1038 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1270z00_2377); 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1273z00_1039;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg2159z00_1041;
BgL_arg2159z00_1041 = 
BGL_EXITD_PROTECT(BgL_exitd1271z00_1038); 
BgL_tmp1273z00_1039 = 
MAKE_YOUNG_PAIR(BgL_ohs1262z00_1036, BgL_arg2159z00_1041); } 
{ /* Llib/sqlite.scm 272 */

BGL_EXITD_PROTECT_SET(BgL_exitd1271z00_1038, BgL_tmp1273z00_1039); BUNSPEC; 
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_tmp1272z00_1040;
BgL_tmp1272z00_1040 = 
apply(BgL_pz00_2380, BgL_lz00_2379); 
{ /* Llib/sqlite.scm 272 */
 bool_t BgL_test2786z00_5385;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1845z00_1821;
BgL_arg1845z00_1821 = 
BGL_EXITD_PROTECT(BgL_exitd1271z00_1038); 
BgL_test2786z00_5385 = 
PAIRP(BgL_arg1845z00_1821); } 
if(BgL_test2786z00_5385)
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1843z00_1822;
{ /* Llib/sqlite.scm 272 */
 obj_t BgL_arg1844z00_1823;
BgL_arg1844z00_1823 = 
BGL_EXITD_PROTECT(BgL_exitd1271z00_1038); 
BgL_arg1843z00_1822 = 
CDR(
((obj_t)BgL_arg1844z00_1823)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1271z00_1038, BgL_arg1843z00_1822); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 272 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1270z00_2377, BgL_ohs1262z00_1036); BUNSPEC; 
BgL_res1277z00_1035 = BgL_tmp1272z00_1040; } } } } } } 
POP_ENV_EXIT(BgL_env1270z00_2377); 
return BgL_res1277z00_1035;} } 
}} 

}



/* &sqlite-get-sqlite1489 */
obj_t BGl_z62sqlitezd2getzd2sqlite1489z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2215, obj_t BgL_oz00_2216, obj_t BgL_pz00_2217, obj_t BgL_fmtz00_2218, obj_t BgL_argsz00_2219)
{
{ /* Llib/sqlite.scm 247 */
return 
BGl_sqlitezd2getzd2sqlite1489ze70ze7zz__sqlite_sqlitez00(
((BgL_sqlitez00_bglt)BgL_oz00_2216), BgL_pz00_2217, BgL_fmtz00_2218, BgL_argsz00_2219);} 

}



/* sqlite-get-sqlite1489~0 */
obj_t BGl_sqlitezd2getzd2sqlite1489ze70ze7zz__sqlite_sqlitez00(BgL_sqlitez00_bglt BgL_oz00_783, obj_t BgL_pz00_784, obj_t BgL_fmtz00_785, obj_t BgL_argsz00_786)
{
{ /* Llib/sqlite.scm 247 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_pz00_784, 
(int)(2L)))
{ /* Llib/sqlite.scm 249 */
 obj_t BgL_excz00_2220;
BgL_excz00_2220 = 
BGL_MAKE_UNSAFE_CELL(BFALSE); 
{ /* Llib/sqlite.scm 249 */
 obj_t BgL_pz00_790;
{ 

{ /* Llib/sqlite.scm 250 */
 int BgL_aux1187z00_805;
BgL_aux1187z00_805 = 
PROCEDURE_ARITY(BgL_pz00_784); 
switch( 
(long)(BgL_aux1187z00_805)) { case 1L : 

{ /* Llib/sqlite.scm 250 */
 obj_t BgL_zc3z04anonymousza32100ze3z87_2106;
BgL_zc3z04anonymousza32100ze3z87_2106 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32100ze3ze5zz__sqlite_sqlitez00, 
(int)(1L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32100ze3z87_2106, 
(int)(0L), BgL_pz00_784); 
PROCEDURE_SET(BgL_zc3z04anonymousza32100ze3z87_2106, 
(int)(1L), 
((obj_t)BgL_excz00_2220)); 
BgL_pz00_790 = BgL_zc3z04anonymousza32100ze3z87_2106; } break;case 2L : 

{ /* Llib/sqlite.scm 250 */
 obj_t BgL_zc3z04anonymousza32105ze3z87_2107;
BgL_zc3z04anonymousza32105ze3z87_2107 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32105ze3ze5zz__sqlite_sqlitez00, 
(int)(2L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32105ze3z87_2107, 
(int)(0L), BgL_pz00_784); 
PROCEDURE_SET(BgL_zc3z04anonymousza32105ze3z87_2107, 
(int)(1L), 
((obj_t)BgL_excz00_2220)); 
BgL_pz00_790 = BgL_zc3z04anonymousza32105ze3z87_2107; } break;case 3L : 

{ /* Llib/sqlite.scm 250 */
 obj_t BgL_zc3z04anonymousza32110ze3z87_2108;
BgL_zc3z04anonymousza32110ze3z87_2108 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32110ze3ze5zz__sqlite_sqlitez00, 
(int)(3L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32110ze3z87_2108, 
(int)(0L), BgL_pz00_784); 
PROCEDURE_SET(BgL_zc3z04anonymousza32110ze3z87_2108, 
(int)(1L), 
((obj_t)BgL_excz00_2220)); 
BgL_pz00_790 = BgL_zc3z04anonymousza32110ze3z87_2108; } break;case 4L : 

{ /* Llib/sqlite.scm 250 */
 obj_t BgL_zc3z04anonymousza32115ze3z87_2109;
BgL_zc3z04anonymousza32115ze3z87_2109 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32115ze3ze5zz__sqlite_sqlitez00, 
(int)(4L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32115ze3z87_2109, 
(int)(0L), BgL_pz00_784); 
PROCEDURE_SET(BgL_zc3z04anonymousza32115ze3z87_2109, 
(int)(1L), 
((obj_t)BgL_excz00_2220)); 
BgL_pz00_790 = BgL_zc3z04anonymousza32115ze3z87_2109; } break;
default: 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_zc3z04anonymousza32120ze3z87_2111;
BgL_zc3z04anonymousza32120ze3z87_2111 = 
MAKE_VA_PROCEDURE(BGl_z62zc3z04anonymousza32120ze3ze5zz__sqlite_sqlitez00, 
(int)((-1L)), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32120ze3z87_2111, 
(int)(0L), BgL_pz00_784); 
PROCEDURE_SET(BgL_zc3z04anonymousza32120ze3z87_2111, 
(int)(1L), 
((obj_t)BgL_excz00_2220)); 
BgL_pz00_790 = BgL_zc3z04anonymousza32120ze3z87_2111; } } } } 
{ /* Llib/sqlite.scm 250 */

{ /* Llib/sqlite.scm 251 */
 obj_t BgL_exitd1256z00_791;
BgL_exitd1256z00_791 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/sqlite.scm 256 */
 obj_t BgL_zc3z04anonymousza32099ze3z87_2110;
BgL_zc3z04anonymousza32099ze3z87_2110 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32099ze3ze5zz__sqlite_sqlitez00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32099ze3z87_2110, 
(int)(0L), 
((obj_t)BgL_excz00_2220)); 
{ /* Llib/sqlite.scm 251 */
 obj_t BgL_arg1846z00_1811;
{ /* Llib/sqlite.scm 251 */
 obj_t BgL_arg1847z00_1812;
BgL_arg1847z00_1812 = 
BGL_EXITD_PROTECT(BgL_exitd1256z00_791); 
BgL_arg1846z00_1811 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32099ze3z87_2110, BgL_arg1847z00_1812); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1256z00_791, BgL_arg1846z00_1811); BUNSPEC; } 
{ /* Llib/sqlite.scm 252 */
 obj_t BgL_tmp1258z00_793;
if(
NULLP(BgL_argsz00_786))
{ /* Llib/sqlite.scm 254 */
 void * BgL_arg2093z00_796;
BgL_arg2093z00_796 = 
(((BgL_sqlitez00_bglt)COBJECT(BgL_oz00_783))->BgL_z42builtinz42); 
BgL_tmp1258z00_793 = 
bgl_sqlite_get(BgL_arg2093z00_796, BgL_pz00_790, 
BSTRING_TO_STRING(BgL_fmtz00_785), 
((obj_t)BgL_oz00_783)); }  else 
{ /* Llib/sqlite.scm 255 */
 void * BgL_arg2094z00_797; obj_t BgL_arg2095z00_798;
BgL_arg2094z00_797 = 
(((BgL_sqlitez00_bglt)COBJECT(BgL_oz00_783))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 255 */
 obj_t BgL_runner2098z00_801;
{ /* Llib/sqlite.scm 255 */
 obj_t BgL_list2096z00_799;
BgL_list2096z00_799 = 
MAKE_YOUNG_PAIR(BgL_argsz00_786, BNIL); 
BgL_runner2098z00_801 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_fmtz00_785, BgL_list2096z00_799); } 
{ /* Llib/sqlite.scm 255 */
 obj_t BgL_aux2097z00_800;
BgL_aux2097z00_800 = 
CAR(BgL_runner2098z00_801); 
BgL_runner2098z00_801 = 
CDR(BgL_runner2098z00_801); 
BgL_arg2095z00_798 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux2097z00_800, BgL_runner2098z00_801); } } 
BgL_tmp1258z00_793 = 
bgl_sqlite_get(BgL_arg2094z00_797, BgL_pz00_790, 
BSTRING_TO_STRING(BgL_arg2095z00_798), 
((obj_t)BgL_oz00_783)); } 
{ /* Llib/sqlite.scm 251 */
 bool_t BgL_test2789z00_5467;
{ /* Llib/sqlite.scm 251 */
 obj_t BgL_arg1845z00_1816;
BgL_arg1845z00_1816 = 
BGL_EXITD_PROTECT(BgL_exitd1256z00_791); 
BgL_test2789z00_5467 = 
PAIRP(BgL_arg1845z00_1816); } 
if(BgL_test2789z00_5467)
{ /* Llib/sqlite.scm 251 */
 obj_t BgL_arg1843z00_1817;
{ /* Llib/sqlite.scm 251 */
 obj_t BgL_arg1844z00_1818;
BgL_arg1844z00_1818 = 
BGL_EXITD_PROTECT(BgL_exitd1256z00_791); 
BgL_arg1843z00_1817 = 
CDR(
((obj_t)BgL_arg1844z00_1818)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1256z00_791, BgL_arg1843z00_1817); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 251 */BFALSE; } } 
if(
CBOOL(
BGL_UNSAFE_CELL_REF(BgL_excz00_2220)))
{ /* Llib/sqlite.scm 256 */
BGl_raisez00zz__errorz00(
BGL_UNSAFE_CELL_REF(BgL_excz00_2220)); }  else 
{ /* Llib/sqlite.scm 256 */BFALSE; } 
return BgL_tmp1258z00_793;} } } } } }  else 
{ /* Llib/sqlite.scm 248 */
return 
BGl_errorz00zz__errorz00(BGl_string2413z00zz__sqlite_sqlitez00, BGl_string2412z00zz__sqlite_sqlitez00, BgL_pz00_784);} } 

}



/* &<@anonymous:2099> */
obj_t BGl_z62zc3z04anonymousza32099ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2222)
{
{ /* Llib/sqlite.scm 251 */
{ /* Llib/sqlite.scm 256 */
 obj_t BgL_excz00_2223;
BgL_excz00_2223 = 
PROCEDURE_REF(BgL_envz00_2222, 
(int)(0L)); 
if(
CBOOL(
BGL_UNSAFE_CELL_REF(BgL_excz00_2223)))
{ /* Llib/sqlite.scm 256 */
return 
BGl_raisez00zz__errorz00(
BGL_UNSAFE_CELL_REF(BgL_excz00_2223));}  else 
{ /* Llib/sqlite.scm 256 */
return BFALSE;} } } 

}



/* &<@anonymous:2115> */
obj_t BGl_z62zc3z04anonymousza32115ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2224, obj_t BgL_xz00_2227, obj_t BgL_yz00_2228, obj_t BgL_za7za7_2229, obj_t BgL_tz00_2230)
{
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_pz00_2225; obj_t BgL_excz00_2226;
BgL_pz00_2225 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2224, 
(int)(0L))); 
BgL_excz00_2226 = 
PROCEDURE_REF(BgL_envz00_2224, 
(int)(1L)); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_env1247z00_3089;
BgL_env1247z00_3089 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_cell1242z00_3090;
BgL_cell1242z00_3090 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_val1246z00_3091;
BgL_val1246z00_3091 = 
BGl_zc3z04exitza32117ze3ze70z60zz__sqlite_sqlitez00(BgL_tz00_2230, BgL_za7za7_2229, BgL_yz00_2228, BgL_xz00_2227, BgL_pz00_2225, BgL_cell1242z00_3090, BgL_env1247z00_3089); 
if(
(BgL_val1246z00_3091==BgL_cell1242z00_3090))
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 int BgL_tmpz00_5493;
BgL_tmpz00_5493 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5493); } 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2116z00_3092;
BgL_arg2116z00_3092 = 
CELL_REF(
((obj_t)BgL_val1246z00_3091)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2226, BgL_arg2116z00_3092);} }  else 
{ /* Llib/sqlite.scm 250 */
return BgL_val1246z00_3091;} } } } } } 

}



/* <@exit:2117>~0 */
obj_t BGl_zc3z04exitza32117ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_tz00_2376, obj_t BgL_za7za7_2375, obj_t BgL_yz00_2374, obj_t BgL_xz00_2373, obj_t BgL_pz00_2372, obj_t BgL_cell1242z00_2371, obj_t BgL_env1247z00_2370)
{
{ /* Llib/sqlite.scm 250 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1251z00_880;
if (SET_EXIT(BgL_an_exit1251z00_880)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1251z00_880 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1247z00_2370, BgL_an_exit1251z00_880, 1L); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_escape1243z00_881;
BgL_escape1243z00_881 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1247z00_2370); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_res1254z00_882;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_ohs1239z00_883;
BgL_ohs1239z00_883 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1247z00_2370); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_hds1240z00_884;
BgL_hds1240z00_884 = 
MAKE_STACK_PAIR(BgL_escape1243z00_881, BgL_cell1242z00_2371); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1247z00_2370, BgL_hds1240z00_884); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_exitd1248z00_885;
BgL_exitd1248z00_885 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1247z00_2370); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1250z00_886;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2118z00_888;
BgL_arg2118z00_888 = 
BGL_EXITD_PROTECT(BgL_exitd1248z00_885); 
BgL_tmp1250z00_886 = 
MAKE_YOUNG_PAIR(BgL_ohs1239z00_883, BgL_arg2118z00_888); } 
{ /* Llib/sqlite.scm 250 */

BGL_EXITD_PROTECT_SET(BgL_exitd1248z00_885, BgL_tmp1250z00_886); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1249z00_887;
BgL_tmp1249z00_887 = 
BGL_PROCEDURE_CALL4(BgL_pz00_2372, BgL_xz00_2373, BgL_yz00_2374, BgL_za7za7_2375, BgL_tz00_2376); 
{ /* Llib/sqlite.scm 250 */
 bool_t BgL_test2793z00_5516;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1845z00_1806;
BgL_arg1845z00_1806 = 
BGL_EXITD_PROTECT(BgL_exitd1248z00_885); 
BgL_test2793z00_5516 = 
PAIRP(BgL_arg1845z00_1806); } 
if(BgL_test2793z00_5516)
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1843z00_1807;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1844z00_1808;
BgL_arg1844z00_1808 = 
BGL_EXITD_PROTECT(BgL_exitd1248z00_885); 
BgL_arg1843z00_1807 = 
CDR(
((obj_t)BgL_arg1844z00_1808)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1248z00_885, BgL_arg1843z00_1807); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 250 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1247z00_2370, BgL_ohs1239z00_883); BUNSPEC; 
BgL_res1254z00_882 = BgL_tmp1249z00_887; } } } } } } 
POP_ENV_EXIT(BgL_env1247z00_2370); 
return BgL_res1254z00_882;} } 
}} 

}



/* &<@anonymous:2110> */
obj_t BGl_z62zc3z04anonymousza32110ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2232, obj_t BgL_xz00_2235, obj_t BgL_yz00_2236, obj_t BgL_za7za7_2237)
{
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_pz00_2233; obj_t BgL_excz00_2234;
BgL_pz00_2233 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2232, 
(int)(0L))); 
BgL_excz00_2234 = 
PROCEDURE_REF(BgL_envz00_2232, 
(int)(1L)); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_env1230z00_3093;
BgL_env1230z00_3093 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_cell1225z00_3094;
BgL_cell1225z00_3094 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_val1229z00_3095;
BgL_val1229z00_3095 = 
BGl_zc3z04exitza32112ze3ze70z60zz__sqlite_sqlitez00(BgL_za7za7_2237, BgL_yz00_2236, BgL_xz00_2235, BgL_pz00_2233, BgL_cell1225z00_3094, BgL_env1230z00_3093); 
if(
(BgL_val1229z00_3095==BgL_cell1225z00_3094))
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 int BgL_tmpz00_5535;
BgL_tmpz00_5535 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5535); } 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2111z00_3096;
BgL_arg2111z00_3096 = 
CELL_REF(
((obj_t)BgL_val1229z00_3095)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2234, BgL_arg2111z00_3096);} }  else 
{ /* Llib/sqlite.scm 250 */
return BgL_val1229z00_3095;} } } } } } 

}



/* <@exit:2112>~0 */
obj_t BGl_zc3z04exitza32112ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_za7za7_2369, obj_t BgL_yz00_2368, obj_t BgL_xz00_2367, obj_t BgL_pz00_2366, obj_t BgL_cell1225z00_2365, obj_t BgL_env1230z00_2364)
{
{ /* Llib/sqlite.scm 250 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1234z00_857;
if (SET_EXIT(BgL_an_exit1234z00_857)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1234z00_857 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1230z00_2364, BgL_an_exit1234z00_857, 1L); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_escape1226z00_858;
BgL_escape1226z00_858 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1230z00_2364); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_res1237z00_859;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_ohs1222z00_860;
BgL_ohs1222z00_860 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1230z00_2364); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_hds1223z00_861;
BgL_hds1223z00_861 = 
MAKE_STACK_PAIR(BgL_escape1226z00_858, BgL_cell1225z00_2365); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1230z00_2364, BgL_hds1223z00_861); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_exitd1231z00_862;
BgL_exitd1231z00_862 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1230z00_2364); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1233z00_863;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2113z00_865;
BgL_arg2113z00_865 = 
BGL_EXITD_PROTECT(BgL_exitd1231z00_862); 
BgL_tmp1233z00_863 = 
MAKE_YOUNG_PAIR(BgL_ohs1222z00_860, BgL_arg2113z00_865); } 
{ /* Llib/sqlite.scm 250 */

BGL_EXITD_PROTECT_SET(BgL_exitd1231z00_862, BgL_tmp1233z00_863); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1232z00_864;
BgL_tmp1232z00_864 = 
BGL_PROCEDURE_CALL3(BgL_pz00_2366, BgL_xz00_2367, BgL_yz00_2368, BgL_za7za7_2369); 
{ /* Llib/sqlite.scm 250 */
 bool_t BgL_test2795z00_5557;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1845z00_1800;
BgL_arg1845z00_1800 = 
BGL_EXITD_PROTECT(BgL_exitd1231z00_862); 
BgL_test2795z00_5557 = 
PAIRP(BgL_arg1845z00_1800); } 
if(BgL_test2795z00_5557)
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1843z00_1801;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1844z00_1802;
BgL_arg1844z00_1802 = 
BGL_EXITD_PROTECT(BgL_exitd1231z00_862); 
BgL_arg1843z00_1801 = 
CDR(
((obj_t)BgL_arg1844z00_1802)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1231z00_862, BgL_arg1843z00_1801); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 250 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1230z00_2364, BgL_ohs1222z00_860); BUNSPEC; 
BgL_res1237z00_859 = BgL_tmp1232z00_864; } } } } } } 
POP_ENV_EXIT(BgL_env1230z00_2364); 
return BgL_res1237z00_859;} } 
}} 

}



/* &<@anonymous:2105> */
obj_t BGl_z62zc3z04anonymousza32105ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2239, obj_t BgL_xz00_2242, obj_t BgL_yz00_2243)
{
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_pz00_2240; obj_t BgL_excz00_2241;
BgL_pz00_2240 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2239, 
(int)(0L))); 
BgL_excz00_2241 = 
PROCEDURE_REF(BgL_envz00_2239, 
(int)(1L)); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_env1213z00_3097;
BgL_env1213z00_3097 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_cell1208z00_3098;
BgL_cell1208z00_3098 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_val1212z00_3099;
BgL_val1212z00_3099 = 
BGl_zc3z04exitza32107ze3ze70z60zz__sqlite_sqlitez00(BgL_yz00_2243, BgL_xz00_2242, BgL_pz00_2240, BgL_cell1208z00_3098, BgL_env1213z00_3097); 
if(
(BgL_val1212z00_3099==BgL_cell1208z00_3098))
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 int BgL_tmpz00_5576;
BgL_tmpz00_5576 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5576); } 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2106z00_3100;
BgL_arg2106z00_3100 = 
CELL_REF(
((obj_t)BgL_val1212z00_3099)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2241, BgL_arg2106z00_3100);} }  else 
{ /* Llib/sqlite.scm 250 */
return BgL_val1212z00_3099;} } } } } } 

}



/* <@exit:2107>~0 */
obj_t BGl_zc3z04exitza32107ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_yz00_2363, obj_t BgL_xz00_2362, obj_t BgL_pz00_2361, obj_t BgL_cell1208z00_2360, obj_t BgL_env1213z00_2359)
{
{ /* Llib/sqlite.scm 250 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1217z00_835;
if (SET_EXIT(BgL_an_exit1217z00_835)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1217z00_835 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1213z00_2359, BgL_an_exit1217z00_835, 1L); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_escape1209z00_836;
BgL_escape1209z00_836 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1213z00_2359); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_res1220z00_837;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_ohs1205z00_838;
BgL_ohs1205z00_838 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1213z00_2359); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_hds1206z00_839;
BgL_hds1206z00_839 = 
MAKE_STACK_PAIR(BgL_escape1209z00_836, BgL_cell1208z00_2360); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1213z00_2359, BgL_hds1206z00_839); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_exitd1214z00_840;
BgL_exitd1214z00_840 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1213z00_2359); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1216z00_841;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2108z00_843;
BgL_arg2108z00_843 = 
BGL_EXITD_PROTECT(BgL_exitd1214z00_840); 
BgL_tmp1216z00_841 = 
MAKE_YOUNG_PAIR(BgL_ohs1205z00_838, BgL_arg2108z00_843); } 
{ /* Llib/sqlite.scm 250 */

BGL_EXITD_PROTECT_SET(BgL_exitd1214z00_840, BgL_tmp1216z00_841); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1215z00_842;
BgL_tmp1215z00_842 = 
BGL_PROCEDURE_CALL2(BgL_pz00_2361, BgL_xz00_2362, BgL_yz00_2363); 
{ /* Llib/sqlite.scm 250 */
 bool_t BgL_test2797z00_5597;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1845z00_1794;
BgL_arg1845z00_1794 = 
BGL_EXITD_PROTECT(BgL_exitd1214z00_840); 
BgL_test2797z00_5597 = 
PAIRP(BgL_arg1845z00_1794); } 
if(BgL_test2797z00_5597)
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1843z00_1795;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1844z00_1796;
BgL_arg1844z00_1796 = 
BGL_EXITD_PROTECT(BgL_exitd1214z00_840); 
BgL_arg1843z00_1795 = 
CDR(
((obj_t)BgL_arg1844z00_1796)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1214z00_840, BgL_arg1843z00_1795); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 250 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1213z00_2359, BgL_ohs1205z00_838); BUNSPEC; 
BgL_res1220z00_837 = BgL_tmp1215z00_842; } } } } } } 
POP_ENV_EXIT(BgL_env1213z00_2359); 
return BgL_res1220z00_837;} } 
}} 

}



/* &<@anonymous:2100> */
obj_t BGl_z62zc3z04anonymousza32100ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2245, obj_t BgL_xz00_2248)
{
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_pz00_2246; obj_t BgL_excz00_2247;
BgL_pz00_2246 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2245, 
(int)(0L))); 
BgL_excz00_2247 = 
PROCEDURE_REF(BgL_envz00_2245, 
(int)(1L)); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_env1196z00_3101;
BgL_env1196z00_3101 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_cell1191z00_3102;
BgL_cell1191z00_3102 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_val1195z00_3103;
BgL_val1195z00_3103 = 
BGl_zc3z04exitza32102ze3ze70z60zz__sqlite_sqlitez00(BgL_xz00_2248, BgL_pz00_2246, BgL_cell1191z00_3102, BgL_env1196z00_3101); 
if(
(BgL_val1195z00_3103==BgL_cell1191z00_3102))
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 int BgL_tmpz00_5616;
BgL_tmpz00_5616 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5616); } 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2101z00_3104;
BgL_arg2101z00_3104 = 
CELL_REF(
((obj_t)BgL_val1195z00_3103)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2247, BgL_arg2101z00_3104);} }  else 
{ /* Llib/sqlite.scm 250 */
return BgL_val1195z00_3103;} } } } } } 

}



/* <@exit:2102>~0 */
obj_t BGl_zc3z04exitza32102ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_xz00_2358, obj_t BgL_pz00_2357, obj_t BgL_cell1191z00_2356, obj_t BgL_env1196z00_2355)
{
{ /* Llib/sqlite.scm 250 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1200z00_814;
if (SET_EXIT(BgL_an_exit1200z00_814)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1200z00_814 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1196z00_2355, BgL_an_exit1200z00_814, 1L); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_escape1192z00_815;
BgL_escape1192z00_815 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1196z00_2355); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_res1203z00_816;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_ohs1188z00_817;
BgL_ohs1188z00_817 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1196z00_2355); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_hds1189z00_818;
BgL_hds1189z00_818 = 
MAKE_STACK_PAIR(BgL_escape1192z00_815, BgL_cell1191z00_2356); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1196z00_2355, BgL_hds1189z00_818); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_exitd1197z00_819;
BgL_exitd1197z00_819 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1196z00_2355); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1199z00_820;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2103z00_822;
BgL_arg2103z00_822 = 
BGL_EXITD_PROTECT(BgL_exitd1197z00_819); 
BgL_tmp1199z00_820 = 
MAKE_YOUNG_PAIR(BgL_ohs1188z00_817, BgL_arg2103z00_822); } 
{ /* Llib/sqlite.scm 250 */

BGL_EXITD_PROTECT_SET(BgL_exitd1197z00_819, BgL_tmp1199z00_820); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1198z00_821;
BgL_tmp1198z00_821 = 
BGL_PROCEDURE_CALL1(BgL_pz00_2357, BgL_xz00_2358); 
{ /* Llib/sqlite.scm 250 */
 bool_t BgL_test2799z00_5636;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1845z00_1788;
BgL_arg1845z00_1788 = 
BGL_EXITD_PROTECT(BgL_exitd1197z00_819); 
BgL_test2799z00_5636 = 
PAIRP(BgL_arg1845z00_1788); } 
if(BgL_test2799z00_5636)
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1843z00_1789;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1844z00_1790;
BgL_arg1844z00_1790 = 
BGL_EXITD_PROTECT(BgL_exitd1197z00_819); 
BgL_arg1843z00_1789 = 
CDR(
((obj_t)BgL_arg1844z00_1790)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1197z00_819, BgL_arg1843z00_1789); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 250 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1196z00_2355, BgL_ohs1188z00_817); BUNSPEC; 
BgL_res1203z00_816 = BgL_tmp1198z00_821; } } } } } } 
POP_ENV_EXIT(BgL_env1196z00_2355); 
return BgL_res1203z00_816;} } 
}} 

}



/* &<@anonymous:2120> */
obj_t BGl_z62zc3z04anonymousza32120ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2250, obj_t BgL_lz00_2253)
{
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_pz00_2251; obj_t BgL_excz00_2252;
BgL_pz00_2251 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2250, 
(int)(0L))); 
BgL_excz00_2252 = 
PROCEDURE_REF(BgL_envz00_2250, 
(int)(1L)); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_env1177z00_3105;
BgL_env1177z00_3105 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_cell1172z00_3106;
BgL_cell1172z00_3106 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_val1176z00_3107;
BgL_val1176z00_3107 = 
BGl_zc3z04exitza32122ze3ze70z60zz__sqlite_sqlitez00(BgL_pz00_2251, BgL_lz00_2253, BgL_cell1172z00_3106, BgL_env1177z00_3105); 
if(
(BgL_val1176z00_3107==BgL_cell1172z00_3106))
{ /* Llib/sqlite.scm 250 */
{ /* Llib/sqlite.scm 250 */
 int BgL_tmpz00_5655;
BgL_tmpz00_5655 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5655); } 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2121z00_3108;
BgL_arg2121z00_3108 = 
CELL_REF(
((obj_t)BgL_val1176z00_3107)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2252, BgL_arg2121z00_3108);} }  else 
{ /* Llib/sqlite.scm 250 */
return BgL_val1176z00_3107;} } } } } } 

}



/* <@exit:2122>~0 */
obj_t BGl_zc3z04exitza32122ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_pz00_2354, obj_t BgL_lz00_2353, obj_t BgL_cell1172z00_2352, obj_t BgL_env1177z00_2351)
{
{ /* Llib/sqlite.scm 250 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1181z00_900;
if (SET_EXIT(BgL_an_exit1181z00_900)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1181z00_900 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1177z00_2351, BgL_an_exit1181z00_900, 1L); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_escape1173z00_901;
BgL_escape1173z00_901 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1177z00_2351); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_res1184z00_902;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_ohs1169z00_903;
BgL_ohs1169z00_903 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1177z00_2351); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_hds1170z00_904;
BgL_hds1170z00_904 = 
MAKE_STACK_PAIR(BgL_escape1173z00_901, BgL_cell1172z00_2352); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1177z00_2351, BgL_hds1170z00_904); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_exitd1178z00_905;
BgL_exitd1178z00_905 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1177z00_2351); 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1180z00_906;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg2123z00_908;
BgL_arg2123z00_908 = 
BGL_EXITD_PROTECT(BgL_exitd1178z00_905); 
BgL_tmp1180z00_906 = 
MAKE_YOUNG_PAIR(BgL_ohs1169z00_903, BgL_arg2123z00_908); } 
{ /* Llib/sqlite.scm 250 */

BGL_EXITD_PROTECT_SET(BgL_exitd1178z00_905, BgL_tmp1180z00_906); BUNSPEC; 
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_tmp1179z00_907;
BgL_tmp1179z00_907 = 
apply(BgL_pz00_2354, BgL_lz00_2353); 
{ /* Llib/sqlite.scm 250 */
 bool_t BgL_test2801z00_5673;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1845z00_1781;
BgL_arg1845z00_1781 = 
BGL_EXITD_PROTECT(BgL_exitd1178z00_905); 
BgL_test2801z00_5673 = 
PAIRP(BgL_arg1845z00_1781); } 
if(BgL_test2801z00_5673)
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1843z00_1782;
{ /* Llib/sqlite.scm 250 */
 obj_t BgL_arg1844z00_1783;
BgL_arg1844z00_1783 = 
BGL_EXITD_PROTECT(BgL_exitd1178z00_905); 
BgL_arg1843z00_1782 = 
CDR(
((obj_t)BgL_arg1844z00_1783)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1178z00_905, BgL_arg1843z00_1782); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 250 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1177z00_2351, BgL_ohs1169z00_903); BUNSPEC; 
BgL_res1184z00_902 = BgL_tmp1179z00_907; } } } } } } 
POP_ENV_EXIT(BgL_env1177z00_2351); 
return BgL_res1184z00_902;} } 
}} 

}



/* &sqlite-eval-sqlite1485 */
obj_t BGl_z62sqlitezd2evalzd2sqlite1485z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2255, obj_t BgL_oz00_2256, obj_t BgL_pz00_2257, obj_t BgL_fmtz00_2258, obj_t BgL_argsz00_2259)
{
{ /* Llib/sqlite.scm 224 */
return 
BGl_sqlitezd2evalzd2sqlite1485ze70ze7zz__sqlite_sqlitez00(
((BgL_sqlitez00_bglt)BgL_oz00_2256), BgL_pz00_2257, BgL_fmtz00_2258, BgL_argsz00_2259);} 

}



/* sqlite-eval-sqlite1485~0 */
obj_t BGl_sqlitezd2evalzd2sqlite1485ze70ze7zz__sqlite_sqlitez00(BgL_sqlitez00_bglt BgL_oz00_650, obj_t BgL_pz00_651, obj_t BgL_fmtz00_652, obj_t BgL_argsz00_653)
{
{ /* Llib/sqlite.scm 224 */
{ /* Llib/sqlite.scm 225 */
 obj_t BgL_excz00_2260;
BgL_excz00_2260 = 
BGL_MAKE_UNSAFE_CELL(BFALSE); 
{ /* Llib/sqlite.scm 225 */
 obj_t BgL_pz00_657;
{ 

{ /* Llib/sqlite.scm 226 */
 int BgL_aux1094z00_672;
BgL_aux1094z00_672 = 
PROCEDURE_ARITY(BgL_pz00_651); 
switch( 
(long)(BgL_aux1094z00_672)) { case 1L : 

{ /* Llib/sqlite.scm 226 */
 obj_t BgL_zc3z04anonymousza32064ze3z87_2113;
BgL_zc3z04anonymousza32064ze3z87_2113 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32064ze3ze5zz__sqlite_sqlitez00, 
(int)(1L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32064ze3z87_2113, 
(int)(0L), BgL_pz00_651); 
PROCEDURE_SET(BgL_zc3z04anonymousza32064ze3z87_2113, 
(int)(1L), 
((obj_t)BgL_excz00_2260)); 
BgL_pz00_657 = BgL_zc3z04anonymousza32064ze3z87_2113; } break;case 2L : 

{ /* Llib/sqlite.scm 226 */
 obj_t BgL_zc3z04anonymousza32069ze3z87_2114;
BgL_zc3z04anonymousza32069ze3z87_2114 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32069ze3ze5zz__sqlite_sqlitez00, 
(int)(2L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32069ze3z87_2114, 
(int)(0L), BgL_pz00_651); 
PROCEDURE_SET(BgL_zc3z04anonymousza32069ze3z87_2114, 
(int)(1L), 
((obj_t)BgL_excz00_2260)); 
BgL_pz00_657 = BgL_zc3z04anonymousza32069ze3z87_2114; } break;case 3L : 

{ /* Llib/sqlite.scm 226 */
 obj_t BgL_zc3z04anonymousza32074ze3z87_2115;
BgL_zc3z04anonymousza32074ze3z87_2115 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32074ze3ze5zz__sqlite_sqlitez00, 
(int)(3L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32074ze3z87_2115, 
(int)(0L), BgL_pz00_651); 
PROCEDURE_SET(BgL_zc3z04anonymousza32074ze3z87_2115, 
(int)(1L), 
((obj_t)BgL_excz00_2260)); 
BgL_pz00_657 = BgL_zc3z04anonymousza32074ze3z87_2115; } break;case 4L : 

{ /* Llib/sqlite.scm 226 */
 obj_t BgL_zc3z04anonymousza32079ze3z87_2116;
BgL_zc3z04anonymousza32079ze3z87_2116 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32079ze3ze5zz__sqlite_sqlitez00, 
(int)(4L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32079ze3z87_2116, 
(int)(0L), BgL_pz00_651); 
PROCEDURE_SET(BgL_zc3z04anonymousza32079ze3z87_2116, 
(int)(1L), 
((obj_t)BgL_excz00_2260)); 
BgL_pz00_657 = BgL_zc3z04anonymousza32079ze3z87_2116; } break;
default: 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_zc3z04anonymousza32084ze3z87_2118;
BgL_zc3z04anonymousza32084ze3z87_2118 = 
MAKE_VA_PROCEDURE(BGl_z62zc3z04anonymousza32084ze3ze5zz__sqlite_sqlitez00, 
(int)((-1L)), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32084ze3z87_2118, 
(int)(0L), BgL_pz00_651); 
PROCEDURE_SET(BgL_zc3z04anonymousza32084ze3z87_2118, 
(int)(1L), 
((obj_t)BgL_excz00_2260)); 
BgL_pz00_657 = BgL_zc3z04anonymousza32084ze3z87_2118; } } } } 
{ /* Llib/sqlite.scm 226 */

{ /* Llib/sqlite.scm 227 */
 obj_t BgL_exitd1163z00_658;
BgL_exitd1163z00_658 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/sqlite.scm 232 */
 obj_t BgL_zc3z04anonymousza32063ze3z87_2117;
BgL_zc3z04anonymousza32063ze3z87_2117 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32063ze3ze5zz__sqlite_sqlitez00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32063ze3z87_2117, 
(int)(0L), 
((obj_t)BgL_excz00_2260)); 
{ /* Llib/sqlite.scm 227 */
 obj_t BgL_arg1846z00_1771;
{ /* Llib/sqlite.scm 227 */
 obj_t BgL_arg1847z00_1772;
BgL_arg1847z00_1772 = 
BGL_EXITD_PROTECT(BgL_exitd1163z00_658); 
BgL_arg1846z00_1771 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32063ze3z87_2117, BgL_arg1847z00_1772); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1163z00_658, BgL_arg1846z00_1771); BUNSPEC; } 
{ /* Llib/sqlite.scm 228 */
 obj_t BgL_tmp1165z00_660;
if(
NULLP(BgL_argsz00_653))
{ /* Llib/sqlite.scm 230 */
 void * BgL_arg2057z00_663;
BgL_arg2057z00_663 = 
(((BgL_sqlitez00_bglt)COBJECT(BgL_oz00_650))->BgL_z42builtinz42); 
BgL_tmp1165z00_660 = 
bgl_sqlite_eval(BgL_arg2057z00_663, BgL_pz00_657, 
BSTRING_TO_STRING(BgL_fmtz00_652), 
((obj_t)BgL_oz00_650)); }  else 
{ /* Llib/sqlite.scm 231 */
 void * BgL_arg2058z00_664; obj_t BgL_arg2059z00_665;
BgL_arg2058z00_664 = 
(((BgL_sqlitez00_bglt)COBJECT(BgL_oz00_650))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 231 */
 obj_t BgL_runner2062z00_668;
{ /* Llib/sqlite.scm 231 */
 obj_t BgL_list2060z00_666;
BgL_list2060z00_666 = 
MAKE_YOUNG_PAIR(BgL_argsz00_653, BNIL); 
BgL_runner2062z00_668 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_fmtz00_652, BgL_list2060z00_666); } 
{ /* Llib/sqlite.scm 231 */
 obj_t BgL_aux2061z00_667;
BgL_aux2061z00_667 = 
CAR(BgL_runner2062z00_668); 
BgL_runner2062z00_668 = 
CDR(BgL_runner2062z00_668); 
BgL_arg2059z00_665 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux2061z00_667, BgL_runner2062z00_668); } } 
BgL_tmp1165z00_660 = 
bgl_sqlite_eval(BgL_arg2058z00_664, BgL_pz00_657, 
BSTRING_TO_STRING(BgL_arg2059z00_665), 
((obj_t)BgL_oz00_650)); } 
{ /* Llib/sqlite.scm 227 */
 bool_t BgL_test2803z00_5752;
{ /* Llib/sqlite.scm 227 */
 obj_t BgL_arg1845z00_1776;
BgL_arg1845z00_1776 = 
BGL_EXITD_PROTECT(BgL_exitd1163z00_658); 
BgL_test2803z00_5752 = 
PAIRP(BgL_arg1845z00_1776); } 
if(BgL_test2803z00_5752)
{ /* Llib/sqlite.scm 227 */
 obj_t BgL_arg1843z00_1777;
{ /* Llib/sqlite.scm 227 */
 obj_t BgL_arg1844z00_1778;
BgL_arg1844z00_1778 = 
BGL_EXITD_PROTECT(BgL_exitd1163z00_658); 
BgL_arg1843z00_1777 = 
CDR(
((obj_t)BgL_arg1844z00_1778)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1163z00_658, BgL_arg1843z00_1777); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 227 */BFALSE; } } 
if(
CBOOL(
BGL_UNSAFE_CELL_REF(BgL_excz00_2260)))
{ /* Llib/sqlite.scm 232 */
BGl_raisez00zz__errorz00(
BGL_UNSAFE_CELL_REF(BgL_excz00_2260)); }  else 
{ /* Llib/sqlite.scm 232 */BFALSE; } 
return BgL_tmp1165z00_660;} } } } } } } 

}



/* &<@anonymous:2063> */
obj_t BGl_z62zc3z04anonymousza32063ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2262)
{
{ /* Llib/sqlite.scm 227 */
{ /* Llib/sqlite.scm 232 */
 obj_t BgL_excz00_2263;
BgL_excz00_2263 = 
PROCEDURE_REF(BgL_envz00_2262, 
(int)(0L)); 
if(
CBOOL(
BGL_UNSAFE_CELL_REF(BgL_excz00_2263)))
{ /* Llib/sqlite.scm 232 */
return 
BGl_raisez00zz__errorz00(
BGL_UNSAFE_CELL_REF(BgL_excz00_2263));}  else 
{ /* Llib/sqlite.scm 232 */
return BFALSE;} } } 

}



/* &<@anonymous:2079> */
obj_t BGl_z62zc3z04anonymousza32079ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2264, obj_t BgL_xz00_2267, obj_t BgL_yz00_2268, obj_t BgL_za7za7_2269, obj_t BgL_tz00_2270)
{
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_pz00_2265; obj_t BgL_excz00_2266;
BgL_pz00_2265 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2264, 
(int)(0L))); 
BgL_excz00_2266 = 
PROCEDURE_REF(BgL_envz00_2264, 
(int)(1L)); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_env1154z00_3109;
BgL_env1154z00_3109 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_cell1149z00_3110;
BgL_cell1149z00_3110 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_val1153z00_3111;
BgL_val1153z00_3111 = 
BGl_zc3z04exitza32081ze3ze70z60zz__sqlite_sqlitez00(BgL_tz00_2270, BgL_za7za7_2269, BgL_yz00_2268, BgL_xz00_2267, BgL_pz00_2265, BgL_cell1149z00_3110, BgL_env1154z00_3109); 
if(
(BgL_val1153z00_3111==BgL_cell1149z00_3110))
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 int BgL_tmpz00_5777;
BgL_tmpz00_5777 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5777); } 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2080z00_3112;
BgL_arg2080z00_3112 = 
CELL_REF(
((obj_t)BgL_val1153z00_3111)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2266, BgL_arg2080z00_3112);} }  else 
{ /* Llib/sqlite.scm 226 */
return BgL_val1153z00_3111;} } } } } } 

}



/* <@exit:2081>~0 */
obj_t BGl_zc3z04exitza32081ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_tz00_2350, obj_t BgL_za7za7_2349, obj_t BgL_yz00_2348, obj_t BgL_xz00_2347, obj_t BgL_pz00_2346, obj_t BgL_cell1149z00_2345, obj_t BgL_env1154z00_2344)
{
{ /* Llib/sqlite.scm 226 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1158z00_747;
if (SET_EXIT(BgL_an_exit1158z00_747)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1158z00_747 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1154z00_2344, BgL_an_exit1158z00_747, 1L); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_escape1150z00_748;
BgL_escape1150z00_748 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1154z00_2344); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_res1161z00_749;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_ohs1146z00_750;
BgL_ohs1146z00_750 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1154z00_2344); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_hds1147z00_751;
BgL_hds1147z00_751 = 
MAKE_STACK_PAIR(BgL_escape1150z00_748, BgL_cell1149z00_2345); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1154z00_2344, BgL_hds1147z00_751); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_exitd1155z00_752;
BgL_exitd1155z00_752 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1154z00_2344); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1157z00_753;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2082z00_755;
BgL_arg2082z00_755 = 
BGL_EXITD_PROTECT(BgL_exitd1155z00_752); 
BgL_tmp1157z00_753 = 
MAKE_YOUNG_PAIR(BgL_ohs1146z00_750, BgL_arg2082z00_755); } 
{ /* Llib/sqlite.scm 226 */

BGL_EXITD_PROTECT_SET(BgL_exitd1155z00_752, BgL_tmp1157z00_753); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1156z00_754;
BgL_tmp1156z00_754 = 
BGL_PROCEDURE_CALL4(BgL_pz00_2346, BgL_xz00_2347, BgL_yz00_2348, BgL_za7za7_2349, BgL_tz00_2350); 
{ /* Llib/sqlite.scm 226 */
 bool_t BgL_test2807z00_5800;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1845z00_1766;
BgL_arg1845z00_1766 = 
BGL_EXITD_PROTECT(BgL_exitd1155z00_752); 
BgL_test2807z00_5800 = 
PAIRP(BgL_arg1845z00_1766); } 
if(BgL_test2807z00_5800)
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1843z00_1767;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1844z00_1768;
BgL_arg1844z00_1768 = 
BGL_EXITD_PROTECT(BgL_exitd1155z00_752); 
BgL_arg1843z00_1767 = 
CDR(
((obj_t)BgL_arg1844z00_1768)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1155z00_752, BgL_arg1843z00_1767); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 226 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1154z00_2344, BgL_ohs1146z00_750); BUNSPEC; 
BgL_res1161z00_749 = BgL_tmp1156z00_754; } } } } } } 
POP_ENV_EXIT(BgL_env1154z00_2344); 
return BgL_res1161z00_749;} } 
}} 

}



/* &<@anonymous:2074> */
obj_t BGl_z62zc3z04anonymousza32074ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2272, obj_t BgL_xz00_2275, obj_t BgL_yz00_2276, obj_t BgL_za7za7_2277)
{
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_pz00_2273; obj_t BgL_excz00_2274;
BgL_pz00_2273 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2272, 
(int)(0L))); 
BgL_excz00_2274 = 
PROCEDURE_REF(BgL_envz00_2272, 
(int)(1L)); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_env1137z00_3113;
BgL_env1137z00_3113 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_cell1132z00_3114;
BgL_cell1132z00_3114 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_val1136z00_3115;
BgL_val1136z00_3115 = 
BGl_zc3z04exitza32076ze3ze70z60zz__sqlite_sqlitez00(BgL_za7za7_2277, BgL_yz00_2276, BgL_xz00_2275, BgL_pz00_2273, BgL_cell1132z00_3114, BgL_env1137z00_3113); 
if(
(BgL_val1136z00_3115==BgL_cell1132z00_3114))
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 int BgL_tmpz00_5819;
BgL_tmpz00_5819 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5819); } 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2075z00_3116;
BgL_arg2075z00_3116 = 
CELL_REF(
((obj_t)BgL_val1136z00_3115)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2274, BgL_arg2075z00_3116);} }  else 
{ /* Llib/sqlite.scm 226 */
return BgL_val1136z00_3115;} } } } } } 

}



/* <@exit:2076>~0 */
obj_t BGl_zc3z04exitza32076ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_za7za7_2343, obj_t BgL_yz00_2342, obj_t BgL_xz00_2341, obj_t BgL_pz00_2340, obj_t BgL_cell1132z00_2339, obj_t BgL_env1137z00_2338)
{
{ /* Llib/sqlite.scm 226 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1141z00_724;
if (SET_EXIT(BgL_an_exit1141z00_724)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1141z00_724 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1137z00_2338, BgL_an_exit1141z00_724, 1L); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_escape1133z00_725;
BgL_escape1133z00_725 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1137z00_2338); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_res1144z00_726;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_ohs1129z00_727;
BgL_ohs1129z00_727 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1137z00_2338); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_hds1130z00_728;
BgL_hds1130z00_728 = 
MAKE_STACK_PAIR(BgL_escape1133z00_725, BgL_cell1132z00_2339); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1137z00_2338, BgL_hds1130z00_728); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_exitd1138z00_729;
BgL_exitd1138z00_729 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1137z00_2338); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1140z00_730;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2077z00_732;
BgL_arg2077z00_732 = 
BGL_EXITD_PROTECT(BgL_exitd1138z00_729); 
BgL_tmp1140z00_730 = 
MAKE_YOUNG_PAIR(BgL_ohs1129z00_727, BgL_arg2077z00_732); } 
{ /* Llib/sqlite.scm 226 */

BGL_EXITD_PROTECT_SET(BgL_exitd1138z00_729, BgL_tmp1140z00_730); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1139z00_731;
BgL_tmp1139z00_731 = 
BGL_PROCEDURE_CALL3(BgL_pz00_2340, BgL_xz00_2341, BgL_yz00_2342, BgL_za7za7_2343); 
{ /* Llib/sqlite.scm 226 */
 bool_t BgL_test2809z00_5841;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1845z00_1760;
BgL_arg1845z00_1760 = 
BGL_EXITD_PROTECT(BgL_exitd1138z00_729); 
BgL_test2809z00_5841 = 
PAIRP(BgL_arg1845z00_1760); } 
if(BgL_test2809z00_5841)
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1843z00_1761;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1844z00_1762;
BgL_arg1844z00_1762 = 
BGL_EXITD_PROTECT(BgL_exitd1138z00_729); 
BgL_arg1843z00_1761 = 
CDR(
((obj_t)BgL_arg1844z00_1762)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1138z00_729, BgL_arg1843z00_1761); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 226 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1137z00_2338, BgL_ohs1129z00_727); BUNSPEC; 
BgL_res1144z00_726 = BgL_tmp1139z00_731; } } } } } } 
POP_ENV_EXIT(BgL_env1137z00_2338); 
return BgL_res1144z00_726;} } 
}} 

}



/* &<@anonymous:2069> */
obj_t BGl_z62zc3z04anonymousza32069ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2279, obj_t BgL_xz00_2282, obj_t BgL_yz00_2283)
{
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_pz00_2280; obj_t BgL_excz00_2281;
BgL_pz00_2280 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2279, 
(int)(0L))); 
BgL_excz00_2281 = 
PROCEDURE_REF(BgL_envz00_2279, 
(int)(1L)); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_env1120z00_3117;
BgL_env1120z00_3117 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_cell1115z00_3118;
BgL_cell1115z00_3118 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_val1119z00_3119;
BgL_val1119z00_3119 = 
BGl_zc3z04exitza32071ze3ze70z60zz__sqlite_sqlitez00(BgL_yz00_2283, BgL_xz00_2282, BgL_pz00_2280, BgL_cell1115z00_3118, BgL_env1120z00_3117); 
if(
(BgL_val1119z00_3119==BgL_cell1115z00_3118))
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 int BgL_tmpz00_5860;
BgL_tmpz00_5860 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5860); } 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2070z00_3120;
BgL_arg2070z00_3120 = 
CELL_REF(
((obj_t)BgL_val1119z00_3119)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2281, BgL_arg2070z00_3120);} }  else 
{ /* Llib/sqlite.scm 226 */
return BgL_val1119z00_3119;} } } } } } 

}



/* <@exit:2071>~0 */
obj_t BGl_zc3z04exitza32071ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_yz00_2337, obj_t BgL_xz00_2336, obj_t BgL_pz00_2335, obj_t BgL_cell1115z00_2334, obj_t BgL_env1120z00_2333)
{
{ /* Llib/sqlite.scm 226 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1124z00_702;
if (SET_EXIT(BgL_an_exit1124z00_702)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1124z00_702 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1120z00_2333, BgL_an_exit1124z00_702, 1L); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_escape1116z00_703;
BgL_escape1116z00_703 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1120z00_2333); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_res1127z00_704;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_ohs1112z00_705;
BgL_ohs1112z00_705 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1120z00_2333); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_hds1113z00_706;
BgL_hds1113z00_706 = 
MAKE_STACK_PAIR(BgL_escape1116z00_703, BgL_cell1115z00_2334); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1120z00_2333, BgL_hds1113z00_706); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_exitd1121z00_707;
BgL_exitd1121z00_707 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1120z00_2333); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1123z00_708;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2072z00_710;
BgL_arg2072z00_710 = 
BGL_EXITD_PROTECT(BgL_exitd1121z00_707); 
BgL_tmp1123z00_708 = 
MAKE_YOUNG_PAIR(BgL_ohs1112z00_705, BgL_arg2072z00_710); } 
{ /* Llib/sqlite.scm 226 */

BGL_EXITD_PROTECT_SET(BgL_exitd1121z00_707, BgL_tmp1123z00_708); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1122z00_709;
BgL_tmp1122z00_709 = 
BGL_PROCEDURE_CALL2(BgL_pz00_2335, BgL_xz00_2336, BgL_yz00_2337); 
{ /* Llib/sqlite.scm 226 */
 bool_t BgL_test2811z00_5881;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1845z00_1754;
BgL_arg1845z00_1754 = 
BGL_EXITD_PROTECT(BgL_exitd1121z00_707); 
BgL_test2811z00_5881 = 
PAIRP(BgL_arg1845z00_1754); } 
if(BgL_test2811z00_5881)
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1843z00_1755;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1844z00_1756;
BgL_arg1844z00_1756 = 
BGL_EXITD_PROTECT(BgL_exitd1121z00_707); 
BgL_arg1843z00_1755 = 
CDR(
((obj_t)BgL_arg1844z00_1756)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1121z00_707, BgL_arg1843z00_1755); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 226 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1120z00_2333, BgL_ohs1112z00_705); BUNSPEC; 
BgL_res1127z00_704 = BgL_tmp1122z00_709; } } } } } } 
POP_ENV_EXIT(BgL_env1120z00_2333); 
return BgL_res1127z00_704;} } 
}} 

}



/* &<@anonymous:2064> */
obj_t BGl_z62zc3z04anonymousza32064ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2285, obj_t BgL_xz00_2288)
{
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_pz00_2286; obj_t BgL_excz00_2287;
BgL_pz00_2286 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2285, 
(int)(0L))); 
BgL_excz00_2287 = 
PROCEDURE_REF(BgL_envz00_2285, 
(int)(1L)); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_env1103z00_3121;
BgL_env1103z00_3121 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_cell1098z00_3122;
BgL_cell1098z00_3122 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_val1102z00_3123;
BgL_val1102z00_3123 = 
BGl_zc3z04exitza32066ze3ze70z60zz__sqlite_sqlitez00(BgL_xz00_2288, BgL_pz00_2286, BgL_cell1098z00_3122, BgL_env1103z00_3121); 
if(
(BgL_val1102z00_3123==BgL_cell1098z00_3122))
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 int BgL_tmpz00_5900;
BgL_tmpz00_5900 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5900); } 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2065z00_3124;
BgL_arg2065z00_3124 = 
CELL_REF(
((obj_t)BgL_val1102z00_3123)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2287, BgL_arg2065z00_3124);} }  else 
{ /* Llib/sqlite.scm 226 */
return BgL_val1102z00_3123;} } } } } } 

}



/* <@exit:2066>~0 */
obj_t BGl_zc3z04exitza32066ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_xz00_2332, obj_t BgL_pz00_2331, obj_t BgL_cell1098z00_2330, obj_t BgL_env1103z00_2329)
{
{ /* Llib/sqlite.scm 226 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1107z00_681;
if (SET_EXIT(BgL_an_exit1107z00_681)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1107z00_681 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1103z00_2329, BgL_an_exit1107z00_681, 1L); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_escape1099z00_682;
BgL_escape1099z00_682 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1103z00_2329); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_res1110z00_683;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_ohs1095z00_684;
BgL_ohs1095z00_684 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1103z00_2329); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_hds1096z00_685;
BgL_hds1096z00_685 = 
MAKE_STACK_PAIR(BgL_escape1099z00_682, BgL_cell1098z00_2330); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1103z00_2329, BgL_hds1096z00_685); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_exitd1104z00_686;
BgL_exitd1104z00_686 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1103z00_2329); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1106z00_687;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2067z00_689;
BgL_arg2067z00_689 = 
BGL_EXITD_PROTECT(BgL_exitd1104z00_686); 
BgL_tmp1106z00_687 = 
MAKE_YOUNG_PAIR(BgL_ohs1095z00_684, BgL_arg2067z00_689); } 
{ /* Llib/sqlite.scm 226 */

BGL_EXITD_PROTECT_SET(BgL_exitd1104z00_686, BgL_tmp1106z00_687); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1105z00_688;
BgL_tmp1105z00_688 = 
BGL_PROCEDURE_CALL1(BgL_pz00_2331, BgL_xz00_2332); 
{ /* Llib/sqlite.scm 226 */
 bool_t BgL_test2813z00_5920;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1845z00_1748;
BgL_arg1845z00_1748 = 
BGL_EXITD_PROTECT(BgL_exitd1104z00_686); 
BgL_test2813z00_5920 = 
PAIRP(BgL_arg1845z00_1748); } 
if(BgL_test2813z00_5920)
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1843z00_1749;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1844z00_1750;
BgL_arg1844z00_1750 = 
BGL_EXITD_PROTECT(BgL_exitd1104z00_686); 
BgL_arg1843z00_1749 = 
CDR(
((obj_t)BgL_arg1844z00_1750)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1104z00_686, BgL_arg1843z00_1749); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 226 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1103z00_2329, BgL_ohs1095z00_684); BUNSPEC; 
BgL_res1110z00_683 = BgL_tmp1105z00_688; } } } } } } 
POP_ENV_EXIT(BgL_env1103z00_2329); 
return BgL_res1110z00_683;} } 
}} 

}



/* &<@anonymous:2084> */
obj_t BGl_z62zc3z04anonymousza32084ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2290, obj_t BgL_lz00_2293)
{
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_pz00_2291; obj_t BgL_excz00_2292;
BgL_pz00_2291 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2290, 
(int)(0L))); 
BgL_excz00_2292 = 
PROCEDURE_REF(BgL_envz00_2290, 
(int)(1L)); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_env1084z00_3125;
BgL_env1084z00_3125 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_cell1079z00_3126;
BgL_cell1079z00_3126 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_val1083z00_3127;
BgL_val1083z00_3127 = 
BGl_zc3z04exitza32086ze3ze70z60zz__sqlite_sqlitez00(BgL_pz00_2291, BgL_lz00_2293, BgL_cell1079z00_3126, BgL_env1084z00_3125); 
if(
(BgL_val1083z00_3127==BgL_cell1079z00_3126))
{ /* Llib/sqlite.scm 226 */
{ /* Llib/sqlite.scm 226 */
 int BgL_tmpz00_5939;
BgL_tmpz00_5939 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_5939); } 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2085z00_3128;
BgL_arg2085z00_3128 = 
CELL_REF(
((obj_t)BgL_val1083z00_3127)); 
return 
BGL_UNSAFE_CELL_SET(BgL_excz00_2292, BgL_arg2085z00_3128);} }  else 
{ /* Llib/sqlite.scm 226 */
return BgL_val1083z00_3127;} } } } } } 

}



/* <@exit:2086>~0 */
obj_t BGl_zc3z04exitza32086ze3ze70z60zz__sqlite_sqlitez00(obj_t BgL_pz00_2328, obj_t BgL_lz00_2327, obj_t BgL_cell1079z00_2326, obj_t BgL_env1084z00_2325)
{
{ /* Llib/sqlite.scm 226 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1088z00_767;
if (SET_EXIT(BgL_an_exit1088z00_767)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1088z00_767 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1084z00_2325, BgL_an_exit1088z00_767, 1L); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_escape1080z00_768;
BgL_escape1080z00_768 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1084z00_2325); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_res1091z00_769;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_ohs1076z00_770;
BgL_ohs1076z00_770 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1084z00_2325); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_hds1077z00_771;
BgL_hds1077z00_771 = 
MAKE_STACK_PAIR(BgL_escape1080z00_768, BgL_cell1079z00_2326); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1084z00_2325, BgL_hds1077z00_771); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_exitd1085z00_772;
BgL_exitd1085z00_772 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1084z00_2325); 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1087z00_773;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg2087z00_775;
BgL_arg2087z00_775 = 
BGL_EXITD_PROTECT(BgL_exitd1085z00_772); 
BgL_tmp1087z00_773 = 
MAKE_YOUNG_PAIR(BgL_ohs1076z00_770, BgL_arg2087z00_775); } 
{ /* Llib/sqlite.scm 226 */

BGL_EXITD_PROTECT_SET(BgL_exitd1085z00_772, BgL_tmp1087z00_773); BUNSPEC; 
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_tmp1086z00_774;
BgL_tmp1086z00_774 = 
apply(BgL_pz00_2328, BgL_lz00_2327); 
{ /* Llib/sqlite.scm 226 */
 bool_t BgL_test2815z00_5957;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1845z00_1741;
BgL_arg1845z00_1741 = 
BGL_EXITD_PROTECT(BgL_exitd1085z00_772); 
BgL_test2815z00_5957 = 
PAIRP(BgL_arg1845z00_1741); } 
if(BgL_test2815z00_5957)
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1843z00_1742;
{ /* Llib/sqlite.scm 226 */
 obj_t BgL_arg1844z00_1743;
BgL_arg1844z00_1743 = 
BGL_EXITD_PROTECT(BgL_exitd1085z00_772); 
BgL_arg1843z00_1742 = 
CDR(
((obj_t)BgL_arg1844z00_1743)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1085z00_772, BgL_arg1843z00_1742); BUNSPEC; }  else 
{ /* Llib/sqlite.scm 226 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1084z00_2325, BgL_ohs1076z00_770); BUNSPEC; 
BgL_res1091z00_769 = BgL_tmp1086z00_774; } } } } } } 
POP_ENV_EXIT(BgL_env1084z00_2325); 
return BgL_res1091z00_769;} } 
}} 

}



/* &sqlite-exec-sqlite1481 */
obj_t BGl_z62sqlitezd2execzd2sqlite1481z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2295, obj_t BgL_oz00_2296, obj_t BgL_fmtz00_2297, obj_t BgL_argsz00_2298)
{
{ /* Llib/sqlite.scm 186 */
if(
NULLP(BgL_argsz00_2298))
{ /* Llib/sqlite.scm 189 */
 void * BgL_arg2048z00_3131;
BgL_arg2048z00_3131 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_2296)))->BgL_z42builtinz42); 
return 
bgl_sqlite_exec(BgL_arg2048z00_3131, 
BSTRING_TO_STRING(
((obj_t)BgL_fmtz00_2297)), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2296)));}  else 
{ /* Llib/sqlite.scm 190 */
 void * BgL_arg2049z00_3132; obj_t BgL_arg2050z00_3133;
BgL_arg2049z00_3132 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_2296)))->BgL_z42builtinz42); 
{ /* Llib/sqlite.scm 190 */
 obj_t BgL_runner2053z00_3134;
{ /* Llib/sqlite.scm 190 */
 obj_t BgL_list2051z00_3135;
BgL_list2051z00_3135 = 
MAKE_YOUNG_PAIR(BgL_argsz00_2298, BNIL); 
BgL_runner2053z00_3134 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
((obj_t)BgL_fmtz00_2297), BgL_list2051z00_3135); } 
{ /* Llib/sqlite.scm 190 */
 obj_t BgL_aux2052z00_3136;
BgL_aux2052z00_3136 = 
CAR(BgL_runner2053z00_3134); 
BgL_runner2053z00_3134 = 
CDR(BgL_runner2053z00_3134); 
BgL_arg2050z00_3133 = 
BGl_sqlitezd2formatzd2zz__sqlite_sqlitez00(BgL_aux2052z00_3136, BgL_runner2053z00_3134); } } 
return 
bgl_sqlite_exec(BgL_arg2049z00_3132, 
BSTRING_TO_STRING(BgL_arg2050z00_3133), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2296)));} } 

}



/* &sqlite-close-sqlite1477 */
obj_t BGl_z62sqlitezd2closezd2sqlite1477z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2299, obj_t BgL_oz00_2300)
{
{ /* Llib/sqlite.scm 171 */
{ /* Llib/sqlite.scm 173 */
 void * BgL_arg2046z00_3138;
BgL_arg2046z00_3138 = 
(((BgL_sqlitez00_bglt)COBJECT(
((BgL_sqlitez00_bglt)BgL_oz00_2300)))->BgL_z42builtinz42); 
bgl_sqlite_close(BgL_arg2046z00_3138, 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2300))); 
return BUNSPEC;} } 

}



/* &object-print-sqlite1473 */
obj_t BGl_z62objectzd2printzd2sqlite1473z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2301, obj_t BgL_oz00_2302, obj_t BgL_portz00_2303, obj_t BgL_printzd2slotzd2_2304)
{
{ /* Llib/sqlite.scm 95 */
{ /* Llib/sqlite.scm 96 */
 obj_t BgL_list2045z00_3140;
BgL_list2045z00_3140 = 
MAKE_YOUNG_PAIR(BgL_portz00_2303, BNIL); 
return 
BGl_objectzd2writezd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_sqlitez00_bglt)BgL_oz00_2302)), BgL_list2045z00_3140);} } 

}



/* &object-write-sqlite1471 */
obj_t BGl_z62objectzd2writezd2sqlite1471z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2305, obj_t BgL_oz00_2306, obj_t BgL_portz00_2307)
{
{ /* Llib/sqlite.scm 86 */
{ /* Llib/sqlite.scm 87 */
 obj_t BgL_arg2036z00_3142;
if(
PAIRP(BgL_portz00_2307))
{ /* Llib/sqlite.scm 87 */
BgL_arg2036z00_3142 = 
CAR(BgL_portz00_2307); }  else 
{ /* Llib/sqlite.scm 87 */
 obj_t BgL_tmpz00_5999;
BgL_tmpz00_5999 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg2036z00_3142 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_5999); } 
{ /* Llib/sqlite.scm 89 */
 obj_t BgL_zc3z04anonymousza32039ze3z87_3143;
BgL_zc3z04anonymousza32039ze3z87_3143 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32039ze3ze5zz__sqlite_sqlitez00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32039ze3z87_3143, 
(int)(0L), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2306))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg2036z00_3142, BgL_zc3z04anonymousza32039ze3z87_3143);} } } 

}



/* &<@anonymous:2039> */
obj_t BGl_z62zc3z04anonymousza32039ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2308)
{
{ /* Llib/sqlite.scm 88 */
{ /* Llib/sqlite.scm 89 */
 BgL_sqlitez00_bglt BgL_oz00_2309;
BgL_oz00_2309 = 
((BgL_sqlitez00_bglt)
PROCEDURE_REF(BgL_envz00_2308, 
(int)(0L))); 
{ /* Llib/sqlite.scm 90 */
 obj_t BgL_arg2040z00_3144;
BgL_arg2040z00_3144 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_2309)))->BgL_pathz00); 
{ /* Llib/sqlite.scm 90 */
 obj_t BgL_list2041z00_3145;
{ /* Llib/sqlite.scm 90 */
 obj_t BgL_arg2042z00_3146;
{ /* Llib/sqlite.scm 90 */
 obj_t BgL_arg2043z00_3147;
BgL_arg2043z00_3147 = 
MAKE_YOUNG_PAIR(BGl_string2444z00zz__sqlite_sqlitez00, BNIL); 
BgL_arg2042z00_3146 = 
MAKE_YOUNG_PAIR(BgL_arg2040z00_3144, BgL_arg2043z00_3147); } 
BgL_list2041z00_3145 = 
MAKE_YOUNG_PAIR(BGl_string2445z00zz__sqlite_sqlitez00, BgL_arg2042z00_3146); } 
return 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2041z00_3145);} } } } 

}



/* &object-display-sqlit1469 */
obj_t BGl_z62objectzd2displayzd2sqlit1469z62zz__sqlite_sqlitez00(obj_t BgL_envz00_2310, obj_t BgL_oz00_2311, obj_t BgL_portz00_2312)
{
{ /* Llib/sqlite.scm 77 */
{ /* Llib/sqlite.scm 78 */
 obj_t BgL_arg2027z00_3149;
if(
PAIRP(BgL_portz00_2312))
{ /* Llib/sqlite.scm 78 */
BgL_arg2027z00_3149 = 
CAR(BgL_portz00_2312); }  else 
{ /* Llib/sqlite.scm 78 */
 obj_t BgL_tmpz00_6022;
BgL_tmpz00_6022 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg2027z00_3149 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_6022); } 
{ /* Llib/sqlite.scm 80 */
 obj_t BgL_zc3z04anonymousza32030ze3z87_3150;
BgL_zc3z04anonymousza32030ze3z87_3150 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32030ze3ze5zz__sqlite_sqlitez00, 
(int)(0L), 
(int)(1L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_3150, 
(int)(0L), 
((obj_t)
((BgL_sqlitez00_bglt)BgL_oz00_2311))); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg2027z00_3149, BgL_zc3z04anonymousza32030ze3z87_3150);} } } 

}



/* &<@anonymous:2030> */
obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__sqlite_sqlitez00(obj_t BgL_envz00_2313)
{
{ /* Llib/sqlite.scm 79 */
{ /* Llib/sqlite.scm 80 */
 BgL_sqlitez00_bglt BgL_oz00_2314;
BgL_oz00_2314 = 
((BgL_sqlitez00_bglt)
PROCEDURE_REF(BgL_envz00_2313, 
(int)(0L))); 
{ /* Llib/sqlite.scm 81 */
 obj_t BgL_arg2031z00_3151;
BgL_arg2031z00_3151 = 
(((BgL_z52sqlitez52_bglt)COBJECT(
((BgL_z52sqlitez52_bglt)BgL_oz00_2314)))->BgL_pathz00); 
{ /* Llib/sqlite.scm 81 */
 obj_t BgL_list2032z00_3152;
{ /* Llib/sqlite.scm 81 */
 obj_t BgL_arg2033z00_3153;
{ /* Llib/sqlite.scm 81 */
 obj_t BgL_arg2034z00_3154;
BgL_arg2034z00_3154 = 
MAKE_YOUNG_PAIR(BGl_string2444z00zz__sqlite_sqlitez00, BNIL); 
BgL_arg2033z00_3153 = 
MAKE_YOUNG_PAIR(BgL_arg2031z00_3151, BgL_arg2034z00_3154); } 
BgL_list2032z00_3152 = 
MAKE_YOUNG_PAIR(BGl_string2445z00zz__sqlite_sqlitez00, BgL_arg2033z00_3153); } 
return 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list2032z00_3152);} } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__sqlite_sqlitez00(void)
{
{ /* Llib/sqlite.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__sqlite_sqltinyz00(71169298L, 
BSTRING_TO_STRING(BGl_string2446z00zz__sqlite_sqlitez00));} 

}

#ifdef __cplusplus
}
#endif
