/*===========================================================================*/
/*   (Ast/let.scm)                                                           */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/let.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_AST_LET_TYPE_DEFINITIONS
#define BGL_AST_LET_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;


#endif													// BGL_AST_LET_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	static obj_t BGl_z62letzd2symzf3z43zzast_letz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_letz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62letcollapsez62zzast_letz00(obj_t, obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	static BgL_letzd2varzd2_bglt BGl_makezd2genericzd2letz00zzast_letz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_letz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static bool_t BGl_directzd2functionzf3z21zzast_letz00(obj_t, bool_t);
	static bool_t BGl_safezd2letzd2optimzf3ze70z14zzast_letz00(obj_t,
		BgL_letzd2varzd2_bglt);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzast_letz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62letstarz62zzast_letz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzast_letz00(void);
	static BgL_nodez00_bglt BGl_z62stage1z62zzast_letz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62stage2z62zzast_letz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62stage3z62zzast_letz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62stage4z62zzast_letz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62stage5z62zzast_letz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62stage7z62zzast_letz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	static obj_t BGl_z62letzd2symzb0zzast_letz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32955ze3ze5zzast_letz00(obj_t, obj_t);
	static bool_t BGl_constantzf3zf3zzast_letz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	static bool_t BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_letzd2symzf3z21zzast_letz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzast_letz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_letz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62letzd2ze3nodez53zzast_letz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_epairifyzd2propagatezd2locz00zztools_miscz00(obj_t, obj_t);
	static BgL_letzd2varzd2_bglt BGl_letzd2orzd2letrecz00zzast_letz00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t);
	static obj_t BGl__functionzf3zf3zzast_letz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza32977ze3ze5zzast_letz00(obj_t, obj_t);
	static obj_t BGl_z62split3807z62zzast_letz00(obj_t, obj_t);
	static obj_t BGl_z62split3808z62zzast_letz00(obj_t, obj_t);
	static obj_t BGl_functionzf3zf3zzast_letz00(obj_t, obj_t);
	static obj_t BGl_z62split3809z62zzast_letz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_z62split3810z62zzast_letz00(obj_t, obj_t);
	static obj_t BGl_z62split3811z62zzast_letz00(obj_t, obj_t);
	static BgL_letzd2funzd2_bglt BGl_letzd2ze3labelsz31zzast_letz00(obj_t,
		BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	static obj_t BGl_z62mutablezd2inzf3z43zzast_letz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32996ze3ze5zzast_letz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62letrecza2zd2ze3nodezf1zzast_letz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62usedzd2inzf3z43zzast_letz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_substitutez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_z62splitz62zzast_letz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern BgL_nodez00_bglt BGl_substitutez12z12zzast_substitutez00(obj_t, obj_t,
		BgL_nodez00_bglt, obj_t);
	extern BgL_typez00_bglt BGl_typezd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_zc3z04anonymousza33184ze3ze70z60zzast_letz00(obj_t);
	static bool_t BGl_safezd2reczd2valzf3ze70z14zzast_letz00(obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_letrecursiveze70ze7zzast_letz00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_letz00(void);
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_letz00(void);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern obj_t BGl_nodezd2removez12zc0zzast_removez00(BgL_nodez00_bglt);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	extern BgL_localz00_bglt
		BGl_makezd2userzd2localzd2svarzd2zzast_localz00(obj_t, BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_letz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_letz00(void);
	static obj_t BGl_appendza2ze70z45zzast_letz00(obj_t, obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_za2letza2z00zzast_letz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_letzd2symzd2zzast_letz00(void);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_za2callzf2cczf3za2z01zzengine_paramz00;
	extern obj_t BGl_occurzd2nodez12zc0zzast_occurz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_zc3z04anonymousza33195ze3ze70z60zzast_letz00(obj_t);
	static bool_t BGl_loopze70ze7zzast_letz00(obj_t);
	static obj_t BGl_loopze71ze7zzast_letz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_loopze72ze7zzast_letz00(obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_letrecza2zd2ze3nodez93zzast_letz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62splitzd2headzd2letrecz62zzast_letz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodezf2effectzf2_bglt
		BGl_makezd2smartzd2genericzd2letzd2zzast_letz00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t);
	static obj_t __cnst[39];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_functionzf3zd2envz21zzast_letz00,
		BgL_bgl__functionza7f3za7f3za73831za7, opt_generic_entry,
		BGl__functionzf3zf3zzast_letz00, BFALSE, -1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2symzd2envz00zzast_letz00,
		BgL_bgl_za762letza7d2symza7b0za73832z00, BGl_z62letzd2symzb0zzast_letz00,
		0L, BUNSPEC, 0);
	      DEFINE_INT64(BGl_int643823z00zzast_letz00,
		BgL_bgl_int643823za700za7za7as3833za7, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_letrecza2zd2ze3nodezd2envz41zzast_letz00,
		BgL_bgl_za762letrecza7a2za7d2za73834z00,
		BGl_z62letrecza2zd2ze3nodezf1zzast_letz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2ze3nodezd2envze3zzast_letz00,
		BgL_bgl_za762letza7d2za7e3node3835za7, BGl_z62letzd2ze3nodez53zzast_letz00,
		0L, BUNSPEC, 4);
	      DEFINE_UINT64(BGl_uint643824z00zzast_letz00,
		BgL_bgl_uint643824za700za7za7a3836za7, 0);
	      DEFINE_INT32(BGl_int323821z00zzast_letz00,
		BgL_bgl_int323821za700za7za7as3837za7, 0);
	      DEFINE_REAL(BGl_real3825z00zzast_letz00,
		BgL_bgl_real3825za700za7za7ast3838za7, 0.0);
	      DEFINE_STRING(BGl_string3813z00zzast_letz00,
		BgL_bgl_string3813za700za7za7a3839za7, "Illegal `", 9);
	      DEFINE_STRING(BGl_string3814z00zzast_letz00,
		BgL_bgl_string3814za700za7za7a3840za7, "' form", 6);
	      DEFINE_STRING(BGl_string3816z00zzast_letz00,
		BgL_bgl_string3816za700za7za7a3841za7, "Illegal 'letrec*' form", 22);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2symzf3zd2envzf3zzast_letz00,
		BgL_bgl_za762letza7d2symza7f3za73842z00, BGl_z62letzd2symzf3z43zzast_letz00,
		0L, BUNSPEC, 1);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc3815z00zzast_letz00,
		BgL_bgl_za762split3807za762za73843za7, BGl_z62split3807z62zzast_letz00);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc3817z00zzast_letz00,
		BgL_bgl_za762split3808za762za73844za7, BGl_z62split3808z62zzast_letz00);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc3818z00zzast_letz00,
		BgL_bgl_za762split3809za762za73845za7, BGl_z62split3809z62zzast_letz00);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3819z00zzast_letz00,
		BgL_bgl_za762za7c3za704anonymo3846za7,
		BGl_z62zc3z04anonymousza32955ze3ze5zzast_letz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3826z00zzast_letz00,
		BgL_bgl_string3826za700za7za7a3847za7, "type-undefined", 14);
	      DEFINE_STRING(BGl_string3827z00zzast_letz00,
		BgL_bgl_string3827za700za7za7a3848za7, "cannot undefined type", 21);
	      DEFINE_STRING(BGl_string3828z00zzast_letz00,
		BgL_bgl_string3828za700za7za7a3849za7, "ast_let", 7);
	      DEFINE_STRING(BGl_string3829z00zzast_letz00,
		BgL_bgl_string3829za700za7za7a3850za7,
		"not if (+ - * +fx -fx *fx +elong -elong *elong +llong -llong *llong +s8 -s8 *s8 +u8 -u8 *u8 +s16 -s16 *s16 +u16 -u16 *u16 +s32 -s32 *s32 +u32 -u32 *u32 +s64 -s64 *s64 +u64 -u64 *u64 +f32 -f32 *f32 +f64 -f64 *f64 > >= < <= = >fx >=fx <fx <=fx =fx >elong >=elong <elong <=elong =elong >llong >=llong <llong <=llong =llong >s8 >=s8 <s8 <=s8 =s8 >u8 >=u8 <u8 <=u8 =u8 >s16 >=s16 <s16 <=s16 =s16 >u16 >=u16 <u16 <=u16 =u16 >s32 >=s32 <s32 <=s32 =s32 >u32 >=u32 <u32 <=u32 =u32 >s64 >=s64 <s64 <=s64 =s64 >u64 >=u64 <u64 <=u64 =u64 >f32 >=f32 <f32 <=f32 =f32 >f64 >=f64 <f64 <=f64 =f64 eq? equal? bit-lsh bit-rsh bit-ursh bit-not bit-xor bit-lshelong bit-rshelong bit-urshelong bit-notelong bit-xorelong bit-lshs8 bit-rshs8 bit-urshs8 bit-nots8 bit-xors8 bit-lshu8 bit-rshu8 bit-urshu8 bit-notu8 bit-xoru8 bit-lshs16 bit-rshs16 bit-urshs16 bit-nots16 bit-xors16 bit-lshu16 bit-rshu16 bit-urshu16 bit-notu16 bit-xoru16 bit-lshs32 bit-rshs32 bit-urshs32 bit-nots32 bit-xors32 bit-lshu32 bit-rshu32 bit-urshu32 bit-notu32 bit-xoru32 "
		"bit-lshs64 bit-rshs64 bit-urshs64 bit-nots64 bit-xors64 bit-lshu64 bit-rshu64 bit-urshu64 bit-notu64 bit-xoru64) char make-cell cell list procedure bool long int real double uint64 int64 uint32 int32 uint16 int16 uint8 int8 _ obj class-nil @ (_ obj) let* quote letrec begin labels lambda read set! letrec* write location value let ",
		1355);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3820z00zzast_letz00,
		BgL_bgl_za762za7c3za704anonymo3851za7,
		BGl_z62zc3z04anonymousza32977ze3ze5zzast_letz00, 0L, BUNSPEC, 1);
	      DEFINE_UINT32(BGl_uint323822z00zzast_letz00,
		BgL_bgl_uint323822za700za7za7a3852za7, 0);
	BGL_IMPORT obj_t BGl_expzd2envzd2zz__r4_numbers_6_5z00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_letz00));
		     ADD_ROOT((void *) (&BGl_za2letza2z00zzast_letz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long
		BgL_checksumz00_8288, char *BgL_fromz00_8289)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_letz00))
				{
					BGl_requirezd2initializa7ationz75zzast_letz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_letz00();
					BGl_libraryzd2moduleszd2initz00zzast_letz00();
					BGl_cnstzd2initzd2zzast_letz00();
					BGl_importedzd2moduleszd2initz00zzast_letz00();
					return BGl_toplevelzd2initzd2zzast_letz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_letz00(void)
	{
		{	/* Ast/let.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_let");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_let");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "ast_let");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"ast_let");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_let");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "ast_let");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "ast_let");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "ast_let");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "ast_let");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(0L, "ast_let");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L, "ast_let");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L,
				"ast_let");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "ast_let");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "ast_let");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_let");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "ast_let");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "ast_let");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_letz00(void)
	{
		{	/* Ast/let.scm 14 */
			{	/* Ast/let.scm 14 */
				obj_t BgL_cportz00_7860;

				{	/* Ast/let.scm 14 */
					obj_t BgL_stringz00_7867;

					BgL_stringz00_7867 = BGl_string3829z00zzast_letz00;
					{	/* Ast/let.scm 14 */
						obj_t BgL_startz00_7868;

						BgL_startz00_7868 = BINT(0L);
						{	/* Ast/let.scm 14 */
							obj_t BgL_endz00_7869;

							BgL_endz00_7869 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_7867)));
							{	/* Ast/let.scm 14 */

								BgL_cportz00_7860 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_7867, BgL_startz00_7868, BgL_endz00_7869);
				}}}}
				{
					long BgL_iz00_7861;

					BgL_iz00_7861 = 38L;
				BgL_loopz00_7862:
					if ((BgL_iz00_7861 == (-1L)))
						{	/* Ast/let.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/let.scm 14 */
							{	/* Ast/let.scm 14 */
								obj_t BgL_arg3830z00_7863;

								{	/* Ast/let.scm 14 */

									{	/* Ast/let.scm 14 */
										obj_t BgL_locationz00_7865;

										BgL_locationz00_7865 = BBOOL(((bool_t) 0));
										{	/* Ast/let.scm 14 */

											BgL_arg3830z00_7863 =
												BGl_readz00zz__readerz00(BgL_cportz00_7860,
												BgL_locationz00_7865);
										}
									}
								}
								{	/* Ast/let.scm 14 */
									int BgL_tmpz00_8324;

									BgL_tmpz00_8324 = (int) (BgL_iz00_7861);
									CNST_TABLE_SET(BgL_tmpz00_8324, BgL_arg3830z00_7863);
							}}
							{	/* Ast/let.scm 14 */
								int BgL_auxz00_7866;

								BgL_auxz00_7866 = (int) ((BgL_iz00_7861 - 1L));
								{
									long BgL_iz00_8329;

									BgL_iz00_8329 = (long) (BgL_auxz00_7866);
									BgL_iz00_7861 = BgL_iz00_8329;
									goto BgL_loopz00_7862;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_letz00(void)
	{
		{	/* Ast/let.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_letz00(void)
	{
		{	/* Ast/let.scm 14 */
			return (BGl_za2letza2z00zzast_letz00 =
				BGl_gensymz00zz__r4_symbols_6_4z00(
					((obj_t) CNST_TABLE_REF(0))), BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzast_letz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1720;

					BgL_headz00_1720 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1721;
						obj_t BgL_tailz00_1722;

						BgL_prevz00_1721 = BgL_headz00_1720;
						BgL_tailz00_1722 = BgL_l1z00_1;
					BgL_loopz00_1723:
						if (PAIRP(BgL_tailz00_1722))
							{
								obj_t BgL_newzd2prevzd2_1725;

								BgL_newzd2prevzd2_1725 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1722), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1721, BgL_newzd2prevzd2_1725);
								{
									obj_t BgL_tailz00_8344;
									obj_t BgL_prevz00_8343;

									BgL_prevz00_8343 = BgL_newzd2prevzd2_1725;
									BgL_tailz00_8344 = CDR(BgL_tailz00_1722);
									BgL_tailz00_1722 = BgL_tailz00_8344;
									BgL_prevz00_1721 = BgL_prevz00_8343;
									goto BgL_loopz00_1723;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1720);
					}
				}
		}

	}



/* let-sym */
	BGL_EXPORTED_DEF obj_t BGl_letzd2symzd2zzast_letz00(void)
	{
		{	/* Ast/let.scm 46 */
			return BGl_za2letza2z00zzast_letz00;
		}

	}



/* &let-sym */
	obj_t BGl_z62letzd2symzb0zzast_letz00(obj_t BgL_envz00_7747)
	{
		{	/* Ast/let.scm 46 */
			return BGl_letzd2symzd2zzast_letz00();
		}

	}



/* let-sym? */
	BGL_EXPORTED_DEF obj_t BGl_letzd2symzf3z21zzast_letz00(obj_t BgL_symz00_17)
	{
		{	/* Ast/let.scm 52 */
			return BBOOL((BgL_symz00_17 == BGl_za2letza2z00zzast_letz00));
		}

	}



/* &let-sym? */
	obj_t BGl_z62letzd2symzf3z43zzast_letz00(obj_t BgL_envz00_7748,
		obj_t BgL_symz00_7749)
	{
		{	/* Ast/let.scm 52 */
			return BGl_letzd2symzf3z21zzast_letz00(BgL_symz00_7749);
		}

	}



/* let->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t
		BgL_expz00_18, obj_t BgL_stackz00_19, obj_t BgL_olocz00_20,
		obj_t BgL_sitez00_21)
	{
		{	/* Ast/let.scm 58 */
			{
				obj_t BgL_bindingsz00_1742;
				obj_t BgL_bodyz00_1740;

				if (PAIRP(BgL_expz00_18))
					{	/* Ast/let.scm 69 */
						obj_t BgL_cdrzd2367zd2_1747;

						BgL_cdrzd2367zd2_1747 = CDR(((obj_t) BgL_expz00_18));
						if (PAIRP(BgL_cdrzd2367zd2_1747))
							{	/* Ast/let.scm 69 */
								if (NULLP(CAR(BgL_cdrzd2367zd2_1747)))
									{	/* Ast/let.scm 69 */
										obj_t BgL_arg1633z00_1751;

										BgL_arg1633z00_1751 = CDR(BgL_cdrzd2367zd2_1747);
										{
											BgL_letzd2varzd2_bglt BgL_auxz00_8361;

											BgL_bodyz00_1740 = BgL_arg1633z00_1751;
											{	/* Ast/let.scm 72 */
												obj_t BgL_nlocz00_1755;

												BgL_nlocz00_1755 =
													BGl_findzd2locationzf2locz20zztools_locationz00
													(BgL_expz00_18, BgL_olocz00_20);
												{	/* Ast/let.scm 72 */
													obj_t BgL_blocz00_1756;

													if (PAIRP(BgL_bodyz00_1740))
														{	/* Ast/let.scm 73 */
															BgL_blocz00_1756 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(CAR(BgL_bodyz00_1740), BgL_nlocz00_1755);
														}
													else
														{	/* Ast/let.scm 73 */
															BgL_blocz00_1756 = BgL_nlocz00_1755;
														}
													{	/* Ast/let.scm 73 */
														BgL_nodez00_bglt BgL_bodyz00_1757;

														{	/* Ast/let.scm 76 */
															obj_t BgL_arg1650z00_1763;

															BgL_arg1650z00_1763 =
																BGl_normaliza7ezd2prognz75zztools_prognz00
																(BgL_bodyz00_1740);
															BgL_bodyz00_1757 =
																BGl_sexpzd2ze3nodez31zzast_sexpz00
																(BgL_arg1650z00_1763, BgL_stackz00_19,
																BgL_blocz00_1756, ((obj_t) CNST_TABLE_REF(1)));
														}
														{	/* Ast/let.scm 76 */

															{	/* Ast/let.scm 81 */
																BgL_letzd2varzd2_bglt BgL_new1112z00_1758;

																{	/* Ast/let.scm 82 */
																	BgL_letzd2varzd2_bglt BgL_new1110z00_1761;

																	BgL_new1110z00_1761 =
																		((BgL_letzd2varzd2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_letzd2varzd2_bgl))));
																	{	/* Ast/let.scm 82 */
																		long BgL_arg1649z00_1762;

																		BgL_arg1649z00_1762 =
																			BGL_CLASS_NUM
																			(BGl_letzd2varzd2zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1110z00_1761),
																			BgL_arg1649z00_1762);
																	}
																	{	/* Ast/let.scm 82 */
																		BgL_objectz00_bglt BgL_tmpz00_8375;

																		BgL_tmpz00_8375 =
																			((BgL_objectz00_bglt)
																			BgL_new1110z00_1761);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8375,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1110z00_1761);
																	BgL_new1112z00_1758 = BgL_new1110z00_1761;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1112z00_1758)))->BgL_locz00) =
																	((obj_t) BgL_nlocz00_1755), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_8381;

																	{	/* Ast/let.scm 83 */
																		BgL_typez00_bglt BgL_arg1643z00_1759;

																		BgL_arg1643z00_1759 =
																			(((BgL_nodez00_bglt)
																				COBJECT(BgL_bodyz00_1757))->
																			BgL_typez00);
																		BgL_auxz00_8381 =
																			BGl_strictzd2nodezd2typez00zzast_nodez00((
																				(BgL_typez00_bglt)
																				BGl_za2_za2z00zztype_cachez00),
																			BgL_arg1643z00_1759);
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1112z00_1758)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_8381),
																		BUNSPEC);
																}
																((((BgL_nodezf2effectzf2_bglt) COBJECT(
																				((BgL_nodezf2effectzf2_bglt)
																					BgL_new1112z00_1758)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1112z00_1758)))->BgL_keyz00) =
																	((obj_t) BINT((-1L))), BUNSPEC);
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1112z00_1758))->
																		BgL_bindingsz00) = ((obj_t) BNIL), BUNSPEC);
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1112z00_1758))->
																		BgL_bodyz00) =
																	((BgL_nodez00_bglt) BgL_bodyz00_1757),
																	BUNSPEC);
																{
																	bool_t BgL_auxz00_8394;

																	{	/* Ast/let.scm 86 */
																		obj_t BgL_arg1648z00_1760;

																		BgL_arg1648z00_1760 =
																			BGl_thezd2backendzd2zzbackend_backendz00
																			();
																		BgL_auxz00_8394 =
																			(((BgL_backendz00_bglt)
																				COBJECT(((BgL_backendz00_bglt)
																						BgL_arg1648z00_1760)))->
																			BgL_removezd2emptyzd2letz00);
																	}
																	((((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_new1112z00_1758))->
																			BgL_removablezf3zf3) =
																		((bool_t) BgL_auxz00_8394), BUNSPEC);
																}
																BgL_auxz00_8361 = BgL_new1112z00_1758;
											}}}}}
											return ((BgL_nodez00_bglt) BgL_auxz00_8361);
										}
									}
								else
									{	/* Ast/let.scm 69 */
										obj_t BgL_arg1635z00_1752;

										BgL_arg1635z00_1752 = CAR(((obj_t) BgL_cdrzd2367zd2_1747));
										BgL_bindingsz00_1742 = BgL_arg1635z00_1752;
										{	/* Ast/let.scm 88 */
											bool_t BgL_test3861z00_8402;

											{	/* Ast/let.scm 88 */
												bool_t BgL_test3862z00_8403;

												if (PAIRP(BgL_bindingsz00_1742))
													{	/* Ast/let.scm 88 */
														BgL_test3862z00_8403 = ((bool_t) 1);
													}
												else
													{	/* Ast/let.scm 88 */
														BgL_test3862z00_8403 = NULLP(BgL_bindingsz00_1742);
													}
												if (BgL_test3862z00_8403)
													{
														obj_t BgL_bindingsz00_1794;

														BgL_bindingsz00_1794 = BgL_bindingsz00_1742;
													BgL_zc3z04anonymousza31693ze3z87_1795:
														if (NULLP(BgL_bindingsz00_1794))
															{	/* Ast/let.scm 90 */
																BgL_test3861z00_8402 = ((bool_t) 0);
															}
														else
															{	/* Ast/let.scm 92 */
																obj_t BgL_bindingz00_1797;

																BgL_bindingz00_1797 =
																	CAR(((obj_t) BgL_bindingsz00_1794));
																{

																	if (PAIRP(BgL_bindingz00_1797))
																		{	/* Ast/let.scm 93 */
																			obj_t BgL_cdrzd2388zd2_1802;

																			BgL_cdrzd2388zd2_1802 =
																				CDR(BgL_bindingz00_1797);
																			if (PAIRP(BgL_cdrzd2388zd2_1802))
																				{	/* Ast/let.scm 93 */
																					if (NULLP(CDR(BgL_cdrzd2388zd2_1802)))
																						{	/* Ast/let.scm 93 */
																							{
																								obj_t BgL_bindingsz00_8419;

																								BgL_bindingsz00_8419 =
																									CDR(
																									((obj_t)
																										BgL_bindingsz00_1794));
																								BgL_bindingsz00_1794 =
																									BgL_bindingsz00_8419;
																								goto
																									BgL_zc3z04anonymousza31693ze3z87_1795;
																							}
																						}
																					else
																						{	/* Ast/let.scm 93 */
																							BgL_test3861z00_8402 =
																								((bool_t) 1);
																						}
																				}
																			else
																				{	/* Ast/let.scm 93 */
																					BgL_test3861z00_8402 = ((bool_t) 1);
																				}
																		}
																	else
																		{	/* Ast/let.scm 93 */
																			BgL_test3861z00_8402 = ((bool_t) 1);
																		}
																}
															}
													}
												else
													{	/* Ast/let.scm 88 */
														BgL_test3861z00_8402 = ((bool_t) 1);
													}
											}
											if (BgL_test3861z00_8402)
												{	/* Ast/let.scm 99 */
													obj_t BgL_arg1677z00_1786;
													obj_t BgL_arg1679z00_1787;

													{	/* Ast/let.scm 99 */
														obj_t BgL_arg1680z00_1788;

														{	/* Ast/let.scm 99 */
															obj_t BgL_arg1686z00_1789;

															BgL_arg1686z00_1789 =
																CAR(((obj_t) BgL_expz00_18));
															{	/* Ast/let.scm 99 */
																obj_t BgL_arg1486z00_4817;

																BgL_arg1486z00_4817 =
																	SYMBOL_TO_STRING(
																	((obj_t) BgL_arg1686z00_1789));
																BgL_arg1680z00_1788 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1486z00_4817);
															}
														}
														BgL_arg1677z00_1786 =
															string_append_3(BGl_string3813z00zzast_letz00,
															BgL_arg1680z00_1788,
															BGl_string3814z00zzast_letz00);
													}
													BgL_arg1679z00_1787 =
														BGl_findzd2locationzf2locz20zztools_locationz00
														(BgL_expz00_18, BgL_olocz00_20);
													return
														BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
														(BgL_arg1677z00_1786, BgL_expz00_18,
														BgL_arg1679z00_1787);
												}
											else
												{	/* Ast/let.scm 103 */
													obj_t BgL_arg1691z00_1790;
													BgL_letzd2varzd2_bglt BgL_arg1692z00_1791;

													BgL_arg1691z00_1790 = CAR(((obj_t) BgL_expz00_18));
													BgL_arg1692z00_1791 =
														BGl_makezd2genericzd2letz00zzast_letz00
														(BgL_expz00_18, BgL_stackz00_19, BgL_olocz00_20,
														BgL_sitez00_21);
													return ((BgL_nodez00_bglt)
														BGl_makezd2smartzd2genericzd2letzd2zzast_letz00
														(BgL_arg1691z00_1790, BgL_arg1692z00_1791,
															BgL_sitez00_21));
												}
										}
									}
							}
						else
							{	/* Ast/let.scm 69 */
							BgL_tagzd2361zd2_1744:
								{	/* Ast/let.scm 108 */
									obj_t BgL_arg1699z00_1809;
									obj_t BgL_arg1703z00_1810;

									{	/* Ast/let.scm 108 */
										obj_t BgL_arg1715z00_1811;

										{	/* Ast/let.scm 108 */
											obj_t BgL_arg1716z00_1812;

											BgL_arg1716z00_1812 = CAR(((obj_t) BgL_expz00_18));
											{	/* Ast/let.scm 108 */
												obj_t BgL_arg1486z00_4821;

												BgL_arg1486z00_4821 =
													SYMBOL_TO_STRING(((obj_t) BgL_arg1716z00_1812));
												BgL_arg1715z00_1811 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1486z00_4821);
											}
										}
										BgL_arg1699z00_1809 =
											string_append_3(BGl_string3813z00zzast_letz00,
											BgL_arg1715z00_1811, BGl_string3814z00zzast_letz00);
									}
									BgL_arg1703z00_1810 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_expz00_18, BgL_olocz00_20);
									return
										BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
										(BgL_arg1699z00_1809, BgL_expz00_18, BgL_arg1703z00_1810);
								}
							}
					}
				else
					{	/* Ast/let.scm 69 */
						goto BgL_tagzd2361zd2_1744;
					}
			}
		}

	}



/* &let->node */
	BgL_nodez00_bglt BGl_z62letzd2ze3nodez53zzast_letz00(obj_t BgL_envz00_7750,
		obj_t BgL_expz00_7751, obj_t BgL_stackz00_7752, obj_t BgL_olocz00_7753,
		obj_t BgL_sitez00_7754)
	{
		{	/* Ast/let.scm 58 */
			return
				BGl_letzd2ze3nodez31zzast_letz00(BgL_expz00_7751, BgL_stackz00_7752,
				BgL_olocz00_7753, BgL_sitez00_7754);
		}

	}



/* make-generic-let */
	BgL_letzd2varzd2_bglt BGl_makezd2genericzd2letz00zzast_letz00(obj_t
		BgL_expz00_22, obj_t BgL_stackz00_23, obj_t BgL_olocz00_24,
		obj_t BgL_sitez00_25)
	{
		{	/* Ast/let.scm 115 */
			{	/* Ast/let.scm 116 */
				obj_t BgL_bindingsz00_1813;

				{	/* Ast/let.scm 116 */
					obj_t BgL_pairz00_4830;

					BgL_pairz00_4830 = CDR(((obj_t) BgL_expz00_22));
					BgL_bindingsz00_1813 = CAR(BgL_pairz00_4830);
				}
				{	/* Ast/let.scm 116 */
					obj_t BgL_locz00_1814;

					BgL_locz00_1814 =
						BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_22,
						BgL_olocz00_24);
					{	/* Ast/let.scm 117 */
						obj_t BgL_blocz00_1815;

						{	/* Ast/let.scm 118 */
							bool_t BgL_test3868z00_8448;

							{	/* Ast/let.scm 118 */
								obj_t BgL_tmpz00_8449;

								{	/* Ast/let.scm 118 */
									obj_t BgL_pairz00_4834;

									BgL_pairz00_4834 = CDR(((obj_t) BgL_expz00_22));
									BgL_tmpz00_8449 = CDR(BgL_pairz00_4834);
								}
								BgL_test3868z00_8448 = PAIRP(BgL_tmpz00_8449);
							}
							if (BgL_test3868z00_8448)
								{	/* Ast/let.scm 119 */
									obj_t BgL_arg1810z00_1890;

									{	/* Ast/let.scm 119 */
										obj_t BgL_pairz00_4840;

										{	/* Ast/let.scm 119 */
											obj_t BgL_pairz00_4839;

											BgL_pairz00_4839 = CDR(((obj_t) BgL_expz00_22));
											BgL_pairz00_4840 = CDR(BgL_pairz00_4839);
										}
										BgL_arg1810z00_1890 = CAR(BgL_pairz00_4840);
									}
									BgL_blocz00_1815 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_arg1810z00_1890, BFALSE);
								}
							else
								{	/* Ast/let.scm 118 */
									BgL_blocz00_1815 = BFALSE;
								}
						}
						{	/* Ast/let.scm 121 */
							obj_t BgL_bodyz00_1817;

							{	/* Ast/let.scm 124 */
								obj_t BgL_arg1799z00_1884;

								{	/* Ast/let.scm 124 */
									obj_t BgL_pairz00_4854;

									BgL_pairz00_4854 = CDR(((obj_t) BgL_expz00_22));
									BgL_arg1799z00_1884 = CDR(BgL_pairz00_4854);
								}
								BgL_bodyz00_1817 =
									BGl_normaliza7ezd2prognz75zztools_prognz00
									(BgL_arg1799z00_1884);
							}
							{	/* Ast/let.scm 124 */
								obj_t BgL_loczd2biszd2_1818;

								BgL_loczd2biszd2_1818 =
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_bodyz00_1817, BgL_locz00_1814);
								{	/* Ast/let.scm 125 */
									obj_t BgL_nlocz00_1819;

									{	/* Ast/let.scm 126 */
										bool_t BgL_test3869z00_8464;

										if (STRUCTP(BgL_blocz00_1815))
											{	/* Ast/let.scm 126 */
												BgL_test3869z00_8464 =
													(STRUCT_KEY(BgL_blocz00_1815) ==
													((obj_t) CNST_TABLE_REF(2)));
											}
										else
											{	/* Ast/let.scm 126 */
												BgL_test3869z00_8464 = ((bool_t) 0);
											}
										if (BgL_test3869z00_8464)
											{	/* Ast/let.scm 126 */
												BgL_nlocz00_1819 = BgL_blocz00_1815;
											}
										else
											{	/* Ast/let.scm 126 */
												BgL_nlocz00_1819 = BgL_locz00_1814;
											}
									}
									{	/* Ast/let.scm 126 */
										obj_t BgL_framez00_1820;

										if (NULLP(BgL_bindingsz00_1813))
											{	/* Ast/let.scm 129 */
												BgL_framez00_1820 = BNIL;
											}
										else
											{	/* Ast/let.scm 129 */
												obj_t BgL_head1359z00_1867;

												BgL_head1359z00_1867 = MAKE_YOUNG_PAIR(BNIL, BNIL);
												{
													obj_t BgL_l1357z00_1869;
													obj_t BgL_tail1360z00_1870;

													BgL_l1357z00_1869 = BgL_bindingsz00_1813;
													BgL_tail1360z00_1870 = BgL_head1359z00_1867;
												BgL_zc3z04anonymousza31784ze3z87_1871:
													if (NULLP(BgL_l1357z00_1869))
														{	/* Ast/let.scm 129 */
															BgL_framez00_1820 = CDR(BgL_head1359z00_1867);
														}
													else
														{	/* Ast/let.scm 129 */
															obj_t BgL_newtail1361z00_1873;

															{	/* Ast/let.scm 129 */
																BgL_localz00_bglt BgL_arg1790z00_1875;

																{	/* Ast/let.scm 129 */
																	obj_t BgL_bindingz00_1876;

																	BgL_bindingz00_1876 =
																		CAR(((obj_t) BgL_l1357z00_1869));
																	{	/* Ast/let.scm 130 */
																		obj_t BgL_varzd2idzd2_1877;

																		{	/* Ast/let.scm 130 */
																			obj_t BgL_arg1796z00_1881;

																			BgL_arg1796z00_1881 =
																				CAR(((obj_t) BgL_bindingz00_1876));
																			BgL_varzd2idzd2_1877 =
																				BGl_parsezd2idzd2zzast_identz00
																				(BgL_arg1796z00_1881, BgL_nlocz00_1819);
																		}
																		{	/* Ast/let.scm 130 */
																			obj_t BgL_idz00_1878;

																			BgL_idz00_1878 =
																				CAR(BgL_varzd2idzd2_1877);
																			{	/* Ast/let.scm 131 */
																				obj_t BgL_typez00_1879;

																				BgL_typez00_1879 =
																					CDR(BgL_varzd2idzd2_1877);
																				{	/* Ast/let.scm 132 */

																					if (BGl_userzd2symbolzf3z21zzast_identz00(BgL_idz00_1878))
																						{	/* Ast/let.scm 133 */
																							BgL_arg1790z00_1875 =
																								BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																								(BgL_idz00_1878,
																								((BgL_typez00_bglt)
																									BgL_typez00_1879));
																						}
																					else
																						{	/* Ast/let.scm 133 */
																							BgL_arg1790z00_1875 =
																								BGl_makezd2localzd2svarz00zzast_localz00
																								(BgL_idz00_1878,
																								((BgL_typez00_bglt)
																									BgL_typez00_1879));
																						}
																				}
																			}
																		}
																	}
																}
																BgL_newtail1361z00_1873 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg1790z00_1875), BNIL);
															}
															SET_CDR(BgL_tail1360z00_1870,
																BgL_newtail1361z00_1873);
															{	/* Ast/let.scm 129 */
																obj_t BgL_arg1789z00_1874;

																BgL_arg1789z00_1874 =
																	CDR(((obj_t) BgL_l1357z00_1869));
																{
																	obj_t BgL_tail1360z00_8496;
																	obj_t BgL_l1357z00_8495;

																	BgL_l1357z00_8495 = BgL_arg1789z00_1874;
																	BgL_tail1360z00_8496 =
																		BgL_newtail1361z00_1873;
																	BgL_tail1360z00_1870 = BgL_tail1360z00_8496;
																	BgL_l1357z00_1869 = BgL_l1357z00_8495;
																	goto BgL_zc3z04anonymousza31784ze3z87_1871;
																}
															}
														}
												}
											}
										{	/* Ast/let.scm 129 */
											obj_t BgL_newzd2stackzd2_1821;

											BgL_newzd2stackzd2_1821 =
												BGl_appendzd221011zd2zzast_letz00(BgL_framez00_1820,
												BgL_stackz00_23);
											{	/* Ast/let.scm 137 */

												{	/* Ast/let.scm 144 */
													BgL_nodez00_bglt BgL_bodyz00_1822;

													BgL_bodyz00_1822 =
														BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_bodyz00_1817,
														BgL_newzd2stackzd2_1821, BgL_nlocz00_1819,
														((obj_t) CNST_TABLE_REF(1)));
													{	/* Ast/let.scm 144 */
														obj_t BgL_bstackz00_1823;

														{	/* Ast/let.scm 145 */
															bool_t BgL_test3874z00_8501;

															if (
																(CAR(
																		((obj_t) BgL_expz00_22)) ==
																	((obj_t) CNST_TABLE_REF(0))))
																{	/* Ast/let.scm 145 */
																	BgL_test3874z00_8501 = ((bool_t) 1);
																}
															else
																{	/* Ast/let.scm 145 */
																	obj_t BgL_arg1776z00_1863;

																	BgL_arg1776z00_1863 =
																		CAR(((obj_t) BgL_expz00_22));
																	BgL_test3874z00_8501 =
																		(BgL_arg1776z00_1863 ==
																		BGl_za2letza2z00zzast_letz00);
																}
															if (BgL_test3874z00_8501)
																{	/* Ast/let.scm 145 */
																	BgL_bstackz00_1823 = BgL_stackz00_23;
																}
															else
																{	/* Ast/let.scm 145 */
																	BgL_bstackz00_1823 = BgL_newzd2stackzd2_1821;
																}
														}
														{	/* Ast/let.scm 145 */
															obj_t BgL_bindingsz00_1824;

															if (NULLP(BgL_bindingsz00_1813))
																{	/* Ast/let.scm 148 */
																	BgL_bindingsz00_1824 = BNIL;
																}
															else
																{	/* Ast/let.scm 148 */
																	obj_t BgL_head1364z00_1839;

																	BgL_head1364z00_1839 =
																		MAKE_YOUNG_PAIR(BNIL, BNIL);
																	{
																		obj_t BgL_ll1362z00_1841;
																		obj_t BgL_ll1363z00_1842;
																		obj_t BgL_tail1365z00_1843;

																		BgL_ll1362z00_1841 = BgL_bindingsz00_1813;
																		BgL_ll1363z00_1842 = BgL_framez00_1820;
																		BgL_tail1365z00_1843 = BgL_head1364z00_1839;
																	BgL_zc3z04anonymousza31732ze3z87_1844:
																		if (NULLP(BgL_ll1362z00_1841))
																			{	/* Ast/let.scm 148 */
																				BgL_bindingsz00_1824 =
																					CDR(BgL_head1364z00_1839);
																			}
																		else
																			{	/* Ast/let.scm 148 */
																				obj_t BgL_newtail1366z00_1846;

																				{	/* Ast/let.scm 148 */
																					obj_t BgL_arg1755z00_1849;

																					{	/* Ast/let.scm 148 */
																						obj_t BgL_bindingz00_1850;
																						obj_t BgL_varz00_1851;

																						BgL_bindingz00_1850 =
																							CAR(((obj_t) BgL_ll1362z00_1841));
																						BgL_varz00_1851 =
																							CAR(((obj_t) BgL_ll1363z00_1842));
																						{	/* Ast/let.scm 151 */
																							BgL_nodez00_bglt
																								BgL_arg1756z00_1852;
																							{	/* Ast/let.scm 151 */
																								obj_t BgL_arg1757z00_1853;
																								obj_t BgL_arg1763z00_1854;

																								{	/* Ast/let.scm 151 */
																									obj_t BgL_arg1765z00_1855;

																									BgL_arg1765z00_1855 =
																										CDR(
																										((obj_t)
																											BgL_bindingz00_1850));
																									BgL_arg1757z00_1853 =
																										BGl_normaliza7ezd2prognz75zztools_prognz00
																										(BgL_arg1765z00_1855);
																								}
																								BgL_arg1763z00_1854 =
																									BGl_findzd2locationzf2locz20zztools_locationz00
																									(BgL_bindingz00_1850,
																									BgL_nlocz00_1819);
																								BgL_arg1756z00_1852 =
																									BGl_sexpzd2ze3nodez31zzast_sexpz00
																									(BgL_arg1757z00_1853,
																									BgL_bstackz00_1823,
																									BgL_arg1763z00_1854,
																									((obj_t) CNST_TABLE_REF(1)));
																							}
																							BgL_arg1755z00_1849 =
																								MAKE_YOUNG_PAIR(BgL_varz00_1851,
																								((obj_t) BgL_arg1756z00_1852));
																						}
																					}
																					BgL_newtail1366z00_1846 =
																						MAKE_YOUNG_PAIR(BgL_arg1755z00_1849,
																						BNIL);
																				}
																				SET_CDR(BgL_tail1365z00_1843,
																					BgL_newtail1366z00_1846);
																				{	/* Ast/let.scm 148 */
																					obj_t BgL_arg1746z00_1847;
																					obj_t BgL_arg1748z00_1848;

																					BgL_arg1746z00_1847 =
																						CDR(((obj_t) BgL_ll1362z00_1841));
																					BgL_arg1748z00_1848 =
																						CDR(((obj_t) BgL_ll1363z00_1842));
																					{
																						obj_t BgL_tail1365z00_8538;
																						obj_t BgL_ll1363z00_8537;
																						obj_t BgL_ll1362z00_8536;

																						BgL_ll1362z00_8536 =
																							BgL_arg1746z00_1847;
																						BgL_ll1363z00_8537 =
																							BgL_arg1748z00_1848;
																						BgL_tail1365z00_8538 =
																							BgL_newtail1366z00_1846;
																						BgL_tail1365z00_1843 =
																							BgL_tail1365z00_8538;
																						BgL_ll1363z00_1842 =
																							BgL_ll1363z00_8537;
																						BgL_ll1362z00_1841 =
																							BgL_ll1362z00_8536;
																						goto
																							BgL_zc3z04anonymousza31732ze3z87_1844;
																					}
																				}
																			}
																	}
																}
															{	/* Ast/let.scm 148 */
																obj_t BgL_locz00_1825;

																{	/* Ast/let.scm 157 */
																	obj_t BgL_locz00_1830;

																	{	/* Ast/let.scm 159 */
																		obj_t BgL_arg1720z00_1832;

																		if (PAIRP(BgL_bindingsz00_1824))
																			{
																				BgL_nodez00_bglt BgL_auxz00_8541;

																				{	/* Ast/let.scm 160 */
																					obj_t BgL_pairz00_4876;

																					BgL_pairz00_4876 =
																						CAR(BgL_bindingsz00_1824);
																					BgL_auxz00_8541 =
																						((BgL_nodez00_bglt)
																						CDR(BgL_pairz00_4876));
																				}
																				BgL_arg1720z00_1832 =
																					(((BgL_nodez00_bglt)
																						COBJECT(BgL_auxz00_8541))->
																					BgL_locz00);
																			}
																		else
																			{	/* Ast/let.scm 159 */
																				BgL_arg1720z00_1832 =
																					(((BgL_nodez00_bglt)
																						COBJECT(BgL_bodyz00_1822))->
																					BgL_locz00);
																			}
																		BgL_locz00_1830 =
																			BGl_findzd2locationzf2locz20zztools_locationz00
																			(BgL_expz00_22, BgL_arg1720z00_1832);
																	}
																	{	/* Ast/let.scm 162 */
																		bool_t BgL_test3879z00_8548;

																		if (STRUCTP(BgL_locz00_1830))
																			{	/* Ast/let.scm 162 */
																				BgL_test3879z00_8548 =
																					(STRUCT_KEY(BgL_locz00_1830) ==
																					((obj_t) CNST_TABLE_REF(2)));
																			}
																		else
																			{	/* Ast/let.scm 162 */
																				BgL_test3879z00_8548 = ((bool_t) 0);
																			}
																		if (BgL_test3879z00_8548)
																			{	/* Ast/let.scm 162 */
																				BgL_locz00_1825 = BgL_locz00_1830;
																			}
																		else
																			{	/* Ast/let.scm 162 */
																				BgL_locz00_1825 = BgL_olocz00_24;
																			}
																	}
																}
																{	/* Ast/let.scm 157 */
																	BgL_letzd2varzd2_bglt BgL_nodez00_1826;

																	{	/* Ast/let.scm 165 */
																		BgL_letzd2varzd2_bglt BgL_new1115z00_1827;

																		{	/* Ast/let.scm 166 */
																			BgL_letzd2varzd2_bglt BgL_new1113z00_1828;

																			BgL_new1113z00_1828 =
																				((BgL_letzd2varzd2_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_letzd2varzd2_bgl))));
																			{	/* Ast/let.scm 166 */
																				long BgL_arg1717z00_1829;

																				BgL_arg1717z00_1829 =
																					BGL_CLASS_NUM
																					(BGl_letzd2varzd2zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1113z00_1828),
																					BgL_arg1717z00_1829);
																			}
																			{	/* Ast/let.scm 166 */
																				BgL_objectz00_bglt BgL_tmpz00_8559;

																				BgL_tmpz00_8559 =
																					((BgL_objectz00_bglt)
																					BgL_new1113z00_1828);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8559,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1113z00_1828);
																			BgL_new1115z00_1827 = BgL_new1113z00_1828;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1115z00_1827)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_1825), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1115z00_1827)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((BgL_typez00_bglt)
																					BGl_za2_za2z00zztype_cachez00)),
																			BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1115z00_1827)))->
																				BgL_sidezd2effectzd2) =
																			((obj_t) BUNSPEC), BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1115z00_1827)))->
																				BgL_keyz00) =
																			((obj_t) BINT((-1L))), BUNSPEC);
																		((((BgL_letzd2varzd2_bglt)
																					COBJECT(BgL_new1115z00_1827))->
																				BgL_bindingsz00) =
																			((obj_t) BgL_bindingsz00_1824), BUNSPEC);
																		((((BgL_letzd2varzd2_bglt)
																					COBJECT(BgL_new1115z00_1827))->
																				BgL_bodyz00) =
																			((BgL_nodez00_bglt) BgL_bodyz00_1822),
																			BUNSPEC);
																		((((BgL_letzd2varzd2_bglt)
																					COBJECT(BgL_new1115z00_1827))->
																				BgL_removablezf3zf3) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																		BgL_nodez00_1826 = BgL_new1115z00_1827;
																	}
																	{	/* Ast/let.scm 165 */

																		BGl_occurzd2nodez12zc0zzast_occurz00(
																			((BgL_nodez00_bglt) BgL_nodez00_1826));
																		BGl_nodezd2removez12zc0zzast_removez00(
																			((BgL_nodez00_bglt) BgL_nodez00_1826));
																		return BgL_nodez00_1826;
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* make-smart-generic-let */
	BgL_nodezf2effectzf2_bglt
		BGl_makezd2smartzd2genericzd2letzd2zzast_letz00(obj_t
		BgL_letzf2letreczf2_26, BgL_letzd2varzd2_bglt BgL_nodezd2letzd2_27,
		obj_t BgL_sitez00_28)
	{
		{	/* Ast/let.scm 186 */
			{	/* Ast/let.scm 189 */
				obj_t BgL_g1116z00_1892;

				BgL_g1116z00_1892 =
					(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodezd2letzd2_27))->
					BgL_bindingsz00);
				{
					obj_t BgL_bindingsz00_1896;
					obj_t BgL_funz00_1897;
					obj_t BgL_valuez00_1898;

					BgL_bindingsz00_1896 = BgL_g1116z00_1892;
					BgL_funz00_1897 = BNIL;
					BgL_valuez00_1898 = BNIL;
				BgL_zc3z04anonymousza31812ze3z87_1899:
					if (NULLP(BgL_bindingsz00_1896))
						{	/* Ast/let.scm 192 */
							if (NULLP(BgL_funz00_1897))
								{	/* Ast/let.scm 200 */
									obj_t BgL_varsz00_1902;

									{	/* Ast/let.scm 200 */
										obj_t BgL_l1368z00_1903;

										BgL_l1368z00_1903 =
											(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodezd2letzd2_27))->
											BgL_bindingsz00);
										if (NULLP(BgL_l1368z00_1903))
											{	/* Ast/let.scm 200 */
												BgL_varsz00_1902 = BNIL;
											}
										else
											{	/* Ast/let.scm 200 */
												obj_t BgL_head1370z00_1905;

												{	/* Ast/let.scm 200 */
													obj_t BgL_arg1825z00_1917;

													{	/* Ast/let.scm 200 */
														obj_t BgL_pairz00_4890;

														BgL_pairz00_4890 = CAR(((obj_t) BgL_l1368z00_1903));
														BgL_arg1825z00_1917 = CAR(BgL_pairz00_4890);
													}
													BgL_head1370z00_1905 =
														MAKE_YOUNG_PAIR(BgL_arg1825z00_1917, BNIL);
												}
												{	/* Ast/let.scm 200 */
													obj_t BgL_g1373z00_1906;

													BgL_g1373z00_1906 = CDR(((obj_t) BgL_l1368z00_1903));
													{
														obj_t BgL_l1368z00_1908;
														obj_t BgL_tail1371z00_1909;

														BgL_l1368z00_1908 = BgL_g1373z00_1906;
														BgL_tail1371z00_1909 = BgL_head1370z00_1905;
													BgL_zc3z04anonymousza31816ze3z87_1910:
														if (NULLP(BgL_l1368z00_1908))
															{	/* Ast/let.scm 200 */
																BgL_varsz00_1902 = BgL_head1370z00_1905;
															}
														else
															{	/* Ast/let.scm 200 */
																obj_t BgL_newtail1372z00_1912;

																{	/* Ast/let.scm 200 */
																	obj_t BgL_arg1821z00_1914;

																	{	/* Ast/let.scm 200 */
																		obj_t BgL_pairz00_4893;

																		BgL_pairz00_4893 =
																			CAR(((obj_t) BgL_l1368z00_1908));
																		BgL_arg1821z00_1914 = CAR(BgL_pairz00_4893);
																	}
																	BgL_newtail1372z00_1912 =
																		MAKE_YOUNG_PAIR(BgL_arg1821z00_1914, BNIL);
																}
																SET_CDR(BgL_tail1371z00_1909,
																	BgL_newtail1372z00_1912);
																{	/* Ast/let.scm 200 */
																	obj_t BgL_arg1818z00_1913;

																	BgL_arg1818z00_1913 =
																		CDR(((obj_t) BgL_l1368z00_1908));
																	{
																		obj_t BgL_tail1371z00_8604;
																		obj_t BgL_l1368z00_8603;

																		BgL_l1368z00_8603 = BgL_arg1818z00_1913;
																		BgL_tail1371z00_8604 =
																			BgL_newtail1372z00_1912;
																		BgL_tail1371z00_1909 = BgL_tail1371z00_8604;
																		BgL_l1368z00_1908 = BgL_l1368z00_8603;
																		goto BgL_zc3z04anonymousza31816ze3z87_1910;
																	}
																}
															}
													}
												}
											}
									}
									return
										((BgL_nodezf2effectzf2_bglt)
										BGl_letzd2orzd2letrecz00zzast_letz00(BgL_letzf2letreczf2_26,
											BgL_nodezd2letzd2_27, BgL_varsz00_1902));
								}
							else
								{	/* Ast/let.scm 199 */
									if (NULLP(BgL_valuez00_1898))
										{	/* Ast/let.scm 203 */
											BgL_nodez00_bglt BgL_arg1834z00_1920;

											BgL_arg1834z00_1920 =
												(((BgL_letzd2varzd2_bglt)
													COBJECT(BgL_nodezd2letzd2_27))->BgL_bodyz00);
											return ((BgL_nodezf2effectzf2_bglt)
												BGl_letzd2ze3labelsz31zzast_letz00(BgL_funz00_1897,
													BgL_arg1834z00_1920, BgL_sitez00_28));
										}
									else
										{	/* Ast/let.scm 205 */
											obj_t BgL_varsz00_1921;

											{	/* Ast/let.scm 205 */
												obj_t BgL_l1374z00_1928;

												BgL_l1374z00_1928 =
													(((BgL_letzd2varzd2_bglt)
														COBJECT(BgL_nodezd2letzd2_27))->BgL_bindingsz00);
												if (NULLP(BgL_l1374z00_1928))
													{	/* Ast/let.scm 205 */
														BgL_varsz00_1921 = BNIL;
													}
												else
													{	/* Ast/let.scm 205 */
														obj_t BgL_head1376z00_1930;

														{	/* Ast/let.scm 205 */
															obj_t BgL_arg1859z00_1942;

															{	/* Ast/let.scm 205 */
																obj_t BgL_pairz00_4899;

																BgL_pairz00_4899 =
																	CAR(((obj_t) BgL_l1374z00_1928));
																BgL_arg1859z00_1942 = CAR(BgL_pairz00_4899);
															}
															BgL_head1376z00_1930 =
																MAKE_YOUNG_PAIR(BgL_arg1859z00_1942, BNIL);
														}
														{	/* Ast/let.scm 205 */
															obj_t BgL_g1379z00_1931;

															BgL_g1379z00_1931 =
																CDR(((obj_t) BgL_l1374z00_1928));
															{
																obj_t BgL_l1374z00_1933;
																obj_t BgL_tail1377z00_1934;

																BgL_l1374z00_1933 = BgL_g1379z00_1931;
																BgL_tail1377z00_1934 = BgL_head1376z00_1930;
															BgL_zc3z04anonymousza31850ze3z87_1935:
																if (NULLP(BgL_l1374z00_1933))
																	{	/* Ast/let.scm 205 */
																		BgL_varsz00_1921 = BgL_head1376z00_1930;
																	}
																else
																	{	/* Ast/let.scm 205 */
																		obj_t BgL_newtail1378z00_1937;

																		{	/* Ast/let.scm 205 */
																			obj_t BgL_arg1856z00_1939;

																			{	/* Ast/let.scm 205 */
																				obj_t BgL_pairz00_4902;

																				BgL_pairz00_4902 =
																					CAR(((obj_t) BgL_l1374z00_1933));
																				BgL_arg1856z00_1939 =
																					CAR(BgL_pairz00_4902);
																			}
																			BgL_newtail1378z00_1937 =
																				MAKE_YOUNG_PAIR(BgL_arg1856z00_1939,
																				BNIL);
																		}
																		SET_CDR(BgL_tail1377z00_1934,
																			BgL_newtail1378z00_1937);
																		{	/* Ast/let.scm 205 */
																			obj_t BgL_arg1852z00_1938;

																			BgL_arg1852z00_1938 =
																				CDR(((obj_t) BgL_l1374z00_1933));
																			{
																				obj_t BgL_tail1377z00_8631;
																				obj_t BgL_l1374z00_8630;

																				BgL_l1374z00_8630 = BgL_arg1852z00_1938;
																				BgL_tail1377z00_8631 =
																					BgL_newtail1378z00_1937;
																				BgL_tail1377z00_1934 =
																					BgL_tail1377z00_8631;
																				BgL_l1374z00_1933 = BgL_l1374z00_8630;
																				goto
																					BgL_zc3z04anonymousza31850ze3z87_1935;
																			}
																		}
																	}
															}
														}
													}
											}
											((((BgL_letzd2varzd2_bglt)
														COBJECT(BgL_nodezd2letzd2_27))->BgL_bindingsz00) =
												((obj_t) bgl_reverse_bang(BgL_valuez00_1898)), BUNSPEC);
											{	/* Ast/let.scm 210 */
												BgL_letzd2varzd2_bglt BgL_nletz00_1923;

												BgL_nletz00_1923 =
													BGl_letzd2orzd2letrecz00zzast_letz00
													(BgL_letzf2letreczf2_26, BgL_nodezd2letzd2_27,
													BgL_varsz00_1921);
												{	/* Ast/let.scm 210 */
													BgL_letzd2funzd2_bglt BgL_nbodyz00_1924;

													BgL_nbodyz00_1924 =
														BGl_letzd2ze3labelsz31zzast_letz00(BgL_funz00_1897,
														(((BgL_letzd2varzd2_bglt)
																COBJECT(BgL_nletz00_1923))->BgL_bodyz00),
														BgL_sitez00_28);
													{	/* Ast/let.scm 211 */

														((((BgL_letzd2varzd2_bglt)
																	COBJECT(BgL_nletz00_1923))->BgL_bodyz00) =
															((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																	BgL_nbodyz00_1924)), BUNSPEC);
														{
															BgL_typez00_bglt BgL_auxz00_8639;

															{	/* Ast/let.scm 214 */
																BgL_typez00_bglt BgL_arg1845z00_1926;

																BgL_arg1845z00_1926 =
																	(((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt) BgL_nletz00_1923)))->
																	BgL_typez00);
																BgL_auxz00_8639 =
																	BGl_strictzd2nodezd2typez00zzast_nodez00((
																		(BgL_typez00_bglt)
																		BGl_za2_za2z00zztype_cachez00),
																	BgL_arg1845z00_1926);
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt) BgL_nletz00_1923)))->
																	BgL_typez00) =
																((BgL_typez00_bglt) BgL_auxz00_8639), BUNSPEC);
														}
														return
															((BgL_nodezf2effectzf2_bglt) BgL_nletz00_1923);
													}
												}
											}
										}
								}
						}
					else
						{	/* Ast/let.scm 216 */
							obj_t BgL_bindingz00_1944;

							BgL_bindingz00_1944 = CAR(((obj_t) BgL_bindingsz00_1896));
							{	/* Ast/let.scm 216 */
								obj_t BgL_varz00_1945;

								BgL_varz00_1945 = CAR(((obj_t) BgL_bindingz00_1944));
								{	/* Ast/let.scm 217 */
									obj_t BgL_sexpz00_1946;

									BgL_sexpz00_1946 = CDR(((obj_t) BgL_bindingz00_1944));
									{	/* Ast/let.scm 218 */

										{	/* Ast/let.scm 219 */
											bool_t BgL_test3888z00_8653;

											{	/* Ast/let.scm 219 */
												obj_t BgL_classz00_4910;

												BgL_classz00_4910 = BGl_letzd2funzd2zzast_nodez00;
												if (BGL_OBJECTP(BgL_sexpz00_1946))
													{	/* Ast/let.scm 219 */
														BgL_objectz00_bglt BgL_arg1858z00_4912;

														BgL_arg1858z00_4912 =
															(BgL_objectz00_bglt) (BgL_sexpz00_1946);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Ast/let.scm 219 */
																long BgL_idxz00_4918;

																BgL_idxz00_4918 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_4912);
																BgL_test3888z00_8653 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4918 + 3L)) ==
																	BgL_classz00_4910);
															}
														else
															{	/* Ast/let.scm 219 */
																bool_t BgL_res3749z00_4943;

																{	/* Ast/let.scm 219 */
																	obj_t BgL_oclassz00_4926;

																	{	/* Ast/let.scm 219 */
																		obj_t BgL_arg1866z00_4934;
																		long BgL_arg1867z00_4935;

																		BgL_arg1866z00_4934 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Ast/let.scm 219 */
																			long BgL_arg1869z00_4936;

																			BgL_arg1869z00_4936 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_4912);
																			BgL_arg1867z00_4935 =
																				(BgL_arg1869z00_4936 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4926 =
																			VECTOR_REF(BgL_arg1866z00_4934,
																			BgL_arg1867z00_4935);
																	}
																	{	/* Ast/let.scm 219 */
																		bool_t BgL__ortest_1115z00_4927;

																		BgL__ortest_1115z00_4927 =
																			(BgL_classz00_4910 == BgL_oclassz00_4926);
																		if (BgL__ortest_1115z00_4927)
																			{	/* Ast/let.scm 219 */
																				BgL_res3749z00_4943 =
																					BgL__ortest_1115z00_4927;
																			}
																		else
																			{	/* Ast/let.scm 219 */
																				long BgL_odepthz00_4928;

																				{	/* Ast/let.scm 219 */
																					obj_t BgL_arg1855z00_4929;

																					BgL_arg1855z00_4929 =
																						(BgL_oclassz00_4926);
																					BgL_odepthz00_4928 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_4929);
																				}
																				if ((3L < BgL_odepthz00_4928))
																					{	/* Ast/let.scm 219 */
																						obj_t BgL_arg1853z00_4931;

																						{	/* Ast/let.scm 219 */
																							obj_t BgL_arg1854z00_4932;

																							BgL_arg1854z00_4932 =
																								(BgL_oclassz00_4926);
																							BgL_arg1853z00_4931 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_4932, 3L);
																						}
																						BgL_res3749z00_4943 =
																							(BgL_arg1853z00_4931 ==
																							BgL_classz00_4910);
																					}
																				else
																					{	/* Ast/let.scm 219 */
																						BgL_res3749z00_4943 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test3888z00_8653 = BgL_res3749z00_4943;
															}
													}
												else
													{	/* Ast/let.scm 219 */
														BgL_test3888z00_8653 = ((bool_t) 0);
													}
											}
											if (BgL_test3888z00_8653)
												{	/* Ast/let.scm 220 */
													obj_t BgL_localsz00_1948;

													BgL_localsz00_1948 =
														(((BgL_letzd2funzd2_bglt) COBJECT(
																((BgL_letzd2funzd2_bglt) BgL_sexpz00_1946)))->
														BgL_localsz00);
													{	/* Ast/let.scm 220 */
														BgL_nodez00_bglt BgL_bodyz00_1949;

														BgL_bodyz00_1949 =
															(((BgL_letzd2funzd2_bglt) COBJECT(
																	((BgL_letzd2funzd2_bglt) BgL_sexpz00_1946)))->
															BgL_bodyz00);
														{	/* Ast/let.scm 221 */

															{	/* Ast/let.scm 222 */
																bool_t BgL_test3893z00_8680;

																if (NULLP(BgL_localsz00_1948))
																	{	/* Ast/let.scm 222 */
																		BgL_test3893z00_8680 = ((bool_t) 1);
																	}
																else
																	{	/* Ast/let.scm 222 */
																		if (NULLP(CDR(
																					((obj_t) BgL_localsz00_1948))))
																			{	/* Ast/let.scm 222 */
																				BgL_test3893z00_8680 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/let.scm 222 */
																				BgL_test3893z00_8680 = ((bool_t) 1);
																			}
																	}
																if (BgL_test3893z00_8680)
																	{	/* Ast/let.scm 226 */
																		obj_t BgL_arg1878z00_1955;
																		obj_t BgL_arg1882z00_1956;

																		BgL_arg1878z00_1955 =
																			CDR(((obj_t) BgL_bindingsz00_1896));
																		{	/* Ast/let.scm 228 */
																			obj_t BgL_arg1884z00_1957;

																			BgL_arg1884z00_1957 =
																				CAR(((obj_t) BgL_bindingsz00_1896));
																			BgL_arg1882z00_1956 =
																				MAKE_YOUNG_PAIR(BgL_arg1884z00_1957,
																				BgL_valuez00_1898);
																		}
																		{
																			obj_t BgL_valuez00_8693;
																			obj_t BgL_bindingsz00_8692;

																			BgL_bindingsz00_8692 =
																				BgL_arg1878z00_1955;
																			BgL_valuez00_8693 = BgL_arg1882z00_1956;
																			BgL_valuez00_1898 = BgL_valuez00_8693;
																			BgL_bindingsz00_1896 =
																				BgL_bindingsz00_8692;
																			goto
																				BgL_zc3z04anonymousza31812ze3z87_1899;
																		}
																	}
																else
																	{	/* Ast/let.scm 229 */
																		bool_t BgL_test3896z00_8694;

																		{	/* Ast/let.scm 229 */
																			obj_t BgL_classz00_4949;

																			BgL_classz00_4949 =
																				BGl_varz00zzast_nodez00;
																			{	/* Ast/let.scm 229 */
																				BgL_objectz00_bglt BgL_arg1858z00_4951;

																				{	/* Ast/let.scm 229 */
																					obj_t BgL_tmpz00_8695;

																					BgL_tmpz00_8695 =
																						((obj_t)
																						((BgL_objectz00_bglt)
																							BgL_bodyz00_1949));
																					BgL_arg1858z00_4951 =
																						(BgL_objectz00_bglt)
																						(BgL_tmpz00_8695);
																				}
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Ast/let.scm 229 */
																						long BgL_idxz00_4957;

																						BgL_idxz00_4957 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_4951);
																						BgL_test3896z00_8694 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_4957 + 2L)) ==
																							BgL_classz00_4949);
																					}
																				else
																					{	/* Ast/let.scm 229 */
																						bool_t BgL_res3750z00_4982;

																						{	/* Ast/let.scm 229 */
																							obj_t BgL_oclassz00_4965;

																							{	/* Ast/let.scm 229 */
																								obj_t BgL_arg1866z00_4973;
																								long BgL_arg1867z00_4974;

																								BgL_arg1866z00_4973 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* Ast/let.scm 229 */
																									long BgL_arg1869z00_4975;

																									BgL_arg1869z00_4975 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_4951);
																									BgL_arg1867z00_4974 =
																										(BgL_arg1869z00_4975 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_4965 =
																									VECTOR_REF
																									(BgL_arg1866z00_4973,
																									BgL_arg1867z00_4974);
																							}
																							{	/* Ast/let.scm 229 */
																								bool_t BgL__ortest_1115z00_4966;

																								BgL__ortest_1115z00_4966 =
																									(BgL_classz00_4949 ==
																									BgL_oclassz00_4965);
																								if (BgL__ortest_1115z00_4966)
																									{	/* Ast/let.scm 229 */
																										BgL_res3750z00_4982 =
																											BgL__ortest_1115z00_4966;
																									}
																								else
																									{	/* Ast/let.scm 229 */
																										long BgL_odepthz00_4967;

																										{	/* Ast/let.scm 229 */
																											obj_t BgL_arg1855z00_4968;

																											BgL_arg1855z00_4968 =
																												(BgL_oclassz00_4965);
																											BgL_odepthz00_4967 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_4968);
																										}
																										if (
																											(2L < BgL_odepthz00_4967))
																											{	/* Ast/let.scm 229 */
																												obj_t
																													BgL_arg1853z00_4970;
																												{	/* Ast/let.scm 229 */
																													obj_t
																														BgL_arg1854z00_4971;
																													BgL_arg1854z00_4971 =
																														(BgL_oclassz00_4965);
																													BgL_arg1853z00_4970 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_4971,
																														2L);
																												}
																												BgL_res3750z00_4982 =
																													(BgL_arg1853z00_4970
																													== BgL_classz00_4949);
																											}
																										else
																											{	/* Ast/let.scm 229 */
																												BgL_res3750z00_4982 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test3896z00_8694 =
																							BgL_res3750z00_4982;
																					}
																			}
																		}
																		if (BgL_test3896z00_8694)
																			{	/* Ast/let.scm 230 */
																				obj_t BgL_resz00_1959;
																				obj_t BgL_auxz00_1960;

																				BgL_resz00_1959 =
																					((obj_t)
																					(((BgL_varz00_bglt) COBJECT(
																								((BgL_varz00_bglt)
																									BgL_bodyz00_1949)))->
																						BgL_variablez00));
																				BgL_auxz00_1960 =
																					CAR(((obj_t) BgL_localsz00_1948));
																				{	/* Ast/let.scm 232 */
																					bool_t BgL_test3900z00_8723;

																					if (
																						(BgL_resz00_1959 ==
																							BgL_auxz00_1960))
																						{	/* Ast/let.scm 232 */
																							if (
																								((((BgL_variablez00_bglt)
																											COBJECT((
																													(BgL_variablez00_bglt)
																													((BgL_localz00_bglt)
																														BgL_varz00_1945))))->
																										BgL_accessz00) ==
																									((obj_t) CNST_TABLE_REF(3))))
																								{	/* Ast/let.scm 236 */
																									BgL_test3900z00_8723 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Ast/let.scm 237 */
																									bool_t BgL_test3903z00_8733;

																									{	/* Ast/let.scm 238 */
																										bool_t BgL_test3904z00_8734;

																										{	/* Ast/let.scm 238 */
																											obj_t BgL_arg1910z00_1990;

																											BgL_arg1910z00_1990 =
																												((obj_t)
																												(((BgL_variablez00_bglt)
																														COBJECT((
																																(BgL_variablez00_bglt)
																																((BgL_localz00_bglt) BgL_varz00_1945))))->BgL_typez00));
																											BgL_test3904z00_8734 =
																												(BgL_arg1910z00_1990 ==
																												BGl_za2procedureza2z00zztype_cachez00);
																										}
																										if (BgL_test3904z00_8734)
																											{	/* Ast/let.scm 238 */
																												BgL_test3903z00_8733 =
																													((bool_t) 1);
																											}
																										else
																											{	/* Ast/let.scm 239 */
																												bool_t
																													BgL_test3905z00_8740;
																												{	/* Ast/let.scm 239 */
																													obj_t
																														BgL_arg1909z00_1989;
																													BgL_arg1909z00_1989 =
																														((obj_t) ((
																																(BgL_variablez00_bglt)
																																COBJECT((
																																		(BgL_variablez00_bglt)
																																		((BgL_localz00_bglt) BgL_varz00_1945))))->BgL_typez00));
																													BgL_test3905z00_8740 =
																														(BgL_arg1909z00_1989
																														==
																														BGl_za2_za2z00zztype_cachez00);
																												}
																												if (BgL_test3905z00_8740)
																													{	/* Ast/let.scm 239 */
																														BgL_test3903z00_8733
																															= ((bool_t) 1);
																													}
																												else
																													{	/* Ast/let.scm 240 */
																														obj_t
																															BgL_arg1908z00_1988;
																														BgL_arg1908z00_1988
																															=
																															((obj_t) ((
																																	(BgL_variablez00_bglt)
																																	COBJECT((
																																			(BgL_variablez00_bglt)
																																			((BgL_localz00_bglt) BgL_varz00_1945))))->BgL_typez00));
																														BgL_test3903z00_8733
																															=
																															(BgL_arg1908z00_1988
																															==
																															BGl_za2objza2z00zztype_cachez00);
																													}
																											}
																									}
																									if (BgL_test3903z00_8733)
																										{	/* Ast/let.scm 237 */
																											BgL_test3900z00_8723 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Ast/let.scm 237 */
																											BgL_test3900z00_8723 =
																												((bool_t) 1);
																										}
																								}
																						}
																					else
																						{	/* Ast/let.scm 232 */
																							BgL_test3900z00_8723 =
																								((bool_t) 1);
																						}
																					if (BgL_test3900z00_8723)
																						{	/* Ast/let.scm 242 */
																							obj_t BgL_arg1902z00_1978;
																							obj_t BgL_arg1903z00_1979;

																							BgL_arg1902z00_1978 =
																								CDR(
																								((obj_t) BgL_bindingsz00_1896));
																							{	/* Ast/let.scm 244 */
																								obj_t BgL_arg1904z00_1980;

																								BgL_arg1904z00_1980 =
																									CAR(
																									((obj_t)
																										BgL_bindingsz00_1896));
																								BgL_arg1903z00_1979 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1904z00_1980,
																									BgL_valuez00_1898);
																							}
																							{
																								obj_t BgL_valuez00_8757;
																								obj_t BgL_bindingsz00_8756;

																								BgL_bindingsz00_8756 =
																									BgL_arg1902z00_1978;
																								BgL_valuez00_8757 =
																									BgL_arg1903z00_1979;
																								BgL_valuez00_1898 =
																									BgL_valuez00_8757;
																								BgL_bindingsz00_1896 =
																									BgL_bindingsz00_8756;
																								goto
																									BgL_zc3z04anonymousza31812ze3z87_1899;
																							}
																						}
																					else
																						{	/* Ast/let.scm 246 */
																							obj_t BgL_arg1905z00_1981;
																							obj_t BgL_arg1906z00_1982;

																							BgL_arg1905z00_1981 =
																								CDR(
																								((obj_t) BgL_bindingsz00_1896));
																							{	/* Ast/let.scm 247 */
																								obj_t BgL_arg1907z00_1983;

																								BgL_arg1907z00_1983 =
																									CAR(
																									((obj_t)
																										BgL_bindingsz00_1896));
																								BgL_arg1906z00_1982 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1907z00_1983,
																									BgL_funz00_1897);
																							}
																							{
																								obj_t BgL_funz00_8764;
																								obj_t BgL_bindingsz00_8763;

																								BgL_bindingsz00_8763 =
																									BgL_arg1905z00_1981;
																								BgL_funz00_8764 =
																									BgL_arg1906z00_1982;
																								BgL_funz00_1897 =
																									BgL_funz00_8764;
																								BgL_bindingsz00_1896 =
																									BgL_bindingsz00_8763;
																								goto
																									BgL_zc3z04anonymousza31812ze3z87_1899;
																							}
																						}
																				}
																			}
																		else
																			{	/* Ast/let.scm 249 */
																				obj_t BgL_arg1912z00_1992;
																				obj_t BgL_arg1913z00_1993;

																				BgL_arg1912z00_1992 =
																					CDR(((obj_t) BgL_bindingsz00_1896));
																				{	/* Ast/let.scm 251 */
																					obj_t BgL_arg1915z00_1994;

																					BgL_arg1915z00_1994 =
																						CAR(((obj_t) BgL_bindingsz00_1896));
																					BgL_arg1913z00_1993 =
																						MAKE_YOUNG_PAIR(BgL_arg1915z00_1994,
																						BgL_valuez00_1898);
																				}
																				{
																					obj_t BgL_valuez00_8771;
																					obj_t BgL_bindingsz00_8770;

																					BgL_bindingsz00_8770 =
																						BgL_arg1912z00_1992;
																					BgL_valuez00_8771 =
																						BgL_arg1913z00_1993;
																					BgL_valuez00_1898 = BgL_valuez00_8771;
																					BgL_bindingsz00_1896 =
																						BgL_bindingsz00_8770;
																					goto
																						BgL_zc3z04anonymousza31812ze3z87_1899;
																				}
																			}
																	}
															}
														}
													}
												}
											else
												{	/* Ast/let.scm 252 */
													obj_t BgL_arg1917z00_1998;
													obj_t BgL_arg1918z00_1999;

													BgL_arg1917z00_1998 =
														CDR(((obj_t) BgL_bindingsz00_1896));
													{	/* Ast/let.scm 254 */
														obj_t BgL_arg1919z00_2000;

														BgL_arg1919z00_2000 =
															CAR(((obj_t) BgL_bindingsz00_1896));
														BgL_arg1918z00_1999 =
															MAKE_YOUNG_PAIR(BgL_arg1919z00_2000,
															BgL_valuez00_1898);
													}
													{
														obj_t BgL_valuez00_8778;
														obj_t BgL_bindingsz00_8777;

														BgL_bindingsz00_8777 = BgL_arg1917z00_1998;
														BgL_valuez00_8778 = BgL_arg1918z00_1999;
														BgL_valuez00_1898 = BgL_valuez00_8778;
														BgL_bindingsz00_1896 = BgL_bindingsz00_8777;
														goto BgL_zc3z04anonymousza31812ze3z87_1899;
													}
												}
										}
									}
								}
							}
						}
				}
			}
		}

	}



/* let-or-letrec */
	BgL_letzd2varzd2_bglt BGl_letzd2orzd2letrecz00zzast_letz00(obj_t
		BgL_letzf2letreczf2_29, BgL_letzd2varzd2_bglt BgL_nodezd2letzd2_30,
		obj_t BgL_varsz00_31)
	{
		{	/* Ast/let.scm 266 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2251;

				{	/* Ast/let.scm 375 */
					bool_t BgL_test3906z00_8779;

					if ((BgL_letzf2letreczf2_29 == ((obj_t) CNST_TABLE_REF(0))))
						{	/* Ast/let.scm 375 */
							BgL_test3906z00_8779 = ((bool_t) 1);
						}
					else
						{	/* Ast/let.scm 375 */
							BgL_test3906z00_8779 =
								(BgL_letzf2letreczf2_29 == BGl_za2letza2z00zzast_letz00);
						}
					if (BgL_test3906z00_8779)
						{	/* Ast/let.scm 375 */
							return BgL_nodezd2letzd2_30;
						}
					else
						{	/* Ast/let.scm 377 */
							bool_t BgL_test3908z00_8785;

							BgL_nodez00_2251 = BgL_nodezd2letzd2_30;
							{	/* Ast/let.scm 359 */
								obj_t BgL_g1405z00_2254;

								BgL_g1405z00_2254 =
									(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_2251))->
									BgL_bindingsz00);
								{
									obj_t BgL_l1403z00_2256;

									BgL_l1403z00_2256 = BgL_g1405z00_2254;
								BgL_zc3z04anonymousza32048ze3z87_2257:
									if (NULLP(BgL_l1403z00_2256))
										{	/* Ast/let.scm 359 */
											BgL_test3908z00_8785 = ((bool_t) 1);
										}
									else
										{	/* Ast/let.scm 359 */
											bool_t BgL_test3910z00_8789;

											{	/* Ast/let.scm 359 */
												obj_t BgL_bz00_2262;

												BgL_bz00_2262 = CAR(((obj_t) BgL_l1403z00_2256));
												{	/* Ast/let.scm 359 */
													obj_t BgL_arg2051z00_2263;

													BgL_arg2051z00_2263 = CDR(((obj_t) BgL_bz00_2262));
													BgL_test3910z00_8789 =
														BGl_safezd2reczd2valzf3ze70z14zzast_letz00
														(BgL_arg2051z00_2263);
												}
											}
											if (BgL_test3910z00_8789)
												{	/* Ast/let.scm 359 */
													obj_t BgL_arg2050z00_2261;

													BgL_arg2050z00_2261 =
														CDR(((obj_t) BgL_l1403z00_2256));
													{
														obj_t BgL_l1403z00_8797;

														BgL_l1403z00_8797 = BgL_arg2050z00_2261;
														BgL_l1403z00_2256 = BgL_l1403z00_8797;
														goto BgL_zc3z04anonymousza32048ze3z87_2257;
													}
												}
											else
												{	/* Ast/let.scm 359 */
													BgL_test3908z00_8785 = ((bool_t) 0);
												}
										}
								}
							}
							if (BgL_test3908z00_8785)
								{	/* Ast/let.scm 377 */
									return BgL_nodezd2letzd2_30;
								}
							else
								{	/* Ast/let.scm 379 */
									bool_t BgL_test3911z00_8798;

									if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= 1L))
										{	/* Ast/let.scm 379 */
											if (CBOOL(BGl_za2callzf2cczf3za2z01zzengine_paramz00))
												{	/* Ast/let.scm 379 */
													BgL_test3911z00_8798 = ((bool_t) 0);
												}
											else
												{	/* Ast/let.scm 379 */
													BgL_test3911z00_8798 =
														BGl_safezd2letzd2optimzf3ze70z14zzast_letz00
														(BgL_varsz00_31, BgL_nodezd2letzd2_30);
												}
										}
									else
										{	/* Ast/let.scm 379 */
											BgL_test3911z00_8798 = ((bool_t) 0);
										}
									if (BgL_test3911z00_8798)
										{	/* Ast/let.scm 379 */
											return BgL_nodezd2letzd2_30;
										}
									else
										{	/* Ast/let.scm 379 */
											if (
												(BgL_letzf2letreczf2_29 == ((obj_t) CNST_TABLE_REF(4))))
												{	/* Ast/let.scm 382 */
													obj_t BgL_bindingsz00_2010;

													BgL_bindingsz00_2010 =
														(((BgL_letzd2varzd2_bglt)
															COBJECT(BgL_nodezd2letzd2_30))->BgL_bindingsz00);
													{	/* Ast/let.scm 382 */
														BgL_nodez00_bglt BgL_bodyz00_2011;

														BgL_bodyz00_2011 =
															(((BgL_letzd2varzd2_bglt)
																COBJECT(BgL_nodezd2letzd2_30))->BgL_bodyz00);
														{	/* Ast/let.scm 383 */
															BgL_nodez00_bglt BgL_seqz00_2012;

															{	/* Ast/let.scm 384 */
																bool_t BgL_test3915z00_8811;

																{	/* Ast/let.scm 384 */
																	obj_t BgL_classz00_5780;

																	BgL_classz00_5780 =
																		BGl_sequencez00zzast_nodez00;
																	{	/* Ast/let.scm 384 */
																		BgL_objectz00_bglt BgL_arg1858z00_5782;

																		{	/* Ast/let.scm 384 */
																			obj_t BgL_tmpz00_8812;

																			BgL_tmpz00_8812 =
																				((obj_t)
																				((BgL_objectz00_bglt)
																					BgL_bodyz00_2011));
																			BgL_arg1858z00_5782 =
																				(BgL_objectz00_bglt) (BgL_tmpz00_8812);
																		}
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Ast/let.scm 384 */
																				long BgL_idxz00_5788;

																				BgL_idxz00_5788 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_5782);
																				BgL_test3915z00_8811 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_5788 + 3L)) ==
																					BgL_classz00_5780);
																			}
																		else
																			{	/* Ast/let.scm 384 */
																				bool_t BgL_res3773z00_5813;

																				{	/* Ast/let.scm 384 */
																					obj_t BgL_oclassz00_5796;

																					{	/* Ast/let.scm 384 */
																						obj_t BgL_arg1866z00_5804;
																						long BgL_arg1867z00_5805;

																						BgL_arg1866z00_5804 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Ast/let.scm 384 */
																							long BgL_arg1869z00_5806;

																							BgL_arg1869z00_5806 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_5782);
																							BgL_arg1867z00_5805 =
																								(BgL_arg1869z00_5806 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_5796 =
																							VECTOR_REF(BgL_arg1866z00_5804,
																							BgL_arg1867z00_5805);
																					}
																					{	/* Ast/let.scm 384 */
																						bool_t BgL__ortest_1115z00_5797;

																						BgL__ortest_1115z00_5797 =
																							(BgL_classz00_5780 ==
																							BgL_oclassz00_5796);
																						if (BgL__ortest_1115z00_5797)
																							{	/* Ast/let.scm 384 */
																								BgL_res3773z00_5813 =
																									BgL__ortest_1115z00_5797;
																							}
																						else
																							{	/* Ast/let.scm 384 */
																								long BgL_odepthz00_5798;

																								{	/* Ast/let.scm 384 */
																									obj_t BgL_arg1855z00_5799;

																									BgL_arg1855z00_5799 =
																										(BgL_oclassz00_5796);
																									BgL_odepthz00_5798 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_5799);
																								}
																								if ((3L < BgL_odepthz00_5798))
																									{	/* Ast/let.scm 384 */
																										obj_t BgL_arg1853z00_5801;

																										{	/* Ast/let.scm 384 */
																											obj_t BgL_arg1854z00_5802;

																											BgL_arg1854z00_5802 =
																												(BgL_oclassz00_5796);
																											BgL_arg1853z00_5801 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_5802,
																												3L);
																										}
																										BgL_res3773z00_5813 =
																											(BgL_arg1853z00_5801 ==
																											BgL_classz00_5780);
																									}
																								else
																									{	/* Ast/let.scm 384 */
																										BgL_res3773z00_5813 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test3915z00_8811 =
																					BgL_res3773z00_5813;
																			}
																	}
																}
																if (BgL_test3915z00_8811)
																	{	/* Ast/let.scm 384 */
																		BgL_seqz00_2012 = BgL_bodyz00_2011;
																	}
																else
																	{	/* Ast/let.scm 386 */
																		BgL_sequencez00_bglt BgL_new1158z00_2041;

																		{	/* Ast/let.scm 387 */
																			BgL_sequencez00_bglt BgL_new1157z00_2043;

																			BgL_new1157z00_2043 =
																				((BgL_sequencez00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_sequencez00_bgl))));
																			{	/* Ast/let.scm 387 */
																				long BgL_arg1938z00_2044;

																				BgL_arg1938z00_2044 =
																					BGL_CLASS_NUM
																					(BGl_sequencez00zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1157z00_2043),
																					BgL_arg1938z00_2044);
																			}
																			{	/* Ast/let.scm 387 */
																				BgL_objectz00_bglt BgL_tmpz00_8839;

																				BgL_tmpz00_8839 =
																					((BgL_objectz00_bglt)
																					BgL_new1157z00_2043);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8839,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1157z00_2043);
																			BgL_new1158z00_2041 = BgL_new1157z00_2043;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1158z00_2041)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						COBJECT(BgL_bodyz00_2011))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1158z00_2041)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((BgL_typez00_bglt)
																					BGl_za2_za2z00zztype_cachez00)),
																			BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1158z00_2041)))->
																				BgL_sidezd2effectzd2) =
																			((obj_t) BUNSPEC), BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1158z00_2041)))->
																				BgL_keyz00) =
																			((obj_t) BINT((-1L))), BUNSPEC);
																		{
																			obj_t BgL_auxz00_8854;

																			{	/* Ast/let.scm 389 */
																				obj_t BgL_list1937z00_2042;

																				BgL_list1937z00_2042 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_bodyz00_2011), BNIL);
																				BgL_auxz00_8854 = BgL_list1937z00_2042;
																			}
																			((((BgL_sequencez00_bglt)
																						COBJECT(BgL_new1158z00_2041))->
																					BgL_nodesz00) =
																				((obj_t) BgL_auxz00_8854), BUNSPEC);
																		}
																		((((BgL_sequencez00_bglt)
																					COBJECT(BgL_new1158z00_2041))->
																				BgL_unsafez00) =
																			((bool_t) ((bool_t) 0)), BUNSPEC);
																		((((BgL_sequencez00_bglt)
																					COBJECT(BgL_new1158z00_2041))->
																				BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
																		BgL_seqz00_2012 =
																			((BgL_nodez00_bglt) BgL_new1158z00_2041);
															}}
															{	/* Ast/let.scm 384 */

																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_nodezd2letzd2_30))->
																		BgL_bodyz00) =
																	((BgL_nodez00_bglt) BgL_seqz00_2012),
																	BUNSPEC);
																{
																	obj_t BgL_bindingsz00_2015;
																	obj_t BgL_nsequencez00_2016;

																	BgL_bindingsz00_2015 = BgL_bindingsz00_2010;
																	BgL_nsequencez00_2016 = BNIL;
																BgL_zc3z04anonymousza31924ze3z87_2017:
																	if (NULLP(BgL_bindingsz00_2015))
																		{	/* Ast/let.scm 393 */
																			{	/* Ast/let.scm 397 */
																				BgL_sequencez00_bglt
																					BgL_arg1926z00_2019;
																				{	/* Ast/let.scm 397 */
																					BgL_sequencez00_bglt
																						BgL_new1161z00_2020;
																					{	/* Ast/let.scm 398 */
																						BgL_sequencez00_bglt
																							BgL_new1160z00_2023;
																						BgL_new1160z00_2023 =
																							((BgL_sequencez00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_sequencez00_bgl))));
																						{	/* Ast/let.scm 398 */
																							long BgL_arg1929z00_2024;

																							BgL_arg1929z00_2024 =
																								BGL_CLASS_NUM
																								(BGl_sequencez00zzast_nodez00);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_new1160z00_2023),
																								BgL_arg1929z00_2024);
																						}
																						{	/* Ast/let.scm 398 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_8868;
																							BgL_tmpz00_8868 =
																								((BgL_objectz00_bglt)
																								BgL_new1160z00_2023);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_8868, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new1160z00_2023);
																						BgL_new1161z00_2020 =
																							BgL_new1160z00_2023;
																					}
																					((((BgL_nodez00_bglt) COBJECT(
																									((BgL_nodez00_bglt)
																										BgL_new1161z00_2020)))->
																							BgL_locz00) =
																						((obj_t) (((BgL_nodez00_bglt)
																									COBJECT(BgL_seqz00_2012))->
																								BgL_locz00)), BUNSPEC);
																					((((BgL_nodez00_bglt)
																								COBJECT(((BgL_nodez00_bglt)
																										BgL_new1161z00_2020)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) (
																								(BgL_typez00_bglt)
																								BGl_za2_za2z00zztype_cachez00)),
																						BUNSPEC);
																					((((BgL_nodezf2effectzf2_bglt)
																								COBJECT((
																										(BgL_nodezf2effectzf2_bglt)
																										BgL_new1161z00_2020)))->
																							BgL_sidezd2effectzd2) =
																						((obj_t) BUNSPEC), BUNSPEC);
																					((((BgL_nodezf2effectzf2_bglt)
																								COBJECT((
																										(BgL_nodezf2effectzf2_bglt)
																										BgL_new1161z00_2020)))->
																							BgL_keyz00) =
																						((obj_t) BINT((-1L))), BUNSPEC);
																					{
																						obj_t BgL_auxz00_8883;

																						{	/* Ast/let.scm 400 */
																							obj_t BgL_arg1927z00_2021;
																							obj_t BgL_arg1928z00_2022;

																							BgL_arg1927z00_2021 =
																								bgl_reverse_bang
																								(BgL_nsequencez00_2016);
																							BgL_arg1928z00_2022 =
																								(((BgL_sequencez00_bglt)
																									COBJECT((
																											(BgL_sequencez00_bglt)
																											BgL_seqz00_2012)))->
																								BgL_nodesz00);
																							BgL_auxz00_8883 =
																								BGl_appendzd221011zd2zzast_letz00
																								(BgL_arg1927z00_2021,
																								BgL_arg1928z00_2022);
																						}
																						((((BgL_sequencez00_bglt)
																									COBJECT
																									(BgL_new1161z00_2020))->
																								BgL_nodesz00) =
																							((obj_t) BgL_auxz00_8883),
																							BUNSPEC);
																					}
																					((((BgL_sequencez00_bglt)
																								COBJECT(BgL_new1161z00_2020))->
																							BgL_unsafez00) =
																						((bool_t) ((bool_t) 0)), BUNSPEC);
																					((((BgL_sequencez00_bglt)
																								COBJECT(BgL_new1161z00_2020))->
																							BgL_metaz00) =
																						((obj_t) BNIL), BUNSPEC);
																					BgL_arg1926z00_2019 =
																						BgL_new1161z00_2020;
																				}
																				((((BgL_letzd2varzd2_bglt)
																							COBJECT(BgL_nodezd2letzd2_30))->
																						BgL_bodyz00) =
																					((BgL_nodez00_bglt) (
																							(BgL_nodez00_bglt)
																							BgL_arg1926z00_2019)), BUNSPEC);
																			}
																			return BgL_nodezd2letzd2_30;
																		}
																	else
																		{	/* Ast/let.scm 403 */
																			obj_t BgL_bindingz00_2025;

																			BgL_bindingz00_2025 =
																				CAR(((obj_t) BgL_bindingsz00_2015));
																			{	/* Ast/let.scm 403 */
																				obj_t BgL_varz00_2026;

																				BgL_varz00_2026 =
																					CAR(((obj_t) BgL_bindingz00_2025));
																				{	/* Ast/let.scm 404 */
																					obj_t BgL_valz00_2027;

																					BgL_valz00_2027 =
																						CDR(((obj_t) BgL_bindingz00_2025));
																					{	/* Ast/let.scm 405 */
																						obj_t BgL_locz00_2028;

																						BgL_locz00_2028 =
																							(((BgL_nodez00_bglt) COBJECT(
																									((BgL_nodez00_bglt)
																										BgL_valz00_2027)))->
																							BgL_locz00);
																						{	/* Ast/let.scm 406 */

																							{	/* Ast/let.scm 407 */
																								BgL_setqz00_bglt
																									BgL_initz00_2029;
																								{	/* Ast/let.scm 407 */
																									BgL_setqz00_bglt
																										BgL_new1163z00_2033;
																									{	/* Ast/let.scm 408 */
																										BgL_setqz00_bglt
																											BgL_new1162z00_2037;
																										BgL_new1162z00_2037 =
																											((BgL_setqz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_setqz00_bgl))));
																										{	/* Ast/let.scm 408 */
																											long BgL_arg1935z00_2038;

																											BgL_arg1935z00_2038 =
																												BGL_CLASS_NUM
																												(BGl_setqz00zzast_nodez00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt)
																													BgL_new1162z00_2037),
																												BgL_arg1935z00_2038);
																										}
																										{	/* Ast/let.scm 408 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_8905;
																											BgL_tmpz00_8905 =
																												((BgL_objectz00_bglt)
																												BgL_new1162z00_2037);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_tmpz00_8905,
																												BFALSE);
																										}
																										((BgL_objectz00_bglt)
																											BgL_new1162z00_2037);
																										BgL_new1163z00_2033 =
																											BgL_new1162z00_2037;
																									}
																									((((BgL_nodez00_bglt) COBJECT(
																													((BgL_nodez00_bglt)
																														BgL_new1163z00_2033)))->
																											BgL_locz00) =
																										((obj_t) BgL_locz00_2028),
																										BUNSPEC);
																									((((BgL_nodez00_bglt)
																												COBJECT((
																														(BgL_nodez00_bglt)
																														BgL_new1163z00_2033)))->
																											BgL_typez00) =
																										((BgL_typez00_bglt) (
																												(BgL_typez00_bglt)
																												BGl_za2unspecza2z00zztype_cachez00)),
																										BUNSPEC);
																									{
																										BgL_varz00_bglt
																											BgL_auxz00_8914;
																										{	/* Ast/let.scm 410 */
																											BgL_refz00_bglt
																												BgL_new1165z00_2034;
																											{	/* Ast/let.scm 412 */
																												BgL_refz00_bglt
																													BgL_new1164z00_2035;
																												BgL_new1164z00_2035 =
																													((BgL_refz00_bglt)
																													BOBJECT(GC_MALLOC
																														(sizeof(struct
																																BgL_refz00_bgl))));
																												{	/* Ast/let.scm 412 */
																													long
																														BgL_arg1934z00_2036;
																													{	/* Ast/let.scm 412 */
																														obj_t
																															BgL_classz00_5838;
																														BgL_classz00_5838 =
																															BGl_refz00zzast_nodez00;
																														BgL_arg1934z00_2036
																															=
																															BGL_CLASS_NUM
																															(BgL_classz00_5838);
																													}
																													BGL_OBJECT_CLASS_NUM_SET
																														(((BgL_objectz00_bglt) BgL_new1164z00_2035), BgL_arg1934z00_2036);
																												}
																												{	/* Ast/let.scm 412 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_8919;
																													BgL_tmpz00_8919 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1164z00_2035);
																													BGL_OBJECT_WIDENING_SET
																														(BgL_tmpz00_8919,
																														BFALSE);
																												}
																												((BgL_objectz00_bglt)
																													BgL_new1164z00_2035);
																												BgL_new1165z00_2034 =
																													BgL_new1164z00_2035;
																											}
																											((((BgL_nodez00_bglt)
																														COBJECT((
																																(BgL_nodez00_bglt)
																																BgL_new1165z00_2034)))->
																													BgL_locz00) =
																												((obj_t)
																													BgL_locz00_2028),
																												BUNSPEC);
																											((((BgL_nodez00_bglt)
																														COBJECT((
																																(BgL_nodez00_bglt)
																																BgL_new1165z00_2034)))->
																													BgL_typez00) =
																												((BgL_typez00_bglt) (
																														(BgL_typez00_bglt)
																														BGl_za2_za2z00zztype_cachez00)),
																												BUNSPEC);
																											((((BgL_varz00_bglt)
																														COBJECT((
																																(BgL_varz00_bglt)
																																BgL_new1165z00_2034)))->
																													BgL_variablez00) =
																												((BgL_variablez00_bglt)
																													((BgL_variablez00_bglt) BgL_varz00_2026)), BUNSPEC);
																											BgL_auxz00_8914 =
																												((BgL_varz00_bglt)
																												BgL_new1165z00_2034);
																										}
																										((((BgL_setqz00_bglt)
																													COBJECT
																													(BgL_new1163z00_2033))->
																												BgL_varz00) =
																											((BgL_varz00_bglt)
																												BgL_auxz00_8914),
																											BUNSPEC);
																									}
																									((((BgL_setqz00_bglt)
																												COBJECT
																												(BgL_new1163z00_2033))->
																											BgL_valuez00) =
																										((BgL_nodez00_bglt) (
																												(BgL_nodez00_bglt)
																												BgL_valz00_2027)),
																										BUNSPEC);
																									BgL_initz00_2029 =
																										BgL_new1163z00_2033;
																								}
																								BGl_usezd2variablez12zc0zzast_sexpz00
																									(((BgL_variablez00_bglt)
																										BgL_varz00_2026),
																									BgL_locz00_2028,
																									((obj_t) CNST_TABLE_REF(5)));
																								{	/* Ast/let.scm 417 */
																									BgL_nodez00_bglt
																										BgL_arg1930z00_2030;
																									BgL_arg1930z00_2030 =
																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																										(BUNSPEC, BNIL,
																										BgL_locz00_2028,
																										((obj_t)
																											CNST_TABLE_REF(1)));
																									{	/* Ast/let.scm 416 */
																										obj_t BgL_auxz00_8944;
																										obj_t BgL_tmpz00_8942;

																										BgL_auxz00_8944 =
																											((obj_t)
																											BgL_arg1930z00_2030);
																										BgL_tmpz00_8942 =
																											((obj_t)
																											BgL_bindingz00_2025);
																										SET_CDR(BgL_tmpz00_8942,
																											BgL_auxz00_8944);
																								}}
																								{	/* Ast/let.scm 418 */
																									obj_t BgL_arg1932z00_2031;
																									obj_t BgL_arg1933z00_2032;

																									BgL_arg1932z00_2031 =
																										CDR(
																										((obj_t)
																											BgL_bindingsz00_2015));
																									BgL_arg1933z00_2032 =
																										MAKE_YOUNG_PAIR(((obj_t)
																											BgL_initz00_2029),
																										BgL_nsequencez00_2016);
																									{
																										obj_t BgL_nsequencez00_8952;
																										obj_t BgL_bindingsz00_8951;

																										BgL_bindingsz00_8951 =
																											BgL_arg1932z00_2031;
																										BgL_nsequencez00_8952 =
																											BgL_arg1933z00_2032;
																										BgL_nsequencez00_2016 =
																											BgL_nsequencez00_8952;
																										BgL_bindingsz00_2015 =
																											BgL_bindingsz00_8951;
																										goto
																											BgL_zc3z04anonymousza31924ze3z87_2017;
																									}
																								}
																							}
																						}
																					}
																				}
																			}
																		}
																}
															}
														}
													}
												}
											else
												{	/* Ast/let.scm 421 */
													obj_t BgL_bindingsz00_2045;

													BgL_bindingsz00_2045 =
														(((BgL_letzd2varzd2_bglt)
															COBJECT(BgL_nodezd2letzd2_30))->BgL_bindingsz00);
													{	/* Ast/let.scm 421 */
														BgL_nodez00_bglt BgL_bodyz00_2046;

														BgL_bodyz00_2046 =
															(((BgL_letzd2varzd2_bglt)
																COBJECT(BgL_nodezd2letzd2_30))->BgL_bodyz00);
														{	/* Ast/let.scm 422 */
															BgL_nodez00_bglt BgL_seqz00_2047;

															{	/* Ast/let.scm 423 */
																bool_t BgL_test3920z00_8955;

																{	/* Ast/let.scm 423 */
																	obj_t BgL_classz00_5846;

																	BgL_classz00_5846 =
																		BGl_sequencez00zzast_nodez00;
																	{	/* Ast/let.scm 423 */
																		BgL_objectz00_bglt BgL_arg1858z00_5848;

																		{	/* Ast/let.scm 423 */
																			obj_t BgL_tmpz00_8956;

																			BgL_tmpz00_8956 =
																				((obj_t)
																				((BgL_objectz00_bglt)
																					BgL_bodyz00_2046));
																			BgL_arg1858z00_5848 =
																				(BgL_objectz00_bglt) (BgL_tmpz00_8956);
																		}
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Ast/let.scm 423 */
																				long BgL_idxz00_5854;

																				BgL_idxz00_5854 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_5848);
																				BgL_test3920z00_8955 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_5854 + 3L)) ==
																					BgL_classz00_5846);
																			}
																		else
																			{	/* Ast/let.scm 423 */
																				bool_t BgL_res3775z00_5879;

																				{	/* Ast/let.scm 423 */
																					obj_t BgL_oclassz00_5862;

																					{	/* Ast/let.scm 423 */
																						obj_t BgL_arg1866z00_5870;
																						long BgL_arg1867z00_5871;

																						BgL_arg1866z00_5870 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Ast/let.scm 423 */
																							long BgL_arg1869z00_5872;

																							BgL_arg1869z00_5872 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_5848);
																							BgL_arg1867z00_5871 =
																								(BgL_arg1869z00_5872 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_5862 =
																							VECTOR_REF(BgL_arg1866z00_5870,
																							BgL_arg1867z00_5871);
																					}
																					{	/* Ast/let.scm 423 */
																						bool_t BgL__ortest_1115z00_5863;

																						BgL__ortest_1115z00_5863 =
																							(BgL_classz00_5846 ==
																							BgL_oclassz00_5862);
																						if (BgL__ortest_1115z00_5863)
																							{	/* Ast/let.scm 423 */
																								BgL_res3775z00_5879 =
																									BgL__ortest_1115z00_5863;
																							}
																						else
																							{	/* Ast/let.scm 423 */
																								long BgL_odepthz00_5864;

																								{	/* Ast/let.scm 423 */
																									obj_t BgL_arg1855z00_5865;

																									BgL_arg1855z00_5865 =
																										(BgL_oclassz00_5862);
																									BgL_odepthz00_5864 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_5865);
																								}
																								if ((3L < BgL_odepthz00_5864))
																									{	/* Ast/let.scm 423 */
																										obj_t BgL_arg1853z00_5867;

																										{	/* Ast/let.scm 423 */
																											obj_t BgL_arg1854z00_5868;

																											BgL_arg1854z00_5868 =
																												(BgL_oclassz00_5862);
																											BgL_arg1853z00_5867 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_5868,
																												3L);
																										}
																										BgL_res3775z00_5879 =
																											(BgL_arg1853z00_5867 ==
																											BgL_classz00_5846);
																									}
																								else
																									{	/* Ast/let.scm 423 */
																										BgL_res3775z00_5879 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test3920z00_8955 =
																					BgL_res3775z00_5879;
																			}
																	}
																}
																if (BgL_test3920z00_8955)
																	{	/* Ast/let.scm 423 */
																		BgL_seqz00_2047 = BgL_bodyz00_2046;
																	}
																else
																	{	/* Ast/let.scm 425 */
																		BgL_sequencez00_bglt BgL_new1167z00_2093;

																		{	/* Ast/let.scm 426 */
																			BgL_sequencez00_bglt BgL_new1166z00_2095;

																			BgL_new1166z00_2095 =
																				((BgL_sequencez00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_sequencez00_bgl))));
																			{	/* Ast/let.scm 426 */
																				long BgL_arg1965z00_2096;

																				BgL_arg1965z00_2096 =
																					BGL_CLASS_NUM
																					(BGl_sequencez00zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1166z00_2095),
																					BgL_arg1965z00_2096);
																			}
																			{	/* Ast/let.scm 426 */
																				BgL_objectz00_bglt BgL_tmpz00_8983;

																				BgL_tmpz00_8983 =
																					((BgL_objectz00_bglt)
																					BgL_new1166z00_2095);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8983,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1166z00_2095);
																			BgL_new1167z00_2093 = BgL_new1166z00_2095;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1167z00_2093)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						COBJECT(BgL_bodyz00_2046))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1167z00_2093)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((BgL_typez00_bglt)
																					BGl_za2_za2z00zztype_cachez00)),
																			BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1167z00_2093)))->
																				BgL_sidezd2effectzd2) =
																			((obj_t) BUNSPEC), BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1167z00_2093)))->
																				BgL_keyz00) =
																			((obj_t) BINT((-1L))), BUNSPEC);
																		{
																			obj_t BgL_auxz00_8998;

																			{	/* Ast/let.scm 428 */
																				obj_t BgL_list1963z00_2094;

																				BgL_list1963z00_2094 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_bodyz00_2046), BNIL);
																				BgL_auxz00_8998 = BgL_list1963z00_2094;
																			}
																			((((BgL_sequencez00_bglt)
																						COBJECT(BgL_new1167z00_2093))->
																					BgL_nodesz00) =
																				((obj_t) BgL_auxz00_8998), BUNSPEC);
																		}
																		((((BgL_sequencez00_bglt)
																					COBJECT(BgL_new1167z00_2093))->
																				BgL_unsafez00) =
																			((bool_t) ((bool_t) 0)), BUNSPEC);
																		((((BgL_sequencez00_bglt)
																					COBJECT(BgL_new1167z00_2093))->
																				BgL_metaz00) = ((obj_t) BNIL), BUNSPEC);
																		BgL_seqz00_2047 =
																			((BgL_nodez00_bglt) BgL_new1167z00_2093);
															}}
															{	/* Ast/let.scm 423 */

																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_nodezd2letzd2_30))->
																		BgL_bodyz00) =
																	((BgL_nodez00_bglt) BgL_seqz00_2047),
																	BUNSPEC);
																{	/* Ast/let.scm 430 */
																	obj_t BgL_g1169z00_2049;

																	BgL_g1169z00_2049 =
																		(((BgL_sequencez00_bglt) COBJECT(
																				((BgL_sequencez00_bglt)
																					BgL_seqz00_2047)))->BgL_nodesz00);
																	{
																		obj_t BgL_bindingsz00_2051;
																		obj_t BgL_nbindingsz00_2052;
																		obj_t BgL_nsequencez00_2053;

																		BgL_bindingsz00_2051 = BgL_bindingsz00_2045;
																		BgL_nbindingsz00_2052 = BNIL;
																		BgL_nsequencez00_2053 = BgL_g1169z00_2049;
																	BgL_zc3z04anonymousza31939ze3z87_2054:
																		if (NULLP(BgL_bindingsz00_2051))
																			{	/* Ast/let.scm 434 */
																				obj_t BgL_typz00_2056;

																				if (NULLP(BgL_nsequencez00_2053))
																					{	/* Ast/let.scm 434 */
																						BgL_typz00_2056 =
																							BGl_za2unspecza2z00zztype_cachez00;
																					}
																				else
																					{	/* Ast/let.scm 434 */
																						BgL_typz00_2056 =
																							((obj_t)
																							(((BgL_nodez00_bglt) COBJECT(
																										((BgL_nodez00_bglt)
																											CAR
																											(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																												(BgL_nsequencez00_2053)))))->
																								BgL_typez00));
																					}
																				{	/* Ast/let.scm 434 */
																					BgL_sequencez00_bglt BgL_seqz00_2057;

																					{	/* Ast/let.scm 437 */
																						BgL_sequencez00_bglt
																							BgL_new1171z00_2063;
																						{	/* Ast/let.scm 438 */
																							BgL_sequencez00_bglt
																								BgL_new1170z00_2064;
																							BgL_new1170z00_2064 =
																								((BgL_sequencez00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_sequencez00_bgl))));
																							{	/* Ast/let.scm 438 */
																								long BgL_arg1944z00_2065;

																								BgL_arg1944z00_2065 =
																									BGL_CLASS_NUM
																									(BGl_sequencez00zzast_nodez00);
																								BGL_OBJECT_CLASS_NUM_SET((
																										(BgL_objectz00_bglt)
																										BgL_new1170z00_2064),
																									BgL_arg1944z00_2065);
																							}
																							{	/* Ast/let.scm 438 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_9021;
																								BgL_tmpz00_9021 =
																									((BgL_objectz00_bglt)
																									BgL_new1170z00_2064);
																								BGL_OBJECT_WIDENING_SET
																									(BgL_tmpz00_9021, BFALSE);
																							}
																							((BgL_objectz00_bglt)
																								BgL_new1170z00_2064);
																							BgL_new1171z00_2063 =
																								BgL_new1170z00_2064;
																						}
																						((((BgL_nodez00_bglt) COBJECT(
																										((BgL_nodez00_bglt)
																											BgL_new1171z00_2063)))->
																								BgL_locz00) =
																							((obj_t) (((BgL_nodez00_bglt)
																										COBJECT(BgL_seqz00_2047))->
																									BgL_locz00)), BUNSPEC);
																						((((BgL_nodez00_bglt)
																									COBJECT(((BgL_nodez00_bglt)
																											BgL_new1171z00_2063)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt) (
																									(BgL_typez00_bglt)
																									BGl_za2_za2z00zztype_cachez00)),
																							BUNSPEC);
																						((((BgL_nodezf2effectzf2_bglt)
																									COBJECT((
																											(BgL_nodezf2effectzf2_bglt)
																											BgL_new1171z00_2063)))->
																								BgL_sidezd2effectzd2) =
																							((obj_t) BUNSPEC), BUNSPEC);
																						((((BgL_nodezf2effectzf2_bglt)
																									COBJECT((
																											(BgL_nodezf2effectzf2_bglt)
																											BgL_new1171z00_2063)))->
																								BgL_keyz00) =
																							((obj_t) BINT((-1L))), BUNSPEC);
																						((((BgL_sequencez00_bglt)
																									COBJECT
																									(BgL_new1171z00_2063))->
																								BgL_nodesz00) =
																							((obj_t) BgL_nsequencez00_2053),
																							BUNSPEC);
																						((((BgL_sequencez00_bglt)
																									COBJECT
																									(BgL_new1171z00_2063))->
																								BgL_unsafez00) =
																							((bool_t) ((bool_t) 0)), BUNSPEC);
																						((((BgL_sequencez00_bglt)
																									COBJECT
																									(BgL_new1171z00_2063))->
																								BgL_metaz00) =
																							((obj_t) BNIL), BUNSPEC);
																						BgL_seqz00_2057 =
																							BgL_new1171z00_2063;
																					}
																					{	/* Ast/let.scm 437 */
																						BgL_letzd2varzd2_bglt
																							BgL_letbz00_2058;
																						{	/* Ast/let.scm 441 */
																							BgL_letzd2varzd2_bglt
																								BgL_new1173z00_2059;
																							{	/* Ast/let.scm 442 */
																								BgL_letzd2varzd2_bglt
																									BgL_new1172z00_2061;
																								BgL_new1172z00_2061 =
																									((BgL_letzd2varzd2_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_letzd2varzd2_bgl))));
																								{	/* Ast/let.scm 442 */
																									long BgL_arg1943z00_2062;

																									BgL_arg1943z00_2062 =
																										BGL_CLASS_NUM
																										(BGl_letzd2varzd2zzast_nodez00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1172z00_2061),
																										BgL_arg1943z00_2062);
																								}
																								{	/* Ast/let.scm 442 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_9043;
																									BgL_tmpz00_9043 =
																										((BgL_objectz00_bglt)
																										BgL_new1172z00_2061);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_9043, BFALSE);
																								}
																								((BgL_objectz00_bglt)
																									BgL_new1172z00_2061);
																								BgL_new1173z00_2059 =
																									BgL_new1172z00_2061;
																							}
																							((((BgL_nodez00_bglt) COBJECT(
																											((BgL_nodez00_bglt)
																												BgL_new1173z00_2059)))->
																									BgL_locz00) =
																								((obj_t) (((BgL_nodez00_bglt)
																											COBJECT((
																													(BgL_nodez00_bglt)
																													BgL_nodezd2letzd2_30)))->
																										BgL_locz00)), BUNSPEC);
																							{
																								BgL_typez00_bglt
																									BgL_auxz00_9051;
																								{	/* Ast/let.scm 443 */
																									BgL_typez00_bglt
																										BgL_arg1942z00_2060;
																									BgL_arg1942z00_2060 =
																										(((BgL_nodez00_bglt)
																											COBJECT((
																													(BgL_nodez00_bglt)
																													BgL_nodezd2letzd2_30)))->
																										BgL_typez00);
																									BgL_auxz00_9051 =
																										BGl_strictzd2nodezd2typez00zzast_nodez00
																										(((BgL_typez00_bglt)
																											BGl_za2_za2z00zztype_cachez00),
																										BgL_arg1942z00_2060);
																								}
																								((((BgL_nodez00_bglt) COBJECT(
																												((BgL_nodez00_bglt)
																													BgL_new1173z00_2059)))->
																										BgL_typez00) =
																									((BgL_typez00_bglt)
																										BgL_auxz00_9051), BUNSPEC);
																							}
																							((((BgL_nodezf2effectzf2_bglt)
																										COBJECT((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1173z00_2059)))->
																									BgL_sidezd2effectzd2) =
																								((obj_t) BUNSPEC), BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										COBJECT((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1173z00_2059)))->
																									BgL_keyz00) =
																								((obj_t) BINT((-1L))), BUNSPEC);
																							((((BgL_letzd2varzd2_bglt)
																										COBJECT
																										(BgL_new1173z00_2059))->
																									BgL_bindingsz00) =
																								((obj_t) BgL_nbindingsz00_2052),
																								BUNSPEC);
																							((((BgL_letzd2varzd2_bglt)
																										COBJECT
																										(BgL_new1173z00_2059))->
																									BgL_bodyz00) =
																								((BgL_nodez00_bglt) (
																										(BgL_nodez00_bglt)
																										BgL_seqz00_2057)), BUNSPEC);
																							((((BgL_letzd2varzd2_bglt)
																										COBJECT
																										(BgL_new1173z00_2059))->
																									BgL_removablezf3zf3) =
																								((bool_t) ((bool_t) 1)),
																								BUNSPEC);
																							BgL_letbz00_2058 =
																								BgL_new1173z00_2059;
																						}
																						{	/* Ast/let.scm 441 */

																							((((BgL_letzd2varzd2_bglt)
																										COBJECT
																										(BgL_nodezd2letzd2_30))->
																									BgL_bodyz00) =
																								((BgL_nodez00_bglt) (
																										(BgL_nodez00_bglt)
																										BgL_letbz00_2058)),
																								BUNSPEC);
																							return BgL_nodezd2letzd2_30;
																						}
																					}
																				}
																			}
																		else
																			{	/* Ast/let.scm 449 */
																				obj_t BgL_bindingz00_2069;

																				BgL_bindingz00_2069 =
																					CAR(((obj_t) BgL_bindingsz00_2051));
																				{	/* Ast/let.scm 449 */
																					obj_t BgL_varz00_2070;

																					BgL_varz00_2070 =
																						CAR(((obj_t) BgL_bindingz00_2069));
																					{	/* Ast/let.scm 450 */
																						obj_t BgL_valz00_2071;

																						BgL_valz00_2071 =
																							CDR(
																							((obj_t) BgL_bindingz00_2069));
																						{	/* Ast/let.scm 451 */
																							obj_t BgL_locz00_2072;

																							BgL_locz00_2072 =
																								(((BgL_nodez00_bglt) COBJECT(
																										((BgL_nodez00_bglt)
																											BgL_valz00_2071)))->
																								BgL_locz00);
																							{	/* Ast/let.scm 452 */
																								BgL_localz00_bglt
																									BgL_nvarz00_2073;
																								{	/* Ast/let.scm 453 */
																									obj_t BgL_arg1961z00_2089;

																									{	/* Ast/let.scm 453 */

																										{	/* Ast/let.scm 453 */

																											BgL_arg1961z00_2089 =
																												BGl_gensymz00zz__r4_symbols_6_4z00
																												(BFALSE);
																										}
																									}
																									BgL_nvarz00_2073 =
																										BGl_makezd2localzd2svarz00zzast_localz00
																										(BgL_arg1961z00_2089,
																										((BgL_typez00_bglt)
																											BGl_za2_za2z00zztype_cachez00));
																								}
																								{	/* Ast/let.scm 453 */

																									{	/* Ast/let.scm 454 */
																										BgL_setqz00_bglt
																											BgL_initz00_2074;
																										{	/* Ast/let.scm 454 */
																											BgL_setqz00_bglt
																												BgL_new1175z00_2080;
																											{	/* Ast/let.scm 455 */
																												BgL_setqz00_bglt
																													BgL_new1174z00_2087;
																												BgL_new1174z00_2087 =
																													((BgL_setqz00_bglt)
																													BOBJECT(GC_MALLOC
																														(sizeof(struct
																																BgL_setqz00_bgl))));
																												{	/* Ast/let.scm 455 */
																													long
																														BgL_arg1960z00_2088;
																													BgL_arg1960z00_2088 =
																														BGL_CLASS_NUM
																														(BGl_setqz00zzast_nodez00);
																													BGL_OBJECT_CLASS_NUM_SET
																														(((BgL_objectz00_bglt) BgL_new1174z00_2087), BgL_arg1960z00_2088);
																												}
																												{	/* Ast/let.scm 455 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_9084;
																													BgL_tmpz00_9084 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1174z00_2087);
																													BGL_OBJECT_WIDENING_SET
																														(BgL_tmpz00_9084,
																														BFALSE);
																												}
																												((BgL_objectz00_bglt)
																													BgL_new1174z00_2087);
																												BgL_new1175z00_2080 =
																													BgL_new1174z00_2087;
																											}
																											((((BgL_nodez00_bglt)
																														COBJECT((
																																(BgL_nodez00_bglt)
																																BgL_new1175z00_2080)))->
																													BgL_locz00) =
																												((obj_t)
																													BgL_locz00_2072),
																												BUNSPEC);
																											((((BgL_nodez00_bglt)
																														COBJECT((
																																(BgL_nodez00_bglt)
																																BgL_new1175z00_2080)))->
																													BgL_typez00) =
																												((BgL_typez00_bglt) (
																														(BgL_typez00_bglt)
																														BGl_za2unspecza2z00zztype_cachez00)),
																												BUNSPEC);
																											{
																												BgL_varz00_bglt
																													BgL_auxz00_9093;
																												{	/* Ast/let.scm 457 */
																													BgL_refz00_bglt
																														BgL_new1178z00_2081;
																													{	/* Ast/let.scm 459 */
																														BgL_refz00_bglt
																															BgL_new1176z00_2082;
																														BgL_new1176z00_2082
																															=
																															((BgL_refz00_bglt)
																															BOBJECT(GC_MALLOC
																																(sizeof(struct
																																		BgL_refz00_bgl))));
																														{	/* Ast/let.scm 459 */
																															long
																																BgL_arg1956z00_2083;
																															{	/* Ast/let.scm 459 */
																																obj_t
																																	BgL_classz00_5912;
																																BgL_classz00_5912
																																	=
																																	BGl_refz00zzast_nodez00;
																																BgL_arg1956z00_2083
																																	=
																																	BGL_CLASS_NUM
																																	(BgL_classz00_5912);
																															}
																															BGL_OBJECT_CLASS_NUM_SET
																																(((BgL_objectz00_bglt) BgL_new1176z00_2082), BgL_arg1956z00_2083);
																														}
																														{	/* Ast/let.scm 459 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_9098;
																															BgL_tmpz00_9098 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1176z00_2082);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_tmpz00_9098,
																																BFALSE);
																														}
																														((BgL_objectz00_bglt) BgL_new1176z00_2082);
																														BgL_new1178z00_2081
																															=
																															BgL_new1176z00_2082;
																													}
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1178z00_2081)))->
																															BgL_locz00) =
																														((obj_t)
																															BgL_locz00_2072),
																														BUNSPEC);
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1178z00_2081)))->
																															BgL_typez00) =
																														((BgL_typez00_bglt)
																															((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																													((((BgL_varz00_bglt)
																																COBJECT((
																																		(BgL_varz00_bglt)
																																		BgL_new1178z00_2081)))->
																															BgL_variablez00) =
																														((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_varz00_2070)), BUNSPEC);
																													BgL_auxz00_9093 =
																														((BgL_varz00_bglt)
																														BgL_new1178z00_2081);
																												}
																												((((BgL_setqz00_bglt)
																															COBJECT
																															(BgL_new1175z00_2080))->
																														BgL_varz00) =
																													((BgL_varz00_bglt)
																														BgL_auxz00_9093),
																													BUNSPEC);
																											}
																											{
																												BgL_nodez00_bglt
																													BgL_auxz00_9112;
																												{	/* Ast/let.scm 461 */
																													BgL_refz00_bglt
																														BgL_new1180z00_2084;
																													{	/* Ast/let.scm 463 */
																														BgL_refz00_bglt
																															BgL_new1179z00_2085;
																														BgL_new1179z00_2085
																															=
																															((BgL_refz00_bglt)
																															BOBJECT(GC_MALLOC
																																(sizeof(struct
																																		BgL_refz00_bgl))));
																														{	/* Ast/let.scm 463 */
																															long
																																BgL_arg1957z00_2086;
																															{	/* Ast/let.scm 463 */
																																obj_t
																																	BgL_classz00_5916;
																																BgL_classz00_5916
																																	=
																																	BGl_refz00zzast_nodez00;
																																BgL_arg1957z00_2086
																																	=
																																	BGL_CLASS_NUM
																																	(BgL_classz00_5916);
																															}
																															BGL_OBJECT_CLASS_NUM_SET
																																(((BgL_objectz00_bglt) BgL_new1179z00_2085), BgL_arg1957z00_2086);
																														}
																														{	/* Ast/let.scm 463 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_9117;
																															BgL_tmpz00_9117 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1179z00_2085);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_tmpz00_9117,
																																BFALSE);
																														}
																														((BgL_objectz00_bglt) BgL_new1179z00_2085);
																														BgL_new1180z00_2084
																															=
																															BgL_new1179z00_2085;
																													}
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1180z00_2084)))->
																															BgL_locz00) =
																														((obj_t)
																															BgL_locz00_2072),
																														BUNSPEC);
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1180z00_2084)))->
																															BgL_typez00) =
																														((BgL_typez00_bglt)
																															((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																													((((BgL_varz00_bglt)
																																COBJECT((
																																		(BgL_varz00_bglt)
																																		BgL_new1180z00_2084)))->
																															BgL_variablez00) =
																														((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_nvarz00_2073)), BUNSPEC);
																													BgL_auxz00_9112 =
																														((BgL_nodez00_bglt)
																														BgL_new1180z00_2084);
																												}
																												((((BgL_setqz00_bglt)
																															COBJECT
																															(BgL_new1175z00_2080))->
																														BgL_valuez00) =
																													((BgL_nodez00_bglt)
																														BgL_auxz00_9112),
																													BUNSPEC);
																											}
																											BgL_initz00_2074 =
																												BgL_new1175z00_2080;
																										}
																										BGl_usezd2variablez12zc0zzast_sexpz00
																											(((BgL_variablez00_bglt)
																												BgL_varz00_2070),
																											BgL_locz00_2072,
																											((obj_t)
																												CNST_TABLE_REF(5)));
																										BGl_usezd2variablez12zc0zzast_sexpz00
																											(((BgL_variablez00_bglt)
																												BgL_nvarz00_2073),
																											BgL_locz00_2072,
																											((obj_t)
																												CNST_TABLE_REF(5)));
																										{	/* Ast/let.scm 468 */
																											BgL_nodez00_bglt
																												BgL_arg1948z00_2075;
																											BgL_arg1948z00_2075 =
																												BGl_sexpzd2ze3nodez31zzast_sexpz00
																												(BUNSPEC, BNIL,
																												BgL_locz00_2072,
																												((obj_t)
																													CNST_TABLE_REF(1)));
																											{	/* Ast/let.scm 467 */
																												obj_t BgL_auxz00_9144;
																												obj_t BgL_tmpz00_9142;

																												BgL_auxz00_9144 =
																													((obj_t)
																													BgL_arg1948z00_2075);
																												BgL_tmpz00_9142 =
																													((obj_t)
																													BgL_bindingz00_2069);
																												SET_CDR(BgL_tmpz00_9142,
																													BgL_auxz00_9144);
																										}}
																										{	/* Ast/let.scm 469 */
																											obj_t BgL_arg1950z00_2076;
																											obj_t BgL_arg1953z00_2077;
																											obj_t BgL_arg1954z00_2078;

																											BgL_arg1950z00_2076 =
																												CDR(
																												((obj_t)
																													BgL_bindingsz00_2051));
																											{	/* Ast/let.scm 470 */
																												obj_t
																													BgL_arg1955z00_2079;
																												BgL_arg1955z00_2079 =
																													MAKE_YOUNG_PAIR((
																														(obj_t)
																														BgL_nvarz00_2073),
																													BgL_valz00_2071);
																												BgL_arg1953z00_2077 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1955z00_2079,
																													BgL_nbindingsz00_2052);
																											}
																											BgL_arg1954z00_2078 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													BgL_initz00_2074),
																												BgL_nsequencez00_2053);
																											{
																												obj_t
																													BgL_nsequencez00_9156;
																												obj_t
																													BgL_nbindingsz00_9155;
																												obj_t
																													BgL_bindingsz00_9154;
																												BgL_bindingsz00_9154 =
																													BgL_arg1950z00_2076;
																												BgL_nbindingsz00_9155 =
																													BgL_arg1953z00_2077;
																												BgL_nsequencez00_9156 =
																													BgL_arg1954z00_2078;
																												BgL_nsequencez00_2053 =
																													BgL_nsequencez00_9156;
																												BgL_nbindingsz00_2052 =
																													BgL_nbindingsz00_9155;
																												BgL_bindingsz00_2051 =
																													BgL_bindingsz00_9154;
																												goto
																													BgL_zc3z04anonymousza31939ze3z87_2054;
																											}
																										}
																									}
																								}
																							}
																						}
																					}
																				}
																			}
																	}
																}
															}
														}
													}
												}
										}
								}
						}
				}
			}
		}

	}



/* safe-rec-val?~0 */
	bool_t BGl_safezd2reczd2valzf3ze70z14zzast_letz00(obj_t BgL_valz00_2098)
	{
		{	/* Ast/let.scm 270 */
			{	/* Ast/let.scm 269 */
				bool_t BgL__ortest_1120z00_2100;

				{	/* Ast/let.scm 269 */
					obj_t BgL_classz00_4997;

					BgL_classz00_4997 = BGl_atomz00zzast_nodez00;
					if (BGL_OBJECTP(BgL_valz00_2098))
						{	/* Ast/let.scm 269 */
							BgL_objectz00_bglt BgL_arg1858z00_4999;

							BgL_arg1858z00_4999 = (BgL_objectz00_bglt) (BgL_valz00_2098);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/let.scm 269 */
									long BgL_idxz00_5005;

									BgL_idxz00_5005 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4999);
									BgL__ortest_1120z00_2100 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5005 + 2L)) == BgL_classz00_4997);
								}
							else
								{	/* Ast/let.scm 269 */
									bool_t BgL_res3751z00_5030;

									{	/* Ast/let.scm 269 */
										obj_t BgL_oclassz00_5013;

										{	/* Ast/let.scm 269 */
											obj_t BgL_arg1866z00_5021;
											long BgL_arg1867z00_5022;

											BgL_arg1866z00_5021 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Ast/let.scm 269 */
												long BgL_arg1869z00_5023;

												BgL_arg1869z00_5023 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4999);
												BgL_arg1867z00_5022 =
													(BgL_arg1869z00_5023 - OBJECT_TYPE);
											}
											BgL_oclassz00_5013 =
												VECTOR_REF(BgL_arg1866z00_5021, BgL_arg1867z00_5022);
										}
										{	/* Ast/let.scm 269 */
											bool_t BgL__ortest_1115z00_5014;

											BgL__ortest_1115z00_5014 =
												(BgL_classz00_4997 == BgL_oclassz00_5013);
											if (BgL__ortest_1115z00_5014)
												{	/* Ast/let.scm 269 */
													BgL_res3751z00_5030 = BgL__ortest_1115z00_5014;
												}
											else
												{	/* Ast/let.scm 269 */
													long BgL_odepthz00_5015;

													{	/* Ast/let.scm 269 */
														obj_t BgL_arg1855z00_5016;

														BgL_arg1855z00_5016 = (BgL_oclassz00_5013);
														BgL_odepthz00_5015 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_5016);
													}
													if ((2L < BgL_odepthz00_5015))
														{	/* Ast/let.scm 269 */
															obj_t BgL_arg1853z00_5018;

															{	/* Ast/let.scm 269 */
																obj_t BgL_arg1854z00_5019;

																BgL_arg1854z00_5019 = (BgL_oclassz00_5013);
																BgL_arg1853z00_5018 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5019,
																	2L);
															}
															BgL_res3751z00_5030 =
																(BgL_arg1853z00_5018 == BgL_classz00_4997);
														}
													else
														{	/* Ast/let.scm 269 */
															BgL_res3751z00_5030 = ((bool_t) 0);
														}
												}
										}
									}
									BgL__ortest_1120z00_2100 = BgL_res3751z00_5030;
								}
						}
					else
						{	/* Ast/let.scm 269 */
							BgL__ortest_1120z00_2100 = ((bool_t) 0);
						}
				}
				if (BgL__ortest_1120z00_2100)
					{	/* Ast/let.scm 269 */
						return BgL__ortest_1120z00_2100;
					}
				else
					{	/* Ast/let.scm 269 */
						bool_t BgL__ortest_1121z00_2101;

						{	/* Ast/let.scm 269 */
							obj_t BgL_classz00_5031;

							BgL_classz00_5031 = BGl_closurez00zzast_nodez00;
							if (BGL_OBJECTP(BgL_valz00_2098))
								{	/* Ast/let.scm 269 */
									BgL_objectz00_bglt BgL_arg1858z00_5033;

									BgL_arg1858z00_5033 = (BgL_objectz00_bglt) (BgL_valz00_2098);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Ast/let.scm 269 */
											long BgL_idxz00_5039;

											BgL_idxz00_5039 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5033);
											BgL__ortest_1121z00_2101 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5039 + 3L)) == BgL_classz00_5031);
										}
									else
										{	/* Ast/let.scm 269 */
											bool_t BgL_res3752z00_5064;

											{	/* Ast/let.scm 269 */
												obj_t BgL_oclassz00_5047;

												{	/* Ast/let.scm 269 */
													obj_t BgL_arg1866z00_5055;
													long BgL_arg1867z00_5056;

													BgL_arg1866z00_5055 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Ast/let.scm 269 */
														long BgL_arg1869z00_5057;

														BgL_arg1869z00_5057 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5033);
														BgL_arg1867z00_5056 =
															(BgL_arg1869z00_5057 - OBJECT_TYPE);
													}
													BgL_oclassz00_5047 =
														VECTOR_REF(BgL_arg1866z00_5055,
														BgL_arg1867z00_5056);
												}
												{	/* Ast/let.scm 269 */
													bool_t BgL__ortest_1115z00_5048;

													BgL__ortest_1115z00_5048 =
														(BgL_classz00_5031 == BgL_oclassz00_5047);
													if (BgL__ortest_1115z00_5048)
														{	/* Ast/let.scm 269 */
															BgL_res3752z00_5064 = BgL__ortest_1115z00_5048;
														}
													else
														{	/* Ast/let.scm 269 */
															long BgL_odepthz00_5049;

															{	/* Ast/let.scm 269 */
																obj_t BgL_arg1855z00_5050;

																BgL_arg1855z00_5050 = (BgL_oclassz00_5047);
																BgL_odepthz00_5049 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_5050);
															}
															if ((3L < BgL_odepthz00_5049))
																{	/* Ast/let.scm 269 */
																	obj_t BgL_arg1853z00_5052;

																	{	/* Ast/let.scm 269 */
																		obj_t BgL_arg1854z00_5053;

																		BgL_arg1854z00_5053 = (BgL_oclassz00_5047);
																		BgL_arg1853z00_5052 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_5053, 3L);
																	}
																	BgL_res3752z00_5064 =
																		(BgL_arg1853z00_5052 == BgL_classz00_5031);
																}
															else
																{	/* Ast/let.scm 269 */
																	BgL_res3752z00_5064 = ((bool_t) 0);
																}
														}
												}
											}
											BgL__ortest_1121z00_2101 = BgL_res3752z00_5064;
										}
								}
							else
								{	/* Ast/let.scm 269 */
									BgL__ortest_1121z00_2101 = ((bool_t) 0);
								}
						}
						if (BgL__ortest_1121z00_2101)
							{	/* Ast/let.scm 269 */
								return BgL__ortest_1121z00_2101;
							}
						else
							{	/* Ast/let.scm 269 */
								bool_t BgL__ortest_1122z00_2102;

								{	/* Ast/let.scm 269 */
									obj_t BgL_classz00_5065;

									BgL_classz00_5065 = BGl_kwotez00zzast_nodez00;
									if (BGL_OBJECTP(BgL_valz00_2098))
										{	/* Ast/let.scm 269 */
											BgL_objectz00_bglt BgL_arg1858z00_5067;

											BgL_arg1858z00_5067 =
												(BgL_objectz00_bglt) (BgL_valz00_2098);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Ast/let.scm 269 */
													long BgL_idxz00_5073;

													BgL_idxz00_5073 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5067);
													BgL__ortest_1122z00_2102 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_5073 + 2L)) == BgL_classz00_5065);
												}
											else
												{	/* Ast/let.scm 269 */
													bool_t BgL_res3753z00_5098;

													{	/* Ast/let.scm 269 */
														obj_t BgL_oclassz00_5081;

														{	/* Ast/let.scm 269 */
															obj_t BgL_arg1866z00_5089;
															long BgL_arg1867z00_5090;

															BgL_arg1866z00_5089 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Ast/let.scm 269 */
																long BgL_arg1869z00_5091;

																BgL_arg1869z00_5091 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5067);
																BgL_arg1867z00_5090 =
																	(BgL_arg1869z00_5091 - OBJECT_TYPE);
															}
															BgL_oclassz00_5081 =
																VECTOR_REF(BgL_arg1866z00_5089,
																BgL_arg1867z00_5090);
														}
														{	/* Ast/let.scm 269 */
															bool_t BgL__ortest_1115z00_5082;

															BgL__ortest_1115z00_5082 =
																(BgL_classz00_5065 == BgL_oclassz00_5081);
															if (BgL__ortest_1115z00_5082)
																{	/* Ast/let.scm 269 */
																	BgL_res3753z00_5098 =
																		BgL__ortest_1115z00_5082;
																}
															else
																{	/* Ast/let.scm 269 */
																	long BgL_odepthz00_5083;

																	{	/* Ast/let.scm 269 */
																		obj_t BgL_arg1855z00_5084;

																		BgL_arg1855z00_5084 = (BgL_oclassz00_5081);
																		BgL_odepthz00_5083 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_5084);
																	}
																	if ((2L < BgL_odepthz00_5083))
																		{	/* Ast/let.scm 269 */
																			obj_t BgL_arg1853z00_5086;

																			{	/* Ast/let.scm 269 */
																				obj_t BgL_arg1854z00_5087;

																				BgL_arg1854z00_5087 =
																					(BgL_oclassz00_5081);
																				BgL_arg1853z00_5086 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_5087, 2L);
																			}
																			BgL_res3753z00_5098 =
																				(BgL_arg1853z00_5086 ==
																				BgL_classz00_5065);
																		}
																	else
																		{	/* Ast/let.scm 269 */
																			BgL_res3753z00_5098 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL__ortest_1122z00_2102 = BgL_res3753z00_5098;
												}
										}
									else
										{	/* Ast/let.scm 269 */
											BgL__ortest_1122z00_2102 = ((bool_t) 0);
										}
								}
								if (BgL__ortest_1122z00_2102)
									{	/* Ast/let.scm 269 */
										return BgL__ortest_1122z00_2102;
									}
								else
									{	/* Ast/let.scm 270 */
										bool_t BgL_test3941z00_9226;

										{	/* Ast/let.scm 270 */
											obj_t BgL_classz00_5099;

											BgL_classz00_5099 = BGl_sequencez00zzast_nodez00;
											if (BGL_OBJECTP(BgL_valz00_2098))
												{	/* Ast/let.scm 270 */
													BgL_objectz00_bglt BgL_arg1858z00_5101;

													BgL_arg1858z00_5101 =
														(BgL_objectz00_bglt) (BgL_valz00_2098);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Ast/let.scm 270 */
															long BgL_idxz00_5107;

															BgL_idxz00_5107 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5101);
															BgL_test3941z00_9226 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_5107 + 3L)) == BgL_classz00_5099);
														}
													else
														{	/* Ast/let.scm 270 */
															bool_t BgL_res3754z00_5132;

															{	/* Ast/let.scm 270 */
																obj_t BgL_oclassz00_5115;

																{	/* Ast/let.scm 270 */
																	obj_t BgL_arg1866z00_5123;
																	long BgL_arg1867z00_5124;

																	BgL_arg1866z00_5123 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Ast/let.scm 270 */
																		long BgL_arg1869z00_5125;

																		BgL_arg1869z00_5125 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5101);
																		BgL_arg1867z00_5124 =
																			(BgL_arg1869z00_5125 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_5115 =
																		VECTOR_REF(BgL_arg1866z00_5123,
																		BgL_arg1867z00_5124);
																}
																{	/* Ast/let.scm 270 */
																	bool_t BgL__ortest_1115z00_5116;

																	BgL__ortest_1115z00_5116 =
																		(BgL_classz00_5099 == BgL_oclassz00_5115);
																	if (BgL__ortest_1115z00_5116)
																		{	/* Ast/let.scm 270 */
																			BgL_res3754z00_5132 =
																				BgL__ortest_1115z00_5116;
																		}
																	else
																		{	/* Ast/let.scm 270 */
																			long BgL_odepthz00_5117;

																			{	/* Ast/let.scm 270 */
																				obj_t BgL_arg1855z00_5118;

																				BgL_arg1855z00_5118 =
																					(BgL_oclassz00_5115);
																				BgL_odepthz00_5117 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_5118);
																			}
																			if ((3L < BgL_odepthz00_5117))
																				{	/* Ast/let.scm 270 */
																					obj_t BgL_arg1853z00_5120;

																					{	/* Ast/let.scm 270 */
																						obj_t BgL_arg1854z00_5121;

																						BgL_arg1854z00_5121 =
																							(BgL_oclassz00_5115);
																						BgL_arg1853z00_5120 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_5121, 3L);
																					}
																					BgL_res3754z00_5132 =
																						(BgL_arg1853z00_5120 ==
																						BgL_classz00_5099);
																				}
																			else
																				{	/* Ast/let.scm 270 */
																					BgL_res3754z00_5132 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test3941z00_9226 = BgL_res3754z00_5132;
														}
												}
											else
												{	/* Ast/let.scm 270 */
													BgL_test3941z00_9226 = ((bool_t) 0);
												}
										}
										if (BgL_test3941z00_9226)
											{	/* Ast/let.scm 270 */
												obj_t BgL_g1382z00_2104;

												BgL_g1382z00_2104 =
													(((BgL_sequencez00_bglt) COBJECT(
															((BgL_sequencez00_bglt) BgL_valz00_2098)))->
													BgL_nodesz00);
												{
													obj_t BgL_l1380z00_2106;

													BgL_l1380z00_2106 = BgL_g1382z00_2104;
												BgL_zc3z04anonymousza31967ze3z87_2107:
													if (NULLP(BgL_l1380z00_2106))
														{	/* Ast/let.scm 270 */
															return ((bool_t) 1);
														}
													else
														{	/* Ast/let.scm 270 */
															bool_t BgL_test3947z00_9253;

															{	/* Ast/let.scm 270 */
																obj_t BgL_arg1970z00_2112;

																BgL_arg1970z00_2112 =
																	CAR(((obj_t) BgL_l1380z00_2106));
																BgL_test3947z00_9253 =
																	BGl_safezd2reczd2valzf3ze70z14zzast_letz00
																	(BgL_arg1970z00_2112);
															}
															if (BgL_test3947z00_9253)
																{	/* Ast/let.scm 270 */
																	obj_t BgL_arg1969z00_2111;

																	BgL_arg1969z00_2111 =
																		CDR(((obj_t) BgL_l1380z00_2106));
																	{
																		obj_t BgL_l1380z00_9259;

																		BgL_l1380z00_9259 = BgL_arg1969z00_2111;
																		BgL_l1380z00_2106 = BgL_l1380z00_9259;
																		goto BgL_zc3z04anonymousza31967ze3z87_2107;
																	}
																}
															else
																{	/* Ast/let.scm 270 */
																	return ((bool_t) 0);
																}
														}
												}
											}
										else
											{	/* Ast/let.scm 270 */
												return ((bool_t) 0);
											}
									}
							}
					}
			}
		}

	}



/* safe-rec-val-optim?~0 */
	bool_t BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00(obj_t
		BgL_valz00_2114, obj_t BgL_varsz00_2115)
	{
		{	/* Ast/let.scm 355 */
		BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00:
			{	/* Ast/let.scm 273 */
				bool_t BgL__ortest_1124z00_2117;

				BgL__ortest_1124z00_2117 =
					BGl_safezd2reczd2valzf3ze70z14zzast_letz00(BgL_valz00_2114);
				if (BgL__ortest_1124z00_2117)
					{	/* Ast/let.scm 273 */
						return BgL__ortest_1124z00_2117;
					}
				else
					{	/* Ast/let.scm 273 */
						if (NULLP(BgL_valz00_2114))
							{	/* Ast/let.scm 275 */
								return ((bool_t) 1);
							}
						else
							{	/* Ast/let.scm 277 */
								bool_t BgL_test3950z00_9264;

								{	/* Ast/let.scm 277 */
									obj_t BgL_classz00_5136;

									BgL_classz00_5136 = BGl_atomz00zzast_nodez00;
									if (BGL_OBJECTP(BgL_valz00_2114))
										{	/* Ast/let.scm 277 */
											BgL_objectz00_bglt BgL_arg1858z00_5138;

											BgL_arg1858z00_5138 =
												(BgL_objectz00_bglt) (BgL_valz00_2114);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Ast/let.scm 277 */
													long BgL_idxz00_5144;

													BgL_idxz00_5144 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5138);
													BgL_test3950z00_9264 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_5144 + 2L)) == BgL_classz00_5136);
												}
											else
												{	/* Ast/let.scm 277 */
													bool_t BgL_res3755z00_5169;

													{	/* Ast/let.scm 277 */
														obj_t BgL_oclassz00_5152;

														{	/* Ast/let.scm 277 */
															obj_t BgL_arg1866z00_5160;
															long BgL_arg1867z00_5161;

															BgL_arg1866z00_5160 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Ast/let.scm 277 */
																long BgL_arg1869z00_5162;

																BgL_arg1869z00_5162 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5138);
																BgL_arg1867z00_5161 =
																	(BgL_arg1869z00_5162 - OBJECT_TYPE);
															}
															BgL_oclassz00_5152 =
																VECTOR_REF(BgL_arg1866z00_5160,
																BgL_arg1867z00_5161);
														}
														{	/* Ast/let.scm 277 */
															bool_t BgL__ortest_1115z00_5153;

															BgL__ortest_1115z00_5153 =
																(BgL_classz00_5136 == BgL_oclassz00_5152);
															if (BgL__ortest_1115z00_5153)
																{	/* Ast/let.scm 277 */
																	BgL_res3755z00_5169 =
																		BgL__ortest_1115z00_5153;
																}
															else
																{	/* Ast/let.scm 277 */
																	long BgL_odepthz00_5154;

																	{	/* Ast/let.scm 277 */
																		obj_t BgL_arg1855z00_5155;

																		BgL_arg1855z00_5155 = (BgL_oclassz00_5152);
																		BgL_odepthz00_5154 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_5155);
																	}
																	if ((2L < BgL_odepthz00_5154))
																		{	/* Ast/let.scm 277 */
																			obj_t BgL_arg1853z00_5157;

																			{	/* Ast/let.scm 277 */
																				obj_t BgL_arg1854z00_5158;

																				BgL_arg1854z00_5158 =
																					(BgL_oclassz00_5152);
																				BgL_arg1853z00_5157 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_5158, 2L);
																			}
																			BgL_res3755z00_5169 =
																				(BgL_arg1853z00_5157 ==
																				BgL_classz00_5136);
																		}
																	else
																		{	/* Ast/let.scm 277 */
																			BgL_res3755z00_5169 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test3950z00_9264 = BgL_res3755z00_5169;
												}
										}
									else
										{	/* Ast/let.scm 277 */
											BgL_test3950z00_9264 = ((bool_t) 0);
										}
								}
								if (BgL_test3950z00_9264)
									{	/* Ast/let.scm 277 */
										return ((bool_t) 1);
									}
								else
									{	/* Ast/let.scm 279 */
										bool_t BgL_test3955z00_9287;

										{	/* Ast/let.scm 279 */
											obj_t BgL_classz00_5170;

											BgL_classz00_5170 = BGl_varz00zzast_nodez00;
											if (BGL_OBJECTP(BgL_valz00_2114))
												{	/* Ast/let.scm 279 */
													BgL_objectz00_bglt BgL_arg1858z00_5172;

													BgL_arg1858z00_5172 =
														(BgL_objectz00_bglt) (BgL_valz00_2114);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Ast/let.scm 279 */
															long BgL_idxz00_5178;

															BgL_idxz00_5178 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5172);
															BgL_test3955z00_9287 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_5178 + 2L)) == BgL_classz00_5170);
														}
													else
														{	/* Ast/let.scm 279 */
															bool_t BgL_res3756z00_5203;

															{	/* Ast/let.scm 279 */
																obj_t BgL_oclassz00_5186;

																{	/* Ast/let.scm 279 */
																	obj_t BgL_arg1866z00_5194;
																	long BgL_arg1867z00_5195;

																	BgL_arg1866z00_5194 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Ast/let.scm 279 */
																		long BgL_arg1869z00_5196;

																		BgL_arg1869z00_5196 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5172);
																		BgL_arg1867z00_5195 =
																			(BgL_arg1869z00_5196 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_5186 =
																		VECTOR_REF(BgL_arg1866z00_5194,
																		BgL_arg1867z00_5195);
																}
																{	/* Ast/let.scm 279 */
																	bool_t BgL__ortest_1115z00_5187;

																	BgL__ortest_1115z00_5187 =
																		(BgL_classz00_5170 == BgL_oclassz00_5186);
																	if (BgL__ortest_1115z00_5187)
																		{	/* Ast/let.scm 279 */
																			BgL_res3756z00_5203 =
																				BgL__ortest_1115z00_5187;
																		}
																	else
																		{	/* Ast/let.scm 279 */
																			long BgL_odepthz00_5188;

																			{	/* Ast/let.scm 279 */
																				obj_t BgL_arg1855z00_5189;

																				BgL_arg1855z00_5189 =
																					(BgL_oclassz00_5186);
																				BgL_odepthz00_5188 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_5189);
																			}
																			if ((2L < BgL_odepthz00_5188))
																				{	/* Ast/let.scm 279 */
																					obj_t BgL_arg1853z00_5191;

																					{	/* Ast/let.scm 279 */
																						obj_t BgL_arg1854z00_5192;

																						BgL_arg1854z00_5192 =
																							(BgL_oclassz00_5186);
																						BgL_arg1853z00_5191 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_5192, 2L);
																					}
																					BgL_res3756z00_5203 =
																						(BgL_arg1853z00_5191 ==
																						BgL_classz00_5170);
																				}
																			else
																				{	/* Ast/let.scm 279 */
																					BgL_res3756z00_5203 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test3955z00_9287 = BgL_res3756z00_5203;
														}
												}
											else
												{	/* Ast/let.scm 279 */
													BgL_test3955z00_9287 = ((bool_t) 0);
												}
										}
										if (BgL_test3955z00_9287)
											{	/* Ast/let.scm 279 */
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
															((obj_t)
																(((BgL_varz00_bglt) COBJECT(
																			((BgL_varz00_bglt) BgL_valz00_2114)))->
																	BgL_variablez00)), BgL_varsz00_2115)))
													{	/* Ast/let.scm 280 */
														return ((bool_t) 0);
													}
												else
													{	/* Ast/let.scm 280 */
														return ((bool_t) 1);
													}
											}
										else
											{	/* Ast/let.scm 281 */
												bool_t BgL_test3961z00_9316;

												{	/* Ast/let.scm 281 */
													obj_t BgL_classz00_5205;

													BgL_classz00_5205 = BGl_sequencez00zzast_nodez00;
													if (BGL_OBJECTP(BgL_valz00_2114))
														{	/* Ast/let.scm 281 */
															BgL_objectz00_bglt BgL_arg1858z00_5207;

															BgL_arg1858z00_5207 =
																(BgL_objectz00_bglt) (BgL_valz00_2114);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Ast/let.scm 281 */
																	long BgL_idxz00_5213;

																	BgL_idxz00_5213 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_5207);
																	BgL_test3961z00_9316 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_5213 + 3L)) ==
																		BgL_classz00_5205);
																}
															else
																{	/* Ast/let.scm 281 */
																	bool_t BgL_res3757z00_5238;

																	{	/* Ast/let.scm 281 */
																		obj_t BgL_oclassz00_5221;

																		{	/* Ast/let.scm 281 */
																			obj_t BgL_arg1866z00_5229;
																			long BgL_arg1867z00_5230;

																			BgL_arg1866z00_5229 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Ast/let.scm 281 */
																				long BgL_arg1869z00_5231;

																				BgL_arg1869z00_5231 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_5207);
																				BgL_arg1867z00_5230 =
																					(BgL_arg1869z00_5231 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_5221 =
																				VECTOR_REF(BgL_arg1866z00_5229,
																				BgL_arg1867z00_5230);
																		}
																		{	/* Ast/let.scm 281 */
																			bool_t BgL__ortest_1115z00_5222;

																			BgL__ortest_1115z00_5222 =
																				(BgL_classz00_5205 ==
																				BgL_oclassz00_5221);
																			if (BgL__ortest_1115z00_5222)
																				{	/* Ast/let.scm 281 */
																					BgL_res3757z00_5238 =
																						BgL__ortest_1115z00_5222;
																				}
																			else
																				{	/* Ast/let.scm 281 */
																					long BgL_odepthz00_5223;

																					{	/* Ast/let.scm 281 */
																						obj_t BgL_arg1855z00_5224;

																						BgL_arg1855z00_5224 =
																							(BgL_oclassz00_5221);
																						BgL_odepthz00_5223 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_5224);
																					}
																					if ((3L < BgL_odepthz00_5223))
																						{	/* Ast/let.scm 281 */
																							obj_t BgL_arg1853z00_5226;

																							{	/* Ast/let.scm 281 */
																								obj_t BgL_arg1854z00_5227;

																								BgL_arg1854z00_5227 =
																									(BgL_oclassz00_5221);
																								BgL_arg1853z00_5226 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_5227, 3L);
																							}
																							BgL_res3757z00_5238 =
																								(BgL_arg1853z00_5226 ==
																								BgL_classz00_5205);
																						}
																					else
																						{	/* Ast/let.scm 281 */
																							BgL_res3757z00_5238 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test3961z00_9316 = BgL_res3757z00_5238;
																}
														}
													else
														{	/* Ast/let.scm 281 */
															BgL_test3961z00_9316 = ((bool_t) 0);
														}
												}
												if (BgL_test3961z00_9316)
													{	/* Ast/let.scm 282 */
														obj_t BgL_arg1980z00_2125;

														BgL_arg1980z00_2125 =
															(((BgL_sequencez00_bglt) COBJECT(
																	((BgL_sequencez00_bglt) BgL_valz00_2114)))->
															BgL_nodesz00);
														{
															obj_t BgL_valz00_9341;

															BgL_valz00_9341 = BgL_arg1980z00_2125;
															BgL_valz00_2114 = BgL_valz00_9341;
															goto
																BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00;
														}
													}
												else
													{	/* Ast/let.scm 283 */
														bool_t BgL_test3966z00_9342;

														{	/* Ast/let.scm 283 */
															obj_t BgL_classz00_5240;

															BgL_classz00_5240 = BGl_appz00zzast_nodez00;
															if (BGL_OBJECTP(BgL_valz00_2114))
																{	/* Ast/let.scm 283 */
																	BgL_objectz00_bglt BgL_arg1858z00_5242;

																	BgL_arg1858z00_5242 =
																		(BgL_objectz00_bglt) (BgL_valz00_2114);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Ast/let.scm 283 */
																			long BgL_idxz00_5248;

																			BgL_idxz00_5248 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_5242);
																			BgL_test3966z00_9342 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_5248 + 3L)) ==
																				BgL_classz00_5240);
																		}
																	else
																		{	/* Ast/let.scm 283 */
																			bool_t BgL_res3758z00_5273;

																			{	/* Ast/let.scm 283 */
																				obj_t BgL_oclassz00_5256;

																				{	/* Ast/let.scm 283 */
																					obj_t BgL_arg1866z00_5264;
																					long BgL_arg1867z00_5265;

																					BgL_arg1866z00_5264 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Ast/let.scm 283 */
																						long BgL_arg1869z00_5266;

																						BgL_arg1869z00_5266 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_5242);
																						BgL_arg1867z00_5265 =
																							(BgL_arg1869z00_5266 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_5256 =
																						VECTOR_REF(BgL_arg1866z00_5264,
																						BgL_arg1867z00_5265);
																				}
																				{	/* Ast/let.scm 283 */
																					bool_t BgL__ortest_1115z00_5257;

																					BgL__ortest_1115z00_5257 =
																						(BgL_classz00_5240 ==
																						BgL_oclassz00_5256);
																					if (BgL__ortest_1115z00_5257)
																						{	/* Ast/let.scm 283 */
																							BgL_res3758z00_5273 =
																								BgL__ortest_1115z00_5257;
																						}
																					else
																						{	/* Ast/let.scm 283 */
																							long BgL_odepthz00_5258;

																							{	/* Ast/let.scm 283 */
																								obj_t BgL_arg1855z00_5259;

																								BgL_arg1855z00_5259 =
																									(BgL_oclassz00_5256);
																								BgL_odepthz00_5258 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_5259);
																							}
																							if ((3L < BgL_odepthz00_5258))
																								{	/* Ast/let.scm 283 */
																									obj_t BgL_arg1853z00_5261;

																									{	/* Ast/let.scm 283 */
																										obj_t BgL_arg1854z00_5262;

																										BgL_arg1854z00_5262 =
																											(BgL_oclassz00_5256);
																										BgL_arg1853z00_5261 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_5262, 3L);
																									}
																									BgL_res3758z00_5273 =
																										(BgL_arg1853z00_5261 ==
																										BgL_classz00_5240);
																								}
																							else
																								{	/* Ast/let.scm 283 */
																									BgL_res3758z00_5273 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test3966z00_9342 =
																				BgL_res3758z00_5273;
																		}
																}
															else
																{	/* Ast/let.scm 283 */
																	BgL_test3966z00_9342 = ((bool_t) 0);
																}
														}
														if (BgL_test3966z00_9342)
															{	/* Ast/let.scm 285 */
																bool_t BgL_test3971z00_9365;

																{	/* Ast/let.scm 285 */
																	BgL_varz00_bglt BgL_arg1983z00_2130;

																	BgL_arg1983z00_2130 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_valz00_2114)))->
																		BgL_funz00);
																	BgL_test3971z00_9365 =
																		BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																		(((obj_t) BgL_arg1983z00_2130),
																		BgL_varsz00_2115);
																}
																if (BgL_test3971z00_9365)
																	{	/* Ast/let.scm 286 */
																		obj_t BgL_arg1982z00_2129;

																		BgL_arg1982z00_2129 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_valz00_2114)))->BgL_argsz00);
																		{
																			obj_t BgL_valz00_9372;

																			BgL_valz00_9372 = BgL_arg1982z00_2129;
																			BgL_valz00_2114 = BgL_valz00_9372;
																			goto
																				BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00;
																		}
																	}
																else
																	{	/* Ast/let.scm 285 */
																		return ((bool_t) 0);
																	}
															}
														else
															{	/* Ast/let.scm 283 */
																if (PAIRP(BgL_valz00_2114))
																	{
																		obj_t BgL_l1384z00_2133;

																		BgL_l1384z00_2133 = BgL_valz00_2114;
																	BgL_zc3z04anonymousza31985ze3z87_2134:
																		if (NULLP(BgL_l1384z00_2133))
																			{	/* Ast/let.scm 288 */
																				return ((bool_t) 1);
																			}
																		else
																			{	/* Ast/let.scm 288 */
																				bool_t BgL_test3974z00_9377;

																				{	/* Ast/let.scm 288 */
																					obj_t BgL_vz00_2139;

																					BgL_vz00_2139 =
																						CAR(((obj_t) BgL_l1384z00_2133));
																					BgL_test3974z00_9377 =
																						BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																						(BgL_vz00_2139, BgL_varsz00_2115);
																				}
																				if (BgL_test3974z00_9377)
																					{	/* Ast/let.scm 288 */
																						obj_t BgL_arg1987z00_2138;

																						BgL_arg1987z00_2138 =
																							CDR(((obj_t) BgL_l1384z00_2133));
																						{
																							obj_t BgL_l1384z00_9383;

																							BgL_l1384z00_9383 =
																								BgL_arg1987z00_2138;
																							BgL_l1384z00_2133 =
																								BgL_l1384z00_9383;
																							goto
																								BgL_zc3z04anonymousza31985ze3z87_2134;
																						}
																					}
																				else
																					{	/* Ast/let.scm 288 */
																						return ((bool_t) 0);
																					}
																			}
																	}
																else
																	{	/* Ast/let.scm 289 */
																		bool_t BgL_test3975z00_9384;

																		{	/* Ast/let.scm 289 */
																			obj_t BgL_classz00_5276;

																			BgL_classz00_5276 =
																				BGl_appzd2lyzd2zzast_nodez00;
																			if (BGL_OBJECTP(BgL_valz00_2114))
																				{	/* Ast/let.scm 289 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_5278;
																					BgL_arg1858z00_5278 =
																						(BgL_objectz00_bglt)
																						(BgL_valz00_2114);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Ast/let.scm 289 */
																							long BgL_idxz00_5284;

																							BgL_idxz00_5284 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_5278);
																							BgL_test3975z00_9384 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_5284 + 2L)) ==
																								BgL_classz00_5276);
																						}
																					else
																						{	/* Ast/let.scm 289 */
																							bool_t BgL_res3759z00_5309;

																							{	/* Ast/let.scm 289 */
																								obj_t BgL_oclassz00_5292;

																								{	/* Ast/let.scm 289 */
																									obj_t BgL_arg1866z00_5300;
																									long BgL_arg1867z00_5301;

																									BgL_arg1866z00_5300 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* Ast/let.scm 289 */
																										long BgL_arg1869z00_5302;

																										BgL_arg1869z00_5302 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_5278);
																										BgL_arg1867z00_5301 =
																											(BgL_arg1869z00_5302 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_5292 =
																										VECTOR_REF
																										(BgL_arg1866z00_5300,
																										BgL_arg1867z00_5301);
																								}
																								{	/* Ast/let.scm 289 */
																									bool_t
																										BgL__ortest_1115z00_5293;
																									BgL__ortest_1115z00_5293 =
																										(BgL_classz00_5276 ==
																										BgL_oclassz00_5292);
																									if (BgL__ortest_1115z00_5293)
																										{	/* Ast/let.scm 289 */
																											BgL_res3759z00_5309 =
																												BgL__ortest_1115z00_5293;
																										}
																									else
																										{	/* Ast/let.scm 289 */
																											long BgL_odepthz00_5294;

																											{	/* Ast/let.scm 289 */
																												obj_t
																													BgL_arg1855z00_5295;
																												BgL_arg1855z00_5295 =
																													(BgL_oclassz00_5292);
																												BgL_odepthz00_5294 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_5295);
																											}
																											if (
																												(2L <
																													BgL_odepthz00_5294))
																												{	/* Ast/let.scm 289 */
																													obj_t
																														BgL_arg1853z00_5297;
																													{	/* Ast/let.scm 289 */
																														obj_t
																															BgL_arg1854z00_5298;
																														BgL_arg1854z00_5298
																															=
																															(BgL_oclassz00_5292);
																														BgL_arg1853z00_5297
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_5298,
																															2L);
																													}
																													BgL_res3759z00_5309 =
																														(BgL_arg1853z00_5297
																														==
																														BgL_classz00_5276);
																												}
																											else
																												{	/* Ast/let.scm 289 */
																													BgL_res3759z00_5309 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test3975z00_9384 =
																								BgL_res3759z00_5309;
																						}
																				}
																			else
																				{	/* Ast/let.scm 289 */
																					BgL_test3975z00_9384 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test3975z00_9384)
																			{	/* Ast/let.scm 291 */
																				bool_t BgL_test3980z00_9407;

																				{	/* Ast/let.scm 291 */
																					BgL_nodez00_bglt BgL_arg1990z00_2145;

																					BgL_arg1990z00_2145 =
																						(((BgL_appzd2lyzd2_bglt) COBJECT(
																								((BgL_appzd2lyzd2_bglt)
																									BgL_valz00_2114)))->
																						BgL_funz00);
																					BgL_test3980z00_9407 =
																						BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																						(((obj_t) BgL_arg1990z00_2145),
																						BgL_varsz00_2115);
																				}
																				if (BgL_test3980z00_9407)
																					{	/* Ast/let.scm 292 */
																						BgL_nodez00_bglt
																							BgL_arg1989z00_2144;
																						BgL_arg1989z00_2144 =
																							(((BgL_appzd2lyzd2_bglt)
																								COBJECT(((BgL_appzd2lyzd2_bglt)
																										BgL_valz00_2114)))->
																							BgL_argz00);
																						{
																							obj_t BgL_valz00_9414;

																							BgL_valz00_9414 =
																								((obj_t) BgL_arg1989z00_2144);
																							BgL_valz00_2114 = BgL_valz00_9414;
																							goto
																								BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00;
																						}
																					}
																				else
																					{	/* Ast/let.scm 291 */
																						return ((bool_t) 0);
																					}
																			}
																		else
																			{	/* Ast/let.scm 293 */
																				bool_t BgL_test3981z00_9416;

																				{	/* Ast/let.scm 293 */
																					obj_t BgL_classz00_5310;

																					BgL_classz00_5310 =
																						BGl_funcallz00zzast_nodez00;
																					if (BGL_OBJECTP(BgL_valz00_2114))
																						{	/* Ast/let.scm 293 */
																							BgL_objectz00_bglt
																								BgL_arg1858z00_5312;
																							BgL_arg1858z00_5312 =
																								(BgL_objectz00_bglt)
																								(BgL_valz00_2114);
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* Ast/let.scm 293 */
																									long BgL_idxz00_5318;

																									BgL_idxz00_5318 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1858z00_5312);
																									BgL_test3981z00_9416 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_5318 + 2L)) ==
																										BgL_classz00_5310);
																								}
																							else
																								{	/* Ast/let.scm 293 */
																									bool_t BgL_res3760z00_5343;

																									{	/* Ast/let.scm 293 */
																										obj_t BgL_oclassz00_5326;

																										{	/* Ast/let.scm 293 */
																											obj_t BgL_arg1866z00_5334;
																											long BgL_arg1867z00_5335;

																											BgL_arg1866z00_5334 =
																												(BGl_za2classesza2z00zz__objectz00);
																											{	/* Ast/let.scm 293 */
																												long
																													BgL_arg1869z00_5336;
																												BgL_arg1869z00_5336 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1858z00_5312);
																												BgL_arg1867z00_5335 =
																													(BgL_arg1869z00_5336 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_5326 =
																												VECTOR_REF
																												(BgL_arg1866z00_5334,
																												BgL_arg1867z00_5335);
																										}
																										{	/* Ast/let.scm 293 */
																											bool_t
																												BgL__ortest_1115z00_5327;
																											BgL__ortest_1115z00_5327 =
																												(BgL_classz00_5310 ==
																												BgL_oclassz00_5326);
																											if (BgL__ortest_1115z00_5327)
																												{	/* Ast/let.scm 293 */
																													BgL_res3760z00_5343 =
																														BgL__ortest_1115z00_5327;
																												}
																											else
																												{	/* Ast/let.scm 293 */
																													long
																														BgL_odepthz00_5328;
																													{	/* Ast/let.scm 293 */
																														obj_t
																															BgL_arg1855z00_5329;
																														BgL_arg1855z00_5329
																															=
																															(BgL_oclassz00_5326);
																														BgL_odepthz00_5328 =
																															BGL_CLASS_DEPTH
																															(BgL_arg1855z00_5329);
																													}
																													if (
																														(2L <
																															BgL_odepthz00_5328))
																														{	/* Ast/let.scm 293 */
																															obj_t
																																BgL_arg1853z00_5331;
																															{	/* Ast/let.scm 293 */
																																obj_t
																																	BgL_arg1854z00_5332;
																																BgL_arg1854z00_5332
																																	=
																																	(BgL_oclassz00_5326);
																																BgL_arg1853z00_5331
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_arg1854z00_5332,
																																	2L);
																															}
																															BgL_res3760z00_5343
																																=
																																(BgL_arg1853z00_5331
																																==
																																BgL_classz00_5310);
																														}
																													else
																														{	/* Ast/let.scm 293 */
																															BgL_res3760z00_5343
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test3981z00_9416 =
																										BgL_res3760z00_5343;
																								}
																						}
																					else
																						{	/* Ast/let.scm 293 */
																							BgL_test3981z00_9416 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test3981z00_9416)
																					{	/* Ast/let.scm 295 */
																						bool_t BgL_test3986z00_9439;

																						{	/* Ast/let.scm 295 */
																							BgL_nodez00_bglt
																								BgL_arg1995z00_2150;
																							BgL_arg1995z00_2150 =
																								(((BgL_funcallz00_bglt)
																									COBJECT(((BgL_funcallz00_bglt)
																											BgL_valz00_2114)))->
																								BgL_funz00);
																							BgL_test3986z00_9439 =
																								BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																								(((obj_t) BgL_arg1995z00_2150),
																								BgL_varsz00_2115);
																						}
																						if (BgL_test3986z00_9439)
																							{	/* Ast/let.scm 296 */
																								obj_t BgL_arg1994z00_2149;

																								BgL_arg1994z00_2149 =
																									(((BgL_funcallz00_bglt)
																										COBJECT((
																												(BgL_funcallz00_bglt)
																												BgL_valz00_2114)))->
																									BgL_argsz00);
																								{
																									obj_t BgL_valz00_9446;

																									BgL_valz00_9446 =
																										BgL_arg1994z00_2149;
																									BgL_valz00_2114 =
																										BgL_valz00_9446;
																									goto
																										BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00;
																								}
																							}
																						else
																							{	/* Ast/let.scm 295 */
																								return ((bool_t) 0);
																							}
																					}
																				else
																					{	/* Ast/let.scm 297 */
																						bool_t BgL_test3987z00_9447;

																						{	/* Ast/let.scm 297 */
																							obj_t BgL_classz00_5344;

																							BgL_classz00_5344 =
																								BGl_externz00zzast_nodez00;
																							if (BGL_OBJECTP(BgL_valz00_2114))
																								{	/* Ast/let.scm 297 */
																									BgL_objectz00_bglt
																										BgL_arg1858z00_5346;
																									BgL_arg1858z00_5346 =
																										(BgL_objectz00_bglt)
																										(BgL_valz00_2114);
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Ast/let.scm 297 */
																											long BgL_idxz00_5352;

																											BgL_idxz00_5352 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1858z00_5346);
																											BgL_test3987z00_9447 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_5352 +
																														3L)) ==
																												BgL_classz00_5344);
																										}
																									else
																										{	/* Ast/let.scm 297 */
																											bool_t
																												BgL_res3761z00_5377;
																											{	/* Ast/let.scm 297 */
																												obj_t
																													BgL_oclassz00_5360;
																												{	/* Ast/let.scm 297 */
																													obj_t
																														BgL_arg1866z00_5368;
																													long
																														BgL_arg1867z00_5369;
																													BgL_arg1866z00_5368 =
																														(BGl_za2classesza2z00zz__objectz00);
																													{	/* Ast/let.scm 297 */
																														long
																															BgL_arg1869z00_5370;
																														BgL_arg1869z00_5370
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1858z00_5346);
																														BgL_arg1867z00_5369
																															=
																															(BgL_arg1869z00_5370
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_5360 =
																														VECTOR_REF
																														(BgL_arg1866z00_5368,
																														BgL_arg1867z00_5369);
																												}
																												{	/* Ast/let.scm 297 */
																													bool_t
																														BgL__ortest_1115z00_5361;
																													BgL__ortest_1115z00_5361
																														=
																														(BgL_classz00_5344
																														==
																														BgL_oclassz00_5360);
																													if (BgL__ortest_1115z00_5361)
																														{	/* Ast/let.scm 297 */
																															BgL_res3761z00_5377
																																=
																																BgL__ortest_1115z00_5361;
																														}
																													else
																														{	/* Ast/let.scm 297 */
																															long
																																BgL_odepthz00_5362;
																															{	/* Ast/let.scm 297 */
																																obj_t
																																	BgL_arg1855z00_5363;
																																BgL_arg1855z00_5363
																																	=
																																	(BgL_oclassz00_5360);
																																BgL_odepthz00_5362
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_arg1855z00_5363);
																															}
																															if (
																																(3L <
																																	BgL_odepthz00_5362))
																																{	/* Ast/let.scm 297 */
																																	obj_t
																																		BgL_arg1853z00_5365;
																																	{	/* Ast/let.scm 297 */
																																		obj_t
																																			BgL_arg1854z00_5366;
																																		BgL_arg1854z00_5366
																																			=
																																			(BgL_oclassz00_5360);
																																		BgL_arg1853z00_5365
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_arg1854z00_5366,
																																			3L);
																																	}
																																	BgL_res3761z00_5377
																																		=
																																		(BgL_arg1853z00_5365
																																		==
																																		BgL_classz00_5344);
																																}
																															else
																																{	/* Ast/let.scm 297 */
																																	BgL_res3761z00_5377
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test3987z00_9447 =
																												BgL_res3761z00_5377;
																										}
																								}
																							else
																								{	/* Ast/let.scm 297 */
																									BgL_test3987z00_9447 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_test3987z00_9447)
																							{	/* Ast/let.scm 299 */
																								obj_t BgL_g1389z00_2153;

																								BgL_g1389z00_2153 =
																									(((BgL_externz00_bglt)
																										COBJECT((
																												(BgL_externz00_bglt)
																												BgL_valz00_2114)))->
																									BgL_exprza2za2);
																								{
																									obj_t BgL_l1387z00_2155;

																									BgL_l1387z00_2155 =
																										BgL_g1389z00_2153;
																								BgL_zc3z04anonymousza31997ze3z87_2156:
																									if (NULLP
																										(BgL_l1387z00_2155))
																										{	/* Ast/let.scm 299 */
																											return ((bool_t) 1);
																										}
																									else
																										{	/* Ast/let.scm 299 */
																											bool_t
																												BgL_test3993z00_9474;
																											{	/* Ast/let.scm 300 */
																												obj_t BgL_ez00_2161;

																												BgL_ez00_2161 =
																													CAR(
																													((obj_t)
																														BgL_l1387z00_2155));
																												BgL_test3993z00_9474 =
																													BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																													(BgL_ez00_2161,
																													BgL_varsz00_2115);
																											}
																											if (BgL_test3993z00_9474)
																												{	/* Ast/let.scm 299 */
																													obj_t
																														BgL_arg1999z00_2160;
																													BgL_arg1999z00_2160 =
																														CDR(((obj_t)
																															BgL_l1387z00_2155));
																													{
																														obj_t
																															BgL_l1387z00_9480;
																														BgL_l1387z00_9480 =
																															BgL_arg1999z00_2160;
																														BgL_l1387z00_2155 =
																															BgL_l1387z00_9480;
																														goto
																															BgL_zc3z04anonymousza31997ze3z87_2156;
																													}
																												}
																											else
																												{	/* Ast/let.scm 299 */
																													return ((bool_t) 0);
																												}
																										}
																								}
																							}
																						else
																							{	/* Ast/let.scm 302 */
																								bool_t BgL_test3994z00_9481;

																								{	/* Ast/let.scm 302 */
																									obj_t BgL_classz00_5380;

																									BgL_classz00_5380 =
																										BGl_conditionalz00zzast_nodez00;
																									if (BGL_OBJECTP
																										(BgL_valz00_2114))
																										{	/* Ast/let.scm 302 */
																											BgL_objectz00_bglt
																												BgL_arg1858z00_5382;
																											BgL_arg1858z00_5382 =
																												(BgL_objectz00_bglt)
																												(BgL_valz00_2114);
																											if (BGL_CONDEXPAND_ISA_ARCH64())
																												{	/* Ast/let.scm 302 */
																													long BgL_idxz00_5388;

																													BgL_idxz00_5388 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1858z00_5382);
																													BgL_test3994z00_9481 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_5388 +
																																3L)) ==
																														BgL_classz00_5380);
																												}
																											else
																												{	/* Ast/let.scm 302 */
																													bool_t
																														BgL_res3762z00_5413;
																													{	/* Ast/let.scm 302 */
																														obj_t
																															BgL_oclassz00_5396;
																														{	/* Ast/let.scm 302 */
																															obj_t
																																BgL_arg1866z00_5404;
																															long
																																BgL_arg1867z00_5405;
																															BgL_arg1866z00_5404
																																=
																																(BGl_za2classesza2z00zz__objectz00);
																															{	/* Ast/let.scm 302 */
																																long
																																	BgL_arg1869z00_5406;
																																BgL_arg1869z00_5406
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1858z00_5382);
																																BgL_arg1867z00_5405
																																	=
																																	(BgL_arg1869z00_5406
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_5396
																																=
																																VECTOR_REF
																																(BgL_arg1866z00_5404,
																																BgL_arg1867z00_5405);
																														}
																														{	/* Ast/let.scm 302 */
																															bool_t
																																BgL__ortest_1115z00_5397;
																															BgL__ortest_1115z00_5397
																																=
																																(BgL_classz00_5380
																																==
																																BgL_oclassz00_5396);
																															if (BgL__ortest_1115z00_5397)
																																{	/* Ast/let.scm 302 */
																																	BgL_res3762z00_5413
																																		=
																																		BgL__ortest_1115z00_5397;
																																}
																															else
																																{	/* Ast/let.scm 302 */
																																	long
																																		BgL_odepthz00_5398;
																																	{	/* Ast/let.scm 302 */
																																		obj_t
																																			BgL_arg1855z00_5399;
																																		BgL_arg1855z00_5399
																																			=
																																			(BgL_oclassz00_5396);
																																		BgL_odepthz00_5398
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_arg1855z00_5399);
																																	}
																																	if (
																																		(3L <
																																			BgL_odepthz00_5398))
																																		{	/* Ast/let.scm 302 */
																																			obj_t
																																				BgL_arg1853z00_5401;
																																			{	/* Ast/let.scm 302 */
																																				obj_t
																																					BgL_arg1854z00_5402;
																																				BgL_arg1854z00_5402
																																					=
																																					(BgL_oclassz00_5396);
																																				BgL_arg1853z00_5401
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_arg1854z00_5402,
																																					3L);
																																			}
																																			BgL_res3762z00_5413
																																				=
																																				(BgL_arg1853z00_5401
																																				==
																																				BgL_classz00_5380);
																																		}
																																	else
																																		{	/* Ast/let.scm 302 */
																																			BgL_res3762z00_5413
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_test3994z00_9481 =
																														BgL_res3762z00_5413;
																												}
																										}
																									else
																										{	/* Ast/let.scm 302 */
																											BgL_test3994z00_9481 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_test3994z00_9481)
																									{	/* Ast/let.scm 304 */
																										bool_t BgL_test3999z00_9504;

																										{	/* Ast/let.scm 304 */
																											BgL_nodez00_bglt
																												BgL_arg2003z00_2169;
																											BgL_arg2003z00_2169 =
																												(((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt) BgL_valz00_2114)))->BgL_testz00);
																											BgL_test3999z00_9504 =
																												BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																												(((obj_t)
																													BgL_arg2003z00_2169),
																												BgL_varsz00_2115);
																										}
																										if (BgL_test3999z00_9504)
																											{	/* Ast/let.scm 305 */
																												bool_t
																													BgL_test4000z00_9509;
																												{	/* Ast/let.scm 305 */
																													BgL_nodez00_bglt
																														BgL_arg2002z00_2168;
																													BgL_arg2002z00_2168 =
																														(((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt) BgL_valz00_2114)))->BgL_truez00);
																													BgL_test4000z00_9509 =
																														BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																														(((obj_t)
																															BgL_arg2002z00_2168),
																														BgL_varsz00_2115);
																												}
																												if (BgL_test4000z00_9509)
																													{	/* Ast/let.scm 306 */
																														BgL_nodez00_bglt
																															BgL_arg2001z00_2167;
																														BgL_arg2001z00_2167
																															=
																															(((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt) BgL_valz00_2114)))->BgL_falsez00);
																														{
																															obj_t
																																BgL_valz00_9516;
																															BgL_valz00_9516 =
																																((obj_t)
																																BgL_arg2001z00_2167);
																															BgL_valz00_2114 =
																																BgL_valz00_9516;
																															goto
																																BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00;
																														}
																													}
																												else
																													{	/* Ast/let.scm 305 */
																														return ((bool_t) 0);
																													}
																											}
																										else
																											{	/* Ast/let.scm 304 */
																												return ((bool_t) 0);
																											}
																									}
																								else
																									{	/* Ast/let.scm 307 */
																										bool_t BgL_test4001z00_9518;

																										{	/* Ast/let.scm 307 */
																											obj_t BgL_classz00_5414;

																											BgL_classz00_5414 =
																												BGl_setqz00zzast_nodez00;
																											if (BGL_OBJECTP
																												(BgL_valz00_2114))
																												{	/* Ast/let.scm 307 */
																													BgL_objectz00_bglt
																														BgL_arg1858z00_5416;
																													BgL_arg1858z00_5416 =
																														(BgL_objectz00_bglt)
																														(BgL_valz00_2114);
																													if (BGL_CONDEXPAND_ISA_ARCH64())
																														{	/* Ast/let.scm 307 */
																															long
																																BgL_idxz00_5422;
																															BgL_idxz00_5422 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1858z00_5416);
																															BgL_test4001z00_9518
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_5422
																																		+ 2L)) ==
																																BgL_classz00_5414);
																														}
																													else
																														{	/* Ast/let.scm 307 */
																															bool_t
																																BgL_res3763z00_5447;
																															{	/* Ast/let.scm 307 */
																																obj_t
																																	BgL_oclassz00_5430;
																																{	/* Ast/let.scm 307 */
																																	obj_t
																																		BgL_arg1866z00_5438;
																																	long
																																		BgL_arg1867z00_5439;
																																	BgL_arg1866z00_5438
																																		=
																																		(BGl_za2classesza2z00zz__objectz00);
																																	{	/* Ast/let.scm 307 */
																																		long
																																			BgL_arg1869z00_5440;
																																		BgL_arg1869z00_5440
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1858z00_5416);
																																		BgL_arg1867z00_5439
																																			=
																																			(BgL_arg1869z00_5440
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_5430
																																		=
																																		VECTOR_REF
																																		(BgL_arg1866z00_5438,
																																		BgL_arg1867z00_5439);
																																}
																																{	/* Ast/let.scm 307 */
																																	bool_t
																																		BgL__ortest_1115z00_5431;
																																	BgL__ortest_1115z00_5431
																																		=
																																		(BgL_classz00_5414
																																		==
																																		BgL_oclassz00_5430);
																																	if (BgL__ortest_1115z00_5431)
																																		{	/* Ast/let.scm 307 */
																																			BgL_res3763z00_5447
																																				=
																																				BgL__ortest_1115z00_5431;
																																		}
																																	else
																																		{	/* Ast/let.scm 307 */
																																			long
																																				BgL_odepthz00_5432;
																																			{	/* Ast/let.scm 307 */
																																				obj_t
																																					BgL_arg1855z00_5433;
																																				BgL_arg1855z00_5433
																																					=
																																					(BgL_oclassz00_5430);
																																				BgL_odepthz00_5432
																																					=
																																					BGL_CLASS_DEPTH
																																					(BgL_arg1855z00_5433);
																																			}
																																			if (
																																				(2L <
																																					BgL_odepthz00_5432))
																																				{	/* Ast/let.scm 307 */
																																					obj_t
																																						BgL_arg1853z00_5435;
																																					{	/* Ast/let.scm 307 */
																																						obj_t
																																							BgL_arg1854z00_5436;
																																						BgL_arg1854z00_5436
																																							=
																																							(BgL_oclassz00_5430);
																																						BgL_arg1853z00_5435
																																							=
																																							BGL_CLASS_ANCESTORS_REF
																																							(BgL_arg1854z00_5436,
																																							2L);
																																					}
																																					BgL_res3763z00_5447
																																						=
																																						(BgL_arg1853z00_5435
																																						==
																																						BgL_classz00_5414);
																																				}
																																			else
																																				{	/* Ast/let.scm 307 */
																																					BgL_res3763z00_5447
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_test4001z00_9518
																																=
																																BgL_res3763z00_5447;
																														}
																												}
																											else
																												{	/* Ast/let.scm 307 */
																													BgL_test4001z00_9518 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test4001z00_9518)
																											{	/* Ast/let.scm 309 */
																												bool_t
																													BgL_test4006z00_9541;
																												{	/* Ast/let.scm 309 */
																													BgL_varz00_bglt
																														BgL_arg2006z00_2174;
																													BgL_arg2006z00_2174 =
																														(((BgL_setqz00_bglt)
																															COBJECT((
																																	(BgL_setqz00_bglt)
																																	BgL_valz00_2114)))->
																														BgL_varz00);
																													BgL_test4006z00_9541 =
																														BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																														(((obj_t)
																															BgL_arg2006z00_2174),
																														BgL_varsz00_2115);
																												}
																												if (BgL_test4006z00_9541)
																													{	/* Ast/let.scm 310 */
																														BgL_nodez00_bglt
																															BgL_arg2005z00_2173;
																														BgL_arg2005z00_2173
																															=
																															(((BgL_setqz00_bglt) COBJECT(((BgL_setqz00_bglt) BgL_valz00_2114)))->BgL_valuez00);
																														{
																															obj_t
																																BgL_valz00_9548;
																															BgL_valz00_9548 =
																																((obj_t)
																																BgL_arg2005z00_2173);
																															BgL_valz00_2114 =
																																BgL_valz00_9548;
																															goto
																																BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00;
																														}
																													}
																												else
																													{	/* Ast/let.scm 309 */
																														return ((bool_t) 0);
																													}
																											}
																										else
																											{	/* Ast/let.scm 311 */
																												bool_t
																													BgL_test4007z00_9550;
																												{	/* Ast/let.scm 311 */
																													obj_t
																														BgL_classz00_5448;
																													BgL_classz00_5448 =
																														BGl_failz00zzast_nodez00;
																													if (BGL_OBJECTP
																														(BgL_valz00_2114))
																														{	/* Ast/let.scm 311 */
																															BgL_objectz00_bglt
																																BgL_arg1858z00_5450;
																															BgL_arg1858z00_5450
																																=
																																(BgL_objectz00_bglt)
																																(BgL_valz00_2114);
																															if (BGL_CONDEXPAND_ISA_ARCH64())
																																{	/* Ast/let.scm 311 */
																																	long
																																		BgL_idxz00_5456;
																																	BgL_idxz00_5456
																																		=
																																		BGL_OBJECT_INHERITANCE_NUM
																																		(BgL_arg1858z00_5450);
																																	BgL_test4007z00_9550
																																		=
																																		(VECTOR_REF
																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																			(BgL_idxz00_5456
																																				+
																																				2L)) ==
																																		BgL_classz00_5448);
																																}
																															else
																																{	/* Ast/let.scm 311 */
																																	bool_t
																																		BgL_res3764z00_5481;
																																	{	/* Ast/let.scm 311 */
																																		obj_t
																																			BgL_oclassz00_5464;
																																		{	/* Ast/let.scm 311 */
																																			obj_t
																																				BgL_arg1866z00_5472;
																																			long
																																				BgL_arg1867z00_5473;
																																			BgL_arg1866z00_5472
																																				=
																																				(BGl_za2classesza2z00zz__objectz00);
																																			{	/* Ast/let.scm 311 */
																																				long
																																					BgL_arg1869z00_5474;
																																				BgL_arg1869z00_5474
																																					=
																																					BGL_OBJECT_CLASS_NUM
																																					(BgL_arg1858z00_5450);
																																				BgL_arg1867z00_5473
																																					=
																																					(BgL_arg1869z00_5474
																																					-
																																					OBJECT_TYPE);
																																			}
																																			BgL_oclassz00_5464
																																				=
																																				VECTOR_REF
																																				(BgL_arg1866z00_5472,
																																				BgL_arg1867z00_5473);
																																		}
																																		{	/* Ast/let.scm 311 */
																																			bool_t
																																				BgL__ortest_1115z00_5465;
																																			BgL__ortest_1115z00_5465
																																				=
																																				(BgL_classz00_5448
																																				==
																																				BgL_oclassz00_5464);
																																			if (BgL__ortest_1115z00_5465)
																																				{	/* Ast/let.scm 311 */
																																					BgL_res3764z00_5481
																																						=
																																						BgL__ortest_1115z00_5465;
																																				}
																																			else
																																				{	/* Ast/let.scm 311 */
																																					long
																																						BgL_odepthz00_5466;
																																					{	/* Ast/let.scm 311 */
																																						obj_t
																																							BgL_arg1855z00_5467;
																																						BgL_arg1855z00_5467
																																							=
																																							(BgL_oclassz00_5464);
																																						BgL_odepthz00_5466
																																							=
																																							BGL_CLASS_DEPTH
																																							(BgL_arg1855z00_5467);
																																					}
																																					if (
																																						(2L
																																							<
																																							BgL_odepthz00_5466))
																																						{	/* Ast/let.scm 311 */
																																							obj_t
																																								BgL_arg1853z00_5469;
																																							{	/* Ast/let.scm 311 */
																																								obj_t
																																									BgL_arg1854z00_5470;
																																								BgL_arg1854z00_5470
																																									=
																																									(BgL_oclassz00_5464);
																																								BgL_arg1853z00_5469
																																									=
																																									BGL_CLASS_ANCESTORS_REF
																																									(BgL_arg1854z00_5470,
																																									2L);
																																							}
																																							BgL_res3764z00_5481
																																								=
																																								(BgL_arg1853z00_5469
																																								==
																																								BgL_classz00_5448);
																																						}
																																					else
																																						{	/* Ast/let.scm 311 */
																																							BgL_res3764z00_5481
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																	}
																																	BgL_test4007z00_9550
																																		=
																																		BgL_res3764z00_5481;
																																}
																														}
																													else
																														{	/* Ast/let.scm 311 */
																															BgL_test4007z00_9550
																																= ((bool_t) 0);
																														}
																												}
																												if (BgL_test4007z00_9550)
																													{	/* Ast/let.scm 313 */
																														bool_t
																															BgL_test4012z00_9573;
																														{	/* Ast/let.scm 313 */
																															BgL_nodez00_bglt
																																BgL_arg2010z00_2181;
																															BgL_arg2010z00_2181
																																=
																																(((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt) BgL_valz00_2114)))->BgL_procz00);
																															BgL_test4012z00_9573
																																=
																																BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																																(((obj_t)
																																	BgL_arg2010z00_2181),
																																BgL_varsz00_2115);
																														}
																														if (BgL_test4012z00_9573)
																															{	/* Ast/let.scm 314 */
																																bool_t
																																	BgL_test4013z00_9578;
																																{	/* Ast/let.scm 314 */
																																	BgL_nodez00_bglt
																																		BgL_arg2009z00_2180;
																																	BgL_arg2009z00_2180
																																		=
																																		(((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt) BgL_valz00_2114)))->BgL_msgz00);
																																	BgL_test4013z00_9578
																																		=
																																		BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																																		(((obj_t)
																																			BgL_arg2009z00_2180),
																																		BgL_varsz00_2115);
																																}
																																if (BgL_test4013z00_9578)
																																	{	/* Ast/let.scm 315 */
																																		BgL_nodez00_bglt
																																			BgL_arg2008z00_2179;
																																		BgL_arg2008z00_2179
																																			=
																																			(((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt) BgL_valz00_2114)))->BgL_objz00);
																																		{
																																			obj_t
																																				BgL_valz00_9585;
																																			BgL_valz00_9585
																																				=
																																				((obj_t)
																																				BgL_arg2008z00_2179);
																																			BgL_valz00_2114
																																				=
																																				BgL_valz00_9585;
																																			goto
																																				BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00;
																																		}
																																	}
																																else
																																	{	/* Ast/let.scm 314 */
																																		return (
																																			(bool_t)
																																			0);
																																	}
																															}
																														else
																															{	/* Ast/let.scm 313 */
																																return ((bool_t)
																																	0);
																															}
																													}
																												else
																													{	/* Ast/let.scm 316 */
																														bool_t
																															BgL_test4014z00_9587;
																														{	/* Ast/let.scm 316 */
																															obj_t
																																BgL_classz00_5482;
																															BgL_classz00_5482
																																=
																																BGl_switchz00zzast_nodez00;
																															if (BGL_OBJECTP
																																(BgL_valz00_2114))
																																{	/* Ast/let.scm 316 */
																																	BgL_objectz00_bglt
																																		BgL_arg1858z00_5484;
																																	BgL_arg1858z00_5484
																																		=
																																		(BgL_objectz00_bglt)
																																		(BgL_valz00_2114);
																																	if (BGL_CONDEXPAND_ISA_ARCH64())
																																		{	/* Ast/let.scm 316 */
																																			long
																																				BgL_idxz00_5490;
																																			BgL_idxz00_5490
																																				=
																																				BGL_OBJECT_INHERITANCE_NUM
																																				(BgL_arg1858z00_5484);
																																			BgL_test4014z00_9587
																																				=
																																				(VECTOR_REF
																																				(BGl_za2inheritancesza2z00zz__objectz00,
																																					(BgL_idxz00_5490
																																						+
																																						3L))
																																				==
																																				BgL_classz00_5482);
																																		}
																																	else
																																		{	/* Ast/let.scm 316 */
																																			bool_t
																																				BgL_res3765z00_5515;
																																			{	/* Ast/let.scm 316 */
																																				obj_t
																																					BgL_oclassz00_5498;
																																				{	/* Ast/let.scm 316 */
																																					obj_t
																																						BgL_arg1866z00_5506;
																																					long
																																						BgL_arg1867z00_5507;
																																					BgL_arg1866z00_5506
																																						=
																																						(BGl_za2classesza2z00zz__objectz00);
																																					{	/* Ast/let.scm 316 */
																																						long
																																							BgL_arg1869z00_5508;
																																						BgL_arg1869z00_5508
																																							=
																																							BGL_OBJECT_CLASS_NUM
																																							(BgL_arg1858z00_5484);
																																						BgL_arg1867z00_5507
																																							=
																																							(BgL_arg1869z00_5508
																																							-
																																							OBJECT_TYPE);
																																					}
																																					BgL_oclassz00_5498
																																						=
																																						VECTOR_REF
																																						(BgL_arg1866z00_5506,
																																						BgL_arg1867z00_5507);
																																				}
																																				{	/* Ast/let.scm 316 */
																																					bool_t
																																						BgL__ortest_1115z00_5499;
																																					BgL__ortest_1115z00_5499
																																						=
																																						(BgL_classz00_5482
																																						==
																																						BgL_oclassz00_5498);
																																					if (BgL__ortest_1115z00_5499)
																																						{	/* Ast/let.scm 316 */
																																							BgL_res3765z00_5515
																																								=
																																								BgL__ortest_1115z00_5499;
																																						}
																																					else
																																						{	/* Ast/let.scm 316 */
																																							long
																																								BgL_odepthz00_5500;
																																							{	/* Ast/let.scm 316 */
																																								obj_t
																																									BgL_arg1855z00_5501;
																																								BgL_arg1855z00_5501
																																									=
																																									(BgL_oclassz00_5498);
																																								BgL_odepthz00_5500
																																									=
																																									BGL_CLASS_DEPTH
																																									(BgL_arg1855z00_5501);
																																							}
																																							if ((3L < BgL_odepthz00_5500))
																																								{	/* Ast/let.scm 316 */
																																									obj_t
																																										BgL_arg1853z00_5503;
																																									{	/* Ast/let.scm 316 */
																																										obj_t
																																											BgL_arg1854z00_5504;
																																										BgL_arg1854z00_5504
																																											=
																																											(BgL_oclassz00_5498);
																																										BgL_arg1853z00_5503
																																											=
																																											BGL_CLASS_ANCESTORS_REF
																																											(BgL_arg1854z00_5504,
																																											3L);
																																									}
																																									BgL_res3765z00_5515
																																										=
																																										(BgL_arg1853z00_5503
																																										==
																																										BgL_classz00_5482);
																																								}
																																							else
																																								{	/* Ast/let.scm 316 */
																																									BgL_res3765z00_5515
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																				}
																																			}
																																			BgL_test4014z00_9587
																																				=
																																				BgL_res3765z00_5515;
																																		}
																																}
																															else
																																{	/* Ast/let.scm 316 */
																																	BgL_test4014z00_9587
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																														if (BgL_test4014z00_9587)
																															{	/* Ast/let.scm 318 */
																																bool_t
																																	BgL_test4019z00_9610;
																																{	/* Ast/let.scm 318 */
																																	BgL_nodez00_bglt
																																		BgL_arg2016z00_2196;
																																	BgL_arg2016z00_2196
																																		=
																																		(((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt) BgL_valz00_2114)))->BgL_testz00);
																																	BgL_test4019z00_9610
																																		=
																																		BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																																		(((obj_t)
																																			BgL_arg2016z00_2196),
																																		BgL_varsz00_2115);
																																}
																																if (BgL_test4019z00_9610)
																																	{	/* Ast/let.scm 319 */
																																		obj_t
																																			BgL_g1393z00_2185;
																																		BgL_g1393z00_2185
																																			=
																																			(((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt) BgL_valz00_2114)))->BgL_clausesz00);
																																		{
																																			obj_t
																																				BgL_l1391z00_2187;
																																			BgL_l1391z00_2187
																																				=
																																				BgL_g1393z00_2185;
																																		BgL_zc3z04anonymousza32012ze3z87_2188:
																																			if (NULLP
																																				(BgL_l1391z00_2187))
																																				{	/* Ast/let.scm 319 */
																																					return
																																						(
																																						(bool_t)
																																						1);
																																				}
																																			else
																																				{	/* Ast/let.scm 319 */
																																					bool_t
																																						BgL_test4021z00_9619;
																																					{	/* Ast/let.scm 320 */
																																						obj_t
																																							BgL_clausez00_2193;
																																						BgL_clausez00_2193
																																							=
																																							CAR
																																							(((obj_t) BgL_l1391z00_2187));
																																						{	/* Ast/let.scm 320 */
																																							obj_t
																																								BgL_arg2015z00_2194;
																																							BgL_arg2015z00_2194
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_clausez00_2193));
																																							BgL_test4021z00_9619
																																								=
																																								BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																																								(BgL_arg2015z00_2194,
																																								BgL_varsz00_2115);
																																						}
																																					}
																																					if (BgL_test4021z00_9619)
																																						{	/* Ast/let.scm 319 */
																																							obj_t
																																								BgL_arg2014z00_2192;
																																							BgL_arg2014z00_2192
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_l1391z00_2187));
																																							{
																																								obj_t
																																									BgL_l1391z00_9627;
																																								BgL_l1391z00_9627
																																									=
																																									BgL_arg2014z00_2192;
																																								BgL_l1391z00_2187
																																									=
																																									BgL_l1391z00_9627;
																																								goto
																																									BgL_zc3z04anonymousza32012ze3z87_2188;
																																							}
																																						}
																																					else
																																						{	/* Ast/let.scm 319 */
																																							return
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																	}
																																else
																																	{	/* Ast/let.scm 318 */
																																		return (
																																			(bool_t)
																																			0);
																																	}
																															}
																														else
																															{	/* Ast/let.scm 322 */
																																bool_t
																																	BgL_test4022z00_9628;
																																{	/* Ast/let.scm 322 */
																																	obj_t
																																		BgL_classz00_5519;
																																	BgL_classz00_5519
																																		=
																																		BGl_letzd2funzd2zzast_nodez00;
																																	if (BGL_OBJECTP(BgL_valz00_2114))
																																		{	/* Ast/let.scm 322 */
																																			BgL_objectz00_bglt
																																				BgL_arg1858z00_5521;
																																			BgL_arg1858z00_5521
																																				=
																																				(BgL_objectz00_bglt)
																																				(BgL_valz00_2114);
																																			if (BGL_CONDEXPAND_ISA_ARCH64())
																																				{	/* Ast/let.scm 322 */
																																					long
																																						BgL_idxz00_5527;
																																					BgL_idxz00_5527
																																						=
																																						BGL_OBJECT_INHERITANCE_NUM
																																						(BgL_arg1858z00_5521);
																																					BgL_test4022z00_9628
																																						=
																																						(VECTOR_REF
																																						(BGl_za2inheritancesza2z00zz__objectz00,
																																							(BgL_idxz00_5527
																																								+
																																								3L))
																																						==
																																						BgL_classz00_5519);
																																				}
																																			else
																																				{	/* Ast/let.scm 322 */
																																					bool_t
																																						BgL_res3766z00_5552;
																																					{	/* Ast/let.scm 322 */
																																						obj_t
																																							BgL_oclassz00_5535;
																																						{	/* Ast/let.scm 322 */
																																							obj_t
																																								BgL_arg1866z00_5543;
																																							long
																																								BgL_arg1867z00_5544;
																																							BgL_arg1866z00_5543
																																								=
																																								(BGl_za2classesza2z00zz__objectz00);
																																							{	/* Ast/let.scm 322 */
																																								long
																																									BgL_arg1869z00_5545;
																																								BgL_arg1869z00_5545
																																									=
																																									BGL_OBJECT_CLASS_NUM
																																									(BgL_arg1858z00_5521);
																																								BgL_arg1867z00_5544
																																									=
																																									(BgL_arg1869z00_5545
																																									-
																																									OBJECT_TYPE);
																																							}
																																							BgL_oclassz00_5535
																																								=
																																								VECTOR_REF
																																								(BgL_arg1866z00_5543,
																																								BgL_arg1867z00_5544);
																																						}
																																						{	/* Ast/let.scm 322 */
																																							bool_t
																																								BgL__ortest_1115z00_5536;
																																							BgL__ortest_1115z00_5536
																																								=
																																								(BgL_classz00_5519
																																								==
																																								BgL_oclassz00_5535);
																																							if (BgL__ortest_1115z00_5536)
																																								{	/* Ast/let.scm 322 */
																																									BgL_res3766z00_5552
																																										=
																																										BgL__ortest_1115z00_5536;
																																								}
																																							else
																																								{	/* Ast/let.scm 322 */
																																									long
																																										BgL_odepthz00_5537;
																																									{	/* Ast/let.scm 322 */
																																										obj_t
																																											BgL_arg1855z00_5538;
																																										BgL_arg1855z00_5538
																																											=
																																											(BgL_oclassz00_5535);
																																										BgL_odepthz00_5537
																																											=
																																											BGL_CLASS_DEPTH
																																											(BgL_arg1855z00_5538);
																																									}
																																									if ((3L < BgL_odepthz00_5537))
																																										{	/* Ast/let.scm 322 */
																																											obj_t
																																												BgL_arg1853z00_5540;
																																											{	/* Ast/let.scm 322 */
																																												obj_t
																																													BgL_arg1854z00_5541;
																																												BgL_arg1854z00_5541
																																													=
																																													(BgL_oclassz00_5535);
																																												BgL_arg1853z00_5540
																																													=
																																													BGL_CLASS_ANCESTORS_REF
																																													(BgL_arg1854z00_5541,
																																													3L);
																																											}
																																											BgL_res3766z00_5552
																																												=
																																												(BgL_arg1853z00_5540
																																												==
																																												BgL_classz00_5519);
																																										}
																																									else
																																										{	/* Ast/let.scm 322 */
																																											BgL_res3766z00_5552
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																						}
																																					}
																																					BgL_test4022z00_9628
																																						=
																																						BgL_res3766z00_5552;
																																				}
																																		}
																																	else
																																		{	/* Ast/let.scm 322 */
																																			BgL_test4022z00_9628
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																																if (BgL_test4022z00_9628)
																																	{	/* Ast/let.scm 324 */
																																		bool_t
																																			BgL_test4027z00_9651;
																																		{	/* Ast/let.scm 324 */
																																			BgL_nodez00_bglt
																																				BgL_arg2024z00_2212;
																																			BgL_arg2024z00_2212
																																				=
																																				(((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt) BgL_valz00_2114)))->BgL_bodyz00);
																																			BgL_test4027z00_9651
																																				=
																																				BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																																				(((obj_t) BgL_arg2024z00_2212), BgL_varsz00_2115);
																																		}
																																		if (BgL_test4027z00_9651)
																																			{	/* Ast/let.scm 325 */
																																				obj_t
																																					BgL_g1397z00_2200;
																																				BgL_g1397z00_2200
																																					=
																																					(((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt) BgL_valz00_2114)))->BgL_localsz00);
																																				{
																																					obj_t
																																						BgL_l1395z00_2202;
																																					BgL_l1395z00_2202
																																						=
																																						BgL_g1397z00_2200;
																																				BgL_zc3z04anonymousza32018ze3z87_2203:
																																					if (NULLP(BgL_l1395z00_2202))
																																						{	/* Ast/let.scm 325 */
																																							return
																																								(
																																								(bool_t)
																																								1);
																																						}
																																					else
																																						{	/* Ast/let.scm 325 */
																																							bool_t
																																								BgL_test4029z00_9660;
																																							{	/* Ast/let.scm 326 */
																																								obj_t
																																									BgL_fz00_2208;
																																								BgL_fz00_2208
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_l1395z00_2202));
																																								{	/* Ast/let.scm 327 */
																																									obj_t
																																										BgL_arg2022z00_2209;
																																									BgL_arg2022z00_2209
																																										=
																																										(
																																										((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) (((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt) BgL_fz00_2208))))->BgL_valuez00))))->BgL_bodyz00);
																																									BgL_test4029z00_9660
																																										=
																																										BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																																										(BgL_arg2022z00_2209,
																																										BgL_varsz00_2115);
																																								}
																																							}
																																							if (BgL_test4029z00_9660)
																																								{	/* Ast/let.scm 325 */
																																									obj_t
																																										BgL_arg2021z00_2207;
																																									BgL_arg2021z00_2207
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_l1395z00_2202));
																																									{
																																										obj_t
																																											BgL_l1395z00_9671;
																																										BgL_l1395z00_9671
																																											=
																																											BgL_arg2021z00_2207;
																																										BgL_l1395z00_2202
																																											=
																																											BgL_l1395z00_9671;
																																										goto
																																											BgL_zc3z04anonymousza32018ze3z87_2203;
																																									}
																																								}
																																							else
																																								{	/* Ast/let.scm 325 */
																																									return
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																				}
																																			}
																																		else
																																			{	/* Ast/let.scm 324 */
																																				return (
																																					(bool_t)
																																					0);
																																			}
																																	}
																																else
																																	{	/* Ast/let.scm 329 */
																																		bool_t
																																			BgL_test4030z00_9672;
																																		{	/* Ast/let.scm 329 */
																																			obj_t
																																				BgL_classz00_5557;
																																			BgL_classz00_5557
																																				=
																																				BGl_letzd2varzd2zzast_nodez00;
																																			if (BGL_OBJECTP(BgL_valz00_2114))
																																				{	/* Ast/let.scm 329 */
																																					BgL_objectz00_bglt
																																						BgL_arg1858z00_5559;
																																					BgL_arg1858z00_5559
																																						=
																																						(BgL_objectz00_bglt)
																																						(BgL_valz00_2114);
																																					if (BGL_CONDEXPAND_ISA_ARCH64())
																																						{	/* Ast/let.scm 329 */
																																							long
																																								BgL_idxz00_5565;
																																							BgL_idxz00_5565
																																								=
																																								BGL_OBJECT_INHERITANCE_NUM
																																								(BgL_arg1858z00_5559);
																																							BgL_test4030z00_9672
																																								=
																																								(VECTOR_REF
																																								(BGl_za2inheritancesza2z00zz__objectz00,
																																									(BgL_idxz00_5565
																																										+
																																										3L))
																																								==
																																								BgL_classz00_5557);
																																						}
																																					else
																																						{	/* Ast/let.scm 329 */
																																							bool_t
																																								BgL_res3767z00_5590;
																																							{	/* Ast/let.scm 329 */
																																								obj_t
																																									BgL_oclassz00_5573;
																																								{	/* Ast/let.scm 329 */
																																									obj_t
																																										BgL_arg1866z00_5581;
																																									long
																																										BgL_arg1867z00_5582;
																																									BgL_arg1866z00_5581
																																										=
																																										(BGl_za2classesza2z00zz__objectz00);
																																									{	/* Ast/let.scm 329 */
																																										long
																																											BgL_arg1869z00_5583;
																																										BgL_arg1869z00_5583
																																											=
																																											BGL_OBJECT_CLASS_NUM
																																											(BgL_arg1858z00_5559);
																																										BgL_arg1867z00_5582
																																											=
																																											(BgL_arg1869z00_5583
																																											-
																																											OBJECT_TYPE);
																																									}
																																									BgL_oclassz00_5573
																																										=
																																										VECTOR_REF
																																										(BgL_arg1866z00_5581,
																																										BgL_arg1867z00_5582);
																																								}
																																								{	/* Ast/let.scm 329 */
																																									bool_t
																																										BgL__ortest_1115z00_5574;
																																									BgL__ortest_1115z00_5574
																																										=
																																										(BgL_classz00_5557
																																										==
																																										BgL_oclassz00_5573);
																																									if (BgL__ortest_1115z00_5574)
																																										{	/* Ast/let.scm 329 */
																																											BgL_res3767z00_5590
																																												=
																																												BgL__ortest_1115z00_5574;
																																										}
																																									else
																																										{	/* Ast/let.scm 329 */
																																											long
																																												BgL_odepthz00_5575;
																																											{	/* Ast/let.scm 329 */
																																												obj_t
																																													BgL_arg1855z00_5576;
																																												BgL_arg1855z00_5576
																																													=
																																													(BgL_oclassz00_5573);
																																												BgL_odepthz00_5575
																																													=
																																													BGL_CLASS_DEPTH
																																													(BgL_arg1855z00_5576);
																																											}
																																											if ((3L < BgL_odepthz00_5575))
																																												{	/* Ast/let.scm 329 */
																																													obj_t
																																														BgL_arg1853z00_5578;
																																													{	/* Ast/let.scm 329 */
																																														obj_t
																																															BgL_arg1854z00_5579;
																																														BgL_arg1854z00_5579
																																															=
																																															(BgL_oclassz00_5573);
																																														BgL_arg1853z00_5578
																																															=
																																															BGL_CLASS_ANCESTORS_REF
																																															(BgL_arg1854z00_5579,
																																															3L);
																																													}
																																													BgL_res3767z00_5590
																																														=
																																														(BgL_arg1853z00_5578
																																														==
																																														BgL_classz00_5557);
																																												}
																																											else
																																												{	/* Ast/let.scm 329 */
																																													BgL_res3767z00_5590
																																														=
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																								}
																																							}
																																							BgL_test4030z00_9672
																																								=
																																								BgL_res3767z00_5590;
																																						}
																																				}
																																			else
																																				{	/* Ast/let.scm 329 */
																																					BgL_test4030z00_9672
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																		if (BgL_test4030z00_9672)
																																			{	/* Ast/let.scm 331 */
																																				bool_t
																																					BgL_test4035z00_9695;
																																				{	/* Ast/let.scm 331 */
																																					BgL_nodez00_bglt
																																						BgL_arg2031z00_2227;
																																					BgL_arg2031z00_2227
																																						=
																																						(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_valz00_2114)))->BgL_bodyz00);
																																					BgL_test4035z00_9695
																																						=
																																						BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																																						(((obj_t) BgL_arg2031z00_2227), BgL_varsz00_2115);
																																				}
																																				if (BgL_test4035z00_9695)
																																					{	/* Ast/let.scm 332 */
																																						obj_t
																																							BgL_g1401z00_2216;
																																						BgL_g1401z00_2216
																																							=
																																							(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_valz00_2114)))->BgL_bindingsz00);
																																						{
																																							obj_t
																																								BgL_l1399z00_2218;
																																							BgL_l1399z00_2218
																																								=
																																								BgL_g1401z00_2216;
																																						BgL_zc3z04anonymousza32026ze3z87_2219:
																																							if (NULLP(BgL_l1399z00_2218))
																																								{	/* Ast/let.scm 332 */
																																									return
																																										(
																																										(bool_t)
																																										1);
																																								}
																																							else
																																								{	/* Ast/let.scm 332 */
																																									bool_t
																																										BgL_test4037z00_9704;
																																									{	/* Ast/let.scm 333 */
																																										obj_t
																																											BgL_bindingz00_2224;
																																										BgL_bindingz00_2224
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_l1399z00_2218));
																																										{	/* Ast/let.scm 333 */
																																											obj_t
																																												BgL_arg2030z00_2225;
																																											BgL_arg2030z00_2225
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_bindingz00_2224));
																																											BgL_test4037z00_9704
																																												=
																																												BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																																												(BgL_arg2030z00_2225,
																																												BgL_varsz00_2115);
																																										}
																																									}
																																									if (BgL_test4037z00_9704)
																																										{	/* Ast/let.scm 332 */
																																											obj_t
																																												BgL_arg2028z00_2223;
																																											BgL_arg2028z00_2223
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_l1399z00_2218));
																																											{
																																												obj_t
																																													BgL_l1399z00_9712;
																																												BgL_l1399z00_9712
																																													=
																																													BgL_arg2028z00_2223;
																																												BgL_l1399z00_2218
																																													=
																																													BgL_l1399z00_9712;
																																												goto
																																													BgL_zc3z04anonymousza32026ze3z87_2219;
																																											}
																																										}
																																									else
																																										{	/* Ast/let.scm 332 */
																																											return
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																						}
																																					}
																																				else
																																					{	/* Ast/let.scm 331 */
																																						return
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																		else
																																			{	/* Ast/let.scm 335 */
																																				bool_t
																																					BgL_test4038z00_9713;
																																				{	/* Ast/let.scm 335 */
																																					obj_t
																																						BgL_classz00_5594;
																																					BgL_classz00_5594
																																						=
																																						BGl_setzd2exzd2itz00zzast_nodez00;
																																					if (BGL_OBJECTP(BgL_valz00_2114))
																																						{	/* Ast/let.scm 335 */
																																							BgL_objectz00_bglt
																																								BgL_arg1858z00_5596;
																																							BgL_arg1858z00_5596
																																								=
																																								(BgL_objectz00_bglt)
																																								(BgL_valz00_2114);
																																							if (BGL_CONDEXPAND_ISA_ARCH64())
																																								{	/* Ast/let.scm 335 */
																																									long
																																										BgL_idxz00_5602;
																																									BgL_idxz00_5602
																																										=
																																										BGL_OBJECT_INHERITANCE_NUM
																																										(BgL_arg1858z00_5596);
																																									BgL_test4038z00_9713
																																										=
																																										(VECTOR_REF
																																										(BGl_za2inheritancesza2z00zz__objectz00,
																																											(BgL_idxz00_5602
																																												+
																																												2L))
																																										==
																																										BgL_classz00_5594);
																																								}
																																							else
																																								{	/* Ast/let.scm 335 */
																																									bool_t
																																										BgL_res3768z00_5627;
																																									{	/* Ast/let.scm 335 */
																																										obj_t
																																											BgL_oclassz00_5610;
																																										{	/* Ast/let.scm 335 */
																																											obj_t
																																												BgL_arg1866z00_5618;
																																											long
																																												BgL_arg1867z00_5619;
																																											BgL_arg1866z00_5618
																																												=
																																												(BGl_za2classesza2z00zz__objectz00);
																																											{	/* Ast/let.scm 335 */
																																												long
																																													BgL_arg1869z00_5620;
																																												BgL_arg1869z00_5620
																																													=
																																													BGL_OBJECT_CLASS_NUM
																																													(BgL_arg1858z00_5596);
																																												BgL_arg1867z00_5619
																																													=
																																													(BgL_arg1869z00_5620
																																													-
																																													OBJECT_TYPE);
																																											}
																																											BgL_oclassz00_5610
																																												=
																																												VECTOR_REF
																																												(BgL_arg1866z00_5618,
																																												BgL_arg1867z00_5619);
																																										}
																																										{	/* Ast/let.scm 335 */
																																											bool_t
																																												BgL__ortest_1115z00_5611;
																																											BgL__ortest_1115z00_5611
																																												=
																																												(BgL_classz00_5594
																																												==
																																												BgL_oclassz00_5610);
																																											if (BgL__ortest_1115z00_5611)
																																												{	/* Ast/let.scm 335 */
																																													BgL_res3768z00_5627
																																														=
																																														BgL__ortest_1115z00_5611;
																																												}
																																											else
																																												{	/* Ast/let.scm 335 */
																																													long
																																														BgL_odepthz00_5612;
																																													{	/* Ast/let.scm 335 */
																																														obj_t
																																															BgL_arg1855z00_5613;
																																														BgL_arg1855z00_5613
																																															=
																																															(BgL_oclassz00_5610);
																																														BgL_odepthz00_5612
																																															=
																																															BGL_CLASS_DEPTH
																																															(BgL_arg1855z00_5613);
																																													}
																																													if ((2L < BgL_odepthz00_5612))
																																														{	/* Ast/let.scm 335 */
																																															obj_t
																																																BgL_arg1853z00_5615;
																																															{	/* Ast/let.scm 335 */
																																																obj_t
																																																	BgL_arg1854z00_5616;
																																																BgL_arg1854z00_5616
																																																	=
																																																	(BgL_oclassz00_5610);
																																																BgL_arg1853z00_5615
																																																	=
																																																	BGL_CLASS_ANCESTORS_REF
																																																	(BgL_arg1854z00_5616,
																																																	2L);
																																															}
																																															BgL_res3768z00_5627
																																																=
																																																(BgL_arg1853z00_5615
																																																==
																																																BgL_classz00_5594);
																																														}
																																													else
																																														{	/* Ast/let.scm 335 */
																																															BgL_res3768z00_5627
																																																=
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																										}
																																									}
																																									BgL_test4038z00_9713
																																										=
																																										BgL_res3768z00_5627;
																																								}
																																						}
																																					else
																																						{	/* Ast/let.scm 335 */
																																							BgL_test4038z00_9713
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																				if (BgL_test4038z00_9713)
																																					{	/* Ast/let.scm 337 */
																																						bool_t
																																							BgL_test4043z00_9736;
																																						{	/* Ast/let.scm 337 */
																																							BgL_varz00_bglt
																																								BgL_arg2035z00_2234;
																																							BgL_arg2035z00_2234
																																								=
																																								(
																																								((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_valz00_2114)))->BgL_varz00);
																																							BgL_test4043z00_9736
																																								=
																																								BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																																								(
																																								((obj_t) BgL_arg2035z00_2234), BgL_varsz00_2115);
																																						}
																																						if (BgL_test4043z00_9736)
																																							{	/* Ast/let.scm 338 */
																																								bool_t
																																									BgL_test4044z00_9741;
																																								{	/* Ast/let.scm 338 */
																																									BgL_nodez00_bglt
																																										BgL_arg2034z00_2233;
																																									BgL_arg2034z00_2233
																																										=
																																										(
																																										((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_valz00_2114)))->BgL_bodyz00);
																																									BgL_test4044z00_9741
																																										=
																																										BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																																										(
																																										((obj_t) BgL_arg2034z00_2233), BgL_varsz00_2115);
																																								}
																																								if (BgL_test4044z00_9741)
																																									{	/* Ast/let.scm 339 */
																																										BgL_nodez00_bglt
																																											BgL_arg2033z00_2232;
																																										BgL_arg2033z00_2232
																																											=
																																											(
																																											((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_valz00_2114)))->BgL_onexitz00);
																																										{
																																											obj_t
																																												BgL_valz00_9748;
																																											BgL_valz00_9748
																																												=
																																												(
																																												(obj_t)
																																												BgL_arg2033z00_2232);
																																											BgL_valz00_2114
																																												=
																																												BgL_valz00_9748;
																																											goto
																																												BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00;
																																										}
																																									}
																																								else
																																									{	/* Ast/let.scm 338 */
																																										return
																																											(
																																											(bool_t)
																																											0);
																																									}
																																							}
																																						else
																																							{	/* Ast/let.scm 337 */
																																								return
																																									(
																																									(bool_t)
																																									0);
																																							}
																																					}
																																				else
																																					{	/* Ast/let.scm 340 */
																																						bool_t
																																							BgL_test4045z00_9750;
																																						{	/* Ast/let.scm 340 */
																																							obj_t
																																								BgL_classz00_5628;
																																							BgL_classz00_5628
																																								=
																																								BGl_jumpzd2exzd2itz00zzast_nodez00;
																																							if (BGL_OBJECTP(BgL_valz00_2114))
																																								{	/* Ast/let.scm 340 */
																																									BgL_objectz00_bglt
																																										BgL_arg1858z00_5630;
																																									BgL_arg1858z00_5630
																																										=
																																										(BgL_objectz00_bglt)
																																										(BgL_valz00_2114);
																																									if (BGL_CONDEXPAND_ISA_ARCH64())
																																										{	/* Ast/let.scm 340 */
																																											long
																																												BgL_idxz00_5636;
																																											BgL_idxz00_5636
																																												=
																																												BGL_OBJECT_INHERITANCE_NUM
																																												(BgL_arg1858z00_5630);
																																											BgL_test4045z00_9750
																																												=
																																												(VECTOR_REF
																																												(BGl_za2inheritancesza2z00zz__objectz00,
																																													(BgL_idxz00_5636
																																														+
																																														2L))
																																												==
																																												BgL_classz00_5628);
																																										}
																																									else
																																										{	/* Ast/let.scm 340 */
																																											bool_t
																																												BgL_res3769z00_5661;
																																											{	/* Ast/let.scm 340 */
																																												obj_t
																																													BgL_oclassz00_5644;
																																												{	/* Ast/let.scm 340 */
																																													obj_t
																																														BgL_arg1866z00_5652;
																																													long
																																														BgL_arg1867z00_5653;
																																													BgL_arg1866z00_5652
																																														=
																																														(BGl_za2classesza2z00zz__objectz00);
																																													{	/* Ast/let.scm 340 */
																																														long
																																															BgL_arg1869z00_5654;
																																														BgL_arg1869z00_5654
																																															=
																																															BGL_OBJECT_CLASS_NUM
																																															(BgL_arg1858z00_5630);
																																														BgL_arg1867z00_5653
																																															=
																																															(BgL_arg1869z00_5654
																																															-
																																															OBJECT_TYPE);
																																													}
																																													BgL_oclassz00_5644
																																														=
																																														VECTOR_REF
																																														(BgL_arg1866z00_5652,
																																														BgL_arg1867z00_5653);
																																												}
																																												{	/* Ast/let.scm 340 */
																																													bool_t
																																														BgL__ortest_1115z00_5645;
																																													BgL__ortest_1115z00_5645
																																														=
																																														(BgL_classz00_5628
																																														==
																																														BgL_oclassz00_5644);
																																													if (BgL__ortest_1115z00_5645)
																																														{	/* Ast/let.scm 340 */
																																															BgL_res3769z00_5661
																																																=
																																																BgL__ortest_1115z00_5645;
																																														}
																																													else
																																														{	/* Ast/let.scm 340 */
																																															long
																																																BgL_odepthz00_5646;
																																															{	/* Ast/let.scm 340 */
																																																obj_t
																																																	BgL_arg1855z00_5647;
																																																BgL_arg1855z00_5647
																																																	=
																																																	(BgL_oclassz00_5644);
																																																BgL_odepthz00_5646
																																																	=
																																																	BGL_CLASS_DEPTH
																																																	(BgL_arg1855z00_5647);
																																															}
																																															if ((2L < BgL_odepthz00_5646))
																																																{	/* Ast/let.scm 340 */
																																																	obj_t
																																																		BgL_arg1853z00_5649;
																																																	{	/* Ast/let.scm 340 */
																																																		obj_t
																																																			BgL_arg1854z00_5650;
																																																		BgL_arg1854z00_5650
																																																			=
																																																			(BgL_oclassz00_5644);
																																																		BgL_arg1853z00_5649
																																																			=
																																																			BGL_CLASS_ANCESTORS_REF
																																																			(BgL_arg1854z00_5650,
																																																			2L);
																																																	}
																																																	BgL_res3769z00_5661
																																																		=
																																																		(BgL_arg1853z00_5649
																																																		==
																																																		BgL_classz00_5628);
																																																}
																																															else
																																																{	/* Ast/let.scm 340 */
																																																	BgL_res3769z00_5661
																																																		=
																																																		(
																																																		(bool_t)
																																																		0);
																																																}
																																														}
																																												}
																																											}
																																											BgL_test4045z00_9750
																																												=
																																												BgL_res3769z00_5661;
																																										}
																																								}
																																							else
																																								{	/* Ast/let.scm 340 */
																																									BgL_test4045z00_9750
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																						if (BgL_test4045z00_9750)
																																							{	/* Ast/let.scm 342 */
																																								bool_t
																																									BgL_test4050z00_9773;
																																								{	/* Ast/let.scm 342 */
																																									BgL_nodez00_bglt
																																										BgL_arg2039z00_2239;
																																									BgL_arg2039z00_2239
																																										=
																																										(
																																										((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_valz00_2114)))->BgL_exitz00);
																																									BgL_test4050z00_9773
																																										=
																																										BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																																										(
																																										((obj_t) BgL_arg2039z00_2239), BgL_varsz00_2115);
																																								}
																																								if (BgL_test4050z00_9773)
																																									{	/* Ast/let.scm 343 */
																																										BgL_nodez00_bglt
																																											BgL_arg2038z00_2238;
																																										BgL_arg2038z00_2238
																																											=
																																											(
																																											((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_valz00_2114)))->BgL_valuez00);
																																										{
																																											obj_t
																																												BgL_valz00_9780;
																																											BgL_valz00_9780
																																												=
																																												(
																																												(obj_t)
																																												BgL_arg2038z00_2238);
																																											BgL_valz00_2114
																																												=
																																												BgL_valz00_9780;
																																											goto
																																												BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00;
																																										}
																																									}
																																								else
																																									{	/* Ast/let.scm 342 */
																																										return
																																											(
																																											(bool_t)
																																											0);
																																									}
																																							}
																																						else
																																							{	/* Ast/let.scm 344 */
																																								bool_t
																																									BgL_test4051z00_9782;
																																								{	/* Ast/let.scm 344 */
																																									obj_t
																																										BgL_classz00_5662;
																																									BgL_classz00_5662
																																										=
																																										BGl_makezd2boxzd2zzast_nodez00;
																																									if (BGL_OBJECTP(BgL_valz00_2114))
																																										{	/* Ast/let.scm 344 */
																																											BgL_objectz00_bglt
																																												BgL_arg1858z00_5664;
																																											BgL_arg1858z00_5664
																																												=
																																												(BgL_objectz00_bglt)
																																												(BgL_valz00_2114);
																																											if (BGL_CONDEXPAND_ISA_ARCH64())
																																												{	/* Ast/let.scm 344 */
																																													long
																																														BgL_idxz00_5670;
																																													BgL_idxz00_5670
																																														=
																																														BGL_OBJECT_INHERITANCE_NUM
																																														(BgL_arg1858z00_5664);
																																													BgL_test4051z00_9782
																																														=
																																														(VECTOR_REF
																																														(BGl_za2inheritancesza2z00zz__objectz00,
																																															(BgL_idxz00_5670
																																																+
																																																3L))
																																														==
																																														BgL_classz00_5662);
																																												}
																																											else
																																												{	/* Ast/let.scm 344 */
																																													bool_t
																																														BgL_res3770z00_5695;
																																													{	/* Ast/let.scm 344 */
																																														obj_t
																																															BgL_oclassz00_5678;
																																														{	/* Ast/let.scm 344 */
																																															obj_t
																																																BgL_arg1866z00_5686;
																																															long
																																																BgL_arg1867z00_5687;
																																															BgL_arg1866z00_5686
																																																=
																																																(BGl_za2classesza2z00zz__objectz00);
																																															{	/* Ast/let.scm 344 */
																																																long
																																																	BgL_arg1869z00_5688;
																																																BgL_arg1869z00_5688
																																																	=
																																																	BGL_OBJECT_CLASS_NUM
																																																	(BgL_arg1858z00_5664);
																																																BgL_arg1867z00_5687
																																																	=
																																																	(BgL_arg1869z00_5688
																																																	-
																																																	OBJECT_TYPE);
																																															}
																																															BgL_oclassz00_5678
																																																=
																																																VECTOR_REF
																																																(BgL_arg1866z00_5686,
																																																BgL_arg1867z00_5687);
																																														}
																																														{	/* Ast/let.scm 344 */
																																															bool_t
																																																BgL__ortest_1115z00_5679;
																																															BgL__ortest_1115z00_5679
																																																=
																																																(BgL_classz00_5662
																																																==
																																																BgL_oclassz00_5678);
																																															if (BgL__ortest_1115z00_5679)
																																																{	/* Ast/let.scm 344 */
																																																	BgL_res3770z00_5695
																																																		=
																																																		BgL__ortest_1115z00_5679;
																																																}
																																															else
																																																{	/* Ast/let.scm 344 */
																																																	long
																																																		BgL_odepthz00_5680;
																																																	{	/* Ast/let.scm 344 */
																																																		obj_t
																																																			BgL_arg1855z00_5681;
																																																		BgL_arg1855z00_5681
																																																			=
																																																			(BgL_oclassz00_5678);
																																																		BgL_odepthz00_5680
																																																			=
																																																			BGL_CLASS_DEPTH
																																																			(BgL_arg1855z00_5681);
																																																	}
																																																	if ((3L < BgL_odepthz00_5680))
																																																		{	/* Ast/let.scm 344 */
																																																			obj_t
																																																				BgL_arg1853z00_5683;
																																																			{	/* Ast/let.scm 344 */
																																																				obj_t
																																																					BgL_arg1854z00_5684;
																																																				BgL_arg1854z00_5684
																																																					=
																																																					(BgL_oclassz00_5678);
																																																				BgL_arg1853z00_5683
																																																					=
																																																					BGL_CLASS_ANCESTORS_REF
																																																					(BgL_arg1854z00_5684,
																																																					3L);
																																																			}
																																																			BgL_res3770z00_5695
																																																				=
																																																				(BgL_arg1853z00_5683
																																																				==
																																																				BgL_classz00_5662);
																																																		}
																																																	else
																																																		{	/* Ast/let.scm 344 */
																																																			BgL_res3770z00_5695
																																																				=
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																														}
																																													}
																																													BgL_test4051z00_9782
																																														=
																																														BgL_res3770z00_5695;
																																												}
																																										}
																																									else
																																										{	/* Ast/let.scm 344 */
																																											BgL_test4051z00_9782
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																								if (BgL_test4051z00_9782)
																																									{	/* Ast/let.scm 346 */
																																										BgL_nodez00_bglt
																																											BgL_arg2041z00_2242;
																																										BgL_arg2041z00_2242
																																											=
																																											(
																																											((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt) BgL_valz00_2114)))->BgL_valuez00);
																																										{
																																											obj_t
																																												BgL_valz00_9807;
																																											BgL_valz00_9807
																																												=
																																												(
																																												(obj_t)
																																												BgL_arg2041z00_2242);
																																											BgL_valz00_2114
																																												=
																																												BgL_valz00_9807;
																																											goto
																																												BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00;
																																										}
																																									}
																																								else
																																									{	/* Ast/let.scm 347 */
																																										bool_t
																																											BgL_test4056z00_9809;
																																										{	/* Ast/let.scm 347 */
																																											obj_t
																																												BgL_classz00_5696;
																																											BgL_classz00_5696
																																												=
																																												BGl_boxzd2refzd2zzast_nodez00;
																																											if (BGL_OBJECTP(BgL_valz00_2114))
																																												{	/* Ast/let.scm 347 */
																																													BgL_objectz00_bglt
																																														BgL_arg1858z00_5698;
																																													BgL_arg1858z00_5698
																																														=
																																														(BgL_objectz00_bglt)
																																														(BgL_valz00_2114);
																																													if (BGL_CONDEXPAND_ISA_ARCH64())
																																														{	/* Ast/let.scm 347 */
																																															long
																																																BgL_idxz00_5704;
																																															BgL_idxz00_5704
																																																=
																																																BGL_OBJECT_INHERITANCE_NUM
																																																(BgL_arg1858z00_5698);
																																															BgL_test4056z00_9809
																																																=
																																																(VECTOR_REF
																																																(BGl_za2inheritancesza2z00zz__objectz00,
																																																	(BgL_idxz00_5704
																																																		+
																																																		3L))
																																																==
																																																BgL_classz00_5696);
																																														}
																																													else
																																														{	/* Ast/let.scm 347 */
																																															bool_t
																																																BgL_res3771z00_5729;
																																															{	/* Ast/let.scm 347 */
																																																obj_t
																																																	BgL_oclassz00_5712;
																																																{	/* Ast/let.scm 347 */
																																																	obj_t
																																																		BgL_arg1866z00_5720;
																																																	long
																																																		BgL_arg1867z00_5721;
																																																	BgL_arg1866z00_5720
																																																		=
																																																		(BGl_za2classesza2z00zz__objectz00);
																																																	{	/* Ast/let.scm 347 */
																																																		long
																																																			BgL_arg1869z00_5722;
																																																		BgL_arg1869z00_5722
																																																			=
																																																			BGL_OBJECT_CLASS_NUM
																																																			(BgL_arg1858z00_5698);
																																																		BgL_arg1867z00_5721
																																																			=
																																																			(BgL_arg1869z00_5722
																																																			-
																																																			OBJECT_TYPE);
																																																	}
																																																	BgL_oclassz00_5712
																																																		=
																																																		VECTOR_REF
																																																		(BgL_arg1866z00_5720,
																																																		BgL_arg1867z00_5721);
																																																}
																																																{	/* Ast/let.scm 347 */
																																																	bool_t
																																																		BgL__ortest_1115z00_5713;
																																																	BgL__ortest_1115z00_5713
																																																		=
																																																		(BgL_classz00_5696
																																																		==
																																																		BgL_oclassz00_5712);
																																																	if (BgL__ortest_1115z00_5713)
																																																		{	/* Ast/let.scm 347 */
																																																			BgL_res3771z00_5729
																																																				=
																																																				BgL__ortest_1115z00_5713;
																																																		}
																																																	else
																																																		{	/* Ast/let.scm 347 */
																																																			long
																																																				BgL_odepthz00_5714;
																																																			{	/* Ast/let.scm 347 */
																																																				obj_t
																																																					BgL_arg1855z00_5715;
																																																				BgL_arg1855z00_5715
																																																					=
																																																					(BgL_oclassz00_5712);
																																																				BgL_odepthz00_5714
																																																					=
																																																					BGL_CLASS_DEPTH
																																																					(BgL_arg1855z00_5715);
																																																			}
																																																			if ((3L < BgL_odepthz00_5714))
																																																				{	/* Ast/let.scm 347 */
																																																					obj_t
																																																						BgL_arg1853z00_5717;
																																																					{	/* Ast/let.scm 347 */
																																																						obj_t
																																																							BgL_arg1854z00_5718;
																																																						BgL_arg1854z00_5718
																																																							=
																																																							(BgL_oclassz00_5712);
																																																						BgL_arg1853z00_5717
																																																							=
																																																							BGL_CLASS_ANCESTORS_REF
																																																							(BgL_arg1854z00_5718,
																																																							3L);
																																																					}
																																																					BgL_res3771z00_5729
																																																						=
																																																						(BgL_arg1853z00_5717
																																																						==
																																																						BgL_classz00_5696);
																																																				}
																																																			else
																																																				{	/* Ast/let.scm 347 */
																																																					BgL_res3771z00_5729
																																																						=
																																																						(
																																																						(bool_t)
																																																						0);
																																																				}
																																																		}
																																																}
																																															}
																																															BgL_test4056z00_9809
																																																=
																																																BgL_res3771z00_5729;
																																														}
																																												}
																																											else
																																												{	/* Ast/let.scm 347 */
																																													BgL_test4056z00_9809
																																														=
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																										if (BgL_test4056z00_9809)
																																											{	/* Ast/let.scm 349 */
																																												BgL_varz00_bglt
																																													BgL_arg2043z00_2245;
																																												BgL_arg2043z00_2245
																																													=
																																													(
																																													((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt) BgL_valz00_2114)))->BgL_varz00);
																																												{
																																													obj_t
																																														BgL_valz00_9834;
																																													BgL_valz00_9834
																																														=
																																														(
																																														(obj_t)
																																														BgL_arg2043z00_2245);
																																													BgL_valz00_2114
																																														=
																																														BgL_valz00_9834;
																																													goto
																																														BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00;
																																												}
																																											}
																																										else
																																											{	/* Ast/let.scm 350 */
																																												bool_t
																																													BgL_test4061z00_9836;
																																												{	/* Ast/let.scm 350 */
																																													obj_t
																																														BgL_classz00_5730;
																																													BgL_classz00_5730
																																														=
																																														BGl_boxzd2setz12zc0zzast_nodez00;
																																													if (BGL_OBJECTP(BgL_valz00_2114))
																																														{	/* Ast/let.scm 350 */
																																															BgL_objectz00_bglt
																																																BgL_arg1858z00_5732;
																																															BgL_arg1858z00_5732
																																																=
																																																(BgL_objectz00_bglt)
																																																(BgL_valz00_2114);
																																															if (BGL_CONDEXPAND_ISA_ARCH64())
																																																{	/* Ast/let.scm 350 */
																																																	long
																																																		BgL_idxz00_5738;
																																																	BgL_idxz00_5738
																																																		=
																																																		BGL_OBJECT_INHERITANCE_NUM
																																																		(BgL_arg1858z00_5732);
																																																	BgL_test4061z00_9836
																																																		=
																																																		(VECTOR_REF
																																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																																			(BgL_idxz00_5738
																																																				+
																																																				2L))
																																																		==
																																																		BgL_classz00_5730);
																																																}
																																															else
																																																{	/* Ast/let.scm 350 */
																																																	bool_t
																																																		BgL_res3772z00_5763;
																																																	{	/* Ast/let.scm 350 */
																																																		obj_t
																																																			BgL_oclassz00_5746;
																																																		{	/* Ast/let.scm 350 */
																																																			obj_t
																																																				BgL_arg1866z00_5754;
																																																			long
																																																				BgL_arg1867z00_5755;
																																																			BgL_arg1866z00_5754
																																																				=
																																																				(BGl_za2classesza2z00zz__objectz00);
																																																			{	/* Ast/let.scm 350 */
																																																				long
																																																					BgL_arg1869z00_5756;
																																																				BgL_arg1869z00_5756
																																																					=
																																																					BGL_OBJECT_CLASS_NUM
																																																					(BgL_arg1858z00_5732);
																																																				BgL_arg1867z00_5755
																																																					=
																																																					(BgL_arg1869z00_5756
																																																					-
																																																					OBJECT_TYPE);
																																																			}
																																																			BgL_oclassz00_5746
																																																				=
																																																				VECTOR_REF
																																																				(BgL_arg1866z00_5754,
																																																				BgL_arg1867z00_5755);
																																																		}
																																																		{	/* Ast/let.scm 350 */
																																																			bool_t
																																																				BgL__ortest_1115z00_5747;
																																																			BgL__ortest_1115z00_5747
																																																				=
																																																				(BgL_classz00_5730
																																																				==
																																																				BgL_oclassz00_5746);
																																																			if (BgL__ortest_1115z00_5747)
																																																				{	/* Ast/let.scm 350 */
																																																					BgL_res3772z00_5763
																																																						=
																																																						BgL__ortest_1115z00_5747;
																																																				}
																																																			else
																																																				{	/* Ast/let.scm 350 */
																																																					long
																																																						BgL_odepthz00_5748;
																																																					{	/* Ast/let.scm 350 */
																																																						obj_t
																																																							BgL_arg1855z00_5749;
																																																						BgL_arg1855z00_5749
																																																							=
																																																							(BgL_oclassz00_5746);
																																																						BgL_odepthz00_5748
																																																							=
																																																							BGL_CLASS_DEPTH
																																																							(BgL_arg1855z00_5749);
																																																					}
																																																					if ((2L < BgL_odepthz00_5748))
																																																						{	/* Ast/let.scm 350 */
																																																							obj_t
																																																								BgL_arg1853z00_5751;
																																																							{	/* Ast/let.scm 350 */
																																																								obj_t
																																																									BgL_arg1854z00_5752;
																																																								BgL_arg1854z00_5752
																																																									=
																																																									(BgL_oclassz00_5746);
																																																								BgL_arg1853z00_5751
																																																									=
																																																									BGL_CLASS_ANCESTORS_REF
																																																									(BgL_arg1854z00_5752,
																																																									2L);
																																																							}
																																																							BgL_res3772z00_5763
																																																								=
																																																								(BgL_arg1853z00_5751
																																																								==
																																																								BgL_classz00_5730);
																																																						}
																																																					else
																																																						{	/* Ast/let.scm 350 */
																																																							BgL_res3772z00_5763
																																																								=
																																																								(
																																																								(bool_t)
																																																								0);
																																																						}
																																																				}
																																																		}
																																																	}
																																																	BgL_test4061z00_9836
																																																		=
																																																		BgL_res3772z00_5763;
																																																}
																																														}
																																													else
																																														{	/* Ast/let.scm 350 */
																																															BgL_test4061z00_9836
																																																=
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																												if (BgL_test4061z00_9836)
																																													{	/* Ast/let.scm 352 */
																																														bool_t
																																															BgL_test4066z00_9859;
																																														{	/* Ast/let.scm 352 */
																																															BgL_varz00_bglt
																																																BgL_arg2046z00_2250;
																																															BgL_arg2046z00_2250
																																																=
																																																(
																																																((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt) BgL_valz00_2114)))->BgL_varz00);
																																															BgL_test4066z00_9859
																																																=
																																																BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
																																																(
																																																((obj_t) BgL_arg2046z00_2250), BgL_varsz00_2115);
																																														}
																																														if (BgL_test4066z00_9859)
																																															{	/* Ast/let.scm 353 */
																																																BgL_nodez00_bglt
																																																	BgL_arg2045z00_2249;
																																																BgL_arg2045z00_2249
																																																	=
																																																	(
																																																	((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt) BgL_valz00_2114)))->BgL_valuez00);
																																																{
																																																	obj_t
																																																		BgL_valz00_9866;
																																																	BgL_valz00_9866
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_arg2045z00_2249);
																																																	BgL_valz00_2114
																																																		=
																																																		BgL_valz00_9866;
																																																	goto
																																																		BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00;
																																																}
																																															}
																																														else
																																															{	/* Ast/let.scm 352 */
																																																return
																																																	(
																																																	(bool_t)
																																																	0);
																																															}
																																													}
																																												else
																																													{	/* Ast/let.scm 350 */
																																														return
																																															(
																																															(bool_t)
																																															0);
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* safe-let-optim?~0 */
	bool_t BGl_safezd2letzd2optimzf3ze70z14zzast_letz00(obj_t BgL_varsz00_7858,
		BgL_letzd2varzd2_bglt BgL_nodez00_2265)
	{
		{	/* Ast/let.scm 372 */
			if (NULLP(
					(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_2265))->
						BgL_bindingsz00)))
				{	/* Ast/let.scm 364 */
					return ((bool_t) 1);
				}
			else
				{	/* Ast/let.scm 364 */
					if (NULLP(CDR(
								(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_2265))->
									BgL_bindingsz00))))
						{	/* Ast/let.scm 367 */
							obj_t BgL_arg2058z00_2273;

							{	/* Ast/let.scm 367 */
								obj_t BgL_pairz00_5768;

								BgL_pairz00_5768 =
									(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_2265))->
									BgL_bindingsz00);
								BgL_arg2058z00_2273 = CDR(CAR(BgL_pairz00_5768));
							}
							return
								BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
								(BgL_arg2058z00_2273, BgL_varsz00_7858);
						}
					else
						{	/* Ast/let.scm 369 */
							obj_t BgL_g1409z00_2275;

							BgL_g1409z00_2275 =
								(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_2265))->
								BgL_bindingsz00);
							{
								obj_t BgL_l1407z00_2277;

								BgL_l1407z00_2277 = BgL_g1409z00_2275;
							BgL_zc3z04anonymousza32060ze3z87_2278:
								if (NULLP(BgL_l1407z00_2277))
									{	/* Ast/let.scm 369 */
										return ((bool_t) 1);
									}
								else
									{	/* Ast/let.scm 369 */
										bool_t BgL_test4070z00_9882;

										{	/* Ast/let.scm 370 */
											obj_t BgL_bz00_2283;

											BgL_bz00_2283 = CAR(((obj_t) BgL_l1407z00_2277));
											if (
												((((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	CAR(
																		((obj_t) BgL_bz00_2283)))))->
														BgL_accessz00) == ((obj_t) CNST_TABLE_REF(6))))
												{	/* Ast/let.scm 371 */
													obj_t BgL_arg2067z00_2287;

													BgL_arg2067z00_2287 = CDR(((obj_t) BgL_bz00_2283));
													BgL_test4070z00_9882 =
														BGl_safezd2reczd2valzd2optimzf3ze70zc6zzast_letz00
														(BgL_arg2067z00_2287, BgL_varsz00_7858);
												}
											else
												{	/* Ast/let.scm 370 */
													BgL_test4070z00_9882 = ((bool_t) 0);
												}
										}
										if (BgL_test4070z00_9882)
											{	/* Ast/let.scm 369 */
												obj_t BgL_arg2063z00_2282;

												BgL_arg2063z00_2282 = CDR(((obj_t) BgL_l1407z00_2277));
												{
													obj_t BgL_l1407z00_9898;

													BgL_l1407z00_9898 = BgL_arg2063z00_2282;
													BgL_l1407z00_2277 = BgL_l1407z00_9898;
													goto BgL_zc3z04anonymousza32060ze3z87_2278;
												}
											}
										else
											{	/* Ast/let.scm 369 */
												return ((bool_t) 0);
											}
									}
							}
						}
				}
		}

	}



/* let->labels */
	BgL_letzd2funzd2_bglt BGl_letzd2ze3labelsz31zzast_letz00(obj_t
		BgL_valuezd2bindingszd2_32, BgL_nodez00_bglt BgL_nodez00_33,
		obj_t BgL_sitez00_34)
	{
		{	/* Ast/let.scm 480 */
			{	/* Ast/let.scm 482 */
				obj_t BgL_oldzd2funszd2_2298;
				obj_t BgL_newzd2funszd2_2299;

				if (NULLP(BgL_valuezd2bindingszd2_32))
					{	/* Ast/let.scm 482 */
						BgL_oldzd2funszd2_2298 = BNIL;
					}
				else
					{	/* Ast/let.scm 482 */
						obj_t BgL_head1413z00_2336;

						{	/* Ast/let.scm 482 */
							obj_t BgL_arg2097z00_2348;

							{	/* Ast/let.scm 482 */
								obj_t BgL_pairz00_5923;

								BgL_pairz00_5923 = CAR(((obj_t) BgL_valuezd2bindingszd2_32));
								BgL_arg2097z00_2348 = CAR(BgL_pairz00_5923);
							}
							BgL_head1413z00_2336 = MAKE_YOUNG_PAIR(BgL_arg2097z00_2348, BNIL);
						}
						{	/* Ast/let.scm 482 */
							obj_t BgL_g1416z00_2337;

							BgL_g1416z00_2337 = CDR(((obj_t) BgL_valuezd2bindingszd2_32));
							{
								obj_t BgL_l1411z00_2339;
								obj_t BgL_tail1414z00_2340;

								BgL_l1411z00_2339 = BgL_g1416z00_2337;
								BgL_tail1414z00_2340 = BgL_head1413z00_2336;
							BgL_zc3z04anonymousza32092ze3z87_2341:
								if (NULLP(BgL_l1411z00_2339))
									{	/* Ast/let.scm 482 */
										BgL_oldzd2funszd2_2298 = BgL_head1413z00_2336;
									}
								else
									{	/* Ast/let.scm 482 */
										obj_t BgL_newtail1415z00_2343;

										{	/* Ast/let.scm 482 */
											obj_t BgL_arg2095z00_2345;

											{	/* Ast/let.scm 482 */
												obj_t BgL_pairz00_5926;

												BgL_pairz00_5926 = CAR(((obj_t) BgL_l1411z00_2339));
												BgL_arg2095z00_2345 = CAR(BgL_pairz00_5926);
											}
											BgL_newtail1415z00_2343 =
												MAKE_YOUNG_PAIR(BgL_arg2095z00_2345, BNIL);
										}
										SET_CDR(BgL_tail1414z00_2340, BgL_newtail1415z00_2343);
										{	/* Ast/let.scm 482 */
											obj_t BgL_arg2094z00_2344;

											BgL_arg2094z00_2344 = CDR(((obj_t) BgL_l1411z00_2339));
											{
												obj_t BgL_tail1414z00_9917;
												obj_t BgL_l1411z00_9916;

												BgL_l1411z00_9916 = BgL_arg2094z00_2344;
												BgL_tail1414z00_9917 = BgL_newtail1415z00_2343;
												BgL_tail1414z00_2340 = BgL_tail1414z00_9917;
												BgL_l1411z00_2339 = BgL_l1411z00_9916;
												goto BgL_zc3z04anonymousza32092ze3z87_2341;
											}
										}
									}
							}
						}
					}
				if (NULLP(BgL_valuezd2bindingszd2_32))
					{	/* Ast/let.scm 483 */
						BgL_newzd2funszd2_2299 = BNIL;
					}
				else
					{	/* Ast/let.scm 483 */
						obj_t BgL_head1419z00_2352;

						BgL_head1419z00_2352 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1417z00_2354;
							obj_t BgL_tail1420z00_2355;

							BgL_l1417z00_2354 = BgL_valuezd2bindingszd2_32;
							BgL_tail1420z00_2355 = BgL_head1419z00_2352;
						BgL_zc3z04anonymousza32100ze3z87_2356:
							if (NULLP(BgL_l1417z00_2354))
								{	/* Ast/let.scm 483 */
									BgL_newzd2funszd2_2299 = CDR(BgL_head1419z00_2352);
								}
							else
								{	/* Ast/let.scm 483 */
									obj_t BgL_newtail1421z00_2358;

									{	/* Ast/let.scm 483 */
										BgL_localz00_bglt BgL_arg2103z00_2360;

										{	/* Ast/let.scm 483 */
											obj_t BgL_bindingz00_2361;

											BgL_bindingz00_2361 = CAR(((obj_t) BgL_l1417z00_2354));
											{	/* Ast/let.scm 484 */
												obj_t BgL_ovarz00_2362;

												BgL_ovarz00_2362 = CAR(((obj_t) BgL_bindingz00_2361));
												{	/* Ast/let.scm 484 */
													obj_t BgL_valz00_2363;

													BgL_valz00_2363 = CDR(((obj_t) BgL_bindingz00_2361));
													{	/* Ast/let.scm 485 */
														obj_t BgL_auxz00_2364;

														{	/* Ast/let.scm 486 */
															obj_t BgL_pairz00_5934;

															BgL_pairz00_5934 =
																(((BgL_letzd2funzd2_bglt) COBJECT(
																		((BgL_letzd2funzd2_bglt)
																			BgL_valz00_2363)))->BgL_localsz00);
															BgL_auxz00_2364 = CAR(BgL_pairz00_5934);
														}
														{	/* Ast/let.scm 486 */
															obj_t BgL_idz00_2365;

															if (
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_ovarz00_2362))))->BgL_userzf3zf3))
																{	/* Ast/let.scm 487 */
																	BgL_idz00_2365 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						BgL_ovarz00_2362))))->BgL_idz00);
																}
															else
																{	/* Ast/let.scm 487 */
																	BgL_idz00_2365 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						BgL_auxz00_2364))))->BgL_idz00);
																}
															{	/* Ast/let.scm 487 */
																BgL_localz00_bglt BgL_newz00_2366;

																{	/* Ast/let.scm 490 */
																	BgL_typez00_bglt BgL_arg2107z00_2371;

																	BgL_arg2107z00_2371 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_localz00_bglt)
																						BgL_auxz00_2364))))->BgL_typez00);
																	BgL_newz00_2366 =
																		BGl_makezd2localzd2svarz00zzast_localz00
																		(BgL_idz00_2365, BgL_arg2107z00_2371);
																}
																{	/* Ast/let.scm 490 */

																	{	/* Ast/let.scm 491 */
																		BgL_valuez00_bglt BgL_arg2104z00_2367;

																		BgL_arg2104z00_2367 =
																			(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_auxz00_2364))))->
																			BgL_valuez00);
																		((((BgL_variablez00_bglt)
																					COBJECT(((BgL_variablez00_bglt)
																							BgL_newz00_2366)))->
																				BgL_valuez00) =
																			((BgL_valuez00_bglt) BgL_arg2104z00_2367),
																			BUNSPEC);
																	}
																	{	/* Ast/let.scm 492 */
																		bool_t BgL_arg2105z00_2368;

																		{	/* Ast/let.scm 492 */
																			bool_t BgL__ortest_1181z00_2369;

																			BgL__ortest_1181z00_2369 =
																				(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_localz00_bglt)
																								BgL_auxz00_2364))))->
																				BgL_userzf3zf3);
																			if (BgL__ortest_1181z00_2369)
																				{	/* Ast/let.scm 492 */
																					BgL_arg2105z00_2368 =
																						BgL__ortest_1181z00_2369;
																				}
																			else
																				{	/* Ast/let.scm 492 */
																					BgL_arg2105z00_2368 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										BgL_ovarz00_2362))))->
																						BgL_userzf3zf3);
																				}
																		}
																		((((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							BgL_newz00_2366)))->
																				BgL_userzf3zf3) =
																			((bool_t) BgL_arg2105z00_2368), BUNSPEC);
																	}
																	{	/* Ast/let.scm 494 */
																		obj_t BgL_arg2106z00_2370;

																		BgL_arg2106z00_2370 =
																			(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							BgL_auxz00_2364))))->BgL_namez00);
																		((((BgL_variablez00_bglt)
																					COBJECT(((BgL_variablez00_bglt)
																							BgL_newz00_2366)))->BgL_namez00) =
																			((obj_t) BgL_arg2106z00_2370), BUNSPEC);
																	}
																	BgL_arg2103z00_2360 = BgL_newz00_2366;
																}
															}
														}
													}
												}
											}
										}
										BgL_newtail1421z00_2358 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg2103z00_2360), BNIL);
									}
									SET_CDR(BgL_tail1420z00_2355, BgL_newtail1421z00_2358);
									{	/* Ast/let.scm 483 */
										obj_t BgL_arg2102z00_2359;

										BgL_arg2102z00_2359 = CDR(((obj_t) BgL_l1417z00_2354));
										{
											obj_t BgL_tail1420z00_9972;
											obj_t BgL_l1417z00_9971;

											BgL_l1417z00_9971 = BgL_arg2102z00_2359;
											BgL_tail1420z00_9972 = BgL_newtail1421z00_2358;
											BgL_tail1420z00_2355 = BgL_tail1420z00_9972;
											BgL_l1417z00_2354 = BgL_l1417z00_9971;
											goto BgL_zc3z04anonymousza32100ze3z87_2356;
										}
									}
								}
						}
					}
				{
					obj_t BgL_vbindingsz00_2301;
					obj_t BgL_nvarsz00_2302;

					BgL_vbindingsz00_2301 = BgL_valuezd2bindingszd2_32;
					BgL_nvarsz00_2302 = BgL_newzd2funszd2_2299;
				BgL_zc3z04anonymousza32073ze3z87_2303:
					if (NULLP(BgL_vbindingsz00_2301))
						{	/* Ast/let.scm 502 */
							BgL_nodez00_bglt BgL_bodyz00_2305;

							BgL_bodyz00_2305 =
								BGl_substitutez12z12zzast_substitutez00(BgL_oldzd2funszd2_2298,
								BgL_newzd2funszd2_2299, BgL_nodez00_33, BgL_sitez00_34);
							{	/* Ast/let.scm 502 */
								obj_t BgL_funsz00_2306;

								BgL_funsz00_2306 = bgl_reverse_bang(BgL_newzd2funszd2_2299);
								{	/* Ast/let.scm 503 */
									obj_t BgL_locz00_2307;

									{	/* Ast/let.scm 504 */
										bool_t BgL_test4079z00_9977;

										if (NULLP(BgL_funsz00_2306))
											{	/* Ast/let.scm 504 */
												BgL_test4079z00_9977 = ((bool_t) 0);
											}
										else
											{	/* Ast/let.scm 505 */
												BgL_valuez00_bglt BgL_arg2083z00_2319;

												BgL_arg2083z00_2319 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt)
																	CAR(BgL_funsz00_2306)))))->BgL_valuez00);
												{	/* Ast/let.scm 505 */
													obj_t BgL_classz00_5952;

													BgL_classz00_5952 = BGl_sfunz00zzast_varz00;
													{	/* Ast/let.scm 505 */
														BgL_objectz00_bglt BgL_arg1858z00_5954;

														{	/* Ast/let.scm 505 */
															obj_t BgL_tmpz00_9984;

															BgL_tmpz00_9984 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg2083z00_2319));
															BgL_arg1858z00_5954 =
																(BgL_objectz00_bglt) (BgL_tmpz00_9984);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Ast/let.scm 505 */
																long BgL_idxz00_5960;

																BgL_idxz00_5960 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_5954);
																BgL_test4079z00_9977 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_5960 + 3L)) ==
																	BgL_classz00_5952);
															}
														else
															{	/* Ast/let.scm 505 */
																bool_t BgL_res3777z00_5985;

																{	/* Ast/let.scm 505 */
																	obj_t BgL_oclassz00_5968;

																	{	/* Ast/let.scm 505 */
																		obj_t BgL_arg1866z00_5976;
																		long BgL_arg1867z00_5977;

																		BgL_arg1866z00_5976 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Ast/let.scm 505 */
																			long BgL_arg1869z00_5978;

																			BgL_arg1869z00_5978 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_5954);
																			BgL_arg1867z00_5977 =
																				(BgL_arg1869z00_5978 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_5968 =
																			VECTOR_REF(BgL_arg1866z00_5976,
																			BgL_arg1867z00_5977);
																	}
																	{	/* Ast/let.scm 505 */
																		bool_t BgL__ortest_1115z00_5969;

																		BgL__ortest_1115z00_5969 =
																			(BgL_classz00_5952 == BgL_oclassz00_5968);
																		if (BgL__ortest_1115z00_5969)
																			{	/* Ast/let.scm 505 */
																				BgL_res3777z00_5985 =
																					BgL__ortest_1115z00_5969;
																			}
																		else
																			{	/* Ast/let.scm 505 */
																				long BgL_odepthz00_5970;

																				{	/* Ast/let.scm 505 */
																					obj_t BgL_arg1855z00_5971;

																					BgL_arg1855z00_5971 =
																						(BgL_oclassz00_5968);
																					BgL_odepthz00_5970 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_5971);
																				}
																				if ((3L < BgL_odepthz00_5970))
																					{	/* Ast/let.scm 505 */
																						obj_t BgL_arg1853z00_5973;

																						{	/* Ast/let.scm 505 */
																							obj_t BgL_arg1854z00_5974;

																							BgL_arg1854z00_5974 =
																								(BgL_oclassz00_5968);
																							BgL_arg1853z00_5973 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_5974, 3L);
																						}
																						BgL_res3777z00_5985 =
																							(BgL_arg1853z00_5973 ==
																							BgL_classz00_5952);
																					}
																				else
																					{	/* Ast/let.scm 505 */
																						BgL_res3777z00_5985 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test4079z00_9977 = BgL_res3777z00_5985;
															}
													}
												}
											}
										if (BgL_test4079z00_9977)
											{	/* Ast/let.scm 504 */
												BgL_locz00_2307 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																(((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									CAR(BgL_funsz00_2306)))))->
																					BgL_valuez00))))->BgL_bodyz00))))->
													BgL_locz00);
											}
										else
											{	/* Ast/let.scm 504 */
												BgL_locz00_2307 =
													(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_33))->
													BgL_locz00);
											}
									}
									{	/* Ast/let.scm 504 */

										{	/* Ast/let.scm 508 */
											BgL_letzd2funzd2_bglt BgL_new1183z00_2308;

											{	/* Ast/let.scm 509 */
												BgL_letzd2funzd2_bglt BgL_new1182z00_2309;

												BgL_new1182z00_2309 =
													((BgL_letzd2funzd2_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_letzd2funzd2_bgl))));
												{	/* Ast/let.scm 509 */
													long BgL_arg2075z00_2310;

													BgL_arg2075z00_2310 =
														BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1182z00_2309),
														BgL_arg2075z00_2310);
												}
												{	/* Ast/let.scm 509 */
													BgL_objectz00_bglt BgL_tmpz00_10020;

													BgL_tmpz00_10020 =
														((BgL_objectz00_bglt) BgL_new1182z00_2309);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10020, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1182z00_2309);
												BgL_new1183z00_2308 = BgL_new1182z00_2309;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1183z00_2308)))->
													BgL_locz00) = ((obj_t) BgL_locz00_2307), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1183z00_2308)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_nodez00_bglt)
															COBJECT(BgL_nodez00_33))->BgL_typez00)), BUNSPEC);
											((((BgL_nodezf2effectzf2_bglt)
														COBJECT(((BgL_nodezf2effectzf2_bglt)
																BgL_new1183z00_2308)))->BgL_sidezd2effectzd2) =
												((obj_t) BUNSPEC), BUNSPEC);
											((((BgL_nodezf2effectzf2_bglt)
														COBJECT(((BgL_nodezf2effectzf2_bglt)
																BgL_new1183z00_2308)))->BgL_keyz00) =
												((obj_t) BINT((-1L))), BUNSPEC);
											((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1183z00_2308))->
													BgL_localsz00) = ((obj_t) BgL_funsz00_2306), BUNSPEC);
											((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1183z00_2308))->
													BgL_bodyz00) =
												((BgL_nodez00_bglt) BgL_bodyz00_2305), BUNSPEC);
											return BgL_new1183z00_2308;
										}
									}
								}
							}
						}
					else
						{	/* Ast/let.scm 514 */
							obj_t BgL_bindingz00_2321;

							BgL_bindingz00_2321 = CAR(((obj_t) BgL_vbindingsz00_2301));
							{	/* Ast/let.scm 514 */
								obj_t BgL_nvarz00_2322;

								BgL_nvarz00_2322 = CAR(((obj_t) BgL_nvarsz00_2302));
								{	/* Ast/let.scm 515 */
									BgL_valuez00_bglt BgL_sfunz00_2323;

									BgL_sfunz00_2323 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_nvarz00_2322))))->
										BgL_valuez00);
									{	/* Ast/let.scm 516 */
										obj_t BgL_bodyz00_2324;

										BgL_bodyz00_2324 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_2323)))->BgL_bodyz00);
										{	/* Ast/let.scm 517 */
											obj_t BgL_valz00_2325;

											BgL_valz00_2325 = CDR(((obj_t) BgL_bindingz00_2321));
											{	/* Ast/let.scm 518 */
												obj_t BgL_auxz00_2326;

												{	/* Ast/let.scm 519 */
													obj_t BgL_pairz00_6002;

													BgL_pairz00_6002 =
														(((BgL_letzd2funzd2_bglt) COBJECT(
																((BgL_letzd2funzd2_bglt) BgL_valz00_2325)))->
														BgL_localsz00);
													BgL_auxz00_2326 = CAR(BgL_pairz00_6002);
												}
												{	/* Ast/let.scm 519 */

													{	/* Ast/let.scm 521 */
														BgL_nodez00_bglt BgL_arg2085z00_2327;

														{	/* Ast/let.scm 521 */
															obj_t BgL_arg2086z00_2328;
															obj_t BgL_arg2087z00_2329;

															BgL_arg2086z00_2328 =
																MAKE_YOUNG_PAIR(BgL_auxz00_2326,
																BgL_oldzd2funszd2_2298);
															BgL_arg2087z00_2329 =
																MAKE_YOUNG_PAIR(BgL_nvarz00_2322,
																BgL_newzd2funszd2_2299);
															BgL_arg2085z00_2327 =
																BGl_substitutez12z12zzast_substitutez00
																(BgL_arg2086z00_2328, BgL_arg2087z00_2329,
																((BgL_nodez00_bglt) BgL_bodyz00_2324),
																((obj_t) CNST_TABLE_REF(1)));
														}
														((((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt) BgL_sfunz00_2323)))->
																BgL_bodyz00) =
															((obj_t) ((obj_t) BgL_arg2085z00_2327)), BUNSPEC);
													}
													{	/* Ast/let.scm 526 */
														obj_t BgL_arg2088z00_2330;
														obj_t BgL_arg2089z00_2331;

														BgL_arg2088z00_2330 =
															CDR(((obj_t) BgL_vbindingsz00_2301));
														BgL_arg2089z00_2331 =
															CDR(((obj_t) BgL_nvarsz00_2302));
														{
															obj_t BgL_nvarsz00_10064;
															obj_t BgL_vbindingsz00_10063;

															BgL_vbindingsz00_10063 = BgL_arg2088z00_2330;
															BgL_nvarsz00_10064 = BgL_arg2089z00_2331;
															BgL_nvarsz00_2302 = BgL_nvarsz00_10064;
															BgL_vbindingsz00_2301 = BgL_vbindingsz00_10063;
															goto BgL_zc3z04anonymousza32073ze3z87_2303;
														}
													}
												}
											}
										}
									}
								}
							}
						}
				}
			}
		}

	}



/* letrec*->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_letrecza2zd2ze3nodez93zzast_letz00(obj_t
		BgL_sexpz00_35, obj_t BgL_stackz00_36, obj_t BgL_locz00_37,
		obj_t BgL_sitez00_38)
	{
		{	/* Ast/let.scm 560 */
			{	/* Ast/let.scm 563 */
				obj_t BgL_stage1z00_7773;
				obj_t BgL_stage2z00_7772;
				obj_t BgL_stage3z00_7770;
				obj_t BgL_stage4z00_7768;
				obj_t BgL_stage5z00_7767;
				obj_t BgL_stage7z00_7766;

				{
					int BgL_tmpz00_10065;

					BgL_tmpz00_10065 = (int) (8L);
					BgL_stage1z00_7773 =
						MAKE_L_PROCEDURE(BGl_z62stage1z62zzast_letz00, BgL_tmpz00_10065);
				}
				{
					int BgL_tmpz00_10068;

					BgL_tmpz00_10068 = (int) (7L);
					BgL_stage2z00_7772 = MAKE_EL_PROCEDURE(BgL_tmpz00_10068);
				}
				{
					int BgL_tmpz00_10071;

					BgL_tmpz00_10071 = (int) (6L);
					BgL_stage3z00_7770 =
						MAKE_L_PROCEDURE(BGl_z62stage3z62zzast_letz00, BgL_tmpz00_10071);
				}
				{
					int BgL_tmpz00_10074;

					BgL_tmpz00_10074 = (int) (5L);
					BgL_stage4z00_7768 =
						MAKE_L_PROCEDURE(BGl_z62stage4z62zzast_letz00, BgL_tmpz00_10074);
				}
				{
					int BgL_tmpz00_10077;

					BgL_tmpz00_10077 = (int) (4L);
					BgL_stage5z00_7767 = MAKE_EL_PROCEDURE(BgL_tmpz00_10077);
				}
				{
					int BgL_tmpz00_10080;

					BgL_tmpz00_10080 = (int) (3L);
					BgL_stage7z00_7766 = MAKE_EL_PROCEDURE(BgL_tmpz00_10080);
				}
				PROCEDURE_L_SET(BgL_stage1z00_7773, (int) (0L), BgL_stage7z00_7766);
				PROCEDURE_L_SET(BgL_stage1z00_7773, (int) (1L), BgL_stage5z00_7767);
				PROCEDURE_L_SET(BgL_stage1z00_7773, (int) (2L), BgL_stage4z00_7768);
				PROCEDURE_L_SET(BgL_stage1z00_7773, (int) (3L), BgL_stage3z00_7770);
				PROCEDURE_L_SET(BgL_stage1z00_7773, (int) (4L), BgL_stackz00_36);
				PROCEDURE_L_SET(BgL_stage1z00_7773, (int) (5L), BgL_locz00_37);
				PROCEDURE_L_SET(BgL_stage1z00_7773, (int) (6L), BgL_sitez00_38);
				PROCEDURE_L_SET(BgL_stage1z00_7773, (int) (7L), BgL_stage2z00_7772);
				PROCEDURE_EL_SET(BgL_stage2z00_7772, (int) (0L), BgL_stage7z00_7766);
				PROCEDURE_EL_SET(BgL_stage2z00_7772, (int) (1L), BgL_stackz00_36);
				PROCEDURE_EL_SET(BgL_stage2z00_7772, (int) (2L), BgL_locz00_37);
				PROCEDURE_EL_SET(BgL_stage2z00_7772, (int) (3L), BgL_sitez00_38);
				PROCEDURE_EL_SET(BgL_stage2z00_7772, (int) (4L), BgL_stage5z00_7767);
				PROCEDURE_EL_SET(BgL_stage2z00_7772, (int) (5L), BgL_stage4z00_7768);
				PROCEDURE_EL_SET(BgL_stage2z00_7772, (int) (6L), BgL_stage3z00_7770);
				PROCEDURE_L_SET(BgL_stage3z00_7770, (int) (0L), BgL_stage7z00_7766);
				PROCEDURE_L_SET(BgL_stage3z00_7770, (int) (1L), BgL_stackz00_36);
				PROCEDURE_L_SET(BgL_stage3z00_7770, (int) (2L), BgL_locz00_37);
				PROCEDURE_L_SET(BgL_stage3z00_7770, (int) (3L), BgL_sitez00_38);
				PROCEDURE_L_SET(BgL_stage3z00_7770, (int) (4L), BgL_stage5z00_7767);
				PROCEDURE_L_SET(BgL_stage3z00_7770, (int) (5L), BgL_stage4z00_7768);
				PROCEDURE_L_SET(BgL_stage4z00_7768, (int) (0L), BgL_stage7z00_7766);
				PROCEDURE_L_SET(BgL_stage4z00_7768, (int) (1L), BgL_stackz00_36);
				PROCEDURE_L_SET(BgL_stage4z00_7768, (int) (2L), BgL_locz00_37);
				PROCEDURE_L_SET(BgL_stage4z00_7768, (int) (3L), BgL_sitez00_38);
				PROCEDURE_L_SET(BgL_stage4z00_7768, (int) (4L), BgL_stage5z00_7767);
				PROCEDURE_EL_SET(BgL_stage5z00_7767, (int) (0L), BgL_stage7z00_7766);
				PROCEDURE_EL_SET(BgL_stage5z00_7767, (int) (1L), BgL_stackz00_36);
				PROCEDURE_EL_SET(BgL_stage5z00_7767, (int) (2L), BgL_locz00_37);
				PROCEDURE_EL_SET(BgL_stage5z00_7767, (int) (3L), BgL_sitez00_38);
				PROCEDURE_EL_SET(BgL_stage7z00_7766, (int) (0L), BgL_locz00_37);
				PROCEDURE_EL_SET(BgL_stage7z00_7766, (int) (1L), BgL_stackz00_36);
				PROCEDURE_EL_SET(BgL_stage7z00_7766, (int) (2L), BgL_sitez00_38);
				{
					obj_t BgL_bz00_2479;
					obj_t BgL_vz00_2480;
					obj_t BgL_varsz00_2481;
					obj_t BgL_ebindingsz00_4176;
					obj_t BgL_bodyz00_4177;
					obj_t BgL_bindingsz00_4211;
					obj_t BgL_bodyz00_4212;
					obj_t BgL_expz00_4261;

					{
						obj_t BgL_bodyz00_2413;
						obj_t BgL_bindingsz00_2419;
						obj_t BgL_bodyz00_2420;

						if (PAIRP(BgL_sexpz00_35))
							{	/* Ast/let.scm 1198 */
								obj_t BgL_cdrzd22817zd2_2425;

								BgL_cdrzd22817zd2_2425 = CDR(((obj_t) BgL_sexpz00_35));
								if (
									(CAR(
											((obj_t) BgL_sexpz00_35)) == ((obj_t) CNST_TABLE_REF(4))))
									{	/* Ast/let.scm 1198 */
										if (PAIRP(BgL_cdrzd22817zd2_2425))
											{	/* Ast/let.scm 1198 */
												if (NULLP(CAR(BgL_cdrzd22817zd2_2425)))
													{	/* Ast/let.scm 1198 */
														BgL_bodyz00_2413 = CDR(BgL_cdrzd22817zd2_2425);
														{	/* Ast/let.scm 1202 */
															obj_t BgL_arg2129z00_2450;

															{	/* Ast/let.scm 1202 */
																obj_t BgL_arg2130z00_2451;

																BgL_arg2130z00_2451 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(9)), BgL_bodyz00_2413);
																BgL_arg2129z00_2450 =
																	BGl_epairifyzd2propagatezd2locz00zztools_miscz00
																	(BgL_arg2130z00_2451, BgL_locz00_37);
															}
															BGL_TAIL return
																BGl_sexpzd2ze3nodez31zzast_sexpz00
																(BgL_arg2129z00_2450, BgL_stackz00_36,
																BgL_locz00_37, BgL_sitez00_38);
														}
													}
												else
													{	/* Ast/let.scm 1198 */
														obj_t BgL_carzd22833zd2_2433;

														BgL_carzd22833zd2_2433 =
															CAR(((obj_t) BgL_cdrzd22817zd2_2425));
														if (PAIRP(BgL_carzd22833zd2_2433))
															{	/* Ast/let.scm 1198 */
																if (NULLP(CDR(BgL_carzd22833zd2_2433)))
																	{	/* Ast/let.scm 1198 */
																		obj_t BgL_arg2121z00_2438;

																		BgL_arg2121z00_2438 =
																			CDR(((obj_t) BgL_cdrzd22817zd2_2425));
																		{	/* Ast/let.scm 1206 */
																			obj_t BgL_arg2131z00_6827;

																			{	/* Ast/let.scm 1206 */
																				obj_t BgL_arg2132z00_6828;

																				{	/* Ast/let.scm 1206 */
																					obj_t BgL_arg2133z00_6829;

																					BgL_arg2133z00_6829 =
																						MAKE_YOUNG_PAIR
																						(BgL_carzd22833zd2_2433,
																						BgL_arg2121z00_2438);
																					BgL_arg2132z00_6828 =
																						MAKE_YOUNG_PAIR(((obj_t)
																							CNST_TABLE_REF(10)),
																						BgL_arg2133z00_6829);
																				}
																				BgL_arg2131z00_6827 =
																					BGl_epairifyzd2propagatezd2locz00zztools_miscz00
																					(BgL_arg2132z00_6828, BgL_locz00_37);
																			}
																			BGL_TAIL return
																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																				(BgL_arg2131z00_6827, BgL_stackz00_36,
																				BgL_locz00_37, BgL_sitez00_38);
																		}
																	}
																else
																	{	/* Ast/let.scm 1198 */
																		obj_t BgL_cdrzd22849zd2_2439;

																		BgL_cdrzd22849zd2_2439 =
																			CDR(((obj_t) BgL_sexpz00_35));
																		{	/* Ast/let.scm 1198 */
																			obj_t BgL_carzd22852zd2_2440;

																			BgL_carzd22852zd2_2440 =
																				CAR(((obj_t) BgL_cdrzd22849zd2_2439));
																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_carzd22852zd2_2440))
																				{	/* Ast/let.scm 1198 */
																					obj_t BgL_arg2123z00_2442;

																					BgL_arg2123z00_2442 =
																						CDR(
																						((obj_t) BgL_cdrzd22849zd2_2439));
																					BgL_bindingsz00_2419 =
																						BgL_carzd22852zd2_2440;
																					BgL_bodyz00_2420 =
																						BgL_arg2123z00_2442;
																				BgL_tagzd22809zd2_2421:
																					{	/* Ast/let.scm 1209 */
																						bool_t BgL_test4091z00_10193;

																						{
																							obj_t BgL_l1573z00_2466;

																							BgL_l1573z00_2466 =
																								BgL_bindingsz00_2419;
																						BgL_zc3z04anonymousza32139ze3z87_2467:
																							if (NULLP
																								(BgL_l1573z00_2466))
																								{	/* Ast/let.scm 1209 */
																									BgL_test4091z00_10193 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Ast/let.scm 1209 */
																									bool_t BgL_test4093z00_10196;

																									{	/* Ast/let.scm 1209 */
																										obj_t BgL_arg2141z00_2472;

																										BgL_arg2141z00_2472 =
																											CAR(
																											((obj_t)
																												BgL_l1573z00_2466));
																										BgL_expz00_4261 =
																											BgL_arg2141z00_2472;
																										if (PAIRP(BgL_expz00_4261))
																											{	/* Ast/let.scm 1195 */
																												obj_t
																													BgL_cdrzd22644zd2_4272;
																												BgL_cdrzd22644zd2_4272 =
																													CDR(((obj_t)
																														BgL_expz00_4261));
																												if (PAIRP
																													(BgL_cdrzd22644zd2_4272))
																													{	/* Ast/let.scm 1195 */
																														obj_t
																															BgL_carzd22645zd2_4274;
																														BgL_carzd22645zd2_4274
																															=
																															CAR
																															(BgL_cdrzd22644zd2_4272);
																														if (PAIRP
																															(BgL_carzd22645zd2_4274))
																															{	/* Ast/let.scm 1195 */
																																if (
																																	(CAR
																																		(BgL_carzd22645zd2_4274)
																																		==
																																		((obj_t)
																																			CNST_TABLE_REF
																																			(7))))
																																	{	/* Ast/let.scm 1195 */
																																		bool_t
																																			BgL_test4098z00_10213;
																																		{	/* Ast/let.scm 1195 */
																																			obj_t
																																				BgL_tmpz00_10214;
																																			BgL_tmpz00_10214
																																				=
																																				CDR
																																				(BgL_carzd22645zd2_4274);
																																			BgL_test4098z00_10213
																																				=
																																				PAIRP
																																				(BgL_tmpz00_10214);
																																		}
																																		if (BgL_test4098z00_10213)
																																			{	/* Ast/let.scm 1195 */
																																				BgL_test4093z00_10196
																																					=
																																					NULLP
																																					(CDR
																																					(BgL_cdrzd22644zd2_4272));
																																			}
																																		else
																																			{	/* Ast/let.scm 1195 */
																																				BgL_test4093z00_10196
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																																else
																																	{	/* Ast/let.scm 1195 */
																																		obj_t
																																			BgL_carzd22671zd2_4285;
																																		BgL_carzd22671zd2_4285
																																			=
																																			CAR((
																																				(obj_t)
																																				BgL_cdrzd22644zd2_4272));
																																		{	/* Ast/let.scm 1195 */
																																			obj_t
																																				BgL_cdrzd22676zd2_4286;
																																			BgL_cdrzd22676zd2_4286
																																				=
																																				CDR((
																																					(obj_t)
																																					BgL_carzd22671zd2_4285));
																																			if ((CAR((
																																							(obj_t)
																																							BgL_carzd22671zd2_4285))
																																					==
																																					((obj_t) CNST_TABLE_REF(8))))
																																				{	/* Ast/let.scm 1195 */
																																					if (PAIRP(BgL_cdrzd22676zd2_4286))
																																						{	/* Ast/let.scm 1195 */
																																							obj_t
																																								BgL_carzd22679zd2_4290;
																																							obj_t
																																								BgL_cdrzd22680zd2_4291;
																																							BgL_carzd22679zd2_4290
																																								=
																																								CAR
																																								(BgL_cdrzd22676zd2_4286);
																																							BgL_cdrzd22680zd2_4291
																																								=
																																								CDR
																																								(BgL_cdrzd22676zd2_4286);
																																							if (PAIRP(BgL_carzd22679zd2_4290))
																																								{	/* Ast/let.scm 1195 */
																																									obj_t
																																										BgL_carzd22682zd2_4293;
																																									BgL_carzd22682zd2_4293
																																										=
																																										CAR
																																										(BgL_carzd22679zd2_4290);
																																									if (PAIRP(BgL_carzd22682zd2_4293))
																																										{	/* Ast/let.scm 1195 */
																																											if (NULLP(CDR(BgL_carzd22679zd2_4290)))
																																												{	/* Ast/let.scm 1195 */
																																													if (PAIRP(BgL_cdrzd22680zd2_4291))
																																														{	/* Ast/let.scm 1195 */
																																															obj_t
																																																BgL_carzd22689zd2_4298;
																																															BgL_carzd22689zd2_4298
																																																=
																																																CAR
																																																(BgL_cdrzd22680zd2_4291);
																																															if (SYMBOLP(BgL_carzd22689zd2_4298))
																																																{	/* Ast/let.scm 1195 */
																																																	if (NULLP(CDR(BgL_cdrzd22680zd2_4291)))
																																																		{	/* Ast/let.scm 1195 */
																																																			if (NULLP(CDR(((obj_t) BgL_cdrzd22644zd2_4272))))
																																																				{	/* Ast/let.scm 1195 */
																																																					obj_t
																																																						BgL_arg3511z00_4304;
																																																					BgL_arg3511z00_4304
																																																						=
																																																						CAR
																																																						(BgL_carzd22682zd2_4293);
																																																					BgL_test4093z00_10196
																																																						=
																																																						(BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																																						(BgL_arg3511z00_4304,
																																																							BFALSE)
																																																						==
																																																						BgL_carzd22689zd2_4298);
																																																				}
																																																			else
																																																				{	/* Ast/let.scm 1195 */
																																																					BgL_test4093z00_10196
																																																						=
																																																						(
																																																						(bool_t)
																																																						0);
																																																				}
																																																		}
																																																	else
																																																		{	/* Ast/let.scm 1195 */
																																																			obj_t
																																																				BgL_cdrzd22698zd2_4306;
																																																			BgL_cdrzd22698zd2_4306
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_expz00_4261));
																																																			{	/* Ast/let.scm 1195 */
																																																				obj_t
																																																					BgL_carzd22703zd2_4307;
																																																				{	/* Ast/let.scm 1195 */
																																																					obj_t
																																																						BgL_pairz00_6777;
																																																					BgL_pairz00_6777
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd22698zd2_4306));
																																																					BgL_carzd22703zd2_4307
																																																						=
																																																						CAR
																																																						(BgL_pairz00_6777);
																																																				}
																																																				if (SYMBOLP(BgL_carzd22703zd2_4307))
																																																					{	/* Ast/let.scm 1195 */
																																																						if (NULLP(CDR(((obj_t) BgL_cdrzd22698zd2_4306))))
																																																							{	/* Ast/let.scm 1193 */
																																																								obj_t
																																																									BgL_arg3563z00_6779;
																																																								BgL_arg3563z00_6779
																																																									=
																																																									BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																																									(BgL_carzd22703zd2_4307,
																																																									BFALSE);
																																																								BgL_test4093z00_10196
																																																									=
																																																									(BgL_arg3563z00_6779
																																																									==
																																																									((obj_t) CNST_TABLE_REF(7)));
																																																							}
																																																						else
																																																							{	/* Ast/let.scm 1195 */
																																																								BgL_test4093z00_10196
																																																									=
																																																									(
																																																									(bool_t)
																																																									0);
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/let.scm 1195 */
																																																						BgL_test4093z00_10196
																																																							=
																																																							(
																																																							(bool_t)
																																																							0);
																																																					}
																																																			}
																																																		}
																																																}
																																															else
																																																{	/* Ast/let.scm 1195 */
																																																	obj_t
																																																		BgL_cdrzd22710zd2_4314;
																																																	BgL_cdrzd22710zd2_4314
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_expz00_4261));
																																																	{	/* Ast/let.scm 1195 */
																																																		obj_t
																																																			BgL_carzd22715zd2_4315;
																																																		{	/* Ast/let.scm 1195 */
																																																			obj_t
																																																				BgL_pairz00_6782;
																																																			BgL_pairz00_6782
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd22710zd2_4314));
																																																			BgL_carzd22715zd2_4315
																																																				=
																																																				CAR
																																																				(BgL_pairz00_6782);
																																																		}
																																																		if (SYMBOLP(BgL_carzd22715zd2_4315))
																																																			{	/* Ast/let.scm 1195 */
																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd22710zd2_4314))))
																																																					{	/* Ast/let.scm 1193 */
																																																						obj_t
																																																							BgL_arg3563z00_6784;
																																																						BgL_arg3563z00_6784
																																																							=
																																																							BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																																							(BgL_carzd22715zd2_4315,
																																																							BFALSE);
																																																						BgL_test4093z00_10196
																																																							=
																																																							(BgL_arg3563z00_6784
																																																							==
																																																							((obj_t) CNST_TABLE_REF(7)));
																																																					}
																																																				else
																																																					{	/* Ast/let.scm 1195 */
																																																						BgL_test4093z00_10196
																																																							=
																																																							(
																																																							(bool_t)
																																																							0);
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/let.scm 1195 */
																																																				BgL_test4093z00_10196
																																																					=
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																	}
																																																}
																																														}
																																													else
																																														{	/* Ast/let.scm 1195 */
																																															obj_t
																																																BgL_cdrzd22722zd2_4321;
																																															BgL_cdrzd22722zd2_4321
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_expz00_4261));
																																															{	/* Ast/let.scm 1195 */
																																																obj_t
																																																	BgL_carzd22727zd2_4322;
																																																{	/* Ast/let.scm 1195 */
																																																	obj_t
																																																		BgL_pairz00_6787;
																																																	BgL_pairz00_6787
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd22722zd2_4321));
																																																	BgL_carzd22727zd2_4322
																																																		=
																																																		CAR
																																																		(BgL_pairz00_6787);
																																																}
																																																if (SYMBOLP(BgL_carzd22727zd2_4322))
																																																	{	/* Ast/let.scm 1195 */
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd22722zd2_4321))))
																																																			{	/* Ast/let.scm 1193 */
																																																				obj_t
																																																					BgL_arg3563z00_6789;
																																																				BgL_arg3563z00_6789
																																																					=
																																																					BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																																					(BgL_carzd22727zd2_4322,
																																																					BFALSE);
																																																				BgL_test4093z00_10196
																																																					=
																																																					(BgL_arg3563z00_6789
																																																					==
																																																					((obj_t) CNST_TABLE_REF(7)));
																																																			}
																																																		else
																																																			{	/* Ast/let.scm 1195 */
																																																				BgL_test4093z00_10196
																																																					=
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/let.scm 1195 */
																																																		BgL_test4093z00_10196
																																																			=
																																																			(
																																																			(bool_t)
																																																			0);
																																																	}
																																															}
																																														}
																																												}
																																											else
																																												{	/* Ast/let.scm 1195 */
																																													obj_t
																																														BgL_cdrzd22734zd2_4328;
																																													BgL_cdrzd22734zd2_4328
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_expz00_4261));
																																													{	/* Ast/let.scm 1195 */
																																														obj_t
																																															BgL_carzd22739zd2_4329;
																																														{	/* Ast/let.scm 1195 */
																																															obj_t
																																																BgL_pairz00_6792;
																																															BgL_pairz00_6792
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd22734zd2_4328));
																																															BgL_carzd22739zd2_4329
																																																=
																																																CAR
																																																(BgL_pairz00_6792);
																																														}
																																														if (SYMBOLP(BgL_carzd22739zd2_4329))
																																															{	/* Ast/let.scm 1195 */
																																																if (NULLP(CDR(((obj_t) BgL_cdrzd22734zd2_4328))))
																																																	{	/* Ast/let.scm 1193 */
																																																		obj_t
																																																			BgL_arg3563z00_6794;
																																																		BgL_arg3563z00_6794
																																																			=
																																																			BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																																			(BgL_carzd22739zd2_4329,
																																																			BFALSE);
																																																		BgL_test4093z00_10196
																																																			=
																																																			(BgL_arg3563z00_6794
																																																			==
																																																			((obj_t) CNST_TABLE_REF(7)));
																																																	}
																																																else
																																																	{	/* Ast/let.scm 1195 */
																																																		BgL_test4093z00_10196
																																																			=
																																																			(
																																																			(bool_t)
																																																			0);
																																																	}
																																															}
																																														else
																																															{	/* Ast/let.scm 1195 */
																																																BgL_test4093z00_10196
																																																	=
																																																	(
																																																	(bool_t)
																																																	0);
																																															}
																																													}
																																												}
																																										}
																																									else
																																										{	/* Ast/let.scm 1195 */
																																											obj_t
																																												BgL_cdrzd22748zd2_4336;
																																											BgL_cdrzd22748zd2_4336
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_expz00_4261));
																																											{	/* Ast/let.scm 1195 */
																																												obj_t
																																													BgL_carzd22753zd2_4337;
																																												{	/* Ast/let.scm 1195 */
																																													obj_t
																																														BgL_pairz00_6797;
																																													BgL_pairz00_6797
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd22748zd2_4336));
																																													BgL_carzd22753zd2_4337
																																														=
																																														CAR
																																														(BgL_pairz00_6797);
																																												}
																																												if (SYMBOLP(BgL_carzd22753zd2_4337))
																																													{	/* Ast/let.scm 1195 */
																																														if (NULLP(CDR(((obj_t) BgL_cdrzd22748zd2_4336))))
																																															{	/* Ast/let.scm 1193 */
																																																obj_t
																																																	BgL_arg3563z00_6799;
																																																BgL_arg3563z00_6799
																																																	=
																																																	BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																																	(BgL_carzd22753zd2_4337,
																																																	BFALSE);
																																																BgL_test4093z00_10196
																																																	=
																																																	(BgL_arg3563z00_6799
																																																	==
																																																	((obj_t) CNST_TABLE_REF(7)));
																																															}
																																														else
																																															{	/* Ast/let.scm 1195 */
																																																BgL_test4093z00_10196
																																																	=
																																																	(
																																																	(bool_t)
																																																	0);
																																															}
																																													}
																																												else
																																													{	/* Ast/let.scm 1195 */
																																														BgL_test4093z00_10196
																																															=
																																															(
																																															(bool_t)
																																															0);
																																													}
																																											}
																																										}
																																								}
																																							else
																																								{	/* Ast/let.scm 1195 */
																																									obj_t
																																										BgL_cdrzd22762zd2_4343;
																																									BgL_cdrzd22762zd2_4343
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_expz00_4261));
																																									{	/* Ast/let.scm 1195 */
																																										obj_t
																																											BgL_carzd22767zd2_4344;
																																										{	/* Ast/let.scm 1195 */
																																											obj_t
																																												BgL_pairz00_6802;
																																											BgL_pairz00_6802
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd22762zd2_4343));
																																											BgL_carzd22767zd2_4344
																																												=
																																												CAR
																																												(BgL_pairz00_6802);
																																										}
																																										if (SYMBOLP(BgL_carzd22767zd2_4344))
																																											{	/* Ast/let.scm 1195 */
																																												if (NULLP(CDR(((obj_t) BgL_cdrzd22762zd2_4343))))
																																													{	/* Ast/let.scm 1193 */
																																														obj_t
																																															BgL_arg3563z00_6804;
																																														BgL_arg3563z00_6804
																																															=
																																															BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																															(BgL_carzd22767zd2_4344,
																																															BFALSE);
																																														BgL_test4093z00_10196
																																															=
																																															(BgL_arg3563z00_6804
																																															==
																																															((obj_t) CNST_TABLE_REF(7)));
																																													}
																																												else
																																													{	/* Ast/let.scm 1195 */
																																														BgL_test4093z00_10196
																																															=
																																															(
																																															(bool_t)
																																															0);
																																													}
																																											}
																																										else
																																											{	/* Ast/let.scm 1195 */
																																												BgL_test4093z00_10196
																																													=
																																													(
																																													(bool_t)
																																													0);
																																											}
																																									}
																																								}
																																						}
																																					else
																																						{	/* Ast/let.scm 1195 */
																																							BgL_test4093z00_10196
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																			else
																																				{	/* Ast/let.scm 1195 */
																																					obj_t
																																						BgL_cdrzd22778zd2_4350;
																																					BgL_cdrzd22778zd2_4350
																																						=
																																						CDR(
																																						((obj_t) BgL_expz00_4261));
																																					{	/* Ast/let.scm 1195 */
																																						obj_t
																																							BgL_carzd22780zd2_4351;
																																						BgL_carzd22780zd2_4351
																																							=
																																							CAR
																																							(((obj_t) BgL_cdrzd22778zd2_4350));
																																						{	/* Ast/let.scm 1195 */
																																							obj_t
																																								BgL_carzd22783zd2_4352;
																																							BgL_carzd22783zd2_4352
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_carzd22780zd2_4351));
																																							if (SYMBOLP(BgL_carzd22783zd2_4352))
																																								{	/* Ast/let.scm 1195 */
																																									bool_t
																																										BgL_test4121z00_10354;
																																									{	/* Ast/let.scm 1195 */
																																										obj_t
																																											BgL_tmpz00_10355;
																																										BgL_tmpz00_10355
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_carzd22780zd2_4351));
																																										BgL_test4121z00_10354
																																											=
																																											PAIRP
																																											(BgL_tmpz00_10355);
																																									}
																																									if (BgL_test4121z00_10354)
																																										{	/* Ast/let.scm 1195 */
																																											if (NULLP(CDR(((obj_t) BgL_cdrzd22778zd2_4350))))
																																												{	/* Ast/let.scm 1193 */
																																													obj_t
																																														BgL_arg3563z00_6810;
																																													BgL_arg3563z00_6810
																																														=
																																														BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																														(BgL_carzd22783zd2_4352,
																																														BFALSE);
																																													BgL_test4093z00_10196
																																														=
																																														(BgL_arg3563z00_6810
																																														==
																																														((obj_t) CNST_TABLE_REF(7)));
																																												}
																																											else
																																												{	/* Ast/let.scm 1195 */
																																													BgL_test4093z00_10196
																																														=
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																									else
																																										{	/* Ast/let.scm 1195 */
																																											BgL_test4093z00_10196
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Ast/let.scm 1195 */
																																									BgL_test4093z00_10196
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																					}
																																				}
																																		}
																																	}
																															}
																														else
																															{	/* Ast/let.scm 1195 */
																																BgL_test4093z00_10196
																																	=
																																	((bool_t) 0);
																															}
																													}
																												else
																													{	/* Ast/let.scm 1195 */
																														BgL_test4093z00_10196
																															= ((bool_t) 0);
																													}
																											}
																										else
																											{	/* Ast/let.scm 1195 */
																												BgL_test4093z00_10196 =
																													((bool_t) 0);
																											}
																									}
																									if (BgL_test4093z00_10196)
																										{	/* Ast/let.scm 1209 */
																											obj_t BgL_arg2140z00_2471;

																											BgL_arg2140z00_2471 =
																												CDR(
																												((obj_t)
																													BgL_l1573z00_2466));
																											{
																												obj_t
																													BgL_l1573z00_10369;
																												BgL_l1573z00_10369 =
																													BgL_arg2140z00_2471;
																												BgL_l1573z00_2466 =
																													BgL_l1573z00_10369;
																												goto
																													BgL_zc3z04anonymousza32139ze3z87_2467;
																											}
																										}
																									else
																										{	/* Ast/let.scm 1209 */
																											BgL_test4091z00_10193 =
																												((bool_t) 0);
																										}
																								}
																						}
																						if (BgL_test4091z00_10193)
																							{	/* Ast/let.scm 1209 */
																								{	/* Ast/let.scm 1183 */
																									obj_t BgL_objz00_6817;

																									BgL_objz00_6817 =
																										((obj_t)
																										CNST_TABLE_REF(10));
																									{	/* Ast/let.scm 1183 */
																										obj_t BgL_tmpz00_10372;

																										BgL_tmpz00_10372 =
																											((obj_t) BgL_sexpz00_35);
																										SET_CAR(BgL_tmpz00_10372,
																											BgL_objz00_6817);
																									}
																								}
																								BGL_TAIL return
																									BGl_sexpzd2ze3nodez31zzast_sexpz00
																									(BgL_sexpz00_35,
																									BgL_stackz00_36,
																									BgL_locz00_37,
																									BgL_sitez00_38);
																							}
																						else
																							{	/* Ast/let.scm 1209 */
																								BgL_bindingsz00_4211 =
																									BgL_bindingsz00_2419;
																								BgL_bodyz00_4212 =
																									BgL_bodyz00_2420;
																								{	/* Ast/let.scm 1168 */
																									obj_t BgL_varsz00_4214;

																									if (NULLP
																										(BgL_bindingsz00_4211))
																										{	/* Ast/let.scm 1168 */
																											BgL_varsz00_4214 = BNIL;
																										}
																									else
																										{	/* Ast/let.scm 1168 */
																											obj_t
																												BgL_head1562z00_4244;
																											BgL_head1562z00_4244 =
																												MAKE_YOUNG_PAIR(BNIL,
																												BNIL);
																											{
																												obj_t BgL_l1560z00_4246;
																												obj_t
																													BgL_tail1563z00_4247;
																												BgL_l1560z00_4246 =
																													BgL_bindingsz00_4211;
																												BgL_tail1563z00_4247 =
																													BgL_head1562z00_4244;
																											BgL_zc3z04anonymousza33476ze3z87_4248:
																												if (NULLP
																													(BgL_l1560z00_4246))
																													{	/* Ast/let.scm 1168 */
																														BgL_varsz00_4214 =
																															CDR
																															(BgL_head1562z00_4244);
																													}
																												else
																													{	/* Ast/let.scm 1168 */
																														obj_t
																															BgL_newtail1564z00_4250;
																														{	/* Ast/let.scm 1168 */
																															obj_t
																																BgL_arg3480z00_4252;
																															{	/* Ast/let.scm 1168 */
																																obj_t
																																	BgL_bz00_4253;
																																BgL_bz00_4253 =
																																	CAR(((obj_t)
																																		BgL_l1560z00_4246));
																																{	/* Ast/let.scm 1168 */
																																	obj_t
																																		BgL_arg3481z00_4254;
																																	BgL_arg3481z00_4254
																																		=
																																		CAR(((obj_t)
																																			BgL_bz00_4253));
																																	BgL_arg3480z00_4252
																																		=
																																		BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																		(BgL_arg3481z00_4254,
																																		BgL_locz00_37);
																																}
																															}
																															BgL_newtail1564z00_4250
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg3480z00_4252,
																																BNIL);
																														}
																														SET_CDR
																															(BgL_tail1563z00_4247,
																															BgL_newtail1564z00_4250);
																														{	/* Ast/let.scm 1168 */
																															obj_t
																																BgL_arg3479z00_4251;
																															BgL_arg3479z00_4251
																																=
																																CDR(((obj_t)
																																	BgL_l1560z00_4246));
																															{
																																obj_t
																																	BgL_tail1563z00_10392;
																																obj_t
																																	BgL_l1560z00_10391;
																																BgL_l1560z00_10391
																																	=
																																	BgL_arg3479z00_4251;
																																BgL_tail1563z00_10392
																																	=
																																	BgL_newtail1564z00_4250;
																																BgL_tail1563z00_4247
																																	=
																																	BgL_tail1563z00_10392;
																																BgL_l1560z00_4246
																																	=
																																	BgL_l1560z00_10391;
																																goto
																																	BgL_zc3z04anonymousza33476ze3z87_4248;
																															}
																														}
																													}
																											}
																										}
																									{	/* Ast/let.scm 1168 */
																										obj_t BgL_ebindingsz00_4215;

																										if (NULLP
																											(BgL_bindingsz00_4211))
																											{	/* Ast/let.scm 1169 */
																												BgL_ebindingsz00_4215 =
																													BNIL;
																											}
																										else
																											{	/* Ast/let.scm 1169 */
																												obj_t
																													BgL_head1567z00_4228;
																												BgL_head1567z00_4228 =
																													MAKE_YOUNG_PAIR(BNIL,
																													BNIL);
																												{
																													obj_t
																														BgL_ll1565z00_4230;
																													obj_t
																														BgL_ll1566z00_4231;
																													obj_t
																														BgL_tail1568z00_4232;
																													BgL_ll1565z00_4230 =
																														BgL_bindingsz00_4211;
																													BgL_ll1566z00_4231 =
																														BgL_varsz00_4214;
																													BgL_tail1568z00_4232 =
																														BgL_head1567z00_4228;
																												BgL_zc3z04anonymousza33469ze3z87_4233:
																													if (NULLP
																														(BgL_ll1565z00_4230))
																														{	/* Ast/let.scm 1169 */
																															BgL_ebindingsz00_4215
																																=
																																CDR
																																(BgL_head1567z00_4228);
																														}
																													else
																														{	/* Ast/let.scm 1169 */
																															obj_t
																																BgL_newtail1569z00_4235;
																															{	/* Ast/let.scm 1169 */
																																obj_t
																																	BgL_arg3474z00_4238;
																																{	/* Ast/let.scm 1169 */
																																	obj_t
																																		BgL_bz00_4239;
																																	obj_t
																																		BgL_vz00_4240;
																																	BgL_bz00_4239
																																		=
																																		CAR(((obj_t)
																																			BgL_ll1565z00_4230));
																																	BgL_vz00_4240
																																		=
																																		CAR(((obj_t)
																																			BgL_ll1566z00_4231));
																																	BgL_bz00_2479
																																		=
																																		BgL_bz00_4239;
																																	BgL_vz00_2480
																																		=
																																		BgL_vz00_4240;
																																	BgL_varsz00_2481
																																		=
																																		BgL_varsz00_4214;
																																	{	/* Ast/let.scm 568 */
																																		obj_t
																																			BgL_arg2145z00_2483;
																																		obj_t
																																			BgL_arg2146z00_2484;
																																		{	/* Ast/let.scm 568 */
																																			obj_t
																																				BgL_arg2151z00_2489;
																																			{	/* Ast/let.scm 568 */
																																				obj_t
																																					BgL_pairz00_6009;
																																				BgL_pairz00_6009
																																					=
																																					CDR((
																																						(obj_t)
																																						BgL_bz00_2479));
																																				BgL_arg2151z00_2489
																																					=
																																					CAR
																																					(BgL_pairz00_6009);
																																			}
																																			BgL_arg2145z00_2483
																																				=
																																				BGl_loopze71ze7zzast_letz00
																																				(BgL_varsz00_2481,
																																				BgL_arg2151z00_2489,
																																				BNIL,
																																				BNIL);
																																		}
																																		{	/* Ast/let.scm 569 */
																																			obj_t
																																				BgL_arg2152z00_2490;
																																			{	/* Ast/let.scm 569 */
																																				obj_t
																																					BgL_pairz00_6013;
																																				BgL_pairz00_6013
																																					=
																																					CDR((
																																						(obj_t)
																																						BgL_bz00_2479));
																																				BgL_arg2152z00_2490
																																					=
																																					CAR
																																					(BgL_pairz00_6013);
																																			}
																																			BgL_arg2146z00_2484
																																				=
																																				BGl_loopze72ze7zzast_letz00
																																				(BgL_vz00_2480,
																																				BgL_varsz00_2481,
																																				BgL_arg2152z00_2490,
																																				BNIL,
																																				BNIL);
																																		}
																																		{	/* Ast/let.scm 567 */
																																			obj_t
																																				BgL_list2147z00_2485;
																																			{	/* Ast/let.scm 567 */
																																				obj_t
																																					BgL_arg2148z00_2486;
																																				{	/* Ast/let.scm 567 */
																																					obj_t
																																						BgL_arg2149z00_2487;
																																					{	/* Ast/let.scm 567 */
																																						obj_t
																																							BgL_arg2150z00_2488;
																																						BgL_arg2150z00_2488
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_arg2146z00_2484,
																																							BNIL);
																																						BgL_arg2149z00_2487
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_arg2145z00_2483,
																																							BgL_arg2150z00_2488);
																																					}
																																					BgL_arg2148z00_2486
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_vz00_2480,
																																						BgL_arg2149z00_2487);
																																				}
																																				BgL_list2147z00_2485
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_bz00_2479,
																																					BgL_arg2148z00_2486);
																																			}
																																			BgL_arg3474z00_4238
																																				=
																																				BgL_list2147z00_2485;
																																		}
																																	}
																																}
																																BgL_newtail1569z00_4235
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg3474z00_4238,
																																	BNIL);
																															}
																															SET_CDR
																																(BgL_tail1568z00_4232,
																																BgL_newtail1569z00_4235);
																															{	/* Ast/let.scm 1169 */
																																obj_t
																																	BgL_arg3471z00_4236;
																																obj_t
																																	BgL_arg3472z00_4237;
																																BgL_arg3471z00_4236
																																	=
																																	CDR(((obj_t)
																																		BgL_ll1565z00_4230));
																																BgL_arg3472z00_4237
																																	=
																																	CDR(((obj_t)
																																		BgL_ll1566z00_4231));
																																{
																																	obj_t
																																		BgL_tail1568z00_10423;
																																	obj_t
																																		BgL_ll1566z00_10422;
																																	obj_t
																																		BgL_ll1565z00_10421;
																																	BgL_ll1565z00_10421
																																		=
																																		BgL_arg3471z00_4236;
																																	BgL_ll1566z00_10422
																																		=
																																		BgL_arg3472z00_4237;
																																	BgL_tail1568z00_10423
																																		=
																																		BgL_newtail1569z00_4235;
																																	BgL_tail1568z00_4232
																																		=
																																		BgL_tail1568z00_10423;
																																	BgL_ll1566z00_4231
																																		=
																																		BgL_ll1566z00_10422;
																																	BgL_ll1565z00_4230
																																		=
																																		BgL_ll1565z00_10421;
																																	goto
																																		BgL_zc3z04anonymousza33469ze3z87_4233;
																																}
																															}
																														}
																												}
																											}
																										{	/* Ast/let.scm 1169 */

																											{	/* Ast/let.scm 1180 */
																												obj_t
																													BgL_arg3465z00_4223;
																												{	/* Ast/let.scm 1180 */
																													obj_t
																														BgL_arg3467z00_4224;
																													BgL_arg3467z00_4224 =
																														MAKE_YOUNG_PAIR((
																															(obj_t)
																															CNST_TABLE_REF
																															(9)),
																														BgL_bodyz00_4212);
																													BgL_arg3465z00_4223 =
																														BGl_epairifyzd2propagatezd2locz00zztools_miscz00
																														(BgL_arg3467z00_4224,
																														BgL_locz00_37);
																												}
																												BgL_ebindingsz00_4176 =
																													BgL_ebindingsz00_4215;
																												BgL_bodyz00_4177 =
																													BgL_arg3465z00_4223;
																												return
																													BGl_z62splitzd2headzd2letrecz62zzast_letz00
																													(BgL_sitez00_38,
																													BgL_locz00_37,
																													BgL_stackz00_36,
																													BgL_ebindingsz00_4176,
																													BgL_bodyz00_4177,
																													BGl_proc3815z00zzast_letz00,
																													BgL_stage1z00_7773);
																											}
																										}
																									}
																								}
																							}
																					}
																				}
																			else
																				{	/* Ast/let.scm 1198 */
																				BgL_tagzd22810zd2_2422:
																					return
																						BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																						(BGl_string3816z00zzast_letz00,
																						BGl_expzd2envzd2zz__r4_numbers_6_5z00,
																						BGl_findzd2locationzf2locz20zztools_locationz00
																						(BGl_expzd2envzd2zz__r4_numbers_6_5z00,
																							BgL_locz00_37));
																				}
																		}
																	}
															}
														else
															{	/* Ast/let.scm 1198 */
																obj_t BgL_cdrzd22864zd2_2444;

																BgL_cdrzd22864zd2_2444 =
																	CDR(((obj_t) BgL_sexpz00_35));
																{	/* Ast/let.scm 1198 */
																	obj_t BgL_carzd22868zd2_2445;

																	BgL_carzd22868zd2_2445 =
																		CAR(((obj_t) BgL_cdrzd22864zd2_2444));
																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_carzd22868zd2_2445))
																		{	/* Ast/let.scm 1198 */
																			obj_t BgL_arg2126z00_2447;

																			BgL_arg2126z00_2447 =
																				CDR(((obj_t) BgL_cdrzd22864zd2_2444));
																			{
																				obj_t BgL_bodyz00_10440;
																				obj_t BgL_bindingsz00_10439;

																				BgL_bindingsz00_10439 =
																					BgL_carzd22868zd2_2445;
																				BgL_bodyz00_10440 = BgL_arg2126z00_2447;
																				BgL_bodyz00_2420 = BgL_bodyz00_10440;
																				BgL_bindingsz00_2419 =
																					BgL_bindingsz00_10439;
																				goto BgL_tagzd22809zd2_2421;
																			}
																		}
																	else
																		{	/* Ast/let.scm 1198 */
																			goto BgL_tagzd22810zd2_2422;
																		}
																}
															}
													}
											}
										else
											{	/* Ast/let.scm 1198 */
												goto BgL_tagzd22810zd2_2422;
											}
									}
								else
									{	/* Ast/let.scm 1198 */
										goto BgL_tagzd22810zd2_2422;
									}
							}
						else
							{	/* Ast/let.scm 1198 */
								goto BgL_tagzd22810zd2_2422;
							}
					}
				}
			}
		}

	}



/* loop~1 */
	obj_t BGl_loopze71ze7zzast_letz00(obj_t BgL_varsz00_7855,
		obj_t BgL_sexpz00_2993, obj_t BgL_resz00_2994, obj_t BgL_envz00_2995)
	{
		{	/* Ast/let.scm 798 */
		BGl_loopze71ze7zzast_letz00:
			{

				if (SYMBOLP(BgL_sexpz00_2993))
					{	/* Ast/let.scm 798 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_sexpz00_2993,
									BgL_varsz00_7855)))
							{	/* Ast/let.scm 804 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
										(BgL_sexpz00_2993, BgL_envz00_2995)))
									{	/* Ast/let.scm 805 */
										return BgL_resz00_2994;
									}
								else
									{	/* Ast/let.scm 805 */
										if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(BgL_sexpz00_2993, BgL_resz00_2994)))
											{	/* Ast/let.scm 806 */
												return BgL_resz00_2994;
											}
										else
											{	/* Ast/let.scm 806 */
												return
													MAKE_YOUNG_PAIR(BgL_sexpz00_2993, BgL_resz00_2994);
											}
									}
							}
						else
							{	/* Ast/let.scm 804 */
								return BgL_resz00_2994;
							}
					}
				else
					{	/* Ast/let.scm 798 */
						if (PAIRP(BgL_sexpz00_2993))
							{	/* Ast/let.scm 798 */
								obj_t BgL_cdrzd2506zd2_3026;

								BgL_cdrzd2506zd2_3026 = CDR(((obj_t) BgL_sexpz00_2993));
								if (
									(CAR(
											((obj_t) BgL_sexpz00_2993)) ==
										((obj_t) CNST_TABLE_REF(11))))
									{	/* Ast/let.scm 798 */
										if (PAIRP(BgL_cdrzd2506zd2_3026))
											{	/* Ast/let.scm 798 */
												if (NULLP(CDR(BgL_cdrzd2506zd2_3026)))
													{	/* Ast/let.scm 798 */
														return BgL_resz00_2994;
													}
												else
													{	/* Ast/let.scm 798 */
													BgL_tagzd2488zd2_3021:
														{	/* Ast/let.scm 825 */
															obj_t BgL_arg2665z00_3182;
															obj_t BgL_arg2666z00_3183;

															BgL_arg2665z00_3182 =
																CAR(((obj_t) BgL_sexpz00_2993));
															{	/* Ast/let.scm 825 */
																obj_t BgL_arg2667z00_3184;

																BgL_arg2667z00_3184 =
																	CDR(((obj_t) BgL_sexpz00_2993));
																BgL_arg2666z00_3183 =
																	BGl_loopze71ze7zzast_letz00(BgL_varsz00_7855,
																	BgL_arg2667z00_3184, BgL_resz00_2994,
																	BgL_envz00_2995);
															}
															{
																obj_t BgL_resz00_10474;
																obj_t BgL_sexpz00_10473;

																BgL_sexpz00_10473 = BgL_arg2665z00_3182;
																BgL_resz00_10474 = BgL_arg2666z00_3183;
																BgL_resz00_2994 = BgL_resz00_10474;
																BgL_sexpz00_2993 = BgL_sexpz00_10473;
																goto BGl_loopze71ze7zzast_letz00;
															}
														}
													}
											}
										else
											{	/* Ast/let.scm 798 */
												goto BgL_tagzd2488zd2_3021;
											}
									}
								else
									{	/* Ast/let.scm 798 */
										if (
											(CAR(
													((obj_t) BgL_sexpz00_2993)) ==
												((obj_t) CNST_TABLE_REF(0))))
											{	/* Ast/let.scm 798 */
												if (PAIRP(BgL_cdrzd2506zd2_3026))
													{	/* Ast/let.scm 798 */
														obj_t BgL_carzd2602zd2_3037;
														obj_t BgL_cdrzd2603zd2_3038;

														BgL_carzd2602zd2_3037 = CAR(BgL_cdrzd2506zd2_3026);
														BgL_cdrzd2603zd2_3038 = CDR(BgL_cdrzd2506zd2_3026);
														if (PAIRP(BgL_carzd2602zd2_3037))
															{	/* Ast/let.scm 798 */
																obj_t BgL_carzd2606zd2_3040;

																BgL_carzd2606zd2_3040 =
																	CAR(BgL_carzd2602zd2_3037);
																if (PAIRP(BgL_carzd2606zd2_3040))
																	{	/* Ast/let.scm 798 */
																		obj_t BgL_cdrzd2611zd2_3042;

																		BgL_cdrzd2611zd2_3042 =
																			CDR(BgL_carzd2606zd2_3040);
																		if (PAIRP(BgL_cdrzd2611zd2_3042))
																			{	/* Ast/let.scm 798 */
																				if (NULLP(CDR(BgL_cdrzd2611zd2_3042)))
																					{	/* Ast/let.scm 798 */
																						if (NULLP(CDR
																								(BgL_carzd2602zd2_3037)))
																							{	/* Ast/let.scm 798 */
																								if (PAIRP
																									(BgL_cdrzd2603zd2_3038))
																									{	/* Ast/let.scm 798 */
																										if (NULLP(CDR
																												(BgL_cdrzd2603zd2_3038)))
																											{	/* Ast/let.scm 798 */
																												obj_t
																													BgL_arg2527z00_3051;
																												obj_t
																													BgL_arg2528z00_3052;
																												obj_t
																													BgL_arg2529z00_3053;
																												BgL_arg2527z00_3051 =
																													CAR
																													(BgL_carzd2606zd2_3040);
																												BgL_arg2528z00_3052 =
																													CAR
																													(BgL_cdrzd2611zd2_3042);
																												BgL_arg2529z00_3053 =
																													CAR
																													(BgL_cdrzd2603zd2_3038);
																												{	/* Ast/let.scm 812 */
																													obj_t
																														BgL_arg2634z00_6257;
																													obj_t
																														BgL_arg2635z00_6258;
																													BgL_arg2634z00_6257 =
																														BGl_loopze71ze7zzast_letz00
																														(BgL_varsz00_7855,
																														BgL_arg2528z00_3052,
																														BgL_resz00_2994,
																														BgL_envz00_2995);
																													BgL_arg2635z00_6258 =
																														MAKE_YOUNG_PAIR
																														(BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																														(BgL_arg2527z00_3051,
																															BFALSE),
																														BgL_envz00_2995);
																													{
																														obj_t
																															BgL_envz00_10512;
																														obj_t
																															BgL_resz00_10511;
																														obj_t
																															BgL_sexpz00_10510;
																														BgL_sexpz00_10510 =
																															BgL_arg2529z00_3053;
																														BgL_resz00_10511 =
																															BgL_arg2634z00_6257;
																														BgL_envz00_10512 =
																															BgL_arg2635z00_6258;
																														BgL_envz00_2995 =
																															BgL_envz00_10512;
																														BgL_resz00_2994 =
																															BgL_resz00_10511;
																														BgL_sexpz00_2993 =
																															BgL_sexpz00_10510;
																														goto
																															BGl_loopze71ze7zzast_letz00;
																													}
																												}
																											}
																										else
																											{	/* Ast/let.scm 798 */
																												goto
																													BgL_tagzd2488zd2_3021;
																											}
																									}
																								else
																									{	/* Ast/let.scm 798 */
																										goto BgL_tagzd2488zd2_3021;
																									}
																							}
																						else
																							{	/* Ast/let.scm 798 */
																								goto BgL_tagzd2488zd2_3021;
																							}
																					}
																				else
																					{	/* Ast/let.scm 798 */
																						goto BgL_tagzd2488zd2_3021;
																					}
																			}
																		else
																			{	/* Ast/let.scm 798 */
																				goto BgL_tagzd2488zd2_3021;
																			}
																	}
																else
																	{	/* Ast/let.scm 798 */
																		goto BgL_tagzd2488zd2_3021;
																	}
															}
														else
															{	/* Ast/let.scm 798 */
																goto BgL_tagzd2488zd2_3021;
															}
													}
												else
													{	/* Ast/let.scm 798 */
														goto BgL_tagzd2488zd2_3021;
													}
											}
										else
											{	/* Ast/let.scm 798 */
												obj_t BgL_cdrzd2886zd2_3057;

												BgL_cdrzd2886zd2_3057 = CDR(((obj_t) BgL_sexpz00_2993));
												if (
													(CAR(
															((obj_t) BgL_sexpz00_2993)) ==
														((obj_t) CNST_TABLE_REF(12))))
													{	/* Ast/let.scm 798 */
														if (PAIRP(BgL_cdrzd2886zd2_3057))
															{	/* Ast/let.scm 798 */
																obj_t BgL_carzd2890zd2_3061;
																obj_t BgL_cdrzd2891zd2_3062;

																BgL_carzd2890zd2_3061 =
																	CAR(BgL_cdrzd2886zd2_3057);
																BgL_cdrzd2891zd2_3062 =
																	CDR(BgL_cdrzd2886zd2_3057);
																if (PAIRP(BgL_carzd2890zd2_3061))
																	{	/* Ast/let.scm 798 */
																		obj_t BgL_carzd2894zd2_3064;

																		BgL_carzd2894zd2_3064 =
																			CAR(BgL_carzd2890zd2_3061);
																		if (PAIRP(BgL_carzd2894zd2_3064))
																			{	/* Ast/let.scm 798 */
																				obj_t BgL_cdrzd2899zd2_3066;

																				BgL_cdrzd2899zd2_3066 =
																					CDR(BgL_carzd2894zd2_3064);
																				if (PAIRP(BgL_cdrzd2899zd2_3066))
																					{	/* Ast/let.scm 798 */
																						if (NULLP(CDR
																								(BgL_cdrzd2899zd2_3066)))
																							{	/* Ast/let.scm 798 */
																								if (NULLP(CDR
																										(BgL_carzd2890zd2_3061)))
																									{	/* Ast/let.scm 798 */
																										if (PAIRP
																											(BgL_cdrzd2891zd2_3062))
																											{	/* Ast/let.scm 798 */
																												if (NULLP(CDR
																														(BgL_cdrzd2891zd2_3062)))
																													{	/* Ast/let.scm 798 */
																														obj_t
																															BgL_arg2548z00_3075;
																														obj_t
																															BgL_arg2549z00_3076;
																														obj_t
																															BgL_arg2550z00_3077;
																														BgL_arg2548z00_3075
																															=
																															CAR
																															(BgL_carzd2894zd2_3064);
																														BgL_arg2549z00_3076
																															=
																															CAR
																															(BgL_cdrzd2899zd2_3066);
																														BgL_arg2550z00_3077
																															=
																															CAR
																															(BgL_cdrzd2891zd2_3062);
																														{	/* Ast/let.scm 814 */
																															obj_t
																																BgL_arg2640z00_6272;
																															obj_t
																																BgL_arg2643z00_6273;
																															BgL_arg2640z00_6272
																																=
																																BGl_loopze71ze7zzast_letz00
																																(BgL_varsz00_7855,
																																BgL_arg2549z00_3076,
																																BgL_resz00_2994,
																																BgL_envz00_2995);
																															BgL_arg2643z00_6273
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																(BgL_arg2548z00_3075,
																																	BFALSE),
																																BgL_envz00_2995);
																															{
																																obj_t
																																	BgL_envz00_10552;
																																obj_t
																																	BgL_resz00_10551;
																																obj_t
																																	BgL_sexpz00_10550;
																																BgL_sexpz00_10550
																																	=
																																	BgL_arg2550z00_3077;
																																BgL_resz00_10551
																																	=
																																	BgL_arg2640z00_6272;
																																BgL_envz00_10552
																																	=
																																	BgL_arg2643z00_6273;
																																BgL_envz00_2995
																																	=
																																	BgL_envz00_10552;
																																BgL_resz00_2994
																																	=
																																	BgL_resz00_10551;
																																BgL_sexpz00_2993
																																	=
																																	BgL_sexpz00_10550;
																																goto
																																	BGl_loopze71ze7zzast_letz00;
																															}
																														}
																													}
																												else
																													{	/* Ast/let.scm 798 */
																														goto
																															BgL_tagzd2488zd2_3021;
																													}
																											}
																										else
																											{	/* Ast/let.scm 798 */
																												goto
																													BgL_tagzd2488zd2_3021;
																											}
																									}
																								else
																									{	/* Ast/let.scm 798 */
																										goto BgL_tagzd2488zd2_3021;
																									}
																							}
																						else
																							{	/* Ast/let.scm 798 */
																								goto BgL_tagzd2488zd2_3021;
																							}
																					}
																				else
																					{	/* Ast/let.scm 798 */
																						goto BgL_tagzd2488zd2_3021;
																					}
																			}
																		else
																			{	/* Ast/let.scm 798 */
																				goto BgL_tagzd2488zd2_3021;
																			}
																	}
																else
																	{	/* Ast/let.scm 798 */
																		goto BgL_tagzd2488zd2_3021;
																	}
															}
														else
															{	/* Ast/let.scm 798 */
																goto BgL_tagzd2488zd2_3021;
															}
													}
												else
													{	/* Ast/let.scm 798 */
														if (
															(CAR(
																	((obj_t) BgL_sexpz00_2993)) ==
																((obj_t) CNST_TABLE_REF(10))))
															{	/* Ast/let.scm 798 */
																if (PAIRP(BgL_cdrzd2886zd2_3057))
																	{	/* Ast/let.scm 798 */
																		obj_t BgL_carzd21114zd2_3085;
																		obj_t BgL_cdrzd21115zd2_3086;

																		BgL_carzd21114zd2_3085 =
																			CAR(BgL_cdrzd2886zd2_3057);
																		BgL_cdrzd21115zd2_3086 =
																			CDR(BgL_cdrzd2886zd2_3057);
																		if (PAIRP(BgL_carzd21114zd2_3085))
																			{	/* Ast/let.scm 798 */
																				obj_t BgL_carzd21118zd2_3088;

																				BgL_carzd21118zd2_3088 =
																					CAR(BgL_carzd21114zd2_3085);
																				if (PAIRP(BgL_carzd21118zd2_3088))
																					{	/* Ast/let.scm 798 */
																						obj_t BgL_cdrzd21123zd2_3090;

																						BgL_cdrzd21123zd2_3090 =
																							CDR(BgL_carzd21118zd2_3088);
																						if (PAIRP(BgL_cdrzd21123zd2_3090))
																							{	/* Ast/let.scm 798 */
																								if (NULLP(CDR
																										(BgL_cdrzd21123zd2_3090)))
																									{	/* Ast/let.scm 798 */
																										if (NULLP(CDR
																												(BgL_carzd21114zd2_3085)))
																											{	/* Ast/let.scm 798 */
																												if (PAIRP
																													(BgL_cdrzd21115zd2_3086))
																													{	/* Ast/let.scm 798 */
																														if (NULLP(CDR
																																(BgL_cdrzd21115zd2_3086)))
																															{	/* Ast/let.scm 798 */
																																obj_t
																																	BgL_arg2568z00_3099;
																																obj_t
																																	BgL_arg2569z00_3100;
																																obj_t
																																	BgL_arg2571z00_3101;
																																BgL_arg2568z00_3099
																																	=
																																	CAR
																																	(BgL_carzd21118zd2_3088);
																																BgL_arg2569z00_3100
																																	=
																																	CAR
																																	(BgL_cdrzd21123zd2_3090);
																																BgL_arg2571z00_3101
																																	=
																																	CAR
																																	(BgL_cdrzd21115zd2_3086);
																																{	/* Ast/let.scm 816 */
																																	obj_t
																																		BgL_nenvz00_6287;
																																	BgL_nenvz00_6287
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																		(BgL_arg2568z00_3099,
																																			BFALSE),
																																		BgL_envz00_2995);
																																	{
																																		obj_t
																																			BgL_envz00_10590;
																																		obj_t
																																			BgL_resz00_10588;
																																		obj_t
																																			BgL_sexpz00_10587;
																																		BgL_sexpz00_10587
																																			=
																																			BgL_arg2571z00_3101;
																																		BgL_resz00_10588
																																			=
																																			BGl_loopze71ze7zzast_letz00
																																			(BgL_varsz00_7855,
																																			BgL_arg2569z00_3100,
																																			BgL_resz00_2994,
																																			BgL_nenvz00_6287);
																																		BgL_envz00_10590
																																			=
																																			BgL_nenvz00_6287;
																																		BgL_envz00_2995
																																			=
																																			BgL_envz00_10590;
																																		BgL_resz00_2994
																																			=
																																			BgL_resz00_10588;
																																		BgL_sexpz00_2993
																																			=
																																			BgL_sexpz00_10587;
																																		goto
																																			BGl_loopze71ze7zzast_letz00;
																																	}
																																}
																															}
																														else
																															{	/* Ast/let.scm 798 */
																																goto
																																	BgL_tagzd2488zd2_3021;
																															}
																													}
																												else
																													{	/* Ast/let.scm 798 */
																														goto
																															BgL_tagzd2488zd2_3021;
																													}
																											}
																										else
																											{	/* Ast/let.scm 798 */
																												goto
																													BgL_tagzd2488zd2_3021;
																											}
																									}
																								else
																									{	/* Ast/let.scm 798 */
																										goto BgL_tagzd2488zd2_3021;
																									}
																							}
																						else
																							{	/* Ast/let.scm 798 */
																								goto BgL_tagzd2488zd2_3021;
																							}
																					}
																				else
																					{	/* Ast/let.scm 798 */
																						goto BgL_tagzd2488zd2_3021;
																					}
																			}
																		else
																			{	/* Ast/let.scm 798 */
																				goto BgL_tagzd2488zd2_3021;
																			}
																	}
																else
																	{	/* Ast/let.scm 798 */
																		goto BgL_tagzd2488zd2_3021;
																	}
															}
														else
															{	/* Ast/let.scm 798 */
																obj_t BgL_cdrzd21270zd2_3105;

																BgL_cdrzd21270zd2_3105 =
																	CDR(((obj_t) BgL_sexpz00_2993));
																if (
																	(CAR(
																			((obj_t) BgL_sexpz00_2993)) ==
																		((obj_t) CNST_TABLE_REF(4))))
																	{	/* Ast/let.scm 798 */
																		if (PAIRP(BgL_cdrzd21270zd2_3105))
																			{	/* Ast/let.scm 798 */
																				obj_t BgL_carzd21274zd2_3109;
																				obj_t BgL_cdrzd21275zd2_3110;

																				BgL_carzd21274zd2_3109 =
																					CAR(BgL_cdrzd21270zd2_3105);
																				BgL_cdrzd21275zd2_3110 =
																					CDR(BgL_cdrzd21270zd2_3105);
																				if (PAIRP(BgL_carzd21274zd2_3109))
																					{	/* Ast/let.scm 798 */
																						obj_t BgL_carzd21278zd2_3112;

																						BgL_carzd21278zd2_3112 =
																							CAR(BgL_carzd21274zd2_3109);
																						if (PAIRP(BgL_carzd21278zd2_3112))
																							{	/* Ast/let.scm 798 */
																								obj_t BgL_cdrzd21283zd2_3114;

																								BgL_cdrzd21283zd2_3114 =
																									CDR(BgL_carzd21278zd2_3112);
																								if (PAIRP
																									(BgL_cdrzd21283zd2_3114))
																									{	/* Ast/let.scm 798 */
																										if (NULLP(CDR
																												(BgL_cdrzd21283zd2_3114)))
																											{	/* Ast/let.scm 798 */
																												if (NULLP(CDR
																														(BgL_carzd21274zd2_3109)))
																													{	/* Ast/let.scm 798 */
																														if (PAIRP
																															(BgL_cdrzd21275zd2_3110))
																															{	/* Ast/let.scm 798 */
																																if (NULLP(CDR
																																		(BgL_cdrzd21275zd2_3110)))
																																	{	/* Ast/let.scm 798 */
																																		obj_t
																																			BgL_arg2590z00_3123;
																																		obj_t
																																			BgL_arg2591z00_3124;
																																		obj_t
																																			BgL_arg2593z00_3125;
																																		BgL_arg2590z00_3123
																																			=
																																			CAR
																																			(BgL_carzd21278zd2_3112);
																																		BgL_arg2591z00_3124
																																			=
																																			CAR
																																			(BgL_cdrzd21283zd2_3114);
																																		BgL_arg2593z00_3125
																																			=
																																			CAR
																																			(BgL_cdrzd21275zd2_3110);
																																		{	/* Ast/let.scm 819 */
																																			obj_t
																																				BgL_nenvz00_6302;
																																			BgL_nenvz00_6302
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																				(BgL_arg2590z00_3123,
																																					BFALSE),
																																				BgL_envz00_2995);
																																			{
																																				obj_t
																																					BgL_envz00_10630;
																																				obj_t
																																					BgL_resz00_10628;
																																				obj_t
																																					BgL_sexpz00_10627;
																																				BgL_sexpz00_10627
																																					=
																																					BgL_arg2593z00_3125;
																																				BgL_resz00_10628
																																					=
																																					BGl_loopze71ze7zzast_letz00
																																					(BgL_varsz00_7855,
																																					BgL_arg2591z00_3124,
																																					BgL_resz00_2994,
																																					BgL_nenvz00_6302);
																																				BgL_envz00_10630
																																					=
																																					BgL_nenvz00_6302;
																																				BgL_envz00_2995
																																					=
																																					BgL_envz00_10630;
																																				BgL_resz00_2994
																																					=
																																					BgL_resz00_10628;
																																				BgL_sexpz00_2993
																																					=
																																					BgL_sexpz00_10627;
																																				goto
																																					BGl_loopze71ze7zzast_letz00;
																																			}
																																		}
																																	}
																																else
																																	{	/* Ast/let.scm 798 */
																																		goto
																																			BgL_tagzd2488zd2_3021;
																																	}
																															}
																														else
																															{	/* Ast/let.scm 798 */
																																goto
																																	BgL_tagzd2488zd2_3021;
																															}
																													}
																												else
																													{	/* Ast/let.scm 798 */
																														goto
																															BgL_tagzd2488zd2_3021;
																													}
																											}
																										else
																											{	/* Ast/let.scm 798 */
																												goto
																													BgL_tagzd2488zd2_3021;
																											}
																									}
																								else
																									{	/* Ast/let.scm 798 */
																										goto BgL_tagzd2488zd2_3021;
																									}
																							}
																						else
																							{	/* Ast/let.scm 798 */
																								goto BgL_tagzd2488zd2_3021;
																							}
																					}
																				else
																					{	/* Ast/let.scm 798 */
																						goto BgL_tagzd2488zd2_3021;
																					}
																			}
																		else
																			{	/* Ast/let.scm 798 */
																				goto BgL_tagzd2488zd2_3021;
																			}
																	}
																else
																	{	/* Ast/let.scm 798 */
																		if (
																			(CAR(
																					((obj_t) BgL_sexpz00_2993)) ==
																				((obj_t) CNST_TABLE_REF(8))))
																			{	/* Ast/let.scm 798 */
																				if (PAIRP(BgL_cdrzd21270zd2_3105))
																					{	/* Ast/let.scm 798 */
																						obj_t BgL_carzd21371zd2_3133;
																						obj_t BgL_cdrzd21372zd2_3134;

																						BgL_carzd21371zd2_3133 =
																							CAR(BgL_cdrzd21270zd2_3105);
																						BgL_cdrzd21372zd2_3134 =
																							CDR(BgL_cdrzd21270zd2_3105);
																						if (PAIRP(BgL_carzd21371zd2_3133))
																							{	/* Ast/let.scm 798 */
																								obj_t BgL_carzd21376zd2_3136;

																								BgL_carzd21376zd2_3136 =
																									CAR(BgL_carzd21371zd2_3133);
																								if (PAIRP
																									(BgL_carzd21376zd2_3136))
																									{	/* Ast/let.scm 798 */
																										obj_t
																											BgL_cdrzd21382zd2_3138;
																										BgL_cdrzd21382zd2_3138 =
																											CDR
																											(BgL_carzd21376zd2_3136);
																										if (PAIRP
																											(BgL_cdrzd21382zd2_3138))
																											{	/* Ast/let.scm 798 */
																												obj_t
																													BgL_cdrzd21387zd2_3140;
																												BgL_cdrzd21387zd2_3140 =
																													CDR
																													(BgL_cdrzd21382zd2_3138);
																												if (PAIRP
																													(BgL_cdrzd21387zd2_3140))
																													{	/* Ast/let.scm 798 */
																														if (NULLP(CDR
																																(BgL_cdrzd21387zd2_3140)))
																															{	/* Ast/let.scm 798 */
																																if (NULLP(CDR
																																		(BgL_carzd21371zd2_3133)))
																																	{	/* Ast/let.scm 798 */
																																		if (PAIRP
																																			(BgL_cdrzd21372zd2_3134))
																																			{	/* Ast/let.scm 798 */
																																				if (NULLP(CDR(BgL_cdrzd21372zd2_3134)))
																																					{	/* Ast/let.scm 798 */
																																						obj_t
																																							BgL_arg2611z00_3149;
																																						obj_t
																																							BgL_arg2612z00_3150;
																																						obj_t
																																							BgL_arg2613z00_3151;
																																						obj_t
																																							BgL_arg2615z00_3152;
																																						BgL_arg2611z00_3149
																																							=
																																							CAR
																																							(BgL_carzd21376zd2_3136);
																																						BgL_arg2612z00_3150
																																							=
																																							CAR
																																							(BgL_cdrzd21382zd2_3138);
																																						BgL_arg2613z00_3151
																																							=
																																							CAR
																																							(BgL_cdrzd21387zd2_3140);
																																						BgL_arg2615z00_3152
																																							=
																																							CAR
																																							(BgL_cdrzd21372zd2_3134);
																																						{	/* Ast/let.scm 822 */
																																							obj_t
																																								BgL_fenvz00_6319;
																																							BgL_fenvz00_6319
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																								(BgL_arg2611z00_3149,
																																									BFALSE),
																																								BGl_appendza2ze70z45zzast_letz00
																																								(BgL_arg2612z00_3150,
																																									BgL_envz00_2995));
																																							{	/* Ast/let.scm 823 */
																																								obj_t
																																									BgL_arg2658z00_6322;
																																								obj_t
																																									BgL_arg2659z00_6323;
																																								BgL_arg2658z00_6322
																																									=
																																									BGl_loopze71ze7zzast_letz00
																																									(BgL_varsz00_7855,
																																									BgL_arg2613z00_3151,
																																									BgL_resz00_2994,
																																									BgL_fenvz00_6319);
																																								BgL_arg2659z00_6323
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg2611z00_3149,
																																									BgL_envz00_2995);
																																								{
																																									obj_t
																																										BgL_envz00_10674;
																																									obj_t
																																										BgL_resz00_10673;
																																									obj_t
																																										BgL_sexpz00_10672;
																																									BgL_sexpz00_10672
																																										=
																																										BgL_arg2615z00_3152;
																																									BgL_resz00_10673
																																										=
																																										BgL_arg2658z00_6322;
																																									BgL_envz00_10674
																																										=
																																										BgL_arg2659z00_6323;
																																									BgL_envz00_2995
																																										=
																																										BgL_envz00_10674;
																																									BgL_resz00_2994
																																										=
																																										BgL_resz00_10673;
																																									BgL_sexpz00_2993
																																										=
																																										BgL_sexpz00_10672;
																																									goto
																																										BGl_loopze71ze7zzast_letz00;
																																								}
																																							}
																																						}
																																					}
																																				else
																																					{	/* Ast/let.scm 798 */
																																						goto
																																							BgL_tagzd2488zd2_3021;
																																					}
																																			}
																																		else
																																			{	/* Ast/let.scm 798 */
																																				goto
																																					BgL_tagzd2488zd2_3021;
																																			}
																																	}
																																else
																																	{	/* Ast/let.scm 798 */
																																		goto
																																			BgL_tagzd2488zd2_3021;
																																	}
																															}
																														else
																															{	/* Ast/let.scm 798 */
																																goto
																																	BgL_tagzd2488zd2_3021;
																															}
																													}
																												else
																													{	/* Ast/let.scm 798 */
																														goto
																															BgL_tagzd2488zd2_3021;
																													}
																											}
																										else
																											{	/* Ast/let.scm 798 */
																												goto
																													BgL_tagzd2488zd2_3021;
																											}
																									}
																								else
																									{	/* Ast/let.scm 798 */
																										goto BgL_tagzd2488zd2_3021;
																									}
																							}
																						else
																							{	/* Ast/let.scm 798 */
																								goto BgL_tagzd2488zd2_3021;
																							}
																					}
																				else
																					{	/* Ast/let.scm 798 */
																						goto BgL_tagzd2488zd2_3021;
																					}
																			}
																		else
																			{	/* Ast/let.scm 798 */
																				goto BgL_tagzd2488zd2_3021;
																			}
																	}
															}
													}
											}
									}
							}
						else
							{	/* Ast/let.scm 798 */
								return BgL_resz00_2994;
							}
					}
			}
		}

	}



/* append*~0 */
	obj_t BGl_appendza2ze70z45zzast_letz00(obj_t BgL_pairz00_2976,
		obj_t BgL_lstz00_2977)
	{
		{	/* Ast/let.scm 793 */
			if (NULLP(BgL_pairz00_2976))
				{	/* Ast/let.scm 788 */
					return BgL_lstz00_2977;
				}
			else
				{	/* Ast/let.scm 788 */
					if (PAIRP(BgL_pairz00_2976))
						{	/* Ast/let.scm 790 */
							return
								MAKE_YOUNG_PAIR(BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(CAR
									(BgL_pairz00_2976), BFALSE),
								BGl_appendza2ze70z45zzast_letz00(CDR(BgL_pairz00_2976),
									BgL_lstz00_2977));
						}
					else
						{	/* Ast/let.scm 790 */
							return
								MAKE_YOUNG_PAIR(BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
								(BgL_pairz00_2976, BFALSE), BgL_lstz00_2977);
						}
				}
		}

	}



/* loop~2 */
	obj_t BGl_loopze72ze7zzast_letz00(obj_t BgL_vz00_7857, obj_t BgL_varsz00_7856,
		obj_t BgL_sexpz00_3193, obj_t BgL_resz00_3194, obj_t BgL_envz00_3195)
	{
		{	/* Ast/let.scm 830 */
		BGl_loopze72ze7zzast_letz00:
			{
				obj_t BgL_varz00_3199;
				obj_t BgL_valz00_3200;

				if (PAIRP(BgL_sexpz00_3193))
					{	/* Ast/let.scm 830 */
						obj_t BgL_cdrzd21461zd2_3228;

						BgL_cdrzd21461zd2_3228 = CDR(((obj_t) BgL_sexpz00_3193));
						if (
							(CAR(((obj_t) BgL_sexpz00_3193)) == ((obj_t) CNST_TABLE_REF(11))))
							{	/* Ast/let.scm 830 */
								if (PAIRP(BgL_cdrzd21461zd2_3228))
									{	/* Ast/let.scm 830 */
										if (NULLP(CDR(BgL_cdrzd21461zd2_3228)))
											{	/* Ast/let.scm 830 */
												return BgL_resz00_3194;
											}
										else
											{	/* Ast/let.scm 830 */
											BgL_tagzd21446zd2_3224:
												{	/* Ast/let.scm 858 */
													obj_t BgL_arg2895z00_3400;
													obj_t BgL_arg2898z00_3401;

													BgL_arg2895z00_3400 = CAR(((obj_t) BgL_sexpz00_3193));
													{	/* Ast/let.scm 858 */
														obj_t BgL_arg2899z00_3402;

														BgL_arg2899z00_3402 =
															CDR(((obj_t) BgL_sexpz00_3193));
														BgL_arg2898z00_3401 =
															BGl_loopze72ze7zzast_letz00(BgL_vz00_7857,
															BgL_varsz00_7856, BgL_arg2899z00_3402,
															BgL_resz00_3194, BgL_envz00_3195);
													}
													{
														obj_t BgL_resz00_10707;
														obj_t BgL_sexpz00_10706;

														BgL_sexpz00_10706 = BgL_arg2895z00_3400;
														BgL_resz00_10707 = BgL_arg2898z00_3401;
														BgL_resz00_3194 = BgL_resz00_10707;
														BgL_sexpz00_3193 = BgL_sexpz00_10706;
														goto BGl_loopze72ze7zzast_letz00;
													}
												}
											}
									}
								else
									{	/* Ast/let.scm 830 */
										goto BgL_tagzd21446zd2_3224;
									}
							}
						else
							{	/* Ast/let.scm 830 */
								if (
									(CAR(
											((obj_t) BgL_sexpz00_3193)) ==
										((obj_t) CNST_TABLE_REF(5))))
									{	/* Ast/let.scm 830 */
										if (PAIRP(BgL_cdrzd21461zd2_3228))
											{	/* Ast/let.scm 830 */
												obj_t BgL_carzd21582zd2_3239;
												obj_t BgL_cdrzd21583zd2_3240;

												BgL_carzd21582zd2_3239 = CAR(BgL_cdrzd21461zd2_3228);
												BgL_cdrzd21583zd2_3240 = CDR(BgL_cdrzd21461zd2_3228);
												if (SYMBOLP(BgL_carzd21582zd2_3239))
													{	/* Ast/let.scm 830 */
														if (PAIRP(BgL_cdrzd21583zd2_3240))
															{	/* Ast/let.scm 830 */
																if (NULLP(CDR(BgL_cdrzd21583zd2_3240)))
																	{	/* Ast/let.scm 830 */
																		BgL_varz00_3199 = BgL_carzd21582zd2_3239;
																		BgL_valz00_3200 =
																			CAR(BgL_cdrzd21583zd2_3240);
																		{	/* Ast/let.scm 839 */
																			bool_t BgL_test4193z00_10725;

																			if ((BgL_sexpz00_3193 == BgL_vz00_7857))
																				{	/* Ast/let.scm 839 */
																					BgL_test4193z00_10725 = ((bool_t) 1);
																				}
																			else
																				{	/* Ast/let.scm 839 */
																					if (CBOOL
																						(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																							(BgL_varz00_3199,
																								BgL_varsz00_7856)))
																						{	/* Ast/let.scm 839 */
																							BgL_test4193z00_10725 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Ast/let.scm 839 */
																							BgL_test4193z00_10725 =
																								((bool_t) 1);
																						}
																				}
																			if (BgL_test4193z00_10725)
																				{
																					obj_t BgL_sexpz00_10731;

																					BgL_sexpz00_10731 = BgL_varz00_3199;
																					BgL_sexpz00_3193 = BgL_sexpz00_10731;
																					goto BGl_loopze72ze7zzast_letz00;
																				}
																			else
																				{	/* Ast/let.scm 839 */
																					if (CBOOL
																						(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																							(BgL_varz00_3199,
																								BgL_resz00_3194)))
																						{
																							obj_t BgL_sexpz00_10735;

																							BgL_sexpz00_10735 =
																								BgL_valz00_3200;
																							BgL_sexpz00_3193 =
																								BgL_sexpz00_10735;
																							goto BGl_loopze72ze7zzast_letz00;
																						}
																					else
																						{	/* Ast/let.scm 840 */
																							if (CBOOL
																								(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																									(BgL_varz00_3199,
																										BgL_envz00_3195)))
																								{
																									obj_t BgL_sexpz00_10739;

																									BgL_sexpz00_10739 =
																										BgL_valz00_3200;
																									BgL_sexpz00_3193 =
																										BgL_sexpz00_10739;
																									goto
																										BGl_loopze72ze7zzast_letz00;
																								}
																							else
																								{	/* Ast/let.scm 842 */
																									obj_t BgL_arg2857z00_3381;

																									BgL_arg2857z00_3381 =
																										MAKE_YOUNG_PAIR
																										(BgL_varz00_3199,
																										BgL_resz00_3194);
																									{
																										obj_t BgL_resz00_10742;
																										obj_t BgL_sexpz00_10741;

																										BgL_sexpz00_10741 =
																											BgL_valz00_3200;
																										BgL_resz00_10742 =
																											BgL_arg2857z00_3381;
																										BgL_resz00_3194 =
																											BgL_resz00_10742;
																										BgL_sexpz00_3193 =
																											BgL_sexpz00_10741;
																										goto
																											BGl_loopze72ze7zzast_letz00;
																									}
																								}
																						}
																				}
																		}
																	}
																else
																	{	/* Ast/let.scm 830 */
																		goto BgL_tagzd21446zd2_3224;
																	}
															}
														else
															{	/* Ast/let.scm 830 */
																goto BgL_tagzd21446zd2_3224;
															}
													}
												else
													{	/* Ast/let.scm 830 */
														goto BgL_tagzd21446zd2_3224;
													}
											}
										else
											{	/* Ast/let.scm 830 */
												goto BgL_tagzd21446zd2_3224;
											}
									}
								else
									{	/* Ast/let.scm 830 */
										obj_t BgL_cdrzd21784zd2_3247;

										BgL_cdrzd21784zd2_3247 = CDR(((obj_t) BgL_sexpz00_3193));
										if (
											(CAR(
													((obj_t) BgL_sexpz00_3193)) ==
												((obj_t) CNST_TABLE_REF(0))))
											{	/* Ast/let.scm 830 */
												if (PAIRP(BgL_cdrzd21784zd2_3247))
													{	/* Ast/let.scm 830 */
														obj_t BgL_carzd21788zd2_3251;
														obj_t BgL_cdrzd21789zd2_3252;

														BgL_carzd21788zd2_3251 =
															CAR(BgL_cdrzd21784zd2_3247);
														BgL_cdrzd21789zd2_3252 =
															CDR(BgL_cdrzd21784zd2_3247);
														if (PAIRP(BgL_carzd21788zd2_3251))
															{	/* Ast/let.scm 830 */
																obj_t BgL_carzd21792zd2_3254;

																BgL_carzd21792zd2_3254 =
																	CAR(BgL_carzd21788zd2_3251);
																if (PAIRP(BgL_carzd21792zd2_3254))
																	{	/* Ast/let.scm 830 */
																		obj_t BgL_cdrzd21797zd2_3256;

																		BgL_cdrzd21797zd2_3256 =
																			CDR(BgL_carzd21792zd2_3254);
																		if (PAIRP(BgL_cdrzd21797zd2_3256))
																			{	/* Ast/let.scm 830 */
																				if (NULLP(CDR(BgL_cdrzd21797zd2_3256)))
																					{	/* Ast/let.scm 830 */
																						if (NULLP(CDR
																								(BgL_carzd21788zd2_3251)))
																							{	/* Ast/let.scm 830 */
																								if (PAIRP
																									(BgL_cdrzd21789zd2_3252))
																									{	/* Ast/let.scm 830 */
																										if (NULLP(CDR
																												(BgL_cdrzd21789zd2_3252)))
																											{	/* Ast/let.scm 830 */
																												obj_t
																													BgL_arg2724z00_3265;
																												obj_t
																													BgL_arg2725z00_3266;
																												obj_t
																													BgL_arg2726z00_3267;
																												BgL_arg2724z00_3265 =
																													CAR
																													(BgL_carzd21792zd2_3254);
																												BgL_arg2725z00_3266 =
																													CAR
																													(BgL_cdrzd21797zd2_3256);
																												BgL_arg2726z00_3267 =
																													CAR
																													(BgL_cdrzd21789zd2_3252);
																												{	/* Ast/let.scm 845 */
																													obj_t
																														BgL_arg2858z00_6364;
																													obj_t
																														BgL_arg2859z00_6365;
																													BgL_arg2858z00_6364 =
																														BGl_loopze72ze7zzast_letz00
																														(BgL_vz00_7857,
																														BgL_varsz00_7856,
																														BgL_arg2725z00_3266,
																														BgL_resz00_3194,
																														BgL_envz00_3195);
																													BgL_arg2859z00_6365 =
																														MAKE_YOUNG_PAIR
																														(BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																														(BgL_arg2724z00_3265,
																															BFALSE),
																														BgL_envz00_3195);
																													{
																														obj_t
																															BgL_envz00_10783;
																														obj_t
																															BgL_resz00_10782;
																														obj_t
																															BgL_sexpz00_10781;
																														BgL_sexpz00_10781 =
																															BgL_arg2726z00_3267;
																														BgL_resz00_10782 =
																															BgL_arg2858z00_6364;
																														BgL_envz00_10783 =
																															BgL_arg2859z00_6365;
																														BgL_envz00_3195 =
																															BgL_envz00_10783;
																														BgL_resz00_3194 =
																															BgL_resz00_10782;
																														BgL_sexpz00_3193 =
																															BgL_sexpz00_10781;
																														goto
																															BGl_loopze72ze7zzast_letz00;
																													}
																												}
																											}
																										else
																											{	/* Ast/let.scm 830 */
																												goto
																													BgL_tagzd21446zd2_3224;
																											}
																									}
																								else
																									{	/* Ast/let.scm 830 */
																										goto BgL_tagzd21446zd2_3224;
																									}
																							}
																						else
																							{	/* Ast/let.scm 830 */
																								goto BgL_tagzd21446zd2_3224;
																							}
																					}
																				else
																					{	/* Ast/let.scm 830 */
																						goto BgL_tagzd21446zd2_3224;
																					}
																			}
																		else
																			{	/* Ast/let.scm 830 */
																				goto BgL_tagzd21446zd2_3224;
																			}
																	}
																else
																	{	/* Ast/let.scm 830 */
																		goto BgL_tagzd21446zd2_3224;
																	}
															}
														else
															{	/* Ast/let.scm 830 */
																goto BgL_tagzd21446zd2_3224;
															}
													}
												else
													{	/* Ast/let.scm 830 */
														goto BgL_tagzd21446zd2_3224;
													}
											}
										else
											{	/* Ast/let.scm 830 */
												if (
													(CAR(
															((obj_t) BgL_sexpz00_3193)) ==
														((obj_t) CNST_TABLE_REF(12))))
													{	/* Ast/let.scm 830 */
														if (PAIRP(BgL_cdrzd21784zd2_3247))
															{	/* Ast/let.scm 830 */
																obj_t BgL_carzd22076zd2_3275;
																obj_t BgL_cdrzd22077zd2_3276;

																BgL_carzd22076zd2_3275 =
																	CAR(BgL_cdrzd21784zd2_3247);
																BgL_cdrzd22077zd2_3276 =
																	CDR(BgL_cdrzd21784zd2_3247);
																if (PAIRP(BgL_carzd22076zd2_3275))
																	{	/* Ast/let.scm 830 */
																		obj_t BgL_carzd22080zd2_3278;

																		BgL_carzd22080zd2_3278 =
																			CAR(BgL_carzd22076zd2_3275);
																		if (PAIRP(BgL_carzd22080zd2_3278))
																			{	/* Ast/let.scm 830 */
																				obj_t BgL_cdrzd22085zd2_3280;

																				BgL_cdrzd22085zd2_3280 =
																					CDR(BgL_carzd22080zd2_3278);
																				if (PAIRP(BgL_cdrzd22085zd2_3280))
																					{	/* Ast/let.scm 830 */
																						if (NULLP(CDR
																								(BgL_cdrzd22085zd2_3280)))
																							{	/* Ast/let.scm 830 */
																								if (NULLP(CDR
																										(BgL_carzd22076zd2_3275)))
																									{	/* Ast/let.scm 830 */
																										if (PAIRP
																											(BgL_cdrzd22077zd2_3276))
																											{	/* Ast/let.scm 830 */
																												if (NULLP(CDR
																														(BgL_cdrzd22077zd2_3276)))
																													{	/* Ast/let.scm 830 */
																														obj_t
																															BgL_arg2744z00_3289;
																														obj_t
																															BgL_arg2745z00_3290;
																														obj_t
																															BgL_arg2749z00_3291;
																														BgL_arg2744z00_3289
																															=
																															CAR
																															(BgL_carzd22080zd2_3278);
																														BgL_arg2745z00_3290
																															=
																															CAR
																															(BgL_cdrzd22085zd2_3280);
																														BgL_arg2749z00_3291
																															=
																															CAR
																															(BgL_cdrzd22077zd2_3276);
																														{	/* Ast/let.scm 847 */
																															obj_t
																																BgL_arg2861z00_6379;
																															obj_t
																																BgL_arg2862z00_6380;
																															BgL_arg2861z00_6379
																																=
																																BGl_loopze72ze7zzast_letz00
																																(BgL_vz00_7857,
																																BgL_varsz00_7856,
																																BgL_arg2745z00_3290,
																																BgL_resz00_3194,
																																BgL_envz00_3195);
																															BgL_arg2862z00_6380
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																(BgL_arg2744z00_3289,
																																	BFALSE),
																																BgL_envz00_3195);
																															{
																																obj_t
																																	BgL_envz00_10821;
																																obj_t
																																	BgL_resz00_10820;
																																obj_t
																																	BgL_sexpz00_10819;
																																BgL_sexpz00_10819
																																	=
																																	BgL_arg2749z00_3291;
																																BgL_resz00_10820
																																	=
																																	BgL_arg2861z00_6379;
																																BgL_envz00_10821
																																	=
																																	BgL_arg2862z00_6380;
																																BgL_envz00_3195
																																	=
																																	BgL_envz00_10821;
																																BgL_resz00_3194
																																	=
																																	BgL_resz00_10820;
																																BgL_sexpz00_3193
																																	=
																																	BgL_sexpz00_10819;
																																goto
																																	BGl_loopze72ze7zzast_letz00;
																															}
																														}
																													}
																												else
																													{	/* Ast/let.scm 830 */
																														goto
																															BgL_tagzd21446zd2_3224;
																													}
																											}
																										else
																											{	/* Ast/let.scm 830 */
																												goto
																													BgL_tagzd21446zd2_3224;
																											}
																									}
																								else
																									{	/* Ast/let.scm 830 */
																										goto BgL_tagzd21446zd2_3224;
																									}
																							}
																						else
																							{	/* Ast/let.scm 830 */
																								goto BgL_tagzd21446zd2_3224;
																							}
																					}
																				else
																					{	/* Ast/let.scm 830 */
																						goto BgL_tagzd21446zd2_3224;
																					}
																			}
																		else
																			{	/* Ast/let.scm 830 */
																				goto BgL_tagzd21446zd2_3224;
																			}
																	}
																else
																	{	/* Ast/let.scm 830 */
																		goto BgL_tagzd21446zd2_3224;
																	}
															}
														else
															{	/* Ast/let.scm 830 */
																goto BgL_tagzd21446zd2_3224;
															}
													}
												else
													{	/* Ast/let.scm 830 */
														obj_t BgL_cdrzd22296zd2_3295;

														BgL_cdrzd22296zd2_3295 =
															CDR(((obj_t) BgL_sexpz00_3193));
														if (
															(CAR(
																	((obj_t) BgL_sexpz00_3193)) ==
																((obj_t) CNST_TABLE_REF(10))))
															{	/* Ast/let.scm 830 */
																if (PAIRP(BgL_cdrzd22296zd2_3295))
																	{	/* Ast/let.scm 830 */
																		obj_t BgL_carzd22300zd2_3299;
																		obj_t BgL_cdrzd22301zd2_3300;

																		BgL_carzd22300zd2_3299 =
																			CAR(BgL_cdrzd22296zd2_3295);
																		BgL_cdrzd22301zd2_3300 =
																			CDR(BgL_cdrzd22296zd2_3295);
																		if (PAIRP(BgL_carzd22300zd2_3299))
																			{	/* Ast/let.scm 830 */
																				obj_t BgL_carzd22304zd2_3302;

																				BgL_carzd22304zd2_3302 =
																					CAR(BgL_carzd22300zd2_3299);
																				if (PAIRP(BgL_carzd22304zd2_3302))
																					{	/* Ast/let.scm 830 */
																						obj_t BgL_cdrzd22309zd2_3304;

																						BgL_cdrzd22309zd2_3304 =
																							CDR(BgL_carzd22304zd2_3302);
																						if (PAIRP(BgL_cdrzd22309zd2_3304))
																							{	/* Ast/let.scm 830 */
																								if (NULLP(CDR
																										(BgL_cdrzd22309zd2_3304)))
																									{	/* Ast/let.scm 830 */
																										if (NULLP(CDR
																												(BgL_carzd22300zd2_3299)))
																											{	/* Ast/let.scm 830 */
																												if (PAIRP
																													(BgL_cdrzd22301zd2_3300))
																													{	/* Ast/let.scm 830 */
																														if (NULLP(CDR
																																(BgL_cdrzd22301zd2_3300)))
																															{	/* Ast/let.scm 830 */
																																obj_t
																																	BgL_arg2768z00_3313;
																																obj_t
																																	BgL_arg2769z00_3314;
																																obj_t
																																	BgL_arg2770z00_3315;
																																BgL_arg2768z00_3313
																																	=
																																	CAR
																																	(BgL_carzd22304zd2_3302);
																																BgL_arg2769z00_3314
																																	=
																																	CAR
																																	(BgL_cdrzd22309zd2_3304);
																																BgL_arg2770z00_3315
																																	=
																																	CAR
																																	(BgL_cdrzd22301zd2_3300);
																																{	/* Ast/let.scm 849 */
																																	obj_t
																																		BgL_nenvz00_6394;
																																	BgL_nenvz00_6394
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																		(BgL_arg2768z00_3313,
																																			BFALSE),
																																		BgL_envz00_3195);
																																	{
																																		obj_t
																																			BgL_envz00_10861;
																																		obj_t
																																			BgL_resz00_10859;
																																		obj_t
																																			BgL_sexpz00_10858;
																																		BgL_sexpz00_10858
																																			=
																																			BgL_arg2770z00_3315;
																																		BgL_resz00_10859
																																			=
																																			BGl_loopze72ze7zzast_letz00
																																			(BgL_vz00_7857,
																																			BgL_varsz00_7856,
																																			BgL_arg2769z00_3314,
																																			BgL_resz00_3194,
																																			BgL_nenvz00_6394);
																																		BgL_envz00_10861
																																			=
																																			BgL_nenvz00_6394;
																																		BgL_envz00_3195
																																			=
																																			BgL_envz00_10861;
																																		BgL_resz00_3194
																																			=
																																			BgL_resz00_10859;
																																		BgL_sexpz00_3193
																																			=
																																			BgL_sexpz00_10858;
																																		goto
																																			BGl_loopze72ze7zzast_letz00;
																																	}
																																}
																															}
																														else
																															{	/* Ast/let.scm 830 */
																																goto
																																	BgL_tagzd21446zd2_3224;
																															}
																													}
																												else
																													{	/* Ast/let.scm 830 */
																														goto
																															BgL_tagzd21446zd2_3224;
																													}
																											}
																										else
																											{	/* Ast/let.scm 830 */
																												goto
																													BgL_tagzd21446zd2_3224;
																											}
																									}
																								else
																									{	/* Ast/let.scm 830 */
																										goto BgL_tagzd21446zd2_3224;
																									}
																							}
																						else
																							{	/* Ast/let.scm 830 */
																								goto BgL_tagzd21446zd2_3224;
																							}
																					}
																				else
																					{	/* Ast/let.scm 830 */
																						goto BgL_tagzd21446zd2_3224;
																					}
																			}
																		else
																			{	/* Ast/let.scm 830 */
																				goto BgL_tagzd21446zd2_3224;
																			}
																	}
																else
																	{	/* Ast/let.scm 830 */
																		goto BgL_tagzd21446zd2_3224;
																	}
															}
														else
															{	/* Ast/let.scm 830 */
																if (
																	(CAR(
																			((obj_t) BgL_sexpz00_3193)) ==
																		((obj_t) CNST_TABLE_REF(4))))
																	{	/* Ast/let.scm 830 */
																		if (PAIRP(BgL_cdrzd22296zd2_3295))
																			{	/* Ast/let.scm 830 */
																				obj_t BgL_carzd22460zd2_3323;
																				obj_t BgL_cdrzd22461zd2_3324;

																				BgL_carzd22460zd2_3323 =
																					CAR(BgL_cdrzd22296zd2_3295);
																				BgL_cdrzd22461zd2_3324 =
																					CDR(BgL_cdrzd22296zd2_3295);
																				if (PAIRP(BgL_carzd22460zd2_3323))
																					{	/* Ast/let.scm 830 */
																						obj_t BgL_carzd22464zd2_3326;

																						BgL_carzd22464zd2_3326 =
																							CAR(BgL_carzd22460zd2_3323);
																						if (PAIRP(BgL_carzd22464zd2_3326))
																							{	/* Ast/let.scm 830 */
																								obj_t BgL_cdrzd22469zd2_3328;

																								BgL_cdrzd22469zd2_3328 =
																									CDR(BgL_carzd22464zd2_3326);
																								if (PAIRP
																									(BgL_cdrzd22469zd2_3328))
																									{	/* Ast/let.scm 830 */
																										if (NULLP(CDR
																												(BgL_cdrzd22469zd2_3328)))
																											{	/* Ast/let.scm 830 */
																												if (NULLP(CDR
																														(BgL_carzd22460zd2_3323)))
																													{	/* Ast/let.scm 830 */
																														if (PAIRP
																															(BgL_cdrzd22461zd2_3324))
																															{	/* Ast/let.scm 830 */
																																if (NULLP(CDR
																																		(BgL_cdrzd22461zd2_3324)))
																																	{	/* Ast/let.scm 830 */
																																		obj_t
																																			BgL_arg2815z00_3337;
																																		obj_t
																																			BgL_arg2816z00_3338;
																																		obj_t
																																			BgL_arg2817z00_3339;
																																		BgL_arg2815z00_3337
																																			=
																																			CAR
																																			(BgL_carzd22464zd2_3326);
																																		BgL_arg2816z00_3338
																																			=
																																			CAR
																																			(BgL_cdrzd22469zd2_3328);
																																		BgL_arg2817z00_3339
																																			=
																																			CAR
																																			(BgL_cdrzd22461zd2_3324);
																																		{	/* Ast/let.scm 852 */
																																			obj_t
																																				BgL_nenvz00_6409;
																																			BgL_nenvz00_6409
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																				(BgL_arg2815z00_3337,
																																					BFALSE),
																																				BgL_envz00_3195);
																																			{
																																				obj_t
																																					BgL_envz00_10899;
																																				obj_t
																																					BgL_resz00_10897;
																																				obj_t
																																					BgL_sexpz00_10896;
																																				BgL_sexpz00_10896
																																					=
																																					BgL_arg2817z00_3339;
																																				BgL_resz00_10897
																																					=
																																					BGl_loopze72ze7zzast_letz00
																																					(BgL_vz00_7857,
																																					BgL_varsz00_7856,
																																					BgL_arg2816z00_3338,
																																					BgL_resz00_3194,
																																					BgL_nenvz00_6409);
																																				BgL_envz00_10899
																																					=
																																					BgL_nenvz00_6409;
																																				BgL_envz00_3195
																																					=
																																					BgL_envz00_10899;
																																				BgL_resz00_3194
																																					=
																																					BgL_resz00_10897;
																																				BgL_sexpz00_3193
																																					=
																																					BgL_sexpz00_10896;
																																				goto
																																					BGl_loopze72ze7zzast_letz00;
																																			}
																																		}
																																	}
																																else
																																	{	/* Ast/let.scm 830 */
																																		goto
																																			BgL_tagzd21446zd2_3224;
																																	}
																															}
																														else
																															{	/* Ast/let.scm 830 */
																																goto
																																	BgL_tagzd21446zd2_3224;
																															}
																													}
																												else
																													{	/* Ast/let.scm 830 */
																														goto
																															BgL_tagzd21446zd2_3224;
																													}
																											}
																										else
																											{	/* Ast/let.scm 830 */
																												goto
																													BgL_tagzd21446zd2_3224;
																											}
																									}
																								else
																									{	/* Ast/let.scm 830 */
																										goto BgL_tagzd21446zd2_3224;
																									}
																							}
																						else
																							{	/* Ast/let.scm 830 */
																								goto BgL_tagzd21446zd2_3224;
																							}
																					}
																				else
																					{	/* Ast/let.scm 830 */
																						goto BgL_tagzd21446zd2_3224;
																					}
																			}
																		else
																			{	/* Ast/let.scm 830 */
																				goto BgL_tagzd21446zd2_3224;
																			}
																	}
																else
																	{	/* Ast/let.scm 830 */
																		obj_t BgL_cdrzd22552zd2_3343;

																		BgL_cdrzd22552zd2_3343 =
																			CDR(((obj_t) BgL_sexpz00_3193));
																		if (
																			(CAR(
																					((obj_t) BgL_sexpz00_3193)) ==
																				((obj_t) CNST_TABLE_REF(8))))
																			{	/* Ast/let.scm 830 */
																				if (PAIRP(BgL_cdrzd22552zd2_3343))
																					{	/* Ast/let.scm 830 */
																						obj_t BgL_carzd22557zd2_3347;
																						obj_t BgL_cdrzd22558zd2_3348;

																						BgL_carzd22557zd2_3347 =
																							CAR(BgL_cdrzd22552zd2_3343);
																						BgL_cdrzd22558zd2_3348 =
																							CDR(BgL_cdrzd22552zd2_3343);
																						if (PAIRP(BgL_carzd22557zd2_3347))
																							{	/* Ast/let.scm 830 */
																								obj_t BgL_carzd22562zd2_3350;

																								BgL_carzd22562zd2_3350 =
																									CAR(BgL_carzd22557zd2_3347);
																								if (PAIRP
																									(BgL_carzd22562zd2_3350))
																									{	/* Ast/let.scm 830 */
																										obj_t
																											BgL_cdrzd22568zd2_3352;
																										BgL_cdrzd22568zd2_3352 =
																											CDR
																											(BgL_carzd22562zd2_3350);
																										if (PAIRP
																											(BgL_cdrzd22568zd2_3352))
																											{	/* Ast/let.scm 830 */
																												obj_t
																													BgL_cdrzd22573zd2_3354;
																												BgL_cdrzd22573zd2_3354 =
																													CDR
																													(BgL_cdrzd22568zd2_3352);
																												if (PAIRP
																													(BgL_cdrzd22573zd2_3354))
																													{	/* Ast/let.scm 830 */
																														if (NULLP(CDR
																																(BgL_cdrzd22573zd2_3354)))
																															{	/* Ast/let.scm 830 */
																																if (NULLP(CDR
																																		(BgL_carzd22557zd2_3347)))
																																	{	/* Ast/let.scm 830 */
																																		if (PAIRP
																																			(BgL_cdrzd22558zd2_3348))
																																			{	/* Ast/let.scm 830 */
																																				if (NULLP(CDR(BgL_cdrzd22558zd2_3348)))
																																					{	/* Ast/let.scm 830 */
																																						obj_t
																																							BgL_arg2835z00_3363;
																																						obj_t
																																							BgL_arg2836z00_3364;
																																						obj_t
																																							BgL_arg2838z00_3365;
																																						obj_t
																																							BgL_arg2839z00_3366;
																																						BgL_arg2835z00_3363
																																							=
																																							CAR
																																							(BgL_carzd22562zd2_3350);
																																						BgL_arg2836z00_3364
																																							=
																																							CAR
																																							(BgL_cdrzd22568zd2_3352);
																																						BgL_arg2838z00_3365
																																							=
																																							CAR
																																							(BgL_cdrzd22573zd2_3354);
																																						BgL_arg2839z00_3366
																																							=
																																							CAR
																																							(BgL_cdrzd22558zd2_3348);
																																						{	/* Ast/let.scm 855 */
																																							obj_t
																																								BgL_fenvz00_6426;
																																							BgL_fenvz00_6426
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																																								(BgL_arg2835z00_3363,
																																									BFALSE),
																																								BGl_appendza2ze70z45zzast_letz00
																																								(BgL_arg2836z00_3364,
																																									BgL_envz00_3195));
																																							{	/* Ast/let.scm 856 */
																																								obj_t
																																									BgL_arg2873z00_6429;
																																								obj_t
																																									BgL_arg2879z00_6430;
																																								BgL_arg2873z00_6429
																																									=
																																									BGl_loopze72ze7zzast_letz00
																																									(BgL_vz00_7857,
																																									BgL_varsz00_7856,
																																									BgL_arg2838z00_3365,
																																									BgL_resz00_3194,
																																									BgL_fenvz00_6426);
																																								BgL_arg2879z00_6430
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg2835z00_3363,
																																									BgL_envz00_3195);
																																								{
																																									obj_t
																																										BgL_envz00_10945;
																																									obj_t
																																										BgL_resz00_10944;
																																									obj_t
																																										BgL_sexpz00_10943;
																																									BgL_sexpz00_10943
																																										=
																																										BgL_arg2839z00_3366;
																																									BgL_resz00_10944
																																										=
																																										BgL_arg2873z00_6429;
																																									BgL_envz00_10945
																																										=
																																										BgL_arg2879z00_6430;
																																									BgL_envz00_3195
																																										=
																																										BgL_envz00_10945;
																																									BgL_resz00_3194
																																										=
																																										BgL_resz00_10944;
																																									BgL_sexpz00_3193
																																										=
																																										BgL_sexpz00_10943;
																																									goto
																																										BGl_loopze72ze7zzast_letz00;
																																								}
																																							}
																																						}
																																					}
																																				else
																																					{	/* Ast/let.scm 830 */
																																						goto
																																							BgL_tagzd21446zd2_3224;
																																					}
																																			}
																																		else
																																			{	/* Ast/let.scm 830 */
																																				goto
																																					BgL_tagzd21446zd2_3224;
																																			}
																																	}
																																else
																																	{	/* Ast/let.scm 830 */
																																		goto
																																			BgL_tagzd21446zd2_3224;
																																	}
																															}
																														else
																															{	/* Ast/let.scm 830 */
																																goto
																																	BgL_tagzd21446zd2_3224;
																															}
																													}
																												else
																													{	/* Ast/let.scm 830 */
																														goto
																															BgL_tagzd21446zd2_3224;
																													}
																											}
																										else
																											{	/* Ast/let.scm 830 */
																												goto
																													BgL_tagzd21446zd2_3224;
																											}
																									}
																								else
																									{	/* Ast/let.scm 830 */
																										goto BgL_tagzd21446zd2_3224;
																									}
																							}
																						else
																							{	/* Ast/let.scm 830 */
																								goto BgL_tagzd21446zd2_3224;
																							}
																					}
																				else
																					{	/* Ast/let.scm 830 */
																						goto BgL_tagzd21446zd2_3224;
																					}
																			}
																		else
																			{	/* Ast/let.scm 830 */
																				goto BgL_tagzd21446zd2_3224;
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Ast/let.scm 830 */
						return BgL_resz00_3194;
					}
			}
		}

	}



/* &letrec*->node */
	BgL_nodez00_bglt BGl_z62letrecza2zd2ze3nodezf1zzast_letz00(obj_t
		BgL_envz00_7775, obj_t BgL_sexpz00_7776, obj_t BgL_stackz00_7777,
		obj_t BgL_locz00_7778, obj_t BgL_sitez00_7779)
	{
		{	/* Ast/let.scm 560 */
			return
				BGl_letrecza2zd2ze3nodez93zzast_letz00(BgL_sexpz00_7776,
				BgL_stackz00_7777, BgL_locz00_7778, BgL_sitez00_7779);
		}

	}



/* &letstar */
	obj_t BGl_z62letstarz62zzast_letz00(obj_t BgL_ebindingsz00_2536,
		obj_t BgL_bodyz00_2537)
	{
		{	/* Ast/let.scm 602 */
			if (NULLP(BgL_ebindingsz00_2536))
				{	/* Ast/let.scm 595 */
					return BgL_bodyz00_2537;
				}
			else
				{	/* Ast/let.scm 597 */
					bool_t BgL_test4245z00_10949;

					{	/* Ast/let.scm 597 */
						obj_t BgL_arg2196z00_2559;
						obj_t BgL_arg2197z00_2560;

						BgL_arg2196z00_2559 = CAR(((obj_t) BgL_ebindingsz00_2536));
						{	/* Ast/let.scm 597 */
							obj_t BgL_arg2198z00_2561;

							BgL_arg2198z00_2561 = CAR(((obj_t) BgL_ebindingsz00_2536));
							{	/* Ast/let.scm 597 */
								obj_t BgL_list2199z00_2562;

								BgL_list2199z00_2562 =
									MAKE_YOUNG_PAIR(BgL_arg2198z00_2561, BNIL);
								BgL_arg2197z00_2560 = BgL_list2199z00_2562;
							}
						}
						BgL_test4245z00_10949 =
							CBOOL(BGl_z62usedzd2inzf3z43zzast_letz00(BgL_arg2196z00_2559,
								BgL_arg2197z00_2560));
					}
					if (BgL_test4245z00_10949)
						{	/* Ast/let.scm 598 */
							obj_t BgL_arg2182z00_2545;

							{	/* Ast/let.scm 598 */
								obj_t BgL_arg2183z00_2546;
								obj_t BgL_arg2184z00_2547;

								{	/* Ast/let.scm 598 */
									obj_t BgL_arg2185z00_2548;

									{	/* Ast/let.scm 571 */
										obj_t BgL_pairz00_6073;

										BgL_pairz00_6073 = CAR(((obj_t) BgL_ebindingsz00_2536));
										BgL_arg2185z00_2548 = CAR(BgL_pairz00_6073);
									}
									BgL_arg2183z00_2546 =
										MAKE_YOUNG_PAIR(BgL_arg2185z00_2548, BNIL);
								}
								{	/* Ast/let.scm 599 */
									obj_t BgL_arg2187z00_2550;

									{	/* Ast/let.scm 599 */
										obj_t BgL_arg2188z00_2551;

										BgL_arg2188z00_2551 = CDR(((obj_t) BgL_ebindingsz00_2536));
										BgL_arg2187z00_2550 =
											BGl_z62letstarz62zzast_letz00(BgL_arg2188z00_2551,
											BgL_bodyz00_2537);
									}
									BgL_arg2184z00_2547 =
										MAKE_YOUNG_PAIR(BgL_arg2187z00_2550, BNIL);
								}
								BgL_arg2182z00_2545 =
									MAKE_YOUNG_PAIR(BgL_arg2183z00_2546, BgL_arg2184z00_2547);
							}
							return
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(10)), BgL_arg2182z00_2545);
						}
					else
						{	/* Ast/let.scm 601 */
							obj_t BgL_arg2189z00_2552;

							{	/* Ast/let.scm 601 */
								obj_t BgL_arg2190z00_2553;
								obj_t BgL_arg2191z00_2554;

								{	/* Ast/let.scm 601 */
									obj_t BgL_arg2192z00_2555;

									{	/* Ast/let.scm 571 */
										obj_t BgL_pairz00_6076;

										BgL_pairz00_6076 = CAR(((obj_t) BgL_ebindingsz00_2536));
										BgL_arg2192z00_2555 = CAR(BgL_pairz00_6076);
									}
									BgL_arg2190z00_2553 =
										MAKE_YOUNG_PAIR(BgL_arg2192z00_2555, BNIL);
								}
								{	/* Ast/let.scm 602 */
									obj_t BgL_arg2194z00_2557;

									{	/* Ast/let.scm 602 */
										obj_t BgL_arg2195z00_2558;

										BgL_arg2195z00_2558 = CDR(((obj_t) BgL_ebindingsz00_2536));
										BgL_arg2194z00_2557 =
											BGl_z62letstarz62zzast_letz00(BgL_arg2195z00_2558,
											BgL_bodyz00_2537);
									}
									BgL_arg2191z00_2554 =
										MAKE_YOUNG_PAIR(BgL_arg2194z00_2557, BNIL);
								}
								BgL_arg2189z00_2552 =
									MAKE_YOUNG_PAIR(BgL_arg2190z00_2553, BgL_arg2191z00_2554);
							}
							return
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(0)), BgL_arg2189z00_2552);
						}
				}
		}

	}



/* &used-in? */
	obj_t BGl_z62usedzd2inzf3z43zzast_letz00(obj_t BgL_bz00_2521,
		obj_t BgL_ebindingsz00_2522)
	{
		{	/* Ast/let.scm 591 */
			{	/* Ast/let.scm 588 */
				obj_t BgL_varz00_2524;

				{	/* Ast/let.scm 573 */
					obj_t BgL_pairz00_6059;

					BgL_pairz00_6059 = CDR(((obj_t) BgL_bz00_2521));
					BgL_varz00_2524 = CAR(BgL_pairz00_6059);
				}
				{
					obj_t BgL_list1425z00_2526;

					BgL_list1425z00_2526 = BgL_ebindingsz00_2522;
				BgL_zc3z04anonymousza32169ze3z87_2527:
					if (PAIRP(BgL_list1425z00_2526))
						{	/* Ast/let.scm 589 */
							bool_t BgL_test4247z00_10986;

							{	/* Ast/let.scm 590 */
								obj_t BgL_tmpz00_10987;

								{	/* Ast/let.scm 590 */
									obj_t BgL_auxz00_10988;

									{	/* Ast/let.scm 574 */
										obj_t BgL_pairz00_6066;

										{	/* Ast/let.scm 574 */
											obj_t BgL_pairz00_6065;

											BgL_pairz00_6065 =
												CDR(((obj_t) CAR(BgL_list1425z00_2526)));
											BgL_pairz00_6066 = CDR(BgL_pairz00_6065);
										}
										BgL_auxz00_10988 = CAR(BgL_pairz00_6066);
									}
									BgL_tmpz00_10987 =
										BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_varz00_2524,
										BgL_auxz00_10988);
								}
								BgL_test4247z00_10986 = CBOOL(BgL_tmpz00_10987);
							}
							if (BgL_test4247z00_10986)
								{	/* Ast/let.scm 589 */
									return CAR(BgL_list1425z00_2526);
								}
							else
								{
									obj_t BgL_list1425z00_10997;

									BgL_list1425z00_10997 = CDR(BgL_list1425z00_2526);
									BgL_list1425z00_2526 = BgL_list1425z00_10997;
									goto BgL_zc3z04anonymousza32169ze3z87_2527;
								}
						}
					else
						{	/* Ast/let.scm 589 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &mutable-in? */
	obj_t BGl_z62mutablezd2inzf3z43zzast_letz00(obj_t BgL_bz00_2502,
		obj_t BgL_ebindingsz00_2503)
	{
		{	/* Ast/let.scm 582 */
			{	/* Ast/let.scm 579 */
				obj_t BgL_varz00_2505;

				{	/* Ast/let.scm 573 */
					obj_t BgL_pairz00_6043;

					BgL_pairz00_6043 = CDR(((obj_t) BgL_bz00_2502));
					BgL_varz00_2505 = CAR(BgL_pairz00_6043);
				}
				{
					obj_t BgL_list1423z00_2507;

					BgL_list1423z00_2507 = BgL_ebindingsz00_2503;
				BgL_zc3z04anonymousza32160ze3z87_2508:
					if (PAIRP(BgL_list1423z00_2507))
						{	/* Ast/let.scm 580 */
							bool_t BgL_test4249z00_11004;

							{	/* Ast/let.scm 581 */
								obj_t BgL_tmpz00_11005;

								{	/* Ast/let.scm 581 */
									obj_t BgL_auxz00_11006;

									{	/* Ast/let.scm 575 */
										obj_t BgL_pairz00_6052;

										{	/* Ast/let.scm 575 */
											obj_t BgL_pairz00_6051;

											{	/* Ast/let.scm 575 */
												obj_t BgL_pairz00_6050;

												BgL_pairz00_6050 =
													CDR(((obj_t) CAR(BgL_list1423z00_2507)));
												BgL_pairz00_6051 = CDR(BgL_pairz00_6050);
											}
											BgL_pairz00_6052 = CDR(BgL_pairz00_6051);
										}
										BgL_auxz00_11006 = CAR(BgL_pairz00_6052);
									}
									BgL_tmpz00_11005 =
										BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_varz00_2505,
										BgL_auxz00_11006);
								}
								BgL_test4249z00_11004 = CBOOL(BgL_tmpz00_11005);
							}
							if (BgL_test4249z00_11004)
								{	/* Ast/let.scm 580 */
									return CAR(BgL_list1423z00_2507);
								}
							else
								{
									obj_t BgL_list1423z00_11016;

									BgL_list1423z00_11016 = CDR(BgL_list1423z00_2507);
									BgL_list1423z00_2507 = BgL_list1423z00_11016;
									goto BgL_zc3z04anonymousza32160ze3z87_2508;
								}
						}
					else
						{	/* Ast/let.scm 580 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &split-head-letrec */
	BgL_nodez00_bglt BGl_z62splitzd2headzd2letrecz62zzast_letz00(obj_t
		BgL_sitez00_7782, obj_t BgL_locz00_7781, obj_t BgL_stackz00_7780,
		obj_t BgL_ebindingsz00_2792, obj_t BgL_bodyz00_2793,
		obj_t BgL_splitz00_2794, obj_t BgL_kontz00_2795)
	{
		{	/* Ast/let.scm 688 */
			if (NULLP(BgL_ebindingsz00_2792))
				{	/* Ast/let.scm 672 */
					return
						BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_bodyz00_2793,
						BgL_stackz00_7780, BgL_locz00_7781, BgL_sitez00_7782);
				}
			else
				{	/* Ast/let.scm 675 */
					obj_t BgL_reczd2bindingszd2_2798;

					BgL_reczd2bindingszd2_2798 =
						((obj_t(*)(obj_t,
								obj_t))
						PROCEDURE_L_ENTRY(BgL_splitz00_2794)) (BgL_splitz00_2794,
						BgL_ebindingsz00_2792);
					{	/* Ast/let.scm 676 */
						obj_t BgL_recza2zd2bindingsz70_2799;

						{	/* Ast/let.scm 681 */
							obj_t BgL_tmpz00_6130;

							{	/* Ast/let.scm 681 */
								int BgL_tmpz00_11025;

								BgL_tmpz00_11025 = (int) (1L);
								BgL_tmpz00_6130 = BGL_MVALUES_VAL(BgL_tmpz00_11025);
							}
							{	/* Ast/let.scm 681 */
								int BgL_tmpz00_11028;

								BgL_tmpz00_11028 = (int) (1L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_11028, BUNSPEC);
							}
							BgL_recza2zd2bindingsz70_2799 = BgL_tmpz00_6130;
						}
						if (NULLP(BgL_reczd2bindingszd2_2798))
							{	/* Ast/let.scm 681 */
								return
									((BgL_nodez00_bglt(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_L_ENTRY(BgL_kontz00_2795)) (BgL_kontz00_2795,
									BgL_ebindingsz00_2792, BgL_bodyz00_2793);
							}
						else
							{	/* Ast/let.scm 685 */
								obj_t BgL_arg2365z00_2801;

								{	/* Ast/let.scm 685 */
									obj_t BgL_arg2366z00_2802;

									{	/* Ast/let.scm 685 */
										obj_t BgL_arg2369z00_2803;

										{	/* Ast/let.scm 685 */
											obj_t BgL_arg2371z00_2804;

											{	/* Ast/let.scm 685 */
												obj_t BgL_arg2372z00_2805;
												obj_t BgL_arg2373z00_2806;

												if (NULLP(BgL_recza2zd2bindingsz70_2799))
													{	/* Ast/let.scm 685 */
														BgL_arg2372z00_2805 = BNIL;
													}
												else
													{	/* Ast/let.scm 685 */
														obj_t BgL_head1437z00_2809;

														{	/* Ast/let.scm 685 */
															obj_t BgL_arg2381z00_2821;

															{	/* Ast/let.scm 571 */
																obj_t BgL_pairz00_6132;

																BgL_pairz00_6132 =
																	CAR(((obj_t) BgL_recza2zd2bindingsz70_2799));
																BgL_arg2381z00_2821 = CAR(BgL_pairz00_6132);
															}
															BgL_head1437z00_2809 =
																MAKE_YOUNG_PAIR(BgL_arg2381z00_2821, BNIL);
														}
														{	/* Ast/let.scm 685 */
															obj_t BgL_g1440z00_2810;

															BgL_g1440z00_2810 =
																CDR(((obj_t) BgL_recza2zd2bindingsz70_2799));
															{
																obj_t BgL_l1435z00_2812;
																obj_t BgL_tail1438z00_2813;

																BgL_l1435z00_2812 = BgL_g1440z00_2810;
																BgL_tail1438z00_2813 = BgL_head1437z00_2809;
															BgL_zc3z04anonymousza32375ze3z87_2814:
																if (NULLP(BgL_l1435z00_2812))
																	{	/* Ast/let.scm 685 */
																		BgL_arg2372z00_2805 = BgL_head1437z00_2809;
																	}
																else
																	{	/* Ast/let.scm 685 */
																		obj_t BgL_newtail1439z00_2816;

																		{	/* Ast/let.scm 685 */
																			obj_t BgL_arg2379z00_2818;

																			{	/* Ast/let.scm 571 */
																				obj_t BgL_pairz00_6135;

																				BgL_pairz00_6135 =
																					CAR(((obj_t) BgL_l1435z00_2812));
																				BgL_arg2379z00_2818 =
																					CAR(BgL_pairz00_6135);
																			}
																			BgL_newtail1439z00_2816 =
																				MAKE_YOUNG_PAIR(BgL_arg2379z00_2818,
																				BNIL);
																		}
																		SET_CDR(BgL_tail1438z00_2813,
																			BgL_newtail1439z00_2816);
																		{	/* Ast/let.scm 685 */
																			obj_t BgL_arg2377z00_2817;

																			BgL_arg2377z00_2817 =
																				CDR(((obj_t) BgL_l1435z00_2812));
																			{
																				obj_t BgL_tail1438z00_11056;
																				obj_t BgL_l1435z00_11055;

																				BgL_l1435z00_11055 =
																					BgL_arg2377z00_2817;
																				BgL_tail1438z00_11056 =
																					BgL_newtail1439z00_2816;
																				BgL_tail1438z00_2813 =
																					BgL_tail1438z00_11056;
																				BgL_l1435z00_2812 = BgL_l1435z00_11055;
																				goto
																					BgL_zc3z04anonymousza32375ze3z87_2814;
																			}
																		}
																	}
															}
														}
													}
												BgL_arg2373z00_2806 =
													MAKE_YOUNG_PAIR(BgL_bodyz00_2793, BNIL);
												BgL_arg2371z00_2804 =
													MAKE_YOUNG_PAIR(BgL_arg2372z00_2805,
													BgL_arg2373z00_2806);
											}
											BgL_arg2369z00_2803 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(4)), BgL_arg2371z00_2804);
										}
										BgL_arg2366z00_2802 =
											BGl_letrecursiveze70ze7zzast_letz00
											(BgL_reczd2bindingszd2_2798, BgL_arg2369z00_2803);
									}
									BgL_arg2365z00_2801 =
										BGl_z62letcollapsez62zzast_letz00
										(BgL_reczd2bindingszd2_2798, BgL_arg2366z00_2802);
								}
								return
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2365z00_2801,
									BgL_stackz00_7780, BgL_locz00_7781, BgL_sitez00_7782);
							}
					}
				}
		}

	}



/* letrecursive~0 */
	obj_t BGl_letrecursiveze70ze7zzast_letz00(obj_t BgL_ebindingsz00_2759,
		obj_t BgL_bodyz00_2760)
	{
		{	/* Ast/let.scm 668 */
			if (NULLP(BgL_ebindingsz00_2759))
				{	/* Ast/let.scm 661 */
					return BgL_bodyz00_2760;
				}
			else
				{	/* Ast/let.scm 663 */
					bool_t BgL_test4255z00_11067;

					{	/* Ast/let.scm 663 */
						obj_t BgL_arg2361z00_2791;

						BgL_arg2361z00_2791 = CAR(((obj_t) BgL_ebindingsz00_2759));
						BgL_test4255z00_11067 =
							CBOOL(BGl_z62usedzd2inzf3z43zzast_letz00(BgL_arg2361z00_2791,
								BgL_ebindingsz00_2759));
					}
					if (BgL_test4255z00_11067)
						{	/* Ast/let.scm 664 */
							obj_t BgL_arg2340z00_2765;

							{	/* Ast/let.scm 664 */
								obj_t BgL_arg2341z00_2766;
								obj_t BgL_arg2342z00_2767;

								{	/* Ast/let.scm 664 */
									obj_t BgL_head1431z00_2770;

									{	/* Ast/let.scm 664 */
										obj_t BgL_arg2350z00_2782;

										{	/* Ast/let.scm 571 */
											obj_t BgL_pairz00_6121;

											BgL_pairz00_6121 = CAR(((obj_t) BgL_ebindingsz00_2759));
											BgL_arg2350z00_2782 = CAR(BgL_pairz00_6121);
										}
										BgL_head1431z00_2770 =
											MAKE_YOUNG_PAIR(BgL_arg2350z00_2782, BNIL);
									}
									{	/* Ast/let.scm 664 */
										obj_t BgL_g1434z00_2771;

										BgL_g1434z00_2771 = CDR(((obj_t) BgL_ebindingsz00_2759));
										{
											obj_t BgL_l1429z00_2773;
											obj_t BgL_tail1432z00_2774;

											BgL_l1429z00_2773 = BgL_g1434z00_2771;
											BgL_tail1432z00_2774 = BgL_head1431z00_2770;
										BgL_zc3z04anonymousza32344ze3z87_2775:
											if (NULLP(BgL_l1429z00_2773))
												{	/* Ast/let.scm 664 */
													BgL_arg2341z00_2766 = BgL_head1431z00_2770;
												}
											else
												{	/* Ast/let.scm 664 */
													obj_t BgL_newtail1433z00_2777;

													{	/* Ast/let.scm 664 */
														obj_t BgL_arg2348z00_2779;

														{	/* Ast/let.scm 571 */
															obj_t BgL_pairz00_6124;

															BgL_pairz00_6124 =
																CAR(((obj_t) BgL_l1429z00_2773));
															BgL_arg2348z00_2779 = CAR(BgL_pairz00_6124);
														}
														BgL_newtail1433z00_2777 =
															MAKE_YOUNG_PAIR(BgL_arg2348z00_2779, BNIL);
													}
													SET_CDR(BgL_tail1432z00_2774,
														BgL_newtail1433z00_2777);
													{	/* Ast/let.scm 664 */
														obj_t BgL_arg2346z00_2778;

														BgL_arg2346z00_2778 =
															CDR(((obj_t) BgL_l1429z00_2773));
														{
															obj_t BgL_tail1432z00_11088;
															obj_t BgL_l1429z00_11087;

															BgL_l1429z00_11087 = BgL_arg2346z00_2778;
															BgL_tail1432z00_11088 = BgL_newtail1433z00_2777;
															BgL_tail1432z00_2774 = BgL_tail1432z00_11088;
															BgL_l1429z00_2773 = BgL_l1429z00_11087;
															goto BgL_zc3z04anonymousza32344ze3z87_2775;
														}
													}
												}
										}
									}
								}
								BgL_arg2342z00_2767 = MAKE_YOUNG_PAIR(BgL_bodyz00_2760, BNIL);
								BgL_arg2340z00_2765 =
									MAKE_YOUNG_PAIR(BgL_arg2341z00_2766, BgL_arg2342z00_2767);
							}
							return
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(10)), BgL_arg2340z00_2765);
						}
					else
						{	/* Ast/let.scm 667 */
							obj_t BgL_arg2353z00_2784;

							{	/* Ast/let.scm 667 */
								obj_t BgL_arg2354z00_2785;
								obj_t BgL_arg2355z00_2786;

								{	/* Ast/let.scm 667 */
									obj_t BgL_arg2356z00_2787;

									{	/* Ast/let.scm 571 */
										obj_t BgL_pairz00_6128;

										BgL_pairz00_6128 = CAR(((obj_t) BgL_ebindingsz00_2759));
										BgL_arg2356z00_2787 = CAR(BgL_pairz00_6128);
									}
									BgL_arg2354z00_2785 =
										MAKE_YOUNG_PAIR(BgL_arg2356z00_2787, BNIL);
								}
								{	/* Ast/let.scm 668 */
									obj_t BgL_arg2359z00_2789;

									{	/* Ast/let.scm 668 */
										obj_t BgL_arg2360z00_2790;

										BgL_arg2360z00_2790 = CDR(((obj_t) BgL_ebindingsz00_2759));
										BgL_arg2359z00_2789 =
											BGl_letrecursiveze70ze7zzast_letz00(BgL_arg2360z00_2790,
											BgL_bodyz00_2760);
									}
									BgL_arg2355z00_2786 =
										MAKE_YOUNG_PAIR(BgL_arg2359z00_2789, BNIL);
								}
								BgL_arg2353z00_2784 =
									MAKE_YOUNG_PAIR(BgL_arg2354z00_2785, BgL_arg2355z00_2786);
							}
							return
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(0)), BgL_arg2353z00_2784);
						}
				}
		}

	}



/* &letcollapse */
	obj_t BGl_z62letcollapsez62zzast_letz00(obj_t BgL_ebindingsz00_2741,
		obj_t BgL_exprz00_2742)
	{
		{	/* Ast/let.scm 657 */
			{
				obj_t BgL_ebindingsz00_2563;
				obj_t BgL_exprz00_2564;
				obj_t BgL_ebindingsz00_2676;
				obj_t BgL_exprz00_2677;

				if (PAIRP(BgL_exprz00_2742))
					{	/* Ast/let.scm 657 */
						if (
							(CAR(((obj_t) BgL_exprz00_2742)) == ((obj_t) CNST_TABLE_REF(0))))
							{	/* Ast/let.scm 657 */
								BgL_ebindingsz00_2563 = BgL_ebindingsz00_2741;
								BgL_exprz00_2564 = BgL_exprz00_2742;
								{
									obj_t BgL_exprz00_2568;
									obj_t BgL_bindingsz00_2569;
									obj_t BgL_ebindingsz00_2570;

									BgL_exprz00_2568 = BgL_exprz00_2564;
									BgL_bindingsz00_2569 = BNIL;
									BgL_ebindingsz00_2570 = BgL_ebindingsz00_2563;
								BgL_zc3z04anonymousza32201ze3z87_2571:
									{
										obj_t BgL_bindingz00_2572;
										obj_t BgL_varz00_2573;
										obj_t BgL_valz00_2574;
										obj_t BgL_subexprz00_2575;

										if (PAIRP(BgL_exprz00_2568))
											{	/* Ast/let.scm 605 */
												obj_t BgL_cdrzd2403zd2_2580;

												BgL_cdrzd2403zd2_2580 = CDR(((obj_t) BgL_exprz00_2568));
												if (
													(CAR(
															((obj_t) BgL_exprz00_2568)) ==
														((obj_t) CNST_TABLE_REF(0))))
													{	/* Ast/let.scm 605 */
														if (PAIRP(BgL_cdrzd2403zd2_2580))
															{	/* Ast/let.scm 605 */
																obj_t BgL_carzd2408zd2_2584;
																obj_t BgL_cdrzd2409zd2_2585;

																BgL_carzd2408zd2_2584 =
																	CAR(BgL_cdrzd2403zd2_2580);
																BgL_cdrzd2409zd2_2585 =
																	CDR(BgL_cdrzd2403zd2_2580);
																if (PAIRP(BgL_carzd2408zd2_2584))
																	{	/* Ast/let.scm 605 */
																		obj_t BgL_carzd2413zd2_2587;

																		BgL_carzd2413zd2_2587 =
																			CAR(BgL_carzd2408zd2_2584);
																		if (PAIRP(BgL_carzd2413zd2_2587))
																			{	/* Ast/let.scm 605 */
																				obj_t BgL_cdrzd2424zd2_2589;

																				BgL_cdrzd2424zd2_2589 =
																					CDR(BgL_carzd2413zd2_2587);
																				if (PAIRP(BgL_cdrzd2424zd2_2589))
																					{	/* Ast/let.scm 605 */
																						if (NULLP(CDR
																								(BgL_cdrzd2424zd2_2589)))
																							{	/* Ast/let.scm 605 */
																								if (NULLP(CDR
																										(BgL_carzd2408zd2_2584)))
																									{	/* Ast/let.scm 605 */
																										if (PAIRP
																											(BgL_cdrzd2409zd2_2585))
																											{	/* Ast/let.scm 605 */
																												if (NULLP(CDR
																														(BgL_cdrzd2409zd2_2585)))
																													{	/* Ast/let.scm 605 */
																														BgL_bindingz00_2572
																															=
																															BgL_carzd2413zd2_2587;
																														BgL_varz00_2573 =
																															CAR
																															(BgL_carzd2413zd2_2587);
																														BgL_valz00_2574 =
																															CAR
																															(BgL_cdrzd2424zd2_2589);
																														BgL_subexprz00_2575
																															=
																															CAR
																															(BgL_cdrzd2409zd2_2585);
																														{	/* Ast/let.scm 611 */
																															bool_t
																																BgL_test4269z00_11147;
																															{	/* Ast/let.scm 611 */
																																bool_t
																																	BgL_test4270z00_11148;
																																if (BGl_constantzf3zf3zzast_letz00(BgL_valz00_2574))
																																	{	/* Ast/let.scm 611 */
																																		BgL_test4270z00_11148
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/let.scm 611 */

																																		BgL_test4270z00_11148
																																			=
																																			CBOOL
																																			(BGl_functionzf3zf3zzast_letz00
																																			(BgL_valz00_2574,
																																				BFALSE));
																																	}
																																if (BgL_test4270z00_11148)
																																	{	/* Ast/let.scm 612 */
																																		bool_t
																																			BgL_test4272z00_11153;
																																		{
																																			obj_t
																																				BgL_list1427z00_2659;
																																			{	/* Ast/let.scm 614 */
																																				obj_t
																																					BgL_tmpz00_11154;
																																				{	/* Ast/let.scm 574 */
																																					obj_t
																																						BgL_pairz00_6079;
																																					BgL_pairz00_6079
																																						=
																																						CAR(
																																						((obj_t) BgL_ebindingsz00_2570));
																																					BgL_list1427z00_2659
																																						=
																																						CAR
																																						(CDR
																																						(CDR
																																							(BgL_pairz00_6079)));
																																				}
																																			BgL_zc3z04anonymousza32258ze3z87_2660:
																																				if (PAIRP(BgL_list1427z00_2659))
																																					{	/* Ast/let.scm 614 */
																																						bool_t
																																							BgL_test4274z00_11157;
																																						{	/* Ast/let.scm 613 */
																																							obj_t
																																								BgL_tmpz00_11158;
																																							BgL_tmpz00_11158
																																								=
																																								BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																																								(CAR
																																								(BgL_list1427z00_2659),
																																								BgL_bindingsz00_2569);
																																							BgL_test4274z00_11157
																																								=
																																								PAIRP
																																								(BgL_tmpz00_11158);
																																						}
																																						if (BgL_test4274z00_11157)
																																							{	/* Ast/let.scm 614 */
																																								BgL_tmpz00_11154
																																									=
																																									CAR
																																									(BgL_list1427z00_2659);
																																							}
																																						else
																																							{
																																								obj_t
																																									BgL_list1427z00_11163;
																																								BgL_list1427z00_11163
																																									=
																																									CDR
																																									(BgL_list1427z00_2659);
																																								BgL_list1427z00_2659
																																									=
																																									BgL_list1427z00_11163;
																																								goto
																																									BgL_zc3z04anonymousza32258ze3z87_2660;
																																							}
																																					}
																																				else
																																					{	/* Ast/let.scm 614 */
																																						BgL_tmpz00_11154
																																							=
																																							BFALSE;
																																					}
																																				BgL_test4272z00_11153
																																					=
																																					CBOOL
																																					(BgL_tmpz00_11154);
																																			}
																																		}
																																		if (BgL_test4272z00_11153)
																																			{	/* Ast/let.scm 612 */
																																				BgL_test4269z00_11147
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																		else
																																			{	/* Ast/let.scm 612 */
																																				BgL_test4269z00_11147
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																	}
																																else
																																	{	/* Ast/let.scm 611 */
																																		BgL_test4269z00_11147
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																															if (BgL_test4269z00_11147)
																																{	/* Ast/let.scm 619 */
																																	obj_t
																																		BgL_arg2240z00_2638;
																																	obj_t
																																		BgL_arg2241z00_2639;
																																	BgL_arg2240z00_2638
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_bindingz00_2572,
																																		BgL_bindingsz00_2569);
																																	BgL_arg2241z00_2639
																																		=
																																		CDR(((obj_t)
																																			BgL_ebindingsz00_2570));
																																	{
																																		obj_t
																																			BgL_ebindingsz00_11176;
																																		obj_t
																																			BgL_bindingsz00_11175;
																																		obj_t
																																			BgL_exprz00_11174;
																																		BgL_exprz00_11174
																																			=
																																			BgL_subexprz00_2575;
																																		BgL_bindingsz00_11175
																																			=
																																			BgL_arg2240z00_2638;
																																		BgL_ebindingsz00_11176
																																			=
																																			BgL_arg2241z00_2639;
																																		BgL_ebindingsz00_2570
																																			=
																																			BgL_ebindingsz00_11176;
																																		BgL_bindingsz00_2569
																																			=
																																			BgL_bindingsz00_11175;
																																		BgL_exprz00_2568
																																			=
																																			BgL_exprz00_11174;
																																		goto
																																			BgL_zc3z04anonymousza32201ze3z87_2571;
																																	}
																																}
																															else
																																{	/* Ast/let.scm 611 */
																																	if (NULLP
																																		(BgL_bindingsz00_2569))
																																		{	/* Ast/let.scm 621 */
																																			obj_t
																																				BgL_arg2243z00_2641;
																																			{	/* Ast/let.scm 621 */
																																				obj_t
																																					BgL_arg2244z00_2642;
																																				obj_t
																																					BgL_arg2245z00_2643;
																																				BgL_arg2244z00_2642
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_bindingz00_2572,
																																					BNIL);
																																				{	/* Ast/let.scm 621 */
																																					obj_t
																																						BgL_arg2246z00_2644;
																																					{	/* Ast/let.scm 621 */
																																						obj_t
																																							BgL_arg2247z00_2645;
																																						BgL_arg2247z00_2645
																																							=
																																							CDR
																																							(((obj_t) BgL_ebindingsz00_2570));
																																						BgL_arg2246z00_2644
																																							=
																																							BGl_z62letcollapsez62zzast_letz00
																																							(BgL_arg2247z00_2645,
																																							BgL_subexprz00_2575);
																																					}
																																					BgL_arg2245z00_2643
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg2246z00_2644,
																																						BNIL);
																																				}
																																				BgL_arg2243z00_2641
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg2244z00_2642,
																																					BgL_arg2245z00_2643);
																																			}
																																			return
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) CNST_TABLE_REF(0)), BgL_arg2243z00_2641);
																																		}
																																	else
																																		{	/* Ast/let.scm 623 */
																																			obj_t
																																				BgL_arg2248z00_2646;
																																			{	/* Ast/let.scm 623 */
																																				obj_t
																																					BgL_arg2249z00_2647;
																																				obj_t
																																					BgL_arg2250z00_2648;
																																				BgL_arg2249z00_2647
																																					=
																																					bgl_reverse
																																					(BgL_bindingsz00_2569);
																																				{	/* Ast/let.scm 624 */
																																					obj_t
																																						BgL_arg2252z00_2649;
																																					{	/* Ast/let.scm 624 */
																																						obj_t
																																							BgL_arg2253z00_2650;
																																						{	/* Ast/let.scm 624 */
																																							obj_t
																																								BgL_arg2254z00_2651;
																																							obj_t
																																								BgL_arg2255z00_2652;
																																							BgL_arg2254z00_2651
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BgL_bindingz00_2572,
																																								BNIL);
																																							{	/* Ast/let.scm 624 */
																																								obj_t
																																									BgL_arg2256z00_2653;
																																								{	/* Ast/let.scm 624 */
																																									obj_t
																																										BgL_arg2257z00_2654;
																																									BgL_arg2257z00_2654
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_ebindingsz00_2570));
																																									BgL_arg2256z00_2653
																																										=
																																										BGl_z62letcollapsez62zzast_letz00
																																										(BgL_arg2257z00_2654,
																																										BgL_subexprz00_2575);
																																								}
																																								BgL_arg2255z00_2652
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg2256z00_2653,
																																									BNIL);
																																							}
																																							BgL_arg2253z00_2650
																																								=
																																								MAKE_YOUNG_PAIR
																																								(BgL_arg2254z00_2651,
																																								BgL_arg2255z00_2652);
																																						}
																																						BgL_arg2252z00_2649
																																							=
																																							MAKE_YOUNG_PAIR
																																							(((obj_t) CNST_TABLE_REF(0)), BgL_arg2253z00_2650);
																																					}
																																					BgL_arg2250z00_2648
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg2252z00_2649,
																																						BNIL);
																																				}
																																				BgL_arg2248z00_2646
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg2249z00_2647,
																																					BgL_arg2250z00_2648);
																																			}
																																			return
																																				MAKE_YOUNG_PAIR
																																				(((obj_t) CNST_TABLE_REF(0)), BgL_arg2248z00_2646);
																																		}
																																}
																														}
																													}
																												else
																													{	/* Ast/let.scm 605 */
																													BgL_tagzd2392zd2_2577:
																														if (NULLP
																															(BgL_bindingsz00_2569))
																															{	/* Ast/let.scm 626 */
																																return
																																	BgL_exprz00_2568;
																															}
																														else
																															{	/* Ast/let.scm 627 */
																																obj_t
																																	BgL_arg2263z00_2672;
																																{	/* Ast/let.scm 627 */
																																	obj_t
																																		BgL_arg2264z00_2673;
																																	obj_t
																																		BgL_arg2265z00_2674;
																																	BgL_arg2264z00_2673
																																		=
																																		bgl_reverse
																																		(BgL_bindingsz00_2569);
																																	BgL_arg2265z00_2674
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_exprz00_2568,
																																		BNIL);
																																	BgL_arg2263z00_2672
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg2264z00_2673,
																																		BgL_arg2265z00_2674);
																																}
																																return
																																	MAKE_YOUNG_PAIR
																																	(((obj_t)
																																		CNST_TABLE_REF
																																		(0)),
																																	BgL_arg2263z00_2672);
																															}
																													}
																											}
																										else
																											{	/* Ast/let.scm 605 */
																												goto
																													BgL_tagzd2392zd2_2577;
																											}
																									}
																								else
																									{	/* Ast/let.scm 605 */
																										goto BgL_tagzd2392zd2_2577;
																									}
																							}
																						else
																							{	/* Ast/let.scm 605 */
																								goto BgL_tagzd2392zd2_2577;
																							}
																					}
																				else
																					{	/* Ast/let.scm 605 */
																						goto BgL_tagzd2392zd2_2577;
																					}
																			}
																		else
																			{	/* Ast/let.scm 605 */
																				goto BgL_tagzd2392zd2_2577;
																			}
																	}
																else
																	{	/* Ast/let.scm 605 */
																		goto BgL_tagzd2392zd2_2577;
																	}
															}
														else
															{	/* Ast/let.scm 605 */
																goto BgL_tagzd2392zd2_2577;
															}
													}
												else
													{	/* Ast/let.scm 605 */
														goto BgL_tagzd2392zd2_2577;
													}
											}
										else
											{	/* Ast/let.scm 605 */
												goto BgL_tagzd2392zd2_2577;
											}
									}
								}
							}
						else
							{	/* Ast/let.scm 657 */
								if (
									(CAR(
											((obj_t) BgL_exprz00_2742)) ==
										((obj_t) CNST_TABLE_REF(10))))
									{	/* Ast/let.scm 657 */
										BgL_ebindingsz00_2676 = BgL_ebindingsz00_2741;
										BgL_exprz00_2677 = BgL_exprz00_2742;
										{
											obj_t BgL_exprz00_2681;
											obj_t BgL_bindingsz00_2682;
											obj_t BgL_ebindingsz00_2683;

											BgL_exprz00_2681 = BgL_exprz00_2677;
											BgL_bindingsz00_2682 = BNIL;
											BgL_ebindingsz00_2683 = BgL_ebindingsz00_2676;
										BgL_zc3z04anonymousza32267ze3z87_2684:
											{
												obj_t BgL_bindingz00_2685;
												obj_t BgL_valz00_2686;
												obj_t BgL_subexprz00_2687;

												if (PAIRP(BgL_exprz00_2681))
													{	/* Ast/let.scm 631 */
														obj_t BgL_cdrzd2444zd2_2692;

														BgL_cdrzd2444zd2_2692 =
															CDR(((obj_t) BgL_exprz00_2681));
														if (
															(CAR(
																	((obj_t) BgL_exprz00_2681)) ==
																((obj_t) CNST_TABLE_REF(10))))
															{	/* Ast/let.scm 631 */
																if (PAIRP(BgL_cdrzd2444zd2_2692))
																	{	/* Ast/let.scm 631 */
																		obj_t BgL_carzd2448zd2_2696;
																		obj_t BgL_cdrzd2449zd2_2697;

																		BgL_carzd2448zd2_2696 =
																			CAR(BgL_cdrzd2444zd2_2692);
																		BgL_cdrzd2449zd2_2697 =
																			CDR(BgL_cdrzd2444zd2_2692);
																		if (PAIRP(BgL_carzd2448zd2_2696))
																			{	/* Ast/let.scm 631 */
																				obj_t BgL_carzd2452zd2_2699;

																				BgL_carzd2452zd2_2699 =
																					CAR(BgL_carzd2448zd2_2696);
																				if (PAIRP(BgL_carzd2452zd2_2699))
																					{	/* Ast/let.scm 631 */
																						obj_t BgL_cdrzd2460zd2_2701;

																						BgL_cdrzd2460zd2_2701 =
																							CDR(BgL_carzd2452zd2_2699);
																						if (PAIRP(BgL_cdrzd2460zd2_2701))
																							{	/* Ast/let.scm 631 */
																								if (NULLP(CDR
																										(BgL_cdrzd2460zd2_2701)))
																									{	/* Ast/let.scm 631 */
																										if (NULLP(CDR
																												(BgL_carzd2448zd2_2696)))
																											{	/* Ast/let.scm 631 */
																												if (PAIRP
																													(BgL_cdrzd2449zd2_2697))
																													{	/* Ast/let.scm 631 */
																														if (NULLP(CDR
																																(BgL_cdrzd2449zd2_2697)))
																															{	/* Ast/let.scm 631 */
																																BgL_bindingz00_2685
																																	=
																																	BgL_carzd2452zd2_2699;
																																BgL_valz00_2686
																																	=
																																	CAR
																																	(BgL_cdrzd2460zd2_2701);
																																BgL_subexprz00_2687
																																	=
																																	CAR
																																	(BgL_cdrzd2449zd2_2697);
																																if (CBOOL
																																	(BGl_functionzf3zf3zzast_letz00
																																		(BgL_valz00_2686,
																																			BTRUE)))
																																	{	/* Ast/let.scm 638 */
																																		obj_t
																																			BgL_arg2291z00_2717;
																																		BgL_arg2291z00_2717
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_bindingz00_2685,
																																			BgL_bindingsz00_2682);
																																		{
																																			obj_t
																																				BgL_bindingsz00_11258;
																																			obj_t
																																				BgL_exprz00_11257;
																																			BgL_exprz00_11257
																																				=
																																				BgL_subexprz00_2687;
																																			BgL_bindingsz00_11258
																																				=
																																				BgL_arg2291z00_2717;
																																			BgL_bindingsz00_2682
																																				=
																																				BgL_bindingsz00_11258;
																																			BgL_exprz00_2681
																																				=
																																				BgL_exprz00_11257;
																																			goto
																																				BgL_zc3z04anonymousza32267ze3z87_2684;
																																		}
																																	}
																																else
																																	{	/* Ast/let.scm 637 */
																																		if (NULLP
																																			(BgL_bindingsz00_2682))
																																			{	/* Ast/let.scm 640 */
																																				obj_t
																																					BgL_arg2293z00_2719;
																																				{	/* Ast/let.scm 640 */
																																					obj_t
																																						BgL_arg2294z00_2720;
																																					obj_t
																																						BgL_arg2295z00_2721;
																																					BgL_arg2294z00_2720
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_bindingz00_2685,
																																						BNIL);
																																					{	/* Ast/let.scm 640 */
																																						obj_t
																																							BgL_arg2298z00_2722;
																																						{	/* Ast/let.scm 640 */
																																							obj_t
																																								BgL_arg2300z00_2723;
																																							BgL_arg2300z00_2723
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_ebindingsz00_2683));
																																							BgL_arg2298z00_2722
																																								=
																																								BGl_z62letcollapsez62zzast_letz00
																																								(BgL_arg2300z00_2723,
																																								BgL_subexprz00_2687);
																																						}
																																						BgL_arg2295z00_2721
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_arg2298z00_2722,
																																							BNIL);
																																					}
																																					BgL_arg2293z00_2719
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg2294z00_2720,
																																						BgL_arg2295z00_2721);
																																				}
																																				return
																																					MAKE_YOUNG_PAIR
																																					(((obj_t) CNST_TABLE_REF(10)), BgL_arg2293z00_2719);
																																			}
																																		else
																																			{	/* Ast/let.scm 642 */
																																				obj_t
																																					BgL_arg2301z00_2724;
																																				{	/* Ast/let.scm 642 */
																																					obj_t
																																						BgL_arg2302z00_2725;
																																					obj_t
																																						BgL_arg2303z00_2726;
																																					BgL_arg2302z00_2725
																																						=
																																						bgl_reverse
																																						(BgL_bindingsz00_2682);
																																					{	/* Ast/let.scm 643 */
																																						obj_t
																																							BgL_arg2305z00_2727;
																																						{	/* Ast/let.scm 643 */
																																							obj_t
																																								BgL_arg2307z00_2728;
																																							{	/* Ast/let.scm 643 */
																																								obj_t
																																									BgL_arg2308z00_2729;
																																								obj_t
																																									BgL_arg2309z00_2730;
																																								BgL_arg2308z00_2729
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_bindingz00_2685,
																																									BNIL);
																																								{	/* Ast/let.scm 643 */
																																									obj_t
																																										BgL_arg2311z00_2731;
																																									{	/* Ast/let.scm 643 */
																																										obj_t
																																											BgL_arg2313z00_2732;
																																										BgL_arg2313z00_2732
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_ebindingsz00_2683));
																																										BgL_arg2311z00_2731
																																											=
																																											BGl_z62letcollapsez62zzast_letz00
																																											(BgL_arg2313z00_2732,
																																											BgL_subexprz00_2687);
																																									}
																																									BgL_arg2309z00_2730
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BgL_arg2311z00_2731,
																																										BNIL);
																																								}
																																								BgL_arg2307z00_2728
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg2308z00_2729,
																																									BgL_arg2309z00_2730);
																																							}
																																							BgL_arg2305z00_2727
																																								=
																																								MAKE_YOUNG_PAIR
																																								(
																																								((obj_t) CNST_TABLE_REF(10)), BgL_arg2307z00_2728);
																																						}
																																						BgL_arg2303z00_2726
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BgL_arg2305z00_2727,
																																							BNIL);
																																					}
																																					BgL_arg2301z00_2724
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg2302z00_2725,
																																						BgL_arg2303z00_2726);
																																				}
																																				return
																																					MAKE_YOUNG_PAIR
																																					(((obj_t) CNST_TABLE_REF(10)), BgL_arg2301z00_2724);
																																			}
																																	}
																															}
																														else
																															{	/* Ast/let.scm 631 */
																															BgL_tagzd2435zd2_2689:
																																if (NULLP
																																	(BgL_bindingsz00_2682))
																																	{	/* Ast/let.scm 645 */
																																		return
																																			BgL_exprz00_2681;
																																	}
																																else
																																	{	/* Ast/let.scm 646 */
																																		obj_t
																																			BgL_arg2315z00_2734;
																																		{	/* Ast/let.scm 646 */
																																			obj_t
																																				BgL_arg2316z00_2735;
																																			obj_t
																																				BgL_arg2318z00_2736;
																																			BgL_arg2316z00_2735
																																				=
																																				bgl_reverse
																																				(BgL_bindingsz00_2682);
																																			BgL_arg2318z00_2736
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_exprz00_2681,
																																				BNIL);
																																			BgL_arg2315z00_2734
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg2316z00_2735,
																																				BgL_arg2318z00_2736);
																																		}
																																		return
																																			MAKE_YOUNG_PAIR
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(10)),
																																			BgL_arg2315z00_2734);
																																	}
																															}
																													}
																												else
																													{	/* Ast/let.scm 631 */
																														goto
																															BgL_tagzd2435zd2_2689;
																													}
																											}
																										else
																											{	/* Ast/let.scm 631 */
																												goto
																													BgL_tagzd2435zd2_2689;
																											}
																									}
																								else
																									{	/* Ast/let.scm 631 */
																										goto BgL_tagzd2435zd2_2689;
																									}
																							}
																						else
																							{	/* Ast/let.scm 631 */
																								goto BgL_tagzd2435zd2_2689;
																							}
																					}
																				else
																					{	/* Ast/let.scm 631 */
																						goto BgL_tagzd2435zd2_2689;
																					}
																			}
																		else
																			{	/* Ast/let.scm 631 */
																				goto BgL_tagzd2435zd2_2689;
																			}
																	}
																else
																	{	/* Ast/let.scm 631 */
																		goto BgL_tagzd2435zd2_2689;
																	}
															}
														else
															{	/* Ast/let.scm 631 */
																goto BgL_tagzd2435zd2_2689;
															}
													}
												else
													{	/* Ast/let.scm 631 */
														goto BgL_tagzd2435zd2_2689;
													}
											}
										}
									}
								else
									{	/* Ast/let.scm 657 */
										if (
											(CAR(
													((obj_t) BgL_exprz00_2742)) ==
												((obj_t) CNST_TABLE_REF(8))))
											{	/* Ast/let.scm 657 */
												return BgL_exprz00_2742;
											}
										else
											{	/* Ast/let.scm 657 */
												return BgL_exprz00_2742;
											}
									}
							}
					}
				else
					{	/* Ast/let.scm 657 */
						return BgL_exprz00_2742;
					}
			}
		}

	}



/* &stage1 */
	BgL_nodez00_bglt BGl_z62stage1z62zzast_letz00(obj_t BgL_envz00_7783,
		obj_t BgL_ebindingsz00_7792, obj_t BgL_bodyz00_7793)
	{
		{	/* Ast/let.scm 1136 */
			{	/* Ast/let.scm 1115 */
				obj_t BgL_stage7z00_7784;
				obj_t BgL_stage5z00_7785;
				obj_t BgL_stage4z00_7786;
				obj_t BgL_stage3z00_7787;
				obj_t BgL_stackz00_7788;
				obj_t BgL_locz00_7789;
				obj_t BgL_sitez00_7790;
				obj_t BgL_stage2z00_7791;

				BgL_stage7z00_7784 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_7783, (int) (0L)));
				BgL_stage5z00_7785 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_7783, (int) (1L)));
				BgL_stage4z00_7786 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_7783, (int) (2L)));
				BgL_stage3z00_7787 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_7783, (int) (3L)));
				BgL_stackz00_7788 = PROCEDURE_L_REF(BgL_envz00_7783, (int) (4L));
				BgL_locz00_7789 = PROCEDURE_L_REF(BgL_envz00_7783, (int) (5L));
				BgL_sitez00_7790 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_7783, (int) (6L)));
				BgL_stage2z00_7791 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_7783, (int) (7L)));
				{
					obj_t BgL_ebindingsz00_7874;
					obj_t BgL_bodyz00_7875;
					obj_t BgL_splitz00_7876;
					obj_t BgL_kontz00_7877;

					{	/* Ast/let.scm 1115 */
						obj_t BgL_splitz00_7894;

						{	/* Ast/let.scm 1115 */
							int BgL_tmpz00_11323;

							BgL_tmpz00_11323 = (int) (0L);
							BgL_splitz00_7894 = MAKE_EL_PROCEDURE(BgL_tmpz00_11323);
						}
						BgL_ebindingsz00_7874 = BgL_ebindingsz00_7792;
						BgL_bodyz00_7875 = BgL_bodyz00_7793;
						BgL_splitz00_7876 = BgL_splitz00_7894;
						BgL_kontz00_7877 = BgL_stage2z00_7791;
						if (NULLP(BgL_ebindingsz00_7874))
							{	/* Ast/let.scm 739 */
								return
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_bodyz00_7875,
									BgL_stackz00_7788, BgL_locz00_7789, BgL_sitez00_7790);
							}
						else
							{	/* Ast/let.scm 742 */
								obj_t BgL_recza2zd2bindingsz70_7878;

								BgL_recza2zd2bindingsz70_7878 =
									BGl_z62splitz62zzast_letz00(BgL_splitz00_7876,
									BgL_ebindingsz00_7874);
								{	/* Ast/let.scm 743 */
									obj_t BgL_tailzd2bindingszd2_7879;

									{	/* Ast/let.scm 749 */
										obj_t BgL_tmpz00_7880;

										{	/* Ast/let.scm 749 */
											int BgL_tmpz00_11333;

											BgL_tmpz00_11333 = (int) (1L);
											BgL_tmpz00_7880 = BGL_MVALUES_VAL(BgL_tmpz00_11333);
										}
										{	/* Ast/let.scm 749 */
											int BgL_tmpz00_11336;

											BgL_tmpz00_11336 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_11336, BUNSPEC);
										}
										BgL_tailzd2bindingszd2_7879 = BgL_tmpz00_7880;
									}
									if (NULLP(BgL_tailzd2bindingszd2_7879))
										{	/* Ast/let.scm 749 */
											return
												BGl_z62stage2z62zzast_letz00(BgL_kontz00_7877,
												BgL_ebindingsz00_7874, BgL_bodyz00_7875);
										}
									else
										{	/* Ast/let.scm 749 */
											if (NULLP(BgL_recza2zd2bindingsz70_7878))
												{	/* Ast/let.scm 751 */
													return
														BGl_sexpzd2ze3nodez31zzast_sexpz00
														(BGl_z62letstarz62zzast_letz00
														(BgL_tailzd2bindingszd2_7879, BgL_bodyz00_7875),
														BgL_stackz00_7788, BgL_locz00_7789,
														BgL_sitez00_7790);
												}
											else
												{	/* Ast/let.scm 753 */
													obj_t BgL_arg2448z00_7881;

													{	/* Ast/let.scm 753 */
														obj_t BgL_arg2449z00_7882;

														{	/* Ast/let.scm 753 */
															obj_t BgL_arg2450z00_7883;
															obj_t BgL_arg2451z00_7884;

															{	/* Ast/let.scm 753 */
																obj_t BgL_head1461z00_7885;

																BgL_head1461z00_7885 =
																	MAKE_YOUNG_PAIR(CAR(CAR
																		(BgL_recza2zd2bindingsz70_7878)), BNIL);
																{	/* Ast/let.scm 753 */
																	obj_t BgL_g1464z00_7886;

																	BgL_g1464z00_7886 =
																		CDR(BgL_recza2zd2bindingsz70_7878);
																	{
																		obj_t BgL_l1459z00_7888;
																		obj_t BgL_tail1462z00_7889;

																		BgL_l1459z00_7888 = BgL_g1464z00_7886;
																		BgL_tail1462z00_7889 = BgL_head1461z00_7885;
																	BgL_zc3z04anonymousza32453ze3z87_7887:
																		if (NULLP(BgL_l1459z00_7888))
																			{	/* Ast/let.scm 753 */
																				BgL_arg2450z00_7883 =
																					BgL_head1461z00_7885;
																			}
																		else
																			{	/* Ast/let.scm 753 */
																				obj_t BgL_newtail1463z00_7890;

																				{	/* Ast/let.scm 753 */
																					obj_t BgL_arg2457z00_7891;

																					{	/* Ast/let.scm 571 */
																						obj_t BgL_pairz00_7892;

																						BgL_pairz00_7892 =
																							CAR(((obj_t) BgL_l1459z00_7888));
																						BgL_arg2457z00_7891 =
																							CAR(BgL_pairz00_7892);
																					}
																					BgL_newtail1463z00_7890 =
																						MAKE_YOUNG_PAIR(BgL_arg2457z00_7891,
																						BNIL);
																				}
																				SET_CDR(BgL_tail1462z00_7889,
																					BgL_newtail1463z00_7890);
																				{	/* Ast/let.scm 753 */
																					obj_t BgL_arg2455z00_7893;

																					BgL_arg2455z00_7893 =
																						CDR(((obj_t) BgL_l1459z00_7888));
																					{
																						obj_t BgL_tail1462z00_11364;
																						obj_t BgL_l1459z00_11363;

																						BgL_l1459z00_11363 =
																							BgL_arg2455z00_7893;
																						BgL_tail1462z00_11364 =
																							BgL_newtail1463z00_7890;
																						BgL_tail1462z00_7889 =
																							BgL_tail1462z00_11364;
																						BgL_l1459z00_7888 =
																							BgL_l1459z00_11363;
																						goto
																							BgL_zc3z04anonymousza32453ze3z87_7887;
																					}
																				}
																			}
																	}
																}
															}
															BgL_arg2451z00_7884 =
																MAKE_YOUNG_PAIR(BGl_z62letstarz62zzast_letz00
																(BgL_tailzd2bindingszd2_7879, BgL_bodyz00_7875),
																BNIL);
															BgL_arg2449z00_7882 =
																MAKE_YOUNG_PAIR(BgL_arg2450z00_7883,
																BgL_arg2451z00_7884);
														}
														BgL_arg2448z00_7881 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(4)), BgL_arg2449z00_7882);
													}
													return
														BGl_sexpzd2ze3nodez31zzast_sexpz00
														(BgL_arg2448z00_7881, BgL_stackz00_7788,
														BgL_locz00_7789, BgL_sitez00_7790);
												}
										}
								}
							}
					}
				}
			}
		}

	}



/* &split3807 */
	obj_t BGl_z62split3807z62zzast_letz00(obj_t BgL_envz00_7794,
		obj_t BgL_ebindingsz00_7795)
	{
		{	/* Ast/let.scm 1160 */
			{
				obj_t BgL_ebindingsz00_7896;
				obj_t BgL_reczd2bindingszd2_7897;
				obj_t BgL_recza2zd2bindingsz70_7898;

				BgL_ebindingsz00_7896 = BgL_ebindingsz00_7795;
				BgL_reczd2bindingszd2_7897 = BNIL;
				BgL_recza2zd2bindingsz70_7898 = BNIL;
			BgL_loopz00_7895:
				if (NULLP(BgL_ebindingsz00_7896))
					{	/* Ast/let.scm 1150 */
						obj_t BgL_val0_1558z00_7899;
						obj_t BgL_val1_1559z00_7900;

						BgL_val0_1558z00_7899 =
							bgl_reverse_bang(BgL_reczd2bindingszd2_7897);
						BgL_val1_1559z00_7900 =
							bgl_reverse_bang(BgL_recza2zd2bindingsz70_7898);
						{	/* Ast/let.scm 1150 */
							int BgL_tmpz00_11376;

							BgL_tmpz00_11376 = (int) (2L);
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11376);
						}
						{	/* Ast/let.scm 1150 */
							int BgL_tmpz00_11379;

							BgL_tmpz00_11379 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11379, BgL_val1_1559z00_7900);
						}
						return BgL_val0_1558z00_7899;
					}
				else
					{	/* Ast/let.scm 1151 */
						bool_t BgL_test4297z00_11382;

						{	/* Ast/let.scm 1151 */
							bool_t BgL_test4298z00_11383;

							{	/* Ast/let.scm 1151 */
								obj_t BgL_arg3458z00_7901;

								{	/* Ast/let.scm 572 */
									obj_t BgL_pairz00_7902;

									BgL_pairz00_7902 =
										CAR(((obj_t) CAR(((obj_t) BgL_ebindingsz00_7896))));
									BgL_arg3458z00_7901 = CAR(CDR(BgL_pairz00_7902));
								}
								BgL_test4298z00_11383 =
									BGl_loopze70ze7zzast_letz00(BgL_arg3458z00_7901);
							}
							if (BgL_test4298z00_11383)
								{	/* Ast/let.scm 1151 */
									BgL_test4297z00_11382 = ((bool_t) 0);
								}
							else
								{	/* Ast/let.scm 1152 */
									obj_t BgL_arg3457z00_7903;

									BgL_arg3457z00_7903 = CAR(((obj_t) BgL_ebindingsz00_7896));
									if (CBOOL(BGl_z62mutablezd2inzf3z43zzast_letz00
											(BgL_arg3457z00_7903, BgL_recza2zd2bindingsz70_7898)))
										{	/* Ast/let.scm 585 */
											BgL_test4297z00_11382 = ((bool_t) 0);
										}
									else
										{	/* Ast/let.scm 585 */
											BgL_test4297z00_11382 = ((bool_t) 1);
										}
								}
						}
						if (BgL_test4297z00_11382)
							{	/* Ast/let.scm 1154 */
								obj_t BgL_arg3451z00_7904;
								obj_t BgL_arg3452z00_7905;

								BgL_arg3451z00_7904 = CDR(((obj_t) BgL_ebindingsz00_7896));
								{	/* Ast/let.scm 1155 */
									obj_t BgL_arg3453z00_7906;

									BgL_arg3453z00_7906 = CAR(((obj_t) BgL_ebindingsz00_7896));
									BgL_arg3452z00_7905 =
										MAKE_YOUNG_PAIR(BgL_arg3453z00_7906,
										BgL_reczd2bindingszd2_7897);
								}
								{
									obj_t BgL_reczd2bindingszd2_11402;
									obj_t BgL_ebindingsz00_11401;

									BgL_ebindingsz00_11401 = BgL_arg3451z00_7904;
									BgL_reczd2bindingszd2_11402 = BgL_arg3452z00_7905;
									BgL_reczd2bindingszd2_7897 = BgL_reczd2bindingszd2_11402;
									BgL_ebindingsz00_7896 = BgL_ebindingsz00_11401;
									goto BgL_loopz00_7895;
								}
							}
						else
							{	/* Ast/let.scm 1158 */
								obj_t BgL_arg3454z00_7907;
								obj_t BgL_arg3455z00_7908;

								BgL_arg3454z00_7907 = CDR(((obj_t) BgL_ebindingsz00_7896));
								{	/* Ast/let.scm 1160 */
									obj_t BgL_arg3456z00_7909;

									BgL_arg3456z00_7909 = CAR(((obj_t) BgL_ebindingsz00_7896));
									BgL_arg3455z00_7908 =
										MAKE_YOUNG_PAIR(BgL_arg3456z00_7909,
										BgL_recza2zd2bindingsz70_7898);
								}
								{
									obj_t BgL_recza2zd2bindingsz70_11409;
									obj_t BgL_ebindingsz00_11408;

									BgL_ebindingsz00_11408 = BgL_arg3454z00_7907;
									BgL_recza2zd2bindingsz70_11409 = BgL_arg3455z00_7908;
									BgL_recza2zd2bindingsz70_7898 =
										BgL_recza2zd2bindingsz70_11409;
									BgL_ebindingsz00_7896 = BgL_ebindingsz00_11408;
									goto BgL_loopz00_7895;
								}
							}
					}
			}
		}

	}



/* &stage2 */
	BgL_nodez00_bglt BGl_z62stage2z62zzast_letz00(obj_t BgL_envz00_7796,
		obj_t BgL_ebindingsz00_7804, obj_t BgL_bodyz00_7805)
	{
		{	/* Ast/let.scm 1104 */
			{	/* Ast/let.scm 1078 */
				obj_t BgL_stage7z00_7797;
				obj_t BgL_stackz00_7798;
				obj_t BgL_locz00_7799;
				obj_t BgL_sitez00_7800;
				obj_t BgL_stage5z00_7801;
				obj_t BgL_stage4z00_7802;
				obj_t BgL_stage3z00_7803;

				BgL_stage7z00_7797 =
					((obj_t) PROCEDURE_EL_REF(BgL_envz00_7796, (int) (0L)));
				BgL_stackz00_7798 = PROCEDURE_EL_REF(BgL_envz00_7796, (int) (1L));
				BgL_locz00_7799 = PROCEDURE_EL_REF(BgL_envz00_7796, (int) (2L));
				BgL_sitez00_7800 =
					((obj_t) PROCEDURE_EL_REF(BgL_envz00_7796, (int) (3L)));
				BgL_stage5z00_7801 =
					((obj_t) PROCEDURE_EL_REF(BgL_envz00_7796, (int) (4L)));
				BgL_stage4z00_7802 =
					((obj_t) PROCEDURE_EL_REF(BgL_envz00_7796, (int) (5L)));
				BgL_stage3z00_7803 =
					((obj_t) PROCEDURE_EL_REF(BgL_envz00_7796, (int) (6L)));
				return
					BGl_z62splitzd2headzd2letrecz62zzast_letz00(BgL_sitez00_7800,
					BgL_locz00_7799, BgL_stackz00_7798, BgL_ebindingsz00_7804,
					BgL_bodyz00_7805, BGl_proc3817z00zzast_letz00, BgL_stage3z00_7803);
			}
		}

	}



/* &split */
	obj_t BGl_z62splitz62zzast_letz00(obj_t BgL_envz00_7806,
		obj_t BgL_ebindingsz00_7807)
	{
		{	/* Ast/let.scm 1136 */
			{	/* Ast/let.scm 1115 */
				obj_t BgL_g1208z00_7911;

				BgL_g1208z00_7911 = bgl_reverse(BgL_ebindingsz00_7807);
				{
					obj_t BgL_rebindingsz00_7913;
					obj_t BgL_letza2zd2bindingsz70_7914;

					BgL_rebindingsz00_7913 = BgL_g1208z00_7911;
					BgL_letza2zd2bindingsz70_7914 = BNIL;
				BgL_loopz00_7912:
					if (NULLP(BgL_rebindingsz00_7913))
						{	/* Ast/let.scm 1118 */
							{	/* Ast/let.scm 1119 */
								int BgL_tmpz00_11433;

								BgL_tmpz00_11433 = (int) (2L);
								BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11433);
							}
							{	/* Ast/let.scm 1119 */
								int BgL_tmpz00_11436;

								BgL_tmpz00_11436 = (int) (1L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_11436,
									BgL_letza2zd2bindingsz70_7914);
							}
							return BNIL;
						}
					else
						{	/* Ast/let.scm 1120 */
							bool_t BgL_test4301z00_11439;

							{	/* Ast/let.scm 1120 */
								bool_t BgL_test4302z00_11440;

								{	/* Ast/let.scm 1120 */
									obj_t BgL_g1554z00_7915;

									{	/* Ast/let.scm 574 */
										obj_t BgL_pairz00_7916;

										BgL_pairz00_7916 = CAR(((obj_t) BgL_rebindingsz00_7913));
										BgL_g1554z00_7915 = CAR(CDR(CDR(BgL_pairz00_7916)));
									}
									{
										obj_t BgL_l1552z00_7918;

										BgL_l1552z00_7918 = BgL_g1554z00_7915;
									BgL_zc3z04anonymousza33431ze3z87_7917:
										if (NULLP(BgL_l1552z00_7918))
											{	/* Ast/let.scm 1124 */
												BgL_test4302z00_11440 = ((bool_t) 1);
											}
										else
											{	/* Ast/let.scm 1121 */
												obj_t BgL_nvz00_7919;

												{	/* Ast/let.scm 1121 */
													obj_t BgL_varz00_7920;

													BgL_varz00_7920 = CAR(((obj_t) BgL_l1552z00_7918));
													{	/* Ast/let.scm 1121 */
														obj_t BgL_g1551z00_7921;

														BgL_g1551z00_7921 =
															CDR(((obj_t) BgL_rebindingsz00_7913));
														{
															obj_t BgL_list1550z00_7923;

															BgL_list1550z00_7923 = BgL_g1551z00_7921;
														BgL_zc3z04anonymousza33433ze3z87_7922:
															if (PAIRP(BgL_list1550z00_7923))
																{	/* Ast/let.scm 1123 */
																	bool_t BgL_test4305z00_11454;

																	{	/* Ast/let.scm 1122 */
																		obj_t BgL_tmpz00_11455;

																		{	/* Ast/let.scm 573 */
																			obj_t BgL_pairz00_7924;

																			BgL_pairz00_7924 =
																				CDR(
																				((obj_t) CAR(BgL_list1550z00_7923)));
																			BgL_tmpz00_11455 = CAR(BgL_pairz00_7924);
																		}
																		BgL_test4305z00_11454 =
																			(BgL_varz00_7920 == BgL_tmpz00_11455);
																	}
																	if (BgL_test4305z00_11454)
																		{	/* Ast/let.scm 1123 */
																			BgL_nvz00_7919 =
																				CAR(BgL_list1550z00_7923);
																		}
																	else
																		{
																			obj_t BgL_list1550z00_11462;

																			BgL_list1550z00_11462 =
																				CDR(BgL_list1550z00_7923);
																			BgL_list1550z00_7923 =
																				BgL_list1550z00_11462;
																			goto
																				BgL_zc3z04anonymousza33433ze3z87_7922;
																		}
																}
															else
																{	/* Ast/let.scm 1123 */
																	BgL_nvz00_7919 = BFALSE;
																}
														}
													}
												}
												if (CBOOL(BgL_nvz00_7919))
													{	/* Ast/let.scm 1124 */
														obj_t BgL_arg3432z00_7925;

														BgL_arg3432z00_7925 =
															CDR(((obj_t) BgL_l1552z00_7918));
														{
															obj_t BgL_l1552z00_11468;

															BgL_l1552z00_11468 = BgL_arg3432z00_7925;
															BgL_l1552z00_7918 = BgL_l1552z00_11468;
															goto BgL_zc3z04anonymousza33431ze3z87_7917;
														}
													}
												else
													{	/* Ast/let.scm 1124 */
														BgL_test4302z00_11440 = ((bool_t) 0);
													}
											}
									}
								}
								if (BgL_test4302z00_11440)
									{	/* Ast/let.scm 1127 */
										bool_t BgL_test4307z00_11469;

										{	/* Ast/let.scm 1127 */
											obj_t BgL_arg3429z00_7926;
											obj_t BgL_arg3430z00_7927;

											BgL_arg3429z00_7926 =
												CAR(((obj_t) BgL_rebindingsz00_7913));
											BgL_arg3430z00_7927 =
												CDR(((obj_t) BgL_rebindingsz00_7913));
											BgL_test4307z00_11469 =
												CBOOL(BGl_z62usedzd2inzf3z43zzast_letz00
												(BgL_arg3429z00_7926, BgL_arg3430z00_7927));
										}
										if (BgL_test4307z00_11469)
											{	/* Ast/let.scm 1127 */
												BgL_test4301z00_11439 = ((bool_t) 0);
											}
										else
											{	/* Ast/let.scm 1127 */
												BgL_test4301z00_11439 = ((bool_t) 1);
											}
									}
								else
									{	/* Ast/let.scm 1120 */
										BgL_test4301z00_11439 = ((bool_t) 0);
									}
							}
							if (BgL_test4301z00_11439)
								{	/* Ast/let.scm 1128 */
									obj_t BgL_arg3426z00_7928;
									obj_t BgL_arg3427z00_7929;

									BgL_arg3426z00_7928 = CDR(((obj_t) BgL_rebindingsz00_7913));
									{	/* Ast/let.scm 1129 */
										obj_t BgL_arg3428z00_7930;

										BgL_arg3428z00_7930 = CAR(((obj_t) BgL_rebindingsz00_7913));
										BgL_arg3427z00_7929 =
											MAKE_YOUNG_PAIR(BgL_arg3428z00_7930,
											BgL_letza2zd2bindingsz70_7914);
									}
									{
										obj_t BgL_letza2zd2bindingsz70_11482;
										obj_t BgL_rebindingsz00_11481;

										BgL_rebindingsz00_11481 = BgL_arg3426z00_7928;
										BgL_letza2zd2bindingsz70_11482 = BgL_arg3427z00_7929;
										BgL_letza2zd2bindingsz70_7914 =
											BgL_letza2zd2bindingsz70_11482;
										BgL_rebindingsz00_7913 = BgL_rebindingsz00_11481;
										goto BgL_loopz00_7912;
									}
								}
							else
								{	/* Ast/let.scm 1136 */
									obj_t BgL_val0_1556z00_7931;

									BgL_val0_1556z00_7931 = bgl_reverse(BgL_rebindingsz00_7913);
									{	/* Ast/let.scm 1136 */
										int BgL_tmpz00_11484;

										BgL_tmpz00_11484 = (int) (2L);
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11484);
									}
									{	/* Ast/let.scm 1136 */
										int BgL_tmpz00_11487;

										BgL_tmpz00_11487 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_11487,
											BgL_letza2zd2bindingsz70_7914);
									}
									return BgL_val0_1556z00_7931;
								}
						}
				}
			}
		}

	}



/* &stage3 */
	BgL_nodez00_bglt BGl_z62stage3z62zzast_letz00(obj_t BgL_envz00_7808,
		obj_t BgL_ebindingsz00_7815, obj_t BgL_bodyz00_7816)
	{
		{	/* Ast/let.scm 1068 */
			{	/* Ast/let.scm 1046 */
				obj_t BgL_stage7z00_7809;
				obj_t BgL_stackz00_7810;
				obj_t BgL_locz00_7811;
				obj_t BgL_sitez00_7812;
				obj_t BgL_stage5z00_7813;
				obj_t BgL_stage4z00_7814;

				BgL_stage7z00_7809 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_7808, (int) (0L)));
				BgL_stackz00_7810 = PROCEDURE_L_REF(BgL_envz00_7808, (int) (1L));
				BgL_locz00_7811 = PROCEDURE_L_REF(BgL_envz00_7808, (int) (2L));
				BgL_sitez00_7812 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_7808, (int) (3L)));
				BgL_stage5z00_7813 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_7808, (int) (4L)));
				BgL_stage4z00_7814 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_7808, (int) (5L)));
				return
					BGl_z62splitzd2headzd2letrecz62zzast_letz00(BgL_sitez00_7812,
					BgL_locz00_7811, BgL_stackz00_7810, BgL_ebindingsz00_7815,
					BgL_bodyz00_7816, BGl_proc3818z00zzast_letz00, BgL_stage4z00_7814);
			}
		}

	}



/* &split3808 */
	obj_t BGl_z62split3808z62zzast_letz00(obj_t BgL_envz00_7817,
		obj_t BgL_ebindingsz00_7818)
	{
		{	/* Ast/let.scm 1104 */
			{
				obj_t BgL_ebindingsz00_7934;
				obj_t BgL_valzd2bindingszd2_7935;
				obj_t BgL_recza2zd2bindingsz70_7936;

				BgL_ebindingsz00_7934 = BgL_ebindingsz00_7818;
				BgL_valzd2bindingszd2_7935 = BNIL;
				BgL_recza2zd2bindingsz70_7936 = BNIL;
			BgL_loopz00_7933:
				if (NULLP(BgL_ebindingsz00_7934))
					{	/* Ast/let.scm 1083 */
						obj_t BgL_val0_1536z00_7937;
						obj_t BgL_val1_1537z00_7938;

						BgL_val0_1536z00_7937 =
							bgl_reverse_bang(BgL_valzd2bindingszd2_7935);
						BgL_val1_1537z00_7938 =
							bgl_reverse_bang(BgL_recza2zd2bindingsz70_7936);
						{	/* Ast/let.scm 1083 */
							int BgL_tmpz00_11511;

							BgL_tmpz00_11511 = (int) (2L);
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11511);
						}
						{	/* Ast/let.scm 1083 */
							int BgL_tmpz00_11514;

							BgL_tmpz00_11514 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11514, BgL_val1_1537z00_7938);
						}
						return BgL_val0_1536z00_7937;
					}
				else
					{	/* Ast/let.scm 1084 */
						bool_t BgL_test4309z00_11517;

						{	/* Ast/let.scm 1084 */
							bool_t BgL_test4310z00_11518;

							{	/* Ast/let.scm 1084 */
								obj_t BgL_arg3391z00_7939;

								{	/* Ast/let.scm 572 */
									obj_t BgL_pairz00_7940;

									BgL_pairz00_7940 =
										CAR(((obj_t) CAR(((obj_t) BgL_ebindingsz00_7934))));
									BgL_arg3391z00_7939 = CAR(CDR(BgL_pairz00_7940));
								}
								{	/* Ast/let.scm 1084 */

									BgL_test4310z00_11518 =
										BGl_directzd2functionzf3z21zzast_letz00(BgL_arg3391z00_7939,
										((bool_t) 0));
								}
							}
							if (BgL_test4310z00_11518)
								{	/* Ast/let.scm 1085 */
									obj_t BgL_arg3389z00_7941;
									obj_t BgL_arg3390z00_7942;

									BgL_arg3389z00_7941 = CAR(((obj_t) BgL_ebindingsz00_7934));
									BgL_arg3390z00_7942 = CDR(((obj_t) BgL_ebindingsz00_7934));
									if (CBOOL(BGl_z62mutablezd2inzf3z43zzast_letz00
											(BgL_arg3389z00_7941, ((obj_t) BgL_arg3390z00_7942))))
										{	/* Ast/let.scm 585 */
											BgL_test4309z00_11517 = ((bool_t) 0);
										}
									else
										{	/* Ast/let.scm 585 */
											BgL_test4309z00_11517 = ((bool_t) 1);
										}
								}
							else
								{	/* Ast/let.scm 1084 */
									BgL_test4309z00_11517 = ((bool_t) 0);
								}
						}
						if (BgL_test4309z00_11517)
							{	/* Ast/let.scm 1086 */
								obj_t BgL_arg3333z00_7943;
								obj_t BgL_arg3334z00_7944;

								BgL_arg3333z00_7943 = CDR(((obj_t) BgL_ebindingsz00_7934));
								{	/* Ast/let.scm 1088 */
									obj_t BgL_arg3335z00_7945;

									BgL_arg3335z00_7945 = CAR(((obj_t) BgL_ebindingsz00_7934));
									BgL_arg3334z00_7944 =
										MAKE_YOUNG_PAIR(BgL_arg3335z00_7945,
										BgL_recza2zd2bindingsz70_7936);
								}
								{
									obj_t BgL_recza2zd2bindingsz70_11540;
									obj_t BgL_ebindingsz00_11539;

									BgL_ebindingsz00_11539 = BgL_arg3333z00_7943;
									BgL_recza2zd2bindingsz70_11540 = BgL_arg3334z00_7944;
									BgL_recza2zd2bindingsz70_7936 =
										BgL_recza2zd2bindingsz70_11540;
									BgL_ebindingsz00_7934 = BgL_ebindingsz00_11539;
									goto BgL_loopz00_7933;
								}
							}
						else
							{	/* Ast/let.scm 1089 */
								bool_t BgL_test4312z00_11541;

								{	/* Ast/let.scm 1089 */
									bool_t BgL_test4313z00_11542;

									{	/* Ast/let.scm 1089 */
										obj_t BgL_arg3387z00_7946;

										{	/* Ast/let.scm 572 */
											obj_t BgL_pairz00_7947;

											BgL_pairz00_7947 =
												CAR(((obj_t) CAR(((obj_t) BgL_ebindingsz00_7934))));
											BgL_arg3387z00_7946 = CAR(CDR(BgL_pairz00_7947));
										}
										{	/* Ast/let.scm 1089 */

											BgL_test4313z00_11542 =
												CBOOL(BGl_functionzf3zf3zzast_letz00
												(BgL_arg3387z00_7946, BFALSE));
										}
									}
									if (BgL_test4313z00_11542)
										{	/* Ast/let.scm 1089 */
											BgL_test4312z00_11541 = ((bool_t) 0);
										}
									else
										{	/* Ast/let.scm 1090 */
											bool_t BgL_test4314z00_11551;

											{	/* Ast/let.scm 1090 */
												obj_t BgL_g1543z00_7948;

												{	/* Ast/let.scm 574 */
													obj_t BgL_pairz00_7949;

													BgL_pairz00_7949 =
														CAR(((obj_t) BgL_ebindingsz00_7934));
													BgL_g1543z00_7948 = CAR(CDR(CDR(BgL_pairz00_7949)));
												}
												{
													obj_t BgL_list1542z00_7951;

													{	/* Ast/let.scm 1094 */
														obj_t BgL_tmpz00_11557;

														BgL_list1542z00_7951 = BgL_g1543z00_7948;
													BgL_zc3z04anonymousza33378ze3z87_7950:
														if (PAIRP(BgL_list1542z00_7951))
															{	/* Ast/let.scm 1094 */
																bool_t BgL_test4316z00_11560;

																{	/* Ast/let.scm 1091 */
																	obj_t BgL_varz00_7952;

																	BgL_varz00_7952 = CAR(BgL_list1542z00_7951);
																	{	/* Ast/let.scm 1091 */
																		bool_t BgL_test4317z00_11562;

																		{	/* Ast/let.scm 1091 */
																			obj_t BgL_g1540z00_7953;

																			BgL_g1540z00_7953 =
																				CDR(((obj_t) BgL_ebindingsz00_7934));
																			{
																				obj_t BgL_list1539z00_7955;

																				{	/* Ast/let.scm 1093 */
																					obj_t BgL_tmpz00_11565;

																					BgL_list1539z00_7955 =
																						BgL_g1540z00_7953;
																				BgL_zc3z04anonymousza33380ze3z87_7954:
																					if (PAIRP(BgL_list1539z00_7955))
																						{	/* Ast/let.scm 1093 */
																							bool_t BgL_test4319z00_11568;

																							{	/* Ast/let.scm 1092 */
																								obj_t BgL_tmpz00_11569;

																								{	/* Ast/let.scm 573 */
																									obj_t BgL_pairz00_7956;

																									BgL_pairz00_7956 =
																										CDR(
																										((obj_t)
																											CAR
																											(BgL_list1539z00_7955)));
																									BgL_tmpz00_11569 =
																										CAR(BgL_pairz00_7956);
																								}
																								BgL_test4319z00_11568 =
																									(BgL_tmpz00_11569 ==
																									BgL_varz00_7952);
																							}
																							if (BgL_test4319z00_11568)
																								{	/* Ast/let.scm 1093 */
																									BgL_tmpz00_11565 =
																										CAR(BgL_list1539z00_7955);
																								}
																							else
																								{
																									obj_t BgL_list1539z00_11576;

																									BgL_list1539z00_11576 =
																										CDR(BgL_list1539z00_7955);
																									BgL_list1539z00_7955 =
																										BgL_list1539z00_11576;
																									goto
																										BgL_zc3z04anonymousza33380ze3z87_7954;
																								}
																						}
																					else
																						{	/* Ast/let.scm 1093 */
																							BgL_tmpz00_11565 = BFALSE;
																						}
																					BgL_test4317z00_11562 =
																						CBOOL(BgL_tmpz00_11565);
																				}
																			}
																		}
																		if (BgL_test4317z00_11562)
																			{	/* Ast/let.scm 1091 */
																				BgL_test4316z00_11560 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/let.scm 1091 */
																				BgL_test4316z00_11560 = ((bool_t) 1);
																			}
																	}
																}
																if (BgL_test4316z00_11560)
																	{	/* Ast/let.scm 1094 */
																		BgL_tmpz00_11557 =
																			CAR(BgL_list1542z00_7951);
																	}
																else
																	{
																		obj_t BgL_list1542z00_11580;

																		BgL_list1542z00_11580 =
																			CDR(BgL_list1542z00_7951);
																		BgL_list1542z00_7951 =
																			BgL_list1542z00_11580;
																		goto BgL_zc3z04anonymousza33378ze3z87_7950;
																	}
															}
														else
															{	/* Ast/let.scm 1094 */
																BgL_tmpz00_11557 = BFALSE;
															}
														BgL_test4314z00_11551 = CBOOL(BgL_tmpz00_11557);
													}
												}
											}
											if (BgL_test4314z00_11551)
												{	/* Ast/let.scm 1090 */
													BgL_test4312z00_11541 = ((bool_t) 0);
												}
											else
												{	/* Ast/let.scm 1095 */
													obj_t BgL_arg3377z00_7957;

													BgL_arg3377z00_7957 =
														CAR(((obj_t) BgL_ebindingsz00_7934));
													if (CBOOL(BGl_z62mutablezd2inzf3z43zzast_letz00
															(BgL_arg3377z00_7957,
																BgL_recza2zd2bindingsz70_7936)))
														{	/* Ast/let.scm 585 */
															BgL_test4312z00_11541 = ((bool_t) 0);
														}
													else
														{	/* Ast/let.scm 585 */
															BgL_test4312z00_11541 = ((bool_t) 1);
														}
												}
										}
								}
								if (BgL_test4312z00_11541)
									{	/* Ast/let.scm 1098 */
										obj_t BgL_arg3371z00_7958;
										obj_t BgL_arg3372z00_7959;

										BgL_arg3371z00_7958 = CDR(((obj_t) BgL_ebindingsz00_7934));
										{	/* Ast/let.scm 1099 */
											obj_t BgL_arg3374z00_7960;

											BgL_arg3374z00_7960 =
												CAR(((obj_t) BgL_ebindingsz00_7934));
											BgL_arg3372z00_7959 =
												MAKE_YOUNG_PAIR(BgL_arg3374z00_7960,
												BgL_valzd2bindingszd2_7935);
										}
										{
											obj_t BgL_valzd2bindingszd2_11594;
											obj_t BgL_ebindingsz00_11593;

											BgL_ebindingsz00_11593 = BgL_arg3371z00_7958;
											BgL_valzd2bindingszd2_11594 = BgL_arg3372z00_7959;
											BgL_valzd2bindingszd2_7935 = BgL_valzd2bindingszd2_11594;
											BgL_ebindingsz00_7934 = BgL_ebindingsz00_11593;
											goto BgL_loopz00_7933;
										}
									}
								else
									{	/* Ast/let.scm 1103 */
										obj_t BgL_val0_1544z00_7961;
										obj_t BgL_val1_1545z00_7962;

										BgL_val0_1544z00_7961 =
											bgl_reverse_bang(BgL_valzd2bindingszd2_7935);
										BgL_val1_1545z00_7962 =
											BGl_appendzd221011zd2zzast_letz00(bgl_reverse_bang
											(BgL_recza2zd2bindingsz70_7936), BgL_ebindingsz00_7934);
										{	/* Ast/let.scm 1103 */
											int BgL_tmpz00_11598;

											BgL_tmpz00_11598 = (int) (2L);
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11598);
										}
										{	/* Ast/let.scm 1103 */
											int BgL_tmpz00_11601;

											BgL_tmpz00_11601 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_11601,
												BgL_val1_1545z00_7962);
										}
										return BgL_val0_1544z00_7961;
									}
							}
					}
			}
		}

	}



/* &stage4 */
	BgL_nodez00_bglt BGl_z62stage4z62zzast_letz00(obj_t BgL_envz00_7819,
		obj_t BgL_ebindingsz00_7825, obj_t BgL_bodyz00_7826)
	{
		{	/* Ast/let.scm 1036 */
			{	/* Ast/let.scm 1022 */
				obj_t BgL_stage7z00_7820;
				obj_t BgL_stackz00_7821;
				obj_t BgL_locz00_7822;
				obj_t BgL_sitez00_7823;
				obj_t BgL_stage5z00_7824;

				BgL_stage7z00_7820 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_7819, (int) (0L)));
				BgL_stackz00_7821 = PROCEDURE_L_REF(BgL_envz00_7819, (int) (1L));
				BgL_locz00_7822 = PROCEDURE_L_REF(BgL_envz00_7819, (int) (2L));
				BgL_sitez00_7823 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_7819, (int) (3L)));
				BgL_stage5z00_7824 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_7819, (int) (4L)));
				{
					obj_t BgL_ebindingsz00_7964;
					obj_t BgL_bodyz00_7965;
					obj_t BgL_splitz00_7966;
					obj_t BgL_kontz00_7967;

					{	/* Ast/let.scm 1022 */
						obj_t BgL_splitz00_7988;

						{	/* Ast/let.scm 1022 */
							int BgL_tmpz00_11617;

							BgL_tmpz00_11617 = (int) (0L);
							BgL_splitz00_7988 = MAKE_EL_PROCEDURE(BgL_tmpz00_11617);
						}
						BgL_ebindingsz00_7964 = BgL_ebindingsz00_7825;
						BgL_bodyz00_7965 = BgL_bodyz00_7826;
						BgL_splitz00_7966 = BgL_splitz00_7988;
						BgL_kontz00_7967 = BgL_stage5z00_7824;
						if (NULLP(BgL_ebindingsz00_7964))
							{	/* Ast/let.scm 692 */
								return
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_bodyz00_7965,
									BgL_stackz00_7821, BgL_locz00_7822, BgL_sitez00_7823);
							}
						else
							{	/* Ast/let.scm 695 */
								obj_t BgL_letzd2bindingszd2_7968;

								BgL_letzd2bindingszd2_7968 =
									BGl_z62split3810z62zzast_letz00(BgL_splitz00_7966,
									BgL_ebindingsz00_7964);
								{	/* Ast/let.scm 696 */
									obj_t BgL_recza2zd2bindingsz70_7969;

									{	/* Ast/let.scm 702 */
										obj_t BgL_tmpz00_7970;

										{	/* Ast/let.scm 702 */
											int BgL_tmpz00_11627;

											BgL_tmpz00_11627 = (int) (1L);
											BgL_tmpz00_7970 = BGL_MVALUES_VAL(BgL_tmpz00_11627);
										}
										{	/* Ast/let.scm 702 */
											int BgL_tmpz00_11630;

											BgL_tmpz00_11630 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_11630, BUNSPEC);
										}
										BgL_recza2zd2bindingsz70_7969 = BgL_tmpz00_7970;
									}
									{	/* Ast/let.scm 702 */
										bool_t BgL_test4322z00_11633;

										if (NULLP(BgL_letzd2bindingszd2_7968))
											{	/* Ast/let.scm 702 */
												BgL_test4322z00_11633 = ((bool_t) 0);
											}
										else
											{	/* Ast/let.scm 702 */
												BgL_test4322z00_11633 =
													PAIRP(BgL_recza2zd2bindingsz70_7969);
											}
										if (BgL_test4322z00_11633)
											{	/* Ast/let.scm 706 */
												obj_t BgL_arg2387z00_7971;

												{	/* Ast/let.scm 706 */
													obj_t BgL_arg2388z00_7972;

													{	/* Ast/let.scm 706 */
														obj_t BgL_arg2389z00_7973;

														{	/* Ast/let.scm 706 */
															obj_t BgL_arg2390z00_7974;

															{	/* Ast/let.scm 706 */
																obj_t BgL_arg2391z00_7975;
																obj_t BgL_arg2393z00_7976;

																{	/* Ast/let.scm 706 */
																	obj_t BgL_head1443z00_7977;

																	{	/* Ast/let.scm 706 */
																		obj_t BgL_arg2402z00_7978;

																		{	/* Ast/let.scm 571 */
																			obj_t BgL_pairz00_7979;

																			BgL_pairz00_7979 =
																				CAR(
																				((obj_t)
																					BgL_recza2zd2bindingsz70_7969));
																			BgL_arg2402z00_7978 =
																				CAR(BgL_pairz00_7979);
																		}
																		BgL_head1443z00_7977 =
																			MAKE_YOUNG_PAIR(BgL_arg2402z00_7978,
																			BNIL);
																	}
																	{	/* Ast/let.scm 706 */
																		obj_t BgL_g1446z00_7980;

																		BgL_g1446z00_7980 =
																			CDR(
																			((obj_t) BgL_recza2zd2bindingsz70_7969));
																		{
																			obj_t BgL_l1441z00_7982;
																			obj_t BgL_tail1444z00_7983;

																			BgL_l1441z00_7982 = BgL_g1446z00_7980;
																			BgL_tail1444z00_7983 =
																				BgL_head1443z00_7977;
																		BgL_zc3z04anonymousza32395ze3z87_7981:
																			if (NULLP(BgL_l1441z00_7982))
																				{	/* Ast/let.scm 706 */
																					BgL_arg2391z00_7975 =
																						BgL_head1443z00_7977;
																				}
																			else
																				{	/* Ast/let.scm 706 */
																					obj_t BgL_newtail1445z00_7984;

																					{	/* Ast/let.scm 706 */
																						obj_t BgL_arg2399z00_7985;

																						{	/* Ast/let.scm 571 */
																							obj_t BgL_pairz00_7986;

																							BgL_pairz00_7986 =
																								CAR(
																								((obj_t) BgL_l1441z00_7982));
																							BgL_arg2399z00_7985 =
																								CAR(BgL_pairz00_7986);
																						}
																						BgL_newtail1445z00_7984 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg2399z00_7985, BNIL);
																					}
																					SET_CDR(BgL_tail1444z00_7983,
																						BgL_newtail1445z00_7984);
																					{	/* Ast/let.scm 706 */
																						obj_t BgL_arg2398z00_7987;

																						BgL_arg2398z00_7987 =
																							CDR(((obj_t) BgL_l1441z00_7982));
																						{
																							obj_t BgL_tail1444z00_11653;
																							obj_t BgL_l1441z00_11652;

																							BgL_l1441z00_11652 =
																								BgL_arg2398z00_7987;
																							BgL_tail1444z00_11653 =
																								BgL_newtail1445z00_7984;
																							BgL_tail1444z00_7983 =
																								BgL_tail1444z00_11653;
																							BgL_l1441z00_7982 =
																								BgL_l1441z00_11652;
																							goto
																								BgL_zc3z04anonymousza32395ze3z87_7981;
																						}
																					}
																				}
																		}
																	}
																}
																BgL_arg2393z00_7976 =
																	MAKE_YOUNG_PAIR(BgL_bodyz00_7965, BNIL);
																BgL_arg2390z00_7974 =
																	MAKE_YOUNG_PAIR(BgL_arg2391z00_7975,
																	BgL_arg2393z00_7976);
															}
															BgL_arg2389z00_7973 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(4)), BgL_arg2390z00_7974);
														}
														BgL_arg2388z00_7972 =
															BGl_z62letstarz62zzast_letz00
															(BgL_letzd2bindingszd2_7968, BgL_arg2389z00_7973);
													}
													BgL_arg2387z00_7971 =
														BGl_z62letcollapsez62zzast_letz00
														(BgL_letzd2bindingszd2_7968, BgL_arg2388z00_7972);
												}
												return
													BGl_sexpzd2ze3nodez31zzast_sexpz00
													(BgL_arg2387z00_7971, BgL_stackz00_7821,
													BgL_locz00_7822, BgL_sitez00_7823);
											}
										else
											{	/* Ast/let.scm 702 */
												if (NULLP(BgL_letzd2bindingszd2_7968))
													{	/* Ast/let.scm 709 */
														return
															BGl_z62stage5z62zzast_letz00(BgL_kontz00_7967,
															BgL_ebindingsz00_7964, BgL_bodyz00_7965);
													}
												else
													{	/* Ast/let.scm 709 */
														return
															BGl_sexpzd2ze3nodez31zzast_sexpz00
															(BGl_z62letcollapsez62zzast_letz00
															(BgL_letzd2bindingszd2_7968,
																BGl_z62letstarz62zzast_letz00
																(BgL_letzd2bindingszd2_7968, BgL_bodyz00_7965)),
															BgL_stackz00_7821, BgL_locz00_7822,
															BgL_sitez00_7823);
													}
											}
									}
								}
							}
					}
				}
			}
		}

	}



/* &split3809 */
	obj_t BGl_z62split3809z62zzast_letz00(obj_t BgL_envz00_7827,
		obj_t BgL_ebindingsz00_7828)
	{
		{	/* Ast/let.scm 1068 */
			{
				obj_t BgL_ebindingsz00_7990;
				obj_t BgL_funzd2bindingszd2_7991;
				obj_t BgL_recza2zd2bindingsz70_7992;

				BgL_ebindingsz00_7990 = BgL_ebindingsz00_7828;
				BgL_funzd2bindingszd2_7991 = BNIL;
				BgL_recza2zd2bindingsz70_7992 = BNIL;
			BgL_loopz00_7989:
				if (NULLP(BgL_ebindingsz00_7990))
					{	/* Ast/let.scm 1051 */
						obj_t BgL_val0_1530z00_7993;
						obj_t BgL_val1_1531z00_7994;

						BgL_val0_1530z00_7993 =
							bgl_reverse_bang(BgL_funzd2bindingszd2_7991);
						BgL_val1_1531z00_7994 =
							bgl_reverse_bang(BgL_recza2zd2bindingsz70_7992);
						{	/* Ast/let.scm 1051 */
							int BgL_tmpz00_11676;

							BgL_tmpz00_11676 = (int) (2L);
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11676);
						}
						{	/* Ast/let.scm 1051 */
							int BgL_tmpz00_11679;

							BgL_tmpz00_11679 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_11679, BgL_val1_1531z00_7994);
						}
						return BgL_val0_1530z00_7993;
					}
				else
					{	/* Ast/let.scm 1052 */
						bool_t BgL_test4327z00_11682;

						{	/* Ast/let.scm 1052 */
							bool_t BgL_test4328z00_11683;

							{	/* Ast/let.scm 1052 */
								obj_t BgL_arg3317z00_7995;

								{	/* Ast/let.scm 572 */
									obj_t BgL_pairz00_7996;

									BgL_pairz00_7996 =
										CAR(((obj_t) CAR(((obj_t) BgL_ebindingsz00_7990))));
									BgL_arg3317z00_7995 = CAR(CDR(BgL_pairz00_7996));
								}
								{	/* Ast/let.scm 1052 */

									BgL_test4328z00_11683 =
										CBOOL(BGl_functionzf3zf3zzast_letz00(BgL_arg3317z00_7995,
											BFALSE));
								}
							}
							if (BgL_test4328z00_11683)
								{	/* Ast/let.scm 1053 */
									bool_t BgL_test4329z00_11692;

									{
										obj_t BgL_list1533z00_7998;

										{	/* Ast/let.scm 1053 */
											obj_t BgL_tmpz00_11693;

											BgL_list1533z00_7998 = BgL_ebindingsz00_7990;
										BgL_zc3z04anonymousza33311ze3z87_7997:
											if (PAIRP(BgL_list1533z00_7998))
												{	/* Ast/let.scm 1053 */
													bool_t BgL_test4331z00_11696;

													{	/* Ast/let.scm 1054 */
														obj_t BgL_tmpz00_11697;

														{	/* Ast/let.scm 1054 */
															obj_t BgL_auxz00_11703;
															obj_t BgL_auxz00_11698;

															{	/* Ast/let.scm 575 */
																obj_t BgL_pairz00_8000;

																{	/* Ast/let.scm 575 */
																	obj_t BgL_pairz00_8001;

																	{	/* Ast/let.scm 575 */
																		obj_t BgL_pairz00_8002;

																		BgL_pairz00_8002 =
																			CDR(((obj_t) CAR(BgL_list1533z00_7998)));
																		BgL_pairz00_8001 = CDR(BgL_pairz00_8002);
																	}
																	BgL_pairz00_8000 = CDR(BgL_pairz00_8001);
																}
																BgL_auxz00_11703 = CAR(BgL_pairz00_8000);
															}
															{	/* Ast/let.scm 573 */
																obj_t BgL_pairz00_7999;

																BgL_pairz00_7999 =
																	CAR(((obj_t) BgL_ebindingsz00_7990));
																BgL_auxz00_11698 = CAR(CDR(BgL_pairz00_7999));
															}
															BgL_tmpz00_11697 =
																BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																(BgL_auxz00_11698, BgL_auxz00_11703);
														}
														BgL_test4331z00_11696 = CBOOL(BgL_tmpz00_11697);
													}
													if (BgL_test4331z00_11696)
														{	/* Ast/let.scm 1053 */
															BgL_tmpz00_11693 = CAR(BgL_list1533z00_7998);
														}
													else
														{
															obj_t BgL_list1533z00_11713;

															BgL_list1533z00_11713 = CDR(BgL_list1533z00_7998);
															BgL_list1533z00_7998 = BgL_list1533z00_11713;
															goto BgL_zc3z04anonymousza33311ze3z87_7997;
														}
												}
											else
												{	/* Ast/let.scm 1053 */
													BgL_tmpz00_11693 = BFALSE;
												}
											BgL_test4329z00_11692 = CBOOL(BgL_tmpz00_11693);
										}
									}
									if (BgL_test4329z00_11692)
										{	/* Ast/let.scm 1053 */
											BgL_test4327z00_11682 = ((bool_t) 0);
										}
									else
										{	/* Ast/let.scm 1053 */
											BgL_test4327z00_11682 = ((bool_t) 1);
										}
								}
							else
								{	/* Ast/let.scm 1052 */
									BgL_test4327z00_11682 = ((bool_t) 0);
								}
						}
						if (BgL_test4327z00_11682)
							{	/* Ast/let.scm 1058 */
								bool_t BgL_test4332z00_11716;

								{	/* Ast/let.scm 1058 */
									obj_t BgL_tmpz00_11717;

									{	/* Ast/let.scm 574 */
										obj_t BgL_pairz00_8003;

										BgL_pairz00_8003 = CAR(((obj_t) BgL_ebindingsz00_7990));
										BgL_tmpz00_11717 = CAR(CDR(CDR(BgL_pairz00_8003)));
									}
									BgL_test4332z00_11716 = NULLP(BgL_tmpz00_11717);
								}
								if (BgL_test4332z00_11716)
									{	/* Ast/let.scm 1059 */
										obj_t BgL_arg3299z00_8004;
										obj_t BgL_arg3300z00_8005;

										BgL_arg3299z00_8004 = CDR(((obj_t) BgL_ebindingsz00_7990));
										{	/* Ast/let.scm 1060 */
											obj_t BgL_arg3302z00_8006;

											BgL_arg3302z00_8006 =
												CAR(((obj_t) BgL_ebindingsz00_7990));
											BgL_arg3300z00_8005 =
												MAKE_YOUNG_PAIR(BgL_arg3302z00_8006,
												BgL_funzd2bindingszd2_7991);
										}
										{
											obj_t BgL_funzd2bindingszd2_11730;
											obj_t BgL_ebindingsz00_11729;

											BgL_ebindingsz00_11729 = BgL_arg3299z00_8004;
											BgL_funzd2bindingszd2_11730 = BgL_arg3300z00_8005;
											BgL_funzd2bindingszd2_7991 = BgL_funzd2bindingszd2_11730;
											BgL_ebindingsz00_7990 = BgL_ebindingsz00_11729;
											goto BgL_loopz00_7989;
										}
									}
								else
									{	/* Ast/let.scm 1062 */
										obj_t BgL_arg3303z00_8007;
										obj_t BgL_arg3304z00_8008;

										BgL_arg3303z00_8007 = CDR(((obj_t) BgL_ebindingsz00_7990));
										{	/* Ast/let.scm 1064 */
											obj_t BgL_arg3306z00_8009;

											BgL_arg3306z00_8009 =
												CAR(((obj_t) BgL_ebindingsz00_7990));
											BgL_arg3304z00_8008 =
												MAKE_YOUNG_PAIR(BgL_arg3306z00_8009,
												BgL_recza2zd2bindingsz70_7992);
										}
										{
											obj_t BgL_recza2zd2bindingsz70_11737;
											obj_t BgL_ebindingsz00_11736;

											BgL_ebindingsz00_11736 = BgL_arg3303z00_8007;
											BgL_recza2zd2bindingsz70_11737 = BgL_arg3304z00_8008;
											BgL_recza2zd2bindingsz70_7992 =
												BgL_recza2zd2bindingsz70_11737;
											BgL_ebindingsz00_7990 = BgL_ebindingsz00_11736;
											goto BgL_loopz00_7989;
										}
									}
							}
						else
							{	/* Ast/let.scm 1067 */
								obj_t BgL_val0_1534z00_8010;
								obj_t BgL_val1_1535z00_8011;

								BgL_val0_1534z00_8010 =
									bgl_reverse_bang(BgL_funzd2bindingszd2_7991);
								BgL_val1_1535z00_8011 =
									BGl_appendzd221011zd2zzast_letz00(bgl_reverse_bang
									(BgL_recza2zd2bindingsz70_7992), BgL_ebindingsz00_7990);
								{	/* Ast/let.scm 1067 */
									int BgL_tmpz00_11741;

									BgL_tmpz00_11741 = (int) (2L);
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11741);
								}
								{	/* Ast/let.scm 1067 */
									int BgL_tmpz00_11744;

									BgL_tmpz00_11744 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_11744, BgL_val1_1535z00_8011);
								}
								return BgL_val0_1534z00_8010;
							}
					}
			}
		}

	}



/* &stage5 */
	BgL_nodez00_bglt BGl_z62stage5z62zzast_letz00(obj_t BgL_envz00_7829,
		obj_t BgL_ebindingsz00_7834, obj_t BgL_bodyz00_7835)
	{
		{	/* Ast/let.scm 993 */
			{	/* Ast/let.scm 975 */
				obj_t BgL_stage7z00_7830;
				obj_t BgL_stackz00_7831;
				obj_t BgL_locz00_7832;
				obj_t BgL_sitez00_7833;

				BgL_stage7z00_7830 =
					((obj_t) PROCEDURE_EL_REF(BgL_envz00_7829, (int) (0L)));
				BgL_stackz00_7831 = PROCEDURE_EL_REF(BgL_envz00_7829, (int) (1L));
				BgL_locz00_7832 = PROCEDURE_EL_REF(BgL_envz00_7829, (int) (2L));
				BgL_sitez00_7833 =
					((obj_t) PROCEDURE_EL_REF(BgL_envz00_7829, (int) (3L)));
				{
					obj_t BgL_ebindingsz00_8017;
					obj_t BgL_bodyz00_8018;
					obj_t BgL_splitz00_8019;
					obj_t BgL_kontz00_8020;
					obj_t BgL_ebindingsz00_8014;
					obj_t BgL_bodyz00_8015;

					{
						obj_t BgL_ebindingsz00_8053;

						if (NULLP(BgL_ebindingsz00_7834))
							{	/* Ast/let.scm 997 */
								return
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_bodyz00_7835,
									BgL_stackz00_7831, BgL_locz00_7832, BgL_sitez00_7833);
							}
						else
							{	/* Ast/let.scm 1000 */
								obj_t BgL_vbindingsz00_8099;

								BgL_ebindingsz00_8053 = BgL_ebindingsz00_7834;
								{
									obj_t BgL_lz00_8055;
									obj_t BgL_vbindingsz00_8056;
									obj_t BgL_fbindingsz00_8057;

									BgL_lz00_8055 = BgL_ebindingsz00_8053;
									BgL_vbindingsz00_8056 = BNIL;
									BgL_fbindingsz00_8057 = BNIL;
								BgL_loopz00_8054:
									if (NULLP(BgL_lz00_8055))
										{	/* Ast/let.scm 981 */
											obj_t BgL_funsz00_8058;
											obj_t BgL_varsz00_8059;

											if (NULLP(BgL_fbindingsz00_8057))
												{	/* Ast/let.scm 981 */
													BgL_funsz00_8058 = BNIL;
												}
											else
												{	/* Ast/let.scm 981 */
													obj_t BgL_head1489z00_8060;

													{	/* Ast/let.scm 981 */
														obj_t BgL_arg3209z00_8061;

														{	/* Ast/let.scm 981 */
															obj_t BgL_pairz00_8062;

															BgL_pairz00_8062 =
																CAR(((obj_t) BgL_fbindingsz00_8057));
															BgL_arg3209z00_8061 = CAR(CDR(BgL_pairz00_8062));
														}
														BgL_head1489z00_8060 =
															MAKE_YOUNG_PAIR(BgL_arg3209z00_8061, BNIL);
													}
													{	/* Ast/let.scm 981 */
														obj_t BgL_g1492z00_8063;

														BgL_g1492z00_8063 =
															CDR(((obj_t) BgL_fbindingsz00_8057));
														{
															obj_t BgL_l1487z00_8065;
															obj_t BgL_tail1490z00_8066;

															BgL_l1487z00_8065 = BgL_g1492z00_8063;
															BgL_tail1490z00_8066 = BgL_head1489z00_8060;
														BgL_zc3z04anonymousza33204ze3z87_8064:
															if (NULLP(BgL_l1487z00_8065))
																{	/* Ast/let.scm 981 */
																	BgL_funsz00_8058 = BgL_head1489z00_8060;
																}
															else
																{	/* Ast/let.scm 981 */
																	obj_t BgL_newtail1491z00_8067;

																	{	/* Ast/let.scm 981 */
																		obj_t BgL_arg3207z00_8068;

																		{	/* Ast/let.scm 981 */
																			obj_t BgL_pairz00_8069;

																			BgL_pairz00_8069 =
																				CAR(((obj_t) BgL_l1487z00_8065));
																			BgL_arg3207z00_8068 =
																				CAR(CDR(BgL_pairz00_8069));
																		}
																		BgL_newtail1491z00_8067 =
																			MAKE_YOUNG_PAIR(BgL_arg3207z00_8068,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1490z00_8066,
																		BgL_newtail1491z00_8067);
																	{	/* Ast/let.scm 981 */
																		obj_t BgL_arg3206z00_8070;

																		BgL_arg3206z00_8070 =
																			CDR(((obj_t) BgL_l1487z00_8065));
																		{
																			obj_t BgL_tail1490z00_11782;
																			obj_t BgL_l1487z00_11781;

																			BgL_l1487z00_11781 = BgL_arg3206z00_8070;
																			BgL_tail1490z00_11782 =
																				BgL_newtail1491z00_8067;
																			BgL_tail1490z00_8066 =
																				BgL_tail1490z00_11782;
																			BgL_l1487z00_8065 = BgL_l1487z00_11781;
																			goto
																				BgL_zc3z04anonymousza33204ze3z87_8064;
																		}
																	}
																}
														}
													}
												}
											if (NULLP(BgL_vbindingsz00_8056))
												{	/* Ast/let.scm 982 */
													BgL_varsz00_8059 = BNIL;
												}
											else
												{	/* Ast/let.scm 982 */
													obj_t BgL_head1495z00_8071;

													{	/* Ast/let.scm 982 */
														obj_t BgL_arg3217z00_8072;

														{	/* Ast/let.scm 982 */
															obj_t BgL_pairz00_8073;

															BgL_pairz00_8073 =
																CAR(((obj_t) BgL_vbindingsz00_8056));
															BgL_arg3217z00_8072 = CAR(CDR(BgL_pairz00_8073));
														}
														BgL_head1495z00_8071 =
															MAKE_YOUNG_PAIR(BgL_arg3217z00_8072, BNIL);
													}
													{	/* Ast/let.scm 982 */
														obj_t BgL_g1498z00_8074;

														BgL_g1498z00_8074 =
															CDR(((obj_t) BgL_vbindingsz00_8056));
														{
															obj_t BgL_l1493z00_8076;
															obj_t BgL_tail1496z00_8077;

															BgL_l1493z00_8076 = BgL_g1498z00_8074;
															BgL_tail1496z00_8077 = BgL_head1495z00_8071;
														BgL_zc3z04anonymousza33212ze3z87_8075:
															if (NULLP(BgL_l1493z00_8076))
																{	/* Ast/let.scm 982 */
																	BgL_varsz00_8059 = BgL_head1495z00_8071;
																}
															else
																{	/* Ast/let.scm 982 */
																	obj_t BgL_newtail1497z00_8078;

																	{	/* Ast/let.scm 982 */
																		obj_t BgL_arg3215z00_8079;

																		{	/* Ast/let.scm 982 */
																			obj_t BgL_pairz00_8080;

																			BgL_pairz00_8080 =
																				CAR(((obj_t) BgL_l1493z00_8076));
																			BgL_arg3215z00_8079 =
																				CAR(CDR(BgL_pairz00_8080));
																		}
																		BgL_newtail1497z00_8078 =
																			MAKE_YOUNG_PAIR(BgL_arg3215z00_8079,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1496z00_8077,
																		BgL_newtail1497z00_8078);
																	{	/* Ast/let.scm 982 */
																		obj_t BgL_arg3214z00_8081;

																		BgL_arg3214z00_8081 =
																			CDR(((obj_t) BgL_l1493z00_8076));
																		{
																			obj_t BgL_tail1496z00_11803;
																			obj_t BgL_l1493z00_11802;

																			BgL_l1493z00_11802 = BgL_arg3214z00_8081;
																			BgL_tail1496z00_11803 =
																				BgL_newtail1497z00_8078;
																			BgL_tail1496z00_8077 =
																				BgL_tail1496z00_11803;
																			BgL_l1493z00_8076 = BgL_l1493z00_11802;
																			goto
																				BgL_zc3z04anonymousza33212ze3z87_8075;
																		}
																	}
																}
														}
													}
												}
											{	/* Ast/let.scm 983 */
												obj_t BgL_freesz00_8082;
												obj_t BgL_setsz00_8083;

												BgL_freesz00_8082 =
													BGl_zc3z04anonymousza33184ze3ze70z60zzast_letz00
													(BgL_vbindingsz00_8056);
												BgL_setsz00_8083 =
													BGl_zc3z04anonymousza33195ze3ze70z60zzast_letz00
													(BgL_fbindingsz00_8057);
												{	/* Ast/let.scm 985 */
													bool_t BgL_test4339z00_11806;

													{
														obj_t BgL_l1503z00_8085;

														{	/* Ast/let.scm 985 */
															obj_t BgL_tmpz00_11807;

															BgL_l1503z00_8085 = BgL_fbindingsz00_8057;
														BgL_zc3z04anonymousza33173ze3z87_8084:
															if (NULLP(BgL_l1503z00_8085))
																{	/* Ast/let.scm 985 */
																	BgL_tmpz00_11807 = BFALSE;
																}
															else
																{	/* Ast/let.scm 985 */
																	obj_t BgL__ortest_1505z00_8086;

																	{	/* Ast/let.scm 985 */
																		obj_t BgL_auxz00_11810;

																		{	/* Ast/let.scm 573 */
																			obj_t BgL_pairz00_8087;

																			BgL_pairz00_8087 =
																				CDR(
																				((obj_t)
																					CAR(((obj_t) BgL_l1503z00_8085))));
																			BgL_auxz00_11810 = CAR(BgL_pairz00_8087);
																		}
																		BgL__ortest_1505z00_8086 =
																			BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																			(BgL_auxz00_11810, BgL_freesz00_8082);
																	}
																	if (CBOOL(BgL__ortest_1505z00_8086))
																		{	/* Ast/let.scm 985 */
																			BgL_tmpz00_11807 =
																				BgL__ortest_1505z00_8086;
																		}
																	else
																		{	/* Ast/let.scm 985 */
																			obj_t BgL_arg3179z00_8088;

																			BgL_arg3179z00_8088 =
																				CDR(((obj_t) BgL_l1503z00_8085));
																			{
																				obj_t BgL_l1503z00_11821;

																				BgL_l1503z00_11821 =
																					BgL_arg3179z00_8088;
																				BgL_l1503z00_8085 = BgL_l1503z00_11821;
																				goto
																					BgL_zc3z04anonymousza33173ze3z87_8084;
																			}
																		}
																}
															BgL_test4339z00_11806 = CBOOL(BgL_tmpz00_11807);
														}
													}
													if (BgL_test4339z00_11806)
														{	/* Ast/let.scm 985 */
															{	/* Ast/let.scm 987 */
																int BgL_tmpz00_11823;

																BgL_tmpz00_11823 = (int) (2L);
																BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11823);
															}
															{	/* Ast/let.scm 987 */
																int BgL_tmpz00_11826;

																BgL_tmpz00_11826 = (int) (1L);
																BGL_MVALUES_VAL_SET(BgL_tmpz00_11826,
																	BgL_ebindingsz00_8053);
															}
															BgL_vbindingsz00_8099 = BNIL;
														}
													else
														{	/* Ast/let.scm 988 */
															obj_t BgL_val0_1508z00_8089;
															obj_t BgL_val1_1509z00_8090;

															BgL_val0_1508z00_8089 =
																bgl_reverse_bang(BgL_vbindingsz00_8056);
															BgL_val1_1509z00_8090 =
																bgl_reverse_bang(BgL_fbindingsz00_8057);
															{	/* Ast/let.scm 988 */
																int BgL_tmpz00_11831;

																BgL_tmpz00_11831 = (int) (2L);
																BGL_MVALUES_NUMBER_SET(BgL_tmpz00_11831);
															}
															{	/* Ast/let.scm 988 */
																int BgL_tmpz00_11834;

																BgL_tmpz00_11834 = (int) (1L);
																BGL_MVALUES_VAL_SET(BgL_tmpz00_11834,
																	BgL_val1_1509z00_8090);
															}
															BgL_vbindingsz00_8099 = BgL_val0_1508z00_8089;
										}}}}
									else
										{	/* Ast/let.scm 990 */
											bool_t BgL_test4342z00_11837;

											{	/* Ast/let.scm 990 */
												obj_t BgL_arg3231z00_8091;

												{	/* Ast/let.scm 572 */
													obj_t BgL_pairz00_8092;

													BgL_pairz00_8092 =
														CAR(((obj_t) CAR(((obj_t) BgL_lz00_8055))));
													BgL_arg3231z00_8091 = CAR(CDR(BgL_pairz00_8092));
												}
												BgL_test4342z00_11837 =
													CBOOL(BGl_functionzf3zf3zzast_letz00
													(BgL_arg3231z00_8091, BTRUE));
											}
											if (BgL_test4342z00_11837)
												{	/* Ast/let.scm 991 */
													obj_t BgL_arg3222z00_8093;
													obj_t BgL_arg3226z00_8094;

													BgL_arg3222z00_8093 = CDR(((obj_t) BgL_lz00_8055));
													{	/* Ast/let.scm 991 */
														obj_t BgL_arg3227z00_8095;

														BgL_arg3227z00_8095 = CAR(((obj_t) BgL_lz00_8055));
														BgL_arg3226z00_8094 =
															MAKE_YOUNG_PAIR(BgL_arg3227z00_8095,
															BgL_fbindingsz00_8057);
													}
													{
														obj_t BgL_fbindingsz00_11852;
														obj_t BgL_lz00_11851;

														BgL_lz00_11851 = BgL_arg3222z00_8093;
														BgL_fbindingsz00_11852 = BgL_arg3226z00_8094;
														BgL_fbindingsz00_8057 = BgL_fbindingsz00_11852;
														BgL_lz00_8055 = BgL_lz00_11851;
														goto BgL_loopz00_8054;
													}
												}
											else
												{	/* Ast/let.scm 993 */
													obj_t BgL_arg3228z00_8096;
													obj_t BgL_arg3229z00_8097;

													BgL_arg3228z00_8096 = CDR(((obj_t) BgL_lz00_8055));
													{	/* Ast/let.scm 993 */
														obj_t BgL_arg3230z00_8098;

														BgL_arg3230z00_8098 = CAR(((obj_t) BgL_lz00_8055));
														BgL_arg3229z00_8097 =
															MAKE_YOUNG_PAIR(BgL_arg3230z00_8098,
															BgL_vbindingsz00_8056);
													}
													{
														obj_t BgL_vbindingsz00_11859;
														obj_t BgL_lz00_11858;

														BgL_lz00_11858 = BgL_arg3228z00_8096;
														BgL_vbindingsz00_11859 = BgL_arg3229z00_8097;
														BgL_vbindingsz00_8056 = BgL_vbindingsz00_11859;
														BgL_lz00_8055 = BgL_lz00_11858;
														goto BgL_loopz00_8054;
													}
												}
										}
								}
								{	/* Ast/let.scm 1002 */
									obj_t BgL_fbindingsz00_8100;

									{	/* Ast/let.scm 1007 */
										obj_t BgL_tmpz00_8101;

										{	/* Ast/let.scm 1007 */
											int BgL_tmpz00_11860;

											BgL_tmpz00_11860 = (int) (1L);
											BgL_tmpz00_8101 = BGL_MVALUES_VAL(BgL_tmpz00_11860);
										}
										{	/* Ast/let.scm 1007 */
											int BgL_tmpz00_11863;

											BgL_tmpz00_11863 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_11863, BUNSPEC);
										}
										BgL_fbindingsz00_8100 = BgL_tmpz00_8101;
									}
									{	/* Ast/let.scm 1007 */
										bool_t BgL_test4343z00_11866;

										if (NULLP(BgL_vbindingsz00_8099))
											{	/* Ast/let.scm 1007 */
												BgL_test4343z00_11866 = ((bool_t) 0);
											}
										else
											{	/* Ast/let.scm 1007 */
												BgL_test4343z00_11866 = PAIRP(BgL_fbindingsz00_8100);
											}
										if (BgL_test4343z00_11866)
											{	/* Ast/let.scm 1009 */
												obj_t BgL_arg3129z00_8102;

												{	/* Ast/let.scm 1009 */
													obj_t BgL_arg3136z00_8103;

													{	/* Ast/let.scm 1009 */
														obj_t BgL_arg3137z00_8104;
														obj_t BgL_arg3139z00_8105;

														{	/* Ast/let.scm 1009 */
															obj_t BgL_head1512z00_8106;

															{	/* Ast/let.scm 1009 */
																obj_t BgL_arg3148z00_8107;

																{	/* Ast/let.scm 571 */
																	obj_t BgL_pairz00_8108;

																	BgL_pairz00_8108 =
																		CAR(((obj_t) BgL_vbindingsz00_8099));
																	BgL_arg3148z00_8107 = CAR(BgL_pairz00_8108);
																}
																BgL_head1512z00_8106 =
																	MAKE_YOUNG_PAIR(BgL_arg3148z00_8107, BNIL);
															}
															{	/* Ast/let.scm 1009 */
																obj_t BgL_g1515z00_8109;

																BgL_g1515z00_8109 =
																	CDR(((obj_t) BgL_vbindingsz00_8099));
																{
																	obj_t BgL_l1510z00_8111;
																	obj_t BgL_tail1513z00_8112;

																	BgL_l1510z00_8111 = BgL_g1515z00_8109;
																	BgL_tail1513z00_8112 = BgL_head1512z00_8106;
																BgL_zc3z04anonymousza33141ze3z87_8110:
																	if (NULLP(BgL_l1510z00_8111))
																		{	/* Ast/let.scm 1009 */
																			BgL_arg3137z00_8104 =
																				BgL_head1512z00_8106;
																		}
																	else
																		{	/* Ast/let.scm 1009 */
																			obj_t BgL_newtail1514z00_8113;

																			{	/* Ast/let.scm 1009 */
																				obj_t BgL_arg3146z00_8114;

																				{	/* Ast/let.scm 571 */
																					obj_t BgL_pairz00_8115;

																					BgL_pairz00_8115 =
																						CAR(((obj_t) BgL_l1510z00_8111));
																					BgL_arg3146z00_8114 =
																						CAR(BgL_pairz00_8115);
																				}
																				BgL_newtail1514z00_8113 =
																					MAKE_YOUNG_PAIR(BgL_arg3146z00_8114,
																					BNIL);
																			}
																			SET_CDR(BgL_tail1513z00_8112,
																				BgL_newtail1514z00_8113);
																			{	/* Ast/let.scm 1009 */
																				obj_t BgL_arg3143z00_8116;

																				BgL_arg3143z00_8116 =
																					CDR(((obj_t) BgL_l1510z00_8111));
																				{
																					obj_t BgL_tail1513z00_11886;
																					obj_t BgL_l1510z00_11885;

																					BgL_l1510z00_11885 =
																						BgL_arg3143z00_8116;
																					BgL_tail1513z00_11886 =
																						BgL_newtail1514z00_8113;
																					BgL_tail1513z00_8112 =
																						BgL_tail1513z00_11886;
																					BgL_l1510z00_8111 =
																						BgL_l1510z00_11885;
																					goto
																						BgL_zc3z04anonymousza33141ze3z87_8110;
																				}
																			}
																		}
																}
															}
														}
														{	/* Ast/let.scm 1010 */
															obj_t BgL_arg3152z00_8117;

															{	/* Ast/let.scm 1010 */
																obj_t BgL_arg3153z00_8118;

																{	/* Ast/let.scm 1010 */
																	obj_t BgL_arg3154z00_8119;
																	obj_t BgL_arg3155z00_8120;

																	{	/* Ast/let.scm 1010 */
																		obj_t BgL_head1518z00_8121;

																		{	/* Ast/let.scm 1010 */
																			obj_t BgL_arg3163z00_8122;

																			{	/* Ast/let.scm 571 */
																				obj_t BgL_pairz00_8123;

																				BgL_pairz00_8123 =
																					CAR(((obj_t) BgL_fbindingsz00_8100));
																				BgL_arg3163z00_8122 =
																					CAR(BgL_pairz00_8123);
																			}
																			BgL_head1518z00_8121 =
																				MAKE_YOUNG_PAIR(BgL_arg3163z00_8122,
																				BNIL);
																		}
																		{	/* Ast/let.scm 1010 */
																			obj_t BgL_g1521z00_8124;

																			BgL_g1521z00_8124 =
																				CDR(((obj_t) BgL_fbindingsz00_8100));
																			{
																				obj_t BgL_l1516z00_8126;
																				obj_t BgL_tail1519z00_8127;

																				BgL_l1516z00_8126 = BgL_g1521z00_8124;
																				BgL_tail1519z00_8127 =
																					BgL_head1518z00_8121;
																			BgL_zc3z04anonymousza33157ze3z87_8125:
																				if (NULLP(BgL_l1516z00_8126))
																					{	/* Ast/let.scm 1010 */
																						BgL_arg3154z00_8119 =
																							BgL_head1518z00_8121;
																					}
																				else
																					{	/* Ast/let.scm 1010 */
																						obj_t BgL_newtail1520z00_8128;

																						{	/* Ast/let.scm 1010 */
																							obj_t BgL_arg3160z00_8129;

																							{	/* Ast/let.scm 571 */
																								obj_t BgL_pairz00_8130;

																								BgL_pairz00_8130 =
																									CAR(
																									((obj_t) BgL_l1516z00_8126));
																								BgL_arg3160z00_8129 =
																									CAR(BgL_pairz00_8130);
																							}
																							BgL_newtail1520z00_8128 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg3160z00_8129, BNIL);
																						}
																						SET_CDR(BgL_tail1519z00_8127,
																							BgL_newtail1520z00_8128);
																						{	/* Ast/let.scm 1010 */
																							obj_t BgL_arg3159z00_8131;

																							BgL_arg3159z00_8131 =
																								CDR(
																								((obj_t) BgL_l1516z00_8126));
																							{
																								obj_t BgL_tail1519z00_11903;
																								obj_t BgL_l1516z00_11902;

																								BgL_l1516z00_11902 =
																									BgL_arg3159z00_8131;
																								BgL_tail1519z00_11903 =
																									BgL_newtail1520z00_8128;
																								BgL_tail1519z00_8127 =
																									BgL_tail1519z00_11903;
																								BgL_l1516z00_8126 =
																									BgL_l1516z00_11902;
																								goto
																									BgL_zc3z04anonymousza33157ze3z87_8125;
																							}
																						}
																					}
																			}
																		}
																	}
																	BgL_arg3155z00_8120 =
																		MAKE_YOUNG_PAIR(BgL_bodyz00_7835, BNIL);
																	BgL_arg3153z00_8118 =
																		MAKE_YOUNG_PAIR(BgL_arg3154z00_8119,
																		BgL_arg3155z00_8120);
																}
																BgL_arg3152z00_8117 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(4)), BgL_arg3153z00_8118);
															}
															BgL_arg3139z00_8105 =
																MAKE_YOUNG_PAIR(BgL_arg3152z00_8117, BNIL);
														}
														BgL_arg3136z00_8103 =
															MAKE_YOUNG_PAIR(BgL_arg3137z00_8104,
															BgL_arg3139z00_8105);
													}
													BgL_arg3129z00_8102 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(4)), BgL_arg3136z00_8103);
												}
												return
													BGl_sexpzd2ze3nodez31zzast_sexpz00
													(BgL_arg3129z00_8102, BgL_stackz00_7831,
													BgL_locz00_7832, BgL_sitez00_7833);
											}
										else
											{	/* Ast/let.scm 1007 */
												BgL_ebindingsz00_8014 = BgL_ebindingsz00_7834;
												BgL_bodyz00_8015 = BgL_bodyz00_7835;
												{	/* Ast/let.scm 937 */
													obj_t BgL_splitz00_8016;

													{	/* Ast/let.scm 975 */
														int BgL_tmpz00_11915;

														BgL_tmpz00_11915 = (int) (0L);
														BgL_splitz00_8016 =
															MAKE_EL_PROCEDURE(BgL_tmpz00_11915);
													}
													BgL_ebindingsz00_8017 = BgL_ebindingsz00_8014;
													BgL_bodyz00_8018 = BgL_bodyz00_8015;
													BgL_splitz00_8019 = BgL_splitz00_8016;
													BgL_kontz00_8020 = BgL_stage7z00_7830;
													if (NULLP(BgL_ebindingsz00_8017))
														{	/* Ast/let.scm 720 */
															return
																BGl_sexpzd2ze3nodez31zzast_sexpz00
																(BgL_bodyz00_8018, BgL_stackz00_7831,
																BgL_locz00_7832, BgL_sitez00_7833);
														}
													else
														{	/* Ast/let.scm 723 */
															obj_t BgL_recza2zd2bindingsz70_8021;

															BgL_recza2zd2bindingsz70_8021 =
																BGl_z62split3811z62zzast_letz00
																(BgL_splitz00_8019, BgL_ebindingsz00_8017);
															{	/* Ast/let.scm 724 */
																obj_t BgL_tailzd2bindingszd2_8022;

																{	/* Ast/let.scm 729 */
																	obj_t BgL_tmpz00_8023;

																	{	/* Ast/let.scm 729 */
																		int BgL_tmpz00_11925;

																		BgL_tmpz00_11925 = (int) (1L);
																		BgL_tmpz00_8023 =
																			BGL_MVALUES_VAL(BgL_tmpz00_11925);
																	}
																	{	/* Ast/let.scm 729 */
																		int BgL_tmpz00_11928;

																		BgL_tmpz00_11928 = (int) (1L);
																		BGL_MVALUES_VAL_SET(BgL_tmpz00_11928,
																			BUNSPEC);
																	}
																	BgL_tailzd2bindingszd2_8022 = BgL_tmpz00_8023;
																}
																if (PAIRP(BgL_tailzd2bindingszd2_8022))
																	{	/* Ast/let.scm 731 */
																		obj_t BgL_arg2411z00_8024;

																		{	/* Ast/let.scm 731 */
																			obj_t BgL_arg2412z00_8025;

																			{	/* Ast/let.scm 731 */
																				obj_t BgL_arg2413z00_8026;
																				obj_t BgL_arg2415z00_8027;

																				if (NULLP
																					(BgL_recza2zd2bindingsz70_8021))
																					{	/* Ast/let.scm 731 */
																						BgL_arg2413z00_8026 = BNIL;
																					}
																				else
																					{	/* Ast/let.scm 731 */
																						obj_t BgL_head1449z00_8028;

																						{	/* Ast/let.scm 731 */
																							obj_t BgL_arg2424z00_8029;

																							{	/* Ast/let.scm 571 */
																								obj_t BgL_pairz00_8030;

																								BgL_pairz00_8030 =
																									CAR(
																									((obj_t)
																										BgL_recza2zd2bindingsz70_8021));
																								BgL_arg2424z00_8029 =
																									CAR(BgL_pairz00_8030);
																							}
																							BgL_head1449z00_8028 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2424z00_8029, BNIL);
																						}
																						{	/* Ast/let.scm 731 */
																							obj_t BgL_g1452z00_8031;

																							BgL_g1452z00_8031 =
																								CDR(
																								((obj_t)
																									BgL_recza2zd2bindingsz70_8021));
																							{
																								obj_t BgL_l1447z00_8033;
																								obj_t BgL_tail1450z00_8034;

																								BgL_l1447z00_8033 =
																									BgL_g1452z00_8031;
																								BgL_tail1450z00_8034 =
																									BgL_head1449z00_8028;
																							BgL_zc3z04anonymousza32417ze3z87_8032:
																								if (NULLP
																									(BgL_l1447z00_8033))
																									{	/* Ast/let.scm 731 */
																										BgL_arg2413z00_8026 =
																											BgL_head1449z00_8028;
																									}
																								else
																									{	/* Ast/let.scm 731 */
																										obj_t
																											BgL_newtail1451z00_8035;
																										{	/* Ast/let.scm 731 */
																											obj_t BgL_arg2422z00_8036;

																											{	/* Ast/let.scm 571 */
																												obj_t BgL_pairz00_8037;

																												BgL_pairz00_8037 =
																													CAR(
																													((obj_t)
																														BgL_l1447z00_8033));
																												BgL_arg2422z00_8036 =
																													CAR(BgL_pairz00_8037);
																											}
																											BgL_newtail1451z00_8035 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg2422z00_8036,
																												BNIL);
																										}
																										SET_CDR
																											(BgL_tail1450z00_8034,
																											BgL_newtail1451z00_8035);
																										{	/* Ast/let.scm 731 */
																											obj_t BgL_arg2421z00_8038;

																											BgL_arg2421z00_8038 =
																												CDR(
																												((obj_t)
																													BgL_l1447z00_8033));
																											{
																												obj_t
																													BgL_tail1450z00_11951;
																												obj_t
																													BgL_l1447z00_11950;
																												BgL_l1447z00_11950 =
																													BgL_arg2421z00_8038;
																												BgL_tail1450z00_11951 =
																													BgL_newtail1451z00_8035;
																												BgL_tail1450z00_8034 =
																													BgL_tail1450z00_11951;
																												BgL_l1447z00_8033 =
																													BgL_l1447z00_11950;
																												goto
																													BgL_zc3z04anonymousza32417ze3z87_8032;
																											}
																										}
																									}
																							}
																						}
																					}
																				{	/* Ast/let.scm 732 */
																					obj_t BgL_arg2428z00_8039;

																					{	/* Ast/let.scm 732 */
																						obj_t BgL_arg2429z00_8040;

																						{	/* Ast/let.scm 732 */
																							obj_t BgL_arg2430z00_8041;
																							obj_t BgL_arg2431z00_8042;

																							{	/* Ast/let.scm 732 */
																								obj_t BgL_head1455z00_8043;

																								BgL_head1455z00_8043 =
																									MAKE_YOUNG_PAIR(CAR(CAR
																										(BgL_tailzd2bindingszd2_8022)),
																									BNIL);
																								{	/* Ast/let.scm 732 */
																									obj_t BgL_g1458z00_8044;

																									BgL_g1458z00_8044 =
																										CDR
																										(BgL_tailzd2bindingszd2_8022);
																									{
																										obj_t BgL_l1453z00_8046;
																										obj_t BgL_tail1456z00_8047;

																										BgL_l1453z00_8046 =
																											BgL_g1458z00_8044;
																										BgL_tail1456z00_8047 =
																											BgL_head1455z00_8043;
																									BgL_zc3z04anonymousza32433ze3z87_8045:
																										if (NULLP
																											(BgL_l1453z00_8046))
																											{	/* Ast/let.scm 732 */
																												BgL_arg2430z00_8041 =
																													BgL_head1455z00_8043;
																											}
																										else
																											{	/* Ast/let.scm 732 */
																												obj_t
																													BgL_newtail1457z00_8048;
																												{	/* Ast/let.scm 732 */
																													obj_t
																														BgL_arg2438z00_8049;
																													{	/* Ast/let.scm 571 */
																														obj_t
																															BgL_pairz00_8050;
																														BgL_pairz00_8050 =
																															CAR(((obj_t)
																																BgL_l1453z00_8046));
																														BgL_arg2438z00_8049
																															=
																															CAR
																															(BgL_pairz00_8050);
																													}
																													BgL_newtail1457z00_8048
																														=
																														MAKE_YOUNG_PAIR
																														(BgL_arg2438z00_8049,
																														BNIL);
																												}
																												SET_CDR
																													(BgL_tail1456z00_8047,
																													BgL_newtail1457z00_8048);
																												{	/* Ast/let.scm 732 */
																													obj_t
																														BgL_arg2437z00_8051;
																													BgL_arg2437z00_8051 =
																														CDR(((obj_t)
																															BgL_l1453z00_8046));
																													{
																														obj_t
																															BgL_tail1456z00_11966;
																														obj_t
																															BgL_l1453z00_11965;
																														BgL_l1453z00_11965 =
																															BgL_arg2437z00_8051;
																														BgL_tail1456z00_11966
																															=
																															BgL_newtail1457z00_8048;
																														BgL_tail1456z00_8047
																															=
																															BgL_tail1456z00_11966;
																														BgL_l1453z00_8046 =
																															BgL_l1453z00_11965;
																														goto
																															BgL_zc3z04anonymousza32433ze3z87_8045;
																													}
																												}
																											}
																									}
																								}
																							}
																							BgL_arg2431z00_8042 =
																								MAKE_YOUNG_PAIR
																								(BgL_bodyz00_8018, BNIL);
																							BgL_arg2429z00_8040 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2430z00_8041,
																								BgL_arg2431z00_8042);
																						}
																						BgL_arg2428z00_8039 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(4)),
																							BgL_arg2429z00_8040);
																					}
																					BgL_arg2415z00_8027 =
																						MAKE_YOUNG_PAIR(BgL_arg2428z00_8039,
																						BNIL);
																				}
																				BgL_arg2412z00_8025 =
																					MAKE_YOUNG_PAIR(BgL_arg2413z00_8026,
																					BgL_arg2415z00_8027);
																			}
																			BgL_arg2411z00_8024 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(4)),
																				BgL_arg2412z00_8025);
																		}
																		return
																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																			(BgL_arg2411z00_8024, BgL_stackz00_7831,
																			BgL_locz00_7832, BgL_sitez00_7833);
																	}
																else
																	{	/* Ast/let.scm 729 */
																		BGL_TAIL return
																			BGl_z62stage7z62zzast_letz00
																			(BgL_kontz00_8020, BgL_ebindingsz00_8017,
																			BgL_bodyz00_8018);
																	}
															}
														}
												}
											}
									}
								}
							}
					}
				}
			}
		}

	}



/* <@anonymous:3184>~0 */
	obj_t BGl_zc3z04anonymousza33184ze3ze70z60zzast_letz00(obj_t
		BgL_l1500z00_3732)
	{
		{	/* Ast/let.scm 983 */
			if (NULLP(BgL_l1500z00_3732))
				{	/* Ast/let.scm 983 */
					return BNIL;
				}
			else
				{	/* Ast/let.scm 983 */
					obj_t BgL_arg3186z00_3735;
					obj_t BgL_arg3187z00_3736;

					{	/* Ast/let.scm 574 */
						obj_t BgL_pairz00_6563;

						BgL_pairz00_6563 = CAR(((obj_t) BgL_l1500z00_3732));
						BgL_arg3186z00_3735 = CAR(CDR(CDR(BgL_pairz00_6563)));
					}
					{	/* Ast/let.scm 983 */
						obj_t BgL_arg3194z00_3738;

						BgL_arg3194z00_3738 = CDR(((obj_t) BgL_l1500z00_3732));
						BgL_arg3187z00_3736 =
							BGl_zc3z04anonymousza33184ze3ze70z60zzast_letz00
							(BgL_arg3194z00_3738);
					}
					return bgl_append2(BgL_arg3186z00_3735, BgL_arg3187z00_3736);
				}
		}

	}



/* <@anonymous:3195>~0 */
	obj_t BGl_zc3z04anonymousza33195ze3ze70z60zzast_letz00(obj_t
		BgL_l1502z00_3741)
	{
		{	/* Ast/let.scm 984 */
			if (NULLP(BgL_l1502z00_3741))
				{	/* Ast/let.scm 984 */
					return BNIL;
				}
			else
				{	/* Ast/let.scm 984 */
					obj_t BgL_arg3197z00_3744;
					obj_t BgL_arg3198z00_3745;

					{	/* Ast/let.scm 575 */
						obj_t BgL_pairz00_6571;

						BgL_pairz00_6571 = CAR(((obj_t) BgL_l1502z00_3741));
						BgL_arg3197z00_3744 = CAR(CDR(CDR(CDR(BgL_pairz00_6571))));
					}
					{	/* Ast/let.scm 984 */
						obj_t BgL_arg3202z00_3747;

						BgL_arg3202z00_3747 = CDR(((obj_t) BgL_l1502z00_3741));
						BgL_arg3198z00_3745 =
							BGl_zc3z04anonymousza33195ze3ze70z60zzast_letz00
							(BgL_arg3202z00_3747);
					}
					return bgl_append2(BgL_arg3197z00_3744, BgL_arg3198z00_3745);
				}
		}

	}



/* &split3810 */
	obj_t BGl_z62split3810z62zzast_letz00(obj_t BgL_envz00_7836,
		obj_t BgL_ebindingsz00_7837)
	{
		{	/* Ast/let.scm 1036 */
			{
				obj_t BgL_ebindingsz00_8133;
				obj_t BgL_letza2zd2bindingsz70_8134;

				BgL_ebindingsz00_8133 = BgL_ebindingsz00_7837;
				BgL_letza2zd2bindingsz70_8134 = BNIL;
			BgL_loopz00_8132:
				if (NULLP(BgL_ebindingsz00_8133))
					{	/* Ast/let.scm 1026 */
						obj_t BgL_val0_1522z00_8135;

						BgL_val0_1522z00_8135 =
							bgl_reverse_bang(BgL_letza2zd2bindingsz70_8134);
						{	/* Ast/let.scm 1026 */
							int BgL_tmpz00_12009;

							BgL_tmpz00_12009 = (int) (2L);
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12009);
						}
						{	/* Ast/let.scm 1026 */
							int BgL_tmpz00_12012;

							BgL_tmpz00_12012 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_12012, BNIL);
						}
						return BgL_val0_1522z00_8135;
					}
				else
					{	/* Ast/let.scm 1027 */
						bool_t BgL_test4355z00_12015;

						{	/* Ast/let.scm 1027 */
							obj_t BgL_g1526z00_8136;

							BgL_g1526z00_8136 = CDR(((obj_t) BgL_ebindingsz00_8133));
							{
								obj_t BgL_l1524z00_8138;

								{	/* Ast/let.scm 1030 */
									obj_t BgL_tmpz00_12018;

									BgL_l1524z00_8138 = BgL_g1526z00_8136;
								BgL_zc3z04anonymousza33247ze3z87_8137:
									if (NULLP(BgL_l1524z00_8138))
										{	/* Ast/let.scm 1030 */
											BgL_tmpz00_12018 = BFALSE;
										}
									else
										{	/* Ast/let.scm 1028 */
											obj_t BgL__ortest_1527z00_8139;

											{	/* Ast/let.scm 1028 */
												obj_t BgL_auxz00_12027;
												obj_t BgL_auxz00_12021;

												{	/* Ast/let.scm 574 */
													obj_t BgL_pairz00_8141;

													BgL_pairz00_8141 =
														CAR(((obj_t) BgL_ebindingsz00_8133));
													BgL_auxz00_12027 = CAR(CDR(CDR(BgL_pairz00_8141)));
												}
												{	/* Ast/let.scm 573 */
													obj_t BgL_pairz00_8140;

													BgL_pairz00_8140 =
														CDR(((obj_t) CAR(((obj_t) BgL_l1524z00_8138))));
													BgL_auxz00_12021 = CAR(BgL_pairz00_8140);
												}
												BgL__ortest_1527z00_8139 =
													BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(BgL_auxz00_12021, BgL_auxz00_12027);
											}
											if (CBOOL(BgL__ortest_1527z00_8139))
												{	/* Ast/let.scm 1030 */
													BgL_tmpz00_12018 = BgL__ortest_1527z00_8139;
												}
											else
												{	/* Ast/let.scm 1030 */
													obj_t BgL_arg3250z00_8142;

													BgL_arg3250z00_8142 =
														CDR(((obj_t) BgL_l1524z00_8138));
													{
														obj_t BgL_l1524z00_12038;

														BgL_l1524z00_12038 = BgL_arg3250z00_8142;
														BgL_l1524z00_8138 = BgL_l1524z00_12038;
														goto BgL_zc3z04anonymousza33247ze3z87_8137;
													}
												}
										}
									BgL_test4355z00_12015 = CBOOL(BgL_tmpz00_12018);
								}
							}
						}
						if (BgL_test4355z00_12015)
							{	/* Ast/let.scm 1034 */
								obj_t BgL_val0_1528z00_8143;

								BgL_val0_1528z00_8143 =
									bgl_reverse_bang(BgL_letza2zd2bindingsz70_8134);
								{	/* Ast/let.scm 1034 */
									int BgL_tmpz00_12041;

									BgL_tmpz00_12041 = (int) (2L);
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12041);
								}
								{	/* Ast/let.scm 1034 */
									int BgL_tmpz00_12044;

									BgL_tmpz00_12044 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_12044, BgL_ebindingsz00_8133);
								}
								return BgL_val0_1528z00_8143;
							}
						else
							{	/* Ast/let.scm 1036 */
								obj_t BgL_arg3244z00_8144;
								obj_t BgL_arg3245z00_8145;

								BgL_arg3244z00_8144 = CDR(((obj_t) BgL_ebindingsz00_8133));
								{	/* Ast/let.scm 1036 */
									obj_t BgL_arg3246z00_8146;

									BgL_arg3246z00_8146 = CAR(((obj_t) BgL_ebindingsz00_8133));
									BgL_arg3245z00_8145 =
										MAKE_YOUNG_PAIR(BgL_arg3246z00_8146,
										BgL_letza2zd2bindingsz70_8134);
								}
								{
									obj_t BgL_letza2zd2bindingsz70_12053;
									obj_t BgL_ebindingsz00_12052;

									BgL_ebindingsz00_12052 = BgL_arg3244z00_8144;
									BgL_letza2zd2bindingsz70_12053 = BgL_arg3245z00_8145;
									BgL_letza2zd2bindingsz70_8134 =
										BgL_letza2zd2bindingsz70_12053;
									BgL_ebindingsz00_8133 = BgL_ebindingsz00_12052;
									goto BgL_loopz00_8132;
								}
							}
					}
			}
		}

	}



/* &stage7 */
	BgL_nodez00_bglt BGl_z62stage7z62zzast_letz00(obj_t BgL_envz00_7838,
		obj_t BgL_ebindingsz00_7842, obj_t BgL_bodyz00_7843)
	{
		{	/* Ast/let.scm 930 */
			{	/* Ast/let.scm 913 */
				obj_t BgL_locz00_7839;
				obj_t BgL_stackz00_7840;
				obj_t BgL_sitez00_7841;

				BgL_locz00_7839 = PROCEDURE_EL_REF(BgL_envz00_7838, (int) (0L));
				BgL_stackz00_7840 = PROCEDURE_EL_REF(BgL_envz00_7838, (int) (1L));
				BgL_sitez00_7841 =
					((obj_t) PROCEDURE_EL_REF(BgL_envz00_7838, (int) (2L)));
				{
					obj_t BgL_ebindingsz00_8148;
					obj_t BgL_bodyz00_8149;

					{	/* Ast/let.scm 913 */
						obj_t BgL_lastz00_8166;

						BgL_lastz00_8166 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
							(BgL_ebindingsz00_7842));
						{	/* Ast/let.scm 913 */
							BgL_typez00_bglt BgL_tz00_8167;

							{	/* Ast/let.scm 914 */
								obj_t BgL_arg3071z00_8168;
								obj_t BgL_arg3072z00_8169;

								{	/* Ast/let.scm 914 */
									obj_t BgL_pairz00_8170;

									BgL_pairz00_8170 = CAR(((obj_t) BgL_lastz00_8166));
									BgL_arg3071z00_8168 = CAR(BgL_pairz00_8170);
								}
								{	/* Ast/let.scm 915 */
									obj_t BgL_arg3075z00_8171;

									BgL_arg3075z00_8171 = CAR(((obj_t) BgL_lastz00_8166));
									BgL_arg3072z00_8169 =
										BGl_findzd2locationzd2zztools_locationz00
										(BgL_arg3075z00_8171);
								}
								BgL_tz00_8167 =
									BGl_typezd2ofzd2idz00zzast_identz00(BgL_arg3071z00_8168,
									BgL_arg3072z00_8169);
							}
							{	/* Ast/let.scm 914 */

								{	/* Ast/let.scm 916 */
									bool_t BgL_test4358z00_12070;

									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
												(((BgL_typez00_bglt) COBJECT(BgL_tz00_8167))->
													BgL_idz00), ((obj_t) CNST_TABLE_REF(13)))))
										{	/* Ast/let.scm 917 */
											bool_t BgL_test4360z00_12077;

											{	/* Ast/let.scm 917 */
												obj_t BgL_arg3062z00_8172;

												{	/* Ast/let.scm 572 */
													obj_t BgL_pairz00_8173;

													BgL_pairz00_8173 = CAR(((obj_t) BgL_lastz00_8166));
													BgL_arg3062z00_8172 = CAR(CDR(BgL_pairz00_8173));
												}
												{	/* Ast/let.scm 917 */

													BgL_test4360z00_12077 =
														CBOOL(BGl_functionzf3zf3zzast_letz00
														(BgL_arg3062z00_8172, BFALSE));
												}
											}
											if (BgL_test4360z00_12077)
												{	/* Ast/let.scm 917 */
													BgL_test4358z00_12070 = ((bool_t) 0);
												}
											else
												{	/* Ast/let.scm 917 */
													BgL_test4358z00_12070 = ((bool_t) 1);
												}
										}
									else
										{	/* Ast/let.scm 916 */
											BgL_test4358z00_12070 = ((bool_t) 0);
										}
									if (BgL_test4358z00_12070)
										{	/* Ast/let.scm 921 */
											obj_t BgL_arg3022z00_8174;

											{	/* Ast/let.scm 921 */
												obj_t BgL_arg3023z00_8175;

												{	/* Ast/let.scm 921 */
													obj_t BgL_arg3024z00_8176;
													obj_t BgL_arg3025z00_8177;

													{	/* Ast/let.scm 921 */
														obj_t BgL_arg3026z00_8178;

														{	/* Ast/let.scm 921 */
															obj_t BgL_arg3027z00_8179;
															obj_t BgL_arg3028z00_8180;

															{	/* Ast/let.scm 573 */
																obj_t BgL_pairz00_8181;

																BgL_pairz00_8181 =
																	CDR(((obj_t) BgL_lastz00_8166));
																BgL_arg3027z00_8179 = CAR(BgL_pairz00_8181);
															}
															BgL_arg3028z00_8180 =
																MAKE_YOUNG_PAIR(BUNSPEC, BNIL);
															BgL_arg3026z00_8178 =
																MAKE_YOUNG_PAIR(BgL_arg3027z00_8179,
																BgL_arg3028z00_8180);
														}
														BgL_arg3024z00_8176 =
															MAKE_YOUNG_PAIR(BgL_arg3026z00_8178, BNIL);
													}
													{	/* Ast/let.scm 923 */
														obj_t BgL_arg3029z00_8182;

														{	/* Ast/let.scm 923 */
															obj_t BgL_arg3030z00_8183;

															{	/* Ast/let.scm 923 */
																obj_t BgL_arg3031z00_8184;
																obj_t BgL_arg3034z00_8185;

																{	/* Ast/let.scm 923 */
																	obj_t BgL_arg3042z00_8186;

																	{	/* Ast/let.scm 923 */
																		obj_t BgL_arg3043z00_8187;

																		{	/* Ast/let.scm 923 */
																			obj_t BgL_l1475z00_8188;

																			BgL_l1475z00_8188 =
																				bgl_reverse(BgL_ebindingsz00_7842);
																			if (NULLP(BgL_l1475z00_8188))
																				{	/* Ast/let.scm 923 */
																					BgL_arg3043z00_8187 = BNIL;
																				}
																			else
																				{	/* Ast/let.scm 923 */
																					obj_t BgL_head1477z00_8189;

																					BgL_head1477z00_8189 =
																						MAKE_YOUNG_PAIR(CAR(CAR
																							(BgL_l1475z00_8188)), BNIL);
																					{	/* Ast/let.scm 923 */
																						obj_t BgL_g1480z00_8190;

																						BgL_g1480z00_8190 =
																							CDR(BgL_l1475z00_8188);
																						{
																							obj_t BgL_l1475z00_8192;
																							obj_t BgL_tail1478z00_8193;

																							BgL_l1475z00_8192 =
																								BgL_g1480z00_8190;
																							BgL_tail1478z00_8193 =
																								BgL_head1477z00_8189;
																						BgL_zc3z04anonymousza33045ze3z87_8191:
																							if (NULLP
																								(BgL_l1475z00_8192))
																								{	/* Ast/let.scm 923 */
																									BgL_arg3043z00_8187 =
																										BgL_head1477z00_8189;
																								}
																							else
																								{	/* Ast/let.scm 923 */
																									obj_t BgL_newtail1479z00_8194;

																									{	/* Ast/let.scm 923 */
																										obj_t BgL_arg3049z00_8195;

																										{	/* Ast/let.scm 571 */
																											obj_t BgL_pairz00_8196;

																											BgL_pairz00_8196 =
																												CAR(
																												((obj_t)
																													BgL_l1475z00_8192));
																											BgL_arg3049z00_8195 =
																												CAR(BgL_pairz00_8196);
																										}
																										BgL_newtail1479z00_8194 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg3049z00_8195,
																											BNIL);
																									}
																									SET_CDR(BgL_tail1478z00_8193,
																										BgL_newtail1479z00_8194);
																									{	/* Ast/let.scm 923 */
																										obj_t BgL_arg3048z00_8197;

																										BgL_arg3048z00_8197 =
																											CDR(
																											((obj_t)
																												BgL_l1475z00_8192));
																										{
																											obj_t
																												BgL_tail1478z00_12107;
																											obj_t BgL_l1475z00_12106;

																											BgL_l1475z00_12106 =
																												BgL_arg3048z00_8197;
																											BgL_tail1478z00_12107 =
																												BgL_newtail1479z00_8194;
																											BgL_tail1478z00_8193 =
																												BgL_tail1478z00_12107;
																											BgL_l1475z00_8192 =
																												BgL_l1475z00_12106;
																											goto
																												BgL_zc3z04anonymousza33045ze3z87_8191;
																										}
																									}
																								}
																						}
																					}
																				}
																		}
																		BgL_arg3042z00_8186 =
																			CDR(((obj_t) BgL_arg3043z00_8187));
																	}
																	BgL_arg3031z00_8184 =
																		bgl_reverse(BgL_arg3042z00_8186);
																}
																{	/* Ast/let.scm 925 */
																	obj_t BgL_arg3054z00_8198;
																	obj_t BgL_arg3055z00_8199;

																	{	/* Ast/let.scm 925 */
																		obj_t BgL_arg3057z00_8200;

																		{	/* Ast/let.scm 925 */
																			obj_t BgL_arg3058z00_8201;
																			obj_t BgL_arg3059z00_8202;

																			{	/* Ast/let.scm 573 */
																				obj_t BgL_pairz00_8203;

																				BgL_pairz00_8203 =
																					CDR(((obj_t) BgL_lastz00_8166));
																				BgL_arg3058z00_8201 =
																					CAR(BgL_pairz00_8203);
																			}
																			{	/* Ast/let.scm 925 */
																				obj_t BgL_arg3061z00_8204;

																				{	/* Ast/let.scm 572 */
																					obj_t BgL_pairz00_8205;

																					BgL_pairz00_8205 =
																						CAR(((obj_t) BgL_lastz00_8166));
																					BgL_arg3061z00_8204 =
																						CAR(CDR(BgL_pairz00_8205));
																				}
																				BgL_arg3059z00_8202 =
																					MAKE_YOUNG_PAIR(BgL_arg3061z00_8204,
																					BNIL);
																			}
																			BgL_arg3057z00_8200 =
																				MAKE_YOUNG_PAIR(BgL_arg3058z00_8201,
																				BgL_arg3059z00_8202);
																		}
																		BgL_arg3054z00_8198 =
																			MAKE_YOUNG_PAIR(
																			((obj_t)
																				CNST_TABLE_REF(5)),
																			BgL_arg3057z00_8200);
																	}
																	BgL_arg3055z00_8199 =
																		MAKE_YOUNG_PAIR(BgL_bodyz00_7843, BNIL);
																	BgL_arg3034z00_8185 =
																		MAKE_YOUNG_PAIR(BgL_arg3054z00_8198,
																		BgL_arg3055z00_8199);
																}
																BgL_arg3030z00_8183 =
																	MAKE_YOUNG_PAIR(BgL_arg3031z00_8184,
																	BgL_arg3034z00_8185);
															}
															BgL_arg3029z00_8182 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(4)), BgL_arg3030z00_8183);
														}
														BgL_arg3025z00_8177 =
															MAKE_YOUNG_PAIR(BgL_arg3029z00_8182, BNIL);
													}
													BgL_arg3023z00_8175 =
														MAKE_YOUNG_PAIR(BgL_arg3024z00_8176,
														BgL_arg3025z00_8177);
												}
												BgL_arg3022z00_8174 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(0)), BgL_arg3023z00_8175);
											}
											return
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3022z00_8174,
												BgL_stackz00_7840, BgL_locz00_7839, BgL_sitez00_7841);
										}
									else
										{	/* Ast/let.scm 916 */
											BgL_ebindingsz00_8148 = BgL_ebindingsz00_7842;
											BgL_bodyz00_8149 = BgL_bodyz00_7843;
											{	/* Ast/let.scm 891 */
												obj_t BgL_sexpz00_8150;

												{	/* Ast/let.scm 892 */
													obj_t BgL_arg2941z00_8151;

													{	/* Ast/let.scm 892 */
														obj_t BgL_arg2943z00_8152;
														obj_t BgL_arg2952z00_8153;

														{	/* Ast/let.scm 891 */
															obj_t BgL_list2954z00_8155;

															BgL_list2954z00_8155 =
																MAKE_YOUNG_PAIR(BgL_ebindingsz00_8148, BNIL);
															BgL_arg2943z00_8152 =
																BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
																(BGl_proc3819z00zzast_letz00,
																BgL_list2954z00_8155);
														}
														{	/* Ast/let.scm 897 */
															obj_t BgL_arg2970z00_8156;

															{	/* Ast/let.scm 897 */
																obj_t BgL_arg2971z00_8157;

																{	/* Ast/let.scm 897 */
																	obj_t BgL_arg2973z00_8158;
																	obj_t BgL_arg2974z00_8159;

																	{	/* Ast/let.scm 896 */
																		obj_t BgL_list2976z00_8161;

																		BgL_list2976z00_8161 =
																			MAKE_YOUNG_PAIR(BgL_ebindingsz00_8148,
																			BNIL);
																		BgL_arg2973z00_8158 =
																			BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
																			(BGl_proc3820z00zzast_letz00,
																			BgL_list2976z00_8161);
																	}
																	{	/* Ast/let.scm 902 */
																		obj_t BgL_arg2991z00_8162;
																		obj_t BgL_arg2993z00_8163;

																		{	/* Ast/let.scm 902 */
																			obj_t
																				BgL_zc3z04anonymousza32996ze3z87_8164;
																			BgL_zc3z04anonymousza32996ze3z87_8164 =
																				MAKE_FX_PROCEDURE
																				(BGl_z62zc3z04anonymousza32996ze3ze5zzast_letz00,
																				(int) (1L), (int) (1L));
																			PROCEDURE_SET
																				(BgL_zc3z04anonymousza32996ze3z87_8164,
																				(int) (0L), BgL_locz00_7839);
																			{	/* Ast/let.scm 901 */
																				obj_t BgL_list2995z00_8165;

																				BgL_list2995z00_8165 =
																					MAKE_YOUNG_PAIR(BgL_ebindingsz00_8148,
																					BNIL);
																				BgL_arg2991z00_8162 =
																					BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
																					(BgL_zc3z04anonymousza32996ze3z87_8164,
																					BgL_list2995z00_8165);
																		}}
																		BgL_arg2993z00_8163 =
																			MAKE_YOUNG_PAIR(BgL_bodyz00_8149, BNIL);
																		BgL_arg2974z00_8159 =
																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg2991z00_8162,
																			BgL_arg2993z00_8163);
																	}
																	BgL_arg2971z00_8157 =
																		MAKE_YOUNG_PAIR(BgL_arg2973z00_8158,
																		BgL_arg2974z00_8159);
																}
																BgL_arg2970z00_8156 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(10)), BgL_arg2971z00_8157);
															}
															BgL_arg2952z00_8153 =
																MAKE_YOUNG_PAIR(BgL_arg2970z00_8156, BNIL);
														}
														BgL_arg2941z00_8151 =
															MAKE_YOUNG_PAIR(BgL_arg2943z00_8152,
															BgL_arg2952z00_8153);
													}
													BgL_sexpz00_8150 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(0)), BgL_arg2941z00_8151);
												}
												return
													BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_sexpz00_8150,
													BgL_stackz00_7840, BgL_locz00_7839, BgL_sitez00_7841);
											}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &split3811 */
	obj_t BGl_z62split3811z62zzast_letz00(obj_t BgL_envz00_7844,
		obj_t BgL_ebindingsz00_7845)
	{
		{	/* Ast/let.scm 963 */
			{	/* Ast/let.scm 937 */
				obj_t BgL_g1192z00_8206;

				BgL_g1192z00_8206 = bgl_reverse(BgL_ebindingsz00_7845);
				{
					obj_t BgL_ebindingsz00_8208;
					obj_t BgL_recza2zd2bindingsz70_8209;
					obj_t BgL_letzd2bindingszd2_8210;

					BgL_ebindingsz00_8208 = BgL_g1192z00_8206;
					BgL_recza2zd2bindingsz70_8209 = BNIL;
					BgL_letzd2bindingszd2_8210 = BNIL;
				BgL_loopz00_8207:
					if (NULLP(BgL_ebindingsz00_8208))
						{	/* Ast/let.scm 941 */
							{	/* Ast/let.scm 942 */
								int BgL_tmpz00_12161;

								BgL_tmpz00_12161 = (int) (2L);
								BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12161);
							}
							{	/* Ast/let.scm 942 */
								int BgL_tmpz00_12164;

								BgL_tmpz00_12164 = (int) (1L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_12164,
									BgL_letzd2bindingszd2_8210);
							}
							return BgL_recza2zd2bindingsz70_8209;
						}
					else
						{	/* Ast/let.scm 943 */
							bool_t BgL_test4364z00_12167;

							{	/* Ast/let.scm 943 */
								obj_t BgL_arg3121z00_8211;
								obj_t BgL_arg3122z00_8212;

								BgL_arg3121z00_8211 = CAR(((obj_t) BgL_ebindingsz00_8208));
								BgL_arg3122z00_8212 = CDR(((obj_t) BgL_ebindingsz00_8208));
								if (CBOOL(BGl_z62mutablezd2inzf3z43zzast_letz00
										(BgL_arg3121z00_8211, ((obj_t) BgL_arg3122z00_8212))))
									{	/* Ast/let.scm 585 */
										BgL_test4364z00_12167 = ((bool_t) 0);
									}
								else
									{	/* Ast/let.scm 585 */
										BgL_test4364z00_12167 = ((bool_t) 1);
									}
							}
							if (BgL_test4364z00_12167)
								{	/* Ast/let.scm 945 */
									bool_t BgL_test4366z00_12176;

									{	/* Ast/let.scm 945 */
										obj_t BgL_arg3118z00_8213;

										{	/* Ast/let.scm 572 */
											obj_t BgL_pairz00_8214;

											BgL_pairz00_8214 =
												CAR(((obj_t) CAR(((obj_t) BgL_ebindingsz00_8208))));
											BgL_arg3118z00_8213 = CAR(CDR(BgL_pairz00_8214));
										}
										{	/* Ast/let.scm 945 */

											BgL_test4366z00_12176 =
												CBOOL(BGl_functionzf3zf3zzast_letz00
												(BgL_arg3118z00_8213, BFALSE));
										}
									}
									if (BgL_test4366z00_12176)
										{	/* Ast/let.scm 946 */
											obj_t BgL_arg3089z00_8215;
											obj_t BgL_arg3090z00_8216;

											BgL_arg3089z00_8215 =
												CDR(((obj_t) BgL_ebindingsz00_8208));
											{	/* Ast/let.scm 947 */
												obj_t BgL_arg3091z00_8217;

												BgL_arg3091z00_8217 =
													CAR(((obj_t) BgL_ebindingsz00_8208));
												BgL_arg3090z00_8216 =
													MAKE_YOUNG_PAIR(BgL_arg3091z00_8217,
													BgL_recza2zd2bindingsz70_8209);
											}
											{
												obj_t BgL_recza2zd2bindingsz70_12191;
												obj_t BgL_ebindingsz00_12190;

												BgL_ebindingsz00_12190 = BgL_arg3089z00_8215;
												BgL_recza2zd2bindingsz70_12191 = BgL_arg3090z00_8216;
												BgL_recza2zd2bindingsz70_8209 =
													BgL_recza2zd2bindingsz70_12191;
												BgL_ebindingsz00_8208 = BgL_ebindingsz00_12190;
												goto BgL_loopz00_8207;
											}
										}
									else
										{	/* Ast/let.scm 949 */
											bool_t BgL_test4367z00_12192;

											{	/* Ast/let.scm 949 */
												bool_t BgL_test4368z00_12193;

												{	/* Ast/let.scm 949 */
													obj_t BgL_arg3117z00_8218;

													BgL_arg3117z00_8218 =
														CAR(((obj_t) BgL_ebindingsz00_8208));
													BgL_test4368z00_12193 =
														CBOOL(BGl_z62usedzd2inzf3z43zzast_letz00
														(BgL_arg3117z00_8218,
															BgL_recza2zd2bindingsz70_8209));
												}
												if (BgL_test4368z00_12193)
													{	/* Ast/let.scm 949 */
														BgL_test4367z00_12192 = ((bool_t) 0);
													}
												else
													{	/* Ast/let.scm 950 */
														bool_t BgL_test4369z00_12198;

														{	/* Ast/let.scm 950 */
															obj_t BgL_arg3115z00_8219;
															obj_t BgL_arg3116z00_8220;

															BgL_arg3115z00_8219 =
																CAR(((obj_t) BgL_ebindingsz00_8208));
															BgL_arg3116z00_8220 =
																CDR(((obj_t) BgL_ebindingsz00_8208));
															BgL_test4369z00_12198 =
																CBOOL(BGl_z62usedzd2inzf3z43zzast_letz00
																(BgL_arg3115z00_8219, BgL_arg3116z00_8220));
														}
														if (BgL_test4369z00_12198)
															{	/* Ast/let.scm 950 */
																BgL_test4367z00_12192 = ((bool_t) 0);
															}
														else
															{	/* Ast/let.scm 950 */
																BgL_test4367z00_12192 = ((bool_t) 1);
															}
													}
											}
											if (BgL_test4367z00_12192)
												{	/* Ast/let.scm 951 */
													obj_t BgL_arg3110z00_8221;
													obj_t BgL_arg3111z00_8222;

													BgL_arg3110z00_8221 =
														CDR(((obj_t) BgL_ebindingsz00_8208));
													{	/* Ast/let.scm 953 */
														obj_t BgL_arg3112z00_8223;

														BgL_arg3112z00_8223 =
															CAR(((obj_t) BgL_ebindingsz00_8208));
														BgL_arg3111z00_8222 =
															MAKE_YOUNG_PAIR(BgL_arg3112z00_8223,
															BgL_letzd2bindingszd2_8210);
													}
													{
														obj_t BgL_letzd2bindingszd2_12211;
														obj_t BgL_ebindingsz00_12210;

														BgL_ebindingsz00_12210 = BgL_arg3110z00_8221;
														BgL_letzd2bindingszd2_12211 = BgL_arg3111z00_8222;
														BgL_letzd2bindingszd2_8210 =
															BgL_letzd2bindingszd2_12211;
														BgL_ebindingsz00_8208 = BgL_ebindingsz00_12210;
														goto BgL_loopz00_8207;
													}
												}
											else
												{	/* Ast/let.scm 956 */
													obj_t BgL_val0_1483z00_8224;

													BgL_val0_1483z00_8224 =
														BGl_appendzd221011zd2zzast_letz00(bgl_reverse
														(BgL_ebindingsz00_8208),
														BgL_recza2zd2bindingsz70_8209);
													{	/* Ast/let.scm 956 */
														int BgL_tmpz00_12214;

														BgL_tmpz00_12214 = (int) (2L);
														BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12214);
													}
													{	/* Ast/let.scm 956 */
														int BgL_tmpz00_12217;

														BgL_tmpz00_12217 = (int) (1L);
														BGL_MVALUES_VAL_SET(BgL_tmpz00_12217,
															BgL_letzd2bindingszd2_8210);
													}
													return BgL_val0_1483z00_8224;
												}
										}
								}
							else
								{	/* Ast/let.scm 962 */
									obj_t BgL_val0_1485z00_8225;

									BgL_val0_1485z00_8225 =
										BGl_appendzd221011zd2zzast_letz00(bgl_reverse
										(BgL_ebindingsz00_8208), BgL_recza2zd2bindingsz70_8209);
									{	/* Ast/let.scm 962 */
										int BgL_tmpz00_12222;

										BgL_tmpz00_12222 = (int) (2L);
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_12222);
									}
									{	/* Ast/let.scm 962 */
										int BgL_tmpz00_12225;

										BgL_tmpz00_12225 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_12225,
											BgL_letzd2bindingszd2_8210);
									}
									return BgL_val0_1485z00_8225;
								}
						}
				}
			}
		}

	}



/* &<@anonymous:2996> */
	obj_t BGl_z62zc3z04anonymousza32996ze3ze5zzast_letz00(obj_t BgL_envz00_7846,
		obj_t BgL_bz00_7848)
	{
		{	/* Ast/let.scm 901 */
			{	/* Ast/let.scm 902 */
				obj_t BgL_locz00_7847;

				BgL_locz00_7847 = PROCEDURE_REF(BgL_envz00_7846, (int) (0L));
				{	/* Ast/let.scm 902 */
					bool_t BgL_test4370z00_12230;

					{	/* Ast/let.scm 902 */
						obj_t BgL_arg3012z00_8226;

						{	/* Ast/let.scm 572 */
							obj_t BgL_pairz00_8227;

							BgL_pairz00_8227 = CAR(((obj_t) BgL_bz00_7848));
							BgL_arg3012z00_8226 = CAR(CDR(BgL_pairz00_8227));
						}
						{	/* Ast/let.scm 902 */

							BgL_test4370z00_12230 =
								BGl_directzd2functionzf3z21zzast_letz00(BgL_arg3012z00_8226,
								((bool_t) 0));
					}}
					if (BgL_test4370z00_12230)
						{	/* Ast/let.scm 902 */
							return BFALSE;
						}
					else
						{	/* Ast/let.scm 903 */
							obj_t BgL_arg3003z00_8228;

							{	/* Ast/let.scm 903 */
								obj_t BgL_arg3004z00_8229;
								obj_t BgL_arg3008z00_8230;

								{	/* Ast/let.scm 903 */
									obj_t BgL_arg3009z00_8231;

									{	/* Ast/let.scm 903 */
										obj_t BgL_pairz00_8232;

										BgL_pairz00_8232 = CAR(((obj_t) BgL_bz00_7848));
										BgL_arg3009z00_8231 = CAR(BgL_pairz00_8232);
									}
									BgL_arg3004z00_8229 =
										BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
										(BgL_arg3009z00_8231, BgL_locz00_7847);
								}
								{	/* Ast/let.scm 904 */
									obj_t BgL_arg3011z00_8233;

									{	/* Ast/let.scm 572 */
										obj_t BgL_pairz00_8234;

										BgL_pairz00_8234 = CAR(((obj_t) BgL_bz00_7848));
										BgL_arg3011z00_8233 = CAR(CDR(BgL_pairz00_8234));
									}
									BgL_arg3008z00_8230 =
										MAKE_YOUNG_PAIR(BgL_arg3011z00_8233, BNIL);
								}
								BgL_arg3003z00_8228 =
									MAKE_YOUNG_PAIR(BgL_arg3004z00_8229, BgL_arg3008z00_8230);
							}
							return
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(5)), BgL_arg3003z00_8228);
						}
				}
			}
		}

	}



/* &<@anonymous:2977> */
	obj_t BGl_z62zc3z04anonymousza32977ze3ze5zzast_letz00(obj_t BgL_envz00_7849,
		obj_t BgL_bz00_7850)
	{
		{	/* Ast/let.scm 896 */
			{	/* Ast/let.scm 897 */
				bool_t BgL_test4371z00_12249;

				{	/* Ast/let.scm 897 */
					obj_t BgL_arg2987z00_8235;

					{	/* Ast/let.scm 572 */
						obj_t BgL_pairz00_8236;

						BgL_pairz00_8236 = CAR(((obj_t) BgL_bz00_7850));
						BgL_arg2987z00_8235 = CAR(CDR(BgL_pairz00_8236));
					}
					{	/* Ast/let.scm 897 */

						BgL_test4371z00_12249 =
							BGl_directzd2functionzf3z21zzast_letz00(BgL_arg2987z00_8235,
							((bool_t) 0));
					}
				}
				if (BgL_test4371z00_12249)
					{	/* Ast/let.scm 898 */
						BgL_typez00_bglt BgL_tyz00_8237;

						{	/* Ast/let.scm 898 */
							obj_t BgL_arg2984z00_8238;
							obj_t BgL_arg2985z00_8239;

							{	/* Ast/let.scm 898 */
								obj_t BgL_pairz00_8240;

								BgL_pairz00_8240 = CAR(((obj_t) BgL_bz00_7850));
								BgL_arg2984z00_8238 = CAR(BgL_pairz00_8240);
							}
							{	/* Ast/let.scm 898 */
								obj_t BgL_arg2986z00_8241;

								BgL_arg2986z00_8241 = CAR(((obj_t) BgL_bz00_7850));
								BgL_arg2985z00_8239 =
									BGl_findzd2locationzd2zztools_locationz00
									(BgL_arg2986z00_8241);
							}
							BgL_tyz00_8237 =
								BGl_typezd2ofzd2idz00zzast_identz00(BgL_arg2984z00_8238,
								BgL_arg2985z00_8239);
						}
						{	/* Ast/let.scm 899 */
							obj_t BgL_arg2980z00_8242;
							obj_t BgL_arg2981z00_8243;

							{	/* Ast/let.scm 899 */
								obj_t BgL_pairz00_8244;

								BgL_pairz00_8244 = CAR(((obj_t) BgL_bz00_7850));
								BgL_arg2980z00_8242 = CAR(BgL_pairz00_8244);
							}
							{	/* Ast/let.scm 572 */
								obj_t BgL_pairz00_8245;

								BgL_pairz00_8245 = CAR(((obj_t) BgL_bz00_7850));
								BgL_arg2981z00_8243 = CAR(CDR(BgL_pairz00_8245));
							}
							{	/* Ast/let.scm 899 */
								obj_t BgL_list2982z00_8246;

								{	/* Ast/let.scm 899 */
									obj_t BgL_arg2983z00_8247;

									BgL_arg2983z00_8247 =
										MAKE_YOUNG_PAIR(BgL_arg2981z00_8243, BNIL);
									BgL_list2982z00_8246 =
										MAKE_YOUNG_PAIR(BgL_arg2980z00_8242, BgL_arg2983z00_8247);
								}
								return BgL_list2982z00_8246;
							}
						}
					}
				else
					{	/* Ast/let.scm 897 */
						return BFALSE;
					}
			}
		}

	}



/* &<@anonymous:2955> */
	obj_t BGl_z62zc3z04anonymousza32955ze3ze5zzast_letz00(obj_t BgL_envz00_7851,
		obj_t BgL_bz00_7852)
	{
		{	/* Ast/let.scm 891 */
			{
				BgL_typez00_bglt BgL_typez00_8249;

				{	/* Ast/let.scm 892 */
					bool_t BgL_test4372z00_12271;

					{	/* Ast/let.scm 892 */
						obj_t BgL_arg2968z00_8276;

						{	/* Ast/let.scm 572 */
							obj_t BgL_pairz00_8277;

							BgL_pairz00_8277 = CAR(((obj_t) BgL_bz00_7852));
							BgL_arg2968z00_8276 = CAR(CDR(BgL_pairz00_8277));
						}
						{	/* Ast/let.scm 892 */

							BgL_test4372z00_12271 =
								BGl_directzd2functionzf3z21zzast_letz00(BgL_arg2968z00_8276,
								((bool_t) 0));
						}
					}
					if (BgL_test4372z00_12271)
						{	/* Ast/let.scm 892 */
							return BFALSE;
						}
					else
						{	/* Ast/let.scm 893 */
							BgL_typez00_bglt BgL_tyz00_8278;

							{	/* Ast/let.scm 893 */
								obj_t BgL_arg2965z00_8279;
								obj_t BgL_arg2966z00_8280;

								{	/* Ast/let.scm 893 */
									obj_t BgL_pairz00_8281;

									BgL_pairz00_8281 = CAR(((obj_t) BgL_bz00_7852));
									BgL_arg2965z00_8279 = CAR(BgL_pairz00_8281);
								}
								{	/* Ast/let.scm 893 */
									obj_t BgL_arg2967z00_8282;

									BgL_arg2967z00_8282 = CAR(((obj_t) BgL_bz00_7852));
									BgL_arg2966z00_8280 =
										BGl_findzd2locationzd2zztools_locationz00
										(BgL_arg2967z00_8282);
								}
								BgL_tyz00_8278 =
									BGl_typezd2ofzd2idz00zzast_identz00(BgL_arg2965z00_8279,
									BgL_arg2966z00_8280);
							}
							{	/* Ast/let.scm 894 */
								obj_t BgL_arg2959z00_8283;
								obj_t BgL_arg2960z00_8284;

								{	/* Ast/let.scm 894 */
									obj_t BgL_pairz00_8285;

									BgL_pairz00_8285 = CAR(((obj_t) BgL_bz00_7852));
									BgL_arg2959z00_8283 = CAR(BgL_pairz00_8285);
								}
								BgL_typez00_8249 = BgL_tyz00_8278;
								{	/* Ast/let.scm 762 */
									bool_t BgL_test4373z00_12287;

									{	/* Ast/let.scm 762 */
										obj_t BgL_classz00_8250;

										BgL_classz00_8250 = BGl_tclassz00zzobject_classz00;
										{	/* Ast/let.scm 762 */
											BgL_objectz00_bglt BgL_arg1858z00_8251;

											{	/* Ast/let.scm 762 */
												obj_t BgL_tmpz00_12288;

												BgL_tmpz00_12288 =
													((obj_t) ((BgL_objectz00_bglt) BgL_typez00_8249));
												BgL_arg1858z00_8251 =
													(BgL_objectz00_bglt) (BgL_tmpz00_12288);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Ast/let.scm 762 */
													long BgL_idxz00_8252;

													BgL_idxz00_8252 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_8251);
													BgL_test4373z00_12287 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_8252 + 2L)) == BgL_classz00_8250);
												}
											else
												{	/* Ast/let.scm 762 */
													bool_t BgL_res3780z00_8255;

													{	/* Ast/let.scm 762 */
														obj_t BgL_oclassz00_8256;

														{	/* Ast/let.scm 762 */
															obj_t BgL_arg1866z00_8257;
															long BgL_arg1867z00_8258;

															BgL_arg1866z00_8257 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Ast/let.scm 762 */
																long BgL_arg1869z00_8259;

																BgL_arg1869z00_8259 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_8251);
																BgL_arg1867z00_8258 =
																	(BgL_arg1869z00_8259 - OBJECT_TYPE);
															}
															BgL_oclassz00_8256 =
																VECTOR_REF(BgL_arg1866z00_8257,
																BgL_arg1867z00_8258);
														}
														{	/* Ast/let.scm 762 */
															bool_t BgL__ortest_1115z00_8260;

															BgL__ortest_1115z00_8260 =
																(BgL_classz00_8250 == BgL_oclassz00_8256);
															if (BgL__ortest_1115z00_8260)
																{	/* Ast/let.scm 762 */
																	BgL_res3780z00_8255 =
																		BgL__ortest_1115z00_8260;
																}
															else
																{	/* Ast/let.scm 762 */
																	long BgL_odepthz00_8261;

																	{	/* Ast/let.scm 762 */
																		obj_t BgL_arg1855z00_8262;

																		BgL_arg1855z00_8262 = (BgL_oclassz00_8256);
																		BgL_odepthz00_8261 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_8262);
																	}
																	if ((2L < BgL_odepthz00_8261))
																		{	/* Ast/let.scm 762 */
																			obj_t BgL_arg1853z00_8263;

																			{	/* Ast/let.scm 762 */
																				obj_t BgL_arg1854z00_8264;

																				BgL_arg1854z00_8264 =
																					(BgL_oclassz00_8256);
																				BgL_arg1853z00_8263 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_8264, 2L);
																			}
																			BgL_res3780z00_8255 =
																				(BgL_arg1853z00_8263 ==
																				BgL_classz00_8250);
																		}
																	else
																		{	/* Ast/let.scm 762 */
																			BgL_res3780z00_8255 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test4373z00_12287 = BgL_res3780z00_8255;
												}
										}
									}
									if (BgL_test4373z00_12287)
										{	/* Ast/let.scm 763 */
											BgL_globalz00_bglt BgL_vz00_8265;

											{
												BgL_tclassz00_bglt BgL_auxz00_12311;

												{
													obj_t BgL_auxz00_12312;

													{	/* Ast/let.scm 763 */
														BgL_objectz00_bglt BgL_tmpz00_12313;

														BgL_tmpz00_12313 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typez00_8249));
														BgL_auxz00_12312 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_12313);
													}
													BgL_auxz00_12311 =
														((BgL_tclassz00_bglt) BgL_auxz00_12312);
												}
												BgL_vz00_8265 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_12311))->
													BgL_holderz00);
											}
											{	/* Ast/let.scm 764 */
												obj_t BgL_arg2469z00_8266;

												{	/* Ast/let.scm 764 */
													obj_t BgL_arg2470z00_8267;

													{	/* Ast/let.scm 764 */
														obj_t BgL_arg2471z00_8268;

														{	/* Ast/let.scm 764 */
															obj_t BgL_arg2472z00_8269;
															obj_t BgL_arg2473z00_8270;

															BgL_arg2472z00_8269 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_vz00_8265)))->
																BgL_idz00);
															BgL_arg2473z00_8270 =
																MAKE_YOUNG_PAIR((((BgL_globalz00_bglt)
																		COBJECT(BgL_vz00_8265))->BgL_modulez00),
																BNIL);
															BgL_arg2471z00_8268 =
																MAKE_YOUNG_PAIR(BgL_arg2472z00_8269,
																BgL_arg2473z00_8270);
														}
														BgL_arg2470z00_8267 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(14)), BgL_arg2471z00_8268);
													}
													BgL_arg2469z00_8266 =
														MAKE_YOUNG_PAIR(BgL_arg2470z00_8267, BNIL);
												}
												BgL_arg2960z00_8284 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(15)), BgL_arg2469z00_8266);
											}
										}
									else
										{	/* Ast/let.scm 765 */
											obj_t BgL_casezd2valuezd2_8271;

											BgL_casezd2valuezd2_8271 =
												(((BgL_typez00_bglt) COBJECT(BgL_typez00_8249))->
												BgL_idz00);
											{	/* Ast/let.scm 765 */
												bool_t BgL_test4377z00_12332;

												{	/* Ast/let.scm 765 */
													bool_t BgL__ortest_1187z00_8272;

													BgL__ortest_1187z00_8272 =
														(BgL_casezd2valuezd2_8271 ==
														((obj_t) CNST_TABLE_REF(16)));
													if (BgL__ortest_1187z00_8272)
														{	/* Ast/let.scm 765 */
															BgL_test4377z00_12332 = BgL__ortest_1187z00_8272;
														}
													else
														{	/* Ast/let.scm 765 */
															BgL_test4377z00_12332 =
																(BgL_casezd2valuezd2_8271 ==
																((obj_t) CNST_TABLE_REF(17)));
														}
												}
												if (BgL_test4377z00_12332)
													{	/* Ast/let.scm 765 */
														BgL_arg2960z00_8284 = BUNSPEC;
													}
												else
													{	/* Ast/let.scm 765 */
														if (
															(BgL_casezd2valuezd2_8271 ==
																((obj_t) CNST_TABLE_REF(18))))
															{	/* Ast/let.scm 765 */
																BgL_arg2960z00_8284 =
																	BGL_INT8_TO_BINT8((int8_t) (0));
															}
														else
															{	/* Ast/let.scm 765 */
																if (
																	(BgL_casezd2valuezd2_8271 ==
																		((obj_t) CNST_TABLE_REF(19))))
																	{	/* Ast/let.scm 765 */
																		BgL_arg2960z00_8284 =
																			BGL_UINT8_TO_BUINT8((uint8_t) (0));
																	}
																else
																	{	/* Ast/let.scm 765 */
																		if (
																			(BgL_casezd2valuezd2_8271 ==
																				((obj_t) CNST_TABLE_REF(20))))
																			{	/* Ast/let.scm 765 */
																				BgL_arg2960z00_8284 =
																					BGL_INT16_TO_BINT16((int16_t) (0));
																			}
																		else
																			{	/* Ast/let.scm 765 */
																				if (
																					(BgL_casezd2valuezd2_8271 ==
																						((obj_t) CNST_TABLE_REF(21))))
																					{	/* Ast/let.scm 765 */
																						BgL_arg2960z00_8284 =
																							BGL_UINT16_TO_BUINT16((uint16_t)
																							(0));
																					}
																				else
																					{	/* Ast/let.scm 765 */
																						if (
																							(BgL_casezd2valuezd2_8271 ==
																								((obj_t) CNST_TABLE_REF(22))))
																							{	/* Ast/let.scm 765 */
																								BgL_arg2960z00_8284 =
																									BGl_int323821z00zzast_letz00;
																							}
																						else
																							{	/* Ast/let.scm 765 */
																								if (
																									(BgL_casezd2valuezd2_8271 ==
																										((obj_t)
																											CNST_TABLE_REF(23))))
																									{	/* Ast/let.scm 765 */
																										BgL_arg2960z00_8284 =
																											BGl_uint323822z00zzast_letz00;
																									}
																								else
																									{	/* Ast/let.scm 765 */
																										if (
																											(BgL_casezd2valuezd2_8271
																												==
																												((obj_t)
																													CNST_TABLE_REF(24))))
																											{	/* Ast/let.scm 765 */
																												BgL_arg2960z00_8284 =
																													BGl_int643823z00zzast_letz00;
																											}
																										else
																											{	/* Ast/let.scm 765 */
																												if (
																													(BgL_casezd2valuezd2_8271
																														==
																														((obj_t)
																															CNST_TABLE_REF
																															(25))))
																													{	/* Ast/let.scm 765 */
																														BgL_arg2960z00_8284
																															=
																															BGl_uint643824z00zzast_letz00;
																													}
																												else
																													{	/* Ast/let.scm 765 */
																														bool_t
																															BgL_test4387z00_12376;
																														{	/* Ast/let.scm 765 */
																															bool_t
																																BgL__ortest_1188z00_8273;
																															BgL__ortest_1188z00_8273
																																=
																																(BgL_casezd2valuezd2_8271
																																==
																																((obj_t)
																																	CNST_TABLE_REF
																																	(26)));
																															if (BgL__ortest_1188z00_8273)
																																{	/* Ast/let.scm 765 */
																																	BgL_test4387z00_12376
																																		=
																																		BgL__ortest_1188z00_8273;
																																}
																															else
																																{	/* Ast/let.scm 765 */
																																	BgL_test4387z00_12376
																																		=
																																		(BgL_casezd2valuezd2_8271
																																		==
																																		((obj_t)
																																			CNST_TABLE_REF
																																			(27)));
																																}
																														}
																														if (BgL_test4387z00_12376)
																															{	/* Ast/let.scm 765 */
																																BgL_arg2960z00_8284
																																	=
																																	BGL_REAL_CNST
																																	(BGl_real3825z00zzast_letz00);
																															}
																														else
																															{	/* Ast/let.scm 765 */
																																bool_t
																																	BgL_test4389z00_12384;
																																{	/* Ast/let.scm 765 */
																																	bool_t
																																		BgL__ortest_1189z00_8274;
																																	BgL__ortest_1189z00_8274
																																		=
																																		(BgL_casezd2valuezd2_8271
																																		==
																																		((obj_t)
																																			CNST_TABLE_REF
																																			(28)));
																																	if (BgL__ortest_1189z00_8274)
																																		{	/* Ast/let.scm 765 */
																																			BgL_test4389z00_12384
																																				=
																																				BgL__ortest_1189z00_8274;
																																		}
																																	else
																																		{	/* Ast/let.scm 765 */
																																			BgL_test4389z00_12384
																																				=
																																				(BgL_casezd2valuezd2_8271
																																				==
																																				((obj_t)
																																					CNST_TABLE_REF
																																					(29)));
																																		}
																																}
																																if (BgL_test4389z00_12384)
																																	{	/* Ast/let.scm 765 */
																																		BgL_arg2960z00_8284
																																			=
																																			BINT(0L);
																																	}
																																else
																																	{	/* Ast/let.scm 765 */
																																		if (
																																			(BgL_casezd2valuezd2_8271
																																				==
																																				((obj_t)
																																					CNST_TABLE_REF
																																					(30))))
																																			{	/* Ast/let.scm 765 */
																																				BgL_arg2960z00_8284
																																					=
																																					BFALSE;
																																			}
																																		else
																																			{	/* Ast/let.scm 765 */
																																				if (
																																					(BgL_casezd2valuezd2_8271
																																						==
																																						((obj_t) CNST_TABLE_REF(31))))
																																					{	/* Ast/let.scm 765 */
																																						BgL_arg2960z00_8284
																																							=
																																							(
																																							(obj_t)
																																							CNST_TABLE_REF
																																							(32));
																																					}
																																				else
																																					{	/* Ast/let.scm 765 */
																																						if (
																																							(BgL_casezd2valuezd2_8271
																																								==
																																								((obj_t) CNST_TABLE_REF(33))))
																																							{	/* Ast/let.scm 779 */
																																								obj_t
																																									BgL_arg2489z00_8275;
																																								BgL_arg2489z00_8275
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BFALSE,
																																									BNIL);
																																								BgL_arg2960z00_8284
																																									=
																																									MAKE_YOUNG_PAIR
																																									(
																																									((obj_t) CNST_TABLE_REF(34)), BgL_arg2489z00_8275);
																																							}
																																						else
																																							{	/* Ast/let.scm 765 */
																																								if ((BgL_casezd2valuezd2_8271 == ((obj_t) CNST_TABLE_REF(35))))
																																									{	/* Ast/let.scm 765 */
																																										BgL_arg2960z00_8284
																																											=
																																											BCHAR
																																											(
																																											((unsigned char) '\000'));
																																									}
																																								else
																																									{	/* Ast/let.scm 765 */
																																										BgL_arg2960z00_8284
																																											=
																																											BGl_errorz00zz__errorz00
																																											(BGl_string3826z00zzast_letz00,
																																											BGl_string3827z00zzast_letz00,
																																											(((BgL_typez00_bglt) COBJECT(BgL_typez00_8249))->BgL_idz00));
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
										}
								}
								{	/* Ast/let.scm 894 */
									obj_t BgL_list2961z00_8286;

									{	/* Ast/let.scm 894 */
										obj_t BgL_arg2962z00_8287;

										BgL_arg2962z00_8287 =
											MAKE_YOUNG_PAIR(BgL_arg2960z00_8284, BNIL);
										BgL_list2961z00_8286 =
											MAKE_YOUNG_PAIR(BgL_arg2959z00_8283, BgL_arg2962z00_8287);
									}
									return BgL_list2961z00_8286;
								}
							}
						}
				}
			}
		}

	}



/* _function? */
	obj_t BGl__functionzf3zf3zzast_letz00(obj_t BgL_env1579z00_42,
		obj_t BgL_opt1578z00_41)
	{
		{	/* Ast/let.scm 1223 */
			{	/* Ast/let.scm 1223 */
				obj_t BgL_expz00_4402;

				BgL_expz00_4402 = VECTOR_REF(BgL_opt1578z00_41, 0L);
				switch (VECTOR_LENGTH(BgL_opt1578z00_41))
					{
					case 1L:

						{	/* Ast/let.scm 1223 */

							return BGl_functionzf3zf3zzast_letz00(BgL_expz00_4402, BFALSE);
						}
						break;
					case 2L:

						{	/* Ast/let.scm 1223 */
							obj_t BgL_directpz00_4406;

							BgL_directpz00_4406 = VECTOR_REF(BgL_opt1578z00_41, 1L);
							{	/* Ast/let.scm 1223 */

								return
									BGl_functionzf3zf3zzast_letz00(BgL_expz00_4402,
									BgL_directpz00_4406);
							}
						}
						break;
					default:
						return BUNSPEC;
					}
			}
		}

	}



/* function? */
	obj_t BGl_functionzf3zf3zzast_letz00(obj_t BgL_expz00_39,
		obj_t BgL_directpz00_40)
	{
		{	/* Ast/let.scm 1223 */
			{
				obj_t BgL_predz00_4464;
				obj_t BgL_lstz00_4465;

				{
					obj_t BgL_varz00_4412;
					obj_t BgL_argsz00_4413;
					obj_t BgL_zf3zd2z21_4414;

					if (PAIRP(BgL_expz00_39))
						{	/* Ast/let.scm 1229 */
							if (
								(CAR(((obj_t) BgL_expz00_39)) == ((obj_t) CNST_TABLE_REF(11))))
								{	/* Ast/let.scm 1229 */
									return BFALSE;
								}
							else
								{	/* Ast/let.scm 1229 */
									obj_t BgL_cdrzd22926zd2_4421;

									BgL_cdrzd22926zd2_4421 = CDR(((obj_t) BgL_expz00_39));
									if (
										(CAR(
												((obj_t) BgL_expz00_39)) ==
											((obj_t) CNST_TABLE_REF(8))))
										{	/* Ast/let.scm 1229 */
											if (PAIRP(BgL_cdrzd22926zd2_4421))
												{	/* Ast/let.scm 1229 */
													obj_t BgL_carzd22929zd2_4425;
													obj_t BgL_cdrzd22930zd2_4426;

													BgL_carzd22929zd2_4425 = CAR(BgL_cdrzd22926zd2_4421);
													BgL_cdrzd22930zd2_4426 = CDR(BgL_cdrzd22926zd2_4421);
													if (PAIRP(BgL_carzd22929zd2_4425))
														{	/* Ast/let.scm 1229 */
															obj_t BgL_carzd22932zd2_4428;

															BgL_carzd22932zd2_4428 =
																CAR(BgL_carzd22929zd2_4425);
															if (PAIRP(BgL_carzd22932zd2_4428))
																{	/* Ast/let.scm 1229 */
																	if (NULLP(CDR(BgL_carzd22929zd2_4425)))
																		{	/* Ast/let.scm 1229 */
																			if (PAIRP(BgL_cdrzd22930zd2_4426))
																				{	/* Ast/let.scm 1229 */
																					if (NULLP(CDR
																							(BgL_cdrzd22930zd2_4426)))
																						{	/* Ast/let.scm 1229 */
																							obj_t BgL_arg3579z00_4435;
																							obj_t BgL_arg3581z00_4436;

																							BgL_arg3579z00_4435 =
																								CAR(BgL_carzd22932zd2_4428);
																							BgL_arg3581z00_4436 =
																								CAR(BgL_cdrzd22930zd2_4426);
																							{	/* Ast/let.scm 1233 */
																								obj_t BgL_arg3595z00_6849;

																								BgL_arg3595z00_6849 =
																									BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																									(BgL_arg3579z00_4435, BFALSE);
																								return
																									BBOOL((BgL_arg3595z00_6849 ==
																										BgL_arg3581z00_4436));
																							}
																						}
																					else
																						{	/* Ast/let.scm 1229 */
																							obj_t BgL_arg3582z00_4438;

																							BgL_arg3582z00_4438 =
																								CAR(((obj_t) BgL_expz00_39));
																							BgL_varz00_4412 =
																								BgL_arg3582z00_4438;
																							BgL_argsz00_4413 =
																								BgL_cdrzd22926zd2_4421;
																							BgL_zf3zd2z21_4414 =
																								BgL_cdrzd22926zd2_4421;
																						BgL_tagzd22908zd2_4415:
																							{	/* Ast/let.scm 1235 */
																								bool_t BgL__ortest_1214z00_4456;

																								BgL__ortest_1214z00_4456 =
																									(BgL_varz00_4412 ==
																									((obj_t) CNST_TABLE_REF(7)));
																								if (BgL__ortest_1214z00_4456)
																									{	/* Ast/let.scm 1235 */
																										return
																											BBOOL
																											(BgL__ortest_1214z00_4456);
																									}
																								else
																									{	/* Ast/let.scm 1236 */
																										bool_t
																											BgL__ortest_1215z00_4457;
																										if (SYMBOLP
																											(BgL_varz00_4412))
																											{	/* Ast/let.scm 1236 */
																												obj_t
																													BgL_arg3596z00_4463;
																												BgL_arg3596z00_4463 =
																													BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																													(BgL_varz00_4412,
																													BFALSE);
																												BgL__ortest_1215z00_4457
																													=
																													(BgL_arg3596z00_4463
																													==
																													((obj_t)
																														CNST_TABLE_REF(7)));
																											}
																										else
																											{	/* Ast/let.scm 1236 */
																												BgL__ortest_1215z00_4457
																													= ((bool_t) 0);
																											}
																										if (BgL__ortest_1215z00_4457)
																											{	/* Ast/let.scm 1236 */
																												return
																													BBOOL
																													(BgL__ortest_1215z00_4457);
																											}
																										else
																											{	/* Ast/let.scm 1237 */
																												obj_t
																													BgL__ortest_1216z00_4458;
																												{	/* Ast/let.scm 1237 */

																													BgL__ortest_1216z00_4458
																														=
																														BGl_functionzf3zf3zzast_letz00
																														(BgL_varz00_4412,
																														BFALSE);
																												}
																												if (CBOOL
																													(BgL__ortest_1216z00_4458))
																													{	/* Ast/let.scm 1237 */
																														return
																															BgL__ortest_1216z00_4458;
																													}
																												else
																													{	/* Ast/let.scm 1237 */
																														if (CBOOL
																															(BgL_directpz00_40))
																															{	/* Ast/let.scm 1238 */
																																return BFALSE;
																															}
																														else
																															{	/* Ast/let.scm 1238 */
																																BgL_predz00_4464
																																	=
																																	BGl_functionzf3zd2envz21zzast_letz00;
																																BgL_lstz00_4465
																																	=
																																	BgL_argsz00_4413;
																															BgL_zc3z04anonymousza33597ze3z87_4466:
																																if (PAIRP
																																	(BgL_lstz00_4465))
																																	{	/* Ast/let.scm 1227 */
																																		obj_t
																																			BgL__ortest_1213z00_4468;
																																		{	/* Ast/let.scm 1227 */
																																			obj_t
																																				BgL_arg3600z00_4470;
																																			BgL_arg3600z00_4470
																																				=
																																				CAR
																																				(BgL_lstz00_4465);
																																			BgL__ortest_1213z00_4468
																																				=
																																				BGL_PROCEDURE_CALL1
																																				(BgL_predz00_4464,
																																				BgL_arg3600z00_4470);
																																		}
																																		if (CBOOL
																																			(BgL__ortest_1213z00_4468))
																																			{	/* Ast/let.scm 1227 */
																																				return
																																					BgL__ortest_1213z00_4468;
																																			}
																																		else
																																			{
																																				obj_t
																																					BgL_lstz00_12493;
																																				BgL_lstz00_12493
																																					=
																																					CDR
																																					(BgL_lstz00_4465);
																																				BgL_lstz00_4465
																																					=
																																					BgL_lstz00_12493;
																																				goto
																																					BgL_zc3z04anonymousza33597ze3z87_4466;
																																			}
																																	}
																																else
																																	{	/* Ast/let.scm 1226 */
																																		return
																																			BFALSE;
																																	}
																															}
																													}
																											}
																									}
																							}
																						}
																				}
																			else
																				{	/* Ast/let.scm 1229 */
																					obj_t BgL_arg3584z00_4441;

																					BgL_arg3584z00_4441 =
																						CAR(((obj_t) BgL_expz00_39));
																					{
																						obj_t BgL_zf3zd2z21_12499;
																						obj_t BgL_argsz00_12498;
																						obj_t BgL_varz00_12497;

																						BgL_varz00_12497 =
																							BgL_arg3584z00_4441;
																						BgL_argsz00_12498 =
																							BgL_cdrzd22926zd2_4421;
																						BgL_zf3zd2z21_12499 =
																							BgL_cdrzd22926zd2_4421;
																						BgL_zf3zd2z21_4414 =
																							BgL_zf3zd2z21_12499;
																						BgL_argsz00_4413 =
																							BgL_argsz00_12498;
																						BgL_varz00_4412 = BgL_varz00_12497;
																						goto BgL_tagzd22908zd2_4415;
																					}
																				}
																		}
																	else
																		{	/* Ast/let.scm 1229 */
																			obj_t BgL_arg3585z00_4443;

																			BgL_arg3585z00_4443 =
																				CAR(((obj_t) BgL_expz00_39));
																			{
																				obj_t BgL_zf3zd2z21_12504;
																				obj_t BgL_argsz00_12503;
																				obj_t BgL_varz00_12502;

																				BgL_varz00_12502 = BgL_arg3585z00_4443;
																				BgL_argsz00_12503 =
																					BgL_cdrzd22926zd2_4421;
																				BgL_zf3zd2z21_12504 =
																					BgL_cdrzd22926zd2_4421;
																				BgL_zf3zd2z21_4414 =
																					BgL_zf3zd2z21_12504;
																				BgL_argsz00_4413 = BgL_argsz00_12503;
																				BgL_varz00_4412 = BgL_varz00_12502;
																				goto BgL_tagzd22908zd2_4415;
																			}
																		}
																}
															else
																{	/* Ast/let.scm 1229 */
																	obj_t BgL_arg3588z00_4446;

																	BgL_arg3588z00_4446 =
																		CAR(((obj_t) BgL_expz00_39));
																	{
																		obj_t BgL_zf3zd2z21_12509;
																		obj_t BgL_argsz00_12508;
																		obj_t BgL_varz00_12507;

																		BgL_varz00_12507 = BgL_arg3588z00_4446;
																		BgL_argsz00_12508 = BgL_cdrzd22926zd2_4421;
																		BgL_zf3zd2z21_12509 =
																			BgL_cdrzd22926zd2_4421;
																		BgL_zf3zd2z21_4414 = BgL_zf3zd2z21_12509;
																		BgL_argsz00_4413 = BgL_argsz00_12508;
																		BgL_varz00_4412 = BgL_varz00_12507;
																		goto BgL_tagzd22908zd2_4415;
																	}
																}
														}
													else
														{	/* Ast/let.scm 1229 */
															obj_t BgL_arg3589z00_4448;

															BgL_arg3589z00_4448 =
																CAR(((obj_t) BgL_expz00_39));
															{
																obj_t BgL_zf3zd2z21_12514;
																obj_t BgL_argsz00_12513;
																obj_t BgL_varz00_12512;

																BgL_varz00_12512 = BgL_arg3589z00_4448;
																BgL_argsz00_12513 = BgL_cdrzd22926zd2_4421;
																BgL_zf3zd2z21_12514 = BgL_cdrzd22926zd2_4421;
																BgL_zf3zd2z21_4414 = BgL_zf3zd2z21_12514;
																BgL_argsz00_4413 = BgL_argsz00_12513;
																BgL_varz00_4412 = BgL_varz00_12512;
																goto BgL_tagzd22908zd2_4415;
															}
														}
												}
											else
												{	/* Ast/let.scm 1229 */
													obj_t BgL_arg3590z00_4450;

													BgL_arg3590z00_4450 = CAR(((obj_t) BgL_expz00_39));
													{
														obj_t BgL_zf3zd2z21_12519;
														obj_t BgL_argsz00_12518;
														obj_t BgL_varz00_12517;

														BgL_varz00_12517 = BgL_arg3590z00_4450;
														BgL_argsz00_12518 = BgL_cdrzd22926zd2_4421;
														BgL_zf3zd2z21_12519 = BgL_cdrzd22926zd2_4421;
														BgL_zf3zd2z21_4414 = BgL_zf3zd2z21_12519;
														BgL_argsz00_4413 = BgL_argsz00_12518;
														BgL_varz00_4412 = BgL_varz00_12517;
														goto BgL_tagzd22908zd2_4415;
													}
												}
										}
									else
										{	/* Ast/let.scm 1229 */
											obj_t BgL_arg3592z00_4452;

											BgL_arg3592z00_4452 = CAR(((obj_t) BgL_expz00_39));
											{
												obj_t BgL_zf3zd2z21_12524;
												obj_t BgL_argsz00_12523;
												obj_t BgL_varz00_12522;

												BgL_varz00_12522 = BgL_arg3592z00_4452;
												BgL_argsz00_12523 = BgL_cdrzd22926zd2_4421;
												BgL_zf3zd2z21_12524 = BgL_cdrzd22926zd2_4421;
												BgL_zf3zd2z21_4414 = BgL_zf3zd2z21_12524;
												BgL_argsz00_4413 = BgL_argsz00_12523;
												BgL_varz00_4412 = BgL_varz00_12522;
												goto BgL_tagzd22908zd2_4415;
											}
										}
								}
						}
					else
						{	/* Ast/let.scm 1229 */
							return BFALSE;
						}
				}
			}
		}

	}



/* direct-function? */
	bool_t BGl_directzd2functionzf3z21zzast_letz00(obj_t BgL_expz00_43,
		bool_t BgL_directpz00_44)
	{
		{	/* Ast/let.scm 1247 */
			if (PAIRP(BgL_expz00_43))
				{	/* Ast/let.scm 1248 */
					if ((CAR(((obj_t) BgL_expz00_43)) == ((obj_t) CNST_TABLE_REF(7))))
						{	/* Ast/let.scm 1248 */
							return ((bool_t) 1);
						}
					else
						{	/* Ast/let.scm 1248 */
							obj_t BgL_cdrzd23078zd2_4488;

							BgL_cdrzd23078zd2_4488 = CDR(((obj_t) BgL_expz00_43));
							if ((CAR(((obj_t) BgL_expz00_43)) == ((obj_t) CNST_TABLE_REF(8))))
								{	/* Ast/let.scm 1248 */
									if (PAIRP(BgL_cdrzd23078zd2_4488))
										{	/* Ast/let.scm 1248 */
											obj_t BgL_carzd23081zd2_4492;
											obj_t BgL_cdrzd23082zd2_4493;

											BgL_carzd23081zd2_4492 = CAR(BgL_cdrzd23078zd2_4488);
											BgL_cdrzd23082zd2_4493 = CDR(BgL_cdrzd23078zd2_4488);
											if (PAIRP(BgL_carzd23081zd2_4492))
												{	/* Ast/let.scm 1248 */
													obj_t BgL_carzd23084zd2_4495;

													BgL_carzd23084zd2_4495 = CAR(BgL_carzd23081zd2_4492);
													if (PAIRP(BgL_carzd23084zd2_4495))
														{	/* Ast/let.scm 1248 */
															if (NULLP(CDR(BgL_carzd23081zd2_4492)))
																{	/* Ast/let.scm 1248 */
																	if (PAIRP(BgL_cdrzd23082zd2_4493))
																		{	/* Ast/let.scm 1248 */
																			if (NULLP(CDR(BgL_cdrzd23082zd2_4493)))
																				{	/* Ast/let.scm 1248 */
																					obj_t BgL_arg3616z00_4502;
																					obj_t BgL_arg3617z00_4503;

																					BgL_arg3616z00_4502 =
																						CAR(BgL_carzd23084zd2_4495);
																					BgL_arg3617z00_4503 =
																						CAR(BgL_cdrzd23082zd2_4493);
																					return
																						(BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																						(BgL_arg3616z00_4502,
																							BFALSE) == BgL_arg3617z00_4503);
																				}
																			else
																				{	/* Ast/let.scm 1248 */
																					obj_t BgL_carzd23096zd2_4504;

																					BgL_carzd23096zd2_4504 =
																						CAR(((obj_t) BgL_expz00_43));
																					if (SYMBOLP(BgL_carzd23096zd2_4504))
																						{	/* Ast/let.scm 1254 */
																							obj_t BgL_arg3630z00_6878;

																							BgL_arg3630z00_6878 =
																								BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																								(BgL_carzd23096zd2_4504,
																								BFALSE);
																							return (BgL_arg3630z00_6878 ==
																								((obj_t) CNST_TABLE_REF(7)));
																						}
																					else
																						{	/* Ast/let.scm 1248 */
																							return ((bool_t) 0);
																						}
																				}
																		}
																	else
																		{	/* Ast/let.scm 1248 */
																			obj_t BgL_carzd23103zd2_4507;

																			BgL_carzd23103zd2_4507 =
																				CAR(((obj_t) BgL_expz00_43));
																			if (SYMBOLP(BgL_carzd23103zd2_4507))
																				{	/* Ast/let.scm 1254 */
																					obj_t BgL_arg3630z00_6880;

																					BgL_arg3630z00_6880 =
																						BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																						(BgL_carzd23103zd2_4507, BFALSE);
																					return (BgL_arg3630z00_6880 ==
																						((obj_t) CNST_TABLE_REF(7)));
																				}
																			else
																				{	/* Ast/let.scm 1248 */
																					return ((bool_t) 0);
																				}
																		}
																}
															else
																{	/* Ast/let.scm 1248 */
																	obj_t BgL_carzd23110zd2_4509;

																	BgL_carzd23110zd2_4509 =
																		CAR(((obj_t) BgL_expz00_43));
																	if (SYMBOLP(BgL_carzd23110zd2_4509))
																		{	/* Ast/let.scm 1254 */
																			obj_t BgL_arg3630z00_6882;

																			BgL_arg3630z00_6882 =
																				BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																				(BgL_carzd23110zd2_4509, BFALSE);
																			return (BgL_arg3630z00_6882 ==
																				((obj_t) CNST_TABLE_REF(7)));
																		}
																	else
																		{	/* Ast/let.scm 1248 */
																			return ((bool_t) 0);
																		}
																}
														}
													else
														{	/* Ast/let.scm 1248 */
															obj_t BgL_carzd23117zd2_4512;

															BgL_carzd23117zd2_4512 =
																CAR(((obj_t) BgL_expz00_43));
															if (SYMBOLP(BgL_carzd23117zd2_4512))
																{	/* Ast/let.scm 1254 */
																	obj_t BgL_arg3630z00_6884;

																	BgL_arg3630z00_6884 =
																		BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																		(BgL_carzd23117zd2_4512, BFALSE);
																	return (BgL_arg3630z00_6884 ==
																		((obj_t) CNST_TABLE_REF(7)));
																}
															else
																{	/* Ast/let.scm 1248 */
																	return ((bool_t) 0);
																}
														}
												}
											else
												{	/* Ast/let.scm 1248 */
													obj_t BgL_carzd23124zd2_4514;

													BgL_carzd23124zd2_4514 = CAR(((obj_t) BgL_expz00_43));
													if (SYMBOLP(BgL_carzd23124zd2_4514))
														{	/* Ast/let.scm 1254 */
															obj_t BgL_arg3630z00_6886;

															BgL_arg3630z00_6886 =
																BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
																(BgL_carzd23124zd2_4514, BFALSE);
															return (BgL_arg3630z00_6886 ==
																((obj_t) CNST_TABLE_REF(7)));
														}
													else
														{	/* Ast/let.scm 1248 */
															return ((bool_t) 0);
														}
												}
										}
									else
										{	/* Ast/let.scm 1248 */
											obj_t BgL_carzd23131zd2_4516;

											BgL_carzd23131zd2_4516 = CAR(((obj_t) BgL_expz00_43));
											if (SYMBOLP(BgL_carzd23131zd2_4516))
												{	/* Ast/let.scm 1254 */
													obj_t BgL_arg3630z00_6888;

													BgL_arg3630z00_6888 =
														BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
														(BgL_carzd23131zd2_4516, BFALSE);
													return (BgL_arg3630z00_6888 ==
														((obj_t) CNST_TABLE_REF(7)));
												}
											else
												{	/* Ast/let.scm 1248 */
													return ((bool_t) 0);
												}
										}
								}
							else
								{	/* Ast/let.scm 1248 */
									obj_t BgL_carzd23138zd2_4518;

									BgL_carzd23138zd2_4518 = CAR(((obj_t) BgL_expz00_43));
									if (SYMBOLP(BgL_carzd23138zd2_4518))
										{	/* Ast/let.scm 1254 */
											obj_t BgL_arg3630z00_6890;

											BgL_arg3630z00_6890 =
												BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
												(BgL_carzd23138zd2_4518, BFALSE);
											return (BgL_arg3630z00_6890 ==
												((obj_t) CNST_TABLE_REF(7)));
										}
									else
										{	/* Ast/let.scm 1248 */
											return ((bool_t) 0);
										}
								}
						}
				}
			else
				{	/* Ast/let.scm 1248 */
					return ((bool_t) 0);
				}
		}

	}



/* constant? */
	bool_t BGl_constantzf3zf3zzast_letz00(obj_t BgL_valz00_47)
	{
		{	/* Ast/let.scm 1261 */
			{	/* Ast/let.scm 1262 */
				bool_t BgL__ortest_1220z00_4524;

				{	/* Ast/let.scm 1262 */
					obj_t BgL_classz00_6891;

					BgL_classz00_6891 = BGl_atomz00zzast_nodez00;
					if (BGL_OBJECTP(BgL_valz00_47))
						{	/* Ast/let.scm 1262 */
							BgL_objectz00_bglt BgL_arg1858z00_6893;

							BgL_arg1858z00_6893 = (BgL_objectz00_bglt) (BgL_valz00_47);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/let.scm 1262 */
									long BgL_idxz00_6899;

									BgL_idxz00_6899 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6893);
									BgL__ortest_1220z00_4524 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6899 + 2L)) == BgL_classz00_6891);
								}
							else
								{	/* Ast/let.scm 1262 */
									bool_t BgL_res3783z00_6924;

									{	/* Ast/let.scm 1262 */
										obj_t BgL_oclassz00_6907;

										{	/* Ast/let.scm 1262 */
											obj_t BgL_arg1866z00_6915;
											long BgL_arg1867z00_6916;

											BgL_arg1866z00_6915 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Ast/let.scm 1262 */
												long BgL_arg1869z00_6917;

												BgL_arg1869z00_6917 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6893);
												BgL_arg1867z00_6916 =
													(BgL_arg1869z00_6917 - OBJECT_TYPE);
											}
											BgL_oclassz00_6907 =
												VECTOR_REF(BgL_arg1866z00_6915, BgL_arg1867z00_6916);
										}
										{	/* Ast/let.scm 1262 */
											bool_t BgL__ortest_1115z00_6908;

											BgL__ortest_1115z00_6908 =
												(BgL_classz00_6891 == BgL_oclassz00_6907);
											if (BgL__ortest_1115z00_6908)
												{	/* Ast/let.scm 1262 */
													BgL_res3783z00_6924 = BgL__ortest_1115z00_6908;
												}
											else
												{	/* Ast/let.scm 1262 */
													long BgL_odepthz00_6909;

													{	/* Ast/let.scm 1262 */
														obj_t BgL_arg1855z00_6910;

														BgL_arg1855z00_6910 = (BgL_oclassz00_6907);
														BgL_odepthz00_6909 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_6910);
													}
													if ((2L < BgL_odepthz00_6909))
														{	/* Ast/let.scm 1262 */
															obj_t BgL_arg1853z00_6912;

															{	/* Ast/let.scm 1262 */
																obj_t BgL_arg1854z00_6913;

																BgL_arg1854z00_6913 = (BgL_oclassz00_6907);
																BgL_arg1853z00_6912 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6913,
																	2L);
															}
															BgL_res3783z00_6924 =
																(BgL_arg1853z00_6912 == BgL_classz00_6891);
														}
													else
														{	/* Ast/let.scm 1262 */
															BgL_res3783z00_6924 = ((bool_t) 0);
														}
												}
										}
									}
									BgL__ortest_1220z00_4524 = BgL_res3783z00_6924;
								}
						}
					else
						{	/* Ast/let.scm 1262 */
							BgL__ortest_1220z00_4524 = ((bool_t) 0);
						}
				}
				if (BgL__ortest_1220z00_4524)
					{	/* Ast/let.scm 1262 */
						return BgL__ortest_1220z00_4524;
					}
				else
					{	/* Ast/let.scm 1262 */
						bool_t BgL__ortest_1221z00_4525;

						{	/* Ast/let.scm 1262 */
							obj_t BgL_classz00_6925;

							BgL_classz00_6925 = BGl_kwotez00zzast_nodez00;
							if (BGL_OBJECTP(BgL_valz00_47))
								{	/* Ast/let.scm 1262 */
									BgL_objectz00_bglt BgL_arg1858z00_6927;

									BgL_arg1858z00_6927 = (BgL_objectz00_bglt) (BgL_valz00_47);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Ast/let.scm 1262 */
											long BgL_idxz00_6933;

											BgL_idxz00_6933 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6927);
											BgL__ortest_1221z00_4525 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_6933 + 2L)) == BgL_classz00_6925);
										}
									else
										{	/* Ast/let.scm 1262 */
											bool_t BgL_res3784z00_6958;

											{	/* Ast/let.scm 1262 */
												obj_t BgL_oclassz00_6941;

												{	/* Ast/let.scm 1262 */
													obj_t BgL_arg1866z00_6949;
													long BgL_arg1867z00_6950;

													BgL_arg1866z00_6949 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Ast/let.scm 1262 */
														long BgL_arg1869z00_6951;

														BgL_arg1869z00_6951 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6927);
														BgL_arg1867z00_6950 =
															(BgL_arg1869z00_6951 - OBJECT_TYPE);
													}
													BgL_oclassz00_6941 =
														VECTOR_REF(BgL_arg1866z00_6949,
														BgL_arg1867z00_6950);
												}
												{	/* Ast/let.scm 1262 */
													bool_t BgL__ortest_1115z00_6942;

													BgL__ortest_1115z00_6942 =
														(BgL_classz00_6925 == BgL_oclassz00_6941);
													if (BgL__ortest_1115z00_6942)
														{	/* Ast/let.scm 1262 */
															BgL_res3784z00_6958 = BgL__ortest_1115z00_6942;
														}
													else
														{	/* Ast/let.scm 1262 */
															long BgL_odepthz00_6943;

															{	/* Ast/let.scm 1262 */
																obj_t BgL_arg1855z00_6944;

																BgL_arg1855z00_6944 = (BgL_oclassz00_6941);
																BgL_odepthz00_6943 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_6944);
															}
															if ((2L < BgL_odepthz00_6943))
																{	/* Ast/let.scm 1262 */
																	obj_t BgL_arg1853z00_6946;

																	{	/* Ast/let.scm 1262 */
																		obj_t BgL_arg1854z00_6947;

																		BgL_arg1854z00_6947 = (BgL_oclassz00_6941);
																		BgL_arg1853z00_6946 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_6947, 2L);
																	}
																	BgL_res3784z00_6958 =
																		(BgL_arg1853z00_6946 == BgL_classz00_6925);
																}
															else
																{	/* Ast/let.scm 1262 */
																	BgL_res3784z00_6958 = ((bool_t) 0);
																}
														}
												}
											}
											BgL__ortest_1221z00_4525 = BgL_res3784z00_6958;
										}
								}
							else
								{	/* Ast/let.scm 1262 */
									BgL__ortest_1221z00_4525 = ((bool_t) 0);
								}
						}
						if (BgL__ortest_1221z00_4525)
							{	/* Ast/let.scm 1262 */
								return BgL__ortest_1221z00_4525;
							}
						else
							{	/* Ast/let.scm 1262 */
								bool_t BgL__ortest_1222z00_4526;

								BgL__ortest_1222z00_4526 = NULLP(BgL_valz00_47);
								if (BgL__ortest_1222z00_4526)
									{	/* Ast/let.scm 1262 */
										return BgL__ortest_1222z00_4526;
									}
								else
									{	/* Ast/let.scm 1262 */
										bool_t BgL__ortest_1223z00_4527;

										BgL__ortest_1223z00_4527 =
											BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valz00_47);
										if (BgL__ortest_1223z00_4527)
											{	/* Ast/let.scm 1262 */
												return BgL__ortest_1223z00_4527;
											}
										else
											{	/* Ast/let.scm 1263 */
												bool_t BgL__ortest_1224z00_4528;

												BgL__ortest_1224z00_4528 = CNSTP(BgL_valz00_47);
												if (BgL__ortest_1224z00_4528)
													{	/* Ast/let.scm 1263 */
														return BgL__ortest_1224z00_4528;
													}
												else
													{	/* Ast/let.scm 1263 */
														bool_t BgL__ortest_1225z00_4529;

														BgL__ortest_1225z00_4529 = STRINGP(BgL_valz00_47);
														if (BgL__ortest_1225z00_4529)
															{	/* Ast/let.scm 1263 */
																return BgL__ortest_1225z00_4529;
															}
														else
															{	/* Ast/let.scm 1263 */
																bool_t BgL__ortest_1226z00_4530;

																BgL__ortest_1226z00_4530 = CHARP(BgL_valz00_47);
																if (BgL__ortest_1226z00_4530)
																	{	/* Ast/let.scm 1263 */
																		return BgL__ortest_1226z00_4530;
																	}
																else
																	{	/* Ast/let.scm 1263 */
																		bool_t BgL__ortest_1227z00_4531;

																		BgL__ortest_1227z00_4531 =
																			BOOLEANP(BgL_valz00_47);
																		if (BgL__ortest_1227z00_4531)
																			{	/* Ast/let.scm 1263 */
																				return BgL__ortest_1227z00_4531;
																			}
																		else
																			{	/* Ast/let.scm 1263 */
																				BGL_TAIL return
																					BGl_numberzf3zf3zz__r4_numbers_6_5z00
																					(BgL_valz00_47);
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* loop~0 */
	bool_t BGl_loopze70ze7zzast_letz00(obj_t BgL_valz00_4534)
	{
		{	/* Ast/let.scm 1315 */
		BGl_loopze70ze7zzast_letz00:
			if (BGl_constantzf3zf3zzast_letz00(BgL_valz00_4534))
				{	/* Ast/let.scm 1315 */
					return ((bool_t) 0);
				}
			else
				{	/* Ast/let.scm 1315 */
					if (PAIRP(BgL_valz00_4534))
						{	/* Ast/let.scm 1315 */
							if (
								(CAR(
										((obj_t) BgL_valz00_4534)) == ((obj_t) CNST_TABLE_REF(11))))
								{	/* Ast/let.scm 1315 */
									return ((bool_t) 0);
								}
							else
								{	/* Ast/let.scm 1315 */
									obj_t BgL_cdrzd23180zd2_4553;

									BgL_cdrzd23180zd2_4553 = CDR(((obj_t) BgL_valz00_4534));
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(
													((obj_t) BgL_valz00_4534)),
												((obj_t) CNST_TABLE_REF(36)))))
										{	/* Ast/let.scm 1315 */
											if (PAIRP(BgL_cdrzd23180zd2_4553))
												{	/* Ast/let.scm 1315 */
													obj_t BgL_cdrzd23184zd2_4557;

													BgL_cdrzd23184zd2_4557 = CDR(BgL_cdrzd23180zd2_4553);
													if (PAIRP(BgL_cdrzd23184zd2_4557))
														{	/* Ast/let.scm 1315 */
															if (NULLP(CDR(BgL_cdrzd23184zd2_4557)))
																{	/* Ast/let.scm 1315 */
																	obj_t BgL_arg3642z00_4561;
																	obj_t BgL_arg3643z00_4562;

																	BgL_arg3642z00_4561 =
																		CAR(BgL_cdrzd23180zd2_4553);
																	BgL_arg3643z00_4562 =
																		CAR(BgL_cdrzd23184zd2_4557);
																	{	/* Ast/let.scm 1319 */
																		bool_t BgL__ortest_1228z00_6969;

																		BgL__ortest_1228z00_6969 =
																			BGl_loopze70ze7zzast_letz00
																			(BgL_arg3642z00_4561);
																		if (BgL__ortest_1228z00_6969)
																			{	/* Ast/let.scm 1319 */
																				return BgL__ortest_1228z00_6969;
																			}
																		else
																			{
																				obj_t BgL_valz00_12708;

																				BgL_valz00_12708 = BgL_arg3643z00_4562;
																				BgL_valz00_4534 = BgL_valz00_12708;
																				goto BGl_loopze70ze7zzast_letz00;
																			}
																	}
																}
															else
																{	/* Ast/let.scm 1315 */
																	if (
																		(CAR(
																				((obj_t) BgL_valz00_4534)) ==
																			((obj_t) CNST_TABLE_REF(37))))
																		{	/* Ast/let.scm 1315 */
																			obj_t BgL_cdrzd23212zd2_4566;

																			BgL_cdrzd23212zd2_4566 =
																				CDR(((obj_t) BgL_cdrzd23180zd2_4553));
																			{	/* Ast/let.scm 1315 */
																				obj_t BgL_cdrzd23219zd2_4567;

																				BgL_cdrzd23219zd2_4567 =
																					CDR(((obj_t) BgL_cdrzd23212zd2_4566));
																				if (PAIRP(BgL_cdrzd23219zd2_4567))
																					{	/* Ast/let.scm 1315 */
																						if (NULLP(CDR
																								(BgL_cdrzd23219zd2_4567)))
																							{	/* Ast/let.scm 1315 */
																								obj_t BgL_arg3649z00_4571;
																								obj_t BgL_arg3650z00_4572;
																								obj_t BgL_arg3651z00_4573;

																								BgL_arg3649z00_4571 =
																									CAR(
																									((obj_t)
																										BgL_cdrzd23180zd2_4553));
																								BgL_arg3650z00_4572 =
																									CAR(((obj_t)
																										BgL_cdrzd23212zd2_4566));
																								BgL_arg3651z00_4573 =
																									CAR(BgL_cdrzd23219zd2_4567);
																								{	/* Ast/let.scm 1321 */
																									bool_t
																										BgL__ortest_1229z00_6978;
																									BgL__ortest_1229z00_6978 =
																										BGl_loopze70ze7zzast_letz00
																										(BgL_arg3649z00_4571);
																									if (BgL__ortest_1229z00_6978)
																										{	/* Ast/let.scm 1321 */
																											return
																												BgL__ortest_1229z00_6978;
																										}
																									else
																										{	/* Ast/let.scm 1321 */
																											bool_t
																												BgL__ortest_1230z00_6979;
																											BgL__ortest_1230z00_6979 =
																												BGl_loopze70ze7zzast_letz00
																												(BgL_arg3650z00_4572);
																											if (BgL__ortest_1230z00_6979)
																												{	/* Ast/let.scm 1321 */
																													return
																														BgL__ortest_1230z00_6979;
																												}
																											else
																												{
																													obj_t
																														BgL_valz00_12733;
																													BgL_valz00_12733 =
																														BgL_arg3651z00_4573;
																													BgL_valz00_4534 =
																														BgL_valz00_12733;
																													goto
																														BGl_loopze70ze7zzast_letz00;
																												}
																										}
																								}
																							}
																						else
																							{	/* Ast/let.scm 1315 */
																								return ((bool_t) 1);
																							}
																					}
																				else
																					{	/* Ast/let.scm 1315 */
																						return ((bool_t) 1);
																					}
																			}
																		}
																	else
																		{	/* Ast/let.scm 1315 */
																			return ((bool_t) 1);
																		}
																}
														}
													else
														{	/* Ast/let.scm 1315 */
															if (
																(CAR(
																		((obj_t) BgL_valz00_4534)) ==
																	((obj_t) CNST_TABLE_REF(38))))
																{	/* Ast/let.scm 1315 */
																	if (NULLP(CDR(
																				((obj_t) BgL_cdrzd23180zd2_4553))))
																		{	/* Ast/let.scm 1315 */
																			obj_t BgL_arg3659z00_4582;

																			BgL_arg3659z00_4582 =
																				CAR(((obj_t) BgL_cdrzd23180zd2_4553));
																			{
																				obj_t BgL_valz00_12746;

																				BgL_valz00_12746 = BgL_arg3659z00_4582;
																				BgL_valz00_4534 = BgL_valz00_12746;
																				goto BGl_loopze70ze7zzast_letz00;
																			}
																		}
																	else
																		{	/* Ast/let.scm 1315 */
																			return ((bool_t) 1);
																		}
																}
															else
																{	/* Ast/let.scm 1315 */
																	return ((bool_t) 1);
																}
														}
												}
											else
												{	/* Ast/let.scm 1315 */
													return ((bool_t) 1);
												}
										}
									else
										{	/* Ast/let.scm 1315 */
											if (
												(CAR(
														((obj_t) BgL_valz00_4534)) ==
													((obj_t) CNST_TABLE_REF(38))))
												{	/* Ast/let.scm 1315 */
													if (PAIRP(BgL_cdrzd23180zd2_4553))
														{	/* Ast/let.scm 1315 */
															if (NULLP(CDR(BgL_cdrzd23180zd2_4553)))
																{
																	obj_t BgL_valz00_12758;

																	BgL_valz00_12758 =
																		CAR(BgL_cdrzd23180zd2_4553);
																	BgL_valz00_4534 = BgL_valz00_12758;
																	goto BGl_loopze70ze7zzast_letz00;
																}
															else
																{	/* Ast/let.scm 1315 */
																	return ((bool_t) 1);
																}
														}
													else
														{	/* Ast/let.scm 1315 */
															return ((bool_t) 1);
														}
												}
											else
												{	/* Ast/let.scm 1315 */
													obj_t BgL_cdrzd23294zd2_4593;

													BgL_cdrzd23294zd2_4593 =
														CDR(((obj_t) BgL_valz00_4534));
													if (
														(CAR(
																((obj_t) BgL_valz00_4534)) ==
															((obj_t) CNST_TABLE_REF(37))))
														{	/* Ast/let.scm 1315 */
															if (PAIRP(BgL_cdrzd23294zd2_4593))
																{	/* Ast/let.scm 1315 */
																	obj_t BgL_cdrzd23299zd2_4597;

																	BgL_cdrzd23299zd2_4597 =
																		CDR(BgL_cdrzd23294zd2_4593);
																	if (PAIRP(BgL_cdrzd23299zd2_4597))
																		{	/* Ast/let.scm 1315 */
																			obj_t BgL_cdrzd23304zd2_4599;

																			BgL_cdrzd23304zd2_4599 =
																				CDR(BgL_cdrzd23299zd2_4597);
																			if (PAIRP(BgL_cdrzd23304zd2_4599))
																				{	/* Ast/let.scm 1315 */
																					if (NULLP(CDR
																							(BgL_cdrzd23304zd2_4599)))
																						{	/* Ast/let.scm 1315 */
																							obj_t BgL_arg3676z00_4603;
																							obj_t BgL_arg3677z00_4604;
																							obj_t BgL_arg3678z00_4605;

																							BgL_arg3676z00_4603 =
																								CAR(BgL_cdrzd23294zd2_4593);
																							BgL_arg3677z00_4604 =
																								CAR(BgL_cdrzd23299zd2_4597);
																							BgL_arg3678z00_4605 =
																								CAR(BgL_cdrzd23304zd2_4599);
																							{	/* Ast/let.scm 1321 */
																								bool_t BgL__ortest_1229z00_6996;

																								BgL__ortest_1229z00_6996 =
																									BGl_loopze70ze7zzast_letz00
																									(BgL_arg3676z00_4603);
																								if (BgL__ortest_1229z00_6996)
																									{	/* Ast/let.scm 1321 */
																										return
																											BgL__ortest_1229z00_6996;
																									}
																								else
																									{	/* Ast/let.scm 1321 */
																										bool_t
																											BgL__ortest_1230z00_6997;
																										BgL__ortest_1230z00_6997 =
																											BGl_loopze70ze7zzast_letz00
																											(BgL_arg3677z00_4604);
																										if (BgL__ortest_1230z00_6997)
																											{	/* Ast/let.scm 1321 */
																												return
																													BgL__ortest_1230z00_6997;
																											}
																										else
																											{
																												obj_t BgL_valz00_12786;

																												BgL_valz00_12786 =
																													BgL_arg3678z00_4605;
																												BgL_valz00_4534 =
																													BgL_valz00_12786;
																												goto
																													BGl_loopze70ze7zzast_letz00;
																											}
																									}
																							}
																						}
																					else
																						{	/* Ast/let.scm 1315 */
																							return ((bool_t) 1);
																						}
																				}
																			else
																				{	/* Ast/let.scm 1315 */
																					return ((bool_t) 1);
																				}
																		}
																	else
																		{	/* Ast/let.scm 1315 */
																			return ((bool_t) 1);
																		}
																}
															else
																{	/* Ast/let.scm 1315 */
																	return ((bool_t) 1);
																}
														}
													else
														{	/* Ast/let.scm 1315 */
															return ((bool_t) 1);
														}
												}
										}
								}
						}
					else
						{	/* Ast/let.scm 1315 */
							return ((bool_t) 1);
						}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_letz00(void)
	{
		{	/* Ast/let.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_letz00(void)
	{
		{	/* Ast/let.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_letz00(void)
	{
		{	/* Ast/let.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_letz00(void)
	{
		{	/* Ast/let.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string3828z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string3828z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string3828z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string3828z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string3828z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(301998274L,
				BSTRING_TO_STRING(BGl_string3828z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string3828z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string3828z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(9470071L,
				BSTRING_TO_STRING(BGl_string3828z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string3828z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string3828z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string3828z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string3828z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzast_substitutez00(280730341L,
				BSTRING_TO_STRING(BGl_string3828z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(282085879L,
				BSTRING_TO_STRING(BGl_string3828z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(383247627L,
				BSTRING_TO_STRING(BGl_string3828z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string3828z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string3828z00zzast_letz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string3828z00zzast_letz00));
		}

	}

#ifdef __cplusplus
}
#endif
